/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* DAG Instruction Selector for the WebAssembly target                        *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

// *** NOTE: This file is #included into the middle of the target
// *** instruction selector class.  These functions are really methods.

// If GET_DAGISEL_DECL is #defined with any value, only function
// declarations will be included when this file is included.
// If GET_DAGISEL_BODY is #defined, its value should be the name of
// the instruction selector class. Function bodies will be emitted
// and each function's name will be qualified with the name of the
// class.
//
// When neither of the GET_DAGISEL* macros is defined, the functions
// are emitted inline.

#if defined(GET_DAGISEL_DECL) && defined(GET_DAGISEL_BODY)
#error GET_DAGISEL_DECL and GET_DAGISEL_BODY cannot be both defined, undef both for inline definitions
#endif

#ifdef GET_DAGISEL_BODY
#define LOCAL_DAGISEL_STRINGIZE(X) LOCAL_DAGISEL_STRINGIZE_(X)
#define LOCAL_DAGISEL_STRINGIZE_(X) #X
static_assert(sizeof(LOCAL_DAGISEL_STRINGIZE(GET_DAGISEL_BODY)) > 1,
   "GET_DAGISEL_BODY is empty: it should be defined with the class name");
#undef LOCAL_DAGISEL_STRINGIZE_
#undef LOCAL_DAGISEL_STRINGIZE
#endif

#if !defined(GET_DAGISEL_DECL) && !defined(GET_DAGISEL_BODY)
#define DAGISEL_INLINE 1
#else
#define DAGISEL_INLINE 0
#endif

#if !DAGISEL_INLINE
#define DAGISEL_CLASS_COLONCOLON GET_DAGISEL_BODY ::
#else
#define DAGISEL_CLASS_COLONCOLON
#endif

#ifdef GET_DAGISEL_DECL
void SelectCode(SDNode *N);
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
void DAGISEL_CLASS_COLONCOLON SelectCode(SDNode *N)
{
  // Some target values are emitted as 2 bytes, TARGET_VAL handles
  // this. Coverage indexes are emitted as 4 bytes,
  // COVERAGE_IDX_VAL handles this.
  #define TARGET_VAL(X) X & 255, unsigned(X) >> 8
  #define COVERAGE_IDX_VAL(X) X & 255, (unsigned(X) >> 8) & 255, (unsigned(X) >> 16) & 255, (unsigned(X) >> 24) & 255
  static const unsigned char MatcherTable[] = {
/*     0*/ OPC_SwitchOpcode /*123 cases */, 44|128,9/*1196*/, TARGET_VAL(ISD::ZERO_EXTEND),// ->1201
/*     5*/  OPC_Scope, 32|128,9/*1184*/, /*->1192*/ // 2 children in Scope
/*     8*/   OPC_MoveChild0,
/*     9*/   OPC_SwitchOpcode /*9 cases */, 124, TARGET_VAL(ISD::AssertZext),// ->137
/*    13*/    OPC_MoveChild0,
/*    14*/    OPC_CheckOpcode, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),
/*    17*/    OPC_RecordMemRef,
/*    18*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*    19*/    OPC_CheckFoldableChainNode,
/*    20*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*    21*/    OPC_Scope, 56, /*->79*/ // 2 children in Scope
/*    23*/     OPC_CheckChild1TypeI32,
/*    24*/     OPC_MoveChild2,
/*    25*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    28*/     OPC_RecordChild0, // #2 = $exp
/*    29*/     OPC_MoveSibling3,
/*    30*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    33*/     OPC_RecordChild0, // #3 = $new
/*    34*/     OPC_MoveParent,
/*    35*/     OPC_Scope, 20, /*->57*/ // 2 children in Scope
/*    37*/      OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*    38*/      OPC_MoveParent,
/*    39*/      OPC_MoveParent,
/*    40*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    41*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*    43*/      OPC_EmitMergeInputChains1_0,
/*    44*/      OPC_EmitInteger32, 0,  // 0 #6
/*    46*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i8>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*    57*/     /*Scope*/ 20, /*->78*/
/*    58*/      OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*    59*/      OPC_MoveParent,
/*    60*/      OPC_MoveParent,
/*    61*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    62*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*    64*/      OPC_EmitMergeInputChains1_0,
/*    65*/      OPC_EmitInteger32, 0,  // 0 #6
/*    67*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i16>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*    78*/     0, /*End of Scope*/
/*    79*/    /*Scope*/ 56, /*->136*/
/*    80*/     OPC_CheckChild1TypeI64,
/*    81*/     OPC_MoveChild2,
/*    82*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    85*/     OPC_RecordChild0, // #2 = $exp
/*    86*/     OPC_MoveSibling3,
/*    87*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    90*/     OPC_RecordChild0, // #3 = $new
/*    91*/     OPC_MoveParent,
/*    92*/     OPC_Scope, 20, /*->114*/ // 2 children in Scope
/*    94*/      OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*    95*/      OPC_MoveParent,
/*    96*/      OPC_MoveParent,
/*    97*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    98*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*   100*/      OPC_EmitMergeInputChains1_0,
/*   101*/      OPC_EmitInteger32, 0,  // 0 #6
/*   103*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i8>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*   114*/     /*Scope*/ 20, /*->135*/
/*   115*/      OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*   116*/      OPC_MoveParent,
/*   117*/      OPC_MoveParent,
/*   118*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   119*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*   121*/      OPC_EmitMergeInputChains1_0,
/*   122*/      OPC_EmitInteger32, 0,  // 0 #6
/*   124*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i16>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*   135*/     0, /*End of Scope*/
/*   136*/    0, /*End of Scope*/
/*   137*/   /*SwitchOpcode*/ 69, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),// ->209
/*   140*/    OPC_RecordMemRef,
/*   141*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*   142*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   143*/    OPC_Scope, 31, /*->176*/ // 2 children in Scope
/*   145*/     OPC_CheckChild1TypeI32,
/*   146*/     OPC_MoveChild2,
/*   147*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   150*/     OPC_RecordChild0, // #2 = $exp
/*   151*/     OPC_MoveSibling3,
/*   152*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   155*/     OPC_RecordChild0, // #3 = $new
/*   156*/     OPC_MoveParent,
/*   157*/     OPC_CheckPredicate3,  // Predicate_atomic_cmp_swap_i32
/*   158*/     OPC_MoveParent,
/*   159*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   160*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*   162*/     OPC_EmitMergeInputChains1_0,
/*   163*/     OPC_EmitInteger32, 0,  // 0 #6
/*   165*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i32>>) - Complexity = 22
               // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*   176*/    /*Scope*/ 31, /*->208*/
/*   177*/     OPC_CheckChild1TypeI64,
/*   178*/     OPC_MoveChild2,
/*   179*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   182*/     OPC_RecordChild0, // #2 = $exp
/*   183*/     OPC_MoveSibling3,
/*   184*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   187*/     OPC_RecordChild0, // #3 = $new
/*   188*/     OPC_MoveParent,
/*   189*/     OPC_CheckPredicate3,  // Predicate_atomic_cmp_swap_i32
/*   190*/     OPC_MoveParent,
/*   191*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   192*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*   194*/     OPC_EmitMergeInputChains1_0,
/*   195*/     OPC_EmitInteger32, 0,  // 0 #6
/*   197*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i32>>) - Complexity = 22
               // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*   208*/    0, /*End of Scope*/
/*   209*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->352
/*   213*/    OPC_RecordMemRef,
/*   214*/    OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*   215*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   216*/    OPC_Scope, 66, /*->284*/ // 2 children in Scope
/*   218*/     OPC_CheckChild1TypeI32,
/*   219*/     OPC_MoveChild2,
/*   220*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   223*/     OPC_RecordChild0, // #2 = $val
/*   224*/     OPC_MoveParent,
/*   225*/     OPC_Scope, 18, /*->245*/ // 3 children in Scope
/*   227*/      OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*   228*/      OPC_MoveParent,
/*   229*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   230*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   232*/      OPC_EmitMergeInputChains1_0,
/*   233*/      OPC_EmitInteger32, 0,  // 0 #5
/*   235*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   245*/     /*Scope*/ 18, /*->264*/
/*   246*/      OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*   247*/      OPC_MoveParent,
/*   248*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   249*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   251*/      OPC_EmitMergeInputChains1_0,
/*   252*/      OPC_EmitInteger32, 0,  // 0 #5
/*   254*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   264*/     /*Scope*/ 18, /*->283*/
/*   265*/      OPC_CheckPredicate3,  // Predicate_atomic_load_add_i32
/*   266*/      OPC_MoveParent,
/*   267*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   268*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   270*/      OPC_EmitMergeInputChains1_0,
/*   271*/      OPC_EmitInteger32, 0,  // 0 #5
/*   273*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   283*/     0, /*End of Scope*/
/*   284*/    /*Scope*/ 66, /*->351*/
/*   285*/     OPC_CheckChild1TypeI64,
/*   286*/     OPC_MoveChild2,
/*   287*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   290*/     OPC_RecordChild0, // #2 = $val
/*   291*/     OPC_MoveParent,
/*   292*/     OPC_Scope, 18, /*->312*/ // 3 children in Scope
/*   294*/      OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*   295*/      OPC_MoveParent,
/*   296*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   297*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   299*/      OPC_EmitMergeInputChains1_0,
/*   300*/      OPC_EmitInteger32, 0,  // 0 #5
/*   302*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   312*/     /*Scope*/ 18, /*->331*/
/*   313*/      OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*   314*/      OPC_MoveParent,
/*   315*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   316*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   318*/      OPC_EmitMergeInputChains1_0,
/*   319*/      OPC_EmitInteger32, 0,  // 0 #5
/*   321*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   331*/     /*Scope*/ 18, /*->350*/
/*   332*/      OPC_CheckPredicate3,  // Predicate_atomic_load_add_i32
/*   333*/      OPC_MoveParent,
/*   334*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   335*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   337*/      OPC_EmitMergeInputChains1_0,
/*   338*/      OPC_EmitInteger32, 0,  // 0 #5
/*   340*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   350*/     0, /*End of Scope*/
/*   351*/    0, /*End of Scope*/
/*   352*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->495
/*   356*/    OPC_RecordMemRef,
/*   357*/    OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*   358*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   359*/    OPC_Scope, 66, /*->427*/ // 2 children in Scope
/*   361*/     OPC_CheckChild1TypeI32,
/*   362*/     OPC_MoveChild2,
/*   363*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   366*/     OPC_RecordChild0, // #2 = $val
/*   367*/     OPC_MoveParent,
/*   368*/     OPC_Scope, 18, /*->388*/ // 3 children in Scope
/*   370*/      OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*   371*/      OPC_MoveParent,
/*   372*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   373*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   375*/      OPC_EmitMergeInputChains1_0,
/*   376*/      OPC_EmitInteger32, 0,  // 0 #5
/*   378*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   388*/     /*Scope*/ 18, /*->407*/
/*   389*/      OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*   390*/      OPC_MoveParent,
/*   391*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   392*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   394*/      OPC_EmitMergeInputChains1_0,
/*   395*/      OPC_EmitInteger32, 0,  // 0 #5
/*   397*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   407*/     /*Scope*/ 18, /*->426*/
/*   408*/      OPC_CheckPredicate3,  // Predicate_atomic_load_sub_i32
/*   409*/      OPC_MoveParent,
/*   410*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   411*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   413*/      OPC_EmitMergeInputChains1_0,
/*   414*/      OPC_EmitInteger32, 0,  // 0 #5
/*   416*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   426*/     0, /*End of Scope*/
/*   427*/    /*Scope*/ 66, /*->494*/
/*   428*/     OPC_CheckChild1TypeI64,
/*   429*/     OPC_MoveChild2,
/*   430*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   433*/     OPC_RecordChild0, // #2 = $val
/*   434*/     OPC_MoveParent,
/*   435*/     OPC_Scope, 18, /*->455*/ // 3 children in Scope
/*   437*/      OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*   438*/      OPC_MoveParent,
/*   439*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   440*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   442*/      OPC_EmitMergeInputChains1_0,
/*   443*/      OPC_EmitInteger32, 0,  // 0 #5
/*   445*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   455*/     /*Scope*/ 18, /*->474*/
/*   456*/      OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*   457*/      OPC_MoveParent,
/*   458*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   459*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   461*/      OPC_EmitMergeInputChains1_0,
/*   462*/      OPC_EmitInteger32, 0,  // 0 #5
/*   464*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   474*/     /*Scope*/ 18, /*->493*/
/*   475*/      OPC_CheckPredicate3,  // Predicate_atomic_load_sub_i32
/*   476*/      OPC_MoveParent,
/*   477*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   478*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   480*/      OPC_EmitMergeInputChains1_0,
/*   481*/      OPC_EmitInteger32, 0,  // 0 #5
/*   483*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   493*/     0, /*End of Scope*/
/*   494*/    0, /*End of Scope*/
/*   495*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->638
/*   499*/    OPC_RecordMemRef,
/*   500*/    OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*   501*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   502*/    OPC_Scope, 66, /*->570*/ // 2 children in Scope
/*   504*/     OPC_CheckChild1TypeI32,
/*   505*/     OPC_MoveChild2,
/*   506*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   509*/     OPC_RecordChild0, // #2 = $val
/*   510*/     OPC_MoveParent,
/*   511*/     OPC_Scope, 18, /*->531*/ // 3 children in Scope
/*   513*/      OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*   514*/      OPC_MoveParent,
/*   515*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   516*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   518*/      OPC_EmitMergeInputChains1_0,
/*   519*/      OPC_EmitInteger32, 0,  // 0 #5
/*   521*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   531*/     /*Scope*/ 18, /*->550*/
/*   532*/      OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*   533*/      OPC_MoveParent,
/*   534*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   535*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   537*/      OPC_EmitMergeInputChains1_0,
/*   538*/      OPC_EmitInteger32, 0,  // 0 #5
/*   540*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   550*/     /*Scope*/ 18, /*->569*/
/*   551*/      OPC_CheckPredicate3,  // Predicate_atomic_load_and_i32
/*   552*/      OPC_MoveParent,
/*   553*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   554*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   556*/      OPC_EmitMergeInputChains1_0,
/*   557*/      OPC_EmitInteger32, 0,  // 0 #5
/*   559*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   569*/     0, /*End of Scope*/
/*   570*/    /*Scope*/ 66, /*->637*/
/*   571*/     OPC_CheckChild1TypeI64,
/*   572*/     OPC_MoveChild2,
/*   573*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   576*/     OPC_RecordChild0, // #2 = $val
/*   577*/     OPC_MoveParent,
/*   578*/     OPC_Scope, 18, /*->598*/ // 3 children in Scope
/*   580*/      OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*   581*/      OPC_MoveParent,
/*   582*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   583*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   585*/      OPC_EmitMergeInputChains1_0,
/*   586*/      OPC_EmitInteger32, 0,  // 0 #5
/*   588*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   598*/     /*Scope*/ 18, /*->617*/
/*   599*/      OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*   600*/      OPC_MoveParent,
/*   601*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   602*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   604*/      OPC_EmitMergeInputChains1_0,
/*   605*/      OPC_EmitInteger32, 0,  // 0 #5
/*   607*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   617*/     /*Scope*/ 18, /*->636*/
/*   618*/      OPC_CheckPredicate3,  // Predicate_atomic_load_and_i32
/*   619*/      OPC_MoveParent,
/*   620*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   621*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   623*/      OPC_EmitMergeInputChains1_0,
/*   624*/      OPC_EmitInteger32, 0,  // 0 #5
/*   626*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   636*/     0, /*End of Scope*/
/*   637*/    0, /*End of Scope*/
/*   638*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->781
/*   642*/    OPC_RecordMemRef,
/*   643*/    OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/*   644*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   645*/    OPC_Scope, 66, /*->713*/ // 2 children in Scope
/*   647*/     OPC_CheckChild1TypeI32,
/*   648*/     OPC_MoveChild2,
/*   649*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   652*/     OPC_RecordChild0, // #2 = $val
/*   653*/     OPC_MoveParent,
/*   654*/     OPC_Scope, 18, /*->674*/ // 3 children in Scope
/*   656*/      OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*   657*/      OPC_MoveParent,
/*   658*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   659*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   661*/      OPC_EmitMergeInputChains1_0,
/*   662*/      OPC_EmitInteger32, 0,  // 0 #5
/*   664*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   674*/     /*Scope*/ 18, /*->693*/
/*   675*/      OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*   676*/      OPC_MoveParent,
/*   677*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   678*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   680*/      OPC_EmitMergeInputChains1_0,
/*   681*/      OPC_EmitInteger32, 0,  // 0 #5
/*   683*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   693*/     /*Scope*/ 18, /*->712*/
/*   694*/      OPC_CheckPredicate3,  // Predicate_atomic_load_or_i32
/*   695*/      OPC_MoveParent,
/*   696*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   697*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   699*/      OPC_EmitMergeInputChains1_0,
/*   700*/      OPC_EmitInteger32, 0,  // 0 #5
/*   702*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   712*/     0, /*End of Scope*/
/*   713*/    /*Scope*/ 66, /*->780*/
/*   714*/     OPC_CheckChild1TypeI64,
/*   715*/     OPC_MoveChild2,
/*   716*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   719*/     OPC_RecordChild0, // #2 = $val
/*   720*/     OPC_MoveParent,
/*   721*/     OPC_Scope, 18, /*->741*/ // 3 children in Scope
/*   723*/      OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*   724*/      OPC_MoveParent,
/*   725*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   726*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   728*/      OPC_EmitMergeInputChains1_0,
/*   729*/      OPC_EmitInteger32, 0,  // 0 #5
/*   731*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   741*/     /*Scope*/ 18, /*->760*/
/*   742*/      OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*   743*/      OPC_MoveParent,
/*   744*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   745*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   747*/      OPC_EmitMergeInputChains1_0,
/*   748*/      OPC_EmitInteger32, 0,  // 0 #5
/*   750*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   760*/     /*Scope*/ 18, /*->779*/
/*   761*/      OPC_CheckPredicate3,  // Predicate_atomic_load_or_i32
/*   762*/      OPC_MoveParent,
/*   763*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   764*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   766*/      OPC_EmitMergeInputChains1_0,
/*   767*/      OPC_EmitInteger32, 0,  // 0 #5
/*   769*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   779*/     0, /*End of Scope*/
/*   780*/    0, /*End of Scope*/
/*   781*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->924
/*   785*/    OPC_RecordMemRef,
/*   786*/    OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/*   787*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   788*/    OPC_Scope, 66, /*->856*/ // 2 children in Scope
/*   790*/     OPC_CheckChild1TypeI32,
/*   791*/     OPC_MoveChild2,
/*   792*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   795*/     OPC_RecordChild0, // #2 = $val
/*   796*/     OPC_MoveParent,
/*   797*/     OPC_Scope, 18, /*->817*/ // 3 children in Scope
/*   799*/      OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*   800*/      OPC_MoveParent,
/*   801*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   802*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   804*/      OPC_EmitMergeInputChains1_0,
/*   805*/      OPC_EmitInteger32, 0,  // 0 #5
/*   807*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   817*/     /*Scope*/ 18, /*->836*/
/*   818*/      OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*   819*/      OPC_MoveParent,
/*   820*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   821*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   823*/      OPC_EmitMergeInputChains1_0,
/*   824*/      OPC_EmitInteger32, 0,  // 0 #5
/*   826*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   836*/     /*Scope*/ 18, /*->855*/
/*   837*/      OPC_CheckPredicate3,  // Predicate_atomic_load_xor_i32
/*   838*/      OPC_MoveParent,
/*   839*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   840*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   842*/      OPC_EmitMergeInputChains1_0,
/*   843*/      OPC_EmitInteger32, 0,  // 0 #5
/*   845*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   855*/     0, /*End of Scope*/
/*   856*/    /*Scope*/ 66, /*->923*/
/*   857*/     OPC_CheckChild1TypeI64,
/*   858*/     OPC_MoveChild2,
/*   859*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   862*/     OPC_RecordChild0, // #2 = $val
/*   863*/     OPC_MoveParent,
/*   864*/     OPC_Scope, 18, /*->884*/ // 3 children in Scope
/*   866*/      OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*   867*/      OPC_MoveParent,
/*   868*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   869*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   871*/      OPC_EmitMergeInputChains1_0,
/*   872*/      OPC_EmitInteger32, 0,  // 0 #5
/*   874*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   884*/     /*Scope*/ 18, /*->903*/
/*   885*/      OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*   886*/      OPC_MoveParent,
/*   887*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   888*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   890*/      OPC_EmitMergeInputChains1_0,
/*   891*/      OPC_EmitInteger32, 0,  // 0 #5
/*   893*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   903*/     /*Scope*/ 18, /*->922*/
/*   904*/      OPC_CheckPredicate3,  // Predicate_atomic_load_xor_i32
/*   905*/      OPC_MoveParent,
/*   906*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   907*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*   909*/      OPC_EmitMergeInputChains1_0,
/*   910*/      OPC_EmitInteger32, 0,  // 0 #5
/*   912*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*   922*/     0, /*End of Scope*/
/*   923*/    0, /*End of Scope*/
/*   924*/   /*SwitchOpcode*/ 11|128,1/*139*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->1067
/*   928*/    OPC_RecordMemRef,
/*   929*/    OPC_RecordNode, // #0 = 'atomic_swap' chained node
/*   930*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*   931*/    OPC_Scope, 66, /*->999*/ // 2 children in Scope
/*   933*/     OPC_CheckChild1TypeI32,
/*   934*/     OPC_MoveChild2,
/*   935*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   938*/     OPC_RecordChild0, // #2 = $val
/*   939*/     OPC_MoveParent,
/*   940*/     OPC_Scope, 18, /*->960*/ // 3 children in Scope
/*   942*/      OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*   943*/      OPC_MoveParent,
/*   944*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   945*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   947*/      OPC_EmitMergeInputChains1_0,
/*   948*/      OPC_EmitInteger32, 0,  // 0 #5
/*   950*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   960*/     /*Scope*/ 18, /*->979*/
/*   961*/      OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*   962*/      OPC_MoveParent,
/*   963*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   964*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   966*/      OPC_EmitMergeInputChains1_0,
/*   967*/      OPC_EmitInteger32, 0,  // 0 #5
/*   969*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   979*/     /*Scope*/ 18, /*->998*/
/*   980*/      OPC_CheckPredicate3,  // Predicate_atomic_swap_i32
/*   981*/      OPC_MoveParent,
/*   982*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   983*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*   985*/      OPC_EmitMergeInputChains1_0,
/*   986*/      OPC_EmitInteger32, 0,  // 0 #5
/*   988*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*   998*/     0, /*End of Scope*/
/*   999*/    /*Scope*/ 66, /*->1066*/
/*  1000*/     OPC_CheckChild1TypeI64,
/*  1001*/     OPC_MoveChild2,
/*  1002*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1005*/     OPC_RecordChild0, // #2 = $val
/*  1006*/     OPC_MoveParent,
/*  1007*/     OPC_Scope, 18, /*->1027*/ // 3 children in Scope
/*  1009*/      OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  1010*/      OPC_MoveParent,
/*  1011*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1012*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1014*/      OPC_EmitMergeInputChains1_0,
/*  1015*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1017*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1027*/     /*Scope*/ 18, /*->1046*/
/*  1028*/      OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  1029*/      OPC_MoveParent,
/*  1030*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1031*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1033*/      OPC_EmitMergeInputChains1_0,
/*  1034*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1036*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1046*/     /*Scope*/ 18, /*->1065*/
/*  1047*/      OPC_CheckPredicate3,  // Predicate_atomic_swap_i32
/*  1048*/      OPC_MoveParent,
/*  1049*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1050*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1052*/      OPC_EmitMergeInputChains1_0,
/*  1053*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1055*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i32>>) - Complexity = 19
                // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1065*/     0, /*End of Scope*/
/*  1066*/    0, /*End of Scope*/
/*  1067*/   /*SwitchOpcode*/ 121, TARGET_VAL(ISD::ATOMIC_LOAD),// ->1191
/*  1070*/    OPC_RecordMemRef,
/*  1071*/    OPC_RecordNode, // #0 = 'atomic_load' chained node
/*  1072*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1073*/    OPC_Scope, 57, /*->1132*/ // 2 children in Scope
/*  1075*/     OPC_CheckChild1TypeI32,
/*  1076*/     OPC_Scope, 17, /*->1095*/ // 3 children in Scope
/*  1078*/      OPC_CheckPredicate1,  // Predicate_atomic_load_8
/*  1079*/      OPC_MoveParent,
/*  1080*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1081*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1083*/      OPC_EmitMergeInputChains1_0,
/*  1084*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1086*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  1095*/     /*Scope*/ 17, /*->1113*/
/*  1096*/      OPC_CheckPredicate2,  // Predicate_atomic_load_16
/*  1097*/      OPC_MoveParent,
/*  1098*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1099*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1101*/      OPC_EmitMergeInputChains1_0,
/*  1102*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1104*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  1113*/     /*Scope*/ 17, /*->1131*/
/*  1114*/      OPC_CheckPredicate3,  // Predicate_atomic_load_32
/*  1115*/      OPC_MoveParent,
/*  1116*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1117*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1119*/      OPC_EmitMergeInputChains1_0,
/*  1120*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1122*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_32>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  1131*/     0, /*End of Scope*/
/*  1132*/    /*Scope*/ 57, /*->1190*/
/*  1133*/     OPC_CheckChild1TypeI64,
/*  1134*/     OPC_Scope, 17, /*->1153*/ // 3 children in Scope
/*  1136*/      OPC_CheckPredicate1,  // Predicate_atomic_load_8
/*  1137*/      OPC_MoveParent,
/*  1138*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  1139*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  1141*/      OPC_EmitMergeInputChains1_0,
/*  1142*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1144*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  1153*/     /*Scope*/ 17, /*->1171*/
/*  1154*/      OPC_CheckPredicate2,  // Predicate_atomic_load_16
/*  1155*/      OPC_MoveParent,
/*  1156*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  1157*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  1159*/      OPC_EmitMergeInputChains1_0,
/*  1160*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1162*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  1171*/     /*Scope*/ 17, /*->1189*/
/*  1172*/      OPC_CheckPredicate3,  // Predicate_atomic_load_32
/*  1173*/      OPC_MoveParent,
/*  1174*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  1175*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  1177*/      OPC_EmitMergeInputChains1_0,
/*  1178*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1180*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_32>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  1189*/     0, /*End of Scope*/
/*  1190*/    0, /*End of Scope*/
/*  1191*/   0, // EndSwitchOpcode
/*  1192*/  /*Scope*/ 7, /*->1200*/
/*  1193*/   OPC_RecordChild0, // #0 = $src
/*  1194*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND_U_I32),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (zext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (I64_EXTEND_U_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/*  1200*/  0, /*End of Scope*/
/*  1201*/ /*SwitchOpcode*/ 86|128,6/*854*/, TARGET_VAL(ISD::ANY_EXTEND),// ->2059
/*  1205*/  OPC_Scope, 74|128,6/*842*/, /*->2050*/ // 2 children in Scope
/*  1208*/   OPC_MoveChild0,
/*  1209*/   OPC_SwitchOpcode /*8 cases */, 124, TARGET_VAL(ISD::AssertZext),// ->1337
/*  1213*/    OPC_MoveChild0,
/*  1214*/    OPC_CheckOpcode, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),
/*  1217*/    OPC_RecordMemRef,
/*  1218*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*  1219*/    OPC_CheckFoldableChainNode,
/*  1220*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1221*/    OPC_Scope, 56, /*->1279*/ // 2 children in Scope
/*  1223*/     OPC_CheckChild1TypeI32,
/*  1224*/     OPC_MoveChild2,
/*  1225*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1228*/     OPC_RecordChild0, // #2 = $exp
/*  1229*/     OPC_MoveSibling3,
/*  1230*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1233*/     OPC_RecordChild0, // #3 = $new
/*  1234*/     OPC_MoveParent,
/*  1235*/     OPC_Scope, 20, /*->1257*/ // 2 children in Scope
/*  1237*/      OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  1238*/      OPC_MoveParent,
/*  1239*/      OPC_MoveParent,
/*  1240*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1241*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  1243*/      OPC_EmitMergeInputChains1_0,
/*  1244*/      OPC_EmitInteger32, 0,  // 0 #6
/*  1246*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i8>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  1257*/     /*Scope*/ 20, /*->1278*/
/*  1258*/      OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  1259*/      OPC_MoveParent,
/*  1260*/      OPC_MoveParent,
/*  1261*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1262*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  1264*/      OPC_EmitMergeInputChains1_0,
/*  1265*/      OPC_EmitInteger32, 0,  // 0 #6
/*  1267*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i16>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  1278*/     0, /*End of Scope*/
/*  1279*/    /*Scope*/ 56, /*->1336*/
/*  1280*/     OPC_CheckChild1TypeI64,
/*  1281*/     OPC_MoveChild2,
/*  1282*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1285*/     OPC_RecordChild0, // #2 = $exp
/*  1286*/     OPC_MoveSibling3,
/*  1287*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1290*/     OPC_RecordChild0, // #3 = $new
/*  1291*/     OPC_MoveParent,
/*  1292*/     OPC_Scope, 20, /*->1314*/ // 2 children in Scope
/*  1294*/      OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  1295*/      OPC_MoveParent,
/*  1296*/      OPC_MoveParent,
/*  1297*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1298*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  1300*/      OPC_EmitMergeInputChains1_0,
/*  1301*/      OPC_EmitInteger32, 0,  // 0 #6
/*  1303*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i8>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  1314*/     /*Scope*/ 20, /*->1335*/
/*  1315*/      OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  1316*/      OPC_MoveParent,
/*  1317*/      OPC_MoveParent,
/*  1318*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1319*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  1321*/      OPC_EmitMergeInputChains1_0,
/*  1322*/      OPC_EmitInteger32, 0,  // 0 #6
/*  1324*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
                // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_i16>>)) - Complexity = 25
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  1335*/     0, /*End of Scope*/
/*  1336*/    0, /*End of Scope*/
/*  1337*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->1441
/*  1340*/    OPC_RecordMemRef,
/*  1341*/    OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*  1342*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1343*/    OPC_Scope, 47, /*->1392*/ // 2 children in Scope
/*  1345*/     OPC_CheckChild1TypeI32,
/*  1346*/     OPC_MoveChild2,
/*  1347*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1350*/     OPC_RecordChild0, // #2 = $val
/*  1351*/     OPC_MoveParent,
/*  1352*/     OPC_Scope, 18, /*->1372*/ // 2 children in Scope
/*  1354*/      OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  1355*/      OPC_MoveParent,
/*  1356*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1357*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1359*/      OPC_EmitMergeInputChains1_0,
/*  1360*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1362*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1372*/     /*Scope*/ 18, /*->1391*/
/*  1373*/      OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  1374*/      OPC_MoveParent,
/*  1375*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1376*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1378*/      OPC_EmitMergeInputChains1_0,
/*  1379*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1381*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1391*/     0, /*End of Scope*/
/*  1392*/    /*Scope*/ 47, /*->1440*/
/*  1393*/     OPC_CheckChild1TypeI64,
/*  1394*/     OPC_MoveChild2,
/*  1395*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1398*/     OPC_RecordChild0, // #2 = $val
/*  1399*/     OPC_MoveParent,
/*  1400*/     OPC_Scope, 18, /*->1420*/ // 2 children in Scope
/*  1402*/      OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  1403*/      OPC_MoveParent,
/*  1404*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1405*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1407*/      OPC_EmitMergeInputChains1_0,
/*  1408*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1410*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1420*/     /*Scope*/ 18, /*->1439*/
/*  1421*/      OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  1422*/      OPC_MoveParent,
/*  1423*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1424*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1426*/      OPC_EmitMergeInputChains1_0,
/*  1427*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1429*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1439*/     0, /*End of Scope*/
/*  1440*/    0, /*End of Scope*/
/*  1441*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->1545
/*  1444*/    OPC_RecordMemRef,
/*  1445*/    OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*  1446*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1447*/    OPC_Scope, 47, /*->1496*/ // 2 children in Scope
/*  1449*/     OPC_CheckChild1TypeI32,
/*  1450*/     OPC_MoveChild2,
/*  1451*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1454*/     OPC_RecordChild0, // #2 = $val
/*  1455*/     OPC_MoveParent,
/*  1456*/     OPC_Scope, 18, /*->1476*/ // 2 children in Scope
/*  1458*/      OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  1459*/      OPC_MoveParent,
/*  1460*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1461*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1463*/      OPC_EmitMergeInputChains1_0,
/*  1464*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1466*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1476*/     /*Scope*/ 18, /*->1495*/
/*  1477*/      OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  1478*/      OPC_MoveParent,
/*  1479*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1480*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1482*/      OPC_EmitMergeInputChains1_0,
/*  1483*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1485*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1495*/     0, /*End of Scope*/
/*  1496*/    /*Scope*/ 47, /*->1544*/
/*  1497*/     OPC_CheckChild1TypeI64,
/*  1498*/     OPC_MoveChild2,
/*  1499*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1502*/     OPC_RecordChild0, // #2 = $val
/*  1503*/     OPC_MoveParent,
/*  1504*/     OPC_Scope, 18, /*->1524*/ // 2 children in Scope
/*  1506*/      OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  1507*/      OPC_MoveParent,
/*  1508*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1509*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1511*/      OPC_EmitMergeInputChains1_0,
/*  1512*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1514*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1524*/     /*Scope*/ 18, /*->1543*/
/*  1525*/      OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  1526*/      OPC_MoveParent,
/*  1527*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1528*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1530*/      OPC_EmitMergeInputChains1_0,
/*  1531*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1533*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1543*/     0, /*End of Scope*/
/*  1544*/    0, /*End of Scope*/
/*  1545*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->1649
/*  1548*/    OPC_RecordMemRef,
/*  1549*/    OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*  1550*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1551*/    OPC_Scope, 47, /*->1600*/ // 2 children in Scope
/*  1553*/     OPC_CheckChild1TypeI32,
/*  1554*/     OPC_MoveChild2,
/*  1555*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1558*/     OPC_RecordChild0, // #2 = $val
/*  1559*/     OPC_MoveParent,
/*  1560*/     OPC_Scope, 18, /*->1580*/ // 2 children in Scope
/*  1562*/      OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  1563*/      OPC_MoveParent,
/*  1564*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1565*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1567*/      OPC_EmitMergeInputChains1_0,
/*  1568*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1570*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1580*/     /*Scope*/ 18, /*->1599*/
/*  1581*/      OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  1582*/      OPC_MoveParent,
/*  1583*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1584*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1586*/      OPC_EmitMergeInputChains1_0,
/*  1587*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1589*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1599*/     0, /*End of Scope*/
/*  1600*/    /*Scope*/ 47, /*->1648*/
/*  1601*/     OPC_CheckChild1TypeI64,
/*  1602*/     OPC_MoveChild2,
/*  1603*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1606*/     OPC_RecordChild0, // #2 = $val
/*  1607*/     OPC_MoveParent,
/*  1608*/     OPC_Scope, 18, /*->1628*/ // 2 children in Scope
/*  1610*/      OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  1611*/      OPC_MoveParent,
/*  1612*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1613*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1615*/      OPC_EmitMergeInputChains1_0,
/*  1616*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1618*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1628*/     /*Scope*/ 18, /*->1647*/
/*  1629*/      OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  1630*/      OPC_MoveParent,
/*  1631*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1632*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1634*/      OPC_EmitMergeInputChains1_0,
/*  1635*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1637*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1647*/     0, /*End of Scope*/
/*  1648*/    0, /*End of Scope*/
/*  1649*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->1753
/*  1652*/    OPC_RecordMemRef,
/*  1653*/    OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/*  1654*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1655*/    OPC_Scope, 47, /*->1704*/ // 2 children in Scope
/*  1657*/     OPC_CheckChild1TypeI32,
/*  1658*/     OPC_MoveChild2,
/*  1659*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1662*/     OPC_RecordChild0, // #2 = $val
/*  1663*/     OPC_MoveParent,
/*  1664*/     OPC_Scope, 18, /*->1684*/ // 2 children in Scope
/*  1666*/      OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  1667*/      OPC_MoveParent,
/*  1668*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1669*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1671*/      OPC_EmitMergeInputChains1_0,
/*  1672*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1674*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1684*/     /*Scope*/ 18, /*->1703*/
/*  1685*/      OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  1686*/      OPC_MoveParent,
/*  1687*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1688*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1690*/      OPC_EmitMergeInputChains1_0,
/*  1691*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1693*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1703*/     0, /*End of Scope*/
/*  1704*/    /*Scope*/ 47, /*->1752*/
/*  1705*/     OPC_CheckChild1TypeI64,
/*  1706*/     OPC_MoveChild2,
/*  1707*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1710*/     OPC_RecordChild0, // #2 = $val
/*  1711*/     OPC_MoveParent,
/*  1712*/     OPC_Scope, 18, /*->1732*/ // 2 children in Scope
/*  1714*/      OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  1715*/      OPC_MoveParent,
/*  1716*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1717*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1719*/      OPC_EmitMergeInputChains1_0,
/*  1720*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1722*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1732*/     /*Scope*/ 18, /*->1751*/
/*  1733*/      OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  1734*/      OPC_MoveParent,
/*  1735*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1736*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1738*/      OPC_EmitMergeInputChains1_0,
/*  1739*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1741*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1751*/     0, /*End of Scope*/
/*  1752*/    0, /*End of Scope*/
/*  1753*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->1857
/*  1756*/    OPC_RecordMemRef,
/*  1757*/    OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/*  1758*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1759*/    OPC_Scope, 47, /*->1808*/ // 2 children in Scope
/*  1761*/     OPC_CheckChild1TypeI32,
/*  1762*/     OPC_MoveChild2,
/*  1763*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1766*/     OPC_RecordChild0, // #2 = $val
/*  1767*/     OPC_MoveParent,
/*  1768*/     OPC_Scope, 18, /*->1788*/ // 2 children in Scope
/*  1770*/      OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  1771*/      OPC_MoveParent,
/*  1772*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1773*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1775*/      OPC_EmitMergeInputChains1_0,
/*  1776*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1778*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1788*/     /*Scope*/ 18, /*->1807*/
/*  1789*/      OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  1790*/      OPC_MoveParent,
/*  1791*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1792*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1794*/      OPC_EmitMergeInputChains1_0,
/*  1795*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1797*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1807*/     0, /*End of Scope*/
/*  1808*/    /*Scope*/ 47, /*->1856*/
/*  1809*/     OPC_CheckChild1TypeI64,
/*  1810*/     OPC_MoveChild2,
/*  1811*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1814*/     OPC_RecordChild0, // #2 = $val
/*  1815*/     OPC_MoveParent,
/*  1816*/     OPC_Scope, 18, /*->1836*/ // 2 children in Scope
/*  1818*/      OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  1819*/      OPC_MoveParent,
/*  1820*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1821*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1823*/      OPC_EmitMergeInputChains1_0,
/*  1824*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1826*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1836*/     /*Scope*/ 18, /*->1855*/
/*  1837*/      OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  1838*/      OPC_MoveParent,
/*  1839*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1840*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1842*/      OPC_EmitMergeInputChains1_0,
/*  1843*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1845*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1855*/     0, /*End of Scope*/
/*  1856*/    0, /*End of Scope*/
/*  1857*/   /*SwitchOpcode*/ 101, TARGET_VAL(ISD::ATOMIC_SWAP),// ->1961
/*  1860*/    OPC_RecordMemRef,
/*  1861*/    OPC_RecordNode, // #0 = 'atomic_swap' chained node
/*  1862*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1863*/    OPC_Scope, 47, /*->1912*/ // 2 children in Scope
/*  1865*/     OPC_CheckChild1TypeI32,
/*  1866*/     OPC_MoveChild2,
/*  1867*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1870*/     OPC_RecordChild0, // #2 = $val
/*  1871*/     OPC_MoveParent,
/*  1872*/     OPC_Scope, 18, /*->1892*/ // 2 children in Scope
/*  1874*/      OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  1875*/      OPC_MoveParent,
/*  1876*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1877*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1879*/      OPC_EmitMergeInputChains1_0,
/*  1880*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1882*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1892*/     /*Scope*/ 18, /*->1911*/
/*  1893*/      OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  1894*/      OPC_MoveParent,
/*  1895*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1896*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  1898*/      OPC_EmitMergeInputChains1_0,
/*  1899*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1901*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  1911*/     0, /*End of Scope*/
/*  1912*/    /*Scope*/ 47, /*->1960*/
/*  1913*/     OPC_CheckChild1TypeI64,
/*  1914*/     OPC_MoveChild2,
/*  1915*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1918*/     OPC_RecordChild0, // #2 = $val
/*  1919*/     OPC_MoveParent,
/*  1920*/     OPC_Scope, 18, /*->1940*/ // 2 children in Scope
/*  1922*/      OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  1923*/      OPC_MoveParent,
/*  1924*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1925*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1927*/      OPC_EmitMergeInputChains1_0,
/*  1928*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1930*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i8>>) - Complexity = 19
                // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1940*/     /*Scope*/ 18, /*->1959*/
/*  1941*/      OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  1942*/      OPC_MoveParent,
/*  1943*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1944*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  1946*/      OPC_EmitMergeInputChains1_0,
/*  1947*/      OPC_EmitInteger32, 0,  // 0 #5
/*  1949*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
                // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_i16>>) - Complexity = 19
                // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  1959*/     0, /*End of Scope*/
/*  1960*/    0, /*End of Scope*/
/*  1961*/   /*SwitchOpcode*/ 85, TARGET_VAL(ISD::ATOMIC_LOAD),// ->2049
/*  1964*/    OPC_RecordMemRef,
/*  1965*/    OPC_RecordNode, // #0 = 'atomic_load' chained node
/*  1966*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  1967*/    OPC_Scope, 39, /*->2008*/ // 2 children in Scope
/*  1969*/     OPC_CheckChild1TypeI32,
/*  1970*/     OPC_Scope, 17, /*->1989*/ // 2 children in Scope
/*  1972*/      OPC_CheckPredicate1,  // Predicate_atomic_load_8
/*  1973*/      OPC_MoveParent,
/*  1974*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1975*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1977*/      OPC_EmitMergeInputChains1_0,
/*  1978*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1980*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  1989*/     /*Scope*/ 17, /*->2007*/
/*  1990*/      OPC_CheckPredicate2,  // Predicate_atomic_load_16
/*  1991*/      OPC_MoveParent,
/*  1992*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  1993*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  1995*/      OPC_EmitMergeInputChains1_0,
/*  1996*/      OPC_EmitInteger32, 0,  // 0 #4
/*  1998*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  2007*/     0, /*End of Scope*/
/*  2008*/    /*Scope*/ 39, /*->2048*/
/*  2009*/     OPC_CheckChild1TypeI64,
/*  2010*/     OPC_Scope, 17, /*->2029*/ // 2 children in Scope
/*  2012*/      OPC_CheckPredicate1,  // Predicate_atomic_load_8
/*  2013*/      OPC_MoveParent,
/*  2014*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2015*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  2017*/      OPC_EmitMergeInputChains1_0,
/*  2018*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2020*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_8>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  2029*/     /*Scope*/ 17, /*->2047*/
/*  2030*/      OPC_CheckPredicate2,  // Predicate_atomic_load_16
/*  2031*/      OPC_MoveParent,
/*  2032*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2033*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  2035*/      OPC_EmitMergeInputChains1_0,
/*  2036*/      OPC_EmitInteger32, 0,  // 0 #4
/*  2038*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_16>>) - Complexity = 16
                // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  2047*/     0, /*End of Scope*/
/*  2048*/    0, /*End of Scope*/
/*  2049*/   0, // EndSwitchOpcode
/*  2050*/  /*Scope*/ 7, /*->2058*/
/*  2051*/   OPC_RecordChild0, // #0 = $src
/*  2052*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND_U_I32),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (anyext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (I64_EXTEND_U_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/*  2058*/  0, /*End of Scope*/
/*  2059*/ /*SwitchOpcode*/ 52|128,7/*948*/, TARGET_VAL(ISD::STORE),// ->3011
/*  2063*/  OPC_RecordMemRef,
/*  2064*/  OPC_RecordNode, // #0 = 'st' chained node
/*  2065*/  OPC_Scope, 123|128,1/*251*/, /*->2319*/ // 2 children in Scope
/*  2068*/   OPC_MoveChild1,
/*  2069*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/*  2072*/   OPC_RecordChild0, // #1 = $vec
/*  2073*/   OPC_Scope, 62, /*->2137*/ // 4 children in Scope
/*  2075*/    OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/*  2077*/    OPC_RecordChild1, // #2 = $idx
/*  2078*/    OPC_MoveChild1,
/*  2079*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2082*/    OPC_CheckPredicate, 18, // Predicate_LaneIdx16
/*  2084*/    OPC_CheckTypeI32,
/*  2085*/    OPC_MoveParent,
/*  2086*/    OPC_CheckTypeI32,
/*  2087*/    OPC_MoveParent,
/*  2088*/    OPC_RecordChild2, // #3 = $AddrOps32:offset:addr
/*  2089*/    OPC_Scope, 22, /*->2113*/ // 2 children in Scope
/*  2091*/     OPC_CheckChild2TypeI32,
/*  2092*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2093*/     OPC_CheckPredicate, 14, // Predicate_truncstore
/*  2095*/     OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2096*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2097*/     OPC_CheckComplexPat0, /*#*/3, // SelectAddrOperands32:$ #4 #5
/*  2099*/     OPC_EmitMergeInputChains1_0,
/*  2100*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2102*/     OPC_EmitConvertToTarget2, // #7
/*  2103*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I8x16_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 21
               // Dst: (STORE_LANE_I8x16_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v16i8] }:$vec)
/*  2113*/    /*Scope*/ 22, /*->2136*/
/*  2114*/     OPC_CheckChild2TypeI64,
/*  2115*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2116*/     OPC_CheckPredicate, 14, // Predicate_truncstore
/*  2118*/     OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2119*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2120*/     OPC_CheckComplexPat1, /*#*/3, // SelectAddrOperands64:$ #4 #5
/*  2122*/     OPC_EmitMergeInputChains1_0,
/*  2123*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2125*/     OPC_EmitConvertToTarget2, // #7
/*  2126*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I8x16_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 21
               // Dst: (STORE_LANE_I8x16_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v16i8] }:$vec)
/*  2136*/    0, /*End of Scope*/
/*  2137*/   /*Scope*/ 62, /*->2200*/
/*  2138*/    OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/*  2140*/    OPC_RecordChild1, // #2 = $idx
/*  2141*/    OPC_MoveChild1,
/*  2142*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2145*/    OPC_CheckPredicate, 13, // Predicate_LaneIdx8
/*  2147*/    OPC_CheckTypeI32,
/*  2148*/    OPC_MoveParent,
/*  2149*/    OPC_CheckTypeI32,
/*  2150*/    OPC_MoveParent,
/*  2151*/    OPC_RecordChild2, // #3 = $AddrOps32:offset:addr
/*  2152*/    OPC_Scope, 22, /*->2176*/ // 2 children in Scope
/*  2154*/     OPC_CheckChild2TypeI32,
/*  2155*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2156*/     OPC_CheckPredicate, 14, // Predicate_truncstore
/*  2158*/     OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2159*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2160*/     OPC_CheckComplexPat0, /*#*/3, // SelectAddrOperands32:$ #4 #5
/*  2162*/     OPC_EmitMergeInputChains1_0,
/*  2163*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2165*/     OPC_EmitConvertToTarget2, // #7
/*  2166*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 21
               // Dst: (STORE_LANE_I16x8_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v8i16] }:$vec)
/*  2176*/    /*Scope*/ 22, /*->2199*/
/*  2177*/     OPC_CheckChild2TypeI64,
/*  2178*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2179*/     OPC_CheckPredicate, 14, // Predicate_truncstore
/*  2181*/     OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2182*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2183*/     OPC_CheckComplexPat1, /*#*/3, // SelectAddrOperands64:$ #4 #5
/*  2185*/     OPC_EmitMergeInputChains1_0,
/*  2186*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2188*/     OPC_EmitConvertToTarget2, // #7
/*  2189*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 21
               // Dst: (STORE_LANE_I16x8_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v8i16] }:$vec)
/*  2199*/    0, /*End of Scope*/
/*  2200*/   /*Scope*/ 58, /*->2259*/
/*  2201*/    OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/*  2203*/    OPC_RecordChild1, // #2 = $idx
/*  2204*/    OPC_MoveChild1,
/*  2205*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2208*/    OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/*  2210*/    OPC_CheckTypeI32,
/*  2211*/    OPC_MoveParent,
/*  2212*/    OPC_CheckTypeI32,
/*  2213*/    OPC_MoveParent,
/*  2214*/    OPC_RecordChild2, // #3 = $AddrOps32:offset:addr
/*  2215*/    OPC_Scope, 20, /*->2237*/ // 2 children in Scope
/*  2217*/     OPC_CheckChild2TypeI32,
/*  2218*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2219*/     OPC_CheckPredicate5,  // Predicate_store
/*  2220*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2221*/     OPC_CheckComplexPat0, /*#*/3, // SelectAddrOperands32:$ #4 #5
/*  2223*/     OPC_EmitMergeInputChains1_0,
/*  2224*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2226*/     OPC_EmitConvertToTarget2, // #7
/*  2227*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 21
               // Dst: (STORE_LANE_I32x4_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/*  2237*/    /*Scope*/ 20, /*->2258*/
/*  2238*/     OPC_CheckChild2TypeI64,
/*  2239*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2240*/     OPC_CheckPredicate5,  // Predicate_store
/*  2241*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2242*/     OPC_CheckComplexPat1, /*#*/3, // SelectAddrOperands64:$ #4 #5
/*  2244*/     OPC_EmitMergeInputChains1_0,
/*  2245*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2247*/     OPC_EmitConvertToTarget2, // #7
/*  2248*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 21
               // Dst: (STORE_LANE_I32x4_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/*  2258*/    0, /*End of Scope*/
/*  2259*/   /*Scope*/ 58, /*->2318*/
/*  2260*/    OPC_CheckChild0Type, /*MVT::v2i64*/78, 
/*  2262*/    OPC_RecordChild1, // #2 = $idx
/*  2263*/    OPC_MoveChild1,
/*  2264*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2267*/    OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/*  2269*/    OPC_CheckTypeI32,
/*  2270*/    OPC_MoveParent,
/*  2271*/    OPC_CheckTypeI64,
/*  2272*/    OPC_MoveParent,
/*  2273*/    OPC_RecordChild2, // #3 = $AddrOps32:offset:addr
/*  2274*/    OPC_Scope, 20, /*->2296*/ // 2 children in Scope
/*  2276*/     OPC_CheckChild2TypeI32,
/*  2277*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2278*/     OPC_CheckPredicate5,  // Predicate_store
/*  2279*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2280*/     OPC_CheckComplexPat0, /*#*/3, // SelectAddrOperands32:$ #4 #5
/*  2282*/     OPC_EmitMergeInputChains1_0,
/*  2283*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2285*/     OPC_EmitConvertToTarget2, // #7
/*  2286*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 21
               // Dst: (STORE_LANE_I64x2_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/*  2296*/    /*Scope*/ 20, /*->2317*/
/*  2297*/     OPC_CheckChild2TypeI64,
/*  2298*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2299*/     OPC_CheckPredicate5,  // Predicate_store
/*  2300*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2301*/     OPC_CheckComplexPat1, /*#*/3, // SelectAddrOperands64:$ #4 #5
/*  2303*/     OPC_EmitMergeInputChains1_0,
/*  2304*/     OPC_EmitInteger32, 0,  // 0 #6
/*  2306*/     OPC_EmitConvertToTarget2, // #7
/*  2307*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 6, 4, 7, 5, 1, 
               // Src: (st (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 21
               // Dst: (STORE_LANE_I64x2_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/*  2317*/    0, /*End of Scope*/
/*  2318*/   0, /*End of Scope*/
/*  2319*/  /*Scope*/ 49|128,5/*689*/, /*->3010*/
/*  2321*/   OPC_RecordChild1, // #1 = $val
/*  2322*/   OPC_Scope, 126, /*->2450*/ // 11 children in Scope
/*  2324*/    OPC_CheckChild1TypeI32,
/*  2325*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2326*/    OPC_Scope, 60, /*->2388*/ // 2 children in Scope
/*  2328*/     OPC_CheckChild2TypeI32,
/*  2329*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2330*/     OPC_Scope, 16, /*->2348*/ // 2 children in Scope
/*  2332*/      OPC_CheckPredicate5,  // Predicate_store
/*  2333*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2334*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2336*/      OPC_EmitMergeInputChains1_0,
/*  2337*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2339*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (st i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
                // Dst: (STORE_I32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/*  2348*/     /*Scope*/ 38, /*->2387*/
/*  2349*/      OPC_CheckPredicate, 14, // Predicate_truncstore
/*  2351*/      OPC_Scope, 16, /*->2369*/ // 2 children in Scope
/*  2353*/       OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2354*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2355*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2357*/       OPC_EmitMergeInputChains1_0,
/*  2358*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2360*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 13
                 // Dst: (STORE8_I32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/*  2369*/      /*Scope*/ 16, /*->2386*/
/*  2370*/       OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2371*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2372*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2374*/       OPC_EmitMergeInputChains1_0,
/*  2375*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2377*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 13
                 // Dst: (STORE16_I32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/*  2386*/      0, /*End of Scope*/
/*  2387*/     0, /*End of Scope*/
/*  2388*/    /*Scope*/ 60, /*->2449*/
/*  2389*/     OPC_CheckChild2TypeI64,
/*  2390*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2391*/     OPC_Scope, 16, /*->2409*/ // 2 children in Scope
/*  2393*/      OPC_CheckPredicate5,  // Predicate_store
/*  2394*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2395*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2397*/      OPC_EmitMergeInputChains1_0,
/*  2398*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2400*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (st i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
                // Dst: (STORE_I32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/*  2409*/     /*Scope*/ 38, /*->2448*/
/*  2410*/      OPC_CheckPredicate, 14, // Predicate_truncstore
/*  2412*/      OPC_Scope, 16, /*->2430*/ // 2 children in Scope
/*  2414*/       OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2415*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2416*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2418*/       OPC_EmitMergeInputChains1_0,
/*  2419*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2421*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 13
                 // Dst: (STORE8_I32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/*  2430*/      /*Scope*/ 16, /*->2447*/
/*  2431*/       OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2432*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2433*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2435*/       OPC_EmitMergeInputChains1_0,
/*  2436*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2438*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 13
                 // Dst: (STORE16_I32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/*  2447*/      0, /*End of Scope*/
/*  2448*/     0, /*End of Scope*/
/*  2449*/    0, /*End of Scope*/
/*  2450*/   /*Scope*/ 32|128,1/*160*/, /*->2612*/
/*  2452*/    OPC_CheckChild1TypeI64,
/*  2453*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2454*/    OPC_Scope, 77, /*->2533*/ // 2 children in Scope
/*  2456*/     OPC_CheckChild2TypeI32,
/*  2457*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2458*/     OPC_Scope, 16, /*->2476*/ // 2 children in Scope
/*  2460*/      OPC_CheckPredicate5,  // Predicate_store
/*  2461*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2462*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2464*/      OPC_EmitMergeInputChains1_0,
/*  2465*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2467*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (st i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
                // Dst: (STORE_I64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2476*/     /*Scope*/ 55, /*->2532*/
/*  2477*/      OPC_CheckPredicate, 14, // Predicate_truncstore
/*  2479*/      OPC_Scope, 16, /*->2497*/ // 3 children in Scope
/*  2481*/       OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2482*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2483*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2485*/       OPC_EmitMergeInputChains1_0,
/*  2486*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2488*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 13
                 // Dst: (STORE8_I64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2497*/      /*Scope*/ 16, /*->2514*/
/*  2498*/       OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2499*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2500*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2502*/       OPC_EmitMergeInputChains1_0,
/*  2503*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2505*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 13
                 // Dst: (STORE16_I64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2514*/      /*Scope*/ 16, /*->2531*/
/*  2515*/       OPC_CheckPredicate3,  // Predicate_truncstorei32
/*  2516*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2517*/       OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2519*/       OPC_EmitMergeInputChains1_0,
/*  2520*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2522*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 13
                 // Dst: (STORE32_I64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2531*/      0, /*End of Scope*/
/*  2532*/     0, /*End of Scope*/
/*  2533*/    /*Scope*/ 77, /*->2611*/
/*  2534*/     OPC_CheckChild2TypeI64,
/*  2535*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2536*/     OPC_Scope, 16, /*->2554*/ // 2 children in Scope
/*  2538*/      OPC_CheckPredicate5,  // Predicate_store
/*  2539*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2540*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2542*/      OPC_EmitMergeInputChains1_0,
/*  2543*/      OPC_EmitInteger32, 0,  // 0 #5
/*  2545*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (st i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
                // Dst: (STORE_I64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2554*/     /*Scope*/ 55, /*->2610*/
/*  2555*/      OPC_CheckPredicate, 14, // Predicate_truncstore
/*  2557*/      OPC_Scope, 16, /*->2575*/ // 3 children in Scope
/*  2559*/       OPC_CheckPredicate1,  // Predicate_truncstorei8
/*  2560*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2561*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2563*/       OPC_EmitMergeInputChains1_0,
/*  2564*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2566*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 13
                 // Dst: (STORE8_I64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2575*/      /*Scope*/ 16, /*->2592*/
/*  2576*/       OPC_CheckPredicate2,  // Predicate_truncstorei16
/*  2577*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2578*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2580*/       OPC_EmitMergeInputChains1_0,
/*  2581*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2583*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 13
                 // Dst: (STORE16_I64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2592*/      /*Scope*/ 16, /*->2609*/
/*  2593*/       OPC_CheckPredicate3,  // Predicate_truncstorei32
/*  2594*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2595*/       OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2597*/       OPC_EmitMergeInputChains1_0,
/*  2598*/       OPC_EmitInteger32, 0,  // 0 #5
/*  2600*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 5, 3, 4, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 13
                 // Dst: (STORE32_I64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2609*/      0, /*End of Scope*/
/*  2610*/     0, /*End of Scope*/
/*  2611*/    0, /*End of Scope*/
/*  2612*/   /*Scope*/ 43, /*->2656*/
/*  2613*/    OPC_CheckChild1Type, /*MVT::f32*/12, 
/*  2615*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2616*/    OPC_Scope, 18, /*->2636*/ // 2 children in Scope
/*  2618*/     OPC_CheckChild2TypeI32,
/*  2619*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2620*/     OPC_CheckPredicate5,  // Predicate_store
/*  2621*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2622*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2624*/     OPC_EmitMergeInputChains1_0,
/*  2625*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2627*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st f32:{ *:[f32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_F32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/*  2636*/    /*Scope*/ 18, /*->2655*/
/*  2637*/     OPC_CheckChild2TypeI64,
/*  2638*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2639*/     OPC_CheckPredicate5,  // Predicate_store
/*  2640*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2641*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2643*/     OPC_EmitMergeInputChains1_0,
/*  2644*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2646*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st f32:{ *:[f32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_F32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/*  2655*/    0, /*End of Scope*/
/*  2656*/   /*Scope*/ 43, /*->2700*/
/*  2657*/    OPC_CheckChild1Type, /*MVT::f64*/13, 
/*  2659*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2660*/    OPC_Scope, 18, /*->2680*/ // 2 children in Scope
/*  2662*/     OPC_CheckChild2TypeI32,
/*  2663*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2664*/     OPC_CheckPredicate5,  // Predicate_store
/*  2665*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2666*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2668*/     OPC_EmitMergeInputChains1_0,
/*  2669*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2671*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st f64:{ *:[f64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_F64_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, f64:{ *:[f64] }:$val)
/*  2680*/    /*Scope*/ 18, /*->2699*/
/*  2681*/     OPC_CheckChild2TypeI64,
/*  2682*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2683*/     OPC_CheckPredicate5,  // Predicate_store
/*  2684*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2685*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2687*/     OPC_EmitMergeInputChains1_0,
/*  2688*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2690*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st f64:{ *:[f64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_F64_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, f64:{ *:[f64] }:$val)
/*  2699*/    0, /*End of Scope*/
/*  2700*/   /*Scope*/ 43, /*->2744*/
/*  2701*/    OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/*  2703*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2704*/    OPC_Scope, 18, /*->2724*/ // 2 children in Scope
/*  2706*/     OPC_CheckChild2TypeI32,
/*  2707*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2708*/     OPC_CheckPredicate5,  // Predicate_store
/*  2709*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2710*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2712*/     OPC_EmitMergeInputChains1_0,
/*  2713*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2715*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v16i8:{ *:[v16i8] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v16i8:{ *:[v16i8] }:$val)
/*  2724*/    /*Scope*/ 18, /*->2743*/
/*  2725*/     OPC_CheckChild2TypeI64,
/*  2726*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2727*/     OPC_CheckPredicate5,  // Predicate_store
/*  2728*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2729*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2731*/     OPC_EmitMergeInputChains1_0,
/*  2732*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2734*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v16i8:{ *:[v16i8] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v16i8:{ *:[v16i8] }:$val)
/*  2743*/    0, /*End of Scope*/
/*  2744*/   /*Scope*/ 43, /*->2788*/
/*  2745*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/*  2747*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2748*/    OPC_Scope, 18, /*->2768*/ // 2 children in Scope
/*  2750*/     OPC_CheckChild2TypeI32,
/*  2751*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2752*/     OPC_CheckPredicate5,  // Predicate_store
/*  2753*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2754*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2756*/     OPC_EmitMergeInputChains1_0,
/*  2757*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2759*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v8i16:{ *:[v8i16] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v8i16:{ *:[v8i16] }:$val)
/*  2768*/    /*Scope*/ 18, /*->2787*/
/*  2769*/     OPC_CheckChild2TypeI64,
/*  2770*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2771*/     OPC_CheckPredicate5,  // Predicate_store
/*  2772*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2773*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2775*/     OPC_EmitMergeInputChains1_0,
/*  2776*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2778*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v8i16:{ *:[v8i16] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v8i16:{ *:[v8i16] }:$val)
/*  2787*/    0, /*End of Scope*/
/*  2788*/   /*Scope*/ 43, /*->2832*/
/*  2789*/    OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/*  2791*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2792*/    OPC_Scope, 18, /*->2812*/ // 2 children in Scope
/*  2794*/     OPC_CheckChild2TypeI32,
/*  2795*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2796*/     OPC_CheckPredicate5,  // Predicate_store
/*  2797*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2798*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2800*/     OPC_EmitMergeInputChains1_0,
/*  2801*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2803*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v4i32:{ *:[v4i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v4i32:{ *:[v4i32] }:$val)
/*  2812*/    /*Scope*/ 18, /*->2831*/
/*  2813*/     OPC_CheckChild2TypeI64,
/*  2814*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2815*/     OPC_CheckPredicate5,  // Predicate_store
/*  2816*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2817*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2819*/     OPC_EmitMergeInputChains1_0,
/*  2820*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2822*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v4i32:{ *:[v4i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v4i32:{ *:[v4i32] }:$val)
/*  2831*/    0, /*End of Scope*/
/*  2832*/   /*Scope*/ 43, /*->2876*/
/*  2833*/    OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/*  2835*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2836*/    OPC_Scope, 18, /*->2856*/ // 2 children in Scope
/*  2838*/     OPC_CheckChild2TypeI32,
/*  2839*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2840*/     OPC_CheckPredicate5,  // Predicate_store
/*  2841*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2842*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2844*/     OPC_EmitMergeInputChains1_0,
/*  2845*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2847*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v2i64:{ *:[v2i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v2i64:{ *:[v2i64] }:$val)
/*  2856*/    /*Scope*/ 18, /*->2875*/
/*  2857*/     OPC_CheckChild2TypeI64,
/*  2858*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2859*/     OPC_CheckPredicate5,  // Predicate_store
/*  2860*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2861*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2863*/     OPC_EmitMergeInputChains1_0,
/*  2864*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2866*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v2i64:{ *:[v2i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v2i64:{ *:[v2i64] }:$val)
/*  2875*/    0, /*End of Scope*/
/*  2876*/   /*Scope*/ 43, /*->2920*/
/*  2877*/    OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/*  2879*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2880*/    OPC_Scope, 18, /*->2900*/ // 2 children in Scope
/*  2882*/     OPC_CheckChild2TypeI32,
/*  2883*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2884*/     OPC_CheckPredicate5,  // Predicate_store
/*  2885*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2886*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2888*/     OPC_EmitMergeInputChains1_0,
/*  2889*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2891*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v4f32:{ *:[v4f32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v4f32:{ *:[v4f32] }:$val)
/*  2900*/    /*Scope*/ 18, /*->2919*/
/*  2901*/     OPC_CheckChild2TypeI64,
/*  2902*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2903*/     OPC_CheckPredicate5,  // Predicate_store
/*  2904*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2905*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2907*/     OPC_EmitMergeInputChains1_0,
/*  2908*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2910*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v4f32:{ *:[v4f32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v4f32:{ *:[v4f32] }:$val)
/*  2919*/    0, /*End of Scope*/
/*  2920*/   /*Scope*/ 44, /*->2965*/
/*  2921*/    OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/*  2924*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2925*/    OPC_Scope, 18, /*->2945*/ // 2 children in Scope
/*  2927*/     OPC_CheckChild2TypeI32,
/*  2928*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2929*/     OPC_CheckPredicate5,  // Predicate_store
/*  2930*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2931*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2933*/     OPC_EmitMergeInputChains1_0,
/*  2934*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2936*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v2f64:{ *:[v2f64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v2f64:{ *:[v2f64] }:$val)
/*  2945*/    /*Scope*/ 18, /*->2964*/
/*  2946*/     OPC_CheckChild2TypeI64,
/*  2947*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2948*/     OPC_CheckPredicate5,  // Predicate_store
/*  2949*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2950*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2952*/     OPC_EmitMergeInputChains1_0,
/*  2953*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2955*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v2f64:{ *:[v2f64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v2f64:{ *:[v2f64] }:$val)
/*  2964*/    0, /*End of Scope*/
/*  2965*/   /*Scope*/ 43, /*->3009*/
/*  2966*/    OPC_CheckChild1Type, /*MVT::v8f16*/92, 
/*  2968*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  2969*/    OPC_Scope, 18, /*->2989*/ // 2 children in Scope
/*  2971*/     OPC_CheckChild2TypeI32,
/*  2972*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2973*/     OPC_CheckPredicate5,  // Predicate_store
/*  2974*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  2975*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  2977*/     OPC_EmitMergeInputChains1_0,
/*  2978*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2980*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v8f16:{ *:[v8f16] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, v8f16:{ *:[v8f16] }:$val)
/*  2989*/    /*Scope*/ 18, /*->3008*/
/*  2990*/     OPC_CheckChild2TypeI64,
/*  2991*/     OPC_CheckPredicate4,  // Predicate_unindexedstore
/*  2992*/     OPC_CheckPredicate5,  // Predicate_store
/*  2993*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  2994*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  2996*/     OPC_EmitMergeInputChains1_0,
/*  2997*/     OPC_EmitInteger32, 0,  // 0 #5
/*  2999*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (st v8f16:{ *:[v8f16] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 13
               // Dst: (STORE_V128_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, v8f16:{ *:[v8f16] }:$val)
/*  3008*/    0, /*End of Scope*/
/*  3009*/   0, /*End of Scope*/
/*  3010*/  0, /*End of Scope*/
/*  3011*/ /*SwitchOpcode*/ 7|128,2/*263*/, TARGET_VAL(ISD::INTRINSIC_VOID),// ->3278
/*  3015*/  OPC_Scope, 40, /*->3057*/ // 3 children in Scope
/*  3017*/   OPC_RecordNode, // #0 = 'intrinsic_void' chained node
/*  3018*/   OPC_CheckChild1Integer, 8|128,79|128,1/*26504*/, 
/*  3022*/   OPC_MoveChild2,
/*  3023*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3026*/   OPC_RecordChild0, // #1 = $table1
/*  3027*/   OPC_MoveChild0,
/*  3028*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3031*/   OPC_MoveParent,
/*  3032*/   OPC_MoveSibling3,
/*  3033*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3036*/   OPC_RecordChild0, // #2 = $table2
/*  3037*/   OPC_MoveChild0,
/*  3038*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3041*/   OPC_MoveParent,
/*  3042*/   OPC_MoveParent,
/*  3043*/   OPC_RecordChild4, // #3 = $d
/*  3044*/   OPC_RecordChild5, // #4 = $s
/*  3045*/   OPC_RecordChild6, // #5 = $n
/*  3046*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3047*/   OPC_EmitMergeInputChains1_0,
/*  3048*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_COPY),
                 5/*#Ops*/, 1, 2, 3, 4, 5, 
             // Src: (intrinsic_void 13252:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table1), (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table2), I32:{ *:[i32] }:$d, I32:{ *:[i32] }:$s, I32:{ *:[i32] }:$n) - Complexity = 20
             // Dst: (TABLE_COPY (tglobaladdr:{ *:[i32] }):$table1, (tglobaladdr:{ *:[i32] }):$table2, I32:{ *:[i32] }:$d, I32:{ *:[i32] }:$s, I32:{ *:[i32] }:$n)
/*  3057*/  /*Scope*/ 44, /*->3102*/
/*  3058*/   OPC_RecordMemRef,
/*  3059*/   OPC_RecordNode, // #0 = 'intrinsic_void' chained node
/*  3060*/   OPC_CheckChild1Integer, 4|128,79|128,1/*26500*/, 
/*  3064*/   OPC_RecordChild2, // #1 = $val
/*  3065*/   OPC_RecordChild3, // #2 = $AddrOps32:offset:addr
/*  3066*/   OPC_Scope, 16, /*->3084*/ // 2 children in Scope
/*  3068*/    OPC_CheckChild3TypeI32,
/*  3069*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  3070*/    OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3072*/    OPC_EmitMergeInputChains1_0,
/*  3073*/    OPC_EmitInteger32, 0,  // 0 #5
/*  3075*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F16_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  4/*#Ops*/, 5, 3, 4, 1, 
              // Src: (intrinsic_void 13250:{ *:[iPTR] }, f32:{ *:[f32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)) - Complexity = 17
              // Dst: (STORE_F16_F32_A32 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/*  3084*/   /*Scope*/ 16, /*->3101*/
/*  3085*/    OPC_CheckChild3TypeI64,
/*  3086*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  3087*/    OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3089*/    OPC_EmitMergeInputChains1_0,
/*  3090*/    OPC_EmitInteger32, 0,  // 0 #5
/*  3092*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F16_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  4/*#Ops*/, 5, 3, 4, 1, 
              // Src: (intrinsic_void 13250:{ *:[iPTR] }, f32:{ *:[f32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)) - Complexity = 17
              // Dst: (STORE_F16_F32_A64 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/*  3101*/   0, /*End of Scope*/
/*  3102*/  /*Scope*/ 45|128,1/*173*/, /*->3277*/
/*  3104*/   OPC_RecordNode, // #0 = 'intrinsic_void' chained node
/*  3105*/   OPC_Scope, 26, /*->3133*/ // 6 children in Scope
/*  3107*/    OPC_CheckChild1Integer, 32|128,79|128,1/*26528*/, 
/*  3111*/    OPC_MoveChild2,
/*  3112*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3115*/    OPC_RecordChild0, // #1 = $table
/*  3116*/    OPC_MoveChild0,
/*  3117*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3120*/    OPC_MoveParent,
/*  3121*/    OPC_MoveParent,
/*  3122*/    OPC_RecordChild3, // #2 = $i
/*  3123*/    OPC_RecordChild4, // #3 = $val
/*  3124*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3125*/    OPC_EmitMergeInputChains1_0,
/*  3126*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_SET_FUNCREF),
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_void 13264:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val) - Complexity = 14
              // Dst: (TABLE_SET_FUNCREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val)
/*  3133*/   /*Scope*/ 28, /*->3162*/
/*  3134*/    OPC_CheckChild1Integer, 14|128,79|128,1/*26510*/, 
/*  3138*/    OPC_MoveChild2,
/*  3139*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3142*/    OPC_RecordChild0, // #1 = $table
/*  3143*/    OPC_MoveChild0,
/*  3144*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3147*/    OPC_MoveParent,
/*  3148*/    OPC_MoveParent,
/*  3149*/    OPC_RecordChild3, // #2 = $i
/*  3150*/    OPC_RecordChild4, // #3 = $val
/*  3151*/    OPC_RecordChild5, // #4 = $n
/*  3152*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3153*/    OPC_EmitMergeInputChains1_0,
/*  3154*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_FILL_FUNCREF),
                  4/*#Ops*/, 1, 2, 3, 4, 
              // Src: (intrinsic_void 13255:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_FILL_FUNCREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n)
/*  3162*/   /*Scope*/ 26, /*->3189*/
/*  3163*/    OPC_CheckChild1Integer, 30|128,79|128,1/*26526*/, 
/*  3167*/    OPC_MoveChild2,
/*  3168*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3171*/    OPC_RecordChild0, // #1 = $table
/*  3172*/    OPC_MoveChild0,
/*  3173*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3176*/    OPC_MoveParent,
/*  3177*/    OPC_MoveParent,
/*  3178*/    OPC_RecordChild3, // #2 = $i
/*  3179*/    OPC_RecordChild4, // #3 = $val
/*  3180*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3181*/    OPC_EmitMergeInputChains1_0,
/*  3182*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_SET_EXTERNREF),
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_void 13263:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val) - Complexity = 14
              // Dst: (TABLE_SET_EXTERNREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val)
/*  3189*/   /*Scope*/ 28, /*->3218*/
/*  3190*/    OPC_CheckChild1Integer, 12|128,79|128,1/*26508*/, 
/*  3194*/    OPC_MoveChild2,
/*  3195*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3198*/    OPC_RecordChild0, // #1 = $table
/*  3199*/    OPC_MoveChild0,
/*  3200*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3203*/    OPC_MoveParent,
/*  3204*/    OPC_MoveParent,
/*  3205*/    OPC_RecordChild3, // #2 = $i
/*  3206*/    OPC_RecordChild4, // #3 = $val
/*  3207*/    OPC_RecordChild5, // #4 = $n
/*  3208*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3209*/    OPC_EmitMergeInputChains1_0,
/*  3210*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_FILL_EXTERNREF),
                  4/*#Ops*/, 1, 2, 3, 4, 
              // Src: (intrinsic_void 13254:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_FILL_EXTERNREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n)
/*  3218*/   /*Scope*/ 27, /*->3246*/
/*  3219*/    OPC_CheckChild1Integer, 28|128,79|128,1/*26524*/, 
/*  3223*/    OPC_MoveChild2,
/*  3224*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3227*/    OPC_RecordChild0, // #1 = $table
/*  3228*/    OPC_MoveChild0,
/*  3229*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3232*/    OPC_MoveParent,
/*  3233*/    OPC_MoveParent,
/*  3234*/    OPC_RecordChild3, // #2 = $i
/*  3235*/    OPC_RecordChild4, // #3 = $val
/*  3236*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/*  3238*/    OPC_EmitMergeInputChains1_0,
/*  3239*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_SET_EXNREF),
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_void 13262:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, EXNREF:{ *:[exnref] }:$val) - Complexity = 14
              // Dst: (TABLE_SET_EXNREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, EXNREF:{ *:[exnref] }:$val)
/*  3246*/   /*Scope*/ 29, /*->3276*/
/*  3247*/    OPC_CheckChild1Integer, 10|128,79|128,1/*26506*/, 
/*  3251*/    OPC_MoveChild2,
/*  3252*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3255*/    OPC_RecordChild0, // #1 = $table
/*  3256*/    OPC_MoveChild0,
/*  3257*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3260*/    OPC_MoveParent,
/*  3261*/    OPC_MoveParent,
/*  3262*/    OPC_RecordChild3, // #2 = $i
/*  3263*/    OPC_RecordChild4, // #3 = $val
/*  3264*/    OPC_RecordChild5, // #4 = $n
/*  3265*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/*  3267*/    OPC_EmitMergeInputChains1_0,
/*  3268*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::TABLE_FILL_EXNREF),
                  4/*#Ops*/, 1, 2, 3, 4, 
              // Src: (intrinsic_void 13253:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, EXNREF:{ *:[exnref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_FILL_EXNREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, EXNREF:{ *:[exnref] }:$val, I32:{ *:[i32] }:$n)
/*  3276*/   0, /*End of Scope*/
/*  3277*/  0, /*End of Scope*/
/*  3278*/ /*SwitchOpcode*/ 81|128,3/*465*/, TARGET_VAL(ISD::INTRINSIC_W_CHAIN),// ->3747
/*  3282*/  OPC_Scope, 22|128,1/*150*/, /*->3435*/ // 3 children in Scope
/*  3285*/   OPC_RecordMemRef,
/*  3286*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/*  3287*/   OPC_Scope, 45, /*->3334*/ // 3 children in Scope
/*  3289*/    OPC_CheckChild1Integer, 64|128,78|128,1/*26432*/, 
/*  3293*/    OPC_RecordChild2, // #1 = $AddrOps32:offset:addr
/*  3294*/    OPC_Scope, 18, /*->3314*/ // 2 children in Scope
/*  3296*/     OPC_CheckChild2TypeI32,
/*  3297*/     OPC_RecordChild3, // #2 = $count
/*  3298*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3299*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  3301*/     OPC_EmitMergeInputChains1_0,
/*  3302*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3304*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13216:{ *:[iPTR] }, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), I32:{ *:[i32] }:$count) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$count)
/*  3314*/    /*Scope*/ 18, /*->3333*/
/*  3315*/     OPC_CheckChild2TypeI64,
/*  3316*/     OPC_RecordChild3, // #2 = $count
/*  3317*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3318*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  3320*/     OPC_EmitMergeInputChains1_0,
/*  3321*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3323*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13216:{ *:[iPTR] }, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), I32:{ *:[i32] }:$count) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$count)
/*  3333*/    0, /*End of Scope*/
/*  3334*/   /*Scope*/ 49, /*->3384*/
/*  3335*/    OPC_CheckChild1Integer, 66|128,78|128,1/*26434*/, 
/*  3339*/    OPC_RecordChild2, // #1 = $AddrOps32:offset:addr
/*  3340*/    OPC_Scope, 20, /*->3362*/ // 2 children in Scope
/*  3342*/     OPC_CheckChild2TypeI32,
/*  3343*/     OPC_RecordChild3, // #2 = $exp
/*  3344*/     OPC_RecordChild4, // #3 = $timeout
/*  3345*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3346*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  3348*/     OPC_EmitMergeInputChains1_0,
/*  3349*/     OPC_EmitInteger32, 0,  // 0 #6
/*  3351*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13217:{ *:[iPTR] }, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i64] }:$timeout)
/*  3362*/    /*Scope*/ 20, /*->3383*/
/*  3363*/     OPC_CheckChild2TypeI64,
/*  3364*/     OPC_RecordChild3, // #2 = $exp
/*  3365*/     OPC_RecordChild4, // #3 = $timeout
/*  3366*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3367*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  3369*/     OPC_EmitMergeInputChains1_0,
/*  3370*/     OPC_EmitInteger32, 0,  // 0 #6
/*  3372*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13217:{ *:[iPTR] }, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i64] }:$timeout)
/*  3383*/    0, /*End of Scope*/
/*  3384*/   /*Scope*/ 49, /*->3434*/
/*  3385*/    OPC_CheckChild1Integer, 68|128,78|128,1/*26436*/, 
/*  3389*/    OPC_RecordChild2, // #1 = $AddrOps32:offset:addr
/*  3390*/    OPC_Scope, 20, /*->3412*/ // 2 children in Scope
/*  3392*/     OPC_CheckChild2TypeI32,
/*  3393*/     OPC_RecordChild3, // #2 = $exp
/*  3394*/     OPC_RecordChild4, // #3 = $timeout
/*  3395*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3396*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  3398*/     OPC_EmitMergeInputChains1_0,
/*  3399*/     OPC_EmitInteger32, 0,  // 0 #6
/*  3401*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13218:{ *:[iPTR] }, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$timeout)
/*  3412*/    /*Scope*/ 20, /*->3433*/
/*  3413*/     OPC_CheckChild2TypeI64,
/*  3414*/     OPC_RecordChild3, // #2 = $exp
/*  3415*/     OPC_RecordChild4, // #3 = $timeout
/*  3416*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3417*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  3419*/     OPC_EmitMergeInputChains1_0,
/*  3420*/     OPC_EmitInteger32, 0,  // 0 #6
/*  3422*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13218:{ *:[iPTR] }, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 17
               // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$timeout)
/*  3433*/    0, /*End of Scope*/
/*  3434*/   0, /*End of Scope*/
/*  3435*/  /*Scope*/ 9|128,2/*265*/, /*->3702*/
/*  3437*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/*  3438*/   OPC_Scope, 26, /*->3466*/ // 9 children in Scope
/*  3440*/    OPC_CheckChild1Integer, 20|128,79|128,1/*26516*/, 
/*  3444*/    OPC_MoveChild2,
/*  3445*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3448*/    OPC_RecordChild0, // #1 = $table
/*  3449*/    OPC_MoveChild0,
/*  3450*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3453*/    OPC_MoveParent,
/*  3454*/    OPC_MoveParent,
/*  3455*/    OPC_RecordChild3, // #2 = $i
/*  3456*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3457*/    OPC_EmitMergeInputChains1_0,
/*  3458*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GET_FUNCREF),
                  /*MVT::funcref*/99|128,1/*227*/, 2/*#Ops*/, 1, 2, 
              // Src: (intrinsic_w_chain:{ *:[funcref] } 13258:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i) - Complexity = 14
              // Dst: (TABLE_GET_FUNCREF:{ *:[funcref] } (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i)
/*  3466*/   /*Scope*/ 27, /*->3494*/
/*  3467*/    OPC_CheckChild1Integer, 26|128,79|128,1/*26522*/, 
/*  3471*/    OPC_MoveChild2,
/*  3472*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3475*/    OPC_RecordChild0, // #1 = $table
/*  3476*/    OPC_MoveChild0,
/*  3477*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3480*/    OPC_MoveParent,
/*  3481*/    OPC_MoveParent,
/*  3482*/    OPC_RecordChild3, // #2 = $val
/*  3483*/    OPC_RecordChild4, // #3 = $n
/*  3484*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3485*/    OPC_EmitMergeInputChains1_0,
/*  3486*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GROW_FUNCREF),
                  /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 13261:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_GROW_FUNCREF:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table, FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n)
/*  3494*/   /*Scope*/ 26, /*->3521*/
/*  3495*/    OPC_CheckChild1Integer, 18|128,79|128,1/*26514*/, 
/*  3499*/    OPC_MoveChild2,
/*  3500*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3503*/    OPC_RecordChild0, // #1 = $table
/*  3504*/    OPC_MoveChild0,
/*  3505*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3508*/    OPC_MoveParent,
/*  3509*/    OPC_MoveParent,
/*  3510*/    OPC_RecordChild3, // #2 = $i
/*  3511*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3512*/    OPC_EmitMergeInputChains1_0,
/*  3513*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GET_EXTERNREF),
                  /*MVT::externref*/100|128,1/*228*/, 2/*#Ops*/, 1, 2, 
              // Src: (intrinsic_w_chain:{ *:[externref] } 13257:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i) - Complexity = 14
              // Dst: (TABLE_GET_EXTERNREF:{ *:[externref] } (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i)
/*  3521*/   /*Scope*/ 27, /*->3549*/
/*  3522*/    OPC_CheckChild1Integer, 24|128,79|128,1/*26520*/, 
/*  3526*/    OPC_MoveChild2,
/*  3527*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3530*/    OPC_RecordChild0, // #1 = $table
/*  3531*/    OPC_MoveChild0,
/*  3532*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3535*/    OPC_MoveParent,
/*  3536*/    OPC_MoveParent,
/*  3537*/    OPC_RecordChild3, // #2 = $val
/*  3538*/    OPC_RecordChild4, // #3 = $n
/*  3539*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3540*/    OPC_EmitMergeInputChains1_0,
/*  3541*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GROW_EXTERNREF),
                  /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 13260:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_GROW_EXTERNREF:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table, EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n)
/*  3549*/   /*Scope*/ 27, /*->3577*/
/*  3550*/    OPC_CheckChild1Integer, 16|128,79|128,1/*26512*/, 
/*  3554*/    OPC_MoveChild2,
/*  3555*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3558*/    OPC_RecordChild0, // #1 = $table
/*  3559*/    OPC_MoveChild0,
/*  3560*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3563*/    OPC_MoveParent,
/*  3564*/    OPC_MoveParent,
/*  3565*/    OPC_RecordChild3, // #2 = $i
/*  3566*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/*  3568*/    OPC_EmitMergeInputChains1_0,
/*  3569*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GET_EXNREF),
                  /*MVT::exnref*/101|128,1/*229*/, 2/*#Ops*/, 1, 2, 
              // Src: (intrinsic_w_chain:{ *:[exnref] } 13256:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i) - Complexity = 14
              // Dst: (TABLE_GET_EXNREF:{ *:[exnref] } (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i)
/*  3577*/   /*Scope*/ 28, /*->3606*/
/*  3578*/    OPC_CheckChild1Integer, 22|128,79|128,1/*26518*/, 
/*  3582*/    OPC_MoveChild2,
/*  3583*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3586*/    OPC_RecordChild0, // #1 = $table
/*  3587*/    OPC_MoveChild0,
/*  3588*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3591*/    OPC_MoveParent,
/*  3592*/    OPC_MoveParent,
/*  3593*/    OPC_RecordChild3, // #2 = $val
/*  3594*/    OPC_RecordChild4, // #3 = $n
/*  3595*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/*  3597*/    OPC_EmitMergeInputChains1_0,
/*  3598*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_GROW_EXNREF),
                  /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 13259:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), EXNREF:{ *:[exnref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_GROW_EXNREF:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table, EXNREF:{ *:[exnref] }:$val, I32:{ *:[i32] }:$n)
/*  3606*/   /*Scope*/ 23, /*->3630*/
/*  3607*/    OPC_CheckChild1Integer, 34|128,79|128,1/*26530*/, 
/*  3611*/    OPC_MoveChild2,
/*  3612*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/*  3615*/    OPC_RecordChild0, // #1 = $table
/*  3616*/    OPC_MoveChild0,
/*  3617*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3620*/    OPC_MoveParent,
/*  3621*/    OPC_MoveParent,
/*  3622*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  3623*/    OPC_EmitMergeInputChains1_0,
/*  3624*/    OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::TABLE_SIZE),
                  /*MVT::i32*/7, 1/*#Ops*/, 1, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 13265:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table)) - Complexity = 14
              // Dst: (TABLE_SIZE:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table)
/*  3630*/   /*Scope*/ 32, /*->3663*/
/*  3631*/    OPC_CheckChild1Integer, 72|128,78|128,1/*26440*/, 
/*  3635*/    OPC_RecordChild2, // #1 = $flags
/*  3636*/    OPC_MoveChild2,
/*  3637*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3640*/    OPC_MoveParent,
/*  3641*/    OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->3652
/*  3644*/     OPC_EmitMergeInputChains1_0,
/*  3645*/     OPC_EmitConvertToTarget1, // #2
/*  3646*/     OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::anonymous_8861MEMORY_SIZE_A32),
                   /*MVT::i32*/7, 1/*#Ops*/, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13220:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags) - Complexity = 11
               // Dst: (anonymous_8861MEMORY_SIZE_A32:{ *:[i32] } (imm:{ *:[i32] }):$flags)
/*  3652*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->3662
/*  3654*/     OPC_EmitMergeInputChains1_0,
/*  3655*/     OPC_EmitConvertToTarget1, // #2
/*  3656*/     OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::anonymous_8862MEMORY_SIZE_A64),
                   /*MVT::i64*/8, 1/*#Ops*/, 2, 
               // Src: (intrinsic_w_chain:{ *:[i64] } 13220:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags) - Complexity = 11
               // Dst: (anonymous_8862MEMORY_SIZE_A64:{ *:[i64] } (imm:{ *:[i32] }):$flags)
/*  3662*/    0, // EndSwitchType
/*  3663*/   /*Scope*/ 37, /*->3701*/
/*  3664*/    OPC_CheckChild1Integer, 70|128,78|128,1/*26438*/, 
/*  3668*/    OPC_RecordChild2, // #1 = $flags
/*  3669*/    OPC_MoveChild2,
/*  3670*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3673*/    OPC_MoveParent,
/*  3674*/    OPC_RecordChild3, // #2 = $delta
/*  3675*/    OPC_SwitchType /*2 cases */, 10, /*MVT::i32*/7, // ->3688
/*  3678*/     OPC_CheckChild3TypeI32,
/*  3679*/     OPC_EmitMergeInputChains1_0,
/*  3680*/     OPC_EmitConvertToTarget1, // #3
/*  3681*/     OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::anonymous_8861MEMORY_GROW_A32),
                   /*MVT::i32*/7, 2/*#Ops*/, 3, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 13219:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags, I32:{ *:[i32] }:$delta) - Complexity = 11
               // Dst: (anonymous_8861MEMORY_GROW_A32:{ *:[i32] } (imm:{ *:[i32] }):$flags, I32:{ *:[i32] }:$delta)
/*  3688*/    /*SwitchType*/ 10, /*MVT::i64*/8, // ->3700
/*  3690*/     OPC_CheckChild3TypeI64,
/*  3691*/     OPC_EmitMergeInputChains1_0,
/*  3692*/     OPC_EmitConvertToTarget1, // #3
/*  3693*/     OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::anonymous_8862MEMORY_GROW_A64),
                   /*MVT::i64*/8, 2/*#Ops*/, 3, 2, 
               // Src: (intrinsic_w_chain:{ *:[i64] } 13219:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags, I64:{ *:[i64] }:$delta) - Complexity = 11
               // Dst: (anonymous_8862MEMORY_GROW_A64:{ *:[i64] } (imm:{ *:[i32] }):$flags, I64:{ *:[i64] }:$delta)
/*  3700*/    0, // EndSwitchType
/*  3701*/   0, /*End of Scope*/
/*  3702*/  /*Scope*/ 43, /*->3746*/
/*  3703*/   OPC_RecordMemRef,
/*  3704*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/*  3705*/   OPC_CheckChild1Integer, 60|128,78|128,1/*26428*/, 
/*  3709*/   OPC_RecordChild2, // #1 = $AddrOps32:offset:addr
/*  3710*/   OPC_Scope, 16, /*->3728*/ // 2 children in Scope
/*  3712*/    OPC_CheckChild2TypeI32,
/*  3713*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  3714*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  3716*/    OPC_EmitMergeInputChains1_0,
/*  3717*/    OPC_EmitInteger32, 0,  // 0 #4
/*  3719*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F16_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::f32*/12, 3/*#Ops*/, 4, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[f32] } 13214:{ *:[iPTR] }, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)) - Complexity = 17
              // Dst: (LOAD_F16_F32_A32:{ *:[f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  3728*/   /*Scope*/ 16, /*->3745*/
/*  3729*/    OPC_CheckChild2TypeI64,
/*  3730*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  3731*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  3733*/    OPC_EmitMergeInputChains1_0,
/*  3734*/    OPC_EmitInteger32, 0,  // 0 #4
/*  3736*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F16_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::f32*/12, 3/*#Ops*/, 4, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[f32] } 13214:{ *:[iPTR] }, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)) - Complexity = 17
              // Dst: (LOAD_F16_F32_A64:{ *:[f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  3745*/   0, /*End of Scope*/
/*  3746*/  0, /*End of Scope*/
/*  3747*/ /*SwitchOpcode*/ 29|128,2/*285*/, TARGET_VAL(ISD::ATOMIC_STORE),// ->4036
/*  3751*/  OPC_RecordMemRef,
/*  3752*/  OPC_RecordNode, // #0 = 'atomic_store' chained node
/*  3753*/  OPC_Scope, 119, /*->3874*/ // 2 children in Scope
/*  3755*/   OPC_MoveChild1,
/*  3756*/   OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3759*/   OPC_RecordChild0, // #1 = $val
/*  3760*/   OPC_MoveParent,
/*  3761*/   OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  3762*/   OPC_Scope, 54, /*->3818*/ // 2 children in Scope
/*  3764*/    OPC_CheckChild2TypeI32,
/*  3765*/    OPC_Scope, 16, /*->3783*/ // 3 children in Scope
/*  3767*/     OPC_CheckPredicate1,  // Predicate_atomic_store_8
/*  3768*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3769*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3771*/     OPC_EmitMergeInputChains1_0,
/*  3772*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3774*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_8>> - Complexity = 16
               // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  3783*/    /*Scope*/ 16, /*->3800*/
/*  3784*/     OPC_CheckPredicate2,  // Predicate_atomic_store_16
/*  3785*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3786*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3788*/     OPC_EmitMergeInputChains1_0,
/*  3789*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3791*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_16>> - Complexity = 16
               // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  3800*/    /*Scope*/ 16, /*->3817*/
/*  3801*/     OPC_CheckPredicate3,  // Predicate_atomic_store_32
/*  3802*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3803*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3805*/     OPC_EmitMergeInputChains1_0,
/*  3806*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3808*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_32>> - Complexity = 16
               // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  3817*/    0, /*End of Scope*/
/*  3818*/   /*Scope*/ 54, /*->3873*/
/*  3819*/    OPC_CheckChild2TypeI64,
/*  3820*/    OPC_Scope, 16, /*->3838*/ // 3 children in Scope
/*  3822*/     OPC_CheckPredicate1,  // Predicate_atomic_store_8
/*  3823*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3824*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3826*/     OPC_EmitMergeInputChains1_0,
/*  3827*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3829*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_8>> - Complexity = 16
               // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  3838*/    /*Scope*/ 16, /*->3855*/
/*  3839*/     OPC_CheckPredicate2,  // Predicate_atomic_store_16
/*  3840*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3841*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3843*/     OPC_EmitMergeInputChains1_0,
/*  3844*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3846*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_16>> - Complexity = 16
               // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  3855*/    /*Scope*/ 16, /*->3872*/
/*  3856*/     OPC_CheckPredicate3,  // Predicate_atomic_store_32
/*  3857*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3858*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3860*/     OPC_EmitMergeInputChains1_0,
/*  3861*/     OPC_EmitInteger32, 0,  // 0 #5
/*  3863*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store (trunc:{ *:[i32] } i64:{ *:[i64] }:$val), (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_32>> - Complexity = 16
               // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  3872*/    0, /*End of Scope*/
/*  3873*/   0, /*End of Scope*/
/*  3874*/  /*Scope*/ 31|128,1/*159*/, /*->4035*/
/*  3876*/   OPC_RecordChild1, // #1 = $val
/*  3877*/   OPC_Scope, 114, /*->3993*/ // 2 children in Scope
/*  3879*/    OPC_CheckChild1TypeI32,
/*  3880*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  3881*/    OPC_Scope, 54, /*->3937*/ // 2 children in Scope
/*  3883*/     OPC_CheckChild2TypeI32,
/*  3884*/     OPC_Scope, 16, /*->3902*/ // 3 children in Scope
/*  3886*/      OPC_CheckPredicate3,  // Predicate_atomic_store_32
/*  3887*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3888*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3890*/      OPC_EmitMergeInputChains1_0,
/*  3891*/      OPC_EmitInteger32, 0,  // 0 #5
/*  3893*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_32>> - Complexity = 13
                // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  3902*/     /*Scope*/ 16, /*->3919*/
/*  3903*/      OPC_CheckPredicate1,  // Predicate_atomic_store_8
/*  3904*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3905*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3907*/      OPC_EmitMergeInputChains1_0,
/*  3908*/      OPC_EmitInteger32, 0,  // 0 #5
/*  3910*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_8>> - Complexity = 13
                // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  3919*/     /*Scope*/ 16, /*->3936*/
/*  3920*/      OPC_CheckPredicate2,  // Predicate_atomic_store_16
/*  3921*/      OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3922*/      OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  3924*/      OPC_EmitMergeInputChains1_0,
/*  3925*/      OPC_EmitInteger32, 0,  // 0 #5
/*  3927*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_16>> - Complexity = 13
                // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  3936*/     0, /*End of Scope*/
/*  3937*/    /*Scope*/ 54, /*->3992*/
/*  3938*/     OPC_CheckChild2TypeI64,
/*  3939*/     OPC_Scope, 16, /*->3957*/ // 3 children in Scope
/*  3941*/      OPC_CheckPredicate3,  // Predicate_atomic_store_32
/*  3942*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3943*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3945*/      OPC_EmitMergeInputChains1_0,
/*  3946*/      OPC_EmitInteger32, 0,  // 0 #5
/*  3948*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_32>> - Complexity = 13
                // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  3957*/     /*Scope*/ 16, /*->3974*/
/*  3958*/      OPC_CheckPredicate1,  // Predicate_atomic_store_8
/*  3959*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3960*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3962*/      OPC_EmitMergeInputChains1_0,
/*  3963*/      OPC_EmitInteger32, 0,  // 0 #5
/*  3965*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_8>> - Complexity = 13
                // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  3974*/     /*Scope*/ 16, /*->3991*/
/*  3975*/      OPC_CheckPredicate2,  // Predicate_atomic_store_16
/*  3976*/      OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3977*/      OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  3979*/      OPC_EmitMergeInputChains1_0,
/*  3980*/      OPC_EmitInteger32, 0,  // 0 #5
/*  3982*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 5, 3, 4, 1, 
                // Src: (atomic_store i32:{ *:[i32] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_16>> - Complexity = 13
                // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  3991*/     0, /*End of Scope*/
/*  3992*/    0, /*End of Scope*/
/*  3993*/   /*Scope*/ 40, /*->4034*/
/*  3994*/    OPC_CheckChild1TypeI64,
/*  3995*/    OPC_RecordChild2, // #2 = $AddrOps32:offset:addr
/*  3996*/    OPC_Scope, 17, /*->4015*/ // 2 children in Scope
/*  3998*/     OPC_CheckChild2TypeI32,
/*  3999*/     OPC_CheckPredicate7,  // Predicate_atomic_store_64
/*  4000*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4001*/     OPC_CheckComplexPat0, /*#*/2, // SelectAddrOperands32:$ #3 #4
/*  4003*/     OPC_EmitMergeInputChains1_0,
/*  4004*/     OPC_EmitInteger32, 0,  // 0 #5
/*  4006*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store i64:{ *:[i64] }:$val, (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_store_64>> - Complexity = 13
               // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  4015*/    /*Scope*/ 17, /*->4033*/
/*  4016*/     OPC_CheckChild2TypeI64,
/*  4017*/     OPC_CheckPredicate7,  // Predicate_atomic_store_64
/*  4018*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4019*/     OPC_CheckComplexPat1, /*#*/2, // SelectAddrOperands64:$ #3 #4
/*  4021*/     OPC_EmitMergeInputChains1_0,
/*  4022*/     OPC_EmitInteger32, 0,  // 0 #5
/*  4024*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 5, 3, 4, 1, 
               // Src: (atomic_store i64:{ *:[i64] }:$val, (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_store_64>> - Complexity = 13
               // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  4033*/    0, /*End of Scope*/
/*  4034*/   0, /*End of Scope*/
/*  4035*/  0, /*End of Scope*/
/*  4036*/ /*SwitchOpcode*/ 90|128,2/*346*/, TARGET_VAL(ISD::AND),// ->4386
/*  4040*/  OPC_Scope, 118, /*->4160*/ // 6 children in Scope
/*  4042*/   OPC_MoveChild0,
/*  4043*/   OPC_CheckOpcode, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),
/*  4046*/   OPC_Scope, 55, /*->4103*/ // 2 children in Scope
/*  4048*/    OPC_CheckChild0Integer, 36|128,78|128,1/*26404*/, 
/*  4052*/    OPC_RecordChild1, // #0 = $x
/*  4053*/    OPC_Scope, 11, /*->4066*/ // 4 children in Scope
/*  4055*/     OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/*  4057*/     OPC_MoveParent,
/*  4058*/     OPC_CheckChild1Integer, 2, 
/*  4060*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4066*/    /*Scope*/ 11, /*->4078*/
/*  4067*/     OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/*  4069*/     OPC_MoveParent,
/*  4070*/     OPC_CheckChild1Integer, 2, 
/*  4072*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4078*/    /*Scope*/ 11, /*->4090*/
/*  4079*/     OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/*  4081*/     OPC_MoveParent,
/*  4082*/     OPC_CheckChild1Integer, 2, 
/*  4084*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4090*/    /*Scope*/ 11, /*->4102*/
/*  4091*/     OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/*  4093*/     OPC_MoveParent,
/*  4094*/     OPC_CheckChild1Integer, 2, 
/*  4096*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4102*/    0, /*End of Scope*/
/*  4103*/   /*Scope*/ 55, /*->4159*/
/*  4104*/    OPC_CheckChild0Integer, 34|128,78|128,1/*26402*/, 
/*  4108*/    OPC_RecordChild1, // #0 = $x
/*  4109*/    OPC_Scope, 11, /*->4122*/ // 4 children in Scope
/*  4111*/     OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/*  4113*/     OPC_MoveParent,
/*  4114*/     OPC_CheckChild1Integer, 2, 
/*  4116*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I8x16),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4122*/    /*Scope*/ 11, /*->4134*/
/*  4123*/     OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/*  4125*/     OPC_MoveParent,
/*  4126*/     OPC_CheckChild1Integer, 2, 
/*  4128*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I16x8),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4134*/    /*Scope*/ 11, /*->4146*/
/*  4135*/     OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/*  4137*/     OPC_MoveParent,
/*  4138*/     OPC_CheckChild1Integer, 2, 
/*  4140*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I32x4),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4146*/    /*Scope*/ 11, /*->4158*/
/*  4147*/     OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/*  4149*/     OPC_MoveParent,
/*  4150*/     OPC_CheckChild1Integer, 2, 
/*  4152*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I64x2),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4158*/    0, /*End of Scope*/
/*  4159*/   0, /*End of Scope*/
/*  4160*/  /*Scope*/ 29, /*->4190*/
/*  4161*/   OPC_CheckAndImm, 127|128,1/*255*/, 
/*  4164*/   OPC_MoveChild0,
/*  4165*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/*  4168*/   OPC_RecordChild0, // #0 = $vec
/*  4169*/   OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/*  4171*/   OPC_RecordChild1, // #1 = $idx
/*  4172*/   OPC_MoveChild1,
/*  4173*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4176*/   OPC_CheckPredicate, 18, // Predicate_LaneIdx16
/*  4178*/   OPC_CheckTypeI32,
/*  4179*/   OPC_MoveParent,
/*  4180*/   OPC_MoveParent,
/*  4181*/   OPC_CheckTypeI32,
/*  4182*/   OPC_EmitConvertToTarget1, // #2
/*  4183*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_u),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), 255:{ *:[i32] }) - Complexity = 15
             // Dst: (EXTRACT_LANE_I8x16_u:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/*  4190*/  /*Scope*/ 30, /*->4221*/
/*  4191*/   OPC_CheckAndImm, 127|128,127|128,3/*65535*/, 
/*  4195*/   OPC_MoveChild0,
/*  4196*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/*  4199*/   OPC_RecordChild0, // #0 = $vec
/*  4200*/   OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/*  4202*/   OPC_RecordChild1, // #1 = $idx
/*  4203*/   OPC_MoveChild1,
/*  4204*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4207*/   OPC_CheckPredicate, 13, // Predicate_LaneIdx8
/*  4209*/   OPC_CheckTypeI32,
/*  4210*/   OPC_MoveParent,
/*  4211*/   OPC_MoveParent,
/*  4212*/   OPC_CheckTypeI32,
/*  4213*/   OPC_EmitConvertToTarget1, // #2
/*  4214*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_u),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), 65535:{ *:[i32] }) - Complexity = 15
             // Dst: (EXTRACT_LANE_I16x8_u:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/*  4221*/  /*Scope*/ 73, /*->4295*/
/*  4222*/   OPC_RecordChild0, // #0 = $lhs
/*  4223*/   OPC_Scope, 21, /*->4246*/ // 2 children in Scope
/*  4225*/    OPC_RecordChild1, // #1 = $rhs
/*  4226*/    OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->4236
/*  4229*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND_I32),
                   /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
               // Dst: (AND_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4236*/    /*SwitchType*/ 7, /*MVT::i64*/8, // ->4245
/*  4238*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND_I64),
                   /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
               // Dst: (AND_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4245*/    0, // EndSwitchType
/*  4246*/   /*Scope*/ 47, /*->4294*/
/*  4247*/    OPC_MoveChild1,
/*  4248*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/*  4251*/    OPC_RecordChild0, // #1 = $rhs
/*  4252*/    OPC_MoveChild1,
/*  4253*/    OPC_CheckImmAllOnesV,
/*  4254*/    OPC_MoveParent,
/*  4255*/    OPC_MoveParent,
/*  4256*/    OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/39, // ->4266
/*  4259*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$rhs, immAllOnesV:{ *:[v16i8] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/*  4266*/    /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->4275
/*  4268*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$rhs, immAllOnesV:{ *:[v8i16] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/*  4275*/    /*SwitchType*/ 7, /*MVT::v4i32*/60, // ->4284
/*  4277*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$rhs, immAllOnesV:{ *:[v4i32] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/*  4284*/    /*SwitchType*/ 7, /*MVT::v2i64*/78, // ->4293
/*  4286*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$rhs, immAllOnesV:{ *:[v2i64] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/*  4293*/    0, // EndSwitchType
/*  4294*/   0, /*End of Scope*/
/*  4295*/  /*Scope*/ 48, /*->4344*/
/*  4296*/   OPC_MoveChild0,
/*  4297*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/*  4300*/   OPC_RecordChild0, // #0 = $rhs
/*  4301*/   OPC_MoveChild1,
/*  4302*/   OPC_CheckImmAllOnesV,
/*  4303*/   OPC_MoveParent,
/*  4304*/   OPC_MoveParent,
/*  4305*/   OPC_RecordChild1, // #1 = $lhs
/*  4306*/   OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/39, // ->4316
/*  4309*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$rhs, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/*  4316*/   /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->4325
/*  4318*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$rhs, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/*  4325*/   /*SwitchType*/ 7, /*MVT::v4i32*/60, // ->4334
/*  4327*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                  /*MVT::v4i32*/60, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$rhs, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/*  4334*/   /*SwitchType*/ 7, /*MVT::v2i64*/78, // ->4343
/*  4336*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANDNOT),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$rhs, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/*  4343*/   0, // EndSwitchType
/*  4344*/  /*Scope*/ 40, /*->4385*/
/*  4345*/   OPC_RecordChild0, // #0 = $lhs
/*  4346*/   OPC_RecordChild1, // #1 = $rhs
/*  4347*/   OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/39, // ->4357
/*  4350*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/*  4357*/   /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->4366
/*  4359*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/*  4366*/   /*SwitchType*/ 7, /*MVT::v4i32*/60, // ->4375
/*  4368*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND),
                  /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/*  4375*/   /*SwitchType*/ 7, /*MVT::v2i64*/78, // ->4384
/*  4377*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AND),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/*  4384*/   0, // EndSwitchType
/*  4385*/  0, /*End of Scope*/
/*  4386*/ /*SwitchOpcode*/ 125|128,11/*1533*/, TARGET_VAL(ISD::SETCC),// ->5923
/*  4390*/  OPC_Scope, 126|128,1/*254*/, /*->4647*/ // 2 children in Scope
/*  4393*/   OPC_MoveChild0,
/*  4394*/   OPC_CheckOpcode, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),
/*  4397*/   OPC_Scope, 123, /*->4522*/ // 2 children in Scope
/*  4399*/    OPC_CheckChild0Integer, 36|128,78|128,1/*26404*/, 
/*  4403*/    OPC_RecordChild1, // #0 = $x
/*  4404*/    OPC_Scope, 28, /*->4434*/ // 4 children in Scope
/*  4406*/     OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/*  4408*/     OPC_MoveParent,
/*  4409*/     OPC_CheckTypeI32,
/*  4410*/     OPC_Scope, 10, /*->4422*/ // 2 children in Scope
/*  4412*/      OPC_CheckChild1Integer, 0, 
/*  4414*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4416*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4422*/     /*Scope*/ 10, /*->4433*/
/*  4423*/      OPC_CheckChild1Integer, 2, 
/*  4425*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4427*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4433*/     0, /*End of Scope*/
/*  4434*/    /*Scope*/ 28, /*->4463*/
/*  4435*/     OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/*  4437*/     OPC_MoveParent,
/*  4438*/     OPC_CheckTypeI32,
/*  4439*/     OPC_Scope, 10, /*->4451*/ // 2 children in Scope
/*  4441*/      OPC_CheckChild1Integer, 0, 
/*  4443*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4445*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4451*/     /*Scope*/ 10, /*->4462*/
/*  4452*/      OPC_CheckChild1Integer, 2, 
/*  4454*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4456*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4462*/     0, /*End of Scope*/
/*  4463*/    /*Scope*/ 28, /*->4492*/
/*  4464*/     OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/*  4466*/     OPC_MoveParent,
/*  4467*/     OPC_CheckTypeI32,
/*  4468*/     OPC_Scope, 10, /*->4480*/ // 2 children in Scope
/*  4470*/      OPC_CheckChild1Integer, 0, 
/*  4472*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4474*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4480*/     /*Scope*/ 10, /*->4491*/
/*  4481*/      OPC_CheckChild1Integer, 2, 
/*  4483*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4485*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4491*/     0, /*End of Scope*/
/*  4492*/    /*Scope*/ 28, /*->4521*/
/*  4493*/     OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/*  4495*/     OPC_MoveParent,
/*  4496*/     OPC_CheckTypeI32,
/*  4497*/     OPC_Scope, 10, /*->4509*/ // 2 children in Scope
/*  4499*/      OPC_CheckChild1Integer, 0, 
/*  4501*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4503*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4509*/     /*Scope*/ 10, /*->4520*/
/*  4510*/      OPC_CheckChild1Integer, 2, 
/*  4512*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4514*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4520*/     0, /*End of Scope*/
/*  4521*/    0, /*End of Scope*/
/*  4522*/   /*Scope*/ 123, /*->4646*/
/*  4523*/    OPC_CheckChild0Integer, 34|128,78|128,1/*26402*/, 
/*  4527*/    OPC_RecordChild1, // #0 = $x
/*  4528*/    OPC_Scope, 28, /*->4558*/ // 4 children in Scope
/*  4530*/     OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/*  4532*/     OPC_MoveParent,
/*  4533*/     OPC_CheckTypeI32,
/*  4534*/     OPC_Scope, 10, /*->4546*/ // 2 children in Scope
/*  4536*/      OPC_CheckChild1Integer, 0, 
/*  4538*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4540*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I8x16),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4546*/     /*Scope*/ 10, /*->4557*/
/*  4547*/      OPC_CheckChild1Integer, 2, 
/*  4549*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4551*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I8x16),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/*  4557*/     0, /*End of Scope*/
/*  4558*/    /*Scope*/ 28, /*->4587*/
/*  4559*/     OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/*  4561*/     OPC_MoveParent,
/*  4562*/     OPC_CheckTypeI32,
/*  4563*/     OPC_Scope, 10, /*->4575*/ // 2 children in Scope
/*  4565*/      OPC_CheckChild1Integer, 0, 
/*  4567*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4569*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I16x8),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4575*/     /*Scope*/ 10, /*->4586*/
/*  4576*/      OPC_CheckChild1Integer, 2, 
/*  4578*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4580*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I16x8),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/*  4586*/     0, /*End of Scope*/
/*  4587*/    /*Scope*/ 28, /*->4616*/
/*  4588*/     OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/*  4590*/     OPC_MoveParent,
/*  4591*/     OPC_CheckTypeI32,
/*  4592*/     OPC_Scope, 10, /*->4604*/ // 2 children in Scope
/*  4594*/      OPC_CheckChild1Integer, 0, 
/*  4596*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4598*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I32x4),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4604*/     /*Scope*/ 10, /*->4615*/
/*  4605*/      OPC_CheckChild1Integer, 2, 
/*  4607*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4609*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I32x4),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/*  4615*/     0, /*End of Scope*/
/*  4616*/    /*Scope*/ 28, /*->4645*/
/*  4617*/     OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/*  4619*/     OPC_MoveParent,
/*  4620*/     OPC_CheckTypeI32,
/*  4621*/     OPC_Scope, 10, /*->4633*/ // 2 children in Scope
/*  4623*/      OPC_CheckChild1Integer, 0, 
/*  4625*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4627*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I64x2),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4633*/     /*Scope*/ 10, /*->4644*/
/*  4634*/      OPC_CheckChild1Integer, 2, 
/*  4636*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4638*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I64x2),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/*  4644*/     0, /*End of Scope*/
/*  4645*/    0, /*End of Scope*/
/*  4646*/   0, /*End of Scope*/
/*  4647*/  /*Scope*/ 121|128,9/*1273*/, /*->5922*/
/*  4649*/   OPC_RecordChild0, // #0 = $src
/*  4650*/   OPC_SwitchType /*5 cases */, 108|128,3/*492*/, /*MVT::i32*/7, // ->5146
/*  4654*/    OPC_Scope, 118, /*->4774*/ // 4 children in Scope
/*  4656*/     OPC_CheckChild0TypeI32,
/*  4657*/     OPC_Scope, 10, /*->4669*/ // 2 children in Scope
/*  4659*/      OPC_CheckChild1Integer, 0, 
/*  4661*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4663*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQZ_I32),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$src, 0:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 8
                // Dst: (EQZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/*  4669*/     /*Scope*/ 103, /*->4773*/
/*  4670*/      OPC_RecordChild1, // #1 = $rhs
/*  4671*/      OPC_Scope, 9, /*->4682*/ // 10 children in Scope
/*  4673*/       OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4675*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                 // Dst: (EQ_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4682*/      /*Scope*/ 9, /*->4692*/
/*  4683*/       OPC_CheckChild2CondCode, ISD::SETNE,
/*  4685*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                 // Dst: (NE_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4692*/      /*Scope*/ 9, /*->4702*/
/*  4693*/       OPC_CheckChild2CondCode, ISD::SETLT,
/*  4695*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4702*/      /*Scope*/ 9, /*->4712*/
/*  4703*/       OPC_CheckChild2CondCode, ISD::SETULT,
/*  4705*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4712*/      /*Scope*/ 9, /*->4722*/
/*  4713*/       OPC_CheckChild2CondCode, ISD::SETGT,
/*  4715*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4722*/      /*Scope*/ 9, /*->4732*/
/*  4723*/       OPC_CheckChild2CondCode, ISD::SETUGT,
/*  4725*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4732*/      /*Scope*/ 9, /*->4742*/
/*  4733*/       OPC_CheckChild2CondCode, ISD::SETLE,
/*  4735*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4742*/      /*Scope*/ 9, /*->4752*/
/*  4743*/       OPC_CheckChild2CondCode, ISD::SETULE,
/*  4745*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4752*/      /*Scope*/ 9, /*->4762*/
/*  4753*/       OPC_CheckChild2CondCode, ISD::SETGE,
/*  4755*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4762*/      /*Scope*/ 9, /*->4772*/
/*  4763*/       OPC_CheckChild2CondCode, ISD::SETUGE,
/*  4765*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I32),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  4772*/      0, /*End of Scope*/
/*  4773*/     0, /*End of Scope*/
/*  4774*/    /*Scope*/ 118, /*->4893*/
/*  4775*/     OPC_CheckChild0TypeI64,
/*  4776*/     OPC_Scope, 10, /*->4788*/ // 2 children in Scope
/*  4778*/      OPC_CheckChild1Integer, 0, 
/*  4780*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4782*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQZ_I64),
                    /*MVT::i32*/7, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$src, 0:{ *:[i64] }, SETEQ:{ *:[Other] }) - Complexity = 8
                // Dst: (EQZ_I64:{ *:[i32] } I64:{ *:[i64] }:$src)
/*  4788*/     /*Scope*/ 103, /*->4892*/
/*  4789*/      OPC_RecordChild1, // #1 = $rhs
/*  4790*/      OPC_Scope, 9, /*->4801*/ // 10 children in Scope
/*  4792*/       OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4794*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                 // Dst: (EQ_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4801*/      /*Scope*/ 9, /*->4811*/
/*  4802*/       OPC_CheckChild2CondCode, ISD::SETNE,
/*  4804*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                 // Dst: (NE_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4811*/      /*Scope*/ 9, /*->4821*/
/*  4812*/       OPC_CheckChild2CondCode, ISD::SETLT,
/*  4814*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4821*/      /*Scope*/ 9, /*->4831*/
/*  4822*/       OPC_CheckChild2CondCode, ISD::SETULT,
/*  4824*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4831*/      /*Scope*/ 9, /*->4841*/
/*  4832*/       OPC_CheckChild2CondCode, ISD::SETGT,
/*  4834*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4841*/      /*Scope*/ 9, /*->4851*/
/*  4842*/       OPC_CheckChild2CondCode, ISD::SETUGT,
/*  4844*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4851*/      /*Scope*/ 9, /*->4861*/
/*  4852*/       OPC_CheckChild2CondCode, ISD::SETLE,
/*  4854*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4861*/      /*Scope*/ 9, /*->4871*/
/*  4862*/       OPC_CheckChild2CondCode, ISD::SETULE,
/*  4864*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4871*/      /*Scope*/ 9, /*->4881*/
/*  4872*/       OPC_CheckChild2CondCode, ISD::SETGE,
/*  4874*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4881*/      /*Scope*/ 9, /*->4891*/
/*  4882*/       OPC_CheckChild2CondCode, ISD::SETUGE,
/*  4884*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I64),
                     /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  4891*/      0, /*End of Scope*/
/*  4892*/     0, /*End of Scope*/
/*  4893*/    /*Scope*/ 125, /*->5019*/
/*  4894*/     OPC_CheckChild0Type, /*MVT::f32*/12, 
/*  4896*/     OPC_RecordChild1, // #1 = $rhs
/*  4897*/     OPC_Scope, 9, /*->4908*/ // 12 children in Scope
/*  4899*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  4901*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  4908*/     /*Scope*/ 9, /*->4918*/
/*  4909*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  4911*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  4918*/     /*Scope*/ 9, /*->4928*/
/*  4919*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  4921*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  4928*/     /*Scope*/ 9, /*->4938*/
/*  4929*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  4931*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  4938*/     /*Scope*/ 9, /*->4948*/
/*  4939*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  4941*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  4948*/     /*Scope*/ 9, /*->4958*/
/*  4949*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  4951*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/*  4958*/     /*Scope*/ 9, /*->4968*/
/*  4959*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  4961*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  4968*/     /*Scope*/ 9, /*->4978*/
/*  4969*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  4971*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  4978*/     /*Scope*/ 9, /*->4988*/
/*  4979*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  4981*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  4988*/     /*Scope*/ 9, /*->4998*/
/*  4989*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  4991*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  4998*/     /*Scope*/ 9, /*->5008*/
/*  4999*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5001*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  5008*/     /*Scope*/ 9, /*->5018*/
/*  5009*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5011*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F32),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/*  5018*/     0, /*End of Scope*/
/*  5019*/    /*Scope*/ 125, /*->5145*/
/*  5020*/     OPC_CheckChild0Type, /*MVT::f64*/13, 
/*  5022*/     OPC_RecordChild1, // #1 = $rhs
/*  5023*/     OPC_Scope, 9, /*->5034*/ // 12 children in Scope
/*  5025*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  5027*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5034*/     /*Scope*/ 9, /*->5044*/
/*  5035*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  5037*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5044*/     /*Scope*/ 9, /*->5054*/
/*  5045*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  5047*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5054*/     /*Scope*/ 9, /*->5064*/
/*  5055*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  5057*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5064*/     /*Scope*/ 9, /*->5074*/
/*  5065*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  5067*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5074*/     /*Scope*/ 9, /*->5084*/
/*  5075*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  5077*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/*  5084*/     /*Scope*/ 9, /*->5094*/
/*  5085*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5087*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5094*/     /*Scope*/ 9, /*->5104*/
/*  5095*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5097*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5104*/     /*Scope*/ 9, /*->5114*/
/*  5105*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5107*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5114*/     /*Scope*/ 9, /*->5124*/
/*  5115*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5117*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5124*/     /*Scope*/ 9, /*->5134*/
/*  5125*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5127*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5134*/     /*Scope*/ 9, /*->5144*/
/*  5135*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5137*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F64),
                    /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/*  5144*/     0, /*End of Scope*/
/*  5145*/    0, /*End of Scope*/
/*  5146*/   /*SwitchType*/ 115, /*MVT::v16i8*/39, // ->5263
/*  5148*/    OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/*  5150*/    OPC_RecordChild1, // #1 = $rhs
/*  5151*/    OPC_Scope, 10, /*->5163*/ // 10 children in Scope
/*  5153*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5155*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5156*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
               // Dst: (EQ_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5163*/    /*Scope*/ 10, /*->5174*/
/*  5164*/     OPC_CheckChild2CondCode, ISD::SETNE,
/*  5166*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5167*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
               // Dst: (NE_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5174*/    /*Scope*/ 10, /*->5185*/
/*  5175*/     OPC_CheckChild2CondCode, ISD::SETLT,
/*  5177*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5178*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5185*/    /*Scope*/ 10, /*->5196*/
/*  5186*/     OPC_CheckChild2CondCode, ISD::SETULT,
/*  5188*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5189*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5196*/    /*Scope*/ 10, /*->5207*/
/*  5197*/     OPC_CheckChild2CondCode, ISD::SETGT,
/*  5199*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5200*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5207*/    /*Scope*/ 10, /*->5218*/
/*  5208*/     OPC_CheckChild2CondCode, ISD::SETUGT,
/*  5210*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5211*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5218*/    /*Scope*/ 10, /*->5229*/
/*  5219*/     OPC_CheckChild2CondCode, ISD::SETLE,
/*  5221*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5222*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5229*/    /*Scope*/ 10, /*->5240*/
/*  5230*/     OPC_CheckChild2CondCode, ISD::SETULE,
/*  5232*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5233*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5240*/    /*Scope*/ 10, /*->5251*/
/*  5241*/     OPC_CheckChild2CondCode, ISD::SETGE,
/*  5243*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5244*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5251*/    /*Scope*/ 10, /*->5262*/
/*  5252*/     OPC_CheckChild2CondCode, ISD::SETUGE,
/*  5254*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5255*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/*  5262*/    0, /*End of Scope*/
/*  5263*/   /*SwitchType*/ 62|128,1/*190*/, /*MVT::v8i16*/50, // ->5456
/*  5266*/    OPC_Scope, 115, /*->5383*/ // 2 children in Scope
/*  5268*/     OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/*  5270*/     OPC_RecordChild1, // #1 = $rhs
/*  5271*/     OPC_Scope, 10, /*->5283*/ // 10 children in Scope
/*  5273*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5275*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5276*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5283*/     /*Scope*/ 10, /*->5294*/
/*  5284*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5286*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5287*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5294*/     /*Scope*/ 10, /*->5305*/
/*  5295*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5297*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5298*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5305*/     /*Scope*/ 10, /*->5316*/
/*  5306*/      OPC_CheckChild2CondCode, ISD::SETULT,
/*  5308*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5309*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5316*/     /*Scope*/ 10, /*->5327*/
/*  5317*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5319*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5320*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5327*/     /*Scope*/ 10, /*->5338*/
/*  5328*/      OPC_CheckChild2CondCode, ISD::SETUGT,
/*  5330*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5331*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5338*/     /*Scope*/ 10, /*->5349*/
/*  5339*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5341*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5342*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5349*/     /*Scope*/ 10, /*->5360*/
/*  5350*/      OPC_CheckChild2CondCode, ISD::SETULE,
/*  5352*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5353*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5360*/     /*Scope*/ 10, /*->5371*/
/*  5361*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5363*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5364*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5371*/     /*Scope*/ 10, /*->5382*/
/*  5372*/      OPC_CheckChild2CondCode, ISD::SETUGE,
/*  5374*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5375*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/*  5382*/     0, /*End of Scope*/
/*  5383*/    /*Scope*/ 71, /*->5455*/
/*  5384*/     OPC_CheckChild0Type, /*MVT::v8f16*/92, 
/*  5386*/     OPC_RecordChild1, // #1 = $rhs
/*  5387*/     OPC_Scope, 10, /*->5399*/ // 6 children in Scope
/*  5389*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  5391*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5392*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5399*/     /*Scope*/ 10, /*->5410*/
/*  5400*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  5402*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5403*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5410*/     /*Scope*/ 10, /*->5421*/
/*  5411*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  5413*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5414*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5421*/     /*Scope*/ 10, /*->5432*/
/*  5422*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  5424*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5425*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5432*/     /*Scope*/ 10, /*->5443*/
/*  5433*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  5435*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5436*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5443*/     /*Scope*/ 10, /*->5454*/
/*  5444*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  5446*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/*  5447*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F16x8),
                    /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/*  5454*/     0, /*End of Scope*/
/*  5455*/    0, /*End of Scope*/
/*  5456*/   /*SwitchType*/ 123|128,1/*251*/, /*MVT::v4i32*/60, // ->5710
/*  5459*/    OPC_Scope, 115, /*->5576*/ // 2 children in Scope
/*  5461*/     OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/*  5463*/     OPC_RecordChild1, // #1 = $rhs
/*  5464*/     OPC_Scope, 10, /*->5476*/ // 10 children in Scope
/*  5466*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5468*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5469*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5476*/     /*Scope*/ 10, /*->5487*/
/*  5477*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5479*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5480*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5487*/     /*Scope*/ 10, /*->5498*/
/*  5488*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5490*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5491*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5498*/     /*Scope*/ 10, /*->5509*/
/*  5499*/      OPC_CheckChild2CondCode, ISD::SETULT,
/*  5501*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5502*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_U_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5509*/     /*Scope*/ 10, /*->5520*/
/*  5510*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5512*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5513*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5520*/     /*Scope*/ 10, /*->5531*/
/*  5521*/      OPC_CheckChild2CondCode, ISD::SETUGT,
/*  5523*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5524*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_U_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5531*/     /*Scope*/ 10, /*->5542*/
/*  5532*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5534*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5535*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5542*/     /*Scope*/ 10, /*->5553*/
/*  5543*/      OPC_CheckChild2CondCode, ISD::SETULE,
/*  5545*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5546*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_U_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5553*/     /*Scope*/ 10, /*->5564*/
/*  5554*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5556*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5557*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5564*/     /*Scope*/ 10, /*->5575*/
/*  5565*/      OPC_CheckChild2CondCode, ISD::SETUGE,
/*  5567*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5568*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_U_I32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/*  5575*/     0, /*End of Scope*/
/*  5576*/    /*Scope*/ 3|128,1/*131*/, /*->5709*/
/*  5578*/     OPC_CheckChild0Type, /*MVT::v4f32*/111, 
/*  5580*/     OPC_RecordChild1, // #1 = $rhs
/*  5581*/     OPC_Scope, 10, /*->5593*/ // 12 children in Scope
/*  5583*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  5585*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5586*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5593*/     /*Scope*/ 10, /*->5604*/
/*  5594*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  5596*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5597*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5604*/     /*Scope*/ 10, /*->5615*/
/*  5605*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  5607*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5608*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5615*/     /*Scope*/ 10, /*->5626*/
/*  5616*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  5618*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5619*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5626*/     /*Scope*/ 10, /*->5637*/
/*  5627*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  5629*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5630*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5637*/     /*Scope*/ 10, /*->5648*/
/*  5638*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  5640*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5641*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/*  5648*/     /*Scope*/ 9, /*->5658*/
/*  5649*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5651*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5658*/     /*Scope*/ 9, /*->5668*/
/*  5659*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5661*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5668*/     /*Scope*/ 9, /*->5678*/
/*  5669*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5671*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5678*/     /*Scope*/ 9, /*->5688*/
/*  5679*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5681*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5688*/     /*Scope*/ 9, /*->5698*/
/*  5689*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5691*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5698*/     /*Scope*/ 9, /*->5708*/
/*  5699*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5701*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F32x4),
                    /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/*  5708*/     0, /*End of Scope*/
/*  5709*/    0, /*End of Scope*/
/*  5710*/   /*SwitchType*/ 80|128,1/*208*/, /*MVT::v2i64*/78, // ->5921
/*  5713*/    OPC_Scope, 71, /*->5786*/ // 2 children in Scope
/*  5715*/     OPC_CheckChild0Type, /*MVT::v2i64*/78, 
/*  5717*/     OPC_RecordChild1, // #1 = $rhs
/*  5718*/     OPC_Scope, 10, /*->5730*/ // 6 children in Scope
/*  5720*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5722*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5723*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_I64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5730*/     /*Scope*/ 10, /*->5741*/
/*  5731*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5733*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5734*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_I64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5741*/     /*Scope*/ 10, /*->5752*/
/*  5742*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5744*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5745*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_S_I64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5752*/     /*Scope*/ 10, /*->5763*/
/*  5753*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5755*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5756*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_S_I64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5763*/     /*Scope*/ 10, /*->5774*/
/*  5764*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5766*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5767*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_S_I64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5774*/     /*Scope*/ 10, /*->5785*/
/*  5775*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5777*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5778*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_S_I64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/*  5785*/     0, /*End of Scope*/
/*  5786*/    /*Scope*/ 4|128,1/*132*/, /*->5920*/
/*  5788*/     OPC_CheckChild0Type, /*MVT::v2f64*/1|128,1/*129*/, 
/*  5791*/     OPC_RecordChild1, // #1 = $rhs
/*  5792*/     OPC_Scope, 10, /*->5804*/ // 12 children in Scope
/*  5794*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/*  5796*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5797*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  5804*/     /*Scope*/ 10, /*->5815*/
/*  5805*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/*  5807*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5808*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  5815*/     /*Scope*/ 10, /*->5826*/
/*  5816*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/*  5818*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5819*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  5826*/     /*Scope*/ 10, /*->5837*/
/*  5827*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/*  5829*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5830*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  5837*/     /*Scope*/ 10, /*->5848*/
/*  5838*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/*  5840*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5841*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  5848*/     /*Scope*/ 10, /*->5859*/
/*  5849*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/*  5851*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/*  5852*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/*  5859*/     /*Scope*/ 9, /*->5869*/
/*  5860*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/*  5862*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EQ_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  5869*/     /*Scope*/ 9, /*->5879*/
/*  5870*/      OPC_CheckChild2CondCode, ISD::SETNE,
/*  5872*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NE_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  5879*/     /*Scope*/ 9, /*->5889*/
/*  5880*/      OPC_CheckChild2CondCode, ISD::SETLT,
/*  5882*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LT_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  5889*/     /*Scope*/ 9, /*->5899*/
/*  5890*/      OPC_CheckChild2CondCode, ISD::SETGT,
/*  5892*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GT_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  5899*/     /*Scope*/ 9, /*->5909*/
/*  5900*/      OPC_CheckChild2CondCode, ISD::SETLE,
/*  5902*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LE_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  5909*/     /*Scope*/ 9, /*->5919*/
/*  5910*/      OPC_CheckChild2CondCode, ISD::SETGE,
/*  5912*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GE_F64x2),
                    /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/*  5919*/     0, /*End of Scope*/
/*  5920*/    0, /*End of Scope*/
/*  5921*/   0, // EndSwitchType
/*  5922*/  0, /*End of Scope*/
/*  5923*/ /*SwitchOpcode*/ 59|128,11/*1467*/, TARGET_VAL(ISD::LOAD),// ->7394
/*  5927*/  OPC_RecordMemRef,
/*  5928*/  OPC_RecordNode, // #0 = 'ld' chained node
/*  5929*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  5930*/  OPC_Scope, 89|128,5/*729*/, /*->6662*/ // 2 children in Scope
/*  5933*/   OPC_CheckChild1TypeI32,
/*  5934*/   OPC_CheckPredicate, 8, // Predicate_unindexedload
/*  5936*/   OPC_Scope, 37, /*->5975*/ // 16 children in Scope
/*  5938*/    OPC_CheckPredicate6,  // Predicate_load
/*  5939*/    OPC_SwitchType /*2 cases */, 15, /*MVT::i32*/7, // ->5957
/*  5942*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  5943*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  5945*/     OPC_EmitMergeInputChains1_0,
/*  5946*/     OPC_EmitInteger32, 0,  // 0 #4
/*  5948*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  5957*/    /*SwitchType*/ 15, /*MVT::i64*/8, // ->5974
/*  5959*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  5960*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  5962*/     OPC_EmitMergeInputChains1_0,
/*  5963*/     OPC_EmitInteger32, 0,  // 0 #4
/*  5965*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  5974*/    0, // EndSwitchType
/*  5975*/   /*Scope*/ 97, /*->6073*/
/*  5976*/    OPC_CheckPredicate, 15, // Predicate_sextload
/*  5978*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6017
/*  5981*/     OPC_Scope, 16, /*->5999*/ // 2 children in Scope
/*  5983*/      OPC_CheckPredicate1,  // Predicate_sextloadi8
/*  5984*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  5985*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  5987*/      OPC_EmitMergeInputChains1_0,
/*  5988*/      OPC_EmitInteger32, 0,  // 0 #4
/*  5990*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 13
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  5999*/     /*Scope*/ 16, /*->6016*/
/*  6000*/      OPC_CheckPredicate2,  // Predicate_sextloadi16
/*  6001*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6002*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6004*/      OPC_EmitMergeInputChains1_0,
/*  6005*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6007*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 13
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6016*/     0, /*End of Scope*/
/*  6017*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6072
/*  6019*/     OPC_Scope, 16, /*->6037*/ // 3 children in Scope
/*  6021*/      OPC_CheckPredicate1,  // Predicate_sextloadi8
/*  6022*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6023*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6025*/      OPC_EmitMergeInputChains1_0,
/*  6026*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6028*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 13
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6037*/     /*Scope*/ 16, /*->6054*/
/*  6038*/      OPC_CheckPredicate2,  // Predicate_sextloadi16
/*  6039*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6040*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6042*/      OPC_EmitMergeInputChains1_0,
/*  6043*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6045*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 13
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6054*/     /*Scope*/ 16, /*->6071*/
/*  6055*/      OPC_CheckPredicate3,  // Predicate_sextloadi32
/*  6056*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6057*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6059*/      OPC_EmitMergeInputChains1_0,
/*  6060*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6062*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 13
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6071*/     0, /*End of Scope*/
/*  6072*/    0, // EndSwitchType
/*  6073*/   /*Scope*/ 97, /*->6171*/
/*  6074*/    OPC_CheckPredicate, 16, // Predicate_zextload
/*  6076*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6115
/*  6079*/     OPC_Scope, 16, /*->6097*/ // 2 children in Scope
/*  6081*/      OPC_CheckPredicate1,  // Predicate_zextloadi8
/*  6082*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6083*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6085*/      OPC_EmitMergeInputChains1_0,
/*  6086*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6088*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6097*/     /*Scope*/ 16, /*->6114*/
/*  6098*/      OPC_CheckPredicate2,  // Predicate_zextloadi16
/*  6099*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6100*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6102*/      OPC_EmitMergeInputChains1_0,
/*  6103*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6105*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6114*/     0, /*End of Scope*/
/*  6115*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6170
/*  6117*/     OPC_Scope, 16, /*->6135*/ // 3 children in Scope
/*  6119*/      OPC_CheckPredicate1,  // Predicate_zextloadi8
/*  6120*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6121*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6123*/      OPC_EmitMergeInputChains1_0,
/*  6124*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6126*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6135*/     /*Scope*/ 16, /*->6152*/
/*  6136*/      OPC_CheckPredicate2,  // Predicate_zextloadi16
/*  6137*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6138*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6140*/      OPC_EmitMergeInputChains1_0,
/*  6141*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6143*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6152*/     /*Scope*/ 16, /*->6169*/
/*  6153*/      OPC_CheckPredicate3,  // Predicate_zextloadi32
/*  6154*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6155*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6157*/      OPC_EmitMergeInputChains1_0,
/*  6158*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6160*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 13
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6169*/     0, /*End of Scope*/
/*  6170*/    0, // EndSwitchType
/*  6171*/   /*Scope*/ 97, /*->6269*/
/*  6172*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6174*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6213
/*  6177*/     OPC_Scope, 16, /*->6195*/ // 2 children in Scope
/*  6179*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/*  6180*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6181*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6183*/      OPC_EmitMergeInputChains1_0,
/*  6184*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6186*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6195*/     /*Scope*/ 16, /*->6212*/
/*  6196*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/*  6197*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6198*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6200*/      OPC_EmitMergeInputChains1_0,
/*  6201*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6203*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6212*/     0, /*End of Scope*/
/*  6213*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6268
/*  6215*/     OPC_Scope, 16, /*->6233*/ // 3 children in Scope
/*  6217*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/*  6218*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6219*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6221*/      OPC_EmitMergeInputChains1_0,
/*  6222*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6224*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6233*/     /*Scope*/ 16, /*->6250*/
/*  6234*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/*  6235*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6236*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6238*/      OPC_EmitMergeInputChains1_0,
/*  6239*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6241*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6250*/     /*Scope*/ 16, /*->6267*/
/*  6251*/      OPC_CheckPredicate3,  // Predicate_extloadi32
/*  6252*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6253*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6255*/      OPC_EmitMergeInputChains1_0,
/*  6256*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6258*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 13
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6267*/     0, /*End of Scope*/
/*  6268*/    0, // EndSwitchType
/*  6269*/   /*Scope*/ 105, /*->6375*/
/*  6270*/    OPC_CheckPredicate6,  // Predicate_load
/*  6271*/    OPC_SwitchType /*6 cases */, 15, /*MVT::f32*/12, // ->6289
/*  6274*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6275*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6277*/     OPC_EmitMergeInputChains1_0,
/*  6278*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6280*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::f32*/12, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[f32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6289*/    /*SwitchType*/ 15, /*MVT::f64*/13, // ->6306
/*  6291*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6292*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6294*/     OPC_EmitMergeInputChains1_0,
/*  6295*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6297*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::f64*/13, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[f64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6306*/    /*SwitchType*/ 15, /*MVT::v16i8*/39, // ->6323
/*  6308*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6309*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6311*/     OPC_EmitMergeInputChains1_0,
/*  6312*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6314*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v16i8*/39, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v16i8] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6323*/    /*SwitchType*/ 15, /*MVT::v8i16*/50, // ->6340
/*  6325*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6326*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6328*/     OPC_EmitMergeInputChains1_0,
/*  6329*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6331*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v8i16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6340*/    /*SwitchType*/ 15, /*MVT::v4i32*/60, // ->6357
/*  6342*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6343*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6345*/     OPC_EmitMergeInputChains1_0,
/*  6346*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6348*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v4i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6357*/    /*SwitchType*/ 15, /*MVT::v2i64*/78, // ->6374
/*  6359*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6360*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6362*/     OPC_EmitMergeInputChains1_0,
/*  6363*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6365*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v2i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6374*/    0, // EndSwitchType
/*  6375*/   /*Scope*/ 21, /*->6397*/
/*  6376*/    OPC_CheckPredicate, 15, // Predicate_sextload
/*  6378*/    OPC_CheckPredicate, 19, // Predicate_sextloadvi8
/*  6380*/    OPC_CheckType, /*MVT::v8i16*/50, 
/*  6382*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6383*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6385*/    OPC_EmitMergeInputChains1_0,
/*  6386*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6388*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6397*/   /*Scope*/ 21, /*->6419*/
/*  6398*/    OPC_CheckPredicate, 16, // Predicate_zextload
/*  6400*/    OPC_CheckPredicate, 19, // Predicate_zextloadvi8
/*  6402*/    OPC_CheckType, /*MVT::v8i16*/50, 
/*  6404*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6405*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6407*/    OPC_EmitMergeInputChains1_0,
/*  6408*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6410*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6419*/   /*Scope*/ 21, /*->6441*/
/*  6420*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6422*/    OPC_CheckPredicate, 19, // Predicate_extloadvi8
/*  6424*/    OPC_CheckType, /*MVT::v8i16*/50, 
/*  6426*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6427*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6429*/    OPC_EmitMergeInputChains1_0,
/*  6430*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6432*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6441*/   /*Scope*/ 21, /*->6463*/
/*  6442*/    OPC_CheckPredicate, 15, // Predicate_sextload
/*  6444*/    OPC_CheckPredicate, 20, // Predicate_sextloadvi16
/*  6446*/    OPC_CheckType, /*MVT::v4i32*/60, 
/*  6448*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6449*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6451*/    OPC_EmitMergeInputChains1_0,
/*  6452*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6454*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6463*/   /*Scope*/ 21, /*->6485*/
/*  6464*/    OPC_CheckPredicate, 16, // Predicate_zextload
/*  6466*/    OPC_CheckPredicate, 20, // Predicate_zextloadvi16
/*  6468*/    OPC_CheckType, /*MVT::v4i32*/60, 
/*  6470*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6471*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6473*/    OPC_EmitMergeInputChains1_0,
/*  6474*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6476*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6485*/   /*Scope*/ 21, /*->6507*/
/*  6486*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6488*/    OPC_CheckPredicate, 20, // Predicate_extloadvi16
/*  6490*/    OPC_CheckType, /*MVT::v4i32*/60, 
/*  6492*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6493*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6495*/    OPC_EmitMergeInputChains1_0,
/*  6496*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6498*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6507*/   /*Scope*/ 21, /*->6529*/
/*  6508*/    OPC_CheckPredicate, 15, // Predicate_sextload
/*  6510*/    OPC_CheckPredicate, 21, // Predicate_sextloadvi32
/*  6512*/    OPC_CheckType, /*MVT::v2i64*/78, 
/*  6514*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6515*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6517*/    OPC_EmitMergeInputChains1_0,
/*  6518*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6520*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6529*/   /*Scope*/ 21, /*->6551*/
/*  6530*/    OPC_CheckPredicate, 16, // Predicate_zextload
/*  6532*/    OPC_CheckPredicate, 21, // Predicate_zextloadvi32
/*  6534*/    OPC_CheckType, /*MVT::v2i64*/78, 
/*  6536*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6537*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6539*/    OPC_EmitMergeInputChains1_0,
/*  6540*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6542*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6551*/   /*Scope*/ 21, /*->6573*/
/*  6552*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6554*/    OPC_CheckPredicate, 21, // Predicate_extloadvi32
/*  6556*/    OPC_CheckType, /*MVT::v2i64*/78, 
/*  6558*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6559*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6561*/    OPC_EmitMergeInputChains1_0,
/*  6562*/    OPC_EmitInteger32, 0,  // 0 #4
/*  6564*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6573*/   /*Scope*/ 56, /*->6630*/
/*  6574*/    OPC_CheckPredicate6,  // Predicate_load
/*  6575*/    OPC_SwitchType /*3 cases */, 15, /*MVT::v4f32*/111, // ->6593
/*  6578*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6579*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6581*/     OPC_EmitMergeInputChains1_0,
/*  6582*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6584*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/111, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v4f32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6593*/    /*SwitchType*/ 16, /*MVT::v2f64*/1|128,1/*129*/, // ->6612
/*  6596*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6597*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6599*/     OPC_EmitMergeInputChains1_0,
/*  6600*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6602*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v2f64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6612*/    /*SwitchType*/ 15, /*MVT::v8f16*/92, // ->6629
/*  6614*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6615*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  6617*/     OPC_EmitMergeInputChains1_0,
/*  6618*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6620*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v8f16*/92, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v8f16] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A32:{ *:[v8f16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  6629*/    0, // EndSwitchType
/*  6630*/   /*Scope*/ 30, /*->6661*/
/*  6631*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6633*/    OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/*  6636*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  6637*/    OPC_EmitMergeInputChains1_0,
/*  6638*/    OPC_EmitInteger32, 0,  // 0 #2
/*  6640*/    OPC_EmitInteger32, 0,  // 0 #3
/*  6642*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v16i8*/39, 3/*#Ops*/, 2, 3, 1,  // Results = #4
/*  6651*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::promote_low_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 4,  // Results = #5
/*  6658*/    OPC_CompleteMatch, 1, 5, 
               // Src: (ld:{ *:[v2f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>> - Complexity = 4
               // Dst: (promote_low_F64x2:{ *:[v2f64] } (LOAD_ZERO_64_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr))
/*  6661*/   0, /*End of Scope*/
/*  6662*/  /*Scope*/ 89|128,5/*729*/, /*->7393*/
/*  6664*/   OPC_CheckChild1TypeI64,
/*  6665*/   OPC_CheckPredicate, 8, // Predicate_unindexedload
/*  6667*/   OPC_Scope, 37, /*->6706*/ // 16 children in Scope
/*  6669*/    OPC_CheckPredicate6,  // Predicate_load
/*  6670*/    OPC_SwitchType /*2 cases */, 15, /*MVT::i32*/7, // ->6688
/*  6673*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6674*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6676*/     OPC_EmitMergeInputChains1_0,
/*  6677*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6679*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6688*/    /*SwitchType*/ 15, /*MVT::i64*/8, // ->6705
/*  6690*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6691*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6693*/     OPC_EmitMergeInputChains1_0,
/*  6694*/     OPC_EmitInteger32, 0,  // 0 #4
/*  6696*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6705*/    0, // EndSwitchType
/*  6706*/   /*Scope*/ 97, /*->6804*/
/*  6707*/    OPC_CheckPredicate, 15, // Predicate_sextload
/*  6709*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6748
/*  6712*/     OPC_Scope, 16, /*->6730*/ // 2 children in Scope
/*  6714*/      OPC_CheckPredicate1,  // Predicate_sextloadi8
/*  6715*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6716*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6718*/      OPC_EmitMergeInputChains1_0,
/*  6719*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6721*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 13
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6730*/     /*Scope*/ 16, /*->6747*/
/*  6731*/      OPC_CheckPredicate2,  // Predicate_sextloadi16
/*  6732*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6733*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6735*/      OPC_EmitMergeInputChains1_0,
/*  6736*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6738*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 13
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6747*/     0, /*End of Scope*/
/*  6748*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6803
/*  6750*/     OPC_Scope, 16, /*->6768*/ // 3 children in Scope
/*  6752*/      OPC_CheckPredicate1,  // Predicate_sextloadi8
/*  6753*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6754*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6756*/      OPC_EmitMergeInputChains1_0,
/*  6757*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6759*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 13
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6768*/     /*Scope*/ 16, /*->6785*/
/*  6769*/      OPC_CheckPredicate2,  // Predicate_sextloadi16
/*  6770*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6771*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6773*/      OPC_EmitMergeInputChains1_0,
/*  6774*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6776*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 13
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6785*/     /*Scope*/ 16, /*->6802*/
/*  6786*/      OPC_CheckPredicate3,  // Predicate_sextloadi32
/*  6787*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6788*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6790*/      OPC_EmitMergeInputChains1_0,
/*  6791*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6793*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 13
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6802*/     0, /*End of Scope*/
/*  6803*/    0, // EndSwitchType
/*  6804*/   /*Scope*/ 97, /*->6902*/
/*  6805*/    OPC_CheckPredicate, 16, // Predicate_zextload
/*  6807*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6846
/*  6810*/     OPC_Scope, 16, /*->6828*/ // 2 children in Scope
/*  6812*/      OPC_CheckPredicate1,  // Predicate_zextloadi8
/*  6813*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6814*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6816*/      OPC_EmitMergeInputChains1_0,
/*  6817*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6819*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6828*/     /*Scope*/ 16, /*->6845*/
/*  6829*/      OPC_CheckPredicate2,  // Predicate_zextloadi16
/*  6830*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6831*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6833*/      OPC_EmitMergeInputChains1_0,
/*  6834*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6836*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6845*/     0, /*End of Scope*/
/*  6846*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6901
/*  6848*/     OPC_Scope, 16, /*->6866*/ // 3 children in Scope
/*  6850*/      OPC_CheckPredicate1,  // Predicate_zextloadi8
/*  6851*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6852*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6854*/      OPC_EmitMergeInputChains1_0,
/*  6855*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6857*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6866*/     /*Scope*/ 16, /*->6883*/
/*  6867*/      OPC_CheckPredicate2,  // Predicate_zextloadi16
/*  6868*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6869*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6871*/      OPC_EmitMergeInputChains1_0,
/*  6872*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6874*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6883*/     /*Scope*/ 16, /*->6900*/
/*  6884*/      OPC_CheckPredicate3,  // Predicate_zextloadi32
/*  6885*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6886*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6888*/      OPC_EmitMergeInputChains1_0,
/*  6889*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6891*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 13
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6900*/     0, /*End of Scope*/
/*  6901*/    0, // EndSwitchType
/*  6902*/   /*Scope*/ 97, /*->7000*/
/*  6903*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  6905*/    OPC_SwitchType /*2 cases */, 36, /*MVT::i32*/7, // ->6944
/*  6908*/     OPC_Scope, 16, /*->6926*/ // 2 children in Scope
/*  6910*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/*  6911*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6912*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6914*/      OPC_EmitMergeInputChains1_0,
/*  6915*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6917*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6926*/     /*Scope*/ 16, /*->6943*/
/*  6927*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/*  6928*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6929*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6931*/      OPC_EmitMergeInputChains1_0,
/*  6932*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6934*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6943*/     0, /*End of Scope*/
/*  6944*/    /*SwitchType*/ 53, /*MVT::i64*/8, // ->6999
/*  6946*/     OPC_Scope, 16, /*->6964*/ // 3 children in Scope
/*  6948*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/*  6949*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6950*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6952*/      OPC_EmitMergeInputChains1_0,
/*  6953*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6955*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 13
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6964*/     /*Scope*/ 16, /*->6981*/
/*  6965*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/*  6966*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6967*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6969*/      OPC_EmitMergeInputChains1_0,
/*  6970*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6972*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 13
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6981*/     /*Scope*/ 16, /*->6998*/
/*  6982*/      OPC_CheckPredicate3,  // Predicate_extloadi32
/*  6983*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  6984*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  6986*/      OPC_EmitMergeInputChains1_0,
/*  6987*/      OPC_EmitInteger32, 0,  // 0 #4
/*  6989*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
                // Src: (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 13
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  6998*/     0, /*End of Scope*/
/*  6999*/    0, // EndSwitchType
/*  7000*/   /*Scope*/ 105, /*->7106*/
/*  7001*/    OPC_CheckPredicate6,  // Predicate_load
/*  7002*/    OPC_SwitchType /*6 cases */, 15, /*MVT::f32*/12, // ->7020
/*  7005*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7006*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7008*/     OPC_EmitMergeInputChains1_0,
/*  7009*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7011*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::f32*/12, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[f32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7020*/    /*SwitchType*/ 15, /*MVT::f64*/13, // ->7037
/*  7022*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7023*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7025*/     OPC_EmitMergeInputChains1_0,
/*  7026*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7028*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::f64*/13, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[f64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7037*/    /*SwitchType*/ 15, /*MVT::v16i8*/39, // ->7054
/*  7039*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7040*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7042*/     OPC_EmitMergeInputChains1_0,
/*  7043*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7045*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v16i8*/39, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v16i8] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7054*/    /*SwitchType*/ 15, /*MVT::v8i16*/50, // ->7071
/*  7056*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7057*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7059*/     OPC_EmitMergeInputChains1_0,
/*  7060*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7062*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v8i16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7071*/    /*SwitchType*/ 15, /*MVT::v4i32*/60, // ->7088
/*  7073*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7074*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7076*/     OPC_EmitMergeInputChains1_0,
/*  7077*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7079*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v4i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7088*/    /*SwitchType*/ 15, /*MVT::v2i64*/78, // ->7105
/*  7090*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7091*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7093*/     OPC_EmitMergeInputChains1_0,
/*  7094*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7096*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v2i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7105*/    0, // EndSwitchType
/*  7106*/   /*Scope*/ 21, /*->7128*/
/*  7107*/    OPC_CheckPredicate, 15, // Predicate_sextload
/*  7109*/    OPC_CheckPredicate, 19, // Predicate_sextloadvi8
/*  7111*/    OPC_CheckType, /*MVT::v8i16*/50, 
/*  7113*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7114*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7116*/    OPC_EmitMergeInputChains1_0,
/*  7117*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7119*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7128*/   /*Scope*/ 21, /*->7150*/
/*  7129*/    OPC_CheckPredicate, 16, // Predicate_zextload
/*  7131*/    OPC_CheckPredicate, 19, // Predicate_zextloadvi8
/*  7133*/    OPC_CheckType, /*MVT::v8i16*/50, 
/*  7135*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7136*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7138*/    OPC_EmitMergeInputChains1_0,
/*  7139*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7141*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7150*/   /*Scope*/ 21, /*->7172*/
/*  7151*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  7153*/    OPC_CheckPredicate, 19, // Predicate_extloadvi8
/*  7155*/    OPC_CheckType, /*MVT::v8i16*/50, 
/*  7157*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7158*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7160*/    OPC_EmitMergeInputChains1_0,
/*  7161*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7163*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v8i16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7172*/   /*Scope*/ 21, /*->7194*/
/*  7173*/    OPC_CheckPredicate, 15, // Predicate_sextload
/*  7175*/    OPC_CheckPredicate, 20, // Predicate_sextloadvi16
/*  7177*/    OPC_CheckType, /*MVT::v4i32*/60, 
/*  7179*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7180*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7182*/    OPC_EmitMergeInputChains1_0,
/*  7183*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7185*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7194*/   /*Scope*/ 21, /*->7216*/
/*  7195*/    OPC_CheckPredicate, 16, // Predicate_zextload
/*  7197*/    OPC_CheckPredicate, 20, // Predicate_zextloadvi16
/*  7199*/    OPC_CheckType, /*MVT::v4i32*/60, 
/*  7201*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7202*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7204*/    OPC_EmitMergeInputChains1_0,
/*  7205*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7207*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7216*/   /*Scope*/ 21, /*->7238*/
/*  7217*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  7219*/    OPC_CheckPredicate, 20, // Predicate_extloadvi16
/*  7221*/    OPC_CheckType, /*MVT::v4i32*/60, 
/*  7223*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7224*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7226*/    OPC_EmitMergeInputChains1_0,
/*  7227*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7229*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v4i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7238*/   /*Scope*/ 21, /*->7260*/
/*  7239*/    OPC_CheckPredicate, 15, // Predicate_sextload
/*  7241*/    OPC_CheckPredicate, 21, // Predicate_sextloadvi32
/*  7243*/    OPC_CheckType, /*MVT::v2i64*/78, 
/*  7245*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7246*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7248*/    OPC_EmitMergeInputChains1_0,
/*  7249*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7251*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7260*/   /*Scope*/ 21, /*->7282*/
/*  7261*/    OPC_CheckPredicate, 16, // Predicate_zextload
/*  7263*/    OPC_CheckPredicate, 21, // Predicate_zextloadvi32
/*  7265*/    OPC_CheckType, /*MVT::v2i64*/78, 
/*  7267*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7268*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7270*/    OPC_EmitMergeInputChains1_0,
/*  7271*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7273*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7282*/   /*Scope*/ 21, /*->7304*/
/*  7283*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  7285*/    OPC_CheckPredicate, 21, // Predicate_extloadvi32
/*  7287*/    OPC_CheckType, /*MVT::v2i64*/78, 
/*  7289*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7290*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7292*/    OPC_EmitMergeInputChains1_0,
/*  7293*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7295*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
              // Src: (ld:{ *:[v2i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 13
              // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7304*/   /*Scope*/ 56, /*->7361*/
/*  7305*/    OPC_CheckPredicate6,  // Predicate_load
/*  7306*/    OPC_SwitchType /*3 cases */, 15, /*MVT::v4f32*/111, // ->7324
/*  7309*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7310*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7312*/     OPC_EmitMergeInputChains1_0,
/*  7313*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7315*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/111, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v4f32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7324*/    /*SwitchType*/ 16, /*MVT::v2f64*/1|128,1/*129*/, // ->7343
/*  7327*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7328*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7330*/     OPC_EmitMergeInputChains1_0,
/*  7331*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7333*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v2f64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7343*/    /*SwitchType*/ 15, /*MVT::v8f16*/92, // ->7360
/*  7345*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7346*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7348*/     OPC_EmitMergeInputChains1_0,
/*  7349*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7351*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v8f16*/92, 3/*#Ops*/, 4, 2, 3, 
               // Src: (ld:{ *:[v8f16] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 13
               // Dst: (LOAD_V128_A64:{ *:[v8f16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7360*/    0, // EndSwitchType
/*  7361*/   /*Scope*/ 30, /*->7392*/
/*  7362*/    OPC_CheckPredicate, 10, // Predicate_extload
/*  7364*/    OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/*  7367*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7368*/    OPC_EmitMergeInputChains1_0,
/*  7369*/    OPC_EmitInteger32, 0,  // 0 #2
/*  7371*/    OPC_EmitInteger64, 0,  // 0 #3
/*  7373*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::v16i8*/39, 3/*#Ops*/, 2, 3, 1,  // Results = #4
/*  7382*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::promote_low_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 4,  // Results = #5
/*  7389*/    OPC_CompleteMatch, 1, 5, 
               // Src: (ld:{ *:[v2f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>> - Complexity = 4
               // Dst: (promote_low_F64x2:{ *:[v2f64] } (LOAD_ZERO_64_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr))
/*  7392*/   0, /*End of Scope*/
/*  7393*/  0, /*End of Scope*/
/*  7394*/ /*SwitchOpcode*/ 31|128,1/*159*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->7557
/*  7398*/  OPC_RecordMemRef,
/*  7399*/  OPC_RecordNode, // #0 = 'atomic_load' chained node
/*  7400*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  7401*/  OPC_Scope, 76, /*->7479*/ // 2 children in Scope
/*  7403*/   OPC_CheckChild1TypeI32,
/*  7404*/   OPC_SwitchType /*2 cases */, 53, /*MVT::i32*/7, // ->7460
/*  7407*/    OPC_Scope, 16, /*->7425*/ // 3 children in Scope
/*  7409*/     OPC_CheckPredicate3,  // Predicate_atomic_load_32
/*  7410*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  7411*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  7413*/     OPC_EmitMergeInputChains1_0,
/*  7414*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7416*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_32>> - Complexity = 13
               // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  7425*/    /*Scope*/ 16, /*->7442*/
/*  7426*/     OPC_CheckPredicate1,  // Predicate_atomic_load_8
/*  7427*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  7428*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  7430*/     OPC_EmitMergeInputChains1_0,
/*  7431*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7433*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_8>> - Complexity = 13
               // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  7442*/    /*Scope*/ 16, /*->7459*/
/*  7443*/     OPC_CheckPredicate2,  // Predicate_atomic_load_16
/*  7444*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  7445*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  7447*/     OPC_EmitMergeInputChains1_0,
/*  7448*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7450*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_16>> - Complexity = 13
               // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  7459*/    0, /*End of Scope*/
/*  7460*/   /*SwitchType*/ 16, /*MVT::i64*/8, // ->7478
/*  7462*/    OPC_CheckPredicate7,  // Predicate_atomic_load_64
/*  7463*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/*  7464*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/*  7466*/    OPC_EmitMergeInputChains1_0,
/*  7467*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7469*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
              // Src: (atomic_load:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_atomic_load_64>> - Complexity = 13
              // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/*  7478*/   0, // EndSwitchType
/*  7479*/  /*Scope*/ 76, /*->7556*/
/*  7480*/   OPC_CheckChild1TypeI64,
/*  7481*/   OPC_SwitchType /*2 cases */, 53, /*MVT::i32*/7, // ->7537
/*  7484*/    OPC_Scope, 16, /*->7502*/ // 3 children in Scope
/*  7486*/     OPC_CheckPredicate3,  // Predicate_atomic_load_32
/*  7487*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7488*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7490*/     OPC_EmitMergeInputChains1_0,
/*  7491*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7493*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_32>> - Complexity = 13
               // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7502*/    /*Scope*/ 16, /*->7519*/
/*  7503*/     OPC_CheckPredicate1,  // Predicate_atomic_load_8
/*  7504*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7505*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7507*/     OPC_EmitMergeInputChains1_0,
/*  7508*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7510*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_8>> - Complexity = 13
               // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7519*/    /*Scope*/ 16, /*->7536*/
/*  7520*/     OPC_CheckPredicate2,  // Predicate_atomic_load_16
/*  7521*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7522*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7524*/     OPC_EmitMergeInputChains1_0,
/*  7525*/     OPC_EmitInteger32, 0,  // 0 #4
/*  7527*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 3/*#Ops*/, 4, 2, 3, 
               // Src: (atomic_load:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_16>> - Complexity = 13
               // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7536*/    0, /*End of Scope*/
/*  7537*/   /*SwitchType*/ 16, /*MVT::i64*/8, // ->7555
/*  7539*/    OPC_CheckPredicate7,  // Predicate_atomic_load_64
/*  7540*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/*  7541*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/*  7543*/    OPC_EmitMergeInputChains1_0,
/*  7544*/    OPC_EmitInteger32, 0,  // 0 #4
/*  7546*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 3/*#Ops*/, 4, 2, 3, 
              // Src: (atomic_load:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_atomic_load_64>> - Complexity = 13
              // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/*  7555*/   0, // EndSwitchType
/*  7556*/  0, /*End of Scope*/
/*  7557*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->7802
/*  7561*/  OPC_RecordMemRef,
/*  7562*/  OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*  7563*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  7564*/  OPC_Scope, 117, /*->7683*/ // 2 children in Scope
/*  7566*/   OPC_CheckChild1TypeI32,
/*  7567*/   OPC_RecordChild2, // #2 = $val
/*  7568*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->7663
/*  7571*/    OPC_Scope, 17, /*->7590*/ // 5 children in Scope
/*  7573*/     OPC_CheckPredicate3,  // Predicate_atomic_load_add_i32
/*  7574*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7575*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7577*/     OPC_EmitMergeInputChains1_0,
/*  7578*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7580*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7590*/    /*Scope*/ 17, /*->7608*/
/*  7591*/     OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  7592*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7593*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7595*/     OPC_EmitMergeInputChains1_0,
/*  7596*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7598*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7608*/    /*Scope*/ 17, /*->7626*/
/*  7609*/     OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  7610*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7611*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7613*/     OPC_EmitMergeInputChains1_0,
/*  7614*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7616*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7626*/    /*Scope*/ 17, /*->7644*/
/*  7627*/     OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  7628*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7629*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7631*/     OPC_EmitMergeInputChains1_0,
/*  7632*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7634*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7644*/    /*Scope*/ 17, /*->7662*/
/*  7645*/     OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  7646*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7647*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7649*/     OPC_EmitMergeInputChains1_0,
/*  7650*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7652*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7662*/    0, /*End of Scope*/
/*  7663*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->7682
/*  7665*/    OPC_CheckPredicate7,  // Predicate_atomic_load_add_i64
/*  7666*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7667*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7669*/    OPC_EmitMergeInputChains1_0,
/*  7670*/    OPC_EmitInteger32, 0,  // 0 #5
/*  7672*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_add:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  7682*/   0, // EndSwitchType
/*  7683*/  /*Scope*/ 117, /*->7801*/
/*  7684*/   OPC_CheckChild1TypeI64,
/*  7685*/   OPC_RecordChild2, // #2 = $val
/*  7686*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->7781
/*  7689*/    OPC_Scope, 17, /*->7708*/ // 5 children in Scope
/*  7691*/     OPC_CheckPredicate3,  // Predicate_atomic_load_add_i32
/*  7692*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7693*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7695*/     OPC_EmitMergeInputChains1_0,
/*  7696*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7698*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7708*/    /*Scope*/ 17, /*->7726*/
/*  7709*/     OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  7710*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7711*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7713*/     OPC_EmitMergeInputChains1_0,
/*  7714*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7716*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7726*/    /*Scope*/ 17, /*->7744*/
/*  7727*/     OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  7728*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7729*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7731*/     OPC_EmitMergeInputChains1_0,
/*  7732*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7734*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7744*/    /*Scope*/ 17, /*->7762*/
/*  7745*/     OPC_CheckPredicate1,  // Predicate_atomic_load_add_i8
/*  7746*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7747*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7749*/     OPC_EmitMergeInputChains1_0,
/*  7750*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7752*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7762*/    /*Scope*/ 17, /*->7780*/
/*  7763*/     OPC_CheckPredicate2,  // Predicate_atomic_load_add_i16
/*  7764*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7765*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7767*/     OPC_EmitMergeInputChains1_0,
/*  7768*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7770*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_add:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7780*/    0, /*End of Scope*/
/*  7781*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->7800
/*  7783*/    OPC_CheckPredicate7,  // Predicate_atomic_load_add_i64
/*  7784*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7785*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7787*/    OPC_EmitMergeInputChains1_0,
/*  7788*/    OPC_EmitInteger32, 0,  // 0 #5
/*  7790*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_add:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  7800*/   0, // EndSwitchType
/*  7801*/  0, /*End of Scope*/
/*  7802*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->8047
/*  7806*/  OPC_RecordMemRef,
/*  7807*/  OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*  7808*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  7809*/  OPC_Scope, 117, /*->7928*/ // 2 children in Scope
/*  7811*/   OPC_CheckChild1TypeI32,
/*  7812*/   OPC_RecordChild2, // #2 = $val
/*  7813*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->7908
/*  7816*/    OPC_Scope, 17, /*->7835*/ // 5 children in Scope
/*  7818*/     OPC_CheckPredicate3,  // Predicate_atomic_load_sub_i32
/*  7819*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7820*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7822*/     OPC_EmitMergeInputChains1_0,
/*  7823*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7825*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7835*/    /*Scope*/ 17, /*->7853*/
/*  7836*/     OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  7837*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7838*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7840*/     OPC_EmitMergeInputChains1_0,
/*  7841*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7843*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7853*/    /*Scope*/ 17, /*->7871*/
/*  7854*/     OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  7855*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7856*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7858*/     OPC_EmitMergeInputChains1_0,
/*  7859*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7861*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7871*/    /*Scope*/ 17, /*->7889*/
/*  7872*/     OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  7873*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7874*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7876*/     OPC_EmitMergeInputChains1_0,
/*  7877*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7879*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7889*/    /*Scope*/ 17, /*->7907*/
/*  7890*/     OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  7891*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7892*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7894*/     OPC_EmitMergeInputChains1_0,
/*  7895*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7897*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  7907*/    0, /*End of Scope*/
/*  7908*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->7927
/*  7910*/    OPC_CheckPredicate7,  // Predicate_atomic_load_sub_i64
/*  7911*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7912*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  7914*/    OPC_EmitMergeInputChains1_0,
/*  7915*/    OPC_EmitInteger32, 0,  // 0 #5
/*  7917*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_sub:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  7927*/   0, // EndSwitchType
/*  7928*/  /*Scope*/ 117, /*->8046*/
/*  7929*/   OPC_CheckChild1TypeI64,
/*  7930*/   OPC_RecordChild2, // #2 = $val
/*  7931*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8026
/*  7934*/    OPC_Scope, 17, /*->7953*/ // 5 children in Scope
/*  7936*/     OPC_CheckPredicate3,  // Predicate_atomic_load_sub_i32
/*  7937*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7938*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7940*/     OPC_EmitMergeInputChains1_0,
/*  7941*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7943*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7953*/    /*Scope*/ 17, /*->7971*/
/*  7954*/     OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  7955*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7956*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7958*/     OPC_EmitMergeInputChains1_0,
/*  7959*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7961*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7971*/    /*Scope*/ 17, /*->7989*/
/*  7972*/     OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  7973*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7974*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7976*/     OPC_EmitMergeInputChains1_0,
/*  7977*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7979*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  7989*/    /*Scope*/ 17, /*->8007*/
/*  7990*/     OPC_CheckPredicate1,  // Predicate_atomic_load_sub_i8
/*  7991*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7992*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  7994*/     OPC_EmitMergeInputChains1_0,
/*  7995*/     OPC_EmitInteger32, 0,  // 0 #5
/*  7997*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8007*/    /*Scope*/ 17, /*->8025*/
/*  8008*/     OPC_CheckPredicate2,  // Predicate_atomic_load_sub_i16
/*  8009*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8010*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8012*/     OPC_EmitMergeInputChains1_0,
/*  8013*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8015*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_sub:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8025*/    0, /*End of Scope*/
/*  8026*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8045
/*  8028*/    OPC_CheckPredicate7,  // Predicate_atomic_load_sub_i64
/*  8029*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8030*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8032*/    OPC_EmitMergeInputChains1_0,
/*  8033*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8035*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_sub:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  8045*/   0, // EndSwitchType
/*  8046*/  0, /*End of Scope*/
/*  8047*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->8292
/*  8051*/  OPC_RecordMemRef,
/*  8052*/  OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*  8053*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  8054*/  OPC_Scope, 117, /*->8173*/ // 2 children in Scope
/*  8056*/   OPC_CheckChild1TypeI32,
/*  8057*/   OPC_RecordChild2, // #2 = $val
/*  8058*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8153
/*  8061*/    OPC_Scope, 17, /*->8080*/ // 5 children in Scope
/*  8063*/     OPC_CheckPredicate3,  // Predicate_atomic_load_and_i32
/*  8064*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8065*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8067*/     OPC_EmitMergeInputChains1_0,
/*  8068*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8070*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8080*/    /*Scope*/ 17, /*->8098*/
/*  8081*/     OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  8082*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8083*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8085*/     OPC_EmitMergeInputChains1_0,
/*  8086*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8088*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8098*/    /*Scope*/ 17, /*->8116*/
/*  8099*/     OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  8100*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8101*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8103*/     OPC_EmitMergeInputChains1_0,
/*  8104*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8106*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8116*/    /*Scope*/ 17, /*->8134*/
/*  8117*/     OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  8118*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8119*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8121*/     OPC_EmitMergeInputChains1_0,
/*  8122*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8124*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8134*/    /*Scope*/ 17, /*->8152*/
/*  8135*/     OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  8136*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8137*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8139*/     OPC_EmitMergeInputChains1_0,
/*  8140*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8142*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8152*/    0, /*End of Scope*/
/*  8153*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8172
/*  8155*/    OPC_CheckPredicate7,  // Predicate_atomic_load_and_i64
/*  8156*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8157*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8159*/    OPC_EmitMergeInputChains1_0,
/*  8160*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8162*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_and:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  8172*/   0, // EndSwitchType
/*  8173*/  /*Scope*/ 117, /*->8291*/
/*  8174*/   OPC_CheckChild1TypeI64,
/*  8175*/   OPC_RecordChild2, // #2 = $val
/*  8176*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8271
/*  8179*/    OPC_Scope, 17, /*->8198*/ // 5 children in Scope
/*  8181*/     OPC_CheckPredicate3,  // Predicate_atomic_load_and_i32
/*  8182*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8183*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8185*/     OPC_EmitMergeInputChains1_0,
/*  8186*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8188*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8198*/    /*Scope*/ 17, /*->8216*/
/*  8199*/     OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  8200*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8201*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8203*/     OPC_EmitMergeInputChains1_0,
/*  8204*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8206*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8216*/    /*Scope*/ 17, /*->8234*/
/*  8217*/     OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  8218*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8219*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8221*/     OPC_EmitMergeInputChains1_0,
/*  8222*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8224*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8234*/    /*Scope*/ 17, /*->8252*/
/*  8235*/     OPC_CheckPredicate1,  // Predicate_atomic_load_and_i8
/*  8236*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8237*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8239*/     OPC_EmitMergeInputChains1_0,
/*  8240*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8242*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8252*/    /*Scope*/ 17, /*->8270*/
/*  8253*/     OPC_CheckPredicate2,  // Predicate_atomic_load_and_i16
/*  8254*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8255*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8257*/     OPC_EmitMergeInputChains1_0,
/*  8258*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8260*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_and:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8270*/    0, /*End of Scope*/
/*  8271*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8290
/*  8273*/    OPC_CheckPredicate7,  // Predicate_atomic_load_and_i64
/*  8274*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8275*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8277*/    OPC_EmitMergeInputChains1_0,
/*  8278*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8280*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_and:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  8290*/   0, // EndSwitchType
/*  8291*/  0, /*End of Scope*/
/*  8292*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->8537
/*  8296*/  OPC_RecordMemRef,
/*  8297*/  OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/*  8298*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  8299*/  OPC_Scope, 117, /*->8418*/ // 2 children in Scope
/*  8301*/   OPC_CheckChild1TypeI32,
/*  8302*/   OPC_RecordChild2, // #2 = $val
/*  8303*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8398
/*  8306*/    OPC_Scope, 17, /*->8325*/ // 5 children in Scope
/*  8308*/     OPC_CheckPredicate3,  // Predicate_atomic_load_or_i32
/*  8309*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8310*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8312*/     OPC_EmitMergeInputChains1_0,
/*  8313*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8315*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8325*/    /*Scope*/ 17, /*->8343*/
/*  8326*/     OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  8327*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8328*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8330*/     OPC_EmitMergeInputChains1_0,
/*  8331*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8333*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8343*/    /*Scope*/ 17, /*->8361*/
/*  8344*/     OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  8345*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8346*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8348*/     OPC_EmitMergeInputChains1_0,
/*  8349*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8351*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8361*/    /*Scope*/ 17, /*->8379*/
/*  8362*/     OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  8363*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8364*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8366*/     OPC_EmitMergeInputChains1_0,
/*  8367*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8369*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8379*/    /*Scope*/ 17, /*->8397*/
/*  8380*/     OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  8381*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8382*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8384*/     OPC_EmitMergeInputChains1_0,
/*  8385*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8387*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8397*/    0, /*End of Scope*/
/*  8398*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8417
/*  8400*/    OPC_CheckPredicate7,  // Predicate_atomic_load_or_i64
/*  8401*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8402*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8404*/    OPC_EmitMergeInputChains1_0,
/*  8405*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8407*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_or:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  8417*/   0, // EndSwitchType
/*  8418*/  /*Scope*/ 117, /*->8536*/
/*  8419*/   OPC_CheckChild1TypeI64,
/*  8420*/   OPC_RecordChild2, // #2 = $val
/*  8421*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8516
/*  8424*/    OPC_Scope, 17, /*->8443*/ // 5 children in Scope
/*  8426*/     OPC_CheckPredicate3,  // Predicate_atomic_load_or_i32
/*  8427*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8428*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8430*/     OPC_EmitMergeInputChains1_0,
/*  8431*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8433*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8443*/    /*Scope*/ 17, /*->8461*/
/*  8444*/     OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  8445*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8446*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8448*/     OPC_EmitMergeInputChains1_0,
/*  8449*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8451*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8461*/    /*Scope*/ 17, /*->8479*/
/*  8462*/     OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  8463*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8464*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8466*/     OPC_EmitMergeInputChains1_0,
/*  8467*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8469*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8479*/    /*Scope*/ 17, /*->8497*/
/*  8480*/     OPC_CheckPredicate1,  // Predicate_atomic_load_or_i8
/*  8481*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8482*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8484*/     OPC_EmitMergeInputChains1_0,
/*  8485*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8487*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8497*/    /*Scope*/ 17, /*->8515*/
/*  8498*/     OPC_CheckPredicate2,  // Predicate_atomic_load_or_i16
/*  8499*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8500*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8502*/     OPC_EmitMergeInputChains1_0,
/*  8503*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8505*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_or:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8515*/    0, /*End of Scope*/
/*  8516*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8535
/*  8518*/    OPC_CheckPredicate7,  // Predicate_atomic_load_or_i64
/*  8519*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8520*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8522*/    OPC_EmitMergeInputChains1_0,
/*  8523*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8525*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_or:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  8535*/   0, // EndSwitchType
/*  8536*/  0, /*End of Scope*/
/*  8537*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->8782
/*  8541*/  OPC_RecordMemRef,
/*  8542*/  OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/*  8543*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  8544*/  OPC_Scope, 117, /*->8663*/ // 2 children in Scope
/*  8546*/   OPC_CheckChild1TypeI32,
/*  8547*/   OPC_RecordChild2, // #2 = $val
/*  8548*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8643
/*  8551*/    OPC_Scope, 17, /*->8570*/ // 5 children in Scope
/*  8553*/     OPC_CheckPredicate3,  // Predicate_atomic_load_xor_i32
/*  8554*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8555*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8557*/     OPC_EmitMergeInputChains1_0,
/*  8558*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8560*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8570*/    /*Scope*/ 17, /*->8588*/
/*  8571*/     OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  8572*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8573*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8575*/     OPC_EmitMergeInputChains1_0,
/*  8576*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8578*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8588*/    /*Scope*/ 17, /*->8606*/
/*  8589*/     OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  8590*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8591*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8593*/     OPC_EmitMergeInputChains1_0,
/*  8594*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8596*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8606*/    /*Scope*/ 17, /*->8624*/
/*  8607*/     OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  8608*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8609*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8611*/     OPC_EmitMergeInputChains1_0,
/*  8612*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8614*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8624*/    /*Scope*/ 17, /*->8642*/
/*  8625*/     OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  8626*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8627*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8629*/     OPC_EmitMergeInputChains1_0,
/*  8630*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8632*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8642*/    0, /*End of Scope*/
/*  8643*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8662
/*  8645*/    OPC_CheckPredicate7,  // Predicate_atomic_load_xor_i64
/*  8646*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8647*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8649*/    OPC_EmitMergeInputChains1_0,
/*  8650*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8652*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_xor:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  8662*/   0, // EndSwitchType
/*  8663*/  /*Scope*/ 117, /*->8781*/
/*  8664*/   OPC_CheckChild1TypeI64,
/*  8665*/   OPC_RecordChild2, // #2 = $val
/*  8666*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8761
/*  8669*/    OPC_Scope, 17, /*->8688*/ // 5 children in Scope
/*  8671*/     OPC_CheckPredicate3,  // Predicate_atomic_load_xor_i32
/*  8672*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8673*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8675*/     OPC_EmitMergeInputChains1_0,
/*  8676*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8678*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8688*/    /*Scope*/ 17, /*->8706*/
/*  8689*/     OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  8690*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8691*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8693*/     OPC_EmitMergeInputChains1_0,
/*  8694*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8696*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8706*/    /*Scope*/ 17, /*->8724*/
/*  8707*/     OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  8708*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8709*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8711*/     OPC_EmitMergeInputChains1_0,
/*  8712*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8714*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8724*/    /*Scope*/ 17, /*->8742*/
/*  8725*/     OPC_CheckPredicate1,  // Predicate_atomic_load_xor_i8
/*  8726*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8727*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8729*/     OPC_EmitMergeInputChains1_0,
/*  8730*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8732*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8742*/    /*Scope*/ 17, /*->8760*/
/*  8743*/     OPC_CheckPredicate2,  // Predicate_atomic_load_xor_i16
/*  8744*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8745*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8747*/     OPC_EmitMergeInputChains1_0,
/*  8748*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8750*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_load_xor:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8760*/    0, /*End of Scope*/
/*  8761*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8780
/*  8763*/    OPC_CheckPredicate7,  // Predicate_atomic_load_xor_i64
/*  8764*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8765*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8767*/    OPC_EmitMergeInputChains1_0,
/*  8768*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8770*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_load_xor:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  8780*/   0, // EndSwitchType
/*  8781*/  0, /*End of Scope*/
/*  8782*/ /*SwitchOpcode*/ 113|128,1/*241*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->9027
/*  8786*/  OPC_RecordMemRef,
/*  8787*/  OPC_RecordNode, // #0 = 'atomic_swap' chained node
/*  8788*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  8789*/  OPC_Scope, 117, /*->8908*/ // 2 children in Scope
/*  8791*/   OPC_CheckChild1TypeI32,
/*  8792*/   OPC_RecordChild2, // #2 = $val
/*  8793*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->8888
/*  8796*/    OPC_Scope, 17, /*->8815*/ // 5 children in Scope
/*  8798*/     OPC_CheckPredicate3,  // Predicate_atomic_swap_i32
/*  8799*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8800*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8802*/     OPC_EmitMergeInputChains1_0,
/*  8803*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8805*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8815*/    /*Scope*/ 17, /*->8833*/
/*  8816*/     OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  8817*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8818*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8820*/     OPC_EmitMergeInputChains1_0,
/*  8821*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8823*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8833*/    /*Scope*/ 17, /*->8851*/
/*  8834*/     OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  8835*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8836*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8838*/     OPC_EmitMergeInputChains1_0,
/*  8839*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8841*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8851*/    /*Scope*/ 17, /*->8869*/
/*  8852*/     OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  8853*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8854*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8856*/     OPC_EmitMergeInputChains1_0,
/*  8857*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8859*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8869*/    /*Scope*/ 17, /*->8887*/
/*  8870*/     OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  8871*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8872*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8874*/     OPC_EmitMergeInputChains1_0,
/*  8875*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8877*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$val)
/*  8887*/    0, /*End of Scope*/
/*  8888*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->8907
/*  8890*/    OPC_CheckPredicate7,  // Predicate_atomic_swap_i64
/*  8891*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8892*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #3 #4
/*  8894*/    OPC_EmitMergeInputChains1_0,
/*  8895*/    OPC_EmitInteger32, 0,  // 0 #5
/*  8897*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_swap:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$val)
/*  8907*/   0, // EndSwitchType
/*  8908*/  /*Scope*/ 117, /*->9026*/
/*  8909*/   OPC_CheckChild1TypeI64,
/*  8910*/   OPC_RecordChild2, // #2 = $val
/*  8911*/   OPC_SwitchType /*2 cases */, 92, /*MVT::i32*/7, // ->9006
/*  8914*/    OPC_Scope, 17, /*->8933*/ // 5 children in Scope
/*  8916*/     OPC_CheckPredicate3,  // Predicate_atomic_swap_i32
/*  8917*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8918*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8920*/     OPC_EmitMergeInputChains1_0,
/*  8921*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8923*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8933*/    /*Scope*/ 17, /*->8951*/
/*  8934*/     OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  8935*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8936*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8938*/     OPC_EmitMergeInputChains1_0,
/*  8939*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8941*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8951*/    /*Scope*/ 17, /*->8969*/
/*  8952*/     OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  8953*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8954*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8956*/     OPC_EmitMergeInputChains1_0,
/*  8957*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8959*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8969*/    /*Scope*/ 17, /*->8987*/
/*  8970*/     OPC_CheckPredicate1,  // Predicate_atomic_swap_i8
/*  8971*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8972*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8974*/     OPC_EmitMergeInputChains1_0,
/*  8975*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8977*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  8987*/    /*Scope*/ 17, /*->9005*/
/*  8988*/     OPC_CheckPredicate2,  // Predicate_atomic_swap_i16
/*  8989*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8990*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  8992*/     OPC_EmitMergeInputChains1_0,
/*  8993*/     OPC_EmitInteger32, 0,  // 0 #5
/*  8995*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 4/*#Ops*/, 5, 3, 4, 2, 
               // Src: (atomic_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$val)
/*  9005*/    0, /*End of Scope*/
/*  9006*/   /*SwitchType*/ 17, /*MVT::i64*/8, // ->9025
/*  9008*/    OPC_CheckPredicate7,  // Predicate_atomic_swap_i64
/*  9009*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9010*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #3 #4
/*  9012*/    OPC_EmitMergeInputChains1_0,
/*  9013*/    OPC_EmitInteger32, 0,  // 0 #5
/*  9015*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 4/*#Ops*/, 5, 3, 4, 2, 
              // Src: (atomic_swap:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$val)
/*  9025*/   0, // EndSwitchType
/*  9026*/  0, /*End of Scope*/
/*  9027*/ /*SwitchOpcode*/ 127|128,1/*255*/, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),// ->9286
/*  9031*/  OPC_RecordMemRef,
/*  9032*/  OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*  9033*/  OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/*  9034*/  OPC_Scope, 124, /*->9160*/ // 2 children in Scope
/*  9036*/   OPC_CheckChild1TypeI32,
/*  9037*/   OPC_RecordChild2, // #2 = $exp
/*  9038*/   OPC_RecordChild3, // #3 = $new
/*  9039*/   OPC_SwitchType /*2 cases */, 97, /*MVT::i32*/7, // ->9139
/*  9042*/    OPC_Scope, 18, /*->9062*/ // 5 children in Scope
/*  9044*/     OPC_CheckPredicate3,  // Predicate_atomic_cmp_swap_i32
/*  9045*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9046*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9048*/     OPC_EmitMergeInputChains1_0,
/*  9049*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9051*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9062*/    /*Scope*/ 18, /*->9081*/
/*  9063*/     OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  9064*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9065*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9067*/     OPC_EmitMergeInputChains1_0,
/*  9068*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9070*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9081*/    /*Scope*/ 18, /*->9100*/
/*  9082*/     OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  9083*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9084*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9086*/     OPC_EmitMergeInputChains1_0,
/*  9087*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9089*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9100*/    /*Scope*/ 18, /*->9119*/
/*  9101*/     OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  9102*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9103*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9105*/     OPC_EmitMergeInputChains1_0,
/*  9106*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9108*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9119*/    /*Scope*/ 18, /*->9138*/
/*  9120*/     OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  9121*/     OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9122*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9124*/     OPC_EmitMergeInputChains1_0,
/*  9125*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9127*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9138*/    0, /*End of Scope*/
/*  9139*/   /*SwitchType*/ 18, /*MVT::i64*/8, // ->9159
/*  9141*/    OPC_CheckPredicate7,  // Predicate_atomic_cmp_swap_i64
/*  9142*/    OPC_CheckPatternPredicate3, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9143*/    OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #4 #5
/*  9145*/    OPC_EmitMergeInputChains1_0,
/*  9146*/    OPC_EmitInteger32, 0,  // 0 #6
/*  9148*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
              // Src: (atomic_cmp_swap:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i32] }:$offset, ?:{ *:[i32] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  9159*/   0, // EndSwitchType
/*  9160*/  /*Scope*/ 124, /*->9285*/
/*  9161*/   OPC_CheckChild1TypeI64,
/*  9162*/   OPC_RecordChild2, // #2 = $exp
/*  9163*/   OPC_RecordChild3, // #3 = $new
/*  9164*/   OPC_SwitchType /*2 cases */, 97, /*MVT::i32*/7, // ->9264
/*  9167*/    OPC_Scope, 18, /*->9187*/ // 5 children in Scope
/*  9169*/     OPC_CheckPredicate3,  // Predicate_atomic_cmp_swap_i32
/*  9170*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9171*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9173*/     OPC_EmitMergeInputChains1_0,
/*  9174*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9176*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>> - Complexity = 13
               // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9187*/    /*Scope*/ 18, /*->9206*/
/*  9188*/     OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  9189*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9190*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9192*/     OPC_EmitMergeInputChains1_0,
/*  9193*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9195*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9206*/    /*Scope*/ 18, /*->9225*/
/*  9207*/     OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  9208*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9209*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9211*/     OPC_EmitMergeInputChains1_0,
/*  9212*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9214*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9225*/    /*Scope*/ 18, /*->9244*/
/*  9226*/     OPC_CheckPredicate1,  // Predicate_atomic_cmp_swap_i8
/*  9227*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9228*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9230*/     OPC_EmitMergeInputChains1_0,
/*  9231*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9233*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>> - Complexity = 13
               // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9244*/    /*Scope*/ 18, /*->9263*/
/*  9245*/     OPC_CheckPredicate2,  // Predicate_atomic_cmp_swap_i16
/*  9246*/     OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9247*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9249*/     OPC_EmitMergeInputChains1_0,
/*  9250*/     OPC_EmitInteger32, 0,  // 0 #6
/*  9252*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::i32*/7, 5/*#Ops*/, 6, 4, 5, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>> - Complexity = 13
               // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i32] }:$exp, ?:{ *:[i32] }:$new)
/*  9263*/    0, /*End of Scope*/
/*  9264*/   /*SwitchType*/ 18, /*MVT::i64*/8, // ->9284
/*  9266*/    OPC_CheckPredicate7,  // Predicate_atomic_cmp_swap_i64
/*  9267*/    OPC_CheckPatternPredicate4, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9268*/    OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #4 #5
/*  9270*/    OPC_EmitMergeInputChains1_0,
/*  9271*/    OPC_EmitInteger32, 0,  // 0 #6
/*  9273*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                  /*MVT::i64*/8, 5/*#Ops*/, 6, 4, 5, 2, 3, 
              // Src: (atomic_cmp_swap:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>> - Complexity = 13
              // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, ?:{ *:[i64] }:$offset, ?:{ *:[i64] }:$addr, ?:{ *:[i64] }:$exp, ?:{ *:[i64] }:$new)
/*  9284*/   0, // EndSwitchType
/*  9285*/  0, /*End of Scope*/
/*  9286*/ /*SwitchOpcode*/ 89, TARGET_VAL(ISD::BRCOND),// ->9378
/*  9289*/  OPC_RecordNode, // #0 = 'brcond' chained node
/*  9290*/  OPC_Scope, 69, /*->9361*/ // 2 children in Scope
/*  9292*/   OPC_MoveChild1,
/*  9293*/   OPC_SwitchOpcode /*2 cases */, 21, TARGET_VAL(ISD::XOR),// ->9318
/*  9297*/    OPC_RecordChild0, // #1 = $cond
/*  9298*/    OPC_MoveChild0,
/*  9299*/    OPC_CheckPredicate, 23, // Predicate_bool_node
/*  9301*/    OPC_MoveParent,
/*  9302*/    OPC_CheckChild1Integer, 2, 
/*  9304*/    OPC_CheckTypeI32,
/*  9305*/    OPC_MoveSibling2,
/*  9306*/    OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/*  9309*/    OPC_RecordNode, // #2 = $dst
/*  9310*/    OPC_MoveParent,
/*  9311*/    OPC_EmitMergeInputChains1_0,
/*  9312*/    OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR_UNLESS),
                  2/*#Ops*/, 2, 1, 
              // Src: (brcond (xor:{ *:[i32] } I32:{ *:[i32] }<<P:Predicate_bool_node>>:$cond, 1:{ *:[i32] }), (bb:{ *:[Other] }):$dst) - Complexity = 12
              // Dst: (BR_UNLESS bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/*  9318*/   /*SwitchOpcode*/ 39, TARGET_VAL(ISD::SETCC),// ->9360
/*  9321*/    OPC_RecordChild0, // #1 = $cond
/*  9322*/    OPC_CheckChild0TypeI32,
/*  9323*/    OPC_CheckChild1Integer, 0, 
/*  9325*/    OPC_CheckTypeI32,
/*  9326*/    OPC_Scope, 15, /*->9343*/ // 2 children in Scope
/*  9328*/     OPC_CheckChild2CondCode, ISD::SETNE,
/*  9330*/     OPC_MoveSibling2,
/*  9331*/     OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/*  9334*/     OPC_RecordNode, // #2 = $dst
/*  9335*/     OPC_MoveParent,
/*  9336*/     OPC_EmitMergeInputChains1_0,
/*  9337*/     OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR_IF),
                   2/*#Ops*/, 2, 1, 
               // Src: (brcond (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$dst) - Complexity = 11
               // Dst: (BR_IF bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/*  9343*/    /*Scope*/ 15, /*->9359*/
/*  9344*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/*  9346*/     OPC_MoveSibling2,
/*  9347*/     OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/*  9350*/     OPC_RecordNode, // #2 = $dst
/*  9351*/     OPC_MoveParent,
/*  9352*/     OPC_EmitMergeInputChains1_0,
/*  9353*/     OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR_UNLESS),
                   2/*#Ops*/, 2, 1, 
               // Src: (brcond (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$dst) - Complexity = 11
               // Dst: (BR_UNLESS bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/*  9359*/    0, /*End of Scope*/
/*  9360*/   0, // EndSwitchOpcode
/*  9361*/  /*Scope*/ 15, /*->9377*/
/*  9362*/   OPC_RecordChild1, // #1 = $cond
/*  9363*/   OPC_CheckChild1TypeI32,
/*  9364*/   OPC_RecordChild2, // #2 = $dst
/*  9365*/   OPC_MoveChild2,
/*  9366*/   OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/*  9369*/   OPC_MoveParent,
/*  9370*/   OPC_EmitMergeInputChains1_0,
/*  9371*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR_IF),
                 2/*#Ops*/, 2, 1, 
             // Src: (brcond I32:{ *:[i32] }:$cond, (bb:{ *:[Other] }):$dst) - Complexity = 3
             // Dst: (BR_IF (bb:{ *:[Other] }):$dst, I32:{ *:[i32] }:$cond)
/*  9377*/  0, /*End of Scope*/
/*  9378*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::SHL),// ->9440
/*  9381*/  OPC_RecordChild0, // #0 = $lhs
/*  9382*/  OPC_Scope, 31, /*->9415*/ // 2 children in Scope
/*  9384*/   OPC_MoveChild1,
/*  9385*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9400
/*  9388*/    OPC_CheckAndImm, 31, 
/*  9390*/    OPC_RecordChild0, // #1 = $rhs
/*  9391*/    OPC_MoveParent,
/*  9392*/    OPC_CheckTypeI32,
/*  9393*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9400*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9414
/*  9402*/    OPC_CheckAndImm, 63, 
/*  9404*/    OPC_RecordChild0, // #1 = $rhs
/*  9405*/    OPC_MoveParent,
/*  9406*/    OPC_CheckTypeI64,
/*  9407*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9414*/   0, // EndSwitchType
/*  9415*/  /*Scope*/ 23, /*->9439*/
/*  9416*/   OPC_RecordChild1, // #1 = $rhs
/*  9417*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9428
/*  9420*/    OPC_CheckChild1TypeI32,
/*  9421*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9428*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9438
/*  9430*/    OPC_CheckChild1TypeI64,
/*  9431*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9438*/   0, // EndSwitchType
/*  9439*/  0, /*End of Scope*/
/*  9440*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::SRA),// ->9502
/*  9443*/  OPC_RecordChild0, // #0 = $lhs
/*  9444*/  OPC_Scope, 31, /*->9477*/ // 2 children in Scope
/*  9446*/   OPC_MoveChild1,
/*  9447*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9462
/*  9450*/    OPC_CheckAndImm, 31, 
/*  9452*/    OPC_RecordChild0, // #1 = $rhs
/*  9453*/    OPC_MoveParent,
/*  9454*/    OPC_CheckTypeI32,
/*  9455*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9462*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9476
/*  9464*/    OPC_CheckAndImm, 63, 
/*  9466*/    OPC_RecordChild0, // #1 = $rhs
/*  9467*/    OPC_MoveParent,
/*  9468*/    OPC_CheckTypeI64,
/*  9469*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHR_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9476*/   0, // EndSwitchType
/*  9477*/  /*Scope*/ 23, /*->9501*/
/*  9478*/   OPC_RecordChild1, // #1 = $rhs
/*  9479*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9490
/*  9482*/    OPC_CheckChild1TypeI32,
/*  9483*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHR_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9490*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9500
/*  9492*/    OPC_CheckChild1TypeI64,
/*  9493*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHR_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9500*/   0, // EndSwitchType
/*  9501*/  0, /*End of Scope*/
/*  9502*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::SRL),// ->9564
/*  9505*/  OPC_RecordChild0, // #0 = $lhs
/*  9506*/  OPC_Scope, 31, /*->9539*/ // 2 children in Scope
/*  9508*/   OPC_MoveChild1,
/*  9509*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9524
/*  9512*/    OPC_CheckAndImm, 31, 
/*  9514*/    OPC_RecordChild0, // #1 = $rhs
/*  9515*/    OPC_MoveParent,
/*  9516*/    OPC_CheckTypeI32,
/*  9517*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9524*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9538
/*  9526*/    OPC_CheckAndImm, 63, 
/*  9528*/    OPC_RecordChild0, // #1 = $rhs
/*  9529*/    OPC_MoveParent,
/*  9530*/    OPC_CheckTypeI64,
/*  9531*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHR_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9538*/   0, // EndSwitchType
/*  9539*/  /*Scope*/ 23, /*->9563*/
/*  9540*/   OPC_RecordChild1, // #1 = $rhs
/*  9541*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9552
/*  9544*/    OPC_CheckChild1TypeI32,
/*  9545*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHR_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9552*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9562
/*  9554*/    OPC_CheckChild1TypeI64,
/*  9555*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHR_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9562*/   0, // EndSwitchType
/*  9563*/  0, /*End of Scope*/
/*  9564*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::ROTL),// ->9626
/*  9567*/  OPC_RecordChild0, // #0 = $lhs
/*  9568*/  OPC_Scope, 31, /*->9601*/ // 2 children in Scope
/*  9570*/   OPC_MoveChild1,
/*  9571*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9586
/*  9574*/    OPC_CheckAndImm, 31, 
/*  9576*/    OPC_RecordChild0, // #1 = $rhs
/*  9577*/    OPC_MoveParent,
/*  9578*/    OPC_CheckTypeI32,
/*  9579*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (ROTL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9586*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9600
/*  9588*/    OPC_CheckAndImm, 63, 
/*  9590*/    OPC_RecordChild0, // #1 = $rhs
/*  9591*/    OPC_MoveParent,
/*  9592*/    OPC_CheckTypeI64,
/*  9593*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (ROTL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9600*/   0, // EndSwitchType
/*  9601*/  /*Scope*/ 23, /*->9625*/
/*  9602*/   OPC_RecordChild1, // #1 = $rhs
/*  9603*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9614
/*  9606*/    OPC_CheckChild1TypeI32,
/*  9607*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (ROTL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9614*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9624
/*  9616*/    OPC_CheckChild1TypeI64,
/*  9617*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (ROTL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9624*/   0, // EndSwitchType
/*  9625*/  0, /*End of Scope*/
/*  9626*/ /*SwitchOpcode*/ 59, TARGET_VAL(ISD::ROTR),// ->9688
/*  9629*/  OPC_RecordChild0, // #0 = $lhs
/*  9630*/  OPC_Scope, 31, /*->9663*/ // 2 children in Scope
/*  9632*/   OPC_MoveChild1,
/*  9633*/   OPC_SwitchType /*2 cases */, 12, /*MVT::i32*/7, // ->9648
/*  9636*/    OPC_CheckAndImm, 31, 
/*  9638*/    OPC_RecordChild0, // #1 = $rhs
/*  9639*/    OPC_MoveParent,
/*  9640*/    OPC_CheckTypeI32,
/*  9641*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTR_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (ROTR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9648*/   /*SwitchType*/ 12, /*MVT::i64*/8, // ->9662
/*  9650*/    OPC_CheckAndImm, 63, 
/*  9652*/    OPC_RecordChild0, // #1 = $rhs
/*  9653*/    OPC_MoveParent,
/*  9654*/    OPC_CheckTypeI64,
/*  9655*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTR_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (ROTR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9662*/   0, // EndSwitchType
/*  9663*/  /*Scope*/ 23, /*->9687*/
/*  9664*/   OPC_RecordChild1, // #1 = $rhs
/*  9665*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->9676
/*  9668*/    OPC_CheckChild1TypeI32,
/*  9669*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTR_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (ROTR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/*  9676*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9686
/*  9678*/    OPC_CheckChild1TypeI64,
/*  9679*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ROTR_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (ROTR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/*  9686*/   0, // EndSwitchType
/*  9687*/  0, /*End of Scope*/
/*  9688*/ /*SwitchOpcode*/ 48|128,4/*560*/, TARGET_VAL(ISD::SELECT),// ->10252
/*  9692*/  OPC_Scope, 11|128,1/*139*/, /*->9834*/ // 8 children in Scope
/*  9695*/   OPC_MoveChild0,
/*  9696*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/*  9699*/   OPC_RecordChild0, // #0 = $cond
/*  9700*/   OPC_CheckChild0TypeI32,
/*  9701*/   OPC_CheckChild1Integer, 0, 
/*  9703*/   OPC_CheckTypeI32,
/*  9704*/   OPC_Scope, 63, /*->9769*/ // 2 children in Scope
/*  9706*/    OPC_CheckChild2CondCode, ISD::SETNE,
/*  9708*/    OPC_MoveParent,
/*  9709*/    OPC_RecordChild1, // #1 = $lhs
/*  9710*/    OPC_RecordChild2, // #2 = $rhs
/*  9711*/    OPC_SwitchType /*5 cases */, 8, /*MVT::i32*/7, // ->9722
/*  9714*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I32),
                   /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9722*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->9732
/*  9724*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I64),
                   /*MVT::i64*/8, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9732*/    /*SwitchType*/ 9, /*MVT::funcref*/99|128,1/*227*/, // ->9744
/*  9735*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_FUNCREF),
                   /*MVT::funcref*/99|128,1/*227*/, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[funcref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9744*/    /*SwitchType*/ 9, /*MVT::externref*/100|128,1/*228*/, // ->9756
/*  9747*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXTERNREF),
                   /*MVT::externref*/100|128,1/*228*/, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[externref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9756*/    /*SwitchType*/ 9, /*MVT::exnref*/101|128,1/*229*/, // ->9768
/*  9759*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXNREF),
                   /*MVT::exnref*/101|128,1/*229*/, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[exnref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXNREF:{ *:[exnref] } EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9768*/    0, // EndSwitchType
/*  9769*/   /*Scope*/ 63, /*->9833*/
/*  9770*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/*  9772*/    OPC_MoveParent,
/*  9773*/    OPC_RecordChild1, // #1 = $lhs
/*  9774*/    OPC_RecordChild2, // #2 = $rhs
/*  9775*/    OPC_SwitchType /*5 cases */, 8, /*MVT::i32*/7, // ->9786
/*  9778*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I32),
                   /*MVT::i32*/7, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$cond)
/*  9786*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->9796
/*  9788*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I64),
                   /*MVT::i64*/8, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$rhs, I64:{ *:[i64] }:$lhs, I32:{ *:[i32] }:$cond)
/*  9796*/    /*SwitchType*/ 9, /*MVT::funcref*/99|128,1/*227*/, // ->9808
/*  9799*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_FUNCREF),
                   /*MVT::funcref*/99|128,1/*227*/, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[funcref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$rhs, FUNCREF:{ *:[funcref] }:$lhs, I32:{ *:[i32] }:$cond)
/*  9808*/    /*SwitchType*/ 9, /*MVT::externref*/100|128,1/*228*/, // ->9820
/*  9811*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXTERNREF),
                   /*MVT::externref*/100|128,1/*228*/, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[externref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$rhs, EXTERNREF:{ *:[externref] }:$lhs, I32:{ *:[i32] }:$cond)
/*  9820*/    /*SwitchType*/ 9, /*MVT::exnref*/101|128,1/*229*/, // ->9832
/*  9823*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXNREF),
                   /*MVT::exnref*/101|128,1/*229*/, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[exnref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXNREF:{ *:[exnref] } EXNREF:{ *:[exnref] }:$rhs, EXNREF:{ *:[exnref] }:$lhs, I32:{ *:[i32] }:$cond)
/*  9832*/    0, // EndSwitchType
/*  9833*/   0, /*End of Scope*/
/*  9834*/  /*Scope*/ 65, /*->9900*/
/*  9835*/   OPC_RecordChild0, // #0 = $cond
/*  9836*/   OPC_CheckChild0TypeI32,
/*  9837*/   OPC_RecordChild1, // #1 = $lhs
/*  9838*/   OPC_RecordChild2, // #2 = $rhs
/*  9839*/   OPC_SwitchType /*5 cases */, 8, /*MVT::i32*/7, // ->9850
/*  9842*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I32),
                  /*MVT::i32*/7, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[i32] } I32:{ *:[i32] }:$cond, I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9850*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->9860
/*  9852*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_I64),
                  /*MVT::i64*/8, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[i64] } I32:{ *:[i32] }:$cond, I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9860*/   /*SwitchType*/ 10, /*MVT::funcref*/99|128,1/*227*/, // ->9873
/*  9863*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  9864*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_FUNCREF),
                  /*MVT::funcref*/99|128,1/*227*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[funcref] } I32:{ *:[i32] }:$cond, FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9873*/   /*SwitchType*/ 10, /*MVT::externref*/100|128,1/*228*/, // ->9886
/*  9876*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  9877*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXTERNREF),
                  /*MVT::externref*/100|128,1/*228*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[externref] } I32:{ *:[i32] }:$cond, EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9886*/   /*SwitchType*/ 10, /*MVT::exnref*/101|128,1/*229*/, // ->9899
/*  9889*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/*  9890*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_EXNREF),
                  /*MVT::exnref*/101|128,1/*229*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[exnref] } I32:{ *:[i32] }:$cond, EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_EXNREF:{ *:[exnref] } EXNREF:{ *:[exnref] }:$lhs, EXNREF:{ *:[exnref] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9899*/   0, // EndSwitchType
/*  9900*/  /*Scope*/ 67, /*->9968*/
/*  9901*/   OPC_MoveChild0,
/*  9902*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/*  9905*/   OPC_RecordChild0, // #0 = $cond
/*  9906*/   OPC_CheckChild0TypeI32,
/*  9907*/   OPC_CheckChild1Integer, 0, 
/*  9909*/   OPC_CheckTypeI32,
/*  9910*/   OPC_Scope, 27, /*->9939*/ // 2 children in Scope
/*  9912*/    OPC_CheckChild2CondCode, ISD::SETNE,
/*  9914*/    OPC_MoveParent,
/*  9915*/    OPC_RecordChild1, // #1 = $lhs
/*  9916*/    OPC_RecordChild2, // #2 = $rhs
/*  9917*/    OPC_SwitchType /*2 cases */, 8, /*MVT::f32*/12, // ->9928
/*  9920*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F32),
                   /*MVT::f32*/12, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9928*/    /*SwitchType*/ 8, /*MVT::f64*/13, // ->9938
/*  9930*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F64),
                   /*MVT::f64*/13, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9938*/    0, // EndSwitchType
/*  9939*/   /*Scope*/ 27, /*->9967*/
/*  9940*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/*  9942*/    OPC_MoveParent,
/*  9943*/    OPC_RecordChild1, // #1 = $lhs
/*  9944*/    OPC_RecordChild2, // #2 = $rhs
/*  9945*/    OPC_SwitchType /*2 cases */, 8, /*MVT::f32*/12, // ->9956
/*  9948*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F32),
                   /*MVT::f32*/12, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$rhs, F32:{ *:[f32] }:$lhs, I32:{ *:[i32] }:$cond)
/*  9956*/    /*SwitchType*/ 8, /*MVT::f64*/13, // ->9966
/*  9958*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F64),
                   /*MVT::f64*/13, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$rhs, F64:{ *:[f64] }:$lhs, I32:{ *:[i32] }:$cond)
/*  9966*/    0, // EndSwitchType
/*  9967*/   0, /*End of Scope*/
/*  9968*/  /*Scope*/ 26, /*->9995*/
/*  9969*/   OPC_RecordChild0, // #0 = $cond
/*  9970*/   OPC_CheckChild0TypeI32,
/*  9971*/   OPC_RecordChild1, // #1 = $lhs
/*  9972*/   OPC_RecordChild2, // #2 = $rhs
/*  9973*/   OPC_SwitchType /*2 cases */, 8, /*MVT::f32*/12, // ->9984
/*  9976*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F32),
                  /*MVT::f32*/12, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[f32] } I32:{ *:[i32] }:$cond, F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9984*/   /*SwitchType*/ 8, /*MVT::f64*/13, // ->9994
/*  9986*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_F64),
                  /*MVT::f64*/13, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[f64] } I32:{ *:[i32] }:$cond, F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, I32:{ *:[i32] }:$cond)
/*  9994*/   0, // EndSwitchType
/*  9995*/  /*Scope*/ 107, /*->10103*/
/*  9996*/   OPC_MoveChild0,
/*  9997*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 10000*/   OPC_RecordChild0, // #0 = $cond
/* 10001*/   OPC_CheckChild0TypeI32,
/* 10002*/   OPC_CheckChild1Integer, 0, 
/* 10004*/   OPC_CheckTypeI32,
/* 10005*/   OPC_Scope, 47, /*->10054*/ // 2 children in Scope
/* 10007*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 10009*/    OPC_MoveParent,
/* 10010*/    OPC_RecordChild1, // #1 = $lhs
/* 10011*/    OPC_RecordChild2, // #2 = $rhs
/* 10012*/    OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->10023
/* 10015*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v16i8] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10023*/    /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->10033
/* 10025*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v8i16] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10033*/    /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->10043
/* 10035*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v4i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10043*/    /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->10053
/* 10045*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v2i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10053*/    0, // EndSwitchType
/* 10054*/   /*Scope*/ 47, /*->10102*/
/* 10055*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 10057*/    OPC_MoveParent,
/* 10058*/    OPC_RecordChild1, // #1 = $lhs
/* 10059*/    OPC_RecordChild2, // #2 = $rhs
/* 10060*/    OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->10071
/* 10063*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v16i8] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$rhs, ?:{ *:[v16i8] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10071*/    /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->10081
/* 10073*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v8i16] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$rhs, ?:{ *:[v8i16] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10081*/    /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->10091
/* 10083*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v4i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$rhs, ?:{ *:[v4i32] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10091*/    /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->10101
/* 10093*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v2i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$rhs, ?:{ *:[v2i64] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10101*/    0, // EndSwitchType
/* 10102*/   0, /*End of Scope*/
/* 10103*/  /*Scope*/ 46, /*->10150*/
/* 10104*/   OPC_RecordChild0, // #0 = $cond
/* 10105*/   OPC_CheckChild0TypeI32,
/* 10106*/   OPC_RecordChild1, // #1 = $lhs
/* 10107*/   OPC_RecordChild2, // #2 = $rhs
/* 10108*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->10119
/* 10111*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v16i8*/39, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v16i8] } I32:{ *:[i32] }:$cond, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10119*/   /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->10129
/* 10121*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v8i16*/50, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v8i16] } I32:{ *:[i32] }:$cond, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10129*/   /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->10139
/* 10131*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v4i32*/60, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v4i32] } I32:{ *:[i32] }:$cond, V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10139*/   /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->10149
/* 10141*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v2i64*/78, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v2i64] } I32:{ *:[i32] }:$cond, V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10149*/   0, // EndSwitchType
/* 10150*/  /*Scope*/ 71, /*->10222*/
/* 10151*/   OPC_MoveChild0,
/* 10152*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 10155*/   OPC_RecordChild0, // #0 = $cond
/* 10156*/   OPC_CheckChild0TypeI32,
/* 10157*/   OPC_CheckChild1Integer, 0, 
/* 10159*/   OPC_CheckTypeI32,
/* 10160*/   OPC_Scope, 29, /*->10191*/ // 2 children in Scope
/* 10162*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 10164*/    OPC_MoveParent,
/* 10165*/    OPC_RecordChild1, // #1 = $lhs
/* 10166*/    OPC_RecordChild2, // #2 = $rhs
/* 10167*/    OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/111, // ->10178
/* 10170*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v4f32*/111, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v4f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10178*/    /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->10190
/* 10181*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v2f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10190*/    0, // EndSwitchType
/* 10191*/   /*Scope*/ 29, /*->10221*/
/* 10192*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 10194*/    OPC_MoveParent,
/* 10195*/    OPC_RecordChild1, // #1 = $lhs
/* 10196*/    OPC_RecordChild2, // #2 = $rhs
/* 10197*/    OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/111, // ->10208
/* 10200*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v4f32*/111, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v4f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$rhs, ?:{ *:[v4f32] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10208*/    /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->10220
/* 10211*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                   /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v2f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$rhs, ?:{ *:[v2f64] }:$lhs, ?:{ *:[i32] }:$cond)
/* 10220*/    0, // EndSwitchType
/* 10221*/   0, /*End of Scope*/
/* 10222*/  /*Scope*/ 28, /*->10251*/
/* 10223*/   OPC_RecordChild0, // #0 = $cond
/* 10224*/   OPC_CheckChild0TypeI32,
/* 10225*/   OPC_RecordChild1, // #1 = $lhs
/* 10226*/   OPC_RecordChild2, // #2 = $rhs
/* 10227*/   OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/111, // ->10238
/* 10230*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v4f32*/111, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v4f32] } I32:{ *:[i32] }:$cond, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10238*/   /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->10250
/* 10241*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SELECT_V128),
                  /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v2f64] } I32:{ *:[i32] }:$cond, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 10250*/   0, // EndSwitchType
/* 10251*/  0, /*End of Scope*/
/* 10252*/ /*SwitchOpcode*/ 1|128,1/*129*/, TARGET_VAL(ISD::SIGN_EXTEND_INREG),// ->10385
/* 10256*/  OPC_Scope, 57, /*->10315*/ // 2 children in Scope
/* 10258*/   OPC_MoveChild0,
/* 10259*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 10262*/   OPC_RecordChild0, // #0 = $vec
/* 10263*/   OPC_Scope, 24, /*->10289*/ // 2 children in Scope
/* 10265*/    OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 10267*/    OPC_RecordChild1, // #1 = $idx
/* 10268*/    OPC_MoveChild1,
/* 10269*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10272*/    OPC_CheckPredicate, 18, // Predicate_LaneIdx16
/* 10274*/    OPC_CheckTypeI32,
/* 10275*/    OPC_MoveParent,
/* 10276*/    OPC_MoveSibling1,
/* 10277*/    OPC_CheckValueType, /*MVT::i8*/5, 
/* 10279*/    OPC_MoveParent,
/* 10280*/    OPC_CheckTypeI32,
/* 10281*/    OPC_EmitConvertToTarget1, // #2
/* 10282*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_s),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
              // Src: (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), i8:{ *:[Other] }) - Complexity = 10
              // Dst: (EXTRACT_LANE_I8x16_s:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 10289*/   /*Scope*/ 24, /*->10314*/
/* 10290*/    OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 10292*/    OPC_RecordChild1, // #1 = $idx
/* 10293*/    OPC_MoveChild1,
/* 10294*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10297*/    OPC_CheckPredicate, 13, // Predicate_LaneIdx8
/* 10299*/    OPC_CheckTypeI32,
/* 10300*/    OPC_MoveParent,
/* 10301*/    OPC_MoveSibling1,
/* 10302*/    OPC_CheckValueType, /*MVT::i16*/6, 
/* 10304*/    OPC_MoveParent,
/* 10305*/    OPC_CheckTypeI32,
/* 10306*/    OPC_EmitConvertToTarget1, // #2
/* 10307*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_s),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
              // Src: (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), i16:{ *:[Other] }) - Complexity = 10
              // Dst: (EXTRACT_LANE_I16x8_s:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 10314*/   0, /*End of Scope*/
/* 10315*/  /*Scope*/ 68, /*->10384*/
/* 10316*/   OPC_RecordChild0, // #0 = $src
/* 10317*/   OPC_MoveChild1,
/* 10318*/   OPC_Scope, 25, /*->10345*/ // 3 children in Scope
/* 10320*/    OPC_CheckValueType, /*MVT::i8*/5, 
/* 10322*/    OPC_MoveParent,
/* 10323*/    OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->10334
/* 10326*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10328*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_EXTEND8_S_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i32] } I32:{ *:[i32] }:$src, i8:{ *:[Other] }) - Complexity = 3
               // Dst: (I32_EXTEND8_S_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 10334*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->10344
/* 10336*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10338*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND8_S_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i8:{ *:[Other] }) - Complexity = 3
               // Dst: (I64_EXTEND8_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 10344*/    0, // EndSwitchType
/* 10345*/   /*Scope*/ 25, /*->10371*/
/* 10346*/    OPC_CheckValueType, /*MVT::i16*/6, 
/* 10348*/    OPC_MoveParent,
/* 10349*/    OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->10360
/* 10352*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10354*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_EXTEND16_S_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i32] } I32:{ *:[i32] }:$src, i16:{ *:[Other] }) - Complexity = 3
               // Dst: (I32_EXTEND16_S_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 10360*/    /*SwitchType*/ 8, /*MVT::i64*/8, // ->10370
/* 10362*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10364*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND16_S_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i16:{ *:[Other] }) - Complexity = 3
               // Dst: (I64_EXTEND16_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 10370*/    0, // EndSwitchType
/* 10371*/   /*Scope*/ 11, /*->10383*/
/* 10372*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 10374*/    OPC_MoveParent,
/* 10375*/    OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 10377*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND32_S_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_EXTEND32_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 10383*/   0, /*End of Scope*/
/* 10384*/  0, /*End of Scope*/
/* 10385*/ /*SwitchOpcode*/ 46|128,1/*174*/, TARGET_VAL(WebAssemblyISD::GLOBAL_GET),// ->10563
/* 10389*/  OPC_RecordMemRef,
/* 10390*/  OPC_RecordNode, // #0 = 'WebAssemblyglobal_get' chained node
/* 10391*/  OPC_MoveChild1,
/* 10392*/  OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10395*/  OPC_RecordChild0, // #1 = $addr
/* 10396*/  OPC_MoveChild0,
/* 10397*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10400*/  OPC_MoveParent,
/* 10401*/  OPC_MoveParent,
/* 10402*/  OPC_SwitchType /*14 cases */, 8, /*MVT::i32*/7, // ->10413
/* 10405*/   OPC_EmitMergeInputChains1_0,
/* 10406*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::i32*/7, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10413*/  /*SwitchType*/ 8, /*MVT::i64*/8, // ->10423
/* 10415*/   OPC_EmitMergeInputChains1_0,
/* 10416*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::i64*/8, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 10423*/  /*SwitchType*/ 10, /*MVT::funcref*/99|128,1/*227*/, // ->10436
/* 10426*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10427*/   OPC_EmitMergeInputChains1_0,
/* 10428*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::funcref*/99|128,1/*227*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[funcref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_FUNCREF:{ *:[funcref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10436*/  /*SwitchType*/ 10, /*MVT::externref*/100|128,1/*228*/, // ->10449
/* 10439*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10440*/   OPC_EmitMergeInputChains1_0,
/* 10441*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::externref*/100|128,1/*228*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[externref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_EXTERNREF:{ *:[externref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10449*/  /*SwitchType*/ 11, /*MVT::exnref*/101|128,1/*229*/, // ->10463
/* 10452*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 10454*/   OPC_EmitMergeInputChains1_0,
/* 10455*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_EXNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::exnref*/101|128,1/*229*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[exnref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_EXNREF:{ *:[exnref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10463*/  /*SwitchType*/ 8, /*MVT::f32*/12, // ->10473
/* 10465*/   OPC_EmitMergeInputChains1_0,
/* 10466*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_F32), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::f32*/12, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_F32:{ *:[f32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10473*/  /*SwitchType*/ 8, /*MVT::f64*/13, // ->10483
/* 10475*/   OPC_EmitMergeInputChains1_0,
/* 10476*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_F64), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::f64*/13, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_F64:{ *:[f64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10483*/  /*SwitchType*/ 9, /*MVT::v2i64*/78, // ->10494
/* 10485*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10486*/   OPC_EmitMergeInputChains1_0,
/* 10487*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v2i64*/78, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v2i64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10494*/  /*SwitchType*/ 9, /*MVT::v4i32*/60, // ->10505
/* 10496*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10497*/   OPC_EmitMergeInputChains1_0,
/* 10498*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v4i32*/60, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v4i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10505*/  /*SwitchType*/ 9, /*MVT::v16i8*/39, // ->10516
/* 10507*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10508*/   OPC_EmitMergeInputChains1_0,
/* 10509*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v16i8*/39, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v16i8] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10516*/  /*SwitchType*/ 9, /*MVT::v8i16*/50, // ->10527
/* 10518*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10519*/   OPC_EmitMergeInputChains1_0,
/* 10520*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v8i16*/50, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v8i16] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10527*/  /*SwitchType*/ 9, /*MVT::v8f16*/92, // ->10538
/* 10529*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10530*/   OPC_EmitMergeInputChains1_0,
/* 10531*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v8f16*/92, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v8f16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v8f16] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10538*/  /*SwitchType*/ 9, /*MVT::v4f32*/111, // ->10549
/* 10540*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10541*/   OPC_EmitMergeInputChains1_0,
/* 10542*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v4f32*/111, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v4f32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10549*/  /*SwitchType*/ 10, /*MVT::v2f64*/1|128,1/*129*/, // ->10562
/* 10552*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10553*/   OPC_EmitMergeInputChains1_0,
/* 10554*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v2f64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 10562*/  0, // EndSwitchType
/* 10563*/ /*SwitchOpcode*/ 70|128,2/*326*/, TARGET_VAL(WebAssemblyISD::GLOBAL_SET),// ->10893
/* 10567*/  OPC_RecordMemRef,
/* 10568*/  OPC_RecordNode, // #0 = 'WebAssemblyglobal_set' chained node
/* 10569*/  OPC_RecordChild1, // #1 = $src
/* 10570*/  OPC_Scope, 20, /*->10592*/ // 14 children in Scope
/* 10572*/   OPC_CheckChild1TypeI32,
/* 10573*/   OPC_MoveChild2,
/* 10574*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10577*/   OPC_RecordChild0, // #2 = $addr
/* 10578*/   OPC_MoveChild0,
/* 10579*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10582*/   OPC_MoveParent,
/* 10583*/   OPC_MoveParent,
/* 10584*/   OPC_EmitMergeInputChains1_0,
/* 10585*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_I32), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set i32:{ *:[i32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_I32 (tglobaladdr:{ *:[i32] }):$addr, i32:{ *:[i32] }:$src)
/* 10592*/  /*Scope*/ 20, /*->10613*/
/* 10593*/   OPC_CheckChild1TypeI64,
/* 10594*/   OPC_MoveChild2,
/* 10595*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10598*/   OPC_RecordChild0, // #2 = $addr
/* 10599*/   OPC_MoveChild0,
/* 10600*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10603*/   OPC_MoveParent,
/* 10604*/   OPC_MoveParent,
/* 10605*/   OPC_EmitMergeInputChains1_0,
/* 10606*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_I64), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set i64:{ *:[i64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_I64 (tglobaladdr:{ *:[i64] }):$addr, i64:{ *:[i64] }:$src)
/* 10613*/  /*Scope*/ 21, /*->10635*/
/* 10614*/   OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 10616*/   OPC_MoveChild2,
/* 10617*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10620*/   OPC_RecordChild0, // #2 = $addr
/* 10621*/   OPC_MoveChild0,
/* 10622*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10625*/   OPC_MoveParent,
/* 10626*/   OPC_MoveParent,
/* 10627*/   OPC_EmitMergeInputChains1_0,
/* 10628*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_F32), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set f32:{ *:[f32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_F32 (tglobaladdr:{ *:[i32] }):$addr, f32:{ *:[f32] }:$src)
/* 10635*/  /*Scope*/ 21, /*->10657*/
/* 10636*/   OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 10638*/   OPC_MoveChild2,
/* 10639*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10642*/   OPC_RecordChild0, // #2 = $addr
/* 10643*/   OPC_MoveChild0,
/* 10644*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10647*/   OPC_MoveParent,
/* 10648*/   OPC_MoveParent,
/* 10649*/   OPC_EmitMergeInputChains1_0,
/* 10650*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_F64), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set f64:{ *:[f64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_F64 (tglobaladdr:{ *:[i32] }):$addr, f64:{ *:[f64] }:$src)
/* 10657*/  /*Scope*/ 22, /*->10680*/
/* 10658*/   OPC_CheckChild1Type, /*MVT::v8f16*/92, 
/* 10660*/   OPC_MoveChild2,
/* 10661*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10664*/   OPC_RecordChild0, // #2 = $addr
/* 10665*/   OPC_MoveChild0,
/* 10666*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10669*/   OPC_MoveParent,
/* 10670*/   OPC_MoveParent,
/* 10671*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10672*/   OPC_EmitMergeInputChains1_0,
/* 10673*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v8f16:{ *:[v8f16] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v8f16:{ *:[v8f16] }:$src)
/* 10680*/  /*Scope*/ 22, /*->10703*/
/* 10681*/   OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/* 10683*/   OPC_MoveChild2,
/* 10684*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10687*/   OPC_RecordChild0, // #2 = $addr
/* 10688*/   OPC_MoveChild0,
/* 10689*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10692*/   OPC_MoveParent,
/* 10693*/   OPC_MoveParent,
/* 10694*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10695*/   OPC_EmitMergeInputChains1_0,
/* 10696*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v4f32:{ *:[v4f32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v4f32:{ *:[v4f32] }:$src)
/* 10703*/  /*Scope*/ 23, /*->10727*/
/* 10704*/   OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 10707*/   OPC_MoveChild2,
/* 10708*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10711*/   OPC_RecordChild0, // #2 = $addr
/* 10712*/   OPC_MoveChild0,
/* 10713*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10716*/   OPC_MoveParent,
/* 10717*/   OPC_MoveParent,
/* 10718*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10719*/   OPC_EmitMergeInputChains1_0,
/* 10720*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v2f64:{ *:[v2f64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v2f64:{ *:[v2f64] }:$src)
/* 10727*/  /*Scope*/ 22, /*->10750*/
/* 10728*/   OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/* 10730*/   OPC_MoveChild2,
/* 10731*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10734*/   OPC_RecordChild0, // #2 = $addr
/* 10735*/   OPC_MoveChild0,
/* 10736*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10739*/   OPC_MoveParent,
/* 10740*/   OPC_MoveParent,
/* 10741*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10742*/   OPC_EmitMergeInputChains1_0,
/* 10743*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v2i64:{ *:[v2i64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v2i64:{ *:[v2i64] }:$src)
/* 10750*/  /*Scope*/ 22, /*->10773*/
/* 10751*/   OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 10753*/   OPC_MoveChild2,
/* 10754*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10757*/   OPC_RecordChild0, // #2 = $addr
/* 10758*/   OPC_MoveChild0,
/* 10759*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10762*/   OPC_MoveParent,
/* 10763*/   OPC_MoveParent,
/* 10764*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10765*/   OPC_EmitMergeInputChains1_0,
/* 10766*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v4i32:{ *:[v4i32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v4i32:{ *:[v4i32] }:$src)
/* 10773*/  /*Scope*/ 22, /*->10796*/
/* 10774*/   OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 10776*/   OPC_MoveChild2,
/* 10777*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10780*/   OPC_RecordChild0, // #2 = $addr
/* 10781*/   OPC_MoveChild0,
/* 10782*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10785*/   OPC_MoveParent,
/* 10786*/   OPC_MoveParent,
/* 10787*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10788*/   OPC_EmitMergeInputChains1_0,
/* 10789*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v16i8:{ *:[v16i8] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v16i8:{ *:[v16i8] }:$src)
/* 10796*/  /*Scope*/ 22, /*->10819*/
/* 10797*/   OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 10799*/   OPC_MoveChild2,
/* 10800*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10803*/   OPC_RecordChild0, // #2 = $addr
/* 10804*/   OPC_MoveChild0,
/* 10805*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10808*/   OPC_MoveParent,
/* 10809*/   OPC_MoveParent,
/* 10810*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 10811*/   OPC_EmitMergeInputChains1_0,
/* 10812*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v8i16:{ *:[v8i16] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v8i16:{ *:[v8i16] }:$src)
/* 10819*/  /*Scope*/ 23, /*->10843*/
/* 10820*/   OPC_CheckChild1Type, /*MVT::funcref*/99|128,1/*227*/, 
/* 10823*/   OPC_MoveChild2,
/* 10824*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10827*/   OPC_RecordChild0, // #2 = $addr
/* 10828*/   OPC_MoveChild0,
/* 10829*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10832*/   OPC_MoveParent,
/* 10833*/   OPC_MoveParent,
/* 10834*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10835*/   OPC_EmitMergeInputChains1_0,
/* 10836*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set funcref:{ *:[funcref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_FUNCREF (tglobaladdr:{ *:[i32] }):$addr, funcref:{ *:[funcref] }:$src)
/* 10843*/  /*Scope*/ 23, /*->10867*/
/* 10844*/   OPC_CheckChild1Type, /*MVT::externref*/100|128,1/*228*/, 
/* 10847*/   OPC_MoveChild2,
/* 10848*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10851*/   OPC_RecordChild0, // #2 = $addr
/* 10852*/   OPC_MoveChild0,
/* 10853*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10856*/   OPC_MoveParent,
/* 10857*/   OPC_MoveParent,
/* 10858*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10859*/   OPC_EmitMergeInputChains1_0,
/* 10860*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set externref:{ *:[externref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_EXTERNREF (tglobaladdr:{ *:[i32] }):$addr, externref:{ *:[externref] }:$src)
/* 10867*/  /*Scope*/ 24, /*->10892*/
/* 10868*/   OPC_CheckChild1Type, /*MVT::exnref*/101|128,1/*229*/, 
/* 10871*/   OPC_MoveChild2,
/* 10872*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10875*/   OPC_RecordChild0, // #2 = $addr
/* 10876*/   OPC_MoveChild0,
/* 10877*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10880*/   OPC_MoveParent,
/* 10881*/   OPC_MoveParent,
/* 10882*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 10884*/   OPC_EmitMergeInputChains1_0,
/* 10885*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_EXNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set exnref:{ *:[exnref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_EXNREF (tglobaladdr:{ *:[i32] }):$addr, exnref:{ *:[exnref] }:$src)
/* 10892*/  0, /*End of Scope*/
/* 10893*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::CALLSEQ_START),// ->10917
/* 10896*/  OPC_RecordNode, // #0 = 'WebAssemblycallseq_start' chained node
/* 10897*/  OPC_RecordChild1, // #1 = $amt
/* 10898*/  OPC_MoveChild1,
/* 10899*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 10902*/  OPC_MoveSibling2,
/* 10903*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 10906*/  OPC_RecordNode, // #2 = $amt2
/* 10907*/  OPC_MoveParent,
/* 10908*/  OPC_EmitMergeInputChains1_0,
/* 10909*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADJCALLSTACKDOWN), 0|OPFL_Chain|OPFL_GlueOutput,
                /*MVT::i32*/7, 2/*#Ops*/, 1, 2, 
            // Src: (WebAssemblycallseq_start (timm:{ *:[iPTR] }):$amt, (timm:{ *:[iPTR] }):$amt2) - Complexity = 9
            // Dst: (ADJCALLSTACKDOWN:{ *:[i32] } (timm:{ *:[i32] }):$amt, (timm:{ *:[i32] }):$amt2)
/* 10917*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::CALLSEQ_END),// ->10942
/* 10920*/  OPC_RecordNode, // #0 = 'WebAssemblycallseq_end' chained node
/* 10921*/  OPC_CaptureGlueInput,
/* 10922*/  OPC_RecordChild1, // #1 = $amt
/* 10923*/  OPC_MoveChild1,
/* 10924*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 10927*/  OPC_MoveSibling2,
/* 10928*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 10931*/  OPC_RecordNode, // #2 = $amt2
/* 10932*/  OPC_MoveParent,
/* 10933*/  OPC_EmitMergeInputChains1_0,
/* 10934*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADJCALLSTACKUP), 0|OPFL_Chain|OPFL_GlueInput|OPFL_GlueOutput,
                /*MVT::i32*/7, 2/*#Ops*/, 1, 2, 
            // Src: (WebAssemblycallseq_end (timm:{ *:[iPTR] }):$amt, (timm:{ *:[iPTR] }):$amt2) - Complexity = 9
            // Dst: (ADJCALLSTACKUP:{ *:[i32] } (timm:{ *:[i32] }):$amt, (timm:{ *:[i32] }):$amt2)
/* 10942*/ /*SwitchOpcode*/ 60, TARGET_VAL(WebAssemblyISD::TABLE_GET),// ->11005
/* 10945*/  OPC_RecordMemRef,
/* 10946*/  OPC_RecordNode, // #0 = 'WebAssemblyTableGet' chained node
/* 10947*/  OPC_MoveChild1,
/* 10948*/  OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 10951*/  OPC_RecordChild0, // #1 = $table
/* 10952*/  OPC_MoveChild0,
/* 10953*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10956*/  OPC_MoveParent,
/* 10957*/  OPC_MoveParent,
/* 10958*/  OPC_RecordChild2, // #2 = $idx
/* 10959*/  OPC_CheckChild2TypeI32,
/* 10960*/  OPC_SwitchType /*3 cases */, 11, /*MVT::funcref*/99|128,1/*227*/, // ->10975
/* 10964*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10965*/   OPC_EmitMergeInputChains1_0,
/* 10966*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::funcref*/99|128,1/*227*/, 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblyTableGet:{ *:[funcref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx) - Complexity = 9
             // Dst: (TABLE_GET_FUNCREF:{ *:[funcref] } (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx)
/* 10975*/  /*SwitchType*/ 11, /*MVT::externref*/100|128,1/*228*/, // ->10989
/* 10978*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 10979*/   OPC_EmitMergeInputChains1_0,
/* 10980*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::externref*/100|128,1/*228*/, 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblyTableGet:{ *:[externref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx) - Complexity = 9
             // Dst: (TABLE_GET_EXTERNREF:{ *:[externref] } (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx)
/* 10989*/  /*SwitchType*/ 12, /*MVT::exnref*/101|128,1/*229*/, // ->11004
/* 10992*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 10994*/   OPC_EmitMergeInputChains1_0,
/* 10995*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GET_EXNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 /*MVT::exnref*/101|128,1/*229*/, 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblyTableGet:{ *:[exnref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx) - Complexity = 9
             // Dst: (TABLE_GET_EXNREF:{ *:[exnref] } (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx)
/* 11004*/  0, // EndSwitchType
/* 11005*/ /*SwitchOpcode*/ 87, TARGET_VAL(WebAssemblyISD::TABLE_SET),// ->11095
/* 11008*/  OPC_RecordMemRef,
/* 11009*/  OPC_RecordNode, // #0 = 'WebAssemblyTableSet' chained node
/* 11010*/  OPC_Scope, 59, /*->11071*/ // 2 children in Scope
/* 11012*/   OPC_MoveChild1,
/* 11013*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 11016*/   OPC_RecordChild0, // #1 = $table
/* 11017*/   OPC_MoveChild0,
/* 11018*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11021*/   OPC_MoveParent,
/* 11022*/   OPC_MoveParent,
/* 11023*/   OPC_RecordChild2, // #2 = $idx
/* 11024*/   OPC_CheckChild2TypeI32,
/* 11025*/   OPC_RecordChild3, // #3 = $src
/* 11026*/   OPC_Scope, 13, /*->11041*/ // 3 children in Scope
/* 11028*/    OPC_CheckChild3Type, /*MVT::funcref*/99|128,1/*227*/, 
/* 11031*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11032*/    OPC_EmitMergeInputChains1_0,
/* 11033*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (WebAssemblyTableSet (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$src) - Complexity = 9
              // Dst: (TABLE_SET_FUNCREF (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$src)
/* 11041*/   /*Scope*/ 13, /*->11055*/
/* 11042*/    OPC_CheckChild3Type, /*MVT::externref*/100|128,1/*228*/, 
/* 11045*/    OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11046*/    OPC_EmitMergeInputChains1_0,
/* 11047*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (WebAssemblyTableSet (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx, externref:{ *:[externref] }:$src) - Complexity = 9
              // Dst: (TABLE_SET_EXTERNREF (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, externref:{ *:[externref] }:$src)
/* 11055*/   /*Scope*/ 14, /*->11070*/
/* 11056*/    OPC_CheckChild3Type, /*MVT::exnref*/101|128,1/*229*/, 
/* 11059*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 11061*/    OPC_EmitMergeInputChains1_0,
/* 11062*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_EXNREF), 0|OPFL_Chain|OPFL_MemRefs,
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (WebAssemblyTableSet (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx, exnref:{ *:[exnref] }:$src) - Complexity = 9
              // Dst: (TABLE_SET_EXNREF (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, exnref:{ *:[exnref] }:$src)
/* 11070*/   0, /*End of Scope*/
/* 11071*/  /*Scope*/ 22, /*->11094*/
/* 11072*/   OPC_RecordChild1, // #1 = $table
/* 11073*/   OPC_MoveChild1,
/* 11074*/   OPC_CheckOpcode, TARGET_VAL(ISD::MCSymbol),
/* 11077*/   OPC_MoveParent,
/* 11078*/   OPC_RecordChild2, // #2 = $idx
/* 11079*/   OPC_CheckChild2TypeI32,
/* 11080*/   OPC_RecordChild3, // #3 = $r
/* 11081*/   OPC_CheckChild3Type, /*MVT::funcref*/99|128,1/*227*/, 
/* 11084*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11085*/   OPC_EmitMergeInputChains1_0,
/* 11086*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 3/*#Ops*/, 1, 2, 3, 
             // Src: (WebAssemblyTableSet (mcsym:{ *:[iPTR] }):$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$r) - Complexity = 6
             // Dst: (TABLE_SET_FUNCREF (mcsym:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$r)
/* 11094*/  0, /*End of Scope*/
/* 11095*/ /*SwitchOpcode*/ 57, TARGET_VAL(WebAssemblyISD::MEMCPY),// ->11155
/* 11098*/  OPC_RecordNode, // #0 = 'wasm_memcpy' chained node
/* 11099*/  OPC_RecordChild1, // #1 = $src_idx
/* 11100*/  OPC_MoveChild1,
/* 11101*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11104*/  OPC_CheckTypeI32,
/* 11105*/  OPC_MoveSibling2,
/* 11106*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11109*/  OPC_RecordNode, // #2 = $dst_idx
/* 11110*/  OPC_CheckTypeI32,
/* 11111*/  OPC_MoveParent,
/* 11112*/  OPC_RecordChild3, // #3 = $dst
/* 11113*/  OPC_Scope, 19, /*->11134*/ // 2 children in Scope
/* 11115*/   OPC_CheckChild3TypeI32,
/* 11116*/   OPC_RecordChild4, // #4 = $src
/* 11117*/   OPC_CheckChild4TypeI32,
/* 11118*/   OPC_RecordChild5, // #5 = $len
/* 11119*/   OPC_CheckChild5TypeI32,
/* 11120*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemoryOpt())
/* 11122*/   OPC_EmitMergeInputChains1_0,
/* 11123*/   OPC_EmitConvertToTarget1, // #6
/* 11124*/   OPC_EmitConvertToTarget2, // #7
/* 11125*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::MEMCPY_A32),
                 5/*#Ops*/, 6, 7, 3, 4, 5, 
             // Src: (wasm_memcpy (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$src, I32:{ *:[i32] }:$len) - Complexity = 9
             // Dst: (MEMCPY_A32 (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$src, I32:{ *:[i32] }:$len)
/* 11134*/  /*Scope*/ 19, /*->11154*/
/* 11135*/   OPC_CheckChild3TypeI64,
/* 11136*/   OPC_RecordChild4, // #4 = $src
/* 11137*/   OPC_CheckChild4TypeI64,
/* 11138*/   OPC_RecordChild5, // #5 = $len
/* 11139*/   OPC_CheckChild5TypeI64,
/* 11140*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemoryOpt())
/* 11142*/   OPC_EmitMergeInputChains1_0,
/* 11143*/   OPC_EmitConvertToTarget1, // #6
/* 11144*/   OPC_EmitConvertToTarget2, // #7
/* 11145*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::MEMCPY_A64),
                 5/*#Ops*/, 6, 7, 3, 4, 5, 
             // Src: (wasm_memcpy (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I64:{ *:[i64] }:$dst, I64:{ *:[i64] }:$src, I64:{ *:[i64] }:$len) - Complexity = 9
             // Dst: (MEMCPY_A64 (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I64:{ *:[i64] }:$dst, I64:{ *:[i64] }:$src, I64:{ *:[i64] }:$len)
/* 11154*/  0, /*End of Scope*/
/* 11155*/ /*SwitchOpcode*/ 119|128,9/*1271*/, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),// ->12430
/* 11159*/  OPC_Scope, 49, /*->11210*/ // 39 children in Scope
/* 11161*/   OPC_CheckChild0Integer, 48|128,79|128,1/*26544*/, 
/* 11165*/   OPC_RecordChild1, // #0 = $src
/* 11166*/   OPC_Scope, 20, /*->11188*/ // 2 children in Scope
/* 11168*/    OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 11170*/    OPC_SwitchType /*2 cases */, 6, /*MVT::i32*/7, // ->11179
/* 11173*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 13272:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_S_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 11179*/    /*SwitchType*/ 6, /*MVT::i64*/8, // ->11187
/* 11181*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 13272:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_S_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 11187*/    0, // EndSwitchType
/* 11188*/   /*Scope*/ 20, /*->11209*/
/* 11189*/    OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 11191*/    OPC_SwitchType /*2 cases */, 6, /*MVT::i32*/7, // ->11200
/* 11194*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 13272:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_S_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 11200*/    /*SwitchType*/ 6, /*MVT::i64*/8, // ->11208
/* 11202*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 13272:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_S_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 11208*/    0, // EndSwitchType
/* 11209*/   0, /*End of Scope*/
/* 11210*/  /*Scope*/ 49, /*->11260*/
/* 11211*/   OPC_CheckChild0Integer, 50|128,79|128,1/*26546*/, 
/* 11215*/   OPC_RecordChild1, // #0 = $src
/* 11216*/   OPC_Scope, 20, /*->11238*/ // 2 children in Scope
/* 11218*/    OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 11220*/    OPC_SwitchType /*2 cases */, 6, /*MVT::i32*/7, // ->11229
/* 11223*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 13273:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_U_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 11229*/    /*SwitchType*/ 6, /*MVT::i64*/8, // ->11237
/* 11231*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 13273:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_U_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 11237*/    0, // EndSwitchType
/* 11238*/   /*Scope*/ 20, /*->11259*/
/* 11239*/    OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 11241*/    OPC_SwitchType /*2 cases */, 6, /*MVT::i32*/7, // ->11250
/* 11244*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 13273:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_U_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 11250*/    /*SwitchType*/ 6, /*MVT::i64*/8, // ->11258
/* 11252*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 13273:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_U_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 11258*/    0, // EndSwitchType
/* 11259*/   0, /*End of Scope*/
/* 11260*/  /*Scope*/ 43, /*->11304*/
/* 11261*/   OPC_CheckChild0Integer, 36|128,78|128,1/*26404*/, 
/* 11265*/   OPC_RecordChild1, // #0 = $vec
/* 11266*/   OPC_Scope, 8, /*->11276*/ // 4 children in Scope
/* 11268*/    OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 11270*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 11276*/   /*Scope*/ 8, /*->11285*/
/* 11277*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11279*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 11285*/   /*Scope*/ 8, /*->11294*/
/* 11286*/    OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 11288*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 11294*/   /*Scope*/ 8, /*->11303*/
/* 11295*/    OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/* 11297*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ANYTRUE),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13202:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 11303*/   0, /*End of Scope*/
/* 11304*/  /*Scope*/ 47, /*->11352*/
/* 11305*/   OPC_CheckChild0Integer, 34|128,78|128,1/*26402*/, 
/* 11309*/   OPC_RecordChild1, // #0 = $vec
/* 11310*/   OPC_Scope, 9, /*->11321*/ // 4 children in Scope
/* 11312*/    OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 11314*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11315*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I8x16),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I8x16:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 11321*/   /*Scope*/ 9, /*->11331*/
/* 11322*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11324*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11325*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I16x8),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I16x8:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 11331*/   /*Scope*/ 9, /*->11341*/
/* 11332*/    OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 11334*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11335*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I32x4),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I32x4:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 11341*/   /*Scope*/ 9, /*->11351*/
/* 11342*/    OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/* 11344*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11345*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ALLTRUE_I64x2),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13201:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I64x2:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 11351*/   0, /*End of Scope*/
/* 11352*/  /*Scope*/ 47, /*->11400*/
/* 11353*/   OPC_CheckChild0Integer, 40|128,78|128,1/*26408*/, 
/* 11357*/   OPC_RecordChild1, // #0 = $vec
/* 11358*/   OPC_Scope, 9, /*->11369*/ // 4 children in Scope
/* 11360*/    OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 11362*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11363*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITMASK_I8x16),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13204:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I8x16:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 11369*/   /*Scope*/ 9, /*->11379*/
/* 11370*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11372*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11373*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITMASK_I16x8),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13204:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I16x8:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 11379*/   /*Scope*/ 9, /*->11389*/
/* 11380*/    OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 11382*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11383*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITMASK_I32x4),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13204:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I32x4:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 11389*/   /*Scope*/ 9, /*->11399*/
/* 11390*/    OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/* 11392*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11393*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITMASK_I64x2),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 13204:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I64x2:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 11399*/   0, /*End of Scope*/
/* 11400*/  /*Scope*/ 11, /*->11412*/
/* 11401*/   OPC_CheckChild0Integer, 94|128,78|128,1/*26462*/, 
/* 11405*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11406*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_NULL_FUNCREF),
                 /*MVT::funcref*/99|128,1/*227*/, 0/*#Ops*/, 
             // Src: (intrinsic_wo_chain:{ *:[funcref] } 13231:{ *:[iPTR] }) - Complexity = 8
             // Dst: (REF_NULL_FUNCREF:{ *:[funcref] })
/* 11412*/  /*Scope*/ 12, /*->11425*/
/* 11413*/   OPC_CheckChild0Integer, 88|128,78|128,1/*26456*/, 
/* 11417*/   OPC_RecordChild1, // #0 = $ref
/* 11418*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11419*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_IS_NULL_FUNCREF),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[i32] } 13228:{ *:[iPTR] }, FUNCREF:{ *:[funcref] }:$ref) - Complexity = 8
             // Dst: (REF_IS_NULL_FUNCREF:{ *:[i32] } FUNCREF:{ *:[funcref] }:$ref)
/* 11425*/  /*Scope*/ 11, /*->11437*/
/* 11426*/   OPC_CheckChild0Integer, 92|128,78|128,1/*26460*/, 
/* 11430*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11431*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_NULL_EXTERNREF),
                 /*MVT::externref*/100|128,1/*228*/, 0/*#Ops*/, 
             // Src: (intrinsic_wo_chain:{ *:[externref] } 13230:{ *:[iPTR] }) - Complexity = 8
             // Dst: (REF_NULL_EXTERNREF:{ *:[externref] })
/* 11437*/  /*Scope*/ 12, /*->11450*/
/* 11438*/   OPC_CheckChild0Integer, 86|128,78|128,1/*26454*/, 
/* 11442*/   OPC_RecordChild1, // #0 = $ref
/* 11443*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11444*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_IS_NULL_EXTERNREF),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[i32] } 13227:{ *:[iPTR] }, EXTERNREF:{ *:[externref] }:$ref) - Complexity = 8
             // Dst: (REF_IS_NULL_EXTERNREF:{ *:[i32] } EXTERNREF:{ *:[externref] }:$ref)
/* 11450*/  /*Scope*/ 11, /*->11462*/
/* 11451*/   OPC_CheckChild0Integer, 90|128,78|128,1/*26458*/, 
/* 11455*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11456*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_NULL_EXNREF),
                 /*MVT::exnref*/101|128,1/*229*/, 0/*#Ops*/, 
             // Src: (intrinsic_wo_chain:{ *:[exnref] } 13229:{ *:[iPTR] }) - Complexity = 8
             // Dst: (REF_NULL_EXNREF:{ *:[exnref] })
/* 11462*/  /*Scope*/ 12, /*->11475*/
/* 11463*/   OPC_CheckChild0Integer, 84|128,78|128,1/*26452*/, 
/* 11467*/   OPC_RecordChild1, // #0 = $ref
/* 11468*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 11469*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REF_IS_NULL_EXNREF),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[i32] } 13226:{ *:[iPTR] }, EXNREF:{ *:[exnref] }:$ref) - Complexity = 8
             // Dst: (REF_IS_NULL_EXNREF:{ *:[i32] } EXNREF:{ *:[exnref] }:$ref)
/* 11475*/  /*Scope*/ 23, /*->11499*/
/* 11476*/   OPC_CheckChild0Integer, 52|128,78|128,1/*26420*/, 
/* 11480*/   OPC_RecordChild1, // #0 = $vec
/* 11481*/   OPC_RecordChild2, // #1 = $idx
/* 11482*/   OPC_MoveChild2,
/* 11483*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11486*/   OPC_CheckPredicate, 13, // Predicate_LaneIdx8
/* 11488*/   OPC_MoveParent,
/* 11489*/   OPC_CheckPatternPredicate, 16, // (Subtarget->hasFP16())
/* 11491*/   OPC_EmitConvertToTarget1, // #2
/* 11492*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_F16x8),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 2, 
             // Src: (intrinsic_wo_chain:{ *:[f32] } 13210:{ *:[iPTR] }, V128:{ *:[v8f16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 12
             // Dst: (EXTRACT_LANE_F16x8:{ *:[f32] } V128:{ *:[v8f16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 11499*/  /*Scope*/ 13, /*->11513*/
/* 11500*/   OPC_CheckChild0Integer, 6|128,79|128,1/*26502*/, 
/* 11504*/   OPC_RecordChild1, // #0 = $src
/* 11505*/   OPC_RecordChild2, // #1 = $mask
/* 11506*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SWIZZLE),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13251:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 8
             // Dst: (SWIZZLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$src, ?:{ *:[v16i8] }:$mask)
/* 11513*/  /*Scope*/ 120, /*->11634*/
/* 11514*/   OPC_CheckChild0Integer, 42|128,78|128,1/*26410*/, 
/* 11518*/   OPC_RecordChild1, // #0 = $v1
/* 11519*/   OPC_SwitchType /*6 cases */, 16, /*MVT::v16i8*/39, // ->11538
/* 11522*/    OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 11524*/    OPC_RecordChild2, // #1 = $v2
/* 11525*/    OPC_CheckChild2Type, /*MVT::v16i8*/39, 
/* 11527*/    OPC_RecordChild3, // #2 = $c
/* 11528*/    OPC_CheckChild3Type, /*MVT::v16i8*/39, 
/* 11530*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v16i8*/39, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13205:{ *:[iPTR] }, V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 11538*/   /*SwitchType*/ 16, /*MVT::v8i16*/50, // ->11556
/* 11540*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11542*/    OPC_RecordChild2, // #1 = $v2
/* 11543*/    OPC_CheckChild2Type, /*MVT::v8i16*/50, 
/* 11545*/    OPC_RecordChild3, // #2 = $c
/* 11546*/    OPC_CheckChild3Type, /*MVT::v8i16*/50, 
/* 11548*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/50, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13205:{ *:[iPTR] }, V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 11556*/   /*SwitchType*/ 16, /*MVT::v4i32*/60, // ->11574
/* 11558*/    OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 11560*/    OPC_RecordChild2, // #1 = $v2
/* 11561*/    OPC_CheckChild2Type, /*MVT::v4i32*/60, 
/* 11563*/    OPC_RecordChild3, // #2 = $c
/* 11564*/    OPC_CheckChild3Type, /*MVT::v4i32*/60, 
/* 11566*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/60, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13205:{ *:[iPTR] }, V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 11574*/   /*SwitchType*/ 16, /*MVT::v2i64*/78, // ->11592
/* 11576*/    OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/* 11578*/    OPC_RecordChild2, // #1 = $v2
/* 11579*/    OPC_CheckChild2Type, /*MVT::v2i64*/78, 
/* 11581*/    OPC_RecordChild3, // #2 = $c
/* 11582*/    OPC_CheckChild3Type, /*MVT::v2i64*/78, 
/* 11584*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/78, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2i64] } 13205:{ *:[iPTR] }, V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 11592*/   /*SwitchType*/ 16, /*MVT::v4f32*/111, // ->11610
/* 11594*/    OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/* 11596*/    OPC_RecordChild2, // #1 = $v2
/* 11597*/    OPC_CheckChild2Type, /*MVT::v4f32*/111, 
/* 11599*/    OPC_RecordChild3, // #2 = $c
/* 11600*/    OPC_CheckChild3Type, /*MVT::v4f32*/111, 
/* 11602*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4f32*/111, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13205:{ *:[iPTR] }, V128:{ *:[v4f32] }:$v1, V128:{ *:[v4f32] }:$v2, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v4f32] } ?:{ *:[v4f32] }:$v1, ?:{ *:[v4f32] }:$v2, ?:{ *:[v4f32] }:$c)
/* 11610*/   /*SwitchType*/ 20, /*MVT::v2f64*/1|128,1/*129*/, // ->11633
/* 11613*/    OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 11616*/    OPC_RecordChild2, // #1 = $v2
/* 11617*/    OPC_CheckChild2Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 11620*/    OPC_RecordChild3, // #2 = $c
/* 11621*/    OPC_CheckChild3Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 11624*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13205:{ *:[iPTR] }, V128:{ *:[v2f64] }:$v1, V128:{ *:[v2f64] }:$v2, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v2f64] } ?:{ *:[v2f64] }:$v1, ?:{ *:[v2f64] }:$v2, ?:{ *:[v2f64] }:$c)
/* 11633*/   0, // EndSwitchType
/* 11634*/  /*Scope*/ 37, /*->11672*/
/* 11635*/   OPC_CheckChild0Integer, 38|128,78|128,1/*26406*/, 
/* 11639*/   OPC_RecordChild1, // #0 = $lhs
/* 11640*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v16i8*/39, // ->11656
/* 11643*/    OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 11645*/    OPC_RecordChild2, // #1 = $rhs
/* 11646*/    OPC_CheckChild2Type, /*MVT::v16i8*/39, 
/* 11648*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11649*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I8x16),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13203:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
              // Dst: (AVGR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 11656*/   /*SwitchType*/ 13, /*MVT::v8i16*/50, // ->11671
/* 11658*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11660*/    OPC_RecordChild2, // #1 = $rhs
/* 11661*/    OPC_CheckChild2Type, /*MVT::v8i16*/50, 
/* 11663*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11664*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I16x8),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13203:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
              // Dst: (AVGR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 11671*/   0, // EndSwitchType
/* 11672*/  /*Scope*/ 14, /*->11687*/
/* 11673*/   OPC_CheckChild0Integer, 46|128,78|128,1/*26414*/, 
/* 11677*/   OPC_RecordChild1, // #0 = $lhs
/* 11678*/   OPC_RecordChild2, // #1 = $rhs
/* 11679*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11680*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DOT),
                 /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13207:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (DOT:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 11687*/  /*Scope*/ 37, /*->11725*/
/* 11688*/   OPC_CheckChild0Integer, 74|128,78|128,1/*26442*/, 
/* 11692*/   OPC_RecordChild1, // #0 = $low
/* 11693*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v16i8*/39, // ->11709
/* 11696*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11698*/    OPC_RecordChild2, // #1 = $high
/* 11699*/    OPC_CheckChild2Type, /*MVT::v8i16*/50, 
/* 11701*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11702*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_S_I8x16),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13221:{ *:[iPTR] }, V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high) - Complexity = 8
              // Dst: (NARROW_S_I8x16:{ *:[v16i8] } V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high)
/* 11709*/   /*SwitchType*/ 13, /*MVT::v8i16*/50, // ->11724
/* 11711*/    OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 11713*/    OPC_RecordChild2, // #1 = $high
/* 11714*/    OPC_CheckChild2Type, /*MVT::v4i32*/60, 
/* 11716*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11717*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_S_I16x8),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13221:{ *:[iPTR] }, V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high) - Complexity = 8
              // Dst: (NARROW_S_I16x8:{ *:[v8i16] } V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high)
/* 11724*/   0, // EndSwitchType
/* 11725*/  /*Scope*/ 37, /*->11763*/
/* 11726*/   OPC_CheckChild0Integer, 76|128,78|128,1/*26444*/, 
/* 11730*/   OPC_RecordChild1, // #0 = $low
/* 11731*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v16i8*/39, // ->11747
/* 11734*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11736*/    OPC_RecordChild2, // #1 = $high
/* 11737*/    OPC_CheckChild2Type, /*MVT::v8i16*/50, 
/* 11739*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11740*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_U_I8x16),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13222:{ *:[iPTR] }, V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high) - Complexity = 8
              // Dst: (NARROW_U_I8x16:{ *:[v16i8] } V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high)
/* 11747*/   /*SwitchType*/ 13, /*MVT::v8i16*/50, // ->11762
/* 11749*/    OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 11751*/    OPC_RecordChild2, // #1 = $high
/* 11752*/    OPC_CheckChild2Type, /*MVT::v4i32*/60, 
/* 11754*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11755*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_U_I16x8),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13222:{ *:[iPTR] }, V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high) - Complexity = 8
              // Dst: (NARROW_U_I16x8:{ *:[v8i16] } V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high)
/* 11762*/   0, // EndSwitchType
/* 11763*/  /*Scope*/ 29, /*->11793*/
/* 11764*/   OPC_CheckChild0Integer, 48|128,78|128,1/*26416*/, 
/* 11768*/   OPC_RecordChild1, // #0 = $vec
/* 11769*/   OPC_SwitchType /*2 cases */, 9, /*MVT::v8i16*/50, // ->11781
/* 11772*/    OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 11774*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11775*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_signed_I16x8),
                  /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13208:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_signed_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 11781*/   /*SwitchType*/ 9, /*MVT::v4i32*/60, // ->11792
/* 11783*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11785*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11786*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_signed_I32x4),
                  /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13208:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_signed_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 11792*/   0, // EndSwitchType
/* 11793*/  /*Scope*/ 29, /*->11823*/
/* 11794*/   OPC_CheckChild0Integer, 50|128,78|128,1/*26418*/, 
/* 11798*/   OPC_RecordChild1, // #0 = $vec
/* 11799*/   OPC_SwitchType /*2 cases */, 9, /*MVT::v8i16*/50, // ->11811
/* 11802*/    OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 11804*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11805*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_unsigned_I16x8),
                  /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13209:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_unsigned_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 11811*/   /*SwitchType*/ 9, /*MVT::v4i32*/60, // ->11822
/* 11813*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11815*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11816*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_unsigned_I32x4),
                  /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13209:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_unsigned_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 11822*/   0, // EndSwitchType
/* 11823*/  /*Scope*/ 14, /*->11838*/
/* 11824*/   OPC_CheckChild0Integer, 82|128,78|128,1/*26450*/, 
/* 11828*/   OPC_RecordChild1, // #0 = $lhs
/* 11829*/   OPC_RecordChild2, // #1 = $rhs
/* 11830*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 11831*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::Q15MULR_SAT_S_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13225:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (Q15MULR_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 11838*/  /*Scope*/ 14, /*->11853*/
/* 11839*/   OPC_CheckChild0Integer, 114|128,78|128,1/*26482*/, 
/* 11843*/   OPC_RecordChild1, // #0 = $src
/* 11844*/   OPC_RecordChild2, // #1 = $mask
/* 11845*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11846*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_SWIZZLE),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13241:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 8
             // Dst: (RELAXED_SWIZZLE:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask)
/* 11853*/  /*Scope*/ 12, /*->11866*/
/* 11854*/   OPC_CheckChild0Integer, 116|128,78|128,1/*26484*/, 
/* 11858*/   OPC_RecordChild1, // #0 = $vec
/* 11859*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11860*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_signed_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13242:{ *:[iPTR] }, V128:{ *:[v4f32] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_signed_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 11866*/  /*Scope*/ 12, /*->11879*/
/* 11867*/   OPC_CheckChild0Integer, 120|128,78|128,1/*26488*/, 
/* 11871*/   OPC_RecordChild1, // #0 = $vec
/* 11872*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11873*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_unsigned_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13244:{ *:[iPTR] }, V128:{ *:[v4f32] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_unsigned_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 11879*/  /*Scope*/ 12, /*->11892*/
/* 11880*/   OPC_CheckChild0Integer, 118|128,78|128,1/*26486*/, 
/* 11884*/   OPC_RecordChild1, // #0 = $vec
/* 11885*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11886*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_signed_zero_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13243:{ *:[iPTR] }, V128:{ *:[v2f64] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_signed_zero_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 11892*/  /*Scope*/ 12, /*->11905*/
/* 11893*/   OPC_CheckChild0Integer, 122|128,78|128,1/*26490*/, 
/* 11897*/   OPC_RecordChild1, // #0 = $vec
/* 11898*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11899*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_unsigned_zero_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13245:{ *:[iPTR] }, V128:{ *:[v2f64] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_unsigned_zero_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 11905*/  /*Scope*/ 83, /*->11989*/
/* 11906*/   OPC_CheckChild0Integer, 102|128,78|128,1/*26470*/, 
/* 11910*/   OPC_RecordChild1, // #0 = $a
/* 11911*/   OPC_SwitchType /*4 cases */, 17, /*MVT::v16i8*/39, // ->11931
/* 11914*/    OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 11916*/    OPC_RecordChild2, // #1 = $b
/* 11917*/    OPC_CheckChild2Type, /*MVT::v16i8*/39, 
/* 11919*/    OPC_RecordChild3, // #2 = $c
/* 11920*/    OPC_CheckChild3Type, /*MVT::v16i8*/39, 
/* 11922*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11923*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LANESELECT_I8x16),
                  /*MVT::v16i8*/39, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 13235:{ *:[iPTR] }, V128:{ *:[v16i8] }:$a, V128:{ *:[v16i8] }:$b, V128:{ *:[v16i8] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$a, V128:{ *:[v16i8] }:$b, V128:{ *:[v16i8] }:$c)
/* 11931*/   /*SwitchType*/ 17, /*MVT::v8i16*/50, // ->11950
/* 11933*/    OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 11935*/    OPC_RecordChild2, // #1 = $b
/* 11936*/    OPC_CheckChild2Type, /*MVT::v8i16*/50, 
/* 11938*/    OPC_RecordChild3, // #2 = $c
/* 11939*/    OPC_CheckChild3Type, /*MVT::v8i16*/50, 
/* 11941*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11942*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LANESELECT_I16x8),
                  /*MVT::v8i16*/50, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13235:{ *:[iPTR] }, V128:{ *:[v8i16] }:$a, V128:{ *:[v8i16] }:$b, V128:{ *:[v8i16] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$a, V128:{ *:[v8i16] }:$b, V128:{ *:[v8i16] }:$c)
/* 11950*/   /*SwitchType*/ 17, /*MVT::v4i32*/60, // ->11969
/* 11952*/    OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 11954*/    OPC_RecordChild2, // #1 = $b
/* 11955*/    OPC_CheckChild2Type, /*MVT::v4i32*/60, 
/* 11957*/    OPC_RecordChild3, // #2 = $c
/* 11958*/    OPC_CheckChild3Type, /*MVT::v4i32*/60, 
/* 11960*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11961*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LANESELECT_I32x4),
                  /*MVT::v4i32*/60, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13235:{ *:[iPTR] }, V128:{ *:[v4i32] }:$a, V128:{ *:[v4i32] }:$b, V128:{ *:[v4i32] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$a, V128:{ *:[v4i32] }:$b, V128:{ *:[v4i32] }:$c)
/* 11969*/   /*SwitchType*/ 17, /*MVT::v2i64*/78, // ->11988
/* 11971*/    OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/* 11973*/    OPC_RecordChild2, // #1 = $b
/* 11974*/    OPC_CheckChild2Type, /*MVT::v2i64*/78, 
/* 11976*/    OPC_RecordChild3, // #2 = $c
/* 11977*/    OPC_CheckChild3Type, /*MVT::v2i64*/78, 
/* 11979*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11980*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::LANESELECT_I64x2),
                  /*MVT::v2i64*/78, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2i64] } 13235:{ *:[iPTR] }, V128:{ *:[v2i64] }:$a, V128:{ *:[v2i64] }:$b, V128:{ *:[v2i64] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$a, V128:{ *:[v2i64] }:$b, V128:{ *:[v2i64] }:$c)
/* 11988*/   0, // EndSwitchType
/* 11989*/  /*Scope*/ 14, /*->12004*/
/* 11990*/   OPC_CheckChild0Integer, 112|128,78|128,1/*26480*/, 
/* 11994*/   OPC_RecordChild1, // #0 = $lhs
/* 11995*/   OPC_RecordChild2, // #1 = $rhs
/* 11996*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 11997*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_Q15MULR_S_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13240:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (RELAXED_Q15MULR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 12004*/  /*Scope*/ 14, /*->12019*/
/* 12005*/   OPC_CheckChild0Integer, 100|128,78|128,1/*26468*/, 
/* 12009*/   OPC_RecordChild1, // #0 = $lhs
/* 12010*/   OPC_RecordChild2, // #1 = $rhs
/* 12011*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12012*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_DOT),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 13234:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
             // Dst: (RELAXED_DOT:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 12019*/  /*Scope*/ 16, /*->12036*/
/* 12020*/   OPC_CheckChild0Integer, 98|128,78|128,1/*26466*/, 
/* 12024*/   OPC_RecordChild1, // #0 = $lhs
/* 12025*/   OPC_RecordChild2, // #1 = $rhs
/* 12026*/   OPC_RecordChild3, // #2 = $acc
/* 12027*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12028*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_DOT_ADD),
                 /*MVT::v4i32*/60, 3/*#Ops*/, 0, 1, 2, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 13233:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, V128:{ *:[v4i32] }:$acc) - Complexity = 8
             // Dst: (RELAXED_DOT_ADD:{ *:[v4i32] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, V128:{ *:[v4i32] }:$acc)
/* 12036*/  /*Scope*/ 25, /*->12062*/
/* 12037*/   OPC_CheckChild0Integer, 124|128,78|128,1/*26492*/, 
/* 12041*/   OPC_RecordChild1, // #0 = $vec
/* 12042*/   OPC_RecordChild2, // #1 = $idx
/* 12043*/   OPC_MoveChild2,
/* 12044*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12047*/   OPC_CheckPredicate, 13, // Predicate_LaneIdx8
/* 12049*/   OPC_MoveParent,
/* 12050*/   OPC_RecordChild3, // #2 = $x
/* 12051*/   OPC_CheckPatternPredicate, 16, // (Subtarget->hasFP16())
/* 12053*/   OPC_EmitConvertToTarget1, // #3
/* 12054*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F16x8),
                 /*MVT::v8f16*/92, 3/*#Ops*/, 0, 3, 2, 
             // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13246:{ *:[iPTR] }, V128:{ *:[v8f16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx, F32:{ *:[f32] }:$x) - Complexity = 12
             // Dst: (REPLACE_LANE_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$vec, (imm:{ *:[i32] }):$idx, F32:{ *:[f32] }:$x)
/* 12062*/  /*Scope*/ 13, /*->12076*/
/* 12063*/   OPC_CheckChild0Integer, 2|128,79|128,1/*26498*/, 
/* 12067*/   OPC_RecordChild1, // #0 = $x
/* 12068*/   OPC_CheckPatternPredicate, 16, // (Subtarget->hasFP16())
/* 12070*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13249:{ *:[iPTR] }, F32:{ *:[f32] }:$x) - Complexity = 8
             // Dst: (SPLAT_F16x8:{ *:[v8f16] } F32:{ *:[f32] }:$x)
/* 12076*/  /*Scope*/ 53, /*->12130*/
/* 12077*/   OPC_CheckChild0Integer, 80|128,78|128,1/*26448*/, 
/* 12081*/   OPC_RecordChild1, // #0 = $lhs
/* 12082*/   OPC_SwitchType /*3 cases */, 12, /*MVT::v4f32*/111, // ->12097
/* 12085*/    OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/* 12087*/    OPC_RecordChild2, // #1 = $rhs
/* 12088*/    OPC_CheckChild2Type, /*MVT::v4f32*/111, 
/* 12090*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                  /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13224:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 12097*/   /*SwitchType*/ 15, /*MVT::v2f64*/1|128,1/*129*/, // ->12115
/* 12100*/    OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12103*/    OPC_RecordChild2, // #1 = $rhs
/* 12104*/    OPC_CheckChild2Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12107*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13224:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 12115*/   /*SwitchType*/ 12, /*MVT::v8f16*/92, // ->12129
/* 12117*/    OPC_CheckChild1Type, /*MVT::v8f16*/92, 
/* 12119*/    OPC_RecordChild2, // #1 = $rhs
/* 12120*/    OPC_CheckChild2Type, /*MVT::v8f16*/92, 
/* 12122*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                  /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13224:{ *:[iPTR] }, V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 12129*/   0, // EndSwitchType
/* 12130*/  /*Scope*/ 53, /*->12184*/
/* 12131*/   OPC_CheckChild0Integer, 78|128,78|128,1/*26446*/, 
/* 12135*/   OPC_RecordChild1, // #0 = $lhs
/* 12136*/   OPC_SwitchType /*3 cases */, 12, /*MVT::v4f32*/111, // ->12151
/* 12139*/    OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/* 12141*/    OPC_RecordChild2, // #1 = $rhs
/* 12142*/    OPC_CheckChild2Type, /*MVT::v4f32*/111, 
/* 12144*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                  /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13223:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 12151*/   /*SwitchType*/ 15, /*MVT::v2f64*/1|128,1/*129*/, // ->12169
/* 12154*/    OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12157*/    OPC_RecordChild2, // #1 = $rhs
/* 12158*/    OPC_CheckChild2Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12161*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13223:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 12169*/   /*SwitchType*/ 12, /*MVT::v8f16*/92, // ->12183
/* 12171*/    OPC_CheckChild1Type, /*MVT::v8f16*/92, 
/* 12173*/    OPC_RecordChild2, // #1 = $rhs
/* 12174*/    OPC_CheckChild2Type, /*MVT::v8f16*/92, 
/* 12176*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                  /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13223:{ *:[iPTR] }, V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 12183*/   0, // EndSwitchType
/* 12184*/  /*Scope*/ 71, /*->12256*/
/* 12185*/   OPC_CheckChild0Integer, 104|128,78|128,1/*26472*/, 
/* 12189*/   OPC_RecordChild1, // #0 = $a
/* 12190*/   OPC_SwitchType /*3 cases */, 18, /*MVT::v4f32*/111, // ->12211
/* 12193*/    OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/* 12195*/    OPC_RecordChild2, // #1 = $b
/* 12196*/    OPC_CheckChild2Type, /*MVT::v4f32*/111, 
/* 12198*/    OPC_RecordChild3, // #2 = $c
/* 12199*/    OPC_CheckChild3Type, /*MVT::v4f32*/111, 
/* 12201*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128())
/* 12203*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F32x4),
                  /*MVT::v4f32*/111, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13236:{ *:[iPTR] }, V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (MADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 12211*/   /*SwitchType*/ 22, /*MVT::v2f64*/1|128,1/*129*/, // ->12236
/* 12214*/    OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12217*/    OPC_RecordChild2, // #1 = $b
/* 12218*/    OPC_CheckChild2Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12221*/    OPC_RecordChild3, // #2 = $c
/* 12222*/    OPC_CheckChild3Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12225*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128())
/* 12227*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13236:{ *:[iPTR] }, V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (MADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 12236*/   /*SwitchType*/ 17, /*MVT::v8f16*/92, // ->12255
/* 12238*/    OPC_CheckChild1Type, /*MVT::v8f16*/92, 
/* 12240*/    OPC_RecordChild2, // #1 = $b
/* 12241*/    OPC_CheckChild2Type, /*MVT::v8f16*/92, 
/* 12243*/    OPC_RecordChild3, // #2 = $c
/* 12244*/    OPC_CheckChild3Type, /*MVT::v8f16*/92, 
/* 12246*/    OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 12247*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MADD_F16x8),
                  /*MVT::v8f16*/92, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13236:{ *:[iPTR] }, V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c) - Complexity = 8
              // Dst: (MADD_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c)
/* 12255*/   0, // EndSwitchType
/* 12256*/  /*Scope*/ 71, /*->12328*/
/* 12257*/   OPC_CheckChild0Integer, 110|128,78|128,1/*26478*/, 
/* 12261*/   OPC_RecordChild1, // #0 = $a
/* 12262*/   OPC_SwitchType /*3 cases */, 18, /*MVT::v4f32*/111, // ->12283
/* 12265*/    OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/* 12267*/    OPC_RecordChild2, // #1 = $b
/* 12268*/    OPC_CheckChild2Type, /*MVT::v4f32*/111, 
/* 12270*/    OPC_RecordChild3, // #2 = $c
/* 12271*/    OPC_CheckChild3Type, /*MVT::v4f32*/111, 
/* 12273*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128())
/* 12275*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NMADD_F32x4),
                  /*MVT::v4f32*/111, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13239:{ *:[iPTR] }, V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (NMADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 12283*/   /*SwitchType*/ 22, /*MVT::v2f64*/1|128,1/*129*/, // ->12308
/* 12286*/    OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12289*/    OPC_RecordChild2, // #1 = $b
/* 12290*/    OPC_CheckChild2Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12293*/    OPC_RecordChild3, // #2 = $c
/* 12294*/    OPC_CheckChild3Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12297*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128())
/* 12299*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NMADD_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13239:{ *:[iPTR] }, V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (NMADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 12308*/   /*SwitchType*/ 17, /*MVT::v8f16*/92, // ->12327
/* 12310*/    OPC_CheckChild1Type, /*MVT::v8f16*/92, 
/* 12312*/    OPC_RecordChild2, // #1 = $b
/* 12313*/    OPC_CheckChild2Type, /*MVT::v8f16*/92, 
/* 12315*/    OPC_RecordChild3, // #2 = $c
/* 12316*/    OPC_CheckChild3Type, /*MVT::v8f16*/92, 
/* 12318*/    OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 12319*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NMADD_F16x8),
                  /*MVT::v8f16*/92, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8f16] } 13239:{ *:[iPTR] }, V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c) - Complexity = 8
              // Dst: (NMADD_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$a, V128:{ *:[v8f16] }:$b, V128:{ *:[v8f16] }:$c)
/* 12327*/   0, // EndSwitchType
/* 12328*/  /*Scope*/ 41, /*->12370*/
/* 12329*/   OPC_CheckChild0Integer, 108|128,78|128,1/*26476*/, 
/* 12333*/   OPC_RecordChild1, // #0 = $lhs
/* 12334*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v4f32*/111, // ->12350
/* 12337*/    OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/* 12339*/    OPC_RecordChild2, // #1 = $rhs
/* 12340*/    OPC_CheckChild2Type, /*MVT::v4f32*/111, 
/* 12342*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12343*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMIN_F32x4),
                  /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13238:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 12350*/   /*SwitchType*/ 16, /*MVT::v2f64*/1|128,1/*129*/, // ->12369
/* 12353*/    OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12356*/    OPC_RecordChild2, // #1 = $rhs
/* 12357*/    OPC_CheckChild2Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12360*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12361*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMIN_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13238:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 12369*/   0, // EndSwitchType
/* 12370*/  /*Scope*/ 41, /*->12412*/
/* 12371*/   OPC_CheckChild0Integer, 106|128,78|128,1/*26474*/, 
/* 12375*/   OPC_RecordChild1, // #0 = $lhs
/* 12376*/   OPC_SwitchType /*2 cases */, 13, /*MVT::v4f32*/111, // ->12392
/* 12379*/    OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/* 12381*/    OPC_RecordChild2, // #1 = $rhs
/* 12382*/    OPC_CheckChild2Type, /*MVT::v4f32*/111, 
/* 12384*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12385*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMAX_F32x4),
                  /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13237:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 12392*/   /*SwitchType*/ 16, /*MVT::v2f64*/1|128,1/*129*/, // ->12411
/* 12395*/    OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12398*/    OPC_RecordChild2, // #1 = $rhs
/* 12399*/    OPC_CheckChild2Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12402*/    OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12403*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMAX_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 13237:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 12411*/   0, // EndSwitchType
/* 12412*/  /*Scope*/ 16, /*->12429*/
/* 12413*/   OPC_CheckChild0Integer, 96|128,78|128,1/*26464*/, 
/* 12417*/   OPC_RecordChild1, // #0 = $lhs
/* 12418*/   OPC_RecordChild2, // #1 = $rhs
/* 12419*/   OPC_RecordChild3, // #2 = $acc
/* 12420*/   OPC_CheckPatternPredicate7, // (Subtarget->hasRelaxedSIMD())
/* 12421*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::RELAXED_DOT_BFLOAT),
                 /*MVT::v4f32*/111, 3/*#Ops*/, 0, 1, 2, 
             // Src: (intrinsic_wo_chain:{ *:[v4f32] } 13232:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, V128:{ *:[v4f32] }:$acc) - Complexity = 8
             // Dst: (RELAXED_DOT_BFLOAT:{ *:[v4f32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, V128:{ *:[v4f32] }:$acc)
/* 12429*/  0, /*End of Scope*/
/* 12430*/ /*SwitchOpcode*/ 4|128,1/*132*/, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),// ->12566
/* 12434*/  OPC_RecordChild0, // #0 = $vec
/* 12435*/  OPC_Scope, 20, /*->12457*/ // 6 children in Scope
/* 12437*/   OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 12439*/   OPC_RecordChild1, // #1 = $idx
/* 12440*/   OPC_MoveChild1,
/* 12441*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12444*/   OPC_CheckPredicate, 18, // Predicate_LaneIdx16
/* 12446*/   OPC_CheckTypeI32,
/* 12447*/   OPC_MoveParent,
/* 12448*/   OPC_CheckTypeI32,
/* 12449*/   OPC_EmitConvertToTarget1, // #2
/* 12450*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_u),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I8x16_u:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12457*/  /*Scope*/ 20, /*->12478*/
/* 12458*/   OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 12460*/   OPC_RecordChild1, // #1 = $idx
/* 12461*/   OPC_MoveChild1,
/* 12462*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12465*/   OPC_CheckPredicate, 13, // Predicate_LaneIdx8
/* 12467*/   OPC_CheckTypeI32,
/* 12468*/   OPC_MoveParent,
/* 12469*/   OPC_CheckTypeI32,
/* 12470*/   OPC_EmitConvertToTarget1, // #2
/* 12471*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_u),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I16x8_u:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12478*/  /*Scope*/ 20, /*->12499*/
/* 12479*/   OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 12481*/   OPC_RecordChild1, // #1 = $idx
/* 12482*/   OPC_MoveChild1,
/* 12483*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12486*/   OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 12488*/   OPC_CheckTypeI32,
/* 12489*/   OPC_MoveParent,
/* 12490*/   OPC_CheckTypeI32,
/* 12491*/   OPC_EmitConvertToTarget1, // #2
/* 12492*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I32x4),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12499*/  /*Scope*/ 20, /*->12520*/
/* 12500*/   OPC_CheckChild0Type, /*MVT::v2i64*/78, 
/* 12502*/   OPC_RecordChild1, // #1 = $idx
/* 12503*/   OPC_MoveChild1,
/* 12504*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12507*/   OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 12509*/   OPC_CheckTypeI32,
/* 12510*/   OPC_MoveParent,
/* 12511*/   OPC_CheckTypeI64,
/* 12512*/   OPC_EmitConvertToTarget1, // #2
/* 12513*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_I64x2),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I64x2:{ *:[i64] } ?:{ *:[v2i64] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12520*/  /*Scope*/ 21, /*->12542*/
/* 12521*/   OPC_CheckChild0Type, /*MVT::v4f32*/111, 
/* 12523*/   OPC_RecordChild1, // #1 = $idx
/* 12524*/   OPC_MoveChild1,
/* 12525*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12528*/   OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 12530*/   OPC_CheckTypeI32,
/* 12531*/   OPC_MoveParent,
/* 12532*/   OPC_CheckType, /*MVT::f32*/12, 
/* 12534*/   OPC_EmitConvertToTarget1, // #2
/* 12535*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_F32x4),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_F32x4:{ *:[f32] } ?:{ *:[v4f32] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12542*/  /*Scope*/ 22, /*->12565*/
/* 12543*/   OPC_CheckChild0Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12546*/   OPC_RecordChild1, // #1 = $idx
/* 12547*/   OPC_MoveChild1,
/* 12548*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12551*/   OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 12553*/   OPC_CheckTypeI32,
/* 12554*/   OPC_MoveParent,
/* 12555*/   OPC_CheckType, /*MVT::f64*/13, 
/* 12557*/   OPC_EmitConvertToTarget1, // #2
/* 12558*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTRACT_LANE_F64x2),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_F64x2:{ *:[f64] } ?:{ *:[v2f64] }:$vec, (imm:{ *:[i32] }):$idx)
/* 12565*/  0, /*End of Scope*/
/* 12566*/ /*SwitchOpcode*/ 0|128,1/*128*/, TARGET_VAL(WebAssemblyISD::ARGUMENT),// ->12698
/* 12570*/  OPC_RecordChild0, // #0 = $argno
/* 12571*/  OPC_MoveChild0,
/* 12572*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 12575*/  OPC_MoveParent,
/* 12576*/  OPC_SwitchType /*14 cases */, 6, /*MVT::i32*/7, // ->12585
/* 12579*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_i32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[i32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_i32:{ *:[i32] } (timm:{ *:[i32] }):$argno)
/* 12585*/  /*SwitchType*/ 6, /*MVT::i64*/8, // ->12593
/* 12587*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_i64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[i64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_i64:{ *:[i64] } (timm:{ *:[i32] }):$argno)
/* 12593*/  /*SwitchType*/ 7, /*MVT::funcref*/99|128,1/*227*/, // ->12603
/* 12596*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_funcref),
                 /*MVT::funcref*/99|128,1/*227*/, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[funcref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_funcref:{ *:[funcref] } (timm:{ *:[i32] }):$argno)
/* 12603*/  /*SwitchType*/ 7, /*MVT::externref*/100|128,1/*228*/, // ->12613
/* 12606*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_externref),
                 /*MVT::externref*/100|128,1/*228*/, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[externref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_externref:{ *:[externref] } (timm:{ *:[i32] }):$argno)
/* 12613*/  /*SwitchType*/ 7, /*MVT::exnref*/101|128,1/*229*/, // ->12623
/* 12616*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_exnref),
                 /*MVT::exnref*/101|128,1/*229*/, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[exnref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_exnref:{ *:[exnref] } (timm:{ *:[i32] }):$argno)
/* 12623*/  /*SwitchType*/ 6, /*MVT::f32*/12, // ->12631
/* 12625*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_f32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[f32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_f32:{ *:[f32] } (timm:{ *:[i32] }):$argno)
/* 12631*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->12639
/* 12633*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_f64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[f64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_f64:{ *:[f64] } (timm:{ *:[i32] }):$argno)
/* 12639*/  /*SwitchType*/ 6, /*MVT::v16i8*/39, // ->12647
/* 12641*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v16i8),
                 /*MVT::v16i8*/39, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v16i8] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v16i8:{ *:[v16i8] } (timm:{ *:[i32] }):$argno)
/* 12647*/  /*SwitchType*/ 6, /*MVT::v8i16*/50, // ->12655
/* 12649*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v8i16),
                 /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v8i16] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v8i16:{ *:[v8i16] } (timm:{ *:[i32] }):$argno)
/* 12655*/  /*SwitchType*/ 6, /*MVT::v4i32*/60, // ->12663
/* 12657*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v4i32),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v4i32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v4i32:{ *:[v4i32] } (timm:{ *:[i32] }):$argno)
/* 12663*/  /*SwitchType*/ 6, /*MVT::v2i64*/78, // ->12671
/* 12665*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v2i64),
                 /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v2i64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v2i64:{ *:[v2i64] } (timm:{ *:[i32] }):$argno)
/* 12671*/  /*SwitchType*/ 6, /*MVT::v4f32*/111, // ->12679
/* 12673*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v4f32),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v4f32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v4f32:{ *:[v4f32] } (timm:{ *:[i32] }):$argno)
/* 12679*/  /*SwitchType*/ 7, /*MVT::v2f64*/1|128,1/*129*/, // ->12689
/* 12682*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v2f64),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v2f64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v2f64:{ *:[v2f64] } (timm:{ *:[i32] }):$argno)
/* 12689*/  /*SwitchType*/ 6, /*MVT::v8f16*/92, // ->12697
/* 12691*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ARGUMENT_v8f16),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v8f16] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v8f16:{ *:[v8f16] } (timm:{ *:[i32] }):$argno)
/* 12697*/  0, // EndSwitchType
/* 12698*/ /*SwitchOpcode*/ 26|128,1/*154*/, TARGET_VAL(WebAssemblyISD::LOCAL_GET),// ->12856
/* 12702*/  OPC_RecordNode, // #0 = 'WebAssemblylocal_get' chained node
/* 12703*/  OPC_RecordChild1, // #1 = $local
/* 12704*/  OPC_MoveChild1,
/* 12705*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 12708*/  OPC_MoveParent,
/* 12709*/  OPC_SwitchType /*14 cases */, 7, /*MVT::i32*/7, // ->12719
/* 12712*/   OPC_EmitMergeInputChains1_0,
/* 12713*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[i32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_I32:{ *:[i32] } (timm:{ *:[i32] }):$local)
/* 12719*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->12728
/* 12721*/   OPC_EmitMergeInputChains1_0,
/* 12722*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[i64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_I64:{ *:[i64] } (timm:{ *:[i32] }):$local)
/* 12728*/  /*SwitchType*/ 9, /*MVT::funcref*/99|128,1/*227*/, // ->12740
/* 12731*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 12732*/   OPC_EmitMergeInputChains1_0,
/* 12733*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_FUNCREF),
                 /*MVT::funcref*/99|128,1/*227*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[funcref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_FUNCREF:{ *:[funcref] } (timm:{ *:[i32] }):$local)
/* 12740*/  /*SwitchType*/ 9, /*MVT::externref*/100|128,1/*228*/, // ->12752
/* 12743*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 12744*/   OPC_EmitMergeInputChains1_0,
/* 12745*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_EXTERNREF),
                 /*MVT::externref*/100|128,1/*228*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[externref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_EXTERNREF:{ *:[externref] } (timm:{ *:[i32] }):$local)
/* 12752*/  /*SwitchType*/ 10, /*MVT::exnref*/101|128,1/*229*/, // ->12765
/* 12755*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 12757*/   OPC_EmitMergeInputChains1_0,
/* 12758*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_EXNREF),
                 /*MVT::exnref*/101|128,1/*229*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[exnref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_EXNREF:{ *:[exnref] } (timm:{ *:[i32] }):$local)
/* 12765*/  /*SwitchType*/ 7, /*MVT::f32*/12, // ->12774
/* 12767*/   OPC_EmitMergeInputChains1_0,
/* 12768*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[f32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_F32:{ *:[f32] } (timm:{ *:[i32] }):$local)
/* 12774*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->12783
/* 12776*/   OPC_EmitMergeInputChains1_0,
/* 12777*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[f64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_F64:{ *:[f64] } (timm:{ *:[i32] }):$local)
/* 12783*/  /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->12793
/* 12785*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12786*/   OPC_EmitMergeInputChains1_0,
/* 12787*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v2i64*/78, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v2i64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v2i64] } (timm:{ *:[i32] }):$local)
/* 12793*/  /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->12803
/* 12795*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12796*/   OPC_EmitMergeInputChains1_0,
/* 12797*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v4i32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v4i32] } (timm:{ *:[i32] }):$local)
/* 12803*/  /*SwitchType*/ 8, /*MVT::v16i8*/39, // ->12813
/* 12805*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12806*/   OPC_EmitMergeInputChains1_0,
/* 12807*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v16i8*/39, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v16i8] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v16i8] } (timm:{ *:[i32] }):$local)
/* 12813*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->12823
/* 12815*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12816*/   OPC_EmitMergeInputChains1_0,
/* 12817*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v8i16*/50, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v8i16] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v8i16] } (timm:{ *:[i32] }):$local)
/* 12823*/  /*SwitchType*/ 8, /*MVT::v8f16*/92, // ->12833
/* 12825*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12826*/   OPC_EmitMergeInputChains1_0,
/* 12827*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v8f16] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v8f16] } (timm:{ *:[i32] }):$local)
/* 12833*/  /*SwitchType*/ 8, /*MVT::v4f32*/111, // ->12843
/* 12835*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12836*/   OPC_EmitMergeInputChains1_0,
/* 12837*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v4f32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v4f32] } (timm:{ *:[i32] }):$local)
/* 12843*/  /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->12855
/* 12846*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12847*/   OPC_EmitMergeInputChains1_0,
/* 12848*/   OPC_MorphNodeTo1Chain, TARGET_VAL(WebAssembly::LOCAL_GET_V128),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v2f64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v2f64] } (timm:{ *:[i32] }):$local)
/* 12855*/  0, // EndSwitchType
/* 12856*/ /*SwitchOpcode*/ 35|128,1/*163*/, TARGET_VAL(WebAssemblyISD::LOCAL_SET),// ->13023
/* 12860*/  OPC_RecordNode, // #0 = 'WebAssemblylocal_set' chained node
/* 12861*/  OPC_RecordChild1, // #1 = $local
/* 12862*/  OPC_MoveChild1,
/* 12863*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 12866*/  OPC_MoveParent,
/* 12867*/  OPC_RecordChild2, // #2 = $src
/* 12868*/  OPC_Scope, 8, /*->12878*/ // 14 children in Scope
/* 12870*/   OPC_CheckChild2TypeI32,
/* 12871*/   OPC_EmitMergeInputChains1_0,
/* 12872*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_I32),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, i32:{ *:[i32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_I32 (timm:{ *:[i32] }):$local, i32:{ *:[i32] }:$src)
/* 12878*/  /*Scope*/ 8, /*->12887*/
/* 12879*/   OPC_CheckChild2TypeI64,
/* 12880*/   OPC_EmitMergeInputChains1_0,
/* 12881*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_I64),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, i64:{ *:[i64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_I64 (timm:{ *:[i32] }):$local, i64:{ *:[i64] }:$src)
/* 12887*/  /*Scope*/ 9, /*->12897*/
/* 12888*/   OPC_CheckChild2Type, /*MVT::f32*/12, 
/* 12890*/   OPC_EmitMergeInputChains1_0,
/* 12891*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_F32),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, f32:{ *:[f32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_F32 (timm:{ *:[i32] }):$local, f32:{ *:[f32] }:$src)
/* 12897*/  /*Scope*/ 9, /*->12907*/
/* 12898*/   OPC_CheckChild2Type, /*MVT::f64*/13, 
/* 12900*/   OPC_EmitMergeInputChains1_0,
/* 12901*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_F64),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, f64:{ *:[f64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_F64 (timm:{ *:[i32] }):$local, f64:{ *:[f64] }:$src)
/* 12907*/  /*Scope*/ 10, /*->12918*/
/* 12908*/   OPC_CheckChild2Type, /*MVT::v8f16*/92, 
/* 12910*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12911*/   OPC_EmitMergeInputChains1_0,
/* 12912*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v8f16:{ *:[v8f16] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v8f16:{ *:[v8f16] }:$src)
/* 12918*/  /*Scope*/ 10, /*->12929*/
/* 12919*/   OPC_CheckChild2Type, /*MVT::v4f32*/111, 
/* 12921*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12922*/   OPC_EmitMergeInputChains1_0,
/* 12923*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v4f32:{ *:[v4f32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v4f32:{ *:[v4f32] }:$src)
/* 12929*/  /*Scope*/ 11, /*->12941*/
/* 12930*/   OPC_CheckChild2Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 12933*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12934*/   OPC_EmitMergeInputChains1_0,
/* 12935*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v2f64:{ *:[v2f64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v2f64:{ *:[v2f64] }:$src)
/* 12941*/  /*Scope*/ 10, /*->12952*/
/* 12942*/   OPC_CheckChild2Type, /*MVT::v2i64*/78, 
/* 12944*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12945*/   OPC_EmitMergeInputChains1_0,
/* 12946*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v2i64:{ *:[v2i64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v2i64:{ *:[v2i64] }:$src)
/* 12952*/  /*Scope*/ 10, /*->12963*/
/* 12953*/   OPC_CheckChild2Type, /*MVT::v4i32*/60, 
/* 12955*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12956*/   OPC_EmitMergeInputChains1_0,
/* 12957*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v4i32:{ *:[v4i32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v4i32:{ *:[v4i32] }:$src)
/* 12963*/  /*Scope*/ 10, /*->12974*/
/* 12964*/   OPC_CheckChild2Type, /*MVT::v16i8*/39, 
/* 12966*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12967*/   OPC_EmitMergeInputChains1_0,
/* 12968*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v16i8:{ *:[v16i8] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v16i8:{ *:[v16i8] }:$src)
/* 12974*/  /*Scope*/ 10, /*->12985*/
/* 12975*/   OPC_CheckChild2Type, /*MVT::v8i16*/50, 
/* 12977*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 12978*/   OPC_EmitMergeInputChains1_0,
/* 12979*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_V128),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v8i16:{ *:[v8i16] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v8i16:{ *:[v8i16] }:$src)
/* 12985*/  /*Scope*/ 11, /*->12997*/
/* 12986*/   OPC_CheckChild2Type, /*MVT::funcref*/99|128,1/*227*/, 
/* 12989*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 12990*/   OPC_EmitMergeInputChains1_0,
/* 12991*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_FUNCREF),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, funcref:{ *:[funcref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_FUNCREF (timm:{ *:[i32] }):$local, funcref:{ *:[funcref] }:$src)
/* 12997*/  /*Scope*/ 11, /*->13009*/
/* 12998*/   OPC_CheckChild2Type, /*MVT::externref*/100|128,1/*228*/, 
/* 13001*/   OPC_CheckPatternPredicate6, // (Subtarget->hasReferenceTypes())
/* 13002*/   OPC_EmitMergeInputChains1_0,
/* 13003*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_EXTERNREF),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, externref:{ *:[externref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_EXTERNREF (timm:{ *:[i32] }):$local, externref:{ *:[externref] }:$src)
/* 13009*/  /*Scope*/ 12, /*->13022*/
/* 13010*/   OPC_CheckChild2Type, /*MVT::exnref*/101|128,1/*229*/, 
/* 13013*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes())
/* 13015*/   OPC_EmitMergeInputChains1_0,
/* 13016*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::LOCAL_SET_EXNREF),
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, exnref:{ *:[exnref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_EXNREF (timm:{ *:[i32] }):$local, exnref:{ *:[exnref] }:$src)
/* 13022*/  0, /*End of Scope*/
/* 13023*/ /*SwitchOpcode*/ 0|128,1/*128*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->13155
/* 13027*/  OPC_RecordChild0, // #0 = $addr
/* 13028*/  OPC_MoveChild0,
/* 13029*/  OPC_SwitchOpcode /*3 cases */, 47, TARGET_VAL(ISD::TargetGlobalAddress),// ->13080
/* 13033*/   OPC_MoveParent,
/* 13034*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->13057
/* 13037*/    OPC_Scope, 8, /*->13047*/ // 2 children in Scope
/* 13039*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 13041*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (CONST_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 13047*/    /*Scope*/ 8, /*->13056*/
/* 13048*/     OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13050*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 13056*/    0, /*End of Scope*/
/* 13057*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->13079
/* 13059*/    OPC_Scope, 8, /*->13069*/ // 2 children in Scope
/* 13061*/     OPC_CheckPatternPredicate, 18, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 13063*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (CONST_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 13069*/    /*Scope*/ 8, /*->13078*/
/* 13070*/     OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13072*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 13078*/    0, /*End of Scope*/
/* 13079*/   0, // EndSwitchType
/* 13080*/  /*SwitchOpcode*/ 21, TARGET_VAL(ISD::TargetGlobalTLSAddress),// ->13104
/* 13083*/   OPC_MoveParent,
/* 13084*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13094
/* 13087*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 13088*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr)
/* 13094*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->13103
/* 13096*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 13097*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr)
/* 13103*/   0, // EndSwitchType
/* 13104*/  /*SwitchOpcode*/ 47, TARGET_VAL(ISD::TargetExternalSymbol),// ->13154
/* 13107*/   OPC_MoveParent,
/* 13108*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->13131
/* 13111*/    OPC_Scope, 8, /*->13121*/ // 2 children in Scope
/* 13113*/     OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13115*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 13121*/    /*Scope*/ 8, /*->13130*/
/* 13122*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 13124*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (CONST_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 13130*/    0, /*End of Scope*/
/* 13131*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->13153
/* 13133*/    OPC_Scope, 8, /*->13143*/ // 2 children in Scope
/* 13135*/     OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13137*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::GLOBAL_GET_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 13143*/    /*Scope*/ 8, /*->13152*/
/* 13144*/     OPC_CheckPatternPredicate, 18, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 13146*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (CONST_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 13152*/    0, /*End of Scope*/
/* 13153*/   0, // EndSwitchType
/* 13154*/  0, // EndSwitchOpcode
/* 13155*/ /*SwitchOpcode*/ 80, TARGET_VAL(WebAssemblyISD::WrapperREL),// ->13238
/* 13158*/  OPC_RecordChild0, // #0 = $addr
/* 13159*/  OPC_MoveChild0,
/* 13160*/  OPC_SwitchOpcode /*3 cases */, 23, TARGET_VAL(ISD::TargetGlobalAddress),// ->13187
/* 13164*/   OPC_MoveParent,
/* 13165*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->13176
/* 13168*/    OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13170*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 13176*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->13186
/* 13178*/    OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13180*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 13186*/   0, // EndSwitchType
/* 13187*/  /*SwitchOpcode*/ 21, TARGET_VAL(ISD::TargetGlobalTLSAddress),// ->13211
/* 13190*/   OPC_MoveParent,
/* 13191*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13201
/* 13194*/    OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 13195*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr)
/* 13201*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->13210
/* 13203*/    OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 13204*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr)
/* 13210*/   0, // EndSwitchType
/* 13211*/  /*SwitchOpcode*/ 23, TARGET_VAL(ISD::TargetExternalSymbol),// ->13237
/* 13214*/   OPC_MoveParent,
/* 13215*/   OPC_SwitchType /*2 cases */, 8, /*MVT::i32*/7, // ->13226
/* 13218*/    OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13220*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 13226*/   /*SwitchType*/ 8, /*MVT::i64*/8, // ->13236
/* 13228*/    OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 13230*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 13236*/   0, // EndSwitchType
/* 13237*/  0, // EndSwitchOpcode
/* 13238*/ /*SwitchOpcode*/ 47, TARGET_VAL(WebAssemblyISD::MEMSET),// ->13288
/* 13241*/  OPC_RecordNode, // #0 = 'wasm_memset' chained node
/* 13242*/  OPC_RecordChild1, // #1 = $idx
/* 13243*/  OPC_MoveChild1,
/* 13244*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 13247*/  OPC_CheckTypeI32,
/* 13248*/  OPC_MoveParent,
/* 13249*/  OPC_RecordChild2, // #2 = $dst
/* 13250*/  OPC_Scope, 17, /*->13269*/ // 2 children in Scope
/* 13252*/   OPC_CheckChild2TypeI32,
/* 13253*/   OPC_RecordChild3, // #3 = $value
/* 13254*/   OPC_CheckChild3TypeI32,
/* 13255*/   OPC_RecordChild4, // #4 = $size
/* 13256*/   OPC_CheckChild4TypeI32,
/* 13257*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemoryOpt())
/* 13259*/   OPC_EmitMergeInputChains1_0,
/* 13260*/   OPC_EmitConvertToTarget1, // #5
/* 13261*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::MEMSET_A32),
                 4/*#Ops*/, 5, 2, 3, 4, 
             // Src: (wasm_memset (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$value, I32:{ *:[i32] }:$size) - Complexity = 6
             // Dst: (MEMSET_A32 (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$value, I32:{ *:[i32] }:$size)
/* 13269*/  /*Scope*/ 17, /*->13287*/
/* 13270*/   OPC_CheckChild2TypeI64,
/* 13271*/   OPC_RecordChild3, // #3 = $value
/* 13272*/   OPC_CheckChild3TypeI32,
/* 13273*/   OPC_RecordChild4, // #4 = $size
/* 13274*/   OPC_CheckChild4TypeI64,
/* 13275*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemoryOpt())
/* 13277*/   OPC_EmitMergeInputChains1_0,
/* 13278*/   OPC_EmitConvertToTarget1, // #5
/* 13279*/   OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::MEMSET_A64),
                 4/*#Ops*/, 5, 2, 3, 4, 
             // Src: (wasm_memset (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$dst, I32:{ *:[i32] }:$value, I64:{ *:[i64] }:$size) - Complexity = 6
             // Dst: (MEMSET_A64 (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$dst, I32:{ *:[i32] }:$value, I64:{ *:[i64] }:$size)
/* 13287*/  0, /*End of Scope*/
/* 13288*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::Constant),// ->13312
/* 13291*/  OPC_RecordNode, // #0 = $imm
/* 13292*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13302
/* 13295*/   OPC_EmitConvertToTarget0, // #1
/* 13296*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 1, 
             // Src: (imm:{ *:[i32] }):$imm - Complexity = 3
             // Dst: (CONST_I32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
/* 13302*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->13311
/* 13304*/   OPC_EmitConvertToTarget0, // #1
/* 13305*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 1, 
             // Src: (imm:{ *:[i64] }):$imm - Complexity = 3
             // Dst: (CONST_I64:{ *:[i64] } (imm:{ *:[i64] }):$imm)
/* 13311*/  0, // EndSwitchType
/* 13312*/ /*SwitchOpcode*/ 13, TARGET_VAL(ISD::BR),// ->13328
/* 13315*/  OPC_RecordNode, // #0 = 'br' chained node
/* 13316*/  OPC_RecordChild1, // #1 = $dst
/* 13317*/  OPC_MoveChild1,
/* 13318*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 13321*/  OPC_MoveParent,
/* 13322*/  OPC_EmitMergeInputChains1_0,
/* 13323*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::BR),
                1/*#Ops*/, 1, 
            // Src: (br (bb:{ *:[Other] }):$dst) - Complexity = 3
            // Dst: (BR (bb:{ *:[Other] }):$dst)
/* 13328*/ /*SwitchOpcode*/ 22, TARGET_VAL(WebAssemblyISD::BR_TABLE),// ->13353
/* 13331*/  OPC_RecordNode, // #0 = 'WebAssemblybr_table' chained node
/* 13332*/  OPC_RecordChild1, // #1 = $index
/* 13333*/  OPC_Scope, 8, /*->13343*/ // 2 children in Scope
/* 13335*/   OPC_CheckChild1TypeI32,
/* 13336*/   OPC_EmitMergeInputChains1_0,
/* 13337*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_TABLE_I32), 0|OPFL_Chain|OPFL_Variadic1,
                 1/*#Ops*/, 1, 
             // Src: (WebAssemblybr_table I32:{ *:[i32] }:$index) - Complexity = 3
             // Dst: (BR_TABLE_I32 I32:{ *:[i32] }:$index)
/* 13343*/  /*Scope*/ 8, /*->13352*/
/* 13344*/   OPC_CheckChild1TypeI64,
/* 13345*/   OPC_EmitMergeInputChains1_0,
/* 13346*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_TABLE_I64), 0|OPFL_Chain|OPFL_Variadic1,
                 1/*#Ops*/, 1, 
             // Src: (WebAssemblybr_table I64:{ *:[i64] }:$index) - Complexity = 3
             // Dst: (BR_TABLE_I64 I64:{ *:[i64] }:$index)
/* 13352*/  0, /*End of Scope*/
/* 13353*/ /*SwitchOpcode*/ 7, TARGET_VAL(WebAssemblyISD::RETURN),// ->13363
/* 13356*/  OPC_RecordNode, // #0 = 'WebAssemblyreturn' chained node
/* 13357*/  OPC_EmitMergeInputChains1_0,
/* 13358*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::RETURN), 0|OPFL_Chain|OPFL_Variadic0,
                0/*#Ops*/, 
            // Src: (WebAssemblyreturn) - Complexity = 3
            // Dst: (RETURN)
/* 13363*/ /*SwitchOpcode*/ 6, TARGET_VAL(ISD::TRAP),// ->13372
/* 13366*/  OPC_RecordNode, // #0 = 'trap' chained node
/* 13367*/  OPC_EmitMergeInputChains1_0,
/* 13368*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::UNREACHABLE),
                0/*#Ops*/, 
            // Src: (trap) - Complexity = 3
            // Dst: (UNREACHABLE)
/* 13372*/ /*SwitchOpcode*/ 6, TARGET_VAL(ISD::DEBUGTRAP),// ->13381
/* 13375*/  OPC_RecordNode, // #0 = 'debugtrap' chained node
/* 13376*/  OPC_EmitMergeInputChains1_0,
/* 13377*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::DEBUG_UNREACHABLE),
                0/*#Ops*/, 
            // Src: (debugtrap) - Complexity = 3
            // Dst: (DEBUG_UNREACHABLE)
/* 13381*/ /*SwitchOpcode*/ 15, TARGET_VAL(ISD::CLEANUPRET),// ->13399
/* 13384*/  OPC_RecordNode, // #0 = 'cleanupret' chained node
/* 13385*/  OPC_RecordChild1, // #1 = $ehpad
/* 13386*/  OPC_MoveChild1,
/* 13387*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 13390*/  OPC_MoveParent,
/* 13391*/  OPC_CheckPatternPredicate, 19, // (Subtarget->hasExceptionHandling())
/* 13393*/  OPC_EmitMergeInputChains1_0,
/* 13394*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::CLEANUPRET),
                1/*#Ops*/, 1, 
            // Src: (cleanupret (bb:{ *:[Other] }):$ehpad) - Complexity = 3
            // Dst: (CLEANUPRET (bb:{ *:[Other] }):$ehpad)
/* 13399*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::CATCHRET),// ->13423
/* 13402*/  OPC_RecordNode, // #0 = 'catchret' chained node
/* 13403*/  OPC_RecordChild1, // #1 = $dst
/* 13404*/  OPC_MoveChild1,
/* 13405*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 13408*/  OPC_MoveSibling2,
/* 13409*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 13412*/  OPC_RecordNode, // #2 = $from
/* 13413*/  OPC_MoveParent,
/* 13414*/  OPC_CheckPatternPredicate, 19, // (Subtarget->hasExceptionHandling())
/* 13416*/  OPC_EmitMergeInputChains1_0,
/* 13417*/  OPC_MorphNodeTo0Chain, TARGET_VAL(WebAssembly::CATCHRET),
                2/*#Ops*/, 1, 2, 
            // Src: (catchret (bb:{ *:[Other] }):$dst, (bb:{ *:[Other] }):$from) - Complexity = 3
            // Dst: (CATCHRET (bb:{ *:[Other] }):$dst, (bb:{ *:[Other] }):$from)
/* 13423*/ /*SwitchOpcode*/ 62, TARGET_VAL(ISD::ADD),// ->13488
/* 13426*/  OPC_RecordChild0, // #0 = $lhs
/* 13427*/  OPC_RecordChild1, // #1 = $rhs
/* 13428*/  OPC_SwitchType /*6 cases */, 7, /*MVT::i32*/7, // ->13438
/* 13431*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (ADD_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13438*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->13447
/* 13440*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (ADD_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13447*/  /*SwitchType*/ 8, /*MVT::v16i8*/39, // ->13457
/* 13449*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13450*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13457*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->13467
/* 13459*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13460*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13467*/  /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->13477
/* 13469*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13470*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I32x4),
                 /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (ADD_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13477*/  /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->13487
/* 13479*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13480*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_I64x2),
                 /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
             // Dst: (ADD_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 13487*/  0, // EndSwitchType
/* 13488*/ /*SwitchOpcode*/ 113, TARGET_VAL(ISD::SUB),// ->13604
/* 13491*/  OPC_Scope, 22, /*->13515*/ // 3 children in Scope
/* 13493*/   OPC_RecordChild0, // #0 = $lhs
/* 13494*/   OPC_RecordChild1, // #1 = $rhs
/* 13495*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13505
/* 13498*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SUB_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13505*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->13514
/* 13507*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SUB_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13514*/   0, // EndSwitchType
/* 13515*/  /*Scope*/ 42, /*->13558*/
/* 13516*/   OPC_MoveChild0,
/* 13517*/   OPC_CheckImmAllZerosV,
/* 13518*/   OPC_MoveParent,
/* 13519*/   OPC_RecordChild1, // #0 = $v
/* 13520*/   OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/39, // ->13530
/* 13523*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13524*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_I8x16),
                  /*MVT::v16i8*/39, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$v) - Complexity = 7
              // Dst: (NEG_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 13530*/   /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->13539
/* 13532*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13533*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_I16x8),
                  /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$v) - Complexity = 7
              // Dst: (NEG_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$v)
/* 13539*/   /*SwitchType*/ 7, /*MVT::v4i32*/60, // ->13548
/* 13541*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13542*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_I32x4),
                  /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$v) - Complexity = 7
              // Dst: (NEG_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$v)
/* 13548*/   /*SwitchType*/ 7, /*MVT::v2i64*/78, // ->13557
/* 13550*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13551*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_I64x2),
                  /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$v) - Complexity = 7
              // Dst: (NEG_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$v)
/* 13557*/   0, // EndSwitchType
/* 13558*/  /*Scope*/ 44, /*->13603*/
/* 13559*/   OPC_RecordChild0, // #0 = $lhs
/* 13560*/   OPC_RecordChild1, // #1 = $rhs
/* 13561*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->13572
/* 13564*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13565*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I8x16),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (SUB_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13572*/   /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->13582
/* 13574*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13575*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I16x8),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (SUB_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13582*/   /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->13592
/* 13584*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13585*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I32x4),
                  /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (SUB_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13592*/   /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->13602
/* 13594*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13595*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_I64x2),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (SUB_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 13602*/   0, // EndSwitchType
/* 13603*/  0, /*End of Scope*/
/* 13604*/ /*SwitchOpcode*/ 85|128,2/*341*/, TARGET_VAL(ISD::MUL),// ->13949
/* 13608*/  OPC_Scope, 22, /*->13632*/ // 3 children in Scope
/* 13610*/   OPC_RecordChild0, // #0 = $lhs
/* 13611*/   OPC_RecordChild1, // #1 = $rhs
/* 13612*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13622
/* 13615*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (MUL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13622*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->13631
/* 13624*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (MUL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13631*/   0, // EndSwitchType
/* 13632*/  /*Scope*/ 23|128,2/*279*/, /*->13913*/
/* 13634*/   OPC_MoveChild0,
/* 13635*/   OPC_SwitchOpcode /*4 cases */, 66, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),// ->13705
/* 13639*/    OPC_RecordChild0, // #0 = $lhs
/* 13640*/    OPC_Scope, 20, /*->13662*/ // 3 children in Scope
/* 13642*/     OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 13644*/     OPC_MoveSibling1,
/* 13645*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 13648*/     OPC_RecordChild0, // #1 = $rhs
/* 13649*/     OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 13651*/     OPC_MoveParent,
/* 13652*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 13654*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13655*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13662*/    /*Scope*/ 20, /*->13683*/
/* 13663*/     OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 13665*/     OPC_MoveSibling1,
/* 13666*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 13669*/     OPC_RecordChild0, // #1 = $rhs
/* 13670*/     OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 13672*/     OPC_MoveParent,
/* 13673*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 13675*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13676*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I32x4),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13683*/    /*Scope*/ 20, /*->13704*/
/* 13684*/     OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 13686*/     OPC_MoveSibling1,
/* 13687*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 13690*/     OPC_RecordChild0, // #1 = $rhs
/* 13691*/     OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 13693*/     OPC_MoveParent,
/* 13694*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 13696*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13697*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13704*/    0, /*End of Scope*/
/* 13705*/   /*SwitchOpcode*/ 66, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),// ->13774
/* 13708*/    OPC_RecordChild0, // #0 = $lhs
/* 13709*/    OPC_Scope, 20, /*->13731*/ // 3 children in Scope
/* 13711*/     OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 13713*/     OPC_MoveSibling1,
/* 13714*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 13717*/     OPC_RecordChild0, // #1 = $rhs
/* 13718*/     OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 13720*/     OPC_MoveParent,
/* 13721*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 13723*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13724*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13731*/    /*Scope*/ 20, /*->13752*/
/* 13732*/     OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 13734*/     OPC_MoveSibling1,
/* 13735*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 13738*/     OPC_RecordChild0, // #1 = $rhs
/* 13739*/     OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 13741*/     OPC_MoveParent,
/* 13742*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 13744*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13745*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I32x4),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13752*/    /*Scope*/ 20, /*->13773*/
/* 13753*/     OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 13755*/     OPC_MoveSibling1,
/* 13756*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 13759*/     OPC_RecordChild0, // #1 = $rhs
/* 13760*/     OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 13762*/     OPC_MoveParent,
/* 13763*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 13765*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13766*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13773*/    0, /*End of Scope*/
/* 13774*/   /*SwitchOpcode*/ 66, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),// ->13843
/* 13777*/    OPC_RecordChild0, // #0 = $lhs
/* 13778*/    OPC_Scope, 20, /*->13800*/ // 3 children in Scope
/* 13780*/     OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 13782*/     OPC_MoveSibling1,
/* 13783*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 13786*/     OPC_RecordChild0, // #1 = $rhs
/* 13787*/     OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 13789*/     OPC_MoveParent,
/* 13790*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 13792*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13793*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13800*/    /*Scope*/ 20, /*->13821*/
/* 13801*/     OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 13803*/     OPC_MoveSibling1,
/* 13804*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 13807*/     OPC_RecordChild0, // #1 = $rhs
/* 13808*/     OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 13810*/     OPC_MoveParent,
/* 13811*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 13813*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13814*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I32x4),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13821*/    /*Scope*/ 20, /*->13842*/
/* 13822*/     OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 13824*/     OPC_MoveSibling1,
/* 13825*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 13828*/     OPC_RecordChild0, // #1 = $rhs
/* 13829*/     OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 13831*/     OPC_MoveParent,
/* 13832*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 13834*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13835*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13842*/    0, /*End of Scope*/
/* 13843*/   /*SwitchOpcode*/ 66, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),// ->13912
/* 13846*/    OPC_RecordChild0, // #0 = $lhs
/* 13847*/    OPC_Scope, 20, /*->13869*/ // 3 children in Scope
/* 13849*/     OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 13851*/     OPC_MoveSibling1,
/* 13852*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 13855*/     OPC_RecordChild0, // #1 = $rhs
/* 13856*/     OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 13858*/     OPC_MoveParent,
/* 13859*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 13861*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13862*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 13869*/    /*Scope*/ 20, /*->13890*/
/* 13870*/     OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 13872*/     OPC_MoveSibling1,
/* 13873*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 13876*/     OPC_RecordChild0, // #1 = $rhs
/* 13877*/     OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 13879*/     OPC_MoveParent,
/* 13880*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 13882*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13883*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I32x4),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13890*/    /*Scope*/ 20, /*->13911*/
/* 13891*/     OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 13893*/     OPC_MoveSibling1,
/* 13894*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 13897*/     OPC_RecordChild0, // #1 = $rhs
/* 13898*/     OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 13900*/     OPC_MoveParent,
/* 13901*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 13903*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13904*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13911*/    0, /*End of Scope*/
/* 13912*/   0, // EndSwitchOpcode
/* 13913*/  /*Scope*/ 34, /*->13948*/
/* 13914*/   OPC_RecordChild0, // #0 = $lhs
/* 13915*/   OPC_RecordChild1, // #1 = $rhs
/* 13916*/   OPC_SwitchType /*3 cases */, 8, /*MVT::v8i16*/50, // ->13927
/* 13919*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13920*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I16x8),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (MUL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 13927*/   /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->13937
/* 13929*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13930*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I32x4),
                  /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (MUL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 13937*/   /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->13947
/* 13939*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 13940*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_I64x2),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (MUL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 13947*/   0, // EndSwitchType
/* 13948*/  0, /*End of Scope*/
/* 13949*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::SDIV),// ->13974
/* 13952*/  OPC_RecordChild0, // #0 = $lhs
/* 13953*/  OPC_RecordChild1, // #1 = $rhs
/* 13954*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13964
/* 13957*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_S_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (sdiv:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (DIV_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13964*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->13973
/* 13966*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_S_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (sdiv:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (DIV_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13973*/  0, // EndSwitchType
/* 13974*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::UDIV),// ->13999
/* 13977*/  OPC_RecordChild0, // #0 = $lhs
/* 13978*/  OPC_RecordChild1, // #1 = $rhs
/* 13979*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->13989
/* 13982*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_U_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (udiv:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (DIV_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13989*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->13998
/* 13991*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_U_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (udiv:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (DIV_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13998*/  0, // EndSwitchType
/* 13999*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::SREM),// ->14024
/* 14002*/  OPC_RecordChild0, // #0 = $lhs
/* 14003*/  OPC_RecordChild1, // #1 = $rhs
/* 14004*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->14014
/* 14007*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REM_S_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (srem:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (REM_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 14014*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->14023
/* 14016*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REM_S_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (srem:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (REM_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 14023*/  0, // EndSwitchType
/* 14024*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::UREM),// ->14049
/* 14027*/  OPC_RecordChild0, // #0 = $lhs
/* 14028*/  OPC_RecordChild1, // #1 = $rhs
/* 14029*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->14039
/* 14032*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REM_U_I32),
                 /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
             // Src: (urem:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (REM_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 14039*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->14048
/* 14041*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REM_U_I64),
                 /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
             // Src: (urem:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (REM_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 14048*/  0, // EndSwitchType
/* 14049*/ /*SwitchOpcode*/ 56|128,6/*824*/, TARGET_VAL(ISD::OR),// ->14877
/* 14053*/  OPC_Scope, 22, /*->14077*/ // 3 children in Scope
/* 14055*/   OPC_RecordChild0, // #0 = $lhs
/* 14056*/   OPC_RecordChild1, // #1 = $rhs
/* 14057*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->14067
/* 14060*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (OR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 14067*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->14076
/* 14069*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (OR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 14076*/   0, // EndSwitchType
/* 14077*/  /*Scope*/ 116|128,5/*756*/, /*->14835*/
/* 14079*/   OPC_MoveChild0,
/* 14080*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14083*/   OPC_Scope, 4|128,1/*132*/, /*->14218*/ // 9 children in Scope
/* 14086*/    OPC_RecordChild0, // #0 = $c
/* 14087*/    OPC_RecordChild1, // #1 = $v1
/* 14088*/    OPC_MoveSibling1,
/* 14089*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14092*/    OPC_Scope, 54, /*->14148*/ // 4 children in Scope
/* 14094*/     OPC_MoveChild0,
/* 14095*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14098*/     OPC_CheckChild0Same, 0,
/* 14100*/     OPC_MoveChild1,
/* 14101*/     OPC_CheckImmAllOnesV,
/* 14102*/     OPC_MoveParent,
/* 14103*/     OPC_MoveParent,
/* 14104*/     OPC_RecordChild1, // #2 = $v2
/* 14105*/     OPC_MoveParent,
/* 14106*/     OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->14117
/* 14109*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/39, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14117*/     /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->14127
/* 14119*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/50, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14127*/     /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->14137
/* 14129*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/60, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14137*/     /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->14147
/* 14139*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/78, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14147*/     0, // EndSwitchType
/* 14148*/    /*Scope*/ 22, /*->14171*/
/* 14149*/     OPC_RecordChild0, // #2 = $v2
/* 14150*/     OPC_MoveChild1,
/* 14151*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14154*/     OPC_CheckChild0Same, 0,
/* 14156*/     OPC_MoveChild1,
/* 14157*/     OPC_CheckImmAllOnesV,
/* 14158*/     OPC_MoveParent,
/* 14159*/     OPC_MoveParent,
/* 14160*/     OPC_MoveParent,
/* 14161*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 14163*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 1, 2, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14171*/    /*Scope*/ 22, /*->14194*/
/* 14172*/     OPC_MoveChild0,
/* 14173*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14176*/     OPC_CheckChild0Same, 1,
/* 14178*/     OPC_MoveChild1,
/* 14179*/     OPC_CheckImmAllOnesV,
/* 14180*/     OPC_MoveParent,
/* 14181*/     OPC_MoveParent,
/* 14182*/     OPC_RecordChild1, // #2 = $v2
/* 14183*/     OPC_MoveParent,
/* 14184*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 14186*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 0, 2, 1, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14194*/    /*Scope*/ 22, /*->14217*/
/* 14195*/     OPC_RecordChild0, // #2 = $v2
/* 14196*/     OPC_MoveChild1,
/* 14197*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14200*/     OPC_CheckChild0Same, 1,
/* 14202*/     OPC_MoveChild1,
/* 14203*/     OPC_CheckImmAllOnesV,
/* 14204*/     OPC_MoveParent,
/* 14205*/     OPC_MoveParent,
/* 14206*/     OPC_MoveParent,
/* 14207*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 14209*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 0, 2, 1, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14217*/    0, /*End of Scope*/
/* 14218*/   /*Scope*/ 46, /*->14265*/
/* 14219*/    OPC_MoveChild0,
/* 14220*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14223*/    OPC_RecordChild0, // #0 = $c
/* 14224*/    OPC_MoveChild1,
/* 14225*/    OPC_CheckImmAllOnesV,
/* 14226*/    OPC_MoveParent,
/* 14227*/    OPC_MoveParent,
/* 14228*/    OPC_RecordChild1, // #1 = $v2
/* 14229*/    OPC_MoveSibling1,
/* 14230*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14233*/    OPC_Scope, 14, /*->14249*/ // 2 children in Scope
/* 14235*/     OPC_CheckChild0Same, 0,
/* 14237*/     OPC_RecordChild1, // #2 = $v1
/* 14238*/     OPC_MoveParent,
/* 14239*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 14241*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14249*/    /*Scope*/ 14, /*->14264*/
/* 14250*/     OPC_RecordChild0, // #2 = $v1
/* 14251*/     OPC_CheckChild1Same, 0,
/* 14253*/     OPC_MoveParent,
/* 14254*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 14256*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14264*/    0, /*End of Scope*/
/* 14265*/   /*Scope*/ 126, /*->14392*/
/* 14266*/    OPC_RecordChild0, // #0 = $v2
/* 14267*/    OPC_Scope, 45, /*->14314*/ // 2 children in Scope
/* 14269*/     OPC_MoveChild1,
/* 14270*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14273*/     OPC_RecordChild0, // #1 = $c
/* 14274*/     OPC_MoveChild1,
/* 14275*/     OPC_CheckImmAllOnesV,
/* 14276*/     OPC_MoveParent,
/* 14277*/     OPC_MoveParent,
/* 14278*/     OPC_MoveSibling1,
/* 14279*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14282*/     OPC_Scope, 14, /*->14298*/ // 2 children in Scope
/* 14284*/      OPC_CheckChild0Same, 1,
/* 14286*/      OPC_RecordChild1, // #2 = $v1
/* 14287*/      OPC_MoveParent,
/* 14288*/      OPC_CheckType, /*MVT::v16i8*/39, 
/* 14290*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/39, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14298*/     /*Scope*/ 14, /*->14313*/
/* 14299*/      OPC_RecordChild0, // #2 = $v1
/* 14300*/      OPC_CheckChild1Same, 1,
/* 14302*/      OPC_MoveParent,
/* 14303*/      OPC_CheckType, /*MVT::v16i8*/39, 
/* 14305*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/39, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 14313*/     0, /*End of Scope*/
/* 14314*/    /*Scope*/ 76, /*->14391*/
/* 14315*/     OPC_RecordChild1, // #1 = $v1
/* 14316*/     OPC_MoveSibling1,
/* 14317*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14320*/     OPC_Scope, 22, /*->14344*/ // 3 children in Scope
/* 14322*/      OPC_RecordChild0, // #2 = $v2
/* 14323*/      OPC_MoveChild1,
/* 14324*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14327*/      OPC_CheckChild0Same, 0,
/* 14329*/      OPC_MoveChild1,
/* 14330*/      OPC_CheckImmAllOnesV,
/* 14331*/      OPC_MoveParent,
/* 14332*/      OPC_MoveParent,
/* 14333*/      OPC_MoveParent,
/* 14334*/      OPC_CheckType, /*MVT::v8i16*/50, 
/* 14336*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/50, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14344*/     /*Scope*/ 22, /*->14367*/
/* 14345*/      OPC_MoveChild0,
/* 14346*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14349*/      OPC_CheckChild0Same, 1,
/* 14351*/      OPC_MoveChild1,
/* 14352*/      OPC_CheckImmAllOnesV,
/* 14353*/      OPC_MoveParent,
/* 14354*/      OPC_MoveParent,
/* 14355*/      OPC_RecordChild1, // #2 = $v2
/* 14356*/      OPC_MoveParent,
/* 14357*/      OPC_CheckType, /*MVT::v8i16*/50, 
/* 14359*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/50, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14367*/     /*Scope*/ 22, /*->14390*/
/* 14368*/      OPC_RecordChild0, // #2 = $v2
/* 14369*/      OPC_MoveChild1,
/* 14370*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14373*/      OPC_CheckChild0Same, 1,
/* 14375*/      OPC_MoveChild1,
/* 14376*/      OPC_CheckImmAllOnesV,
/* 14377*/      OPC_MoveParent,
/* 14378*/      OPC_MoveParent,
/* 14379*/      OPC_MoveParent,
/* 14380*/      OPC_CheckType, /*MVT::v8i16*/50, 
/* 14382*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/50, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14390*/     0, /*End of Scope*/
/* 14391*/    0, /*End of Scope*/
/* 14392*/   /*Scope*/ 46, /*->14439*/
/* 14393*/    OPC_MoveChild0,
/* 14394*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14397*/    OPC_RecordChild0, // #0 = $c
/* 14398*/    OPC_MoveChild1,
/* 14399*/    OPC_CheckImmAllOnesV,
/* 14400*/    OPC_MoveParent,
/* 14401*/    OPC_MoveParent,
/* 14402*/    OPC_RecordChild1, // #1 = $v2
/* 14403*/    OPC_MoveSibling1,
/* 14404*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14407*/    OPC_Scope, 14, /*->14423*/ // 2 children in Scope
/* 14409*/     OPC_CheckChild0Same, 0,
/* 14411*/     OPC_RecordChild1, // #2 = $v1
/* 14412*/     OPC_MoveParent,
/* 14413*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 14415*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14423*/    /*Scope*/ 14, /*->14438*/
/* 14424*/     OPC_RecordChild0, // #2 = $v1
/* 14425*/     OPC_CheckChild1Same, 0,
/* 14427*/     OPC_MoveParent,
/* 14428*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 14430*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14438*/    0, /*End of Scope*/
/* 14439*/   /*Scope*/ 126, /*->14566*/
/* 14440*/    OPC_RecordChild0, // #0 = $v2
/* 14441*/    OPC_Scope, 45, /*->14488*/ // 2 children in Scope
/* 14443*/     OPC_MoveChild1,
/* 14444*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14447*/     OPC_RecordChild0, // #1 = $c
/* 14448*/     OPC_MoveChild1,
/* 14449*/     OPC_CheckImmAllOnesV,
/* 14450*/     OPC_MoveParent,
/* 14451*/     OPC_MoveParent,
/* 14452*/     OPC_MoveSibling1,
/* 14453*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14456*/     OPC_Scope, 14, /*->14472*/ // 2 children in Scope
/* 14458*/      OPC_CheckChild0Same, 1,
/* 14460*/      OPC_RecordChild1, // #2 = $v1
/* 14461*/      OPC_MoveParent,
/* 14462*/      OPC_CheckType, /*MVT::v8i16*/50, 
/* 14464*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/50, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14472*/     /*Scope*/ 14, /*->14487*/
/* 14473*/      OPC_RecordChild0, // #2 = $v1
/* 14474*/      OPC_CheckChild1Same, 1,
/* 14476*/      OPC_MoveParent,
/* 14477*/      OPC_CheckType, /*MVT::v8i16*/50, 
/* 14479*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/50, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 14487*/     0, /*End of Scope*/
/* 14488*/    /*Scope*/ 76, /*->14565*/
/* 14489*/     OPC_RecordChild1, // #1 = $v1
/* 14490*/     OPC_MoveSibling1,
/* 14491*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14494*/     OPC_Scope, 22, /*->14518*/ // 3 children in Scope
/* 14496*/      OPC_RecordChild0, // #2 = $v2
/* 14497*/      OPC_MoveChild1,
/* 14498*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14501*/      OPC_CheckChild0Same, 0,
/* 14503*/      OPC_MoveChild1,
/* 14504*/      OPC_CheckImmAllOnesV,
/* 14505*/      OPC_MoveParent,
/* 14506*/      OPC_MoveParent,
/* 14507*/      OPC_MoveParent,
/* 14508*/      OPC_CheckType, /*MVT::v4i32*/60, 
/* 14510*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/60, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14518*/     /*Scope*/ 22, /*->14541*/
/* 14519*/      OPC_MoveChild0,
/* 14520*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14523*/      OPC_CheckChild0Same, 1,
/* 14525*/      OPC_MoveChild1,
/* 14526*/      OPC_CheckImmAllOnesV,
/* 14527*/      OPC_MoveParent,
/* 14528*/      OPC_MoveParent,
/* 14529*/      OPC_RecordChild1, // #2 = $v2
/* 14530*/      OPC_MoveParent,
/* 14531*/      OPC_CheckType, /*MVT::v4i32*/60, 
/* 14533*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/60, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14541*/     /*Scope*/ 22, /*->14564*/
/* 14542*/      OPC_RecordChild0, // #2 = $v2
/* 14543*/      OPC_MoveChild1,
/* 14544*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14547*/      OPC_CheckChild0Same, 1,
/* 14549*/      OPC_MoveChild1,
/* 14550*/      OPC_CheckImmAllOnesV,
/* 14551*/      OPC_MoveParent,
/* 14552*/      OPC_MoveParent,
/* 14553*/      OPC_MoveParent,
/* 14554*/      OPC_CheckType, /*MVT::v4i32*/60, 
/* 14556*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/60, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14564*/     0, /*End of Scope*/
/* 14565*/    0, /*End of Scope*/
/* 14566*/   /*Scope*/ 46, /*->14613*/
/* 14567*/    OPC_MoveChild0,
/* 14568*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14571*/    OPC_RecordChild0, // #0 = $c
/* 14572*/    OPC_MoveChild1,
/* 14573*/    OPC_CheckImmAllOnesV,
/* 14574*/    OPC_MoveParent,
/* 14575*/    OPC_MoveParent,
/* 14576*/    OPC_RecordChild1, // #1 = $v2
/* 14577*/    OPC_MoveSibling1,
/* 14578*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14581*/    OPC_Scope, 14, /*->14597*/ // 2 children in Scope
/* 14583*/     OPC_CheckChild0Same, 0,
/* 14585*/     OPC_RecordChild1, // #2 = $v1
/* 14586*/     OPC_MoveParent,
/* 14587*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 14589*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14597*/    /*Scope*/ 14, /*->14612*/
/* 14598*/     OPC_RecordChild0, // #2 = $v1
/* 14599*/     OPC_CheckChild1Same, 0,
/* 14601*/     OPC_MoveParent,
/* 14602*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 14604*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14612*/    0, /*End of Scope*/
/* 14613*/   /*Scope*/ 126, /*->14740*/
/* 14614*/    OPC_RecordChild0, // #0 = $v2
/* 14615*/    OPC_Scope, 45, /*->14662*/ // 2 children in Scope
/* 14617*/     OPC_MoveChild1,
/* 14618*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14621*/     OPC_RecordChild0, // #1 = $c
/* 14622*/     OPC_MoveChild1,
/* 14623*/     OPC_CheckImmAllOnesV,
/* 14624*/     OPC_MoveParent,
/* 14625*/     OPC_MoveParent,
/* 14626*/     OPC_MoveSibling1,
/* 14627*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14630*/     OPC_Scope, 14, /*->14646*/ // 2 children in Scope
/* 14632*/      OPC_CheckChild0Same, 1,
/* 14634*/      OPC_RecordChild1, // #2 = $v1
/* 14635*/      OPC_MoveParent,
/* 14636*/      OPC_CheckType, /*MVT::v4i32*/60, 
/* 14638*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/60, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14646*/     /*Scope*/ 14, /*->14661*/
/* 14647*/      OPC_RecordChild0, // #2 = $v1
/* 14648*/      OPC_CheckChild1Same, 1,
/* 14650*/      OPC_MoveParent,
/* 14651*/      OPC_CheckType, /*MVT::v4i32*/60, 
/* 14653*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/60, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 14661*/     0, /*End of Scope*/
/* 14662*/    /*Scope*/ 76, /*->14739*/
/* 14663*/     OPC_RecordChild1, // #1 = $v1
/* 14664*/     OPC_MoveSibling1,
/* 14665*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14668*/     OPC_Scope, 22, /*->14692*/ // 3 children in Scope
/* 14670*/      OPC_RecordChild0, // #2 = $v2
/* 14671*/      OPC_MoveChild1,
/* 14672*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14675*/      OPC_CheckChild0Same, 0,
/* 14677*/      OPC_MoveChild1,
/* 14678*/      OPC_CheckImmAllOnesV,
/* 14679*/      OPC_MoveParent,
/* 14680*/      OPC_MoveParent,
/* 14681*/      OPC_MoveParent,
/* 14682*/      OPC_CheckType, /*MVT::v2i64*/78, 
/* 14684*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/78, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14692*/     /*Scope*/ 22, /*->14715*/
/* 14693*/      OPC_MoveChild0,
/* 14694*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14697*/      OPC_CheckChild0Same, 1,
/* 14699*/      OPC_MoveChild1,
/* 14700*/      OPC_CheckImmAllOnesV,
/* 14701*/      OPC_MoveParent,
/* 14702*/      OPC_MoveParent,
/* 14703*/      OPC_RecordChild1, // #2 = $v2
/* 14704*/      OPC_MoveParent,
/* 14705*/      OPC_CheckType, /*MVT::v2i64*/78, 
/* 14707*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/78, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14715*/     /*Scope*/ 22, /*->14738*/
/* 14716*/      OPC_RecordChild0, // #2 = $v2
/* 14717*/      OPC_MoveChild1,
/* 14718*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14721*/      OPC_CheckChild0Same, 1,
/* 14723*/      OPC_MoveChild1,
/* 14724*/      OPC_CheckImmAllOnesV,
/* 14725*/      OPC_MoveParent,
/* 14726*/      OPC_MoveParent,
/* 14727*/      OPC_MoveParent,
/* 14728*/      OPC_CheckType, /*MVT::v2i64*/78, 
/* 14730*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/78, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14738*/     0, /*End of Scope*/
/* 14739*/    0, /*End of Scope*/
/* 14740*/   /*Scope*/ 46, /*->14787*/
/* 14741*/    OPC_MoveChild0,
/* 14742*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14745*/    OPC_RecordChild0, // #0 = $c
/* 14746*/    OPC_MoveChild1,
/* 14747*/    OPC_CheckImmAllOnesV,
/* 14748*/    OPC_MoveParent,
/* 14749*/    OPC_MoveParent,
/* 14750*/    OPC_RecordChild1, // #1 = $v2
/* 14751*/    OPC_MoveSibling1,
/* 14752*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14755*/    OPC_Scope, 14, /*->14771*/ // 2 children in Scope
/* 14757*/     OPC_CheckChild0Same, 0,
/* 14759*/     OPC_RecordChild1, // #2 = $v1
/* 14760*/     OPC_MoveParent,
/* 14761*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 14763*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14771*/    /*Scope*/ 14, /*->14786*/
/* 14772*/     OPC_RecordChild0, // #2 = $v1
/* 14773*/     OPC_CheckChild1Same, 0,
/* 14775*/     OPC_MoveParent,
/* 14776*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 14778*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14786*/    0, /*End of Scope*/
/* 14787*/   /*Scope*/ 46, /*->14834*/
/* 14788*/    OPC_RecordChild0, // #0 = $v2
/* 14789*/    OPC_MoveChild1,
/* 14790*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14793*/    OPC_RecordChild0, // #1 = $c
/* 14794*/    OPC_MoveChild1,
/* 14795*/    OPC_CheckImmAllOnesV,
/* 14796*/    OPC_MoveParent,
/* 14797*/    OPC_MoveParent,
/* 14798*/    OPC_MoveSibling1,
/* 14799*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14802*/    OPC_Scope, 14, /*->14818*/ // 2 children in Scope
/* 14804*/     OPC_CheckChild0Same, 1,
/* 14806*/     OPC_RecordChild1, // #2 = $v1
/* 14807*/     OPC_MoveParent,
/* 14808*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 14810*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 2, 0, 1, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14818*/    /*Scope*/ 14, /*->14833*/
/* 14819*/     OPC_RecordChild0, // #2 = $v1
/* 14820*/     OPC_CheckChild1Same, 1,
/* 14822*/     OPC_MoveParent,
/* 14823*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 14825*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 2, 0, 1, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 14833*/    0, /*End of Scope*/
/* 14834*/   0, /*End of Scope*/
/* 14835*/  /*Scope*/ 40, /*->14876*/
/* 14836*/   OPC_RecordChild0, // #0 = $lhs
/* 14837*/   OPC_RecordChild1, // #1 = $rhs
/* 14838*/   OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/39, // ->14848
/* 14841*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 14848*/   /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->14857
/* 14850*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 14857*/   /*SwitchType*/ 7, /*MVT::v4i32*/60, // ->14866
/* 14859*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR),
                  /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 14866*/   /*SwitchType*/ 7, /*MVT::v2i64*/78, // ->14875
/* 14868*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::OR),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 14875*/   0, // EndSwitchType
/* 14876*/  0, /*End of Scope*/
/* 14877*/ /*SwitchOpcode*/ 121|128,11/*1529*/, TARGET_VAL(ISD::XOR),// ->16410
/* 14881*/  OPC_Scope, 22, /*->14905*/ // 17 children in Scope
/* 14883*/   OPC_RecordChild0, // #0 = $lhs
/* 14884*/   OPC_RecordChild1, // #1 = $rhs
/* 14885*/   OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->14895
/* 14888*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR_I32),
                  /*MVT::i32*/7, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (XOR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 14895*/   /*SwitchType*/ 7, /*MVT::i64*/8, // ->14904
/* 14897*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR_I64),
                  /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (XOR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 14904*/   0, // EndSwitchType
/* 14905*/  /*Scope*/ 121, /*->15027*/
/* 14906*/   OPC_MoveChild0,
/* 14907*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 14910*/   OPC_MoveChild0,
/* 14911*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14914*/   OPC_RecordChild0, // #0 = $v1
/* 14915*/   OPC_Scope, 71, /*->14988*/ // 2 children in Scope
/* 14917*/    OPC_RecordChild1, // #1 = $v2
/* 14918*/    OPC_MoveSibling1,
/* 14919*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14922*/    OPC_RecordChild0, // #2 = $c
/* 14923*/    OPC_MoveChild1,
/* 14924*/    OPC_CheckImmAllOnesV,
/* 14925*/    OPC_MoveParent,
/* 14926*/    OPC_MoveParent,
/* 14927*/    OPC_MoveParent,
/* 14928*/    OPC_Scope, 44, /*->14974*/ // 2 children in Scope
/* 14930*/     OPC_CheckChild1Same, 1,
/* 14932*/     OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->14943
/* 14935*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/39, 3/*#Ops*/, 1, 0, 2, 
                // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), V128:{ *:[v16i8] }:$v2) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 14943*/     /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->14953
/* 14945*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/50, 3/*#Ops*/, 1, 0, 2, 
                // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), V128:{ *:[v8i16] }:$v2) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 14953*/     /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->14963
/* 14955*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/60, 3/*#Ops*/, 1, 0, 2, 
                // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), V128:{ *:[v4i32] }:$v2) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 14963*/     /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->14973
/* 14965*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/78, 3/*#Ops*/, 1, 0, 2, 
                // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), V128:{ *:[v2i64] }:$v2) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 14973*/     0, // EndSwitchType
/* 14974*/    /*Scope*/ 12, /*->14987*/
/* 14975*/     OPC_CheckChild1Same, 0,
/* 14977*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 14979*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 0, 1, 2, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), V128:{ *:[v16i8] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 14987*/    0, /*End of Scope*/
/* 14988*/   /*Scope*/ 37, /*->15026*/
/* 14989*/    OPC_MoveChild1,
/* 14990*/    OPC_CheckImmAllOnesV,
/* 14991*/    OPC_MoveParent,
/* 14992*/    OPC_MoveSibling1,
/* 14993*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 14996*/    OPC_RecordChild0, // #1 = $v1
/* 14997*/    OPC_RecordChild1, // #2 = $v2
/* 14998*/    OPC_MoveParent,
/* 14999*/    OPC_MoveParent,
/* 15000*/    OPC_CheckType, /*MVT::v16i8*/39, 
/* 15002*/    OPC_Scope, 10, /*->15014*/ // 2 children in Scope
/* 15004*/     OPC_CheckChild1Same, 2,
/* 15006*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2)), V128:{ *:[v16i8] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15014*/    /*Scope*/ 10, /*->15025*/
/* 15015*/     OPC_CheckChild1Same, 1,
/* 15017*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1)), V128:{ *:[v16i8] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15025*/    0, /*End of Scope*/
/* 15026*/   0, /*End of Scope*/
/* 15027*/  /*Scope*/ 102, /*->15130*/
/* 15028*/   OPC_RecordChild0, // #0 = $v2
/* 15029*/   OPC_MoveChild1,
/* 15030*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15033*/   OPC_MoveChild0,
/* 15034*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15037*/   OPC_Scope, 23, /*->15062*/ // 3 children in Scope
/* 15039*/    OPC_RecordChild0, // #1 = $v1
/* 15040*/    OPC_CheckChild1Same, 0,
/* 15042*/    OPC_MoveSibling1,
/* 15043*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15046*/    OPC_RecordChild0, // #2 = $c
/* 15047*/    OPC_MoveChild1,
/* 15048*/    OPC_CheckImmAllOnesV,
/* 15049*/    OPC_MoveParent,
/* 15050*/    OPC_MoveParent,
/* 15051*/    OPC_MoveParent,
/* 15052*/    OPC_CheckType, /*MVT::v16i8*/39, 
/* 15054*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v16i8*/39, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15062*/   /*Scope*/ 23, /*->15086*/
/* 15063*/    OPC_CheckChild0Same, 0,
/* 15065*/    OPC_RecordChild1, // #1 = $v1
/* 15066*/    OPC_MoveSibling1,
/* 15067*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15070*/    OPC_RecordChild0, // #2 = $c
/* 15071*/    OPC_MoveChild1,
/* 15072*/    OPC_CheckImmAllOnesV,
/* 15073*/    OPC_MoveParent,
/* 15074*/    OPC_MoveParent,
/* 15075*/    OPC_MoveParent,
/* 15076*/    OPC_CheckType, /*MVT::v16i8*/39, 
/* 15078*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v16i8*/39, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15086*/   /*Scope*/ 42, /*->15129*/
/* 15087*/    OPC_RecordChild0, // #1 = $c
/* 15088*/    OPC_MoveChild1,
/* 15089*/    OPC_CheckImmAllOnesV,
/* 15090*/    OPC_MoveParent,
/* 15091*/    OPC_MoveSibling1,
/* 15092*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15095*/    OPC_Scope, 15, /*->15112*/ // 2 children in Scope
/* 15097*/     OPC_RecordChild0, // #2 = $v1
/* 15098*/     OPC_CheckChild1Same, 0,
/* 15100*/     OPC_MoveParent,
/* 15101*/     OPC_MoveParent,
/* 15102*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 15104*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15112*/    /*Scope*/ 15, /*->15128*/
/* 15113*/     OPC_CheckChild0Same, 0,
/* 15115*/     OPC_RecordChild1, // #2 = $v1
/* 15116*/     OPC_MoveParent,
/* 15117*/     OPC_MoveParent,
/* 15118*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 15120*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$c)
/* 15128*/    0, /*End of Scope*/
/* 15129*/   0, /*End of Scope*/
/* 15130*/  /*Scope*/ 73, /*->15204*/
/* 15131*/   OPC_MoveChild0,
/* 15132*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15135*/   OPC_MoveChild0,
/* 15136*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15139*/   OPC_RecordChild0, // #0 = $v2
/* 15140*/   OPC_Scope, 23, /*->15165*/ // 2 children in Scope
/* 15142*/    OPC_RecordChild1, // #1 = $v1
/* 15143*/    OPC_MoveSibling1,
/* 15144*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15147*/    OPC_RecordChild0, // #2 = $c
/* 15148*/    OPC_MoveChild1,
/* 15149*/    OPC_CheckImmAllOnesV,
/* 15150*/    OPC_MoveParent,
/* 15151*/    OPC_MoveParent,
/* 15152*/    OPC_MoveParent,
/* 15153*/    OPC_CheckChild1Same, 0,
/* 15155*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 15157*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/50, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), V128:{ *:[v8i16] }:$v2) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15165*/   /*Scope*/ 37, /*->15203*/
/* 15166*/    OPC_MoveChild1,
/* 15167*/    OPC_CheckImmAllOnesV,
/* 15168*/    OPC_MoveParent,
/* 15169*/    OPC_MoveSibling1,
/* 15170*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15173*/    OPC_RecordChild0, // #1 = $v1
/* 15174*/    OPC_RecordChild1, // #2 = $v2
/* 15175*/    OPC_MoveParent,
/* 15176*/    OPC_MoveParent,
/* 15177*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 15179*/    OPC_Scope, 10, /*->15191*/ // 2 children in Scope
/* 15181*/     OPC_CheckChild1Same, 2,
/* 15183*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2)), V128:{ *:[v8i16] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15191*/    /*Scope*/ 10, /*->15202*/
/* 15192*/     OPC_CheckChild1Same, 1,
/* 15194*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1)), V128:{ *:[v8i16] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15202*/    0, /*End of Scope*/
/* 15203*/   0, /*End of Scope*/
/* 15204*/  /*Scope*/ 102, /*->15307*/
/* 15205*/   OPC_RecordChild0, // #0 = $v2
/* 15206*/   OPC_MoveChild1,
/* 15207*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15210*/   OPC_MoveChild0,
/* 15211*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15214*/   OPC_Scope, 23, /*->15239*/ // 3 children in Scope
/* 15216*/    OPC_RecordChild0, // #1 = $v1
/* 15217*/    OPC_CheckChild1Same, 0,
/* 15219*/    OPC_MoveSibling1,
/* 15220*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15223*/    OPC_RecordChild0, // #2 = $c
/* 15224*/    OPC_MoveChild1,
/* 15225*/    OPC_CheckImmAllOnesV,
/* 15226*/    OPC_MoveParent,
/* 15227*/    OPC_MoveParent,
/* 15228*/    OPC_MoveParent,
/* 15229*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 15231*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/50, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15239*/   /*Scope*/ 23, /*->15263*/
/* 15240*/    OPC_CheckChild0Same, 0,
/* 15242*/    OPC_RecordChild1, // #1 = $v1
/* 15243*/    OPC_MoveSibling1,
/* 15244*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15247*/    OPC_RecordChild0, // #2 = $c
/* 15248*/    OPC_MoveChild1,
/* 15249*/    OPC_CheckImmAllOnesV,
/* 15250*/    OPC_MoveParent,
/* 15251*/    OPC_MoveParent,
/* 15252*/    OPC_MoveParent,
/* 15253*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 15255*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/50, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15263*/   /*Scope*/ 42, /*->15306*/
/* 15264*/    OPC_RecordChild0, // #1 = $c
/* 15265*/    OPC_MoveChild1,
/* 15266*/    OPC_CheckImmAllOnesV,
/* 15267*/    OPC_MoveParent,
/* 15268*/    OPC_MoveSibling1,
/* 15269*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15272*/    OPC_Scope, 15, /*->15289*/ // 2 children in Scope
/* 15274*/     OPC_RecordChild0, // #2 = $v1
/* 15275*/     OPC_CheckChild1Same, 0,
/* 15277*/     OPC_MoveParent,
/* 15278*/     OPC_MoveParent,
/* 15279*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 15281*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15289*/    /*Scope*/ 15, /*->15305*/
/* 15290*/     OPC_CheckChild0Same, 0,
/* 15292*/     OPC_RecordChild1, // #2 = $v1
/* 15293*/     OPC_MoveParent,
/* 15294*/     OPC_MoveParent,
/* 15295*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 15297*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$c)
/* 15305*/    0, /*End of Scope*/
/* 15306*/   0, /*End of Scope*/
/* 15307*/  /*Scope*/ 73, /*->15381*/
/* 15308*/   OPC_MoveChild0,
/* 15309*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15312*/   OPC_MoveChild0,
/* 15313*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15316*/   OPC_RecordChild0, // #0 = $v2
/* 15317*/   OPC_Scope, 23, /*->15342*/ // 2 children in Scope
/* 15319*/    OPC_RecordChild1, // #1 = $v1
/* 15320*/    OPC_MoveSibling1,
/* 15321*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15324*/    OPC_RecordChild0, // #2 = $c
/* 15325*/    OPC_MoveChild1,
/* 15326*/    OPC_CheckImmAllOnesV,
/* 15327*/    OPC_MoveParent,
/* 15328*/    OPC_MoveParent,
/* 15329*/    OPC_MoveParent,
/* 15330*/    OPC_CheckChild1Same, 0,
/* 15332*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 15334*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/60, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), V128:{ *:[v4i32] }:$v2) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15342*/   /*Scope*/ 37, /*->15380*/
/* 15343*/    OPC_MoveChild1,
/* 15344*/    OPC_CheckImmAllOnesV,
/* 15345*/    OPC_MoveParent,
/* 15346*/    OPC_MoveSibling1,
/* 15347*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15350*/    OPC_RecordChild0, // #1 = $v1
/* 15351*/    OPC_RecordChild1, // #2 = $v2
/* 15352*/    OPC_MoveParent,
/* 15353*/    OPC_MoveParent,
/* 15354*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 15356*/    OPC_Scope, 10, /*->15368*/ // 2 children in Scope
/* 15358*/     OPC_CheckChild1Same, 2,
/* 15360*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2)), V128:{ *:[v4i32] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15368*/    /*Scope*/ 10, /*->15379*/
/* 15369*/     OPC_CheckChild1Same, 1,
/* 15371*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1)), V128:{ *:[v4i32] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15379*/    0, /*End of Scope*/
/* 15380*/   0, /*End of Scope*/
/* 15381*/  /*Scope*/ 102, /*->15484*/
/* 15382*/   OPC_RecordChild0, // #0 = $v2
/* 15383*/   OPC_MoveChild1,
/* 15384*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15387*/   OPC_MoveChild0,
/* 15388*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15391*/   OPC_Scope, 23, /*->15416*/ // 3 children in Scope
/* 15393*/    OPC_RecordChild0, // #1 = $v1
/* 15394*/    OPC_CheckChild1Same, 0,
/* 15396*/    OPC_MoveSibling1,
/* 15397*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15400*/    OPC_RecordChild0, // #2 = $c
/* 15401*/    OPC_MoveChild1,
/* 15402*/    OPC_CheckImmAllOnesV,
/* 15403*/    OPC_MoveParent,
/* 15404*/    OPC_MoveParent,
/* 15405*/    OPC_MoveParent,
/* 15406*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 15408*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/60, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15416*/   /*Scope*/ 23, /*->15440*/
/* 15417*/    OPC_CheckChild0Same, 0,
/* 15419*/    OPC_RecordChild1, // #1 = $v1
/* 15420*/    OPC_MoveSibling1,
/* 15421*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15424*/    OPC_RecordChild0, // #2 = $c
/* 15425*/    OPC_MoveChild1,
/* 15426*/    OPC_CheckImmAllOnesV,
/* 15427*/    OPC_MoveParent,
/* 15428*/    OPC_MoveParent,
/* 15429*/    OPC_MoveParent,
/* 15430*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 15432*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/60, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15440*/   /*Scope*/ 42, /*->15483*/
/* 15441*/    OPC_RecordChild0, // #1 = $c
/* 15442*/    OPC_MoveChild1,
/* 15443*/    OPC_CheckImmAllOnesV,
/* 15444*/    OPC_MoveParent,
/* 15445*/    OPC_MoveSibling1,
/* 15446*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15449*/    OPC_Scope, 15, /*->15466*/ // 2 children in Scope
/* 15451*/     OPC_RecordChild0, // #2 = $v1
/* 15452*/     OPC_CheckChild1Same, 0,
/* 15454*/     OPC_MoveParent,
/* 15455*/     OPC_MoveParent,
/* 15456*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 15458*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15466*/    /*Scope*/ 15, /*->15482*/
/* 15467*/     OPC_CheckChild0Same, 0,
/* 15469*/     OPC_RecordChild1, // #2 = $v1
/* 15470*/     OPC_MoveParent,
/* 15471*/     OPC_MoveParent,
/* 15472*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 15474*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$c)
/* 15482*/    0, /*End of Scope*/
/* 15483*/   0, /*End of Scope*/
/* 15484*/  /*Scope*/ 73, /*->15558*/
/* 15485*/   OPC_MoveChild0,
/* 15486*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15489*/   OPC_MoveChild0,
/* 15490*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15493*/   OPC_RecordChild0, // #0 = $v2
/* 15494*/   OPC_Scope, 23, /*->15519*/ // 2 children in Scope
/* 15496*/    OPC_RecordChild1, // #1 = $v1
/* 15497*/    OPC_MoveSibling1,
/* 15498*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15501*/    OPC_RecordChild0, // #2 = $c
/* 15502*/    OPC_MoveChild1,
/* 15503*/    OPC_CheckImmAllOnesV,
/* 15504*/    OPC_MoveParent,
/* 15505*/    OPC_MoveParent,
/* 15506*/    OPC_MoveParent,
/* 15507*/    OPC_CheckChild1Same, 0,
/* 15509*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 15511*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/78, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), V128:{ *:[v2i64] }:$v2) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15519*/   /*Scope*/ 37, /*->15557*/
/* 15520*/    OPC_MoveChild1,
/* 15521*/    OPC_CheckImmAllOnesV,
/* 15522*/    OPC_MoveParent,
/* 15523*/    OPC_MoveSibling1,
/* 15524*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15527*/    OPC_RecordChild0, // #1 = $v1
/* 15528*/    OPC_RecordChild1, // #2 = $v2
/* 15529*/    OPC_MoveParent,
/* 15530*/    OPC_MoveParent,
/* 15531*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 15533*/    OPC_Scope, 10, /*->15545*/ // 2 children in Scope
/* 15535*/     OPC_CheckChild1Same, 2,
/* 15537*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2)), V128:{ *:[v2i64] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15545*/    /*Scope*/ 10, /*->15556*/
/* 15546*/     OPC_CheckChild1Same, 1,
/* 15548*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1)), V128:{ *:[v2i64] }:$v2) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15556*/    0, /*End of Scope*/
/* 15557*/   0, /*End of Scope*/
/* 15558*/  /*Scope*/ 102, /*->15661*/
/* 15559*/   OPC_RecordChild0, // #0 = $v2
/* 15560*/   OPC_MoveChild1,
/* 15561*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15564*/   OPC_MoveChild0,
/* 15565*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15568*/   OPC_Scope, 23, /*->15593*/ // 3 children in Scope
/* 15570*/    OPC_RecordChild0, // #1 = $v1
/* 15571*/    OPC_CheckChild1Same, 0,
/* 15573*/    OPC_MoveSibling1,
/* 15574*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15577*/    OPC_RecordChild0, // #2 = $c
/* 15578*/    OPC_MoveChild1,
/* 15579*/    OPC_CheckImmAllOnesV,
/* 15580*/    OPC_MoveParent,
/* 15581*/    OPC_MoveParent,
/* 15582*/    OPC_MoveParent,
/* 15583*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 15585*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/78, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15593*/   /*Scope*/ 23, /*->15617*/
/* 15594*/    OPC_CheckChild0Same, 0,
/* 15596*/    OPC_RecordChild1, // #1 = $v1
/* 15597*/    OPC_MoveSibling1,
/* 15598*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15601*/    OPC_RecordChild0, // #2 = $c
/* 15602*/    OPC_MoveChild1,
/* 15603*/    OPC_CheckImmAllOnesV,
/* 15604*/    OPC_MoveParent,
/* 15605*/    OPC_MoveParent,
/* 15606*/    OPC_MoveParent,
/* 15607*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 15609*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/78, 3/*#Ops*/, 0, 1, 2, 
              // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15617*/   /*Scope*/ 42, /*->15660*/
/* 15618*/    OPC_RecordChild0, // #1 = $c
/* 15619*/    OPC_MoveChild1,
/* 15620*/    OPC_CheckImmAllOnesV,
/* 15621*/    OPC_MoveParent,
/* 15622*/    OPC_MoveSibling1,
/* 15623*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15626*/    OPC_Scope, 15, /*->15643*/ // 2 children in Scope
/* 15628*/     OPC_RecordChild0, // #2 = $v1
/* 15629*/     OPC_CheckChild1Same, 0,
/* 15631*/     OPC_MoveParent,
/* 15632*/     OPC_MoveParent,
/* 15633*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 15635*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15643*/    /*Scope*/ 15, /*->15659*/
/* 15644*/     OPC_CheckChild0Same, 0,
/* 15646*/     OPC_RecordChild1, // #2 = $v1
/* 15647*/     OPC_MoveParent,
/* 15648*/     OPC_MoveParent,
/* 15649*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 15651*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 0, 2, 1, 
               // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$c)
/* 15659*/    0, /*End of Scope*/
/* 15660*/   0, /*End of Scope*/
/* 15661*/  /*Scope*/ 112, /*->15774*/
/* 15662*/   OPC_MoveChild0,
/* 15663*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15666*/   OPC_Scope, 69, /*->15737*/ // 2 children in Scope
/* 15668*/    OPC_MoveChild0,
/* 15669*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15672*/    OPC_RecordChild0, // #0 = $v1
/* 15673*/    OPC_RecordChild1, // #1 = $v2
/* 15674*/    OPC_MoveParent,
/* 15675*/    OPC_RecordChild1, // #2 = $c
/* 15676*/    OPC_MoveParent,
/* 15677*/    OPC_Scope, 44, /*->15723*/ // 2 children in Scope
/* 15679*/     OPC_CheckChild1Same, 1,
/* 15681*/     OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->15692
/* 15684*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v16i8*/39, 3/*#Ops*/, 0, 1, 2, 
                // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2), V128:{ *:[v16i8] }:$c), V128:{ *:[v16i8] }:$v2) - Complexity = 9
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15692*/     /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->15702
/* 15694*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v8i16*/50, 3/*#Ops*/, 0, 1, 2, 
                // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2), V128:{ *:[v8i16] }:$c), V128:{ *:[v8i16] }:$v2) - Complexity = 9
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 15702*/     /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->15712
/* 15704*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v4i32*/60, 3/*#Ops*/, 0, 1, 2, 
                // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2), V128:{ *:[v4i32] }:$c), V128:{ *:[v4i32] }:$v2) - Complexity = 9
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 15712*/     /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->15722
/* 15714*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                    /*MVT::v2i64*/78, 3/*#Ops*/, 0, 1, 2, 
                // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2), V128:{ *:[v2i64] }:$c), V128:{ *:[v2i64] }:$v2) - Complexity = 9
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 15722*/     0, // EndSwitchType
/* 15723*/    /*Scope*/ 12, /*->15736*/
/* 15724*/     OPC_CheckChild1Same, 0,
/* 15726*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 15728*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1), V128:{ *:[v16i8] }:$c), V128:{ *:[v16i8] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15736*/    0, /*End of Scope*/
/* 15737*/   /*Scope*/ 35, /*->15773*/
/* 15738*/    OPC_RecordChild0, // #0 = $c
/* 15739*/    OPC_MoveChild1,
/* 15740*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15743*/    OPC_RecordChild0, // #1 = $v1
/* 15744*/    OPC_RecordChild1, // #2 = $v2
/* 15745*/    OPC_MoveParent,
/* 15746*/    OPC_MoveParent,
/* 15747*/    OPC_CheckType, /*MVT::v16i8*/39, 
/* 15749*/    OPC_Scope, 10, /*->15761*/ // 2 children in Scope
/* 15751*/     OPC_CheckChild1Same, 2,
/* 15753*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2)), V128:{ *:[v16i8] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15761*/    /*Scope*/ 10, /*->15772*/
/* 15762*/     OPC_CheckChild1Same, 1,
/* 15764*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1)), V128:{ *:[v16i8] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15772*/    0, /*End of Scope*/
/* 15773*/   0, /*End of Scope*/
/* 15774*/  /*Scope*/ 88, /*->15863*/
/* 15775*/   OPC_RecordChild0, // #0 = $v2
/* 15776*/   OPC_MoveChild1,
/* 15777*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15780*/   OPC_Scope, 40, /*->15822*/ // 2 children in Scope
/* 15782*/    OPC_MoveChild0,
/* 15783*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15786*/    OPC_Scope, 16, /*->15804*/ // 2 children in Scope
/* 15788*/     OPC_RecordChild0, // #1 = $v1
/* 15789*/     OPC_CheckChild1Same, 0,
/* 15791*/     OPC_MoveParent,
/* 15792*/     OPC_RecordChild1, // #2 = $c
/* 15793*/     OPC_MoveParent,
/* 15794*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 15796*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2), V128:{ *:[v16i8] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15804*/    /*Scope*/ 16, /*->15821*/
/* 15805*/     OPC_CheckChild0Same, 0,
/* 15807*/     OPC_RecordChild1, // #1 = $v1
/* 15808*/     OPC_MoveParent,
/* 15809*/     OPC_RecordChild1, // #2 = $c
/* 15810*/     OPC_MoveParent,
/* 15811*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 15813*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1), V128:{ *:[v16i8] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15821*/    0, /*End of Scope*/
/* 15822*/   /*Scope*/ 39, /*->15862*/
/* 15823*/    OPC_RecordChild0, // #1 = $c
/* 15824*/    OPC_MoveChild1,
/* 15825*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15828*/    OPC_Scope, 15, /*->15845*/ // 2 children in Scope
/* 15830*/     OPC_RecordChild0, // #2 = $v1
/* 15831*/     OPC_CheckChild1Same, 0,
/* 15833*/     OPC_MoveParent,
/* 15834*/     OPC_MoveParent,
/* 15835*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 15837*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15845*/    /*Scope*/ 15, /*->15861*/
/* 15846*/     OPC_CheckChild0Same, 0,
/* 15848*/     OPC_RecordChild1, // #2 = $v1
/* 15849*/     OPC_MoveParent,
/* 15850*/     OPC_MoveParent,
/* 15851*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 15853*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v16i8*/39, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$v1))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 15861*/    0, /*End of Scope*/
/* 15862*/   0, /*End of Scope*/
/* 15863*/  /*Scope*/ 64, /*->15928*/
/* 15864*/   OPC_MoveChild0,
/* 15865*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15868*/   OPC_Scope, 21, /*->15891*/ // 2 children in Scope
/* 15870*/    OPC_MoveChild0,
/* 15871*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15874*/    OPC_RecordChild0, // #0 = $v2
/* 15875*/    OPC_RecordChild1, // #1 = $v1
/* 15876*/    OPC_MoveParent,
/* 15877*/    OPC_RecordChild1, // #2 = $c
/* 15878*/    OPC_MoveParent,
/* 15879*/    OPC_CheckChild1Same, 0,
/* 15881*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 15883*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/50, 3/*#Ops*/, 1, 0, 2, 
              // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1), V128:{ *:[v8i16] }:$c), V128:{ *:[v8i16] }:$v2) - Complexity = 9
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 15891*/   /*Scope*/ 35, /*->15927*/
/* 15892*/    OPC_RecordChild0, // #0 = $c
/* 15893*/    OPC_MoveChild1,
/* 15894*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15897*/    OPC_RecordChild0, // #1 = $v1
/* 15898*/    OPC_RecordChild1, // #2 = $v2
/* 15899*/    OPC_MoveParent,
/* 15900*/    OPC_MoveParent,
/* 15901*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 15903*/    OPC_Scope, 10, /*->15915*/ // 2 children in Scope
/* 15905*/     OPC_CheckChild1Same, 2,
/* 15907*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2)), V128:{ *:[v8i16] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 15915*/    /*Scope*/ 10, /*->15926*/
/* 15916*/     OPC_CheckChild1Same, 1,
/* 15918*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1)), V128:{ *:[v8i16] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 15926*/    0, /*End of Scope*/
/* 15927*/   0, /*End of Scope*/
/* 15928*/  /*Scope*/ 88, /*->16017*/
/* 15929*/   OPC_RecordChild0, // #0 = $v2
/* 15930*/   OPC_MoveChild1,
/* 15931*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 15934*/   OPC_Scope, 40, /*->15976*/ // 2 children in Scope
/* 15936*/    OPC_MoveChild0,
/* 15937*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15940*/    OPC_Scope, 16, /*->15958*/ // 2 children in Scope
/* 15942*/     OPC_RecordChild0, // #1 = $v1
/* 15943*/     OPC_CheckChild1Same, 0,
/* 15945*/     OPC_MoveParent,
/* 15946*/     OPC_RecordChild1, // #2 = $c
/* 15947*/     OPC_MoveParent,
/* 15948*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 15950*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2), V128:{ *:[v8i16] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 15958*/    /*Scope*/ 16, /*->15975*/
/* 15959*/     OPC_CheckChild0Same, 0,
/* 15961*/     OPC_RecordChild1, // #1 = $v1
/* 15962*/     OPC_MoveParent,
/* 15963*/     OPC_RecordChild1, // #2 = $c
/* 15964*/     OPC_MoveParent,
/* 15965*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 15967*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1), V128:{ *:[v8i16] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 15975*/    0, /*End of Scope*/
/* 15976*/   /*Scope*/ 39, /*->16016*/
/* 15977*/    OPC_RecordChild0, // #1 = $c
/* 15978*/    OPC_MoveChild1,
/* 15979*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 15982*/    OPC_Scope, 15, /*->15999*/ // 2 children in Scope
/* 15984*/     OPC_RecordChild0, // #2 = $v1
/* 15985*/     OPC_CheckChild1Same, 0,
/* 15987*/     OPC_MoveParent,
/* 15988*/     OPC_MoveParent,
/* 15989*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 15991*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 15999*/    /*Scope*/ 15, /*->16015*/
/* 16000*/     OPC_CheckChild0Same, 0,
/* 16002*/     OPC_RecordChild1, // #2 = $v1
/* 16003*/     OPC_MoveParent,
/* 16004*/     OPC_MoveParent,
/* 16005*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 16007*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v8i16*/50, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$v1))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 16015*/    0, /*End of Scope*/
/* 16016*/   0, /*End of Scope*/
/* 16017*/  /*Scope*/ 64, /*->16082*/
/* 16018*/   OPC_MoveChild0,
/* 16019*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16022*/   OPC_Scope, 21, /*->16045*/ // 2 children in Scope
/* 16024*/    OPC_MoveChild0,
/* 16025*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16028*/    OPC_RecordChild0, // #0 = $v2
/* 16029*/    OPC_RecordChild1, // #1 = $v1
/* 16030*/    OPC_MoveParent,
/* 16031*/    OPC_RecordChild1, // #2 = $c
/* 16032*/    OPC_MoveParent,
/* 16033*/    OPC_CheckChild1Same, 0,
/* 16035*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 16037*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/60, 3/*#Ops*/, 1, 0, 2, 
              // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1), V128:{ *:[v4i32] }:$c), V128:{ *:[v4i32] }:$v2) - Complexity = 9
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16045*/   /*Scope*/ 35, /*->16081*/
/* 16046*/    OPC_RecordChild0, // #0 = $c
/* 16047*/    OPC_MoveChild1,
/* 16048*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16051*/    OPC_RecordChild0, // #1 = $v1
/* 16052*/    OPC_RecordChild1, // #2 = $v2
/* 16053*/    OPC_MoveParent,
/* 16054*/    OPC_MoveParent,
/* 16055*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 16057*/    OPC_Scope, 10, /*->16069*/ // 2 children in Scope
/* 16059*/     OPC_CheckChild1Same, 2,
/* 16061*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2)), V128:{ *:[v4i32] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16069*/    /*Scope*/ 10, /*->16080*/
/* 16070*/     OPC_CheckChild1Same, 1,
/* 16072*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1)), V128:{ *:[v4i32] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16080*/    0, /*End of Scope*/
/* 16081*/   0, /*End of Scope*/
/* 16082*/  /*Scope*/ 88, /*->16171*/
/* 16083*/   OPC_RecordChild0, // #0 = $v2
/* 16084*/   OPC_MoveChild1,
/* 16085*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16088*/   OPC_Scope, 40, /*->16130*/ // 2 children in Scope
/* 16090*/    OPC_MoveChild0,
/* 16091*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16094*/    OPC_Scope, 16, /*->16112*/ // 2 children in Scope
/* 16096*/     OPC_RecordChild0, // #1 = $v1
/* 16097*/     OPC_CheckChild1Same, 0,
/* 16099*/     OPC_MoveParent,
/* 16100*/     OPC_RecordChild1, // #2 = $c
/* 16101*/     OPC_MoveParent,
/* 16102*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 16104*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2), V128:{ *:[v4i32] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16112*/    /*Scope*/ 16, /*->16129*/
/* 16113*/     OPC_CheckChild0Same, 0,
/* 16115*/     OPC_RecordChild1, // #1 = $v1
/* 16116*/     OPC_MoveParent,
/* 16117*/     OPC_RecordChild1, // #2 = $c
/* 16118*/     OPC_MoveParent,
/* 16119*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 16121*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 1, 0, 2, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1), V128:{ *:[v4i32] }:$c)) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16129*/    0, /*End of Scope*/
/* 16130*/   /*Scope*/ 39, /*->16170*/
/* 16131*/    OPC_RecordChild0, // #1 = $c
/* 16132*/    OPC_MoveChild1,
/* 16133*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16136*/    OPC_Scope, 15, /*->16153*/ // 2 children in Scope
/* 16138*/     OPC_RecordChild0, // #2 = $v1
/* 16139*/     OPC_CheckChild1Same, 0,
/* 16141*/     OPC_MoveParent,
/* 16142*/     OPC_MoveParent,
/* 16143*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 16145*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16153*/    /*Scope*/ 15, /*->16169*/
/* 16154*/     OPC_CheckChild0Same, 0,
/* 16156*/     OPC_RecordChild1, // #2 = $v1
/* 16157*/     OPC_MoveParent,
/* 16158*/     OPC_MoveParent,
/* 16159*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 16161*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v4i32*/60, 3/*#Ops*/, 2, 0, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$v1))) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 16169*/    0, /*End of Scope*/
/* 16170*/   0, /*End of Scope*/
/* 16171*/  /*Scope*/ 64, /*->16236*/
/* 16172*/   OPC_MoveChild0,
/* 16173*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16176*/   OPC_Scope, 21, /*->16199*/ // 2 children in Scope
/* 16178*/    OPC_MoveChild0,
/* 16179*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16182*/    OPC_RecordChild0, // #0 = $v2
/* 16183*/    OPC_RecordChild1, // #1 = $v1
/* 16184*/    OPC_MoveParent,
/* 16185*/    OPC_RecordChild1, // #2 = $c
/* 16186*/    OPC_MoveParent,
/* 16187*/    OPC_CheckChild1Same, 0,
/* 16189*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 16191*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/78, 3/*#Ops*/, 1, 0, 2, 
              // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1), V128:{ *:[v2i64] }:$c), V128:{ *:[v2i64] }:$v2) - Complexity = 9
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16199*/   /*Scope*/ 35, /*->16235*/
/* 16200*/    OPC_RecordChild0, // #0 = $c
/* 16201*/    OPC_MoveChild1,
/* 16202*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16205*/    OPC_RecordChild0, // #1 = $v1
/* 16206*/    OPC_RecordChild1, // #2 = $v2
/* 16207*/    OPC_MoveParent,
/* 16208*/    OPC_MoveParent,
/* 16209*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 16211*/    OPC_Scope, 10, /*->16223*/ // 2 children in Scope
/* 16213*/     OPC_CheckChild1Same, 2,
/* 16215*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 1, 2, 0, 
               // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2)), V128:{ *:[v2i64] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16223*/    /*Scope*/ 10, /*->16234*/
/* 16224*/     OPC_CheckChild1Same, 1,
/* 16226*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                   /*MVT::v2i64*/78, 3/*#Ops*/, 2, 1, 0, 
               // Src: (xor:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1)), V128:{ *:[v2i64] }:$v2) - Complexity = 9
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16234*/    0, /*End of Scope*/
/* 16235*/   0, /*End of Scope*/
/* 16236*/  /*Scope*/ 43|128,1/*171*/, /*->16409*/
/* 16238*/   OPC_RecordChild0, // #0 = $v2
/* 16239*/   OPC_Scope, 127, /*->16368*/ // 2 children in Scope
/* 16241*/    OPC_MoveChild1,
/* 16242*/    OPC_Scope, 86, /*->16330*/ // 2 children in Scope
/* 16244*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 16247*/     OPC_Scope, 40, /*->16289*/ // 2 children in Scope
/* 16249*/      OPC_MoveChild0,
/* 16250*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16253*/      OPC_Scope, 16, /*->16271*/ // 2 children in Scope
/* 16255*/       OPC_RecordChild0, // #1 = $v1
/* 16256*/       OPC_CheckChild1Same, 0,
/* 16258*/       OPC_MoveParent,
/* 16259*/       OPC_RecordChild1, // #2 = $c
/* 16260*/       OPC_MoveParent,
/* 16261*/       OPC_CheckType, /*MVT::v2i64*/78, 
/* 16263*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                     /*MVT::v2i64*/78, 3/*#Ops*/, 1, 0, 2, 
                 // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2), V128:{ *:[v2i64] }:$c)) - Complexity = 9
                 // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16271*/      /*Scope*/ 16, /*->16288*/
/* 16272*/       OPC_CheckChild0Same, 0,
/* 16274*/       OPC_RecordChild1, // #1 = $v1
/* 16275*/       OPC_MoveParent,
/* 16276*/       OPC_RecordChild1, // #2 = $c
/* 16277*/       OPC_MoveParent,
/* 16278*/       OPC_CheckType, /*MVT::v2i64*/78, 
/* 16280*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                     /*MVT::v2i64*/78, 3/*#Ops*/, 1, 0, 2, 
                 // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1), V128:{ *:[v2i64] }:$c)) - Complexity = 9
                 // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16288*/      0, /*End of Scope*/
/* 16289*/     /*Scope*/ 39, /*->16329*/
/* 16290*/      OPC_RecordChild0, // #1 = $c
/* 16291*/      OPC_MoveChild1,
/* 16292*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 16295*/      OPC_Scope, 15, /*->16312*/ // 2 children in Scope
/* 16297*/       OPC_RecordChild0, // #2 = $v1
/* 16298*/       OPC_CheckChild1Same, 0,
/* 16300*/       OPC_MoveParent,
/* 16301*/       OPC_MoveParent,
/* 16302*/       OPC_CheckType, /*MVT::v2i64*/78, 
/* 16304*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                     /*MVT::v2i64*/78, 3/*#Ops*/, 2, 0, 1, 
                 // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2))) - Complexity = 9
                 // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16312*/      /*Scope*/ 15, /*->16328*/
/* 16313*/       OPC_CheckChild0Same, 0,
/* 16315*/       OPC_RecordChild1, // #2 = $v1
/* 16316*/       OPC_MoveParent,
/* 16317*/       OPC_MoveParent,
/* 16318*/       OPC_CheckType, /*MVT::v2i64*/78, 
/* 16320*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                     /*MVT::v2i64*/78, 3/*#Ops*/, 2, 0, 1, 
                 // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$v1))) - Complexity = 9
                 // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 16328*/      0, /*End of Scope*/
/* 16329*/     0, /*End of Scope*/
/* 16330*/    /*Scope*/ 36, /*->16367*/
/* 16331*/     OPC_CheckImmAllOnesV,
/* 16332*/     OPC_MoveParent,
/* 16333*/     OPC_SwitchType /*4 cases */, 6, /*MVT::v16i8*/39, // ->16342
/* 16336*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NOT),
                    /*MVT::v16i8*/39, 1/*#Ops*/, 0, 
                // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v, immAllOnesV:{ *:[v16i8] }) - Complexity = 7
                // Dst: (NOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v)
/* 16342*/     /*SwitchType*/ 6, /*MVT::v8i16*/50, // ->16350
/* 16344*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NOT),
                    /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
                // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v, immAllOnesV:{ *:[v8i16] }) - Complexity = 7
                // Dst: (NOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v)
/* 16350*/     /*SwitchType*/ 6, /*MVT::v4i32*/60, // ->16358
/* 16352*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NOT),
                    /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
                // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v, immAllOnesV:{ *:[v4i32] }) - Complexity = 7
                // Dst: (NOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v)
/* 16358*/     /*SwitchType*/ 6, /*MVT::v2i64*/78, // ->16366
/* 16360*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NOT),
                    /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
                // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v, immAllOnesV:{ *:[v2i64] }) - Complexity = 7
                // Dst: (NOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v)
/* 16366*/     0, // EndSwitchType
/* 16367*/    0, /*End of Scope*/
/* 16368*/   /*Scope*/ 39, /*->16408*/
/* 16369*/    OPC_RecordChild1, // #1 = $rhs
/* 16370*/    OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/39, // ->16380
/* 16373*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
               // Dst: (XOR:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 16380*/    /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->16389
/* 16382*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
               // Dst: (XOR:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 16389*/    /*SwitchType*/ 7, /*MVT::v4i32*/60, // ->16398
/* 16391*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
               // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
               // Dst: (XOR:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 16398*/    /*SwitchType*/ 7, /*MVT::v2i64*/78, // ->16407
/* 16400*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::XOR),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
               // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
               // Dst: (XOR:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 16407*/    0, // EndSwitchType
/* 16408*/   0, /*End of Scope*/
/* 16409*/  0, /*End of Scope*/
/* 16410*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::CTLZ),// ->16434
/* 16413*/  OPC_RecordChild0, // #0 = $src
/* 16414*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->16424
/* 16417*/   OPC_CheckChild0TypeI32,
/* 16418*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CLZ_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (ctlz:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (CLZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 16424*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->16433
/* 16426*/   OPC_CheckChild0TypeI64,
/* 16427*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CLZ_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (ctlz:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (CLZ_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 16433*/  0, // EndSwitchType
/* 16434*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::CTTZ),// ->16458
/* 16437*/  OPC_RecordChild0, // #0 = $src
/* 16438*/  OPC_SwitchType /*2 cases */, 7, /*MVT::i32*/7, // ->16448
/* 16441*/   OPC_CheckChild0TypeI32,
/* 16442*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CTZ_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (cttz:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (CTZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 16448*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->16457
/* 16450*/   OPC_CheckChild0TypeI64,
/* 16451*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CTZ_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (cttz:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (CTZ_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 16457*/  0, // EndSwitchType
/* 16458*/ /*SwitchOpcode*/ 32, TARGET_VAL(ISD::CTPOP),// ->16493
/* 16461*/  OPC_RecordChild0, // #0 = $src
/* 16462*/  OPC_SwitchType /*3 cases */, 7, /*MVT::i32*/7, // ->16472
/* 16465*/   OPC_CheckChild0TypeI32,
/* 16466*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::POPCNT_I32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (POPCNT_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 16472*/  /*SwitchType*/ 7, /*MVT::i64*/8, // ->16481
/* 16474*/   OPC_CheckChild0TypeI64,
/* 16475*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::POPCNT_I64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (POPCNT_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 16481*/  /*SwitchType*/ 9, /*MVT::v16i8*/39, // ->16492
/* 16483*/   OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 16485*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 16486*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::POPCNT_I8x16),
                 /*MVT::v16i8*/39, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[v16i8] } V128:{ *:[v16i8] }:$v) - Complexity = 3
             // Dst: (POPCNT_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 16492*/  0, // EndSwitchType
/* 16493*/ /*SwitchOpcode*/ 22, TARGET_VAL(WebAssemblyISD::I64_ADD128),// ->16518
/* 16496*/  OPC_RecordChild0, // #0 = $a
/* 16497*/  OPC_CheckChild0TypeI64,
/* 16498*/  OPC_RecordChild1, // #1 = $b
/* 16499*/  OPC_CheckChild1TypeI64,
/* 16500*/  OPC_RecordChild2, // #2 = $c
/* 16501*/  OPC_CheckChild2TypeI64,
/* 16502*/  OPC_RecordChild3, // #3 = $d
/* 16503*/  OPC_CheckChild3TypeI64,
/* 16504*/  OPC_CheckTypeI64,
/* 16505*/  OPC_CheckTypeRes, 1, /*MVT::i64*/8, 
/* 16508*/  OPC_MorphNodeTo2None, TARGET_VAL(WebAssembly::I64_ADD128),
                /*MVT::i64*/8, /*MVT::i64*/8, 4/*#Ops*/, 0, 1, 2, 3, 
            // Src: (wasm_add128:{ *:[i64] }:{ *:[i64] } I64:{ *:[i64] }:$a, I64:{ *:[i64] }:$b, I64:{ *:[i64] }:$c, I64:{ *:[i64] }:$d) - Complexity = 3
            // Dst: (I64_ADD128:{ *:[i64] }:{ *:[i64] } ?:{ *:[i64] }:$a, ?:{ *:[i64] }:$b, ?:{ *:[i64] }:$c, ?:{ *:[i64] }:$d)
/* 16518*/ /*SwitchOpcode*/ 22, TARGET_VAL(WebAssemblyISD::I64_SUB128),// ->16543
/* 16521*/  OPC_RecordChild0, // #0 = $a
/* 16522*/  OPC_CheckChild0TypeI64,
/* 16523*/  OPC_RecordChild1, // #1 = $b
/* 16524*/  OPC_CheckChild1TypeI64,
/* 16525*/  OPC_RecordChild2, // #2 = $c
/* 16526*/  OPC_CheckChild2TypeI64,
/* 16527*/  OPC_RecordChild3, // #3 = $d
/* 16528*/  OPC_CheckChild3TypeI64,
/* 16529*/  OPC_CheckTypeI64,
/* 16530*/  OPC_CheckTypeRes, 1, /*MVT::i64*/8, 
/* 16533*/  OPC_MorphNodeTo2None, TARGET_VAL(WebAssembly::I64_SUB128),
                /*MVT::i64*/8, /*MVT::i64*/8, 4/*#Ops*/, 0, 1, 2, 3, 
            // Src: (wasm_sub128:{ *:[i64] }:{ *:[i64] } I64:{ *:[i64] }:$a, I64:{ *:[i64] }:$b, I64:{ *:[i64] }:$c, I64:{ *:[i64] }:$d) - Complexity = 3
            // Dst: (I64_SUB128:{ *:[i64] }:{ *:[i64] } ?:{ *:[i64] }:$a, ?:{ *:[i64] }:$b, ?:{ *:[i64] }:$c, ?:{ *:[i64] }:$d)
/* 16543*/ /*SwitchOpcode*/ 16, TARGET_VAL(WebAssemblyISD::I64_MUL_WIDE_S),// ->16562
/* 16546*/  OPC_RecordChild0, // #0 = $x
/* 16547*/  OPC_CheckChild0TypeI64,
/* 16548*/  OPC_RecordChild1, // #1 = $y
/* 16549*/  OPC_CheckChild1TypeI64,
/* 16550*/  OPC_CheckTypeI64,
/* 16551*/  OPC_CheckTypeRes, 1, /*MVT::i64*/8, 
/* 16554*/  OPC_MorphNodeTo2None, TARGET_VAL(WebAssembly::I64_MUL_WIDE_S),
                /*MVT::i64*/8, /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_mul_wide_s:{ *:[i64] }:{ *:[i64] } I64:{ *:[i64] }:$x, I64:{ *:[i64] }:$y) - Complexity = 3
            // Dst: (I64_MUL_WIDE_S:{ *:[i64] }:{ *:[i64] } ?:{ *:[i64] }:$x, ?:{ *:[i64] }:$y)
/* 16562*/ /*SwitchOpcode*/ 16, TARGET_VAL(WebAssemblyISD::I64_MUL_WIDE_U),// ->16581
/* 16565*/  OPC_RecordChild0, // #0 = $x
/* 16566*/  OPC_CheckChild0TypeI64,
/* 16567*/  OPC_RecordChild1, // #1 = $y
/* 16568*/  OPC_CheckChild1TypeI64,
/* 16569*/  OPC_CheckTypeI64,
/* 16570*/  OPC_CheckTypeRes, 1, /*MVT::i64*/8, 
/* 16573*/  OPC_MorphNodeTo2None, TARGET_VAL(WebAssembly::I64_MUL_WIDE_U),
                /*MVT::i64*/8, /*MVT::i64*/8, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_mul_wide_u:{ *:[i64] }:{ *:[i64] } I64:{ *:[i64] }:$x, I64:{ *:[i64] }:$y) - Complexity = 3
            // Dst: (I64_MUL_WIDE_U:{ *:[i64] }:{ *:[i64] } ?:{ *:[i64] }:$x, ?:{ *:[i64] }:$y)
/* 16581*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::TRUNCATE),// ->16591
/* 16584*/  OPC_RecordChild0, // #0 = $src
/* 16585*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_WRAP_I64),
                /*MVT::i32*/7, 1/*#Ops*/, 0, 
            // Src: (trunc:{ *:[i32] } I64:{ *:[i64] }:$src) - Complexity = 3
            // Dst: (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$src)
/* 16591*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::SIGN_EXTEND),// ->16601
/* 16594*/  OPC_RecordChild0, // #0 = $src
/* 16595*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_EXTEND_S_I32),
                /*MVT::i64*/8, 1/*#Ops*/, 0, 
            // Src: (sext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
            // Dst: (I64_EXTEND_S_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/* 16601*/ /*SwitchOpcode*/ 121, TARGET_VAL(ISD::FP_TO_SINT),// ->16725
/* 16604*/  OPC_RecordChild0, // #0 = $src
/* 16605*/  OPC_Scope, 48, /*->16655*/ // 4 children in Scope
/* 16607*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 16609*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->16632
/* 16612*/    OPC_Scope, 8, /*->16622*/ // 2 children in Scope
/* 16614*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16616*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_S_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16622*/    /*Scope*/ 8, /*->16631*/
/* 16623*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16625*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_SINT_I32_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I32_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16631*/    0, /*End of Scope*/
/* 16632*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->16654
/* 16634*/    OPC_Scope, 8, /*->16644*/ // 2 children in Scope
/* 16636*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16638*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_S_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16644*/    /*Scope*/ 8, /*->16653*/
/* 16645*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16647*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_SINT_I64_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I64_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16653*/    0, /*End of Scope*/
/* 16654*/   0, // EndSwitchType
/* 16655*/  /*Scope*/ 48, /*->16704*/
/* 16656*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 16658*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->16681
/* 16661*/    OPC_Scope, 8, /*->16671*/ // 2 children in Scope
/* 16663*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16665*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_S_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 16671*/    /*Scope*/ 8, /*->16680*/
/* 16672*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16674*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_SINT_I32_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I32_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 16680*/    0, /*End of Scope*/
/* 16681*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->16703
/* 16683*/    OPC_Scope, 8, /*->16693*/ // 2 children in Scope
/* 16685*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16687*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_S_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 16693*/    /*Scope*/ 8, /*->16702*/
/* 16694*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16696*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_SINT_I64_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I64_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 16702*/    0, /*End of Scope*/
/* 16703*/   0, // EndSwitchType
/* 16704*/  /*Scope*/ 9, /*->16714*/
/* 16705*/   OPC_CheckType, /*MVT::v4i32*/60, 
/* 16707*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 16708*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_sint_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (fp_to_sint:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
             // Dst: (fp_to_sint_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 16714*/  /*Scope*/ 9, /*->16724*/
/* 16715*/   OPC_CheckType, /*MVT::v8i16*/50, 
/* 16717*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 16718*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_sint_I16x8),
                 /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
             // Src: (fp_to_sint:{ *:[v8i16] } V128:{ *:[v8f16] }:$vec) - Complexity = 3
             // Dst: (fp_to_sint_I16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$vec)
/* 16724*/  0, /*End of Scope*/
/* 16725*/ /*SwitchOpcode*/ 121, TARGET_VAL(ISD::FP_TO_UINT),// ->16849
/* 16728*/  OPC_RecordChild0, // #0 = $src
/* 16729*/  OPC_Scope, 48, /*->16779*/ // 4 children in Scope
/* 16731*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 16733*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->16756
/* 16736*/    OPC_Scope, 8, /*->16746*/ // 2 children in Scope
/* 16738*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16740*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_U_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16746*/    /*Scope*/ 8, /*->16755*/
/* 16747*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16749*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_UINT_I32_F32),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I32_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16755*/    0, /*End of Scope*/
/* 16756*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->16778
/* 16758*/    OPC_Scope, 8, /*->16768*/ // 2 children in Scope
/* 16760*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16762*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_U_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16768*/    /*Scope*/ 8, /*->16777*/
/* 16769*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16771*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_UINT_I64_F32),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I64_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16777*/    0, /*End of Scope*/
/* 16778*/   0, // EndSwitchType
/* 16779*/  /*Scope*/ 48, /*->16828*/
/* 16780*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 16782*/   OPC_SwitchType /*2 cases */, 20, /*MVT::i32*/7, // ->16805
/* 16785*/    OPC_Scope, 8, /*->16795*/ // 2 children in Scope
/* 16787*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16789*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_U_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 16795*/    /*Scope*/ 8, /*->16804*/
/* 16796*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16798*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_UINT_I32_F64),
                   /*MVT::i32*/7, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I32_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 16804*/    0, /*End of Scope*/
/* 16805*/   /*SwitchType*/ 20, /*MVT::i64*/8, // ->16827
/* 16807*/    OPC_Scope, 8, /*->16817*/ // 2 children in Scope
/* 16809*/     OPC_CheckPatternPredicate, 9, // (Subtarget->hasNontrappingFPToInt())
/* 16811*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_U_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 16817*/    /*Scope*/ 8, /*->16826*/
/* 16818*/     OPC_CheckPatternPredicate, 10, // (!Subtarget->hasNontrappingFPToInt())
/* 16820*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FP_TO_UINT_I64_F64),
                   /*MVT::i64*/8, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I64_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 16826*/    0, /*End of Scope*/
/* 16827*/   0, // EndSwitchType
/* 16828*/  /*Scope*/ 9, /*->16838*/
/* 16829*/   OPC_CheckType, /*MVT::v4i32*/60, 
/* 16831*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 16832*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_uint_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (fp_to_uint:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
             // Dst: (fp_to_uint_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 16838*/  /*Scope*/ 9, /*->16848*/
/* 16839*/   OPC_CheckType, /*MVT::v8i16*/50, 
/* 16841*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 16842*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_uint_I16x8),
                 /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
             // Src: (fp_to_uint:{ *:[v8i16] } V128:{ *:[v8f16] }:$vec) - Complexity = 3
             // Dst: (fp_to_uint_I16x8:{ *:[v8i16] } V128:{ *:[v8f16] }:$vec)
/* 16848*/  0, /*End of Scope*/
/* 16849*/ /*SwitchOpcode*/ 87, TARGET_VAL(ISD::FP_TO_SINT_SAT),// ->16939
/* 16852*/  OPC_RecordChild0, // #0 = $src
/* 16853*/  OPC_Scope, 27, /*->16882*/ // 3 children in Scope
/* 16855*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 16857*/   OPC_MoveChild1,
/* 16858*/   OPC_Scope, 10, /*->16870*/ // 2 children in Scope
/* 16860*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 16862*/    OPC_MoveParent,
/* 16863*/    OPC_CheckTypeI32,
/* 16864*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i32] } F32:{ *:[f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_S_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16870*/   /*Scope*/ 10, /*->16881*/
/* 16871*/    OPC_CheckValueType, /*MVT::i64*/8, 
/* 16873*/    OPC_MoveParent,
/* 16874*/    OPC_CheckTypeI64,
/* 16875*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F32),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i64] } F32:{ *:[f32] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_S_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16881*/   0, /*End of Scope*/
/* 16882*/  /*Scope*/ 27, /*->16910*/
/* 16883*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 16885*/   OPC_MoveChild1,
/* 16886*/   OPC_Scope, 10, /*->16898*/ // 2 children in Scope
/* 16888*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 16890*/    OPC_MoveParent,
/* 16891*/    OPC_CheckTypeI32,
/* 16892*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F64),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i32] } F64:{ *:[f64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_S_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 16898*/   /*Scope*/ 10, /*->16909*/
/* 16899*/    OPC_CheckValueType, /*MVT::i64*/8, 
/* 16901*/    OPC_MoveParent,
/* 16902*/    OPC_CheckTypeI64,
/* 16903*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i64] } F64:{ *:[f64] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_S_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 16909*/   0, /*End of Scope*/
/* 16910*/  /*Scope*/ 27, /*->16938*/
/* 16911*/   OPC_MoveChild1,
/* 16912*/   OPC_Scope, 11, /*->16925*/ // 2 children in Scope
/* 16914*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 16916*/    OPC_MoveParent,
/* 16917*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 16919*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_sint_I32x4),
                  /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[v4i32] } V128:{ *:[v4f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (fp_to_sint_I32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$src)
/* 16925*/   /*Scope*/ 11, /*->16937*/
/* 16926*/    OPC_CheckValueType, /*MVT::i16*/6, 
/* 16928*/    OPC_MoveParent,
/* 16929*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 16931*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_sint_I16x8),
                  /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[v8i16] } V128:{ *:[v8f16] }:$src, i16:{ *:[Other] }) - Complexity = 3
              // Dst: (fp_to_sint_I16x8:{ *:[v8i16] } ?:{ *:[v8f16] }:$src)
/* 16937*/   0, /*End of Scope*/
/* 16938*/  0, /*End of Scope*/
/* 16939*/ /*SwitchOpcode*/ 87, TARGET_VAL(ISD::FP_TO_UINT_SAT),// ->17029
/* 16942*/  OPC_RecordChild0, // #0 = $src
/* 16943*/  OPC_Scope, 27, /*->16972*/ // 3 children in Scope
/* 16945*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 16947*/   OPC_MoveChild1,
/* 16948*/   OPC_Scope, 10, /*->16960*/ // 2 children in Scope
/* 16950*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 16952*/    OPC_MoveParent,
/* 16953*/    OPC_CheckTypeI32,
/* 16954*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F32),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i32] } F32:{ *:[f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_U_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 16960*/   /*Scope*/ 10, /*->16971*/
/* 16961*/    OPC_CheckValueType, /*MVT::i64*/8, 
/* 16963*/    OPC_MoveParent,
/* 16964*/    OPC_CheckTypeI64,
/* 16965*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F32),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i64] } F32:{ *:[f32] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_U_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 16971*/   0, /*End of Scope*/
/* 16972*/  /*Scope*/ 27, /*->17000*/
/* 16973*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 16975*/   OPC_MoveChild1,
/* 16976*/   OPC_Scope, 10, /*->16988*/ // 2 children in Scope
/* 16978*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 16980*/    OPC_MoveParent,
/* 16981*/    OPC_CheckTypeI32,
/* 16982*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F64),
                  /*MVT::i32*/7, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i32] } F64:{ *:[f64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_U_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 16988*/   /*Scope*/ 10, /*->16999*/
/* 16989*/    OPC_CheckValueType, /*MVT::i64*/8, 
/* 16991*/    OPC_MoveParent,
/* 16992*/    OPC_CheckTypeI64,
/* 16993*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F64),
                  /*MVT::i64*/8, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i64] } F64:{ *:[f64] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_U_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 16999*/   0, /*End of Scope*/
/* 17000*/  /*Scope*/ 27, /*->17028*/
/* 17001*/   OPC_MoveChild1,
/* 17002*/   OPC_Scope, 11, /*->17015*/ // 2 children in Scope
/* 17004*/    OPC_CheckValueType, /*MVT::i32*/7, 
/* 17006*/    OPC_MoveParent,
/* 17007*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 17009*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_uint_I32x4),
                  /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[v4i32] } V128:{ *:[v4f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (fp_to_uint_I32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$src)
/* 17015*/   /*Scope*/ 11, /*->17027*/
/* 17016*/    OPC_CheckValueType, /*MVT::i16*/6, 
/* 17018*/    OPC_MoveParent,
/* 17019*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 17021*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::fp_to_uint_I16x8),
                  /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[v8i16] } V128:{ *:[v8f16] }:$src, i16:{ *:[Other] }) - Complexity = 3
              // Dst: (fp_to_uint_I16x8:{ *:[v8i16] } ?:{ *:[v8f16] }:$src)
/* 17027*/   0, /*End of Scope*/
/* 17028*/  0, /*End of Scope*/
/* 17029*/ /*SwitchOpcode*/ 39|128,2/*295*/, TARGET_VAL(ISD::BITCAST),// ->17328
/* 17033*/  OPC_RecordChild0, // #0 = $src
/* 17034*/  OPC_Scope, 9, /*->17045*/ // 11 children in Scope
/* 17036*/   OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 17038*/   OPC_CheckTypeI32,
/* 17039*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I32_REINTERPRET_F32),
                 /*MVT::i32*/7, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (I32_REINTERPRET_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 17045*/  /*Scope*/ 9, /*->17055*/
/* 17046*/   OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 17048*/   OPC_CheckTypeI64,
/* 17049*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::I64_REINTERPRET_F64),
                 /*MVT::i64*/8, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (I64_REINTERPRET_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 17055*/  /*Scope*/ 9, /*->17065*/
/* 17056*/   OPC_CheckChild0TypeI32,
/* 17057*/   OPC_CheckType, /*MVT::f32*/12, 
/* 17059*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_REINTERPRET_I32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (F32_REINTERPRET_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 17065*/  /*Scope*/ 9, /*->17075*/
/* 17066*/   OPC_CheckChild0TypeI64,
/* 17067*/   OPC_CheckType, /*MVT::f64*/13, 
/* 17069*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_REINTERPRET_I64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (F64_REINTERPRET_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 17075*/  /*Scope*/ 35, /*->17111*/
/* 17076*/   OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 17078*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/39, // ->17084
/* 17081*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17084*/   /*SwitchType*/ 3, /*MVT::v4i32*/60, // ->17089
/* 17086*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17089*/   /*SwitchType*/ 3, /*MVT::v2i64*/78, // ->17094
/* 17091*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17094*/   /*SwitchType*/ 3, /*MVT::v4f32*/111, // ->17099
/* 17096*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17099*/   /*SwitchType*/ 3, /*MVT::v2f64*/1|128,1/*129*/, // ->17105
/* 17102*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17105*/   /*SwitchType*/ 3, /*MVT::v8f16*/92, // ->17110
/* 17107*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17110*/   0, // EndSwitchType
/* 17111*/  /*Scope*/ 35, /*->17147*/
/* 17112*/   OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 17114*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/39, // ->17120
/* 17117*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17120*/   /*SwitchType*/ 3, /*MVT::v8i16*/50, // ->17125
/* 17122*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17125*/   /*SwitchType*/ 3, /*MVT::v2i64*/78, // ->17130
/* 17127*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17130*/   /*SwitchType*/ 3, /*MVT::v4f32*/111, // ->17135
/* 17132*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17135*/   /*SwitchType*/ 3, /*MVT::v2f64*/1|128,1/*129*/, // ->17141
/* 17138*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17141*/   /*SwitchType*/ 3, /*MVT::v8f16*/92, // ->17146
/* 17143*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17146*/   0, // EndSwitchType
/* 17147*/  /*Scope*/ 35, /*->17183*/
/* 17148*/   OPC_CheckChild0Type, /*MVT::v2i64*/78, 
/* 17150*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/39, // ->17156
/* 17153*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17156*/   /*SwitchType*/ 3, /*MVT::v8i16*/50, // ->17161
/* 17158*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17161*/   /*SwitchType*/ 3, /*MVT::v4i32*/60, // ->17166
/* 17163*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17166*/   /*SwitchType*/ 3, /*MVT::v4f32*/111, // ->17171
/* 17168*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17171*/   /*SwitchType*/ 3, /*MVT::v2f64*/1|128,1/*129*/, // ->17177
/* 17174*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17177*/   /*SwitchType*/ 3, /*MVT::v8f16*/92, // ->17182
/* 17179*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17182*/   0, // EndSwitchType
/* 17183*/  /*Scope*/ 35, /*->17219*/
/* 17184*/   OPC_CheckChild0Type, /*MVT::v4f32*/111, 
/* 17186*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/39, // ->17192
/* 17189*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17192*/   /*SwitchType*/ 3, /*MVT::v8i16*/50, // ->17197
/* 17194*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17197*/   /*SwitchType*/ 3, /*MVT::v4i32*/60, // ->17202
/* 17199*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17202*/   /*SwitchType*/ 3, /*MVT::v2i64*/78, // ->17207
/* 17204*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17207*/   /*SwitchType*/ 3, /*MVT::v2f64*/1|128,1/*129*/, // ->17213
/* 17210*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17213*/   /*SwitchType*/ 3, /*MVT::v8f16*/92, // ->17218
/* 17215*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17218*/   0, // EndSwitchType
/* 17219*/  /*Scope*/ 35, /*->17255*/
/* 17220*/   OPC_CheckChild0Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 17223*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/39, // ->17229
/* 17226*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17229*/   /*SwitchType*/ 3, /*MVT::v8i16*/50, // ->17234
/* 17231*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17234*/   /*SwitchType*/ 3, /*MVT::v4i32*/60, // ->17239
/* 17236*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17239*/   /*SwitchType*/ 3, /*MVT::v2i64*/78, // ->17244
/* 17241*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17244*/   /*SwitchType*/ 3, /*MVT::v4f32*/111, // ->17249
/* 17246*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17249*/   /*SwitchType*/ 3, /*MVT::v8f16*/92, // ->17254
/* 17251*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17254*/   0, // EndSwitchType
/* 17255*/  /*Scope*/ 35, /*->17291*/
/* 17256*/   OPC_CheckChild0Type, /*MVT::v8f16*/92, 
/* 17258*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v16i8*/39, // ->17264
/* 17261*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 17264*/   /*SwitchType*/ 3, /*MVT::v8i16*/50, // ->17269
/* 17266*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17269*/   /*SwitchType*/ 3, /*MVT::v4i32*/60, // ->17274
/* 17271*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17274*/   /*SwitchType*/ 3, /*MVT::v2i64*/78, // ->17279
/* 17276*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17279*/   /*SwitchType*/ 3, /*MVT::v4f32*/111, // ->17284
/* 17281*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17284*/   /*SwitchType*/ 3, /*MVT::v2f64*/1|128,1/*129*/, // ->17290
/* 17287*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v8f16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17290*/   0, // EndSwitchType
/* 17291*/  /*Scope*/ 35, /*->17327*/
/* 17292*/   OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 17294*/   OPC_SwitchType /*6 cases */, 3, /*MVT::v8i16*/50, // ->17300
/* 17297*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 17300*/   /*SwitchType*/ 3, /*MVT::v4i32*/60, // ->17305
/* 17302*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 17305*/   /*SwitchType*/ 3, /*MVT::v2i64*/78, // ->17310
/* 17307*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 17310*/   /*SwitchType*/ 3, /*MVT::v4f32*/111, // ->17315
/* 17312*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 17315*/   /*SwitchType*/ 3, /*MVT::v2f64*/1|128,1/*129*/, // ->17321
/* 17318*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 17321*/   /*SwitchType*/ 3, /*MVT::v8f16*/92, // ->17326
/* 17323*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8f16] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8f16] }:$v
/* 17326*/   0, // EndSwitchType
/* 17327*/  0, /*End of Scope*/
/* 17328*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::ConstantFP),// ->17352
/* 17331*/  OPC_RecordNode, // #0 = $imm
/* 17332*/  OPC_SwitchType /*2 cases */, 7, /*MVT::f32*/12, // ->17342
/* 17335*/   OPC_EmitConvertToTarget0, // #1
/* 17336*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 1, 
             // Src: (fpimm:{ *:[f32] }):$imm - Complexity = 3
             // Dst: (CONST_F32:{ *:[f32] } (fpimm:{ *:[f32] }):$imm)
/* 17342*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->17351
/* 17344*/   OPC_EmitConvertToTarget0, // #1
/* 17345*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 1, 
             // Src: (fpimm:{ *:[f64] }):$imm - Complexity = 3
             // Dst: (CONST_F64:{ *:[f64] } (fpimm:{ *:[f64] }):$imm)
/* 17351*/  0, // EndSwitchType
/* 17352*/ /*SwitchOpcode*/ 63, TARGET_VAL(ISD::SINT_TO_FP),// ->17418
/* 17355*/  OPC_RecordChild0, // #0 = $src
/* 17356*/  OPC_Scope, 19, /*->17377*/ // 4 children in Scope
/* 17358*/   OPC_CheckChild0TypeI32,
/* 17359*/   OPC_SwitchType /*2 cases */, 6, /*MVT::f32*/12, // ->17368
/* 17362*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_CONVERT_S_I32),
                  /*MVT::f32*/12, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_S_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 17368*/   /*SwitchType*/ 6, /*MVT::f64*/13, // ->17376
/* 17370*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_CONVERT_S_I32),
                  /*MVT::f64*/13, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f64] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_S_I32:{ *:[f64] } I32:{ *:[i32] }:$src)
/* 17376*/   0, // EndSwitchType
/* 17377*/  /*Scope*/ 19, /*->17397*/
/* 17378*/   OPC_CheckChild0TypeI64,
/* 17379*/   OPC_SwitchType /*2 cases */, 6, /*MVT::f32*/12, // ->17388
/* 17382*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_CONVERT_S_I64),
                  /*MVT::f32*/12, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f32] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_S_I64:{ *:[f32] } I64:{ *:[i64] }:$src)
/* 17388*/   /*SwitchType*/ 6, /*MVT::f64*/13, // ->17396
/* 17390*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_CONVERT_S_I64),
                  /*MVT::f64*/13, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_S_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 17396*/   0, // EndSwitchType
/* 17397*/  /*Scope*/ 9, /*->17407*/
/* 17398*/   OPC_CheckType, /*MVT::v4f32*/111, 
/* 17400*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17401*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::sint_to_fp_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (sint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (sint_to_fp_F32x4:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec)
/* 17407*/  /*Scope*/ 9, /*->17417*/
/* 17408*/   OPC_CheckType, /*MVT::v8f16*/92, 
/* 17410*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17411*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::sint_to_fp_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (sint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (sint_to_fp_F16x8:{ *:[v8f16] } V128:{ *:[v8i16] }:$vec)
/* 17417*/  0, /*End of Scope*/
/* 17418*/ /*SwitchOpcode*/ 63, TARGET_VAL(ISD::UINT_TO_FP),// ->17484
/* 17421*/  OPC_RecordChild0, // #0 = $src
/* 17422*/  OPC_Scope, 19, /*->17443*/ // 4 children in Scope
/* 17424*/   OPC_CheckChild0TypeI32,
/* 17425*/   OPC_SwitchType /*2 cases */, 6, /*MVT::f32*/12, // ->17434
/* 17428*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_CONVERT_U_I32),
                  /*MVT::f32*/12, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_U_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 17434*/   /*SwitchType*/ 6, /*MVT::f64*/13, // ->17442
/* 17436*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_CONVERT_U_I32),
                  /*MVT::f64*/13, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f64] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_U_I32:{ *:[f64] } I32:{ *:[i32] }:$src)
/* 17442*/   0, // EndSwitchType
/* 17443*/  /*Scope*/ 19, /*->17463*/
/* 17444*/   OPC_CheckChild0TypeI64,
/* 17445*/   OPC_SwitchType /*2 cases */, 6, /*MVT::f32*/12, // ->17454
/* 17448*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_CONVERT_U_I64),
                  /*MVT::f32*/12, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f32] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_U_I64:{ *:[f32] } I64:{ *:[i64] }:$src)
/* 17454*/   /*SwitchType*/ 6, /*MVT::f64*/13, // ->17462
/* 17456*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_CONVERT_U_I64),
                  /*MVT::f64*/13, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_U_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 17462*/   0, // EndSwitchType
/* 17463*/  /*Scope*/ 9, /*->17473*/
/* 17464*/   OPC_CheckType, /*MVT::v4f32*/111, 
/* 17466*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17467*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::uint_to_fp_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (uint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (uint_to_fp_F32x4:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec)
/* 17473*/  /*Scope*/ 9, /*->17483*/
/* 17474*/   OPC_CheckType, /*MVT::v8f16*/92, 
/* 17476*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17477*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::uint_to_fp_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (uint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (uint_to_fp_F16x8:{ *:[v8f16] } V128:{ *:[v8i16] }:$vec)
/* 17483*/  0, /*End of Scope*/
/* 17484*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::FP_EXTEND),// ->17494
/* 17487*/  OPC_RecordChild0, // #0 = $src
/* 17488*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F64_PROMOTE_F32),
                /*MVT::f64*/13, 1/*#Ops*/, 0, 
            // Src: (fpextend:{ *:[f64] } F32:{ *:[f32] }:$src) - Complexity = 3
            // Dst: (F64_PROMOTE_F32:{ *:[f64] } F32:{ *:[f32] }:$src)
/* 17494*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::FP_ROUND),// ->17504
/* 17497*/  OPC_RecordChild0, // #0 = $src
/* 17498*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::F32_DEMOTE_F64),
                /*MVT::f32*/12, 1/*#Ops*/, 0, 
            // Src: (fpround:{ *:[f32] } F64:{ *:[f64] }:$src) - Complexity = 3
            // Dst: (F32_DEMOTE_F64:{ *:[f32] } F64:{ *:[f64] }:$src)
/* 17504*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FADD),// ->17561
/* 17507*/  OPC_RecordChild0, // #0 = $lhs
/* 17508*/  OPC_RecordChild1, // #1 = $rhs
/* 17509*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->17519
/* 17512*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (ADD_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17519*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->17528
/* 17521*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (ADD_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 17528*/  /*SwitchType*/ 8, /*MVT::v4f32*/111, // ->17538
/* 17530*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17531*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F32x4),
                 /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (ADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 17538*/  /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->17550
/* 17541*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17542*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (ADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 17550*/  /*SwitchType*/ 8, /*MVT::v8f16*/92, // ->17560
/* 17552*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17553*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_F16x8),
                 /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (ADD_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 17560*/  0, // EndSwitchType
/* 17561*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FSUB),// ->17618
/* 17564*/  OPC_RecordChild0, // #0 = $lhs
/* 17565*/  OPC_RecordChild1, // #1 = $rhs
/* 17566*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->17576
/* 17569*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (SUB_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17576*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->17585
/* 17578*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (SUB_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 17585*/  /*SwitchType*/ 8, /*MVT::v4f32*/111, // ->17595
/* 17587*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17588*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F32x4),
                 /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (SUB_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 17595*/  /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->17607
/* 17598*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17599*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (SUB_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 17607*/  /*SwitchType*/ 8, /*MVT::v8f16*/92, // ->17617
/* 17609*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17610*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_F16x8),
                 /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (SUB_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 17617*/  0, // EndSwitchType
/* 17618*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FMUL),// ->17675
/* 17621*/  OPC_RecordChild0, // #0 = $lhs
/* 17622*/  OPC_RecordChild1, // #1 = $rhs
/* 17623*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->17633
/* 17626*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MUL_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17633*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->17642
/* 17635*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MUL_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 17642*/  /*SwitchType*/ 8, /*MVT::v4f32*/111, // ->17652
/* 17644*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17645*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F32x4),
                 /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MUL_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 17652*/  /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->17664
/* 17655*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17656*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MUL_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 17664*/  /*SwitchType*/ 8, /*MVT::v8f16*/92, // ->17674
/* 17666*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17667*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MUL_F16x8),
                 /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (MUL_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 17674*/  0, // EndSwitchType
/* 17675*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FDIV),// ->17732
/* 17678*/  OPC_RecordChild0, // #0 = $lhs
/* 17679*/  OPC_RecordChild1, // #1 = $rhs
/* 17680*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->17690
/* 17683*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (DIV_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17690*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->17699
/* 17692*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (DIV_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 17699*/  /*SwitchType*/ 8, /*MVT::v4f32*/111, // ->17709
/* 17701*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17702*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F32x4),
                 /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (DIV_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 17709*/  /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->17721
/* 17712*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17713*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (DIV_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 17721*/  /*SwitchType*/ 8, /*MVT::v8f16*/92, // ->17731
/* 17723*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17724*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DIV_F16x8),
                 /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (DIV_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 17731*/  0, // EndSwitchType
/* 17732*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FSQRT),// ->17783
/* 17735*/  OPC_RecordChild0, // #0 = $src
/* 17736*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->17745
/* 17739*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (SQRT_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 17745*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->17753
/* 17747*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (SQRT_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 17753*/  /*SwitchType*/ 7, /*MVT::v4f32*/111, // ->17762
/* 17755*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17756*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (SQRT_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 17762*/  /*SwitchType*/ 8, /*MVT::v2f64*/1|128,1/*129*/, // ->17773
/* 17765*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17766*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (SQRT_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 17773*/  /*SwitchType*/ 7, /*MVT::v8f16*/92, // ->17782
/* 17775*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17776*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SQRT_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (SQRT_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 17782*/  0, // EndSwitchType
/* 17783*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FABS),// ->17834
/* 17786*/  OPC_RecordChild0, // #0 = $src
/* 17787*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->17796
/* 17790*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (ABS_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 17796*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->17804
/* 17798*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (ABS_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 17804*/  /*SwitchType*/ 7, /*MVT::v4f32*/111, // ->17813
/* 17806*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17807*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (ABS_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 17813*/  /*SwitchType*/ 8, /*MVT::v2f64*/1|128,1/*129*/, // ->17824
/* 17816*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17817*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (ABS_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 17824*/  /*SwitchType*/ 7, /*MVT::v8f16*/92, // ->17833
/* 17826*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17827*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (ABS_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 17833*/  0, // EndSwitchType
/* 17834*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FNEG),// ->17885
/* 17837*/  OPC_RecordChild0, // #0 = $src
/* 17838*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->17847
/* 17841*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEG_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 17847*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->17855
/* 17849*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEG_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 17855*/  /*SwitchType*/ 7, /*MVT::v4f32*/111, // ->17864
/* 17857*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17858*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (NEG_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 17864*/  /*SwitchType*/ 8, /*MVT::v2f64*/1|128,1/*129*/, // ->17875
/* 17867*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17868*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (NEG_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 17875*/  /*SwitchType*/ 7, /*MVT::v8f16*/92, // ->17884
/* 17877*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17878*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEG_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (NEG_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 17884*/  0, // EndSwitchType
/* 17885*/ /*SwitchOpcode*/ 62, TARGET_VAL(ISD::FCOPYSIGN),// ->17950
/* 17888*/  OPC_RecordChild0, // #0 = $lhs
/* 17889*/  OPC_RecordChild1, // #1 = $rhs
/* 17890*/  OPC_Scope, 28, /*->17920*/ // 2 children in Scope
/* 17892*/   OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 17894*/   OPC_SwitchType /*2 cases */, 7, /*MVT::f32*/12, // ->17904
/* 17897*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::COPYSIGN_F32),
                  /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
              // Src: (fcopysign:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17904*/   /*SwitchType*/ 13, /*MVT::f64*/13, // ->17919
/* 17906*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::F64_PROMOTE_F32),
                  /*MVT::f64*/13, 1/*#Ops*/, 1,  // Results = #2
/* 17912*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::COPYSIGN_F64),
                  /*MVT::f64*/13, 2/*#Ops*/, 0, 2, 
              // Src: (fcopysign:{ *:[f64] } F64:{ *:[f64] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, (F64_PROMOTE_F32:{ *:[f64] } F32:{ *:[f32] }:$rhs))
/* 17919*/   0, // EndSwitchType
/* 17920*/  /*Scope*/ 28, /*->17949*/
/* 17921*/   OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 17923*/   OPC_SwitchType /*2 cases */, 7, /*MVT::f64*/13, // ->17933
/* 17926*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::COPYSIGN_F64),
                  /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
              // Src: (fcopysign:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 17933*/   /*SwitchType*/ 13, /*MVT::f32*/12, // ->17948
/* 17935*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::F32_DEMOTE_F64),
                  /*MVT::f32*/12, 1/*#Ops*/, 1,  // Results = #2
/* 17941*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::COPYSIGN_F32),
                  /*MVT::f32*/12, 2/*#Ops*/, 0, 2, 
              // Src: (fcopysign:{ *:[f32] } F32:{ *:[f32] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, (F32_DEMOTE_F64:{ *:[f32] } F64:{ *:[f64] }:$rhs))
/* 17948*/   0, // EndSwitchType
/* 17949*/  0, /*End of Scope*/
/* 17950*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FMINIMUM),// ->18007
/* 17953*/  OPC_RecordChild0, // #0 = $lhs
/* 17954*/  OPC_RecordChild1, // #1 = $rhs
/* 17955*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->17965
/* 17958*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MIN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 17965*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->17974
/* 17967*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MIN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 17974*/  /*SwitchType*/ 8, /*MVT::v4f32*/111, // ->17984
/* 17976*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17977*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F32x4),
                 /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 17984*/  /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->17996
/* 17987*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 17988*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 17996*/  /*SwitchType*/ 8, /*MVT::v8f16*/92, // ->18006
/* 17998*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 17999*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_F16x8),
                 /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (MIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 18006*/  0, // EndSwitchType
/* 18007*/ /*SwitchOpcode*/ 54, TARGET_VAL(ISD::FMAXIMUM),// ->18064
/* 18010*/  OPC_RecordChild0, // #0 = $lhs
/* 18011*/  OPC_RecordChild1, // #1 = $rhs
/* 18012*/  OPC_SwitchType /*5 cases */, 7, /*MVT::f32*/12, // ->18022
/* 18015*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F32),
                 /*MVT::f32*/12, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MAX_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 18022*/  /*SwitchType*/ 7, /*MVT::f64*/13, // ->18031
/* 18024*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F64),
                 /*MVT::f64*/13, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MAX_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 18031*/  /*SwitchType*/ 8, /*MVT::v4f32*/111, // ->18041
/* 18033*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18034*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F32x4),
                 /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 18041*/  /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->18053
/* 18044*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18045*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 18053*/  /*SwitchType*/ 8, /*MVT::v8f16*/92, // ->18063
/* 18055*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18056*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_F16x8),
                 /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 3
             // Dst: (MAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 18063*/  0, // EndSwitchType
/* 18064*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FCEIL),// ->18115
/* 18067*/  OPC_RecordChild0, // #0 = $src
/* 18068*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18077
/* 18071*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (CEIL_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18077*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18085
/* 18079*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (CEIL_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18085*/  /*SwitchType*/ 7, /*MVT::v4f32*/111, // ->18094
/* 18087*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18088*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (CEIL_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18094*/  /*SwitchType*/ 8, /*MVT::v2f64*/1|128,1/*129*/, // ->18105
/* 18097*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18098*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (CEIL_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18105*/  /*SwitchType*/ 7, /*MVT::v8f16*/92, // ->18114
/* 18107*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18108*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CEIL_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (CEIL_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18114*/  0, // EndSwitchType
/* 18115*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FFLOOR),// ->18166
/* 18118*/  OPC_RecordChild0, // #0 = $src
/* 18119*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18128
/* 18122*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (FLOOR_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18128*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18136
/* 18130*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (FLOOR_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18136*/  /*SwitchType*/ 7, /*MVT::v4f32*/111, // ->18145
/* 18138*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18139*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (FLOOR_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18145*/  /*SwitchType*/ 8, /*MVT::v2f64*/1|128,1/*129*/, // ->18156
/* 18148*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18149*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (FLOOR_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18156*/  /*SwitchType*/ 7, /*MVT::v8f16*/92, // ->18165
/* 18158*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18159*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::FLOOR_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (FLOOR_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18165*/  0, // EndSwitchType
/* 18166*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FTRUNC),// ->18217
/* 18169*/  OPC_RecordChild0, // #0 = $src
/* 18170*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18179
/* 18173*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (TRUNC_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18179*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18187
/* 18181*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (TRUNC_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18187*/  /*SwitchType*/ 7, /*MVT::v4f32*/111, // ->18196
/* 18189*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18190*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (TRUNC_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18196*/  /*SwitchType*/ 8, /*MVT::v2f64*/1|128,1/*129*/, // ->18207
/* 18199*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18200*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (TRUNC_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18207*/  /*SwitchType*/ 7, /*MVT::v8f16*/92, // ->18216
/* 18209*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18210*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::TRUNC_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (TRUNC_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18216*/  0, // EndSwitchType
/* 18217*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FNEARBYINT),// ->18268
/* 18220*/  OPC_RecordChild0, // #0 = $src
/* 18221*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18230
/* 18224*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 18230*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18238
/* 18232*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 18238*/  /*SwitchType*/ 7, /*MVT::v4f32*/111, // ->18247
/* 18240*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18241*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (NEAREST_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 18247*/  /*SwitchType*/ 8, /*MVT::v2f64*/1|128,1/*129*/, // ->18258
/* 18250*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18251*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (NEAREST_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 18258*/  /*SwitchType*/ 7, /*MVT::v8f16*/92, // ->18267
/* 18260*/   OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 18261*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$v) - Complexity = 3
             // Dst: (NEAREST_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$v)
/* 18267*/  0, // EndSwitchType
/* 18268*/ /*SwitchOpcode*/ 45, TARGET_VAL(ISD::FRINT),// ->18316
/* 18271*/  OPC_RecordChild0, // #0 = $src
/* 18272*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18281
/* 18275*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[f32] } f32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } f32:{ *:[f32] }:$src)
/* 18281*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18289
/* 18283*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[f64] } f64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } f64:{ *:[f64] }:$src)
/* 18289*/  /*SwitchType*/ 6, /*MVT::v4f32*/111, // ->18297
/* 18291*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[v4f32] } V128:{ *:[v4f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$src)
/* 18297*/  /*SwitchType*/ 7, /*MVT::v2f64*/1|128,1/*129*/, // ->18307
/* 18300*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[v2f64] } V128:{ *:[v2f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$src)
/* 18307*/  /*SwitchType*/ 6, /*MVT::v8f16*/92, // ->18315
/* 18309*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$src) - Complexity = 3
             // Dst: (NEAREST_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$src)
/* 18315*/  0, // EndSwitchType
/* 18316*/ /*SwitchOpcode*/ 45, TARGET_VAL(ISD::FROUNDEVEN),// ->18364
/* 18319*/  OPC_RecordChild0, // #0 = $src
/* 18320*/  OPC_SwitchType /*5 cases */, 6, /*MVT::f32*/12, // ->18329
/* 18323*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32),
                 /*MVT::f32*/12, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[f32] } f32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } f32:{ *:[f32] }:$src)
/* 18329*/  /*SwitchType*/ 6, /*MVT::f64*/13, // ->18337
/* 18331*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64),
                 /*MVT::f64*/13, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[f64] } f64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } f64:{ *:[f64] }:$src)
/* 18337*/  /*SwitchType*/ 6, /*MVT::v4f32*/111, // ->18345
/* 18339*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F32x4),
                 /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[v4f32] } V128:{ *:[v4f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$src)
/* 18345*/  /*SwitchType*/ 7, /*MVT::v2f64*/1|128,1/*129*/, // ->18355
/* 18348*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F64x2),
                 /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[v2f64] } V128:{ *:[v2f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$src)
/* 18355*/  /*SwitchType*/ 6, /*MVT::v8f16*/92, // ->18363
/* 18357*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NEAREST_F16x8),
                 /*MVT::v8f16*/92, 1/*#Ops*/, 0, 
             // Src: (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$src) - Complexity = 3
             // Dst: (NEAREST_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$src)
/* 18363*/  0, // EndSwitchType
/* 18364*/ /*SwitchOpcode*/ 22|128,3/*406*/, TARGET_VAL(ISD::BUILD_VECTOR),// ->18774
/* 18368*/  OPC_RecordChild0, // #0 = $i0
/* 18369*/  OPC_MoveChild0,
/* 18370*/  OPC_SwitchOpcode /*2 cases */, 73|128,2/*329*/, TARGET_VAL(ISD::Constant),// ->18704
/* 18375*/   OPC_SwitchType /*2 cases */, 47|128,2/*303*/, /*MVT::i32*/7, // ->18682
/* 18379*/    OPC_Scope, 51|128,1/*179*/, /*->18561*/ // 3 children in Scope
/* 18382*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18384*/     OPC_MoveSibling1,
/* 18385*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18388*/     OPC_RecordNode, // #1 = $i1
/* 18389*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18391*/     OPC_CheckTypeI32,
/* 18392*/     OPC_MoveSibling2,
/* 18393*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18396*/     OPC_RecordNode, // #2 = $i2
/* 18397*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18399*/     OPC_CheckTypeI32,
/* 18400*/     OPC_MoveSibling3,
/* 18401*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18404*/     OPC_RecordNode, // #3 = $i3
/* 18405*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18407*/     OPC_CheckTypeI32,
/* 18408*/     OPC_MoveSibling4,
/* 18409*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18412*/     OPC_RecordNode, // #4 = $i4
/* 18413*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18415*/     OPC_CheckTypeI32,
/* 18416*/     OPC_MoveSibling5,
/* 18417*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18420*/     OPC_RecordNode, // #5 = $i5
/* 18421*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18423*/     OPC_CheckTypeI32,
/* 18424*/     OPC_MoveSibling6,
/* 18425*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18428*/     OPC_RecordNode, // #6 = $i6
/* 18429*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18431*/     OPC_CheckTypeI32,
/* 18432*/     OPC_MoveSibling7,
/* 18433*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18436*/     OPC_RecordNode, // #7 = $i7
/* 18437*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18439*/     OPC_CheckTypeI32,
/* 18440*/     OPC_MoveSibling, 8,
/* 18442*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18445*/     OPC_RecordNode, // #8 = $i8
/* 18446*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18448*/     OPC_CheckTypeI32,
/* 18449*/     OPC_MoveSibling, 9,
/* 18451*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18454*/     OPC_RecordNode, // #9 = $i9
/* 18455*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18457*/     OPC_CheckTypeI32,
/* 18458*/     OPC_MoveSibling, 10,
/* 18460*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18463*/     OPC_RecordNode, // #10 = $iA
/* 18464*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18466*/     OPC_CheckTypeI32,
/* 18467*/     OPC_MoveSibling, 11,
/* 18469*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18472*/     OPC_RecordNode, // #11 = $iB
/* 18473*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18475*/     OPC_CheckTypeI32,
/* 18476*/     OPC_MoveSibling, 12,
/* 18478*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18481*/     OPC_RecordNode, // #12 = $iC
/* 18482*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18484*/     OPC_CheckTypeI32,
/* 18485*/     OPC_MoveSibling, 13,
/* 18487*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18490*/     OPC_RecordNode, // #13 = $iD
/* 18491*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18493*/     OPC_CheckTypeI32,
/* 18494*/     OPC_MoveSibling, 14,
/* 18496*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18499*/     OPC_RecordNode, // #14 = $iE
/* 18500*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18502*/     OPC_CheckTypeI32,
/* 18503*/     OPC_MoveSibling, 15,
/* 18505*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18508*/     OPC_RecordNode, // #15 = $iF
/* 18509*/     OPC_CheckPredicate, 9, // Predicate_ImmI8
/* 18511*/     OPC_CheckTypeI32,
/* 18512*/     OPC_MoveParent,
/* 18513*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 18515*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18516*/     OPC_EmitConvertToTarget0, // #16
/* 18517*/     OPC_EmitConvertToTarget1, // #17
/* 18518*/     OPC_EmitConvertToTarget2, // #18
/* 18519*/     OPC_EmitConvertToTarget3, // #19
/* 18520*/     OPC_EmitConvertToTarget4, // #20
/* 18521*/     OPC_EmitConvertToTarget5, // #21
/* 18522*/     OPC_EmitConvertToTarget6, // #22
/* 18523*/     OPC_EmitConvertToTarget7, // #23
/* 18524*/     OPC_EmitConvertToTarget, 8, // #24
/* 18526*/     OPC_EmitConvertToTarget, 9, // #25
/* 18528*/     OPC_EmitConvertToTarget, 10, // #26
/* 18530*/     OPC_EmitConvertToTarget, 11, // #27
/* 18532*/     OPC_EmitConvertToTarget, 12, // #28
/* 18534*/     OPC_EmitConvertToTarget, 13, // #29
/* 18536*/     OPC_EmitConvertToTarget, 14, // #30
/* 18538*/     OPC_EmitConvertToTarget, 15, // #31
/* 18540*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I8x16),
                   /*MVT::v16i8*/39, 16/*#Ops*/, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 
               // Src: (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i0, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i1, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i2, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i3, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i4, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i5, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i6, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i7, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i8, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i9, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iA, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iB, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iC, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iD, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iE, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iF) - Complexity = 67
               // Dst: (CONST_V128_I8x16:{ *:[v16i8] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3, (imm:{ *:[i32] }):$i4, (imm:{ *:[i32] }):$i5, (imm:{ *:[i32] }):$i6, (imm:{ *:[i32] }):$i7, (imm:{ *:[i32] }):$i8, (imm:{ *:[i32] }):$i9, (imm:{ *:[i32] }):$iA, (imm:{ *:[i32] }):$iB, (imm:{ *:[i32] }):$iC, (imm:{ *:[i32] }):$iD, (imm:{ *:[i32] }):$iE, (imm:{ *:[i32] }):$iF)
/* 18561*/    /*Scope*/ 83, /*->18645*/
/* 18562*/     OPC_CheckPredicate, 17, // Predicate_ImmI16
/* 18564*/     OPC_MoveSibling1,
/* 18565*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18568*/     OPC_RecordNode, // #1 = $i1
/* 18569*/     OPC_CheckPredicate, 17, // Predicate_ImmI16
/* 18571*/     OPC_CheckTypeI32,
/* 18572*/     OPC_MoveSibling2,
/* 18573*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18576*/     OPC_RecordNode, // #2 = $i2
/* 18577*/     OPC_CheckPredicate, 17, // Predicate_ImmI16
/* 18579*/     OPC_CheckTypeI32,
/* 18580*/     OPC_MoveSibling3,
/* 18581*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18584*/     OPC_RecordNode, // #3 = $i3
/* 18585*/     OPC_CheckPredicate, 17, // Predicate_ImmI16
/* 18587*/     OPC_CheckTypeI32,
/* 18588*/     OPC_MoveSibling4,
/* 18589*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18592*/     OPC_RecordNode, // #4 = $i4
/* 18593*/     OPC_CheckPredicate, 17, // Predicate_ImmI16
/* 18595*/     OPC_CheckTypeI32,
/* 18596*/     OPC_MoveSibling5,
/* 18597*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18600*/     OPC_RecordNode, // #5 = $i5
/* 18601*/     OPC_CheckPredicate, 17, // Predicate_ImmI16
/* 18603*/     OPC_CheckTypeI32,
/* 18604*/     OPC_MoveSibling6,
/* 18605*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18608*/     OPC_RecordNode, // #6 = $i6
/* 18609*/     OPC_CheckPredicate, 17, // Predicate_ImmI16
/* 18611*/     OPC_CheckTypeI32,
/* 18612*/     OPC_MoveSibling7,
/* 18613*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18616*/     OPC_RecordNode, // #7 = $i7
/* 18617*/     OPC_CheckPredicate, 17, // Predicate_ImmI16
/* 18619*/     OPC_CheckTypeI32,
/* 18620*/     OPC_MoveParent,
/* 18621*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 18623*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18624*/     OPC_EmitConvertToTarget0, // #8
/* 18625*/     OPC_EmitConvertToTarget1, // #9
/* 18626*/     OPC_EmitConvertToTarget2, // #10
/* 18627*/     OPC_EmitConvertToTarget3, // #11
/* 18628*/     OPC_EmitConvertToTarget4, // #12
/* 18629*/     OPC_EmitConvertToTarget5, // #13
/* 18630*/     OPC_EmitConvertToTarget6, // #14
/* 18631*/     OPC_EmitConvertToTarget7, // #15
/* 18632*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I16x8),
                   /*MVT::v8i16*/50, 8/*#Ops*/, 8, 9, 10, 11, 12, 13, 14, 15, 
               // Src: (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i0, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i1, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i2, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i3, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i4, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i5, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i6, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i7) - Complexity = 35
               // Dst: (CONST_V128_I16x8:{ *:[v8i16] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3, (imm:{ *:[i32] }):$i4, (imm:{ *:[i32] }):$i5, (imm:{ *:[i32] }):$i6, (imm:{ *:[i32] }):$i7)
/* 18645*/    /*Scope*/ 35, /*->18681*/
/* 18646*/     OPC_MoveSibling1,
/* 18647*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18650*/     OPC_RecordNode, // #1 = $i1
/* 18651*/     OPC_CheckTypeI32,
/* 18652*/     OPC_MoveSibling2,
/* 18653*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18656*/     OPC_RecordNode, // #2 = $i2
/* 18657*/     OPC_CheckTypeI32,
/* 18658*/     OPC_MoveSibling3,
/* 18659*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18662*/     OPC_RecordNode, // #3 = $i3
/* 18663*/     OPC_CheckTypeI32,
/* 18664*/     OPC_MoveParent,
/* 18665*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 18667*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18668*/     OPC_EmitConvertToTarget0, // #4
/* 18669*/     OPC_EmitConvertToTarget1, // #5
/* 18670*/     OPC_EmitConvertToTarget2, // #6
/* 18671*/     OPC_EmitConvertToTarget3, // #7
/* 18672*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I32x4),
                   /*MVT::v4i32*/60, 4/*#Ops*/, 4, 5, 6, 7, 
               // Src: (build_vector:{ *:[v4i32] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3) - Complexity = 15
               // Dst: (CONST_V128_I32x4:{ *:[v4i32] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3)
/* 18681*/    0, /*End of Scope*/
/* 18682*/   /*SwitchType*/ 19, /*MVT::i64*/8, // ->18703
/* 18684*/    OPC_MoveSibling1,
/* 18685*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18688*/    OPC_RecordNode, // #1 = $i1
/* 18689*/    OPC_CheckTypeI64,
/* 18690*/    OPC_MoveParent,
/* 18691*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 18693*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18694*/    OPC_EmitConvertToTarget0, // #2
/* 18695*/    OPC_EmitConvertToTarget1, // #3
/* 18696*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I64x2),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 2, 3, 
              // Src: (build_vector:{ *:[v2i64] } (imm:{ *:[i64] }):$i0, (imm:{ *:[i64] }):$i1) - Complexity = 9
              // Dst: (CONST_V128_I64x2:{ *:[v2i64] } (imm:{ *:[i64] }):$i0, (imm:{ *:[i64] }):$i1)
/* 18703*/   0, // EndSwitchType
/* 18704*/  /*SwitchOpcode*/ 66, TARGET_VAL(ISD::ConstantFP),// ->18773
/* 18707*/   OPC_SwitchType /*2 cases */, 38, /*MVT::f32*/12, // ->18748
/* 18710*/    OPC_MoveSibling1,
/* 18711*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 18714*/    OPC_RecordNode, // #1 = $i1
/* 18715*/    OPC_CheckType, /*MVT::f32*/12, 
/* 18717*/    OPC_MoveSibling2,
/* 18718*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 18721*/    OPC_RecordNode, // #2 = $i2
/* 18722*/    OPC_CheckType, /*MVT::f32*/12, 
/* 18724*/    OPC_MoveSibling3,
/* 18725*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 18728*/    OPC_RecordNode, // #3 = $i3
/* 18729*/    OPC_CheckType, /*MVT::f32*/12, 
/* 18731*/    OPC_MoveParent,
/* 18732*/    OPC_CheckType, /*MVT::v4f32*/111, 
/* 18734*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18735*/    OPC_EmitConvertToTarget0, // #4
/* 18736*/    OPC_EmitConvertToTarget1, // #5
/* 18737*/    OPC_EmitConvertToTarget2, // #6
/* 18738*/    OPC_EmitConvertToTarget3, // #7
/* 18739*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_F32x4),
                  /*MVT::v4f32*/111, 4/*#Ops*/, 4, 5, 6, 7, 
              // Src: (build_vector:{ *:[v4f32] } (fpimm:{ *:[f32] }):$i0, (fpimm:{ *:[f32] }):$i1, (fpimm:{ *:[f32] }):$i2, (fpimm:{ *:[f32] }):$i3) - Complexity = 15
              // Dst: (CONST_V128_F32x4:{ *:[v4f32] } (fpimm:{ *:[f32] }):$i0, (fpimm:{ *:[f32] }):$i1, (fpimm:{ *:[f32] }):$i2, (fpimm:{ *:[f32] }):$i3)
/* 18748*/   /*SwitchType*/ 22, /*MVT::f64*/13, // ->18772
/* 18750*/    OPC_MoveSibling1,
/* 18751*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 18754*/    OPC_RecordNode, // #1 = $i1
/* 18755*/    OPC_CheckType, /*MVT::f64*/13, 
/* 18757*/    OPC_MoveParent,
/* 18758*/    OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 18761*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 18762*/    OPC_EmitConvertToTarget0, // #2
/* 18763*/    OPC_EmitConvertToTarget1, // #3
/* 18764*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 2, 3, 
              // Src: (build_vector:{ *:[v2f64] } (fpimm:{ *:[f64] }):$i0, (fpimm:{ *:[f64] }):$i1) - Complexity = 9
              // Dst: (CONST_V128_F64x2:{ *:[v2f64] } (fpimm:{ *:[f64] }):$i0, (fpimm:{ *:[f64] }):$i1)
/* 18772*/   0, // EndSwitchType
/* 18773*/  0, // EndSwitchOpcode
/* 18774*/ /*SwitchOpcode*/ 92|128,18/*2396*/, TARGET_VAL(WebAssemblyISD::SHUFFLE),// ->21174
/* 18778*/  OPC_RecordChild0, // #0 = $x
/* 18779*/  OPC_Scope, 83|128,2/*339*/, /*->19121*/ // 7 children in Scope
/* 18782*/   OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 18784*/   OPC_RecordChild1, // #1 = $y
/* 18785*/   OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 18787*/   OPC_RecordChild2, // #2 = $m0
/* 18788*/   OPC_MoveChild2,
/* 18789*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->18963
/* 18794*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18795*/    OPC_CheckTypeI32,
/* 18796*/    OPC_MoveSibling3,
/* 18797*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18800*/    OPC_RecordNode, // #3 = $m1
/* 18801*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18802*/    OPC_CheckTypeI32,
/* 18803*/    OPC_MoveSibling4,
/* 18804*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18807*/    OPC_RecordNode, // #4 = $m2
/* 18808*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18809*/    OPC_CheckTypeI32,
/* 18810*/    OPC_MoveSibling5,
/* 18811*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18814*/    OPC_RecordNode, // #5 = $m3
/* 18815*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18816*/    OPC_CheckTypeI32,
/* 18817*/    OPC_MoveSibling6,
/* 18818*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18821*/    OPC_RecordNode, // #6 = $m4
/* 18822*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18823*/    OPC_CheckTypeI32,
/* 18824*/    OPC_MoveSibling7,
/* 18825*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18828*/    OPC_RecordNode, // #7 = $m5
/* 18829*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18830*/    OPC_CheckTypeI32,
/* 18831*/    OPC_MoveSibling, 8,
/* 18833*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18836*/    OPC_RecordNode, // #8 = $m6
/* 18837*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18838*/    OPC_CheckTypeI32,
/* 18839*/    OPC_MoveSibling, 9,
/* 18841*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18844*/    OPC_RecordNode, // #9 = $m7
/* 18845*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18846*/    OPC_CheckTypeI32,
/* 18847*/    OPC_MoveSibling, 10,
/* 18849*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18852*/    OPC_RecordNode, // #10 = $m8
/* 18853*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18854*/    OPC_CheckTypeI32,
/* 18855*/    OPC_MoveSibling, 11,
/* 18857*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18860*/    OPC_RecordNode, // #11 = $m9
/* 18861*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18862*/    OPC_CheckTypeI32,
/* 18863*/    OPC_MoveSibling, 12,
/* 18865*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18868*/    OPC_RecordNode, // #12 = $mA
/* 18869*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18870*/    OPC_CheckTypeI32,
/* 18871*/    OPC_MoveSibling, 13,
/* 18873*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18876*/    OPC_RecordNode, // #13 = $mB
/* 18877*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18878*/    OPC_CheckTypeI32,
/* 18879*/    OPC_MoveSibling, 14,
/* 18881*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18884*/    OPC_RecordNode, // #14 = $mC
/* 18885*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18886*/    OPC_CheckTypeI32,
/* 18887*/    OPC_MoveSibling, 15,
/* 18889*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18892*/    OPC_RecordNode, // #15 = $mD
/* 18893*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18894*/    OPC_CheckTypeI32,
/* 18895*/    OPC_MoveSibling, 16,
/* 18897*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18900*/    OPC_RecordNode, // #16 = $mE
/* 18901*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18902*/    OPC_CheckTypeI32,
/* 18903*/    OPC_MoveSibling, 17,
/* 18905*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18908*/    OPC_RecordNode, // #17 = $mF
/* 18909*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 18910*/    OPC_CheckTypeI32,
/* 18911*/    OPC_MoveParent,
/* 18912*/    OPC_CheckType, /*MVT::v16i8*/39, 
/* 18914*/    OPC_EmitConvertToTarget2, // #18
/* 18915*/    OPC_EmitConvertToTarget3, // #19
/* 18916*/    OPC_EmitConvertToTarget4, // #20
/* 18917*/    OPC_EmitConvertToTarget5, // #21
/* 18918*/    OPC_EmitConvertToTarget6, // #22
/* 18919*/    OPC_EmitConvertToTarget7, // #23
/* 18920*/    OPC_EmitConvertToTarget, 8, // #24
/* 18922*/    OPC_EmitConvertToTarget, 9, // #25
/* 18924*/    OPC_EmitConvertToTarget, 10, // #26
/* 18926*/    OPC_EmitConvertToTarget, 11, // #27
/* 18928*/    OPC_EmitConvertToTarget, 12, // #28
/* 18930*/    OPC_EmitConvertToTarget, 13, // #29
/* 18932*/    OPC_EmitConvertToTarget, 14, // #30
/* 18934*/    OPC_EmitConvertToTarget, 15, // #31
/* 18936*/    OPC_EmitConvertToTarget, 16, // #32
/* 18938*/    OPC_EmitConvertToTarget, 17, // #33
/* 18940*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v16i8*/39, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v16i8] } V128:{ *:[v16i8] }:$x, V128:{ *:[v16i8] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$x, ?:{ *:[v16i8] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 18963*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->19120
/* 18967*/    OPC_CheckTypeI32,
/* 18968*/    OPC_MoveSibling3,
/* 18969*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 18972*/    OPC_RecordNode, // #3 = $m1
/* 18973*/    OPC_CheckTypeI32,
/* 18974*/    OPC_MoveSibling4,
/* 18975*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 18978*/    OPC_RecordNode, // #4 = $m2
/* 18979*/    OPC_CheckTypeI32,
/* 18980*/    OPC_MoveSibling5,
/* 18981*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 18984*/    OPC_RecordNode, // #5 = $m3
/* 18985*/    OPC_CheckTypeI32,
/* 18986*/    OPC_MoveSibling6,
/* 18987*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 18990*/    OPC_RecordNode, // #6 = $m4
/* 18991*/    OPC_CheckTypeI32,
/* 18992*/    OPC_MoveSibling7,
/* 18993*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 18996*/    OPC_RecordNode, // #7 = $m5
/* 18997*/    OPC_CheckTypeI32,
/* 18998*/    OPC_MoveSibling, 8,
/* 19000*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19003*/    OPC_RecordNode, // #8 = $m6
/* 19004*/    OPC_CheckTypeI32,
/* 19005*/    OPC_MoveSibling, 9,
/* 19007*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19010*/    OPC_RecordNode, // #9 = $m7
/* 19011*/    OPC_CheckTypeI32,
/* 19012*/    OPC_MoveSibling, 10,
/* 19014*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19017*/    OPC_RecordNode, // #10 = $m8
/* 19018*/    OPC_CheckTypeI32,
/* 19019*/    OPC_MoveSibling, 11,
/* 19021*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19024*/    OPC_RecordNode, // #11 = $m9
/* 19025*/    OPC_CheckTypeI32,
/* 19026*/    OPC_MoveSibling, 12,
/* 19028*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19031*/    OPC_RecordNode, // #12 = $mA
/* 19032*/    OPC_CheckTypeI32,
/* 19033*/    OPC_MoveSibling, 13,
/* 19035*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19038*/    OPC_RecordNode, // #13 = $mB
/* 19039*/    OPC_CheckTypeI32,
/* 19040*/    OPC_MoveSibling, 14,
/* 19042*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19045*/    OPC_RecordNode, // #14 = $mC
/* 19046*/    OPC_CheckTypeI32,
/* 19047*/    OPC_MoveSibling, 15,
/* 19049*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19052*/    OPC_RecordNode, // #15 = $mD
/* 19053*/    OPC_CheckTypeI32,
/* 19054*/    OPC_MoveSibling, 16,
/* 19056*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19059*/    OPC_RecordNode, // #16 = $mE
/* 19060*/    OPC_CheckTypeI32,
/* 19061*/    OPC_MoveSibling, 17,
/* 19063*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19066*/    OPC_RecordNode, // #17 = $mF
/* 19067*/    OPC_CheckTypeI32,
/* 19068*/    OPC_MoveParent,
/* 19069*/    OPC_CheckType, /*MVT::v16i8*/39, 
/* 19071*/    OPC_EmitConvertToTarget2, // #18
/* 19072*/    OPC_EmitConvertToTarget3, // #19
/* 19073*/    OPC_EmitConvertToTarget4, // #20
/* 19074*/    OPC_EmitConvertToTarget5, // #21
/* 19075*/    OPC_EmitConvertToTarget6, // #22
/* 19076*/    OPC_EmitConvertToTarget7, // #23
/* 19077*/    OPC_EmitConvertToTarget, 8, // #24
/* 19079*/    OPC_EmitConvertToTarget, 9, // #25
/* 19081*/    OPC_EmitConvertToTarget, 10, // #26
/* 19083*/    OPC_EmitConvertToTarget, 11, // #27
/* 19085*/    OPC_EmitConvertToTarget, 12, // #28
/* 19087*/    OPC_EmitConvertToTarget, 13, // #29
/* 19089*/    OPC_EmitConvertToTarget, 14, // #30
/* 19091*/    OPC_EmitConvertToTarget, 15, // #31
/* 19093*/    OPC_EmitConvertToTarget, 16, // #32
/* 19095*/    OPC_EmitConvertToTarget, 17, // #33
/* 19097*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v16i8*/39, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v16i8] } V128:{ *:[v16i8] }:$x, V128:{ *:[v16i8] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$x, ?:{ *:[v16i8] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19120*/   0, // EndSwitchOpcode
/* 19121*/  /*Scope*/ 83|128,2/*339*/, /*->19462*/
/* 19123*/   OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 19125*/   OPC_RecordChild1, // #1 = $y
/* 19126*/   OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 19128*/   OPC_RecordChild2, // #2 = $m0
/* 19129*/   OPC_MoveChild2,
/* 19130*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->19304
/* 19135*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19136*/    OPC_CheckTypeI32,
/* 19137*/    OPC_MoveSibling3,
/* 19138*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19141*/    OPC_RecordNode, // #3 = $m1
/* 19142*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19143*/    OPC_CheckTypeI32,
/* 19144*/    OPC_MoveSibling4,
/* 19145*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19148*/    OPC_RecordNode, // #4 = $m2
/* 19149*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19150*/    OPC_CheckTypeI32,
/* 19151*/    OPC_MoveSibling5,
/* 19152*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19155*/    OPC_RecordNode, // #5 = $m3
/* 19156*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19157*/    OPC_CheckTypeI32,
/* 19158*/    OPC_MoveSibling6,
/* 19159*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19162*/    OPC_RecordNode, // #6 = $m4
/* 19163*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19164*/    OPC_CheckTypeI32,
/* 19165*/    OPC_MoveSibling7,
/* 19166*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19169*/    OPC_RecordNode, // #7 = $m5
/* 19170*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19171*/    OPC_CheckTypeI32,
/* 19172*/    OPC_MoveSibling, 8,
/* 19174*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19177*/    OPC_RecordNode, // #8 = $m6
/* 19178*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19179*/    OPC_CheckTypeI32,
/* 19180*/    OPC_MoveSibling, 9,
/* 19182*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19185*/    OPC_RecordNode, // #9 = $m7
/* 19186*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19187*/    OPC_CheckTypeI32,
/* 19188*/    OPC_MoveSibling, 10,
/* 19190*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19193*/    OPC_RecordNode, // #10 = $m8
/* 19194*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19195*/    OPC_CheckTypeI32,
/* 19196*/    OPC_MoveSibling, 11,
/* 19198*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19201*/    OPC_RecordNode, // #11 = $m9
/* 19202*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19203*/    OPC_CheckTypeI32,
/* 19204*/    OPC_MoveSibling, 12,
/* 19206*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19209*/    OPC_RecordNode, // #12 = $mA
/* 19210*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19211*/    OPC_CheckTypeI32,
/* 19212*/    OPC_MoveSibling, 13,
/* 19214*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19217*/    OPC_RecordNode, // #13 = $mB
/* 19218*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19219*/    OPC_CheckTypeI32,
/* 19220*/    OPC_MoveSibling, 14,
/* 19222*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19225*/    OPC_RecordNode, // #14 = $mC
/* 19226*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19227*/    OPC_CheckTypeI32,
/* 19228*/    OPC_MoveSibling, 15,
/* 19230*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19233*/    OPC_RecordNode, // #15 = $mD
/* 19234*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19235*/    OPC_CheckTypeI32,
/* 19236*/    OPC_MoveSibling, 16,
/* 19238*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19241*/    OPC_RecordNode, // #16 = $mE
/* 19242*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19243*/    OPC_CheckTypeI32,
/* 19244*/    OPC_MoveSibling, 17,
/* 19246*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19249*/    OPC_RecordNode, // #17 = $mF
/* 19250*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19251*/    OPC_CheckTypeI32,
/* 19252*/    OPC_MoveParent,
/* 19253*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 19255*/    OPC_EmitConvertToTarget2, // #18
/* 19256*/    OPC_EmitConvertToTarget3, // #19
/* 19257*/    OPC_EmitConvertToTarget4, // #20
/* 19258*/    OPC_EmitConvertToTarget5, // #21
/* 19259*/    OPC_EmitConvertToTarget6, // #22
/* 19260*/    OPC_EmitConvertToTarget7, // #23
/* 19261*/    OPC_EmitConvertToTarget, 8, // #24
/* 19263*/    OPC_EmitConvertToTarget, 9, // #25
/* 19265*/    OPC_EmitConvertToTarget, 10, // #26
/* 19267*/    OPC_EmitConvertToTarget, 11, // #27
/* 19269*/    OPC_EmitConvertToTarget, 12, // #28
/* 19271*/    OPC_EmitConvertToTarget, 13, // #29
/* 19273*/    OPC_EmitConvertToTarget, 14, // #30
/* 19275*/    OPC_EmitConvertToTarget, 15, // #31
/* 19277*/    OPC_EmitConvertToTarget, 16, // #32
/* 19279*/    OPC_EmitConvertToTarget, 17, // #33
/* 19281*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v8i16*/50, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v8i16] } V128:{ *:[v8i16] }:$x, V128:{ *:[v8i16] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v8i16] } ?:{ *:[v8i16] }:$x, ?:{ *:[v8i16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19304*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->19461
/* 19308*/    OPC_CheckTypeI32,
/* 19309*/    OPC_MoveSibling3,
/* 19310*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19313*/    OPC_RecordNode, // #3 = $m1
/* 19314*/    OPC_CheckTypeI32,
/* 19315*/    OPC_MoveSibling4,
/* 19316*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19319*/    OPC_RecordNode, // #4 = $m2
/* 19320*/    OPC_CheckTypeI32,
/* 19321*/    OPC_MoveSibling5,
/* 19322*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19325*/    OPC_RecordNode, // #5 = $m3
/* 19326*/    OPC_CheckTypeI32,
/* 19327*/    OPC_MoveSibling6,
/* 19328*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19331*/    OPC_RecordNode, // #6 = $m4
/* 19332*/    OPC_CheckTypeI32,
/* 19333*/    OPC_MoveSibling7,
/* 19334*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19337*/    OPC_RecordNode, // #7 = $m5
/* 19338*/    OPC_CheckTypeI32,
/* 19339*/    OPC_MoveSibling, 8,
/* 19341*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19344*/    OPC_RecordNode, // #8 = $m6
/* 19345*/    OPC_CheckTypeI32,
/* 19346*/    OPC_MoveSibling, 9,
/* 19348*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19351*/    OPC_RecordNode, // #9 = $m7
/* 19352*/    OPC_CheckTypeI32,
/* 19353*/    OPC_MoveSibling, 10,
/* 19355*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19358*/    OPC_RecordNode, // #10 = $m8
/* 19359*/    OPC_CheckTypeI32,
/* 19360*/    OPC_MoveSibling, 11,
/* 19362*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19365*/    OPC_RecordNode, // #11 = $m9
/* 19366*/    OPC_CheckTypeI32,
/* 19367*/    OPC_MoveSibling, 12,
/* 19369*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19372*/    OPC_RecordNode, // #12 = $mA
/* 19373*/    OPC_CheckTypeI32,
/* 19374*/    OPC_MoveSibling, 13,
/* 19376*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19379*/    OPC_RecordNode, // #13 = $mB
/* 19380*/    OPC_CheckTypeI32,
/* 19381*/    OPC_MoveSibling, 14,
/* 19383*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19386*/    OPC_RecordNode, // #14 = $mC
/* 19387*/    OPC_CheckTypeI32,
/* 19388*/    OPC_MoveSibling, 15,
/* 19390*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19393*/    OPC_RecordNode, // #15 = $mD
/* 19394*/    OPC_CheckTypeI32,
/* 19395*/    OPC_MoveSibling, 16,
/* 19397*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19400*/    OPC_RecordNode, // #16 = $mE
/* 19401*/    OPC_CheckTypeI32,
/* 19402*/    OPC_MoveSibling, 17,
/* 19404*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19407*/    OPC_RecordNode, // #17 = $mF
/* 19408*/    OPC_CheckTypeI32,
/* 19409*/    OPC_MoveParent,
/* 19410*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 19412*/    OPC_EmitConvertToTarget2, // #18
/* 19413*/    OPC_EmitConvertToTarget3, // #19
/* 19414*/    OPC_EmitConvertToTarget4, // #20
/* 19415*/    OPC_EmitConvertToTarget5, // #21
/* 19416*/    OPC_EmitConvertToTarget6, // #22
/* 19417*/    OPC_EmitConvertToTarget7, // #23
/* 19418*/    OPC_EmitConvertToTarget, 8, // #24
/* 19420*/    OPC_EmitConvertToTarget, 9, // #25
/* 19422*/    OPC_EmitConvertToTarget, 10, // #26
/* 19424*/    OPC_EmitConvertToTarget, 11, // #27
/* 19426*/    OPC_EmitConvertToTarget, 12, // #28
/* 19428*/    OPC_EmitConvertToTarget, 13, // #29
/* 19430*/    OPC_EmitConvertToTarget, 14, // #30
/* 19432*/    OPC_EmitConvertToTarget, 15, // #31
/* 19434*/    OPC_EmitConvertToTarget, 16, // #32
/* 19436*/    OPC_EmitConvertToTarget, 17, // #33
/* 19438*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v8i16*/50, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v8i16] } V128:{ *:[v8i16] }:$x, V128:{ *:[v8i16] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v8i16] } ?:{ *:[v8i16] }:$x, ?:{ *:[v8i16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19461*/   0, // EndSwitchOpcode
/* 19462*/  /*Scope*/ 83|128,2/*339*/, /*->19803*/
/* 19464*/   OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 19466*/   OPC_RecordChild1, // #1 = $y
/* 19467*/   OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 19469*/   OPC_RecordChild2, // #2 = $m0
/* 19470*/   OPC_MoveChild2,
/* 19471*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->19645
/* 19476*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19477*/    OPC_CheckTypeI32,
/* 19478*/    OPC_MoveSibling3,
/* 19479*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19482*/    OPC_RecordNode, // #3 = $m1
/* 19483*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19484*/    OPC_CheckTypeI32,
/* 19485*/    OPC_MoveSibling4,
/* 19486*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19489*/    OPC_RecordNode, // #4 = $m2
/* 19490*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19491*/    OPC_CheckTypeI32,
/* 19492*/    OPC_MoveSibling5,
/* 19493*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19496*/    OPC_RecordNode, // #5 = $m3
/* 19497*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19498*/    OPC_CheckTypeI32,
/* 19499*/    OPC_MoveSibling6,
/* 19500*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19503*/    OPC_RecordNode, // #6 = $m4
/* 19504*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19505*/    OPC_CheckTypeI32,
/* 19506*/    OPC_MoveSibling7,
/* 19507*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19510*/    OPC_RecordNode, // #7 = $m5
/* 19511*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19512*/    OPC_CheckTypeI32,
/* 19513*/    OPC_MoveSibling, 8,
/* 19515*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19518*/    OPC_RecordNode, // #8 = $m6
/* 19519*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19520*/    OPC_CheckTypeI32,
/* 19521*/    OPC_MoveSibling, 9,
/* 19523*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19526*/    OPC_RecordNode, // #9 = $m7
/* 19527*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19528*/    OPC_CheckTypeI32,
/* 19529*/    OPC_MoveSibling, 10,
/* 19531*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19534*/    OPC_RecordNode, // #10 = $m8
/* 19535*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19536*/    OPC_CheckTypeI32,
/* 19537*/    OPC_MoveSibling, 11,
/* 19539*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19542*/    OPC_RecordNode, // #11 = $m9
/* 19543*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19544*/    OPC_CheckTypeI32,
/* 19545*/    OPC_MoveSibling, 12,
/* 19547*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19550*/    OPC_RecordNode, // #12 = $mA
/* 19551*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19552*/    OPC_CheckTypeI32,
/* 19553*/    OPC_MoveSibling, 13,
/* 19555*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19558*/    OPC_RecordNode, // #13 = $mB
/* 19559*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19560*/    OPC_CheckTypeI32,
/* 19561*/    OPC_MoveSibling, 14,
/* 19563*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19566*/    OPC_RecordNode, // #14 = $mC
/* 19567*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19568*/    OPC_CheckTypeI32,
/* 19569*/    OPC_MoveSibling, 15,
/* 19571*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19574*/    OPC_RecordNode, // #15 = $mD
/* 19575*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19576*/    OPC_CheckTypeI32,
/* 19577*/    OPC_MoveSibling, 16,
/* 19579*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19582*/    OPC_RecordNode, // #16 = $mE
/* 19583*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19584*/    OPC_CheckTypeI32,
/* 19585*/    OPC_MoveSibling, 17,
/* 19587*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19590*/    OPC_RecordNode, // #17 = $mF
/* 19591*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19592*/    OPC_CheckTypeI32,
/* 19593*/    OPC_MoveParent,
/* 19594*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 19596*/    OPC_EmitConvertToTarget2, // #18
/* 19597*/    OPC_EmitConvertToTarget3, // #19
/* 19598*/    OPC_EmitConvertToTarget4, // #20
/* 19599*/    OPC_EmitConvertToTarget5, // #21
/* 19600*/    OPC_EmitConvertToTarget6, // #22
/* 19601*/    OPC_EmitConvertToTarget7, // #23
/* 19602*/    OPC_EmitConvertToTarget, 8, // #24
/* 19604*/    OPC_EmitConvertToTarget, 9, // #25
/* 19606*/    OPC_EmitConvertToTarget, 10, // #26
/* 19608*/    OPC_EmitConvertToTarget, 11, // #27
/* 19610*/    OPC_EmitConvertToTarget, 12, // #28
/* 19612*/    OPC_EmitConvertToTarget, 13, // #29
/* 19614*/    OPC_EmitConvertToTarget, 14, // #30
/* 19616*/    OPC_EmitConvertToTarget, 15, // #31
/* 19618*/    OPC_EmitConvertToTarget, 16, // #32
/* 19620*/    OPC_EmitConvertToTarget, 17, // #33
/* 19622*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v4i32*/60, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v4i32] } V128:{ *:[v4i32] }:$x, V128:{ *:[v4i32] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v4i32] } ?:{ *:[v4i32] }:$x, ?:{ *:[v4i32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19645*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->19802
/* 19649*/    OPC_CheckTypeI32,
/* 19650*/    OPC_MoveSibling3,
/* 19651*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19654*/    OPC_RecordNode, // #3 = $m1
/* 19655*/    OPC_CheckTypeI32,
/* 19656*/    OPC_MoveSibling4,
/* 19657*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19660*/    OPC_RecordNode, // #4 = $m2
/* 19661*/    OPC_CheckTypeI32,
/* 19662*/    OPC_MoveSibling5,
/* 19663*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19666*/    OPC_RecordNode, // #5 = $m3
/* 19667*/    OPC_CheckTypeI32,
/* 19668*/    OPC_MoveSibling6,
/* 19669*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19672*/    OPC_RecordNode, // #6 = $m4
/* 19673*/    OPC_CheckTypeI32,
/* 19674*/    OPC_MoveSibling7,
/* 19675*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19678*/    OPC_RecordNode, // #7 = $m5
/* 19679*/    OPC_CheckTypeI32,
/* 19680*/    OPC_MoveSibling, 8,
/* 19682*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19685*/    OPC_RecordNode, // #8 = $m6
/* 19686*/    OPC_CheckTypeI32,
/* 19687*/    OPC_MoveSibling, 9,
/* 19689*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19692*/    OPC_RecordNode, // #9 = $m7
/* 19693*/    OPC_CheckTypeI32,
/* 19694*/    OPC_MoveSibling, 10,
/* 19696*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19699*/    OPC_RecordNode, // #10 = $m8
/* 19700*/    OPC_CheckTypeI32,
/* 19701*/    OPC_MoveSibling, 11,
/* 19703*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19706*/    OPC_RecordNode, // #11 = $m9
/* 19707*/    OPC_CheckTypeI32,
/* 19708*/    OPC_MoveSibling, 12,
/* 19710*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19713*/    OPC_RecordNode, // #12 = $mA
/* 19714*/    OPC_CheckTypeI32,
/* 19715*/    OPC_MoveSibling, 13,
/* 19717*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19720*/    OPC_RecordNode, // #13 = $mB
/* 19721*/    OPC_CheckTypeI32,
/* 19722*/    OPC_MoveSibling, 14,
/* 19724*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19727*/    OPC_RecordNode, // #14 = $mC
/* 19728*/    OPC_CheckTypeI32,
/* 19729*/    OPC_MoveSibling, 15,
/* 19731*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19734*/    OPC_RecordNode, // #15 = $mD
/* 19735*/    OPC_CheckTypeI32,
/* 19736*/    OPC_MoveSibling, 16,
/* 19738*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19741*/    OPC_RecordNode, // #16 = $mE
/* 19742*/    OPC_CheckTypeI32,
/* 19743*/    OPC_MoveSibling, 17,
/* 19745*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19748*/    OPC_RecordNode, // #17 = $mF
/* 19749*/    OPC_CheckTypeI32,
/* 19750*/    OPC_MoveParent,
/* 19751*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 19753*/    OPC_EmitConvertToTarget2, // #18
/* 19754*/    OPC_EmitConvertToTarget3, // #19
/* 19755*/    OPC_EmitConvertToTarget4, // #20
/* 19756*/    OPC_EmitConvertToTarget5, // #21
/* 19757*/    OPC_EmitConvertToTarget6, // #22
/* 19758*/    OPC_EmitConvertToTarget7, // #23
/* 19759*/    OPC_EmitConvertToTarget, 8, // #24
/* 19761*/    OPC_EmitConvertToTarget, 9, // #25
/* 19763*/    OPC_EmitConvertToTarget, 10, // #26
/* 19765*/    OPC_EmitConvertToTarget, 11, // #27
/* 19767*/    OPC_EmitConvertToTarget, 12, // #28
/* 19769*/    OPC_EmitConvertToTarget, 13, // #29
/* 19771*/    OPC_EmitConvertToTarget, 14, // #30
/* 19773*/    OPC_EmitConvertToTarget, 15, // #31
/* 19775*/    OPC_EmitConvertToTarget, 16, // #32
/* 19777*/    OPC_EmitConvertToTarget, 17, // #33
/* 19779*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v4i32*/60, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v4i32] } V128:{ *:[v4i32] }:$x, V128:{ *:[v4i32] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v4i32] } ?:{ *:[v4i32] }:$x, ?:{ *:[v4i32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19802*/   0, // EndSwitchOpcode
/* 19803*/  /*Scope*/ 83|128,2/*339*/, /*->20144*/
/* 19805*/   OPC_CheckChild0Type, /*MVT::v2i64*/78, 
/* 19807*/   OPC_RecordChild1, // #1 = $y
/* 19808*/   OPC_CheckChild1Type, /*MVT::v2i64*/78, 
/* 19810*/   OPC_RecordChild2, // #2 = $m0
/* 19811*/   OPC_MoveChild2,
/* 19812*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->19986
/* 19817*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19818*/    OPC_CheckTypeI32,
/* 19819*/    OPC_MoveSibling3,
/* 19820*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19823*/    OPC_RecordNode, // #3 = $m1
/* 19824*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19825*/    OPC_CheckTypeI32,
/* 19826*/    OPC_MoveSibling4,
/* 19827*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19830*/    OPC_RecordNode, // #4 = $m2
/* 19831*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19832*/    OPC_CheckTypeI32,
/* 19833*/    OPC_MoveSibling5,
/* 19834*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19837*/    OPC_RecordNode, // #5 = $m3
/* 19838*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19839*/    OPC_CheckTypeI32,
/* 19840*/    OPC_MoveSibling6,
/* 19841*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19844*/    OPC_RecordNode, // #6 = $m4
/* 19845*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19846*/    OPC_CheckTypeI32,
/* 19847*/    OPC_MoveSibling7,
/* 19848*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19851*/    OPC_RecordNode, // #7 = $m5
/* 19852*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19853*/    OPC_CheckTypeI32,
/* 19854*/    OPC_MoveSibling, 8,
/* 19856*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19859*/    OPC_RecordNode, // #8 = $m6
/* 19860*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19861*/    OPC_CheckTypeI32,
/* 19862*/    OPC_MoveSibling, 9,
/* 19864*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19867*/    OPC_RecordNode, // #9 = $m7
/* 19868*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19869*/    OPC_CheckTypeI32,
/* 19870*/    OPC_MoveSibling, 10,
/* 19872*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19875*/    OPC_RecordNode, // #10 = $m8
/* 19876*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19877*/    OPC_CheckTypeI32,
/* 19878*/    OPC_MoveSibling, 11,
/* 19880*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19883*/    OPC_RecordNode, // #11 = $m9
/* 19884*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19885*/    OPC_CheckTypeI32,
/* 19886*/    OPC_MoveSibling, 12,
/* 19888*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19891*/    OPC_RecordNode, // #12 = $mA
/* 19892*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19893*/    OPC_CheckTypeI32,
/* 19894*/    OPC_MoveSibling, 13,
/* 19896*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19899*/    OPC_RecordNode, // #13 = $mB
/* 19900*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19901*/    OPC_CheckTypeI32,
/* 19902*/    OPC_MoveSibling, 14,
/* 19904*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19907*/    OPC_RecordNode, // #14 = $mC
/* 19908*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19909*/    OPC_CheckTypeI32,
/* 19910*/    OPC_MoveSibling, 15,
/* 19912*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19915*/    OPC_RecordNode, // #15 = $mD
/* 19916*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19917*/    OPC_CheckTypeI32,
/* 19918*/    OPC_MoveSibling, 16,
/* 19920*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19923*/    OPC_RecordNode, // #16 = $mE
/* 19924*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19925*/    OPC_CheckTypeI32,
/* 19926*/    OPC_MoveSibling, 17,
/* 19928*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19931*/    OPC_RecordNode, // #17 = $mF
/* 19932*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 19933*/    OPC_CheckTypeI32,
/* 19934*/    OPC_MoveParent,
/* 19935*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 19937*/    OPC_EmitConvertToTarget2, // #18
/* 19938*/    OPC_EmitConvertToTarget3, // #19
/* 19939*/    OPC_EmitConvertToTarget4, // #20
/* 19940*/    OPC_EmitConvertToTarget5, // #21
/* 19941*/    OPC_EmitConvertToTarget6, // #22
/* 19942*/    OPC_EmitConvertToTarget7, // #23
/* 19943*/    OPC_EmitConvertToTarget, 8, // #24
/* 19945*/    OPC_EmitConvertToTarget, 9, // #25
/* 19947*/    OPC_EmitConvertToTarget, 10, // #26
/* 19949*/    OPC_EmitConvertToTarget, 11, // #27
/* 19951*/    OPC_EmitConvertToTarget, 12, // #28
/* 19953*/    OPC_EmitConvertToTarget, 13, // #29
/* 19955*/    OPC_EmitConvertToTarget, 14, // #30
/* 19957*/    OPC_EmitConvertToTarget, 15, // #31
/* 19959*/    OPC_EmitConvertToTarget, 16, // #32
/* 19961*/    OPC_EmitConvertToTarget, 17, // #33
/* 19963*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v2i64*/78, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v2i64] } V128:{ *:[v2i64] }:$x, V128:{ *:[v2i64] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v2i64] } ?:{ *:[v2i64] }:$x, ?:{ *:[v2i64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 19986*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->20143
/* 19990*/    OPC_CheckTypeI32,
/* 19991*/    OPC_MoveSibling3,
/* 19992*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 19995*/    OPC_RecordNode, // #3 = $m1
/* 19996*/    OPC_CheckTypeI32,
/* 19997*/    OPC_MoveSibling4,
/* 19998*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20001*/    OPC_RecordNode, // #4 = $m2
/* 20002*/    OPC_CheckTypeI32,
/* 20003*/    OPC_MoveSibling5,
/* 20004*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20007*/    OPC_RecordNode, // #5 = $m3
/* 20008*/    OPC_CheckTypeI32,
/* 20009*/    OPC_MoveSibling6,
/* 20010*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20013*/    OPC_RecordNode, // #6 = $m4
/* 20014*/    OPC_CheckTypeI32,
/* 20015*/    OPC_MoveSibling7,
/* 20016*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20019*/    OPC_RecordNode, // #7 = $m5
/* 20020*/    OPC_CheckTypeI32,
/* 20021*/    OPC_MoveSibling, 8,
/* 20023*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20026*/    OPC_RecordNode, // #8 = $m6
/* 20027*/    OPC_CheckTypeI32,
/* 20028*/    OPC_MoveSibling, 9,
/* 20030*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20033*/    OPC_RecordNode, // #9 = $m7
/* 20034*/    OPC_CheckTypeI32,
/* 20035*/    OPC_MoveSibling, 10,
/* 20037*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20040*/    OPC_RecordNode, // #10 = $m8
/* 20041*/    OPC_CheckTypeI32,
/* 20042*/    OPC_MoveSibling, 11,
/* 20044*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20047*/    OPC_RecordNode, // #11 = $m9
/* 20048*/    OPC_CheckTypeI32,
/* 20049*/    OPC_MoveSibling, 12,
/* 20051*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20054*/    OPC_RecordNode, // #12 = $mA
/* 20055*/    OPC_CheckTypeI32,
/* 20056*/    OPC_MoveSibling, 13,
/* 20058*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20061*/    OPC_RecordNode, // #13 = $mB
/* 20062*/    OPC_CheckTypeI32,
/* 20063*/    OPC_MoveSibling, 14,
/* 20065*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20068*/    OPC_RecordNode, // #14 = $mC
/* 20069*/    OPC_CheckTypeI32,
/* 20070*/    OPC_MoveSibling, 15,
/* 20072*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20075*/    OPC_RecordNode, // #15 = $mD
/* 20076*/    OPC_CheckTypeI32,
/* 20077*/    OPC_MoveSibling, 16,
/* 20079*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20082*/    OPC_RecordNode, // #16 = $mE
/* 20083*/    OPC_CheckTypeI32,
/* 20084*/    OPC_MoveSibling, 17,
/* 20086*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20089*/    OPC_RecordNode, // #17 = $mF
/* 20090*/    OPC_CheckTypeI32,
/* 20091*/    OPC_MoveParent,
/* 20092*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 20094*/    OPC_EmitConvertToTarget2, // #18
/* 20095*/    OPC_EmitConvertToTarget3, // #19
/* 20096*/    OPC_EmitConvertToTarget4, // #20
/* 20097*/    OPC_EmitConvertToTarget5, // #21
/* 20098*/    OPC_EmitConvertToTarget6, // #22
/* 20099*/    OPC_EmitConvertToTarget7, // #23
/* 20100*/    OPC_EmitConvertToTarget, 8, // #24
/* 20102*/    OPC_EmitConvertToTarget, 9, // #25
/* 20104*/    OPC_EmitConvertToTarget, 10, // #26
/* 20106*/    OPC_EmitConvertToTarget, 11, // #27
/* 20108*/    OPC_EmitConvertToTarget, 12, // #28
/* 20110*/    OPC_EmitConvertToTarget, 13, // #29
/* 20112*/    OPC_EmitConvertToTarget, 14, // #30
/* 20114*/    OPC_EmitConvertToTarget, 15, // #31
/* 20116*/    OPC_EmitConvertToTarget, 16, // #32
/* 20118*/    OPC_EmitConvertToTarget, 17, // #33
/* 20120*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v2i64*/78, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v2i64] } V128:{ *:[v2i64] }:$x, V128:{ *:[v2i64] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v2i64] } ?:{ *:[v2i64] }:$x, ?:{ *:[v2i64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20143*/   0, // EndSwitchOpcode
/* 20144*/  /*Scope*/ 83|128,2/*339*/, /*->20485*/
/* 20146*/   OPC_CheckChild0Type, /*MVT::v4f32*/111, 
/* 20148*/   OPC_RecordChild1, // #1 = $y
/* 20149*/   OPC_CheckChild1Type, /*MVT::v4f32*/111, 
/* 20151*/   OPC_RecordChild2, // #2 = $m0
/* 20152*/   OPC_MoveChild2,
/* 20153*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->20327
/* 20158*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20159*/    OPC_CheckTypeI32,
/* 20160*/    OPC_MoveSibling3,
/* 20161*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20164*/    OPC_RecordNode, // #3 = $m1
/* 20165*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20166*/    OPC_CheckTypeI32,
/* 20167*/    OPC_MoveSibling4,
/* 20168*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20171*/    OPC_RecordNode, // #4 = $m2
/* 20172*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20173*/    OPC_CheckTypeI32,
/* 20174*/    OPC_MoveSibling5,
/* 20175*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20178*/    OPC_RecordNode, // #5 = $m3
/* 20179*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20180*/    OPC_CheckTypeI32,
/* 20181*/    OPC_MoveSibling6,
/* 20182*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20185*/    OPC_RecordNode, // #6 = $m4
/* 20186*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20187*/    OPC_CheckTypeI32,
/* 20188*/    OPC_MoveSibling7,
/* 20189*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20192*/    OPC_RecordNode, // #7 = $m5
/* 20193*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20194*/    OPC_CheckTypeI32,
/* 20195*/    OPC_MoveSibling, 8,
/* 20197*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20200*/    OPC_RecordNode, // #8 = $m6
/* 20201*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20202*/    OPC_CheckTypeI32,
/* 20203*/    OPC_MoveSibling, 9,
/* 20205*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20208*/    OPC_RecordNode, // #9 = $m7
/* 20209*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20210*/    OPC_CheckTypeI32,
/* 20211*/    OPC_MoveSibling, 10,
/* 20213*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20216*/    OPC_RecordNode, // #10 = $m8
/* 20217*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20218*/    OPC_CheckTypeI32,
/* 20219*/    OPC_MoveSibling, 11,
/* 20221*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20224*/    OPC_RecordNode, // #11 = $m9
/* 20225*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20226*/    OPC_CheckTypeI32,
/* 20227*/    OPC_MoveSibling, 12,
/* 20229*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20232*/    OPC_RecordNode, // #12 = $mA
/* 20233*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20234*/    OPC_CheckTypeI32,
/* 20235*/    OPC_MoveSibling, 13,
/* 20237*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20240*/    OPC_RecordNode, // #13 = $mB
/* 20241*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20242*/    OPC_CheckTypeI32,
/* 20243*/    OPC_MoveSibling, 14,
/* 20245*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20248*/    OPC_RecordNode, // #14 = $mC
/* 20249*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20250*/    OPC_CheckTypeI32,
/* 20251*/    OPC_MoveSibling, 15,
/* 20253*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20256*/    OPC_RecordNode, // #15 = $mD
/* 20257*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20258*/    OPC_CheckTypeI32,
/* 20259*/    OPC_MoveSibling, 16,
/* 20261*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20264*/    OPC_RecordNode, // #16 = $mE
/* 20265*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20266*/    OPC_CheckTypeI32,
/* 20267*/    OPC_MoveSibling, 17,
/* 20269*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20272*/    OPC_RecordNode, // #17 = $mF
/* 20273*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20274*/    OPC_CheckTypeI32,
/* 20275*/    OPC_MoveParent,
/* 20276*/    OPC_CheckType, /*MVT::v4f32*/111, 
/* 20278*/    OPC_EmitConvertToTarget2, // #18
/* 20279*/    OPC_EmitConvertToTarget3, // #19
/* 20280*/    OPC_EmitConvertToTarget4, // #20
/* 20281*/    OPC_EmitConvertToTarget5, // #21
/* 20282*/    OPC_EmitConvertToTarget6, // #22
/* 20283*/    OPC_EmitConvertToTarget7, // #23
/* 20284*/    OPC_EmitConvertToTarget, 8, // #24
/* 20286*/    OPC_EmitConvertToTarget, 9, // #25
/* 20288*/    OPC_EmitConvertToTarget, 10, // #26
/* 20290*/    OPC_EmitConvertToTarget, 11, // #27
/* 20292*/    OPC_EmitConvertToTarget, 12, // #28
/* 20294*/    OPC_EmitConvertToTarget, 13, // #29
/* 20296*/    OPC_EmitConvertToTarget, 14, // #30
/* 20298*/    OPC_EmitConvertToTarget, 15, // #31
/* 20300*/    OPC_EmitConvertToTarget, 16, // #32
/* 20302*/    OPC_EmitConvertToTarget, 17, // #33
/* 20304*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v4f32*/111, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v4f32] } V128:{ *:[v4f32] }:$x, V128:{ *:[v4f32] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v4f32] } ?:{ *:[v4f32] }:$x, ?:{ *:[v4f32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20327*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->20484
/* 20331*/    OPC_CheckTypeI32,
/* 20332*/    OPC_MoveSibling3,
/* 20333*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20336*/    OPC_RecordNode, // #3 = $m1
/* 20337*/    OPC_CheckTypeI32,
/* 20338*/    OPC_MoveSibling4,
/* 20339*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20342*/    OPC_RecordNode, // #4 = $m2
/* 20343*/    OPC_CheckTypeI32,
/* 20344*/    OPC_MoveSibling5,
/* 20345*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20348*/    OPC_RecordNode, // #5 = $m3
/* 20349*/    OPC_CheckTypeI32,
/* 20350*/    OPC_MoveSibling6,
/* 20351*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20354*/    OPC_RecordNode, // #6 = $m4
/* 20355*/    OPC_CheckTypeI32,
/* 20356*/    OPC_MoveSibling7,
/* 20357*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20360*/    OPC_RecordNode, // #7 = $m5
/* 20361*/    OPC_CheckTypeI32,
/* 20362*/    OPC_MoveSibling, 8,
/* 20364*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20367*/    OPC_RecordNode, // #8 = $m6
/* 20368*/    OPC_CheckTypeI32,
/* 20369*/    OPC_MoveSibling, 9,
/* 20371*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20374*/    OPC_RecordNode, // #9 = $m7
/* 20375*/    OPC_CheckTypeI32,
/* 20376*/    OPC_MoveSibling, 10,
/* 20378*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20381*/    OPC_RecordNode, // #10 = $m8
/* 20382*/    OPC_CheckTypeI32,
/* 20383*/    OPC_MoveSibling, 11,
/* 20385*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20388*/    OPC_RecordNode, // #11 = $m9
/* 20389*/    OPC_CheckTypeI32,
/* 20390*/    OPC_MoveSibling, 12,
/* 20392*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20395*/    OPC_RecordNode, // #12 = $mA
/* 20396*/    OPC_CheckTypeI32,
/* 20397*/    OPC_MoveSibling, 13,
/* 20399*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20402*/    OPC_RecordNode, // #13 = $mB
/* 20403*/    OPC_CheckTypeI32,
/* 20404*/    OPC_MoveSibling, 14,
/* 20406*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20409*/    OPC_RecordNode, // #14 = $mC
/* 20410*/    OPC_CheckTypeI32,
/* 20411*/    OPC_MoveSibling, 15,
/* 20413*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20416*/    OPC_RecordNode, // #15 = $mD
/* 20417*/    OPC_CheckTypeI32,
/* 20418*/    OPC_MoveSibling, 16,
/* 20420*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20423*/    OPC_RecordNode, // #16 = $mE
/* 20424*/    OPC_CheckTypeI32,
/* 20425*/    OPC_MoveSibling, 17,
/* 20427*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20430*/    OPC_RecordNode, // #17 = $mF
/* 20431*/    OPC_CheckTypeI32,
/* 20432*/    OPC_MoveParent,
/* 20433*/    OPC_CheckType, /*MVT::v4f32*/111, 
/* 20435*/    OPC_EmitConvertToTarget2, // #18
/* 20436*/    OPC_EmitConvertToTarget3, // #19
/* 20437*/    OPC_EmitConvertToTarget4, // #20
/* 20438*/    OPC_EmitConvertToTarget5, // #21
/* 20439*/    OPC_EmitConvertToTarget6, // #22
/* 20440*/    OPC_EmitConvertToTarget7, // #23
/* 20441*/    OPC_EmitConvertToTarget, 8, // #24
/* 20443*/    OPC_EmitConvertToTarget, 9, // #25
/* 20445*/    OPC_EmitConvertToTarget, 10, // #26
/* 20447*/    OPC_EmitConvertToTarget, 11, // #27
/* 20449*/    OPC_EmitConvertToTarget, 12, // #28
/* 20451*/    OPC_EmitConvertToTarget, 13, // #29
/* 20453*/    OPC_EmitConvertToTarget, 14, // #30
/* 20455*/    OPC_EmitConvertToTarget, 15, // #31
/* 20457*/    OPC_EmitConvertToTarget, 16, // #32
/* 20459*/    OPC_EmitConvertToTarget, 17, // #33
/* 20461*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v4f32*/111, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v4f32] } V128:{ *:[v4f32] }:$x, V128:{ *:[v4f32] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v4f32] } ?:{ *:[v4f32] }:$x, ?:{ *:[v4f32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20484*/   0, // EndSwitchOpcode
/* 20485*/  /*Scope*/ 89|128,2/*345*/, /*->20832*/
/* 20487*/   OPC_CheckChild0Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 20490*/   OPC_RecordChild1, // #1 = $y
/* 20491*/   OPC_CheckChild1Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 20494*/   OPC_RecordChild2, // #2 = $m0
/* 20495*/   OPC_MoveChild2,
/* 20496*/   OPC_SwitchOpcode /*2 cases */, 43|128,1/*171*/, TARGET_VAL(ISD::Constant),// ->20672
/* 20501*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20502*/    OPC_CheckTypeI32,
/* 20503*/    OPC_MoveSibling3,
/* 20504*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20507*/    OPC_RecordNode, // #3 = $m1
/* 20508*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20509*/    OPC_CheckTypeI32,
/* 20510*/    OPC_MoveSibling4,
/* 20511*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20514*/    OPC_RecordNode, // #4 = $m2
/* 20515*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20516*/    OPC_CheckTypeI32,
/* 20517*/    OPC_MoveSibling5,
/* 20518*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20521*/    OPC_RecordNode, // #5 = $m3
/* 20522*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20523*/    OPC_CheckTypeI32,
/* 20524*/    OPC_MoveSibling6,
/* 20525*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20528*/    OPC_RecordNode, // #6 = $m4
/* 20529*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20530*/    OPC_CheckTypeI32,
/* 20531*/    OPC_MoveSibling7,
/* 20532*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20535*/    OPC_RecordNode, // #7 = $m5
/* 20536*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20537*/    OPC_CheckTypeI32,
/* 20538*/    OPC_MoveSibling, 8,
/* 20540*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20543*/    OPC_RecordNode, // #8 = $m6
/* 20544*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20545*/    OPC_CheckTypeI32,
/* 20546*/    OPC_MoveSibling, 9,
/* 20548*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20551*/    OPC_RecordNode, // #9 = $m7
/* 20552*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20553*/    OPC_CheckTypeI32,
/* 20554*/    OPC_MoveSibling, 10,
/* 20556*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20559*/    OPC_RecordNode, // #10 = $m8
/* 20560*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20561*/    OPC_CheckTypeI32,
/* 20562*/    OPC_MoveSibling, 11,
/* 20564*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20567*/    OPC_RecordNode, // #11 = $m9
/* 20568*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20569*/    OPC_CheckTypeI32,
/* 20570*/    OPC_MoveSibling, 12,
/* 20572*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20575*/    OPC_RecordNode, // #12 = $mA
/* 20576*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20577*/    OPC_CheckTypeI32,
/* 20578*/    OPC_MoveSibling, 13,
/* 20580*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20583*/    OPC_RecordNode, // #13 = $mB
/* 20584*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20585*/    OPC_CheckTypeI32,
/* 20586*/    OPC_MoveSibling, 14,
/* 20588*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20591*/    OPC_RecordNode, // #14 = $mC
/* 20592*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20593*/    OPC_CheckTypeI32,
/* 20594*/    OPC_MoveSibling, 15,
/* 20596*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20599*/    OPC_RecordNode, // #15 = $mD
/* 20600*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20601*/    OPC_CheckTypeI32,
/* 20602*/    OPC_MoveSibling, 16,
/* 20604*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20607*/    OPC_RecordNode, // #16 = $mE
/* 20608*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20609*/    OPC_CheckTypeI32,
/* 20610*/    OPC_MoveSibling, 17,
/* 20612*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20615*/    OPC_RecordNode, // #17 = $mF
/* 20616*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20617*/    OPC_CheckTypeI32,
/* 20618*/    OPC_MoveParent,
/* 20619*/    OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 20622*/    OPC_EmitConvertToTarget2, // #18
/* 20623*/    OPC_EmitConvertToTarget3, // #19
/* 20624*/    OPC_EmitConvertToTarget4, // #20
/* 20625*/    OPC_EmitConvertToTarget5, // #21
/* 20626*/    OPC_EmitConvertToTarget6, // #22
/* 20627*/    OPC_EmitConvertToTarget7, // #23
/* 20628*/    OPC_EmitConvertToTarget, 8, // #24
/* 20630*/    OPC_EmitConvertToTarget, 9, // #25
/* 20632*/    OPC_EmitConvertToTarget, 10, // #26
/* 20634*/    OPC_EmitConvertToTarget, 11, // #27
/* 20636*/    OPC_EmitConvertToTarget, 12, // #28
/* 20638*/    OPC_EmitConvertToTarget, 13, // #29
/* 20640*/    OPC_EmitConvertToTarget, 14, // #30
/* 20642*/    OPC_EmitConvertToTarget, 15, // #31
/* 20644*/    OPC_EmitConvertToTarget, 16, // #32
/* 20646*/    OPC_EmitConvertToTarget, 17, // #33
/* 20648*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v2f64*/1|128,1/*129*/, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v2f64] } V128:{ *:[v2f64] }:$x, V128:{ *:[v2f64] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v2f64] } ?:{ *:[v2f64] }:$x, ?:{ *:[v2f64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20672*/   /*SwitchOpcode*/ 27|128,1/*155*/, TARGET_VAL(ISD::TargetConstant),// ->20831
/* 20676*/    OPC_CheckTypeI32,
/* 20677*/    OPC_MoveSibling3,
/* 20678*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20681*/    OPC_RecordNode, // #3 = $m1
/* 20682*/    OPC_CheckTypeI32,
/* 20683*/    OPC_MoveSibling4,
/* 20684*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20687*/    OPC_RecordNode, // #4 = $m2
/* 20688*/    OPC_CheckTypeI32,
/* 20689*/    OPC_MoveSibling5,
/* 20690*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20693*/    OPC_RecordNode, // #5 = $m3
/* 20694*/    OPC_CheckTypeI32,
/* 20695*/    OPC_MoveSibling6,
/* 20696*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20699*/    OPC_RecordNode, // #6 = $m4
/* 20700*/    OPC_CheckTypeI32,
/* 20701*/    OPC_MoveSibling7,
/* 20702*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20705*/    OPC_RecordNode, // #7 = $m5
/* 20706*/    OPC_CheckTypeI32,
/* 20707*/    OPC_MoveSibling, 8,
/* 20709*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20712*/    OPC_RecordNode, // #8 = $m6
/* 20713*/    OPC_CheckTypeI32,
/* 20714*/    OPC_MoveSibling, 9,
/* 20716*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20719*/    OPC_RecordNode, // #9 = $m7
/* 20720*/    OPC_CheckTypeI32,
/* 20721*/    OPC_MoveSibling, 10,
/* 20723*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20726*/    OPC_RecordNode, // #10 = $m8
/* 20727*/    OPC_CheckTypeI32,
/* 20728*/    OPC_MoveSibling, 11,
/* 20730*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20733*/    OPC_RecordNode, // #11 = $m9
/* 20734*/    OPC_CheckTypeI32,
/* 20735*/    OPC_MoveSibling, 12,
/* 20737*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20740*/    OPC_RecordNode, // #12 = $mA
/* 20741*/    OPC_CheckTypeI32,
/* 20742*/    OPC_MoveSibling, 13,
/* 20744*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20747*/    OPC_RecordNode, // #13 = $mB
/* 20748*/    OPC_CheckTypeI32,
/* 20749*/    OPC_MoveSibling, 14,
/* 20751*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20754*/    OPC_RecordNode, // #14 = $mC
/* 20755*/    OPC_CheckTypeI32,
/* 20756*/    OPC_MoveSibling, 15,
/* 20758*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20761*/    OPC_RecordNode, // #15 = $mD
/* 20762*/    OPC_CheckTypeI32,
/* 20763*/    OPC_MoveSibling, 16,
/* 20765*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20768*/    OPC_RecordNode, // #16 = $mE
/* 20769*/    OPC_CheckTypeI32,
/* 20770*/    OPC_MoveSibling, 17,
/* 20772*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 20775*/    OPC_RecordNode, // #17 = $mF
/* 20776*/    OPC_CheckTypeI32,
/* 20777*/    OPC_MoveParent,
/* 20778*/    OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 20781*/    OPC_EmitConvertToTarget2, // #18
/* 20782*/    OPC_EmitConvertToTarget3, // #19
/* 20783*/    OPC_EmitConvertToTarget4, // #20
/* 20784*/    OPC_EmitConvertToTarget5, // #21
/* 20785*/    OPC_EmitConvertToTarget6, // #22
/* 20786*/    OPC_EmitConvertToTarget7, // #23
/* 20787*/    OPC_EmitConvertToTarget, 8, // #24
/* 20789*/    OPC_EmitConvertToTarget, 9, // #25
/* 20791*/    OPC_EmitConvertToTarget, 10, // #26
/* 20793*/    OPC_EmitConvertToTarget, 11, // #27
/* 20795*/    OPC_EmitConvertToTarget, 12, // #28
/* 20797*/    OPC_EmitConvertToTarget, 13, // #29
/* 20799*/    OPC_EmitConvertToTarget, 14, // #30
/* 20801*/    OPC_EmitConvertToTarget, 15, // #31
/* 20803*/    OPC_EmitConvertToTarget, 16, // #32
/* 20805*/    OPC_EmitConvertToTarget, 17, // #33
/* 20807*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v2f64*/1|128,1/*129*/, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v2f64] } V128:{ *:[v2f64] }:$x, V128:{ *:[v2f64] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v2f64] } ?:{ *:[v2f64] }:$x, ?:{ *:[v2f64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 20831*/   0, // EndSwitchOpcode
/* 20832*/  /*Scope*/ 83|128,2/*339*/, /*->21173*/
/* 20834*/   OPC_CheckChild0Type, /*MVT::v8f16*/92, 
/* 20836*/   OPC_RecordChild1, // #1 = $y
/* 20837*/   OPC_CheckChild1Type, /*MVT::v8f16*/92, 
/* 20839*/   OPC_RecordChild2, // #2 = $m0
/* 20840*/   OPC_MoveChild2,
/* 20841*/   OPC_SwitchOpcode /*2 cases */, 41|128,1/*169*/, TARGET_VAL(ISD::Constant),// ->21015
/* 20846*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20847*/    OPC_CheckTypeI32,
/* 20848*/    OPC_MoveSibling3,
/* 20849*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20852*/    OPC_RecordNode, // #3 = $m1
/* 20853*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20854*/    OPC_CheckTypeI32,
/* 20855*/    OPC_MoveSibling4,
/* 20856*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20859*/    OPC_RecordNode, // #4 = $m2
/* 20860*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20861*/    OPC_CheckTypeI32,
/* 20862*/    OPC_MoveSibling5,
/* 20863*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20866*/    OPC_RecordNode, // #5 = $m3
/* 20867*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20868*/    OPC_CheckTypeI32,
/* 20869*/    OPC_MoveSibling6,
/* 20870*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20873*/    OPC_RecordNode, // #6 = $m4
/* 20874*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20875*/    OPC_CheckTypeI32,
/* 20876*/    OPC_MoveSibling7,
/* 20877*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20880*/    OPC_RecordNode, // #7 = $m5
/* 20881*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20882*/    OPC_CheckTypeI32,
/* 20883*/    OPC_MoveSibling, 8,
/* 20885*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20888*/    OPC_RecordNode, // #8 = $m6
/* 20889*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20890*/    OPC_CheckTypeI32,
/* 20891*/    OPC_MoveSibling, 9,
/* 20893*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20896*/    OPC_RecordNode, // #9 = $m7
/* 20897*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20898*/    OPC_CheckTypeI32,
/* 20899*/    OPC_MoveSibling, 10,
/* 20901*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20904*/    OPC_RecordNode, // #10 = $m8
/* 20905*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20906*/    OPC_CheckTypeI32,
/* 20907*/    OPC_MoveSibling, 11,
/* 20909*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20912*/    OPC_RecordNode, // #11 = $m9
/* 20913*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20914*/    OPC_CheckTypeI32,
/* 20915*/    OPC_MoveSibling, 12,
/* 20917*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20920*/    OPC_RecordNode, // #12 = $mA
/* 20921*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20922*/    OPC_CheckTypeI32,
/* 20923*/    OPC_MoveSibling, 13,
/* 20925*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20928*/    OPC_RecordNode, // #13 = $mB
/* 20929*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20930*/    OPC_CheckTypeI32,
/* 20931*/    OPC_MoveSibling, 14,
/* 20933*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20936*/    OPC_RecordNode, // #14 = $mC
/* 20937*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20938*/    OPC_CheckTypeI32,
/* 20939*/    OPC_MoveSibling, 15,
/* 20941*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20944*/    OPC_RecordNode, // #15 = $mD
/* 20945*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20946*/    OPC_CheckTypeI32,
/* 20947*/    OPC_MoveSibling, 16,
/* 20949*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20952*/    OPC_RecordNode, // #16 = $mE
/* 20953*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20954*/    OPC_CheckTypeI32,
/* 20955*/    OPC_MoveSibling, 17,
/* 20957*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20960*/    OPC_RecordNode, // #17 = $mF
/* 20961*/    OPC_CheckPredicate0,  // Predicate_LaneIdx32
/* 20962*/    OPC_CheckTypeI32,
/* 20963*/    OPC_MoveParent,
/* 20964*/    OPC_CheckType, /*MVT::v8f16*/92, 
/* 20966*/    OPC_EmitConvertToTarget2, // #18
/* 20967*/    OPC_EmitConvertToTarget3, // #19
/* 20968*/    OPC_EmitConvertToTarget4, // #20
/* 20969*/    OPC_EmitConvertToTarget5, // #21
/* 20970*/    OPC_EmitConvertToTarget6, // #22
/* 20971*/    OPC_EmitConvertToTarget7, // #23
/* 20972*/    OPC_EmitConvertToTarget, 8, // #24
/* 20974*/    OPC_EmitConvertToTarget, 9, // #25
/* 20976*/    OPC_EmitConvertToTarget, 10, // #26
/* 20978*/    OPC_EmitConvertToTarget, 11, // #27
/* 20980*/    OPC_EmitConvertToTarget, 12, // #28
/* 20982*/    OPC_EmitConvertToTarget, 13, // #29
/* 20984*/    OPC_EmitConvertToTarget, 14, // #30
/* 20986*/    OPC_EmitConvertToTarget, 15, // #31
/* 20988*/    OPC_EmitConvertToTarget, 16, // #32
/* 20990*/    OPC_EmitConvertToTarget, 17, // #33
/* 20992*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v8f16*/92, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v8f16] } V128:{ *:[v8f16] }:$x, V128:{ *:[v8f16] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
              // Dst: (SHUFFLE:{ *:[v8f16] } ?:{ *:[v8f16] }:$x, ?:{ *:[v8f16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 21015*/   /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::TargetConstant),// ->21172
/* 21019*/    OPC_CheckTypeI32,
/* 21020*/    OPC_MoveSibling3,
/* 21021*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21024*/    OPC_RecordNode, // #3 = $m1
/* 21025*/    OPC_CheckTypeI32,
/* 21026*/    OPC_MoveSibling4,
/* 21027*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21030*/    OPC_RecordNode, // #4 = $m2
/* 21031*/    OPC_CheckTypeI32,
/* 21032*/    OPC_MoveSibling5,
/* 21033*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21036*/    OPC_RecordNode, // #5 = $m3
/* 21037*/    OPC_CheckTypeI32,
/* 21038*/    OPC_MoveSibling6,
/* 21039*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21042*/    OPC_RecordNode, // #6 = $m4
/* 21043*/    OPC_CheckTypeI32,
/* 21044*/    OPC_MoveSibling7,
/* 21045*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21048*/    OPC_RecordNode, // #7 = $m5
/* 21049*/    OPC_CheckTypeI32,
/* 21050*/    OPC_MoveSibling, 8,
/* 21052*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21055*/    OPC_RecordNode, // #8 = $m6
/* 21056*/    OPC_CheckTypeI32,
/* 21057*/    OPC_MoveSibling, 9,
/* 21059*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21062*/    OPC_RecordNode, // #9 = $m7
/* 21063*/    OPC_CheckTypeI32,
/* 21064*/    OPC_MoveSibling, 10,
/* 21066*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21069*/    OPC_RecordNode, // #10 = $m8
/* 21070*/    OPC_CheckTypeI32,
/* 21071*/    OPC_MoveSibling, 11,
/* 21073*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21076*/    OPC_RecordNode, // #11 = $m9
/* 21077*/    OPC_CheckTypeI32,
/* 21078*/    OPC_MoveSibling, 12,
/* 21080*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21083*/    OPC_RecordNode, // #12 = $mA
/* 21084*/    OPC_CheckTypeI32,
/* 21085*/    OPC_MoveSibling, 13,
/* 21087*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21090*/    OPC_RecordNode, // #13 = $mB
/* 21091*/    OPC_CheckTypeI32,
/* 21092*/    OPC_MoveSibling, 14,
/* 21094*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21097*/    OPC_RecordNode, // #14 = $mC
/* 21098*/    OPC_CheckTypeI32,
/* 21099*/    OPC_MoveSibling, 15,
/* 21101*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21104*/    OPC_RecordNode, // #15 = $mD
/* 21105*/    OPC_CheckTypeI32,
/* 21106*/    OPC_MoveSibling, 16,
/* 21108*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21111*/    OPC_RecordNode, // #16 = $mE
/* 21112*/    OPC_CheckTypeI32,
/* 21113*/    OPC_MoveSibling, 17,
/* 21115*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 21118*/    OPC_RecordNode, // #17 = $mF
/* 21119*/    OPC_CheckTypeI32,
/* 21120*/    OPC_MoveParent,
/* 21121*/    OPC_CheckType, /*MVT::v8f16*/92, 
/* 21123*/    OPC_EmitConvertToTarget2, // #18
/* 21124*/    OPC_EmitConvertToTarget3, // #19
/* 21125*/    OPC_EmitConvertToTarget4, // #20
/* 21126*/    OPC_EmitConvertToTarget5, // #21
/* 21127*/    OPC_EmitConvertToTarget6, // #22
/* 21128*/    OPC_EmitConvertToTarget7, // #23
/* 21129*/    OPC_EmitConvertToTarget, 8, // #24
/* 21131*/    OPC_EmitConvertToTarget, 9, // #25
/* 21133*/    OPC_EmitConvertToTarget, 10, // #26
/* 21135*/    OPC_EmitConvertToTarget, 11, // #27
/* 21137*/    OPC_EmitConvertToTarget, 12, // #28
/* 21139*/    OPC_EmitConvertToTarget, 13, // #29
/* 21141*/    OPC_EmitConvertToTarget, 14, // #30
/* 21143*/    OPC_EmitConvertToTarget, 15, // #31
/* 21145*/    OPC_EmitConvertToTarget, 16, // #32
/* 21147*/    OPC_EmitConvertToTarget, 17, // #33
/* 21149*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHUFFLE),
                  /*MVT::v8f16*/92, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
              // Src: (wasm_shuffle:{ *:[v8f16] } V128:{ *:[v8f16] }:$x, V128:{ *:[v8f16] }:$y, (timm:{ *:[i32] }):$m0, (timm:{ *:[i32] }):$m1, (timm:{ *:[i32] }):$m2, (timm:{ *:[i32] }):$m3, (timm:{ *:[i32] }):$m4, (timm:{ *:[i32] }):$m5, (timm:{ *:[i32] }):$m6, (timm:{ *:[i32] }):$m7, (timm:{ *:[i32] }):$m8, (timm:{ *:[i32] }):$m9, (timm:{ *:[i32] }):$mA, (timm:{ *:[i32] }):$mB, (timm:{ *:[i32] }):$mC, (timm:{ *:[i32] }):$mD, (timm:{ *:[i32] }):$mE, (timm:{ *:[i32] }):$mF) - Complexity = 51
              // Dst: (SHUFFLE:{ *:[v8f16] } ?:{ *:[v8f16] }:$x, ?:{ *:[v8f16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 21172*/   0, // EndSwitchOpcode
/* 21173*/  0, /*End of Scope*/
/* 21174*/ /*SwitchOpcode*/ 73|128,8/*1097*/, TARGET_VAL(ISD::INSERT_VECTOR_ELT),// ->22275
/* 21178*/  OPC_Scope, 6|128,1/*134*/, /*->21315*/ // 2 children in Scope
/* 21181*/   OPC_MoveChild0,
/* 21182*/   OPC_CheckOpcode, TARGET_VAL(ISD::SPLAT_VECTOR),
/* 21185*/   OPC_CheckChild0Integer, 0, 
/* 21187*/   OPC_Scope, 62, /*->21251*/ // 2 children in Scope
/* 21189*/    OPC_CheckChild0TypeI32,
/* 21190*/    OPC_MoveSibling1,
/* 21191*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 21194*/    OPC_RecordMemRef,
/* 21195*/    OPC_RecordNode, // #0 = 'ld' chained node
/* 21196*/    OPC_CheckFoldableChainNode,
/* 21197*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 21198*/    OPC_CheckTypeI32,
/* 21199*/    OPC_Scope, 24, /*->21225*/ // 2 children in Scope
/* 21201*/     OPC_CheckChild1TypeI32,
/* 21202*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21204*/     OPC_CheckPredicate6,  // Predicate_load
/* 21205*/     OPC_MoveParent,
/* 21206*/     OPC_CheckChild2Integer, 0, 
/* 21208*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 21210*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21211*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 21213*/     OPC_EmitMergeInputChains1_0,
/* 21214*/     OPC_EmitInteger32, 0,  // 0 #4
/* 21216*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
               // Src: (vector_insert:{ *:[v4i32] } (splat_vector:{ *:[v4i32] } 0:{ *:[i32] }), (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 29
               // Dst: (LOAD_ZERO_32_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 21225*/    /*Scope*/ 24, /*->21250*/
/* 21226*/     OPC_CheckChild1TypeI64,
/* 21227*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21229*/     OPC_CheckPredicate6,  // Predicate_load
/* 21230*/     OPC_MoveParent,
/* 21231*/     OPC_CheckChild2Integer, 0, 
/* 21233*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 21235*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21236*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 21238*/     OPC_EmitMergeInputChains1_0,
/* 21239*/     OPC_EmitInteger32, 0,  // 0 #4
/* 21241*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
               // Src: (vector_insert:{ *:[v4i32] } (splat_vector:{ *:[v4i32] } 0:{ *:[i32] }), (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 29
               // Dst: (LOAD_ZERO_32_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 21250*/    0, /*End of Scope*/
/* 21251*/   /*Scope*/ 62, /*->21314*/
/* 21252*/    OPC_CheckChild0TypeI64,
/* 21253*/    OPC_MoveSibling1,
/* 21254*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 21257*/    OPC_RecordMemRef,
/* 21258*/    OPC_RecordNode, // #0 = 'ld' chained node
/* 21259*/    OPC_CheckFoldableChainNode,
/* 21260*/    OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 21261*/    OPC_CheckTypeI64,
/* 21262*/    OPC_Scope, 24, /*->21288*/ // 2 children in Scope
/* 21264*/     OPC_CheckChild1TypeI32,
/* 21265*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21267*/     OPC_CheckPredicate6,  // Predicate_load
/* 21268*/     OPC_MoveParent,
/* 21269*/     OPC_CheckChild2Integer, 0, 
/* 21271*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 21273*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21274*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 21276*/     OPC_EmitMergeInputChains1_0,
/* 21277*/     OPC_EmitInteger32, 0,  // 0 #4
/* 21279*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
               // Src: (vector_insert:{ *:[v2i64] } (splat_vector:{ *:[v2i64] } 0:{ *:[i64] }), (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 29
               // Dst: (LOAD_ZERO_64_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 21288*/    /*Scope*/ 24, /*->21313*/
/* 21289*/     OPC_CheckChild1TypeI64,
/* 21290*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21292*/     OPC_CheckPredicate6,  // Predicate_load
/* 21293*/     OPC_MoveParent,
/* 21294*/     OPC_CheckChild2Integer, 0, 
/* 21296*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 21298*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21299*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 21301*/     OPC_EmitMergeInputChains1_0,
/* 21302*/     OPC_EmitInteger32, 0,  // 0 #4
/* 21304*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
               // Src: (vector_insert:{ *:[v2i64] } (splat_vector:{ *:[v2i64] } 0:{ *:[i64] }), (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 29
               // Dst: (LOAD_ZERO_64_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 21313*/    0, /*End of Scope*/
/* 21314*/   0, /*End of Scope*/
/* 21315*/  /*Scope*/ 61|128,7/*957*/, /*->22274*/
/* 21317*/   OPC_RecordChild0, // #0 = $vec
/* 21318*/   OPC_Scope, 32|128,3/*416*/, /*->21737*/ // 4 children in Scope
/* 21321*/    OPC_MoveChild1,
/* 21322*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 21325*/    OPC_RecordMemRef,
/* 21326*/    OPC_RecordNode, // #1 = 'ld' chained node
/* 21327*/    OPC_CheckFoldableChainNode,
/* 21328*/    OPC_RecordChild1, // #2 = $addr
/* 21329*/    OPC_Scope, 73|128,1/*201*/, /*->21533*/ // 2 children in Scope
/* 21332*/     OPC_CheckChild1TypeI32,
/* 21333*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21335*/     OPC_Scope, 67, /*->21404*/ // 2 children in Scope
/* 21337*/      OPC_CheckPredicate, 10, // Predicate_extload
/* 21339*/      OPC_CheckTypeI32,
/* 21340*/      OPC_Scope, 30, /*->21372*/ // 2 children in Scope
/* 21342*/       OPC_CheckPredicate1,  // Predicate_extloadi8
/* 21343*/       OPC_MoveSibling2,
/* 21344*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21347*/       OPC_RecordNode, // #3 = $idx
/* 21348*/       OPC_CheckPredicate, 18, // Predicate_LaneIdx16
/* 21350*/       OPC_CheckTypeI32,
/* 21351*/       OPC_MoveParent,
/* 21352*/       OPC_CheckType, /*MVT::v16i8*/39, 
/* 21354*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21355*/       OPC_EmitMergeInputChains1_1,
/* 21356*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21358*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21360*/       OPC_EmitConvertToTarget3, // #6
/* 21361*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v16i8*/39, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_8_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 21372*/      /*Scope*/ 30, /*->21403*/
/* 21373*/       OPC_CheckPredicate2,  // Predicate_extloadi16
/* 21374*/       OPC_MoveSibling2,
/* 21375*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21378*/       OPC_RecordNode, // #3 = $idx
/* 21379*/       OPC_CheckPredicate, 13, // Predicate_LaneIdx8
/* 21381*/       OPC_CheckTypeI32,
/* 21382*/       OPC_MoveParent,
/* 21383*/       OPC_CheckType, /*MVT::v8i16*/50, 
/* 21385*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21386*/       OPC_EmitMergeInputChains1_1,
/* 21387*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21389*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21391*/       OPC_EmitConvertToTarget3, // #6
/* 21392*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_16_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v8i16*/50, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_16_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 21403*/      0, /*End of Scope*/
/* 21404*/     /*Scope*/ 127, /*->21532*/
/* 21405*/      OPC_CheckPredicate6,  // Predicate_load
/* 21406*/      OPC_SwitchType /*4 cases */, 29, /*MVT::i32*/7, // ->21438
/* 21409*/       OPC_MoveSibling2,
/* 21410*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21413*/       OPC_RecordNode, // #3 = $idx
/* 21414*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21416*/       OPC_CheckTypeI32,
/* 21417*/       OPC_MoveParent,
/* 21418*/       OPC_CheckType, /*MVT::v4i32*/60, 
/* 21420*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21421*/       OPC_EmitMergeInputChains1_1,
/* 21422*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21424*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21426*/       OPC_EmitConvertToTarget3, // #6
/* 21427*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v4i32*/60, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_32_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 21438*/      /*SwitchType*/ 29, /*MVT::f32*/12, // ->21469
/* 21440*/       OPC_MoveSibling2,
/* 21441*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21444*/       OPC_RecordNode, // #3 = $idx
/* 21445*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21447*/       OPC_CheckTypeI32,
/* 21448*/       OPC_MoveParent,
/* 21449*/       OPC_CheckType, /*MVT::v4i32*/60, 
/* 21451*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21452*/       OPC_EmitMergeInputChains1_1,
/* 21453*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21455*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21457*/       OPC_EmitConvertToTarget3, // #6
/* 21458*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v4i32*/60, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[f32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_32_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 21469*/      /*SwitchType*/ 29, /*MVT::i64*/8, // ->21500
/* 21471*/       OPC_MoveSibling2,
/* 21472*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21475*/       OPC_RecordNode, // #3 = $idx
/* 21476*/       OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 21478*/       OPC_CheckTypeI32,
/* 21479*/       OPC_MoveParent,
/* 21480*/       OPC_CheckType, /*MVT::v2i64*/78, 
/* 21482*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21483*/       OPC_EmitMergeInputChains1_1,
/* 21484*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21486*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21488*/       OPC_EmitConvertToTarget3, // #6
/* 21489*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v2i64*/78, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_64_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 21500*/      /*SwitchType*/ 29, /*MVT::f64*/13, // ->21531
/* 21502*/       OPC_MoveSibling2,
/* 21503*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21506*/       OPC_RecordNode, // #3 = $idx
/* 21507*/       OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 21509*/       OPC_CheckTypeI32,
/* 21510*/       OPC_MoveParent,
/* 21511*/       OPC_CheckType, /*MVT::v2i64*/78, 
/* 21513*/       OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21514*/       OPC_EmitMergeInputChains1_1,
/* 21515*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21517*/       OPC_EmitInteger32, 0,  // 0 #5
/* 21519*/       OPC_EmitConvertToTarget3, // #6
/* 21520*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v2i64*/78, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_64_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 21531*/      0, // EndSwitchType
/* 21532*/     0, /*End of Scope*/
/* 21533*/    /*Scope*/ 73|128,1/*201*/, /*->21736*/
/* 21535*/     OPC_CheckChild1TypeI64,
/* 21536*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21538*/     OPC_Scope, 67, /*->21607*/ // 2 children in Scope
/* 21540*/      OPC_CheckPredicate, 10, // Predicate_extload
/* 21542*/      OPC_CheckTypeI32,
/* 21543*/      OPC_Scope, 30, /*->21575*/ // 2 children in Scope
/* 21545*/       OPC_CheckPredicate1,  // Predicate_extloadi8
/* 21546*/       OPC_MoveSibling2,
/* 21547*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21550*/       OPC_RecordNode, // #3 = $idx
/* 21551*/       OPC_CheckPredicate, 18, // Predicate_LaneIdx16
/* 21553*/       OPC_CheckTypeI32,
/* 21554*/       OPC_MoveParent,
/* 21555*/       OPC_CheckType, /*MVT::v16i8*/39, 
/* 21557*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21558*/       OPC_EmitMergeInputChains1_1,
/* 21559*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21561*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21563*/       OPC_EmitConvertToTarget3, // #6
/* 21564*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v16i8*/39, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_8_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 21575*/      /*Scope*/ 30, /*->21606*/
/* 21576*/       OPC_CheckPredicate2,  // Predicate_extloadi16
/* 21577*/       OPC_MoveSibling2,
/* 21578*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21581*/       OPC_RecordNode, // #3 = $idx
/* 21582*/       OPC_CheckPredicate, 13, // Predicate_LaneIdx8
/* 21584*/       OPC_CheckTypeI32,
/* 21585*/       OPC_MoveParent,
/* 21586*/       OPC_CheckType, /*MVT::v8i16*/50, 
/* 21588*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21589*/       OPC_EmitMergeInputChains1_1,
/* 21590*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21592*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21594*/       OPC_EmitConvertToTarget3, // #6
/* 21595*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_16_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v8i16*/50, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_16_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 21606*/      0, /*End of Scope*/
/* 21607*/     /*Scope*/ 127, /*->21735*/
/* 21608*/      OPC_CheckPredicate6,  // Predicate_load
/* 21609*/      OPC_SwitchType /*4 cases */, 29, /*MVT::i32*/7, // ->21641
/* 21612*/       OPC_MoveSibling2,
/* 21613*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21616*/       OPC_RecordNode, // #3 = $idx
/* 21617*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21619*/       OPC_CheckTypeI32,
/* 21620*/       OPC_MoveParent,
/* 21621*/       OPC_CheckType, /*MVT::v4i32*/60, 
/* 21623*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21624*/       OPC_EmitMergeInputChains1_1,
/* 21625*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21627*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21629*/       OPC_EmitConvertToTarget3, // #6
/* 21630*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v4i32*/60, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_32_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 21641*/      /*SwitchType*/ 29, /*MVT::f32*/12, // ->21672
/* 21643*/       OPC_MoveSibling2,
/* 21644*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21647*/       OPC_RecordNode, // #3 = $idx
/* 21648*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21650*/       OPC_CheckTypeI32,
/* 21651*/       OPC_MoveParent,
/* 21652*/       OPC_CheckType, /*MVT::v4i32*/60, 
/* 21654*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21655*/       OPC_EmitMergeInputChains1_1,
/* 21656*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21658*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21660*/       OPC_EmitConvertToTarget3, // #6
/* 21661*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v4i32*/60, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[f32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_32_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 21672*/      /*SwitchType*/ 29, /*MVT::i64*/8, // ->21703
/* 21674*/       OPC_MoveSibling2,
/* 21675*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21678*/       OPC_RecordNode, // #3 = $idx
/* 21679*/       OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 21681*/       OPC_CheckTypeI32,
/* 21682*/       OPC_MoveParent,
/* 21683*/       OPC_CheckType, /*MVT::v2i64*/78, 
/* 21685*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21686*/       OPC_EmitMergeInputChains1_1,
/* 21687*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21689*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21691*/       OPC_EmitConvertToTarget3, // #6
/* 21692*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v2i64*/78, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_64_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 21703*/      /*SwitchType*/ 29, /*MVT::f64*/13, // ->21734
/* 21705*/       OPC_MoveSibling2,
/* 21706*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21709*/       OPC_RecordNode, // #3 = $idx
/* 21710*/       OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 21712*/       OPC_CheckTypeI32,
/* 21713*/       OPC_MoveParent,
/* 21714*/       OPC_CheckType, /*MVT::v2i64*/78, 
/* 21716*/       OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 21717*/       OPC_EmitMergeInputChains1_1,
/* 21718*/       OPC_EmitInteger32, 0,  // 0 #4
/* 21720*/       OPC_EmitInteger64, 0,  // 0 #5
/* 21722*/       OPC_EmitConvertToTarget3, // #6
/* 21723*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     /*MVT::v2i64*/78, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_64_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 21734*/      0, // EndSwitchType
/* 21735*/     0, /*End of Scope*/
/* 21736*/    0, /*End of Scope*/
/* 21737*/   /*Scope*/ 24|128,1/*152*/, /*->21891*/
/* 21739*/    OPC_RecordChild1, // #1 = $x
/* 21740*/    OPC_Scope, 104, /*->21846*/ // 2 children in Scope
/* 21742*/     OPC_CheckChild1TypeI32,
/* 21743*/     OPC_Scope, 56, /*->21801*/ // 2 children in Scope
/* 21745*/      OPC_RecordChild2, // #2 = $idx
/* 21746*/      OPC_MoveChild2,
/* 21747*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21750*/      OPC_CheckTypeI32,
/* 21751*/      OPC_Scope, 15, /*->21768*/ // 3 children in Scope
/* 21753*/       OPC_CheckPredicate, 18, // Predicate_LaneIdx16
/* 21755*/       OPC_MoveParent,
/* 21756*/       OPC_CheckType, /*MVT::v16i8*/39, 
/* 21758*/       OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 21759*/       OPC_EmitConvertToTarget2, // #3
/* 21760*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I8x16),
                     /*MVT::v16i8*/39, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 21768*/      /*Scope*/ 15, /*->21784*/
/* 21769*/       OPC_CheckPredicate, 13, // Predicate_LaneIdx8
/* 21771*/       OPC_MoveParent,
/* 21772*/       OPC_CheckType, /*MVT::v8i16*/50, 
/* 21774*/       OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 21775*/       OPC_EmitConvertToTarget2, // #3
/* 21776*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I16x8),
                     /*MVT::v8i16*/50, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 21784*/      /*Scope*/ 15, /*->21800*/
/* 21785*/       OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21787*/       OPC_MoveParent,
/* 21788*/       OPC_CheckType, /*MVT::v4i32*/60, 
/* 21790*/       OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 21791*/       OPC_EmitConvertToTarget2, // #3
/* 21792*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I32x4),
                     /*MVT::v4i32*/60, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 21800*/      0, /*End of Scope*/
/* 21801*/     /*Scope*/ 43, /*->21845*/
/* 21802*/      OPC_MoveChild2,
/* 21803*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 21806*/      OPC_MoveParent,
/* 21807*/      OPC_SwitchType /*3 cases */, 10, /*MVT::v16i8*/39, // ->21820
/* 21810*/       OPC_EmitInteger32, 0,  // 0 #2
/* 21812*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I8x16),
                     /*MVT::v16i8*/39, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 21820*/      /*SwitchType*/ 10, /*MVT::v8i16*/50, // ->21832
/* 21822*/       OPC_EmitInteger32, 0,  // 0 #2
/* 21824*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I16x8),
                     /*MVT::v8i16*/50, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 21832*/      /*SwitchType*/ 10, /*MVT::v4i32*/60, // ->21844
/* 21834*/       OPC_EmitInteger32, 0,  // 0 #2
/* 21836*/       OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I32x4),
                     /*MVT::v4i32*/60, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 21844*/      0, // EndSwitchType
/* 21845*/     0, /*End of Scope*/
/* 21846*/    /*Scope*/ 43, /*->21890*/
/* 21847*/     OPC_CheckChild1TypeI64,
/* 21848*/     OPC_Scope, 21, /*->21871*/ // 2 children in Scope
/* 21850*/      OPC_RecordChild2, // #2 = $idx
/* 21851*/      OPC_MoveChild2,
/* 21852*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21855*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 21857*/      OPC_CheckTypeI32,
/* 21858*/      OPC_MoveParent,
/* 21859*/      OPC_CheckType, /*MVT::v2i64*/78, 
/* 21861*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 21862*/      OPC_EmitConvertToTarget2, // #3
/* 21863*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I64x2),
                    /*MVT::v2i64*/78, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I64:{ *:[i64] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$x)
/* 21871*/     /*Scope*/ 17, /*->21889*/
/* 21872*/      OPC_MoveChild2,
/* 21873*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 21876*/      OPC_MoveParent,
/* 21877*/      OPC_CheckType, /*MVT::v2i64*/78, 
/* 21879*/      OPC_EmitInteger32, 0,  // 0 #2
/* 21881*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_I64x2),
                    /*MVT::v2i64*/78, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I64:{ *:[i64] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_I64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$vec, 0:{ *:[i32] }, ?:{ *:[i64] }:$x)
/* 21889*/     0, /*End of Scope*/
/* 21890*/    0, /*End of Scope*/
/* 21891*/   /*Scope*/ 26|128,2/*282*/, /*->22175*/
/* 21893*/    OPC_MoveChild1,
/* 21894*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 21897*/    OPC_RecordMemRef,
/* 21898*/    OPC_RecordNode, // #1 = 'ld' chained node
/* 21899*/    OPC_CheckFoldableChainNode,
/* 21900*/    OPC_RecordChild1, // #2 = $addr
/* 21901*/    OPC_Scope, 6|128,1/*134*/, /*->22038*/ // 2 children in Scope
/* 21904*/     OPC_CheckChild1TypeI32,
/* 21905*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 21907*/     OPC_CheckPredicate6,  // Predicate_load
/* 21908*/     OPC_SwitchType /*4 cases */, 29, /*MVT::i32*/7, // ->21940
/* 21911*/      OPC_MoveSibling2,
/* 21912*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21915*/      OPC_RecordNode, // #3 = $idx
/* 21916*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21918*/      OPC_CheckTypeI32,
/* 21919*/      OPC_MoveParent,
/* 21920*/      OPC_CheckType, /*MVT::v4f32*/111, 
/* 21922*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21923*/      OPC_EmitMergeInputChains1_1,
/* 21924*/      OPC_EmitInteger32, 0,  // 0 #4
/* 21926*/      OPC_EmitInteger32, 0,  // 0 #5
/* 21928*/      OPC_EmitConvertToTarget3, // #6
/* 21929*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4f32*/111, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_32_A32:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4f32] }:$vec)
/* 21940*/     /*SwitchType*/ 29, /*MVT::f32*/12, // ->21971
/* 21942*/      OPC_MoveSibling2,
/* 21943*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21946*/      OPC_RecordNode, // #3 = $idx
/* 21947*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 21949*/      OPC_CheckTypeI32,
/* 21950*/      OPC_MoveParent,
/* 21951*/      OPC_CheckType, /*MVT::v4f32*/111, 
/* 21953*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21954*/      OPC_EmitMergeInputChains1_1,
/* 21955*/      OPC_EmitInteger32, 0,  // 0 #4
/* 21957*/      OPC_EmitInteger32, 0,  // 0 #5
/* 21959*/      OPC_EmitConvertToTarget3, // #6
/* 21960*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4f32*/111, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (ld:{ *:[f32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_32_A32:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4f32] }:$vec)
/* 21971*/     /*SwitchType*/ 31, /*MVT::i64*/8, // ->22004
/* 21973*/      OPC_MoveSibling2,
/* 21974*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21977*/      OPC_RecordNode, // #3 = $idx
/* 21978*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 21980*/      OPC_CheckTypeI32,
/* 21981*/      OPC_MoveParent,
/* 21982*/      OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 21985*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 21986*/      OPC_EmitMergeInputChains1_1,
/* 21987*/      OPC_EmitInteger32, 0,  // 0 #4
/* 21989*/      OPC_EmitInteger32, 0,  // 0 #5
/* 21991*/      OPC_EmitConvertToTarget3, // #6
/* 21992*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2f64*/1|128,1/*129*/, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_64_A32:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2f64] }:$vec)
/* 22004*/     /*SwitchType*/ 31, /*MVT::f64*/13, // ->22037
/* 22006*/      OPC_MoveSibling2,
/* 22007*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22010*/      OPC_RecordNode, // #3 = $idx
/* 22011*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22013*/      OPC_CheckTypeI32,
/* 22014*/      OPC_MoveParent,
/* 22015*/      OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 22018*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22019*/      OPC_EmitMergeInputChains1_1,
/* 22020*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22022*/      OPC_EmitInteger32, 0,  // 0 #5
/* 22024*/      OPC_EmitConvertToTarget3, // #6
/* 22025*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2f64*/1|128,1/*129*/, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (ld:{ *:[f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_64_A32:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2f64] }:$vec)
/* 22037*/     0, // EndSwitchType
/* 22038*/    /*Scope*/ 6|128,1/*134*/, /*->22174*/
/* 22040*/     OPC_CheckChild1TypeI64,
/* 22041*/     OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 22043*/     OPC_CheckPredicate6,  // Predicate_load
/* 22044*/     OPC_SwitchType /*4 cases */, 29, /*MVT::i32*/7, // ->22076
/* 22047*/      OPC_MoveSibling2,
/* 22048*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22051*/      OPC_RecordNode, // #3 = $idx
/* 22052*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 22054*/      OPC_CheckTypeI32,
/* 22055*/      OPC_MoveParent,
/* 22056*/      OPC_CheckType, /*MVT::v4f32*/111, 
/* 22058*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22059*/      OPC_EmitMergeInputChains1_1,
/* 22060*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22062*/      OPC_EmitInteger64, 0,  // 0 #5
/* 22064*/      OPC_EmitConvertToTarget3, // #6
/* 22065*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4f32*/111, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_32_A64:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4f32] }:$vec)
/* 22076*/     /*SwitchType*/ 29, /*MVT::f32*/12, // ->22107
/* 22078*/      OPC_MoveSibling2,
/* 22079*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22082*/      OPC_RecordNode, // #3 = $idx
/* 22083*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 22085*/      OPC_CheckTypeI32,
/* 22086*/      OPC_MoveParent,
/* 22087*/      OPC_CheckType, /*MVT::v4f32*/111, 
/* 22089*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22090*/      OPC_EmitMergeInputChains1_1,
/* 22091*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22093*/      OPC_EmitInteger64, 0,  // 0 #5
/* 22095*/      OPC_EmitConvertToTarget3, // #6
/* 22096*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4f32*/111, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (ld:{ *:[f32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_32_A64:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4f32] }:$vec)
/* 22107*/     /*SwitchType*/ 31, /*MVT::i64*/8, // ->22140
/* 22109*/      OPC_MoveSibling2,
/* 22110*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22113*/      OPC_RecordNode, // #3 = $idx
/* 22114*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22116*/      OPC_CheckTypeI32,
/* 22117*/      OPC_MoveParent,
/* 22118*/      OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 22121*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22122*/      OPC_EmitMergeInputChains1_1,
/* 22123*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22125*/      OPC_EmitInteger64, 0,  // 0 #5
/* 22127*/      OPC_EmitConvertToTarget3, // #6
/* 22128*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2f64*/1|128,1/*129*/, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_64_A64:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2f64] }:$vec)
/* 22140*/     /*SwitchType*/ 31, /*MVT::f64*/13, // ->22173
/* 22142*/      OPC_MoveSibling2,
/* 22143*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22146*/      OPC_RecordNode, // #3 = $idx
/* 22147*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22149*/      OPC_CheckTypeI32,
/* 22150*/      OPC_MoveParent,
/* 22151*/      OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 22154*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22155*/      OPC_EmitMergeInputChains1_1,
/* 22156*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22158*/      OPC_EmitInteger64, 0,  // 0 #5
/* 22160*/      OPC_EmitConvertToTarget3, // #6
/* 22161*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2f64*/1|128,1/*129*/, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (ld:{ *:[f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                // Dst: (LOAD_LANE_64_A64:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2f64] }:$vec)
/* 22173*/     0, // EndSwitchType
/* 22174*/    0, /*End of Scope*/
/* 22175*/   /*Scope*/ 97, /*->22273*/
/* 22176*/    OPC_RecordChild1, // #1 = $x
/* 22177*/    OPC_Scope, 44, /*->22223*/ // 2 children in Scope
/* 22179*/     OPC_CheckChild1Type, /*MVT::f32*/12, 
/* 22181*/     OPC_Scope, 21, /*->22204*/ // 2 children in Scope
/* 22183*/      OPC_RecordChild2, // #2 = $idx
/* 22184*/      OPC_MoveChild2,
/* 22185*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22188*/      OPC_CheckPredicate, 11, // Predicate_LaneIdx4
/* 22190*/      OPC_CheckTypeI32,
/* 22191*/      OPC_MoveParent,
/* 22192*/      OPC_CheckType, /*MVT::v4f32*/111, 
/* 22194*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22195*/      OPC_EmitConvertToTarget2, // #3
/* 22196*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F32x4),
                    /*MVT::v4f32*/111, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, F32:{ *:[f32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (imm:{ *:[i32] }):$idx, F32:{ *:[f32] }:$x)
/* 22204*/     /*Scope*/ 17, /*->22222*/
/* 22205*/      OPC_MoveChild2,
/* 22206*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 22209*/      OPC_MoveParent,
/* 22210*/      OPC_CheckType, /*MVT::v4f32*/111, 
/* 22212*/      OPC_EmitInteger32, 0,  // 0 #2
/* 22214*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F32x4),
                    /*MVT::v4f32*/111, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, F32:{ *:[f32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_F32x4:{ *:[v4f32] } ?:{ *:[v4f32] }:$vec, 0:{ *:[i32] }, ?:{ *:[f32] }:$x)
/* 22222*/     0, /*End of Scope*/
/* 22223*/    /*Scope*/ 48, /*->22272*/
/* 22224*/     OPC_CheckChild1Type, /*MVT::f64*/13, 
/* 22226*/     OPC_Scope, 23, /*->22251*/ // 2 children in Scope
/* 22228*/      OPC_RecordChild2, // #2 = $idx
/* 22229*/      OPC_MoveChild2,
/* 22230*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22233*/      OPC_CheckPredicate, 12, // Predicate_LaneIdx2
/* 22235*/      OPC_CheckTypeI32,
/* 22236*/      OPC_MoveParent,
/* 22237*/      OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 22240*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22241*/      OPC_EmitConvertToTarget2, // #3
/* 22242*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, F64:{ *:[f64] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (imm:{ *:[i32] }):$idx, F64:{ *:[f64] }:$x)
/* 22251*/     /*Scope*/ 19, /*->22271*/
/* 22252*/      OPC_MoveChild2,
/* 22253*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 22256*/      OPC_MoveParent,
/* 22257*/      OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 22260*/      OPC_EmitInteger32, 0,  // 0 #2
/* 22262*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::REPLACE_LANE_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, F64:{ *:[f64] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_F64x2:{ *:[v2f64] } ?:{ *:[v2f64] }:$vec, 0:{ *:[i32] }, ?:{ *:[f64] }:$x)
/* 22271*/     0, /*End of Scope*/
/* 22272*/    0, /*End of Scope*/
/* 22273*/   0, /*End of Scope*/
/* 22274*/  0, /*End of Scope*/
/* 22275*/ /*SwitchOpcode*/ 96|128,1/*224*/, TARGET_VAL(WebAssemblyISD::VEC_SHR_U),// ->22503
/* 22279*/  OPC_Scope, 87, /*->22368*/ // 2 children in Scope
/* 22281*/   OPC_MoveChild0,
/* 22282*/   OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 22285*/   OPC_MoveChild0,
/* 22286*/   OPC_SwitchOpcode /*2 cases */, 37, TARGET_VAL(ISD::ADD),// ->22327
/* 22290*/    OPC_RecordChild0, // #0 = $lhs
/* 22291*/    OPC_RecordChild1, // #1 = $rhs
/* 22292*/    OPC_CheckPredicate, 22, // Predicate_add_nuw
/* 22294*/    OPC_MoveSibling1,
/* 22295*/    OPC_CheckOpcode, TARGET_VAL(ISD::SPLAT_VECTOR),
/* 22298*/    OPC_CheckChild0Integer, 2, 
/* 22300*/    OPC_CheckChild0TypeI32,
/* 22301*/    OPC_MoveParent,
/* 22302*/    OPC_CheckPredicate, 22, // Predicate_add_nuw
/* 22304*/    OPC_MoveParent,
/* 22305*/    OPC_CheckChild1Integer, 2, 
/* 22307*/    OPC_SwitchType /*2 cases */, 7, /*MVT::v16i8*/39, // ->22317
/* 22310*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } (add:{ *:[v16i8] } (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)<<P:Predicate_add_nuw>>, (splat_vector:{ *:[v16i8] } 1:{ *:[i32] }))<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 24
               // Dst: (AVGR_U_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 22317*/    /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->22326
/* 22319*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } (add:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)<<P:Predicate_add_nuw>>, (splat_vector:{ *:[v8i16] } 1:{ *:[i32] }))<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 24
               // Dst: (AVGR_U_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 22326*/    0, // EndSwitchType
/* 22327*/   /*SwitchOpcode*/ 37, TARGET_VAL(ISD::SPLAT_VECTOR),// ->22367
/* 22330*/    OPC_CheckChild0Integer, 2, 
/* 22332*/    OPC_CheckChild0TypeI32,
/* 22333*/    OPC_MoveSibling1,
/* 22334*/    OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 22337*/    OPC_RecordChild0, // #0 = $lhs
/* 22338*/    OPC_RecordChild1, // #1 = $rhs
/* 22339*/    OPC_CheckPredicate, 22, // Predicate_add_nuw
/* 22341*/    OPC_MoveParent,
/* 22342*/    OPC_CheckPredicate, 22, // Predicate_add_nuw
/* 22344*/    OPC_MoveParent,
/* 22345*/    OPC_CheckChild1Integer, 2, 
/* 22347*/    OPC_SwitchType /*2 cases */, 7, /*MVT::v16i8*/39, // ->22357
/* 22350*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } (add:{ *:[v16i8] } (splat_vector:{ *:[v16i8] } 1:{ *:[i32] }), (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)<<P:Predicate_add_nuw>>)<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 24
               // Dst: (AVGR_U_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 22357*/    /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->22366
/* 22359*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::AVGR_U_I16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } (add:{ *:[v8i16] } (splat_vector:{ *:[v8i16] } 1:{ *:[i32] }), (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)<<P:Predicate_add_nuw>>)<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 24
               // Dst: (AVGR_U_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 22366*/    0, // EndSwitchType
/* 22367*/   0, // EndSwitchOpcode
/* 22368*/  /*Scope*/ 4|128,1/*132*/, /*->22502*/
/* 22370*/   OPC_RecordChild0, // #0 = $lhs
/* 22371*/   OPC_Scope, 84, /*->22457*/ // 2 children in Scope
/* 22373*/    OPC_MoveChild1,
/* 22374*/    OPC_Scope, 24, /*->22400*/ // 5 children in Scope
/* 22376*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 22379*/     OPC_MoveChild0,
/* 22380*/     OPC_CheckAndImm, 63, 
/* 22382*/     OPC_RecordChild0, // #1 = $rhs
/* 22383*/     OPC_MoveParent,
/* 22384*/     OPC_MoveParent,
/* 22385*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 22387*/     OPC_EmitNode1None, TARGET_VAL(WebAssembly::I32_WRAP_I64),
                   /*MVT::i32*/7, 1/*#Ops*/, 1,  // Results = #2
/* 22393*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 2, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 22400*/    /*Scope*/ 13, /*->22414*/
/* 22401*/     OPC_CheckAndImm, 7, 
/* 22403*/     OPC_RecordChild0, // #1 = $rhs
/* 22404*/     OPC_MoveParent,
/* 22405*/     OPC_CheckType, /*MVT::v16i8*/39, 
/* 22407*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 22414*/    /*Scope*/ 13, /*->22428*/
/* 22415*/     OPC_CheckAndImm, 15, 
/* 22417*/     OPC_RecordChild0, // #1 = $rhs
/* 22418*/     OPC_MoveParent,
/* 22419*/     OPC_CheckType, /*MVT::v8i16*/50, 
/* 22421*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 22428*/    /*Scope*/ 13, /*->22442*/
/* 22429*/     OPC_CheckAndImm, 31, 
/* 22431*/     OPC_RecordChild0, // #1 = $rhs
/* 22432*/     OPC_MoveParent,
/* 22433*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 22435*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I32x4),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 22442*/    /*Scope*/ 13, /*->22456*/
/* 22443*/     OPC_CheckAndImm, 63, 
/* 22445*/     OPC_RecordChild0, // #1 = $rhs
/* 22446*/     OPC_MoveParent,
/* 22447*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 22449*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 63:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 22456*/    0, /*End of Scope*/
/* 22457*/   /*Scope*/ 43, /*->22501*/
/* 22458*/    OPC_RecordChild1, // #1 = $x
/* 22459*/    OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->22470
/* 22462*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22463*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I8x16),
                   /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 22470*/    /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->22480
/* 22472*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22473*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 22480*/    /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->22490
/* 22482*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22483*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I32x4),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 22490*/    /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->22500
/* 22492*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22493*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_U_I64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 22500*/    0, // EndSwitchType
/* 22501*/   0, /*End of Scope*/
/* 22502*/  0, /*End of Scope*/
/* 22503*/ /*SwitchOpcode*/ 22|128,4/*534*/, TARGET_VAL(ISD::SPLAT_VECTOR),// ->23041
/* 22507*/  OPC_Scope, 73|128,1/*201*/, /*->22711*/ // 4 children in Scope
/* 22510*/   OPC_MoveChild0,
/* 22511*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 22514*/   OPC_RecordMemRef,
/* 22515*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 22516*/   OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 22517*/   OPC_Scope, 95, /*->22614*/ // 2 children in Scope
/* 22519*/    OPC_CheckChild1TypeI32,
/* 22520*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 22522*/    OPC_Scope, 45, /*->22569*/ // 2 children in Scope
/* 22524*/     OPC_CheckPredicate, 10, // Predicate_extload
/* 22526*/     OPC_CheckTypeI32,
/* 22527*/     OPC_Scope, 19, /*->22548*/ // 2 children in Scope
/* 22529*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/* 22530*/      OPC_MoveParent,
/* 22531*/      OPC_CheckType, /*MVT::v16i8*/39, 
/* 22533*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22534*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22536*/      OPC_EmitMergeInputChains1_0,
/* 22537*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22539*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v16i8*/39, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v16i8] } (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>) - Complexity = 16
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22548*/     /*Scope*/ 19, /*->22568*/
/* 22549*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/* 22550*/      OPC_MoveParent,
/* 22551*/      OPC_CheckType, /*MVT::v8i16*/50, 
/* 22553*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22554*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22556*/      OPC_EmitMergeInputChains1_0,
/* 22557*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22559*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v8i16] } (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>) - Complexity = 16
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22568*/     0, /*End of Scope*/
/* 22569*/    /*Scope*/ 43, /*->22613*/
/* 22570*/     OPC_CheckPredicate6,  // Predicate_load
/* 22571*/     OPC_SwitchType /*2 cases */, 18, /*MVT::i32*/7, // ->22592
/* 22574*/      OPC_MoveParent,
/* 22575*/      OPC_CheckType, /*MVT::v4i32*/60, 
/* 22577*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22578*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22580*/      OPC_EmitMergeInputChains1_0,
/* 22581*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22583*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v4i32] } (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22592*/     /*SwitchType*/ 18, /*MVT::i64*/8, // ->22612
/* 22594*/      OPC_MoveParent,
/* 22595*/      OPC_CheckType, /*MVT::v2i64*/78, 
/* 22597*/      OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22598*/      OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22600*/      OPC_EmitMergeInputChains1_0,
/* 22601*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22603*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v2i64] } (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22612*/     0, // EndSwitchType
/* 22613*/    0, /*End of Scope*/
/* 22614*/   /*Scope*/ 95, /*->22710*/
/* 22615*/    OPC_CheckChild1TypeI64,
/* 22616*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 22618*/    OPC_Scope, 45, /*->22665*/ // 2 children in Scope
/* 22620*/     OPC_CheckPredicate, 10, // Predicate_extload
/* 22622*/     OPC_CheckTypeI32,
/* 22623*/     OPC_Scope, 19, /*->22644*/ // 2 children in Scope
/* 22625*/      OPC_CheckPredicate1,  // Predicate_extloadi8
/* 22626*/      OPC_MoveParent,
/* 22627*/      OPC_CheckType, /*MVT::v16i8*/39, 
/* 22629*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22630*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 22632*/      OPC_EmitMergeInputChains1_0,
/* 22633*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22635*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v16i8*/39, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v16i8] } (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>) - Complexity = 16
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 22644*/     /*Scope*/ 19, /*->22664*/
/* 22645*/      OPC_CheckPredicate2,  // Predicate_extloadi16
/* 22646*/      OPC_MoveParent,
/* 22647*/      OPC_CheckType, /*MVT::v8i16*/50, 
/* 22649*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22650*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 22652*/      OPC_EmitMergeInputChains1_0,
/* 22653*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22655*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v8i16*/50, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v8i16] } (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>) - Complexity = 16
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 22664*/     0, /*End of Scope*/
/* 22665*/    /*Scope*/ 43, /*->22709*/
/* 22666*/     OPC_CheckPredicate6,  // Predicate_load
/* 22667*/     OPC_SwitchType /*2 cases */, 18, /*MVT::i32*/7, // ->22688
/* 22670*/      OPC_MoveParent,
/* 22671*/      OPC_CheckType, /*MVT::v4i32*/60, 
/* 22673*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22674*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 22676*/      OPC_EmitMergeInputChains1_0,
/* 22677*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22679*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v4i32] } (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 22688*/     /*SwitchType*/ 18, /*MVT::i64*/8, // ->22708
/* 22690*/      OPC_MoveParent,
/* 22691*/      OPC_CheckType, /*MVT::v2i64*/78, 
/* 22693*/      OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22694*/      OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 22696*/      OPC_EmitMergeInputChains1_0,
/* 22697*/      OPC_EmitInteger32, 0,  // 0 #4
/* 22699*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
                // Src: (splat_vector:{ *:[v2i64] } (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 22708*/     0, // EndSwitchType
/* 22709*/    0, /*End of Scope*/
/* 22710*/   0, /*End of Scope*/
/* 22711*/  /*Scope*/ 20|128,1/*148*/, /*->22861*/
/* 22713*/   OPC_RecordChild0, // #0 = $x
/* 22714*/   OPC_Scope, 102, /*->22818*/ // 3 children in Scope
/* 22716*/    OPC_MoveChild0,
/* 22717*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22720*/    OPC_SwitchType /*2 cases */, 80, /*MVT::i32*/7, // ->22803
/* 22723*/     OPC_MoveParent,
/* 22724*/     OPC_SwitchType /*3 cases */, 37, /*MVT::v16i8*/39, // ->22764
/* 22727*/      OPC_EmitConvertToTarget0, // #1
/* 22728*/      OPC_EmitConvertToTarget0, // #2
/* 22729*/      OPC_EmitConvertToTarget0, // #3
/* 22730*/      OPC_EmitConvertToTarget0, // #4
/* 22731*/      OPC_EmitConvertToTarget0, // #5
/* 22732*/      OPC_EmitConvertToTarget0, // #6
/* 22733*/      OPC_EmitConvertToTarget0, // #7
/* 22734*/      OPC_EmitConvertToTarget0, // #8
/* 22735*/      OPC_EmitConvertToTarget0, // #9
/* 22736*/      OPC_EmitConvertToTarget0, // #10
/* 22737*/      OPC_EmitConvertToTarget0, // #11
/* 22738*/      OPC_EmitConvertToTarget0, // #12
/* 22739*/      OPC_EmitConvertToTarget0, // #13
/* 22740*/      OPC_EmitConvertToTarget0, // #14
/* 22741*/      OPC_EmitConvertToTarget0, // #15
/* 22742*/      OPC_EmitConvertToTarget0, // #16
/* 22743*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I8x16),
                    /*MVT::v16i8*/39, 16/*#Ops*/, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 
                // Src: (splat_vector:{ *:[v16i8] } (imm:{ *:[i32] }):$x) - Complexity = 6
                // Dst: (CONST_V128_I8x16:{ *:[v16i8] } (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x)
/* 22764*/     /*SwitchType*/ 21, /*MVT::v8i16*/50, // ->22787
/* 22766*/      OPC_EmitConvertToTarget0, // #1
/* 22767*/      OPC_EmitConvertToTarget0, // #2
/* 22768*/      OPC_EmitConvertToTarget0, // #3
/* 22769*/      OPC_EmitConvertToTarget0, // #4
/* 22770*/      OPC_EmitConvertToTarget0, // #5
/* 22771*/      OPC_EmitConvertToTarget0, // #6
/* 22772*/      OPC_EmitConvertToTarget0, // #7
/* 22773*/      OPC_EmitConvertToTarget0, // #8
/* 22774*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I16x8),
                    /*MVT::v8i16*/50, 8/*#Ops*/, 1, 2, 3, 4, 5, 6, 7, 8, 
                // Src: (splat_vector:{ *:[v8i16] } (imm:{ *:[i32] }):$x) - Complexity = 6
                // Dst: (CONST_V128_I16x8:{ *:[v8i16] } (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x)
/* 22787*/     /*SwitchType*/ 13, /*MVT::v4i32*/60, // ->22802
/* 22789*/      OPC_EmitConvertToTarget0, // #1
/* 22790*/      OPC_EmitConvertToTarget0, // #2
/* 22791*/      OPC_EmitConvertToTarget0, // #3
/* 22792*/      OPC_EmitConvertToTarget0, // #4
/* 22793*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I32x4),
                    /*MVT::v4i32*/60, 4/*#Ops*/, 1, 2, 3, 4, 
                // Src: (splat_vector:{ *:[v4i32] } (imm:{ *:[i32] }):$x) - Complexity = 6
                // Dst: (CONST_V128_I32x4:{ *:[v4i32] } (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x, (imm:{ *:[i32] }):$x)
/* 22802*/     0, // EndSwitchType
/* 22803*/    /*SwitchType*/ 12, /*MVT::i64*/8, // ->22817
/* 22805*/     OPC_MoveParent,
/* 22806*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 22808*/     OPC_EmitConvertToTarget0, // #1
/* 22809*/     OPC_EmitConvertToTarget0, // #2
/* 22810*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_I64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 1, 2, 
               // Src: (splat_vector:{ *:[v2i64] } (imm:{ *:[i64] }):$x) - Complexity = 6
               // Dst: (CONST_V128_I64x2:{ *:[v2i64] } (imm:{ *:[i64] }):$x, (imm:{ *:[i64] }):$x)
/* 22817*/    0, // EndSwitchType
/* 22818*/   /*Scope*/ 30, /*->22849*/
/* 22819*/    OPC_CheckChild0TypeI32,
/* 22820*/    OPC_SwitchType /*3 cases */, 7, /*MVT::v16i8*/39, // ->22830
/* 22823*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22824*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I8x16),
                   /*MVT::v16i8*/39, 1/*#Ops*/, 0, 
               // Src: (splat_vector:{ *:[v16i8] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I8x16:{ *:[v16i8] } I32:{ *:[i32] }:$x)
/* 22830*/    /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->22839
/* 22832*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22833*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I16x8),
                   /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
               // Src: (splat_vector:{ *:[v8i16] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I16x8:{ *:[v8i16] } I32:{ *:[i32] }:$x)
/* 22839*/    /*SwitchType*/ 7, /*MVT::v4i32*/60, // ->22848
/* 22841*/     OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22842*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I32x4),
                   /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
               // Src: (splat_vector:{ *:[v4i32] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I32x4:{ *:[v4i32] } I32:{ *:[i32] }:$x)
/* 22848*/    0, // EndSwitchType
/* 22849*/   /*Scope*/ 10, /*->22860*/
/* 22850*/    OPC_CheckChild0TypeI64,
/* 22851*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 22853*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 22854*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I64x2),
                  /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
              // Src: (splat_vector:{ *:[v2i64] } I64:{ *:[i64] }:$x) - Complexity = 3
              // Dst: (SPLAT_I64x2:{ *:[v2i64] } I64:{ *:[i64] }:$x)
/* 22860*/   0, /*End of Scope*/
/* 22861*/  /*Scope*/ 107, /*->22969*/
/* 22862*/   OPC_MoveChild0,
/* 22863*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 22866*/   OPC_RecordMemRef,
/* 22867*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 22868*/   OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 22869*/   OPC_Scope, 48, /*->22919*/ // 2 children in Scope
/* 22871*/    OPC_CheckChild1TypeI32,
/* 22872*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 22874*/    OPC_CheckPredicate6,  // Predicate_load
/* 22875*/    OPC_SwitchType /*2 cases */, 18, /*MVT::f32*/12, // ->22896
/* 22878*/     OPC_MoveParent,
/* 22879*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 22881*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22882*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22884*/     OPC_EmitMergeInputChains1_0,
/* 22885*/     OPC_EmitInteger32, 0,  // 0 #4
/* 22887*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/111, 3/*#Ops*/, 4, 2, 3, 
               // Src: (splat_vector:{ *:[v4f32] } (ld:{ *:[f32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22896*/    /*SwitchType*/ 20, /*MVT::f64*/13, // ->22918
/* 22898*/     OPC_MoveParent,
/* 22899*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 22902*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 22903*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 22905*/     OPC_EmitMergeInputChains1_0,
/* 22906*/     OPC_EmitInteger32, 0,  // 0 #4
/* 22908*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (splat_vector:{ *:[v2f64] } (ld:{ *:[f64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 22918*/    0, // EndSwitchType
/* 22919*/   /*Scope*/ 48, /*->22968*/
/* 22920*/    OPC_CheckChild1TypeI64,
/* 22921*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 22923*/    OPC_CheckPredicate6,  // Predicate_load
/* 22924*/    OPC_SwitchType /*2 cases */, 18, /*MVT::f32*/12, // ->22945
/* 22927*/     OPC_MoveParent,
/* 22928*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 22930*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22931*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 22933*/     OPC_EmitMergeInputChains1_0,
/* 22934*/     OPC_EmitInteger32, 0,  // 0 #4
/* 22936*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/111, 3/*#Ops*/, 4, 2, 3, 
               // Src: (splat_vector:{ *:[v4f32] } (ld:{ *:[f32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 22945*/    /*SwitchType*/ 20, /*MVT::f64*/13, // ->22967
/* 22947*/     OPC_MoveParent,
/* 22948*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 22951*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 22952*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 22954*/     OPC_EmitMergeInputChains1_0,
/* 22955*/     OPC_EmitInteger32, 0,  // 0 #4
/* 22957*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (splat_vector:{ *:[v2f64] } (ld:{ *:[f64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 22967*/    0, // EndSwitchType
/* 22968*/   0, /*End of Scope*/
/* 22969*/  /*Scope*/ 70, /*->23040*/
/* 22970*/   OPC_RecordChild0, // #0 = $x
/* 22971*/   OPC_Scope, 40, /*->23013*/ // 3 children in Scope
/* 22973*/    OPC_MoveChild0,
/* 22974*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 22977*/    OPC_SwitchType /*2 cases */, 16, /*MVT::f32*/12, // ->22996
/* 22980*/     OPC_MoveParent,
/* 22981*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 22983*/     OPC_EmitConvertToTarget0, // #1
/* 22984*/     OPC_EmitConvertToTarget0, // #2
/* 22985*/     OPC_EmitConvertToTarget0, // #3
/* 22986*/     OPC_EmitConvertToTarget0, // #4
/* 22987*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_F32x4),
                   /*MVT::v4f32*/111, 4/*#Ops*/, 1, 2, 3, 4, 
               // Src: (splat_vector:{ *:[v4f32] } (fpimm:{ *:[f32] }):$x) - Complexity = 6
               // Dst: (CONST_V128_F32x4:{ *:[v4f32] } (fpimm:{ *:[f32] }):$x, (fpimm:{ *:[f32] }):$x, (fpimm:{ *:[f32] }):$x, (fpimm:{ *:[f32] }):$x)
/* 22996*/    /*SwitchType*/ 14, /*MVT::f64*/13, // ->23012
/* 22998*/     OPC_MoveParent,
/* 22999*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 23002*/     OPC_EmitConvertToTarget0, // #1
/* 23003*/     OPC_EmitConvertToTarget0, // #2
/* 23004*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::CONST_V128_F64x2),
                   /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 1, 2, 
               // Src: (splat_vector:{ *:[v2f64] } (fpimm:{ *:[f64] }):$x) - Complexity = 6
               // Dst: (CONST_V128_F64x2:{ *:[v2f64] } (fpimm:{ *:[f64] }):$x, (fpimm:{ *:[f64] }):$x)
/* 23012*/    0, // EndSwitchType
/* 23013*/   /*Scope*/ 11, /*->23025*/
/* 23014*/    OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 23016*/    OPC_CheckType, /*MVT::v4f32*/111, 
/* 23018*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23019*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F32x4),
                  /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
              // Src: (splat_vector:{ *:[v4f32] } F32:{ *:[f32] }:$x) - Complexity = 3
              // Dst: (SPLAT_F32x4:{ *:[v4f32] } F32:{ *:[f32] }:$x)
/* 23025*/   /*Scope*/ 13, /*->23039*/
/* 23026*/    OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 23028*/    OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 23031*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23032*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
              // Src: (splat_vector:{ *:[v2f64] } F64:{ *:[f64] }:$x) - Complexity = 3
              // Dst: (SPLAT_F64x2:{ *:[v2f64] } F64:{ *:[f64] }:$x)
/* 23039*/   0, /*End of Scope*/
/* 23040*/  0, /*End of Scope*/
/* 23041*/ /*SwitchOpcode*/ 26|128,2/*282*/, TARGET_VAL(ISD::SCALAR_TO_VECTOR),// ->23327
/* 23045*/  OPC_Scope, 103, /*->23150*/ // 4 children in Scope
/* 23047*/   OPC_MoveChild0,
/* 23048*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 23051*/   OPC_RecordMemRef,
/* 23052*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 23053*/   OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 23054*/   OPC_Scope, 46, /*->23102*/ // 2 children in Scope
/* 23056*/    OPC_CheckChild1TypeI32,
/* 23057*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23059*/    OPC_CheckPredicate6,  // Predicate_load
/* 23060*/    OPC_SwitchType /*2 cases */, 18, /*MVT::i32*/7, // ->23081
/* 23063*/     OPC_MoveParent,
/* 23064*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 23066*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23067*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23069*/     OPC_EmitMergeInputChains1_0,
/* 23070*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23072*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v4i32] } (ld:{ *:[i32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_32_A32:{ *:[v4i32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23081*/    /*SwitchType*/ 18, /*MVT::i64*/8, // ->23101
/* 23083*/     OPC_MoveParent,
/* 23084*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 23086*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23087*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23089*/     OPC_EmitMergeInputChains1_0,
/* 23090*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23092*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_64_A32:{ *:[v2i64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23101*/    0, // EndSwitchType
/* 23102*/   /*Scope*/ 46, /*->23149*/
/* 23103*/    OPC_CheckChild1TypeI64,
/* 23104*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23106*/    OPC_CheckPredicate6,  // Predicate_load
/* 23107*/    OPC_SwitchType /*2 cases */, 18, /*MVT::i32*/7, // ->23128
/* 23110*/     OPC_MoveParent,
/* 23111*/     OPC_CheckType, /*MVT::v4i32*/60, 
/* 23113*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23114*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23116*/     OPC_EmitMergeInputChains1_0,
/* 23117*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23119*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4i32*/60, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v4i32] } (ld:{ *:[i32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_32_A64:{ *:[v4i32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23128*/    /*SwitchType*/ 18, /*MVT::i64*/8, // ->23148
/* 23130*/     OPC_MoveParent,
/* 23131*/     OPC_CheckType, /*MVT::v2i64*/78, 
/* 23133*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23134*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23136*/     OPC_EmitMergeInputChains1_0,
/* 23137*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23139*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2i64*/78, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_64_A64:{ *:[v2i64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23148*/    0, // EndSwitchType
/* 23149*/   0, /*End of Scope*/
/* 23150*/  /*Scope*/ 41, /*->23192*/
/* 23151*/   OPC_RecordChild0, // #0 = $x
/* 23152*/   OPC_Scope, 27, /*->23181*/ // 2 children in Scope
/* 23154*/    OPC_CheckChild0TypeI32,
/* 23155*/    OPC_SwitchType /*3 cases */, 6, /*MVT::v16i8*/39, // ->23164
/* 23158*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I8x16),
                   /*MVT::v16i8*/39, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v16i8] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I8x16:{ *:[v16i8] } ?:{ *:[i32] }:$x)
/* 23164*/    /*SwitchType*/ 6, /*MVT::v8i16*/50, // ->23172
/* 23166*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I16x8),
                   /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v8i16] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I16x8:{ *:[v8i16] } ?:{ *:[i32] }:$x)
/* 23172*/    /*SwitchType*/ 6, /*MVT::v4i32*/60, // ->23180
/* 23174*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I32x4),
                   /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v4i32] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I32x4:{ *:[v4i32] } ?:{ *:[i32] }:$x)
/* 23180*/    0, // EndSwitchType
/* 23181*/   /*Scope*/ 9, /*->23191*/
/* 23182*/    OPC_CheckChild0TypeI64,
/* 23183*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 23185*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_I64x2),
                  /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v2i64] } I64:{ *:[i64] }:$x) - Complexity = 3
              // Dst: (SPLAT_I64x2:{ *:[v2i64] } ?:{ *:[i64] }:$x)
/* 23191*/   0, /*End of Scope*/
/* 23192*/  /*Scope*/ 107, /*->23300*/
/* 23193*/   OPC_MoveChild0,
/* 23194*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 23197*/   OPC_RecordMemRef,
/* 23198*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 23199*/   OPC_RecordChild1, // #1 = $AddrOps32:offset:addr
/* 23200*/   OPC_Scope, 48, /*->23250*/ // 2 children in Scope
/* 23202*/    OPC_CheckChild1TypeI32,
/* 23203*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23205*/    OPC_CheckPredicate6,  // Predicate_load
/* 23206*/    OPC_SwitchType /*2 cases */, 18, /*MVT::f32*/12, // ->23227
/* 23209*/     OPC_MoveParent,
/* 23210*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 23212*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23213*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23215*/     OPC_EmitMergeInputChains1_0,
/* 23216*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23218*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/111, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v4f32] } (ld:{ *:[f32] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_32_A32:{ *:[v4f32] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23227*/    /*SwitchType*/ 20, /*MVT::f64*/13, // ->23249
/* 23229*/     OPC_MoveParent,
/* 23230*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 23233*/     OPC_CheckPatternPredicate1, // (!Subtarget->hasAddr64())
/* 23234*/     OPC_CheckComplexPat0, /*#*/1, // SelectAddrOperands32:$ #2 #3
/* 23236*/     OPC_EmitMergeInputChains1_0,
/* 23237*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23239*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v2f64] } (ld:{ *:[f64] } (AddrOps32:{ *:[i32] } offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_64_A32:{ *:[v2f64] } 0:{ *:[i32] }, offset32_op:{ *:[i32] }:$offset, I32:{ *:[i32] }:$addr)
/* 23249*/    0, // EndSwitchType
/* 23250*/   /*Scope*/ 48, /*->23299*/
/* 23251*/    OPC_CheckChild1TypeI64,
/* 23252*/    OPC_CheckPredicate, 8, // Predicate_unindexedload
/* 23254*/    OPC_CheckPredicate6,  // Predicate_load
/* 23255*/    OPC_SwitchType /*2 cases */, 18, /*MVT::f32*/12, // ->23276
/* 23258*/     OPC_MoveParent,
/* 23259*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 23261*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23262*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23264*/     OPC_EmitMergeInputChains1_0,
/* 23265*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23267*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v4f32*/111, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v4f32] } (ld:{ *:[f32] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_32_A64:{ *:[v4f32] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23276*/    /*SwitchType*/ 20, /*MVT::f64*/13, // ->23298
/* 23278*/     OPC_MoveParent,
/* 23279*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 23282*/     OPC_CheckPatternPredicate2, // (Subtarget->hasAddr64())
/* 23283*/     OPC_CheckComplexPat1, /*#*/1, // SelectAddrOperands64:$ #2 #3
/* 23285*/     OPC_EmitMergeInputChains1_0,
/* 23286*/     OPC_EmitInteger32, 0,  // 0 #4
/* 23288*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 4, 2, 3, 
               // Src: (scalar_to_vector:{ *:[v2f64] } (ld:{ *:[f64] } (AddrOps64:{ *:[i64] } offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 16
               // Dst: (LOAD_ZERO_64_A64:{ *:[v2f64] } 0:{ *:[i32] }, offset64_op:{ *:[i64] }:$offset, I64:{ *:[i64] }:$addr)
/* 23298*/    0, // EndSwitchType
/* 23299*/   0, /*End of Scope*/
/* 23300*/  /*Scope*/ 25, /*->23326*/
/* 23301*/   OPC_RecordChild0, // #0 = $x
/* 23302*/   OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/111, // ->23313
/* 23305*/    OPC_CheckChild0Type, /*MVT::f32*/12, 
/* 23307*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F32x4),
                  /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v4f32] } F32:{ *:[f32] }:$x) - Complexity = 3
              // Dst: (SPLAT_F32x4:{ *:[v4f32] } ?:{ *:[f32] }:$x)
/* 23313*/   /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->23325
/* 23316*/    OPC_CheckChild0Type, /*MVT::f64*/13, 
/* 23318*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SPLAT_F64x2),
                  /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v2f64] } F64:{ *:[f64] }:$x) - Complexity = 3
              // Dst: (SPLAT_F64x2:{ *:[v2f64] } ?:{ *:[f64] }:$x)
/* 23325*/   0, // EndSwitchType
/* 23326*/  0, /*End of Scope*/
/* 23327*/ /*SwitchOpcode*/ 4|128,1/*132*/, TARGET_VAL(WebAssemblyISD::VEC_SHL),// ->23463
/* 23331*/  OPC_RecordChild0, // #0 = $lhs
/* 23332*/  OPC_Scope, 84, /*->23418*/ // 2 children in Scope
/* 23334*/   OPC_MoveChild1,
/* 23335*/   OPC_Scope, 24, /*->23361*/ // 5 children in Scope
/* 23337*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 23340*/    OPC_MoveChild0,
/* 23341*/    OPC_CheckAndImm, 63, 
/* 23343*/    OPC_RecordChild0, // #1 = $rhs
/* 23344*/    OPC_MoveParent,
/* 23345*/    OPC_MoveParent,
/* 23346*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 23348*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::I32_WRAP_I64),
                  /*MVT::i32*/7, 1/*#Ops*/, 1,  // Results = #2
/* 23354*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64x2),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 2, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 23361*/   /*Scope*/ 13, /*->23375*/
/* 23362*/    OPC_CheckAndImm, 7, 
/* 23364*/    OPC_RecordChild0, // #1 = $rhs
/* 23365*/    OPC_MoveParent,
/* 23366*/    OPC_CheckType, /*MVT::v16i8*/39, 
/* 23368*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I8x16),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23375*/   /*Scope*/ 13, /*->23389*/
/* 23376*/    OPC_CheckAndImm, 15, 
/* 23378*/    OPC_RecordChild0, // #1 = $rhs
/* 23379*/    OPC_MoveParent,
/* 23380*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 23382*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I16x8),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23389*/   /*Scope*/ 13, /*->23403*/
/* 23390*/    OPC_CheckAndImm, 31, 
/* 23392*/    OPC_RecordChild0, // #1 = $rhs
/* 23393*/    OPC_MoveParent,
/* 23394*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 23396*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I32x4),
                  /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23403*/   /*Scope*/ 13, /*->23417*/
/* 23404*/    OPC_CheckAndImm, 63, 
/* 23406*/    OPC_RecordChild0, // #1 = $rhs
/* 23407*/    OPC_MoveParent,
/* 23408*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 23410*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64x2),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 63:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23417*/   0, /*End of Scope*/
/* 23418*/  /*Scope*/ 43, /*->23462*/
/* 23419*/   OPC_RecordChild1, // #1 = $x
/* 23420*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->23431
/* 23423*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23424*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I8x16),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 23431*/   /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->23441
/* 23433*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23434*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I16x8),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 23441*/   /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->23451
/* 23443*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23444*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I32x4),
                  /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 23451*/   /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->23461
/* 23453*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23454*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHL_I64x2),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 23461*/   0, // EndSwitchType
/* 23462*/  0, /*End of Scope*/
/* 23463*/ /*SwitchOpcode*/ 4|128,1/*132*/, TARGET_VAL(WebAssemblyISD::VEC_SHR_S),// ->23599
/* 23467*/  OPC_RecordChild0, // #0 = $lhs
/* 23468*/  OPC_Scope, 84, /*->23554*/ // 2 children in Scope
/* 23470*/   OPC_MoveChild1,
/* 23471*/   OPC_Scope, 24, /*->23497*/ // 5 children in Scope
/* 23473*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 23476*/    OPC_MoveChild0,
/* 23477*/    OPC_CheckAndImm, 63, 
/* 23479*/    OPC_RecordChild0, // #1 = $rhs
/* 23480*/    OPC_MoveParent,
/* 23481*/    OPC_MoveParent,
/* 23482*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 23484*/    OPC_EmitNode1None, TARGET_VAL(WebAssembly::I32_WRAP_I64),
                  /*MVT::i32*/7, 1/*#Ops*/, 1,  // Results = #2
/* 23490*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64x2),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 2, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 23497*/   /*Scope*/ 13, /*->23511*/
/* 23498*/    OPC_CheckAndImm, 7, 
/* 23500*/    OPC_RecordChild0, // #1 = $rhs
/* 23501*/    OPC_MoveParent,
/* 23502*/    OPC_CheckType, /*MVT::v16i8*/39, 
/* 23504*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I8x16),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23511*/   /*Scope*/ 13, /*->23525*/
/* 23512*/    OPC_CheckAndImm, 15, 
/* 23514*/    OPC_RecordChild0, // #1 = $rhs
/* 23515*/    OPC_MoveParent,
/* 23516*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 23518*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I16x8),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23525*/   /*Scope*/ 13, /*->23539*/
/* 23526*/    OPC_CheckAndImm, 31, 
/* 23528*/    OPC_RecordChild0, // #1 = $rhs
/* 23529*/    OPC_MoveParent,
/* 23530*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 23532*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I32x4),
                  /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23539*/   /*Scope*/ 13, /*->23553*/
/* 23540*/    OPC_CheckAndImm, 63, 
/* 23542*/    OPC_RecordChild0, // #1 = $rhs
/* 23543*/    OPC_MoveParent,
/* 23544*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 23546*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64x2),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 63:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 23553*/   0, /*End of Scope*/
/* 23554*/  /*Scope*/ 43, /*->23598*/
/* 23555*/   OPC_RecordChild1, // #1 = $x
/* 23556*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->23567
/* 23559*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23560*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I8x16),
                  /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 23567*/   /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->23577
/* 23569*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23570*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I16x8),
                  /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 23577*/   /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->23587
/* 23579*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23580*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I32x4),
                  /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 23587*/   /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->23597
/* 23589*/    OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23590*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SHR_S_I64x2),
                  /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 23597*/   0, // EndSwitchType
/* 23598*/  0, /*End of Scope*/
/* 23599*/ /*SwitchOpcode*/ 66|128,8/*1090*/, TARGET_VAL(ISD::VSELECT),// ->24693
/* 23603*/  OPC_Scope, 13|128,1/*141*/, /*->23747*/ // 4 children in Scope
/* 23606*/   OPC_MoveChild0,
/* 23607*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 23610*/   OPC_MoveChild0,
/* 23611*/   OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 23614*/   OPC_RecordChild0, // #0 = $rhs
/* 23615*/   OPC_SwitchType /*3 cases */, 41, /*MVT::v4f32*/111, // ->23659
/* 23618*/    OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 23620*/    OPC_MoveSibling1,
/* 23621*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 23624*/    OPC_RecordChild0, // #1 = $lhs
/* 23625*/    OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 23627*/    OPC_MoveParent,
/* 23628*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 23630*/    OPC_MoveParent,
/* 23631*/    OPC_CheckType, /*MVT::v4i32*/60, 
/* 23633*/    OPC_Scope, 11, /*->23646*/ // 2 children in Scope
/* 23635*/     OPC_CheckChild1Same, 0,
/* 23637*/     OPC_CheckChild2Same, 1,
/* 23639*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v4i32] } (setcc:{ *:[v4i32] } (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$rhs), (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v4i32] }:$rhs, V128:{ *:[v4i32] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 23646*/    /*Scope*/ 11, /*->23658*/
/* 23647*/     OPC_CheckChild1Same, 1,
/* 23649*/     OPC_CheckChild2Same, 0,
/* 23651*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                   /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v4i32] } (setcc:{ *:[v4i32] } (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$lhs), (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v4i32] }:$rhs, V128:{ *:[v4i32] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 23658*/    0, /*End of Scope*/
/* 23659*/   /*SwitchType*/ 41, /*MVT::v2f64*/1|128,1/*129*/, // ->23703
/* 23662*/    OPC_CheckChild0Type, /*MVT::v2i64*/78, 
/* 23664*/    OPC_MoveSibling1,
/* 23665*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 23668*/    OPC_RecordChild0, // #1 = $lhs
/* 23669*/    OPC_CheckChild0Type, /*MVT::v2i64*/78, 
/* 23671*/    OPC_MoveParent,
/* 23672*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 23674*/    OPC_MoveParent,
/* 23675*/    OPC_CheckType, /*MVT::v2i64*/78, 
/* 23677*/    OPC_Scope, 11, /*->23690*/ // 2 children in Scope
/* 23679*/     OPC_CheckChild1Same, 0,
/* 23681*/     OPC_CheckChild2Same, 1,
/* 23683*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v2i64] } (setcc:{ *:[v2i64] } (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$rhs), (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v2i64] }:$rhs, V128:{ *:[v2i64] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 23690*/    /*Scope*/ 11, /*->23702*/
/* 23691*/     OPC_CheckChild1Same, 1,
/* 23693*/     OPC_CheckChild2Same, 0,
/* 23695*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                   /*MVT::v2i64*/78, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v2i64] } (setcc:{ *:[v2i64] } (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$lhs), (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v2i64] }:$rhs, V128:{ *:[v2i64] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 23702*/    0, /*End of Scope*/
/* 23703*/   /*SwitchType*/ 41, /*MVT::v8f16*/92, // ->23746
/* 23705*/    OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 23707*/    OPC_MoveSibling1,
/* 23708*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 23711*/    OPC_RecordChild0, // #1 = $lhs
/* 23712*/    OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 23714*/    OPC_MoveParent,
/* 23715*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 23717*/    OPC_MoveParent,
/* 23718*/    OPC_CheckType, /*MVT::v8i16*/50, 
/* 23720*/    OPC_Scope, 11, /*->23733*/ // 2 children in Scope
/* 23722*/     OPC_CheckChild1Same, 0,
/* 23724*/     OPC_CheckChild2Same, 1,
/* 23726*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v8i16] } (setcc:{ *:[v8i16] } (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$rhs), (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v8i16] }:$rhs, V128:{ *:[v8i16] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 23733*/    /*Scope*/ 11, /*->23745*/
/* 23734*/     OPC_CheckChild1Same, 1,
/* 23736*/     OPC_CheckChild2Same, 0,
/* 23738*/     OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                   /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v8i16] } (setcc:{ *:[v8i16] } (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$lhs), (bitconvert:{ *:[v8f16] } V128:{ *:[v8i16] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v8i16] }:$rhs, V128:{ *:[v8i16] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 23745*/    0, /*End of Scope*/
/* 23746*/   0, // EndSwitchType
/* 23747*/  /*Scope*/ 45, /*->23793*/
/* 23748*/   OPC_RecordChild0, // #0 = $c
/* 23749*/   OPC_RecordChild1, // #1 = $v1
/* 23750*/   OPC_RecordChild2, // #2 = $v2
/* 23751*/   OPC_SwitchType /*4 cases */, 8, /*MVT::v16i8*/39, // ->23762
/* 23754*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v16i8*/39, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 23762*/   /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->23772
/* 23764*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v8i16*/50, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 23772*/   /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->23782
/* 23774*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4i32*/60, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 23782*/   /*SwitchType*/ 8, /*MVT::v2i64*/78, // ->23792
/* 23784*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2i64*/78, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 23792*/   0, // EndSwitchType
/* 23793*/  /*Scope*/ 101|128,6/*869*/, /*->24664*/
/* 23795*/   OPC_MoveChild0,
/* 23796*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 23799*/   OPC_RecordChild0, // #0 = $rhs
/* 23800*/   OPC_Scope, 21|128,2/*277*/, /*->24080*/ // 3 children in Scope
/* 23803*/    OPC_CheckChild0Type, /*MVT::v4f32*/111, 
/* 23805*/    OPC_RecordChild1, // #1 = $lhs
/* 23806*/    OPC_Scope, 33, /*->23841*/ // 8 children in Scope
/* 23808*/     OPC_CheckChild2CondCode, ISD::SETOLT,
/* 23810*/     OPC_MoveParent,
/* 23811*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 23813*/     OPC_Scope, 12, /*->23827*/ // 2 children in Scope
/* 23815*/      OPC_CheckChild1Same, 0,
/* 23817*/      OPC_CheckChild2Same, 1,
/* 23819*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23820*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23827*/     /*Scope*/ 12, /*->23840*/
/* 23828*/      OPC_CheckChild1Same, 1,
/* 23830*/      OPC_CheckChild2Same, 0,
/* 23832*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23833*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23840*/     0, /*End of Scope*/
/* 23841*/    /*Scope*/ 33, /*->23875*/
/* 23842*/     OPC_CheckChild2CondCode, ISD::SETOLE,
/* 23844*/     OPC_MoveParent,
/* 23845*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 23847*/     OPC_Scope, 12, /*->23861*/ // 2 children in Scope
/* 23849*/      OPC_CheckChild1Same, 0,
/* 23851*/      OPC_CheckChild2Same, 1,
/* 23853*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23854*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOLE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23861*/     /*Scope*/ 12, /*->23874*/
/* 23862*/      OPC_CheckChild1Same, 1,
/* 23864*/      OPC_CheckChild2Same, 0,
/* 23866*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23867*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23874*/     0, /*End of Scope*/
/* 23875*/    /*Scope*/ 33, /*->23909*/
/* 23876*/     OPC_CheckChild2CondCode, ISD::SETOGT,
/* 23878*/     OPC_MoveParent,
/* 23879*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 23881*/     OPC_Scope, 12, /*->23895*/ // 2 children in Scope
/* 23883*/      OPC_CheckChild1Same, 1,
/* 23885*/      OPC_CheckChild2Same, 0,
/* 23887*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23888*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23895*/     /*Scope*/ 12, /*->23908*/
/* 23896*/      OPC_CheckChild1Same, 0,
/* 23898*/      OPC_CheckChild2Same, 1,
/* 23900*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23901*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOGT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23908*/     0, /*End of Scope*/
/* 23909*/    /*Scope*/ 33, /*->23943*/
/* 23910*/     OPC_CheckChild2CondCode, ISD::SETOGE,
/* 23912*/     OPC_MoveParent,
/* 23913*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 23915*/     OPC_Scope, 12, /*->23929*/ // 2 children in Scope
/* 23917*/      OPC_CheckChild1Same, 1,
/* 23919*/      OPC_CheckChild2Same, 0,
/* 23921*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23922*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23929*/     /*Scope*/ 12, /*->23942*/
/* 23930*/      OPC_CheckChild1Same, 0,
/* 23932*/      OPC_CheckChild2Same, 1,
/* 23934*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23935*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOGE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23942*/     0, /*End of Scope*/
/* 23943*/    /*Scope*/ 33, /*->23977*/
/* 23944*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 23946*/     OPC_MoveParent,
/* 23947*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 23949*/     OPC_Scope, 12, /*->23963*/ // 2 children in Scope
/* 23951*/      OPC_CheckChild1Same, 0,
/* 23953*/      OPC_CheckChild2Same, 1,
/* 23955*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23956*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23963*/     /*Scope*/ 12, /*->23976*/
/* 23964*/      OPC_CheckChild1Same, 1,
/* 23966*/      OPC_CheckChild2Same, 0,
/* 23968*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23969*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23976*/     0, /*End of Scope*/
/* 23977*/    /*Scope*/ 33, /*->24011*/
/* 23978*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 23980*/     OPC_MoveParent,
/* 23981*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 23983*/     OPC_Scope, 12, /*->23997*/ // 2 children in Scope
/* 23985*/      OPC_CheckChild1Same, 0,
/* 23987*/      OPC_CheckChild2Same, 1,
/* 23989*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 23990*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 23997*/     /*Scope*/ 12, /*->24010*/
/* 23998*/      OPC_CheckChild1Same, 1,
/* 24000*/      OPC_CheckChild2Same, 0,
/* 24002*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24003*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24010*/     0, /*End of Scope*/
/* 24011*/    /*Scope*/ 33, /*->24045*/
/* 24012*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 24014*/     OPC_MoveParent,
/* 24015*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 24017*/     OPC_Scope, 12, /*->24031*/ // 2 children in Scope
/* 24019*/      OPC_CheckChild1Same, 1,
/* 24021*/      OPC_CheckChild2Same, 0,
/* 24023*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24024*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24031*/     /*Scope*/ 12, /*->24044*/
/* 24032*/      OPC_CheckChild1Same, 0,
/* 24034*/      OPC_CheckChild2Same, 1,
/* 24036*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24037*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24044*/     0, /*End of Scope*/
/* 24045*/    /*Scope*/ 33, /*->24079*/
/* 24046*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 24048*/     OPC_MoveParent,
/* 24049*/     OPC_CheckType, /*MVT::v4f32*/111, 
/* 24051*/     OPC_Scope, 12, /*->24065*/ // 2 children in Scope
/* 24053*/      OPC_CheckChild1Same, 1,
/* 24055*/      OPC_CheckChild2Same, 0,
/* 24057*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24058*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24065*/     /*Scope*/ 12, /*->24078*/
/* 24066*/      OPC_CheckChild1Same, 0,
/* 24068*/      OPC_CheckChild2Same, 1,
/* 24070*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24071*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F32x4),
                    /*MVT::v4f32*/111, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 24078*/     0, /*End of Scope*/
/* 24079*/    0, /*End of Scope*/
/* 24080*/   /*Scope*/ 46|128,2/*302*/, /*->24384*/
/* 24082*/    OPC_CheckChild0Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 24085*/    OPC_RecordChild1, // #1 = $lhs
/* 24086*/    OPC_Scope, 36, /*->24124*/ // 8 children in Scope
/* 24088*/     OPC_CheckChild2CondCode, ISD::SETOLT,
/* 24090*/     OPC_MoveParent,
/* 24091*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 24094*/     OPC_Scope, 13, /*->24109*/ // 2 children in Scope
/* 24096*/      OPC_CheckChild1Same, 0,
/* 24098*/      OPC_CheckChild2Same, 1,
/* 24100*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24101*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24109*/     /*Scope*/ 13, /*->24123*/
/* 24110*/      OPC_CheckChild1Same, 1,
/* 24112*/      OPC_CheckChild2Same, 0,
/* 24114*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24115*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24123*/     0, /*End of Scope*/
/* 24124*/    /*Scope*/ 36, /*->24161*/
/* 24125*/     OPC_CheckChild2CondCode, ISD::SETOLE,
/* 24127*/     OPC_MoveParent,
/* 24128*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 24131*/     OPC_Scope, 13, /*->24146*/ // 2 children in Scope
/* 24133*/      OPC_CheckChild1Same, 0,
/* 24135*/      OPC_CheckChild2Same, 1,
/* 24137*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24138*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOLE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24146*/     /*Scope*/ 13, /*->24160*/
/* 24147*/      OPC_CheckChild1Same, 1,
/* 24149*/      OPC_CheckChild2Same, 0,
/* 24151*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24152*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24160*/     0, /*End of Scope*/
/* 24161*/    /*Scope*/ 36, /*->24198*/
/* 24162*/     OPC_CheckChild2CondCode, ISD::SETOGT,
/* 24164*/     OPC_MoveParent,
/* 24165*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 24168*/     OPC_Scope, 13, /*->24183*/ // 2 children in Scope
/* 24170*/      OPC_CheckChild1Same, 1,
/* 24172*/      OPC_CheckChild2Same, 0,
/* 24174*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24175*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24183*/     /*Scope*/ 13, /*->24197*/
/* 24184*/      OPC_CheckChild1Same, 0,
/* 24186*/      OPC_CheckChild2Same, 1,
/* 24188*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24189*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOGT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24197*/     0, /*End of Scope*/
/* 24198*/    /*Scope*/ 36, /*->24235*/
/* 24199*/     OPC_CheckChild2CondCode, ISD::SETOGE,
/* 24201*/     OPC_MoveParent,
/* 24202*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 24205*/     OPC_Scope, 13, /*->24220*/ // 2 children in Scope
/* 24207*/      OPC_CheckChild1Same, 1,
/* 24209*/      OPC_CheckChild2Same, 0,
/* 24211*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24212*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24220*/     /*Scope*/ 13, /*->24234*/
/* 24221*/      OPC_CheckChild1Same, 0,
/* 24223*/      OPC_CheckChild2Same, 1,
/* 24225*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24226*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOGE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24234*/     0, /*End of Scope*/
/* 24235*/    /*Scope*/ 36, /*->24272*/
/* 24236*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 24238*/     OPC_MoveParent,
/* 24239*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 24242*/     OPC_Scope, 13, /*->24257*/ // 2 children in Scope
/* 24244*/      OPC_CheckChild1Same, 0,
/* 24246*/      OPC_CheckChild2Same, 1,
/* 24248*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24249*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24257*/     /*Scope*/ 13, /*->24271*/
/* 24258*/      OPC_CheckChild1Same, 1,
/* 24260*/      OPC_CheckChild2Same, 0,
/* 24262*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24263*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24271*/     0, /*End of Scope*/
/* 24272*/    /*Scope*/ 36, /*->24309*/
/* 24273*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 24275*/     OPC_MoveParent,
/* 24276*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 24279*/     OPC_Scope, 13, /*->24294*/ // 2 children in Scope
/* 24281*/      OPC_CheckChild1Same, 0,
/* 24283*/      OPC_CheckChild2Same, 1,
/* 24285*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24286*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24294*/     /*Scope*/ 13, /*->24308*/
/* 24295*/      OPC_CheckChild1Same, 1,
/* 24297*/      OPC_CheckChild2Same, 0,
/* 24299*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24300*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24308*/     0, /*End of Scope*/
/* 24309*/    /*Scope*/ 36, /*->24346*/
/* 24310*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 24312*/     OPC_MoveParent,
/* 24313*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 24316*/     OPC_Scope, 13, /*->24331*/ // 2 children in Scope
/* 24318*/      OPC_CheckChild1Same, 1,
/* 24320*/      OPC_CheckChild2Same, 0,
/* 24322*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24323*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24331*/     /*Scope*/ 13, /*->24345*/
/* 24332*/      OPC_CheckChild1Same, 0,
/* 24334*/      OPC_CheckChild2Same, 1,
/* 24336*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24337*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24345*/     0, /*End of Scope*/
/* 24346*/    /*Scope*/ 36, /*->24383*/
/* 24347*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 24349*/     OPC_MoveParent,
/* 24350*/     OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 24353*/     OPC_Scope, 13, /*->24368*/ // 2 children in Scope
/* 24355*/      OPC_CheckChild1Same, 1,
/* 24357*/      OPC_CheckChild2Same, 0,
/* 24359*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24360*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24368*/     /*Scope*/ 13, /*->24382*/
/* 24369*/      OPC_CheckChild1Same, 0,
/* 24371*/      OPC_CheckChild2Same, 1,
/* 24373*/      OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24374*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F64x2),
                    /*MVT::v2f64*/1|128,1/*129*/, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 24382*/     0, /*End of Scope*/
/* 24383*/    0, /*End of Scope*/
/* 24384*/   /*Scope*/ 21|128,2/*277*/, /*->24663*/
/* 24386*/    OPC_CheckChild0Type, /*MVT::v8f16*/92, 
/* 24388*/    OPC_RecordChild1, // #1 = $lhs
/* 24389*/    OPC_Scope, 33, /*->24424*/ // 8 children in Scope
/* 24391*/     OPC_CheckChild2CondCode, ISD::SETOLT,
/* 24393*/     OPC_MoveParent,
/* 24394*/     OPC_CheckType, /*MVT::v8f16*/92, 
/* 24396*/     OPC_Scope, 12, /*->24410*/ // 2 children in Scope
/* 24398*/      OPC_CheckChild1Same, 0,
/* 24400*/      OPC_CheckChild2Same, 1,
/* 24402*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24403*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24410*/     /*Scope*/ 12, /*->24423*/
/* 24411*/      OPC_CheckChild1Same, 1,
/* 24413*/      OPC_CheckChild2Same, 0,
/* 24415*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24416*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24423*/     0, /*End of Scope*/
/* 24424*/    /*Scope*/ 33, /*->24458*/
/* 24425*/     OPC_CheckChild2CondCode, ISD::SETOLE,
/* 24427*/     OPC_MoveParent,
/* 24428*/     OPC_CheckType, /*MVT::v8f16*/92, 
/* 24430*/     OPC_Scope, 12, /*->24444*/ // 2 children in Scope
/* 24432*/      OPC_CheckChild1Same, 0,
/* 24434*/      OPC_CheckChild2Same, 1,
/* 24436*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24437*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs, SETOLE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24444*/     /*Scope*/ 12, /*->24457*/
/* 24445*/      OPC_CheckChild1Same, 1,
/* 24447*/      OPC_CheckChild2Same, 0,
/* 24449*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24450*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOLE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24457*/     0, /*End of Scope*/
/* 24458*/    /*Scope*/ 33, /*->24492*/
/* 24459*/     OPC_CheckChild2CondCode, ISD::SETOGT,
/* 24461*/     OPC_MoveParent,
/* 24462*/     OPC_CheckType, /*MVT::v8f16*/92, 
/* 24464*/     OPC_Scope, 12, /*->24478*/ // 2 children in Scope
/* 24466*/      OPC_CheckChild1Same, 1,
/* 24468*/      OPC_CheckChild2Same, 0,
/* 24470*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24471*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOGT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24478*/     /*Scope*/ 12, /*->24491*/
/* 24479*/      OPC_CheckChild1Same, 0,
/* 24481*/      OPC_CheckChild2Same, 1,
/* 24483*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24484*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs, SETOGT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24491*/     0, /*End of Scope*/
/* 24492*/    /*Scope*/ 33, /*->24526*/
/* 24493*/     OPC_CheckChild2CondCode, ISD::SETOGE,
/* 24495*/     OPC_MoveParent,
/* 24496*/     OPC_CheckType, /*MVT::v8f16*/92, 
/* 24498*/     OPC_Scope, 12, /*->24512*/ // 2 children in Scope
/* 24500*/      OPC_CheckChild1Same, 1,
/* 24502*/      OPC_CheckChild2Same, 0,
/* 24504*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24505*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETOGE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24512*/     /*Scope*/ 12, /*->24525*/
/* 24513*/      OPC_CheckChild1Same, 0,
/* 24515*/      OPC_CheckChild2Same, 1,
/* 24517*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24518*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 1, 0, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs, SETOGE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24525*/     0, /*End of Scope*/
/* 24526*/    /*Scope*/ 33, /*->24560*/
/* 24527*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 24529*/     OPC_MoveParent,
/* 24530*/     OPC_CheckType, /*MVT::v8f16*/92, 
/* 24532*/     OPC_Scope, 12, /*->24546*/ // 2 children in Scope
/* 24534*/      OPC_CheckChild1Same, 0,
/* 24536*/      OPC_CheckChild2Same, 1,
/* 24538*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24539*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24546*/     /*Scope*/ 12, /*->24559*/
/* 24547*/      OPC_CheckChild1Same, 1,
/* 24549*/      OPC_CheckChild2Same, 0,
/* 24551*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24552*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETLT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24559*/     0, /*End of Scope*/
/* 24560*/    /*Scope*/ 33, /*->24594*/
/* 24561*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 24563*/     OPC_MoveParent,
/* 24564*/     OPC_CheckType, /*MVT::v8f16*/92, 
/* 24566*/     OPC_Scope, 12, /*->24580*/ // 2 children in Scope
/* 24568*/      OPC_CheckChild1Same, 0,
/* 24570*/      OPC_CheckChild2Same, 1,
/* 24572*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24573*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24580*/     /*Scope*/ 12, /*->24593*/
/* 24581*/      OPC_CheckChild1Same, 1,
/* 24583*/      OPC_CheckChild2Same, 0,
/* 24585*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24586*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETLE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24593*/     0, /*End of Scope*/
/* 24594*/    /*Scope*/ 33, /*->24628*/
/* 24595*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 24597*/     OPC_MoveParent,
/* 24598*/     OPC_CheckType, /*MVT::v8f16*/92, 
/* 24600*/     OPC_Scope, 12, /*->24614*/ // 2 children in Scope
/* 24602*/      OPC_CheckChild1Same, 1,
/* 24604*/      OPC_CheckChild2Same, 0,
/* 24606*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24607*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24614*/     /*Scope*/ 12, /*->24627*/
/* 24615*/      OPC_CheckChild1Same, 0,
/* 24617*/      OPC_CheckChild2Same, 1,
/* 24619*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24620*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETGT:{ *:[Other] }), V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24627*/     0, /*End of Scope*/
/* 24628*/    /*Scope*/ 33, /*->24662*/
/* 24629*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 24631*/     OPC_MoveParent,
/* 24632*/     OPC_CheckType, /*MVT::v8f16*/92, 
/* 24634*/     OPC_Scope, 12, /*->24648*/ // 2 children in Scope
/* 24636*/      OPC_CheckChild1Same, 1,
/* 24638*/      OPC_CheckChild2Same, 0,
/* 24640*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24641*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMIN_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v8f16] }:$rhs, V128:{ *:[v8f16] }:$lhs) - Complexity = 6
                // Dst: (PMIN_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24648*/     /*Scope*/ 12, /*->24661*/
/* 24649*/      OPC_CheckChild1Same, 0,
/* 24651*/      OPC_CheckChild2Same, 1,
/* 24653*/      OPC_CheckPatternPredicate5, // (Subtarget->hasFP16()) && (Subtarget->hasSIMD128())
/* 24654*/      OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::PMAX_F16x8),
                    /*MVT::v8f16*/92, 2/*#Ops*/, 0, 1, 
                // Src: (vselect:{ *:[v8f16] } (setcc:{ *:[v8i16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs, SETGE:{ *:[Other] }), V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs) - Complexity = 6
                // Dst: (PMAX_F16x8:{ *:[v8f16] } V128:{ *:[v8f16] }:$lhs, V128:{ *:[v8f16] }:$rhs)
/* 24661*/     0, /*End of Scope*/
/* 24662*/    0, /*End of Scope*/
/* 24663*/   0, /*End of Scope*/
/* 24664*/  /*Scope*/ 27, /*->24692*/
/* 24665*/   OPC_RecordChild0, // #0 = $c
/* 24666*/   OPC_RecordChild1, // #1 = $v1
/* 24667*/   OPC_RecordChild2, // #2 = $v2
/* 24668*/   OPC_SwitchType /*2 cases */, 8, /*MVT::v4f32*/111, // ->24679
/* 24671*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v4f32*/111, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v4f32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4f32] }:$v1, V128:{ *:[v4f32] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v4f32] } ?:{ *:[v4f32] }:$v1, ?:{ *:[v4f32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 24679*/   /*SwitchType*/ 9, /*MVT::v2f64*/1|128,1/*129*/, // ->24691
/* 24682*/    OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::BITSELECT),
                  /*MVT::v2f64*/1|128,1/*129*/, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v2f64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2f64] }:$v1, V128:{ *:[v2f64] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v2f64] } ?:{ *:[v2f64] }:$v1, ?:{ *:[v2f64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 24691*/   0, // EndSwitchType
/* 24692*/  0, /*End of Scope*/
/* 24693*/ /*SwitchOpcode*/ 16, TARGET_VAL(WebAssemblyISD::SWIZZLE),// ->24712
/* 24696*/  OPC_RecordChild0, // #0 = $src
/* 24697*/  OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 24699*/  OPC_RecordChild1, // #1 = $mask
/* 24700*/  OPC_CheckChild1Type, /*MVT::v16i8*/39, 
/* 24702*/  OPC_CheckType, /*MVT::v16i8*/39, 
/* 24704*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24705*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SWIZZLE),
                /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_swizzle:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 3
            // Dst: (SWIZZLE:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask)
/* 24712*/ /*SwitchOpcode*/ 39, TARGET_VAL(ISD::ABS),// ->24754
/* 24715*/  OPC_RecordChild0, // #0 = $v
/* 24716*/  OPC_SwitchType /*4 cases */, 7, /*MVT::v16i8*/39, // ->24726
/* 24719*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24720*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_I8x16),
                 /*MVT::v16i8*/39, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v16i8] } V128:{ *:[v16i8] }:$v) - Complexity = 3
             // Dst: (ABS_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 24726*/  /*SwitchType*/ 7, /*MVT::v8i16*/50, // ->24735
/* 24728*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24729*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_I16x8),
                 /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v8i16] } V128:{ *:[v8i16] }:$v) - Complexity = 3
             // Dst: (ABS_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$v)
/* 24735*/  /*SwitchType*/ 7, /*MVT::v4i32*/60, // ->24744
/* 24737*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24738*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v4i32] } V128:{ *:[v4i32] }:$v) - Complexity = 3
             // Dst: (ABS_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$v)
/* 24744*/  /*SwitchType*/ 7, /*MVT::v2i64*/78, // ->24753
/* 24746*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24747*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ABS_I64x2),
                 /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v2i64] } V128:{ *:[v2i64] }:$v) - Complexity = 3
             // Dst: (ABS_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$v)
/* 24753*/  0, // EndSwitchType
/* 24754*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::SADDSAT),// ->24781
/* 24757*/  OPC_RecordChild0, // #0 = $lhs
/* 24758*/  OPC_RecordChild1, // #1 = $rhs
/* 24759*/  OPC_SwitchType /*2 cases */, 8, /*MVT::v16i8*/39, // ->24770
/* 24762*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24763*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_SAT_S_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (saddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 24770*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->24780
/* 24772*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24773*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_SAT_S_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (saddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 24780*/  0, // EndSwitchType
/* 24781*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::UADDSAT),// ->24808
/* 24784*/  OPC_RecordChild0, // #0 = $lhs
/* 24785*/  OPC_RecordChild1, // #1 = $rhs
/* 24786*/  OPC_SwitchType /*2 cases */, 8, /*MVT::v16i8*/39, // ->24797
/* 24789*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24790*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_SAT_U_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (uaddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 24797*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->24807
/* 24799*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24800*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::ADD_SAT_U_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (uaddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 24807*/  0, // EndSwitchType
/* 24808*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::SSUBSAT),// ->24835
/* 24811*/  OPC_RecordChild0, // #0 = $lhs
/* 24812*/  OPC_RecordChild1, // #1 = $rhs
/* 24813*/  OPC_SwitchType /*2 cases */, 8, /*MVT::v16i8*/39, // ->24824
/* 24816*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24817*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_SAT_S_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (ssubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (SUB_SAT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 24824*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->24834
/* 24826*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24827*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_SAT_S_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (ssubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (SUB_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 24834*/  0, // EndSwitchType
/* 24835*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::USUBSAT),// ->24862
/* 24838*/  OPC_RecordChild0, // #0 = $lhs
/* 24839*/  OPC_RecordChild1, // #1 = $rhs
/* 24840*/  OPC_SwitchType /*2 cases */, 8, /*MVT::v16i8*/39, // ->24851
/* 24843*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24844*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_SAT_U_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (usubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (SUB_SAT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 24851*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->24861
/* 24853*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24854*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::SUB_SAT_U_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (usubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (SUB_SAT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 24861*/  0, // EndSwitchType
/* 24862*/ /*SwitchOpcode*/ 34, TARGET_VAL(ISD::SMIN),// ->24899
/* 24865*/  OPC_RecordChild0, // #0 = $lhs
/* 24866*/  OPC_RecordChild1, // #1 = $rhs
/* 24867*/  OPC_SwitchType /*3 cases */, 8, /*MVT::v16i8*/39, // ->24878
/* 24870*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24871*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_S_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 24878*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->24888
/* 24880*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24881*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_S_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 24888*/  /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->24898
/* 24890*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24891*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_S_I32x4),
                 /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 24898*/  0, // EndSwitchType
/* 24899*/ /*SwitchOpcode*/ 34, TARGET_VAL(ISD::UMIN),// ->24936
/* 24902*/  OPC_RecordChild0, // #0 = $lhs
/* 24903*/  OPC_RecordChild1, // #1 = $rhs
/* 24904*/  OPC_SwitchType /*3 cases */, 8, /*MVT::v16i8*/39, // ->24915
/* 24907*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24908*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_U_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 24915*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->24925
/* 24917*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24918*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_U_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 24925*/  /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->24935
/* 24927*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24928*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MIN_U_I32x4),
                 /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 24935*/  0, // EndSwitchType
/* 24936*/ /*SwitchOpcode*/ 34, TARGET_VAL(ISD::SMAX),// ->24973
/* 24939*/  OPC_RecordChild0, // #0 = $lhs
/* 24940*/  OPC_RecordChild1, // #1 = $rhs
/* 24941*/  OPC_SwitchType /*3 cases */, 8, /*MVT::v16i8*/39, // ->24952
/* 24944*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24945*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_S_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 24952*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->24962
/* 24954*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24955*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_S_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 24962*/  /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->24972
/* 24964*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24965*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_S_I32x4),
                 /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 24972*/  0, // EndSwitchType
/* 24973*/ /*SwitchOpcode*/ 34, TARGET_VAL(ISD::UMAX),// ->25010
/* 24976*/  OPC_RecordChild0, // #0 = $lhs
/* 24977*/  OPC_RecordChild1, // #1 = $rhs
/* 24978*/  OPC_SwitchType /*3 cases */, 8, /*MVT::v16i8*/39, // ->24989
/* 24981*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24982*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_U_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 24989*/  /*SwitchType*/ 8, /*MVT::v8i16*/50, // ->24999
/* 24991*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 24992*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_U_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 24999*/  /*SwitchType*/ 8, /*MVT::v4i32*/60, // ->25009
/* 25001*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25002*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::MAX_U_I32x4),
                 /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 25009*/  0, // EndSwitchType
/* 25010*/ /*SwitchOpcode*/ 9, TARGET_VAL(WebAssemblyISD::DOT),// ->25022
/* 25013*/  OPC_RecordChild0, // #0 = $lhs
/* 25014*/  OPC_RecordChild1, // #1 = $rhs
/* 25015*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::DOT),
                /*MVT::v4i32*/60, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_dot:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
            // Dst: (DOT:{ *:[v4i32] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 25022*/ /*SwitchOpcode*/ 13, TARGET_VAL(WebAssemblyISD::TRUNC_SAT_ZERO_S),// ->25038
/* 25025*/  OPC_RecordChild0, // #0 = $vec
/* 25026*/  OPC_CheckChild0Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 25029*/  OPC_CheckType, /*MVT::v4i32*/60, 
/* 25031*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25032*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::trunc_sat_zero_s_I32x4),
                /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
            // Src: (trunc_sat_zero_s:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (trunc_sat_zero_s_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 25038*/ /*SwitchOpcode*/ 13, TARGET_VAL(WebAssemblyISD::TRUNC_SAT_ZERO_U),// ->25054
/* 25041*/  OPC_RecordChild0, // #0 = $vec
/* 25042*/  OPC_CheckChild0Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 25045*/  OPC_CheckType, /*MVT::v4i32*/60, 
/* 25047*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25048*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::trunc_sat_zero_u_I32x4),
                /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
            // Src: (trunc_sat_zero_u:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (trunc_sat_zero_u_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 25054*/ /*SwitchOpcode*/ 36, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),// ->25093
/* 25057*/  OPC_RecordChild0, // #0 = $vec
/* 25058*/  OPC_SwitchType /*3 cases */, 9, /*MVT::v8i16*/50, // ->25070
/* 25061*/   OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 25063*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25064*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_s_I16x8),
                 /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 25070*/  /*SwitchType*/ 9, /*MVT::v4i32*/60, // ->25081
/* 25072*/   OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 25074*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25075*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_s_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 25081*/  /*SwitchType*/ 9, /*MVT::v2i64*/78, // ->25092
/* 25083*/   OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 25085*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25086*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_s_I64x2),
                 /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 25092*/  0, // EndSwitchType
/* 25093*/ /*SwitchOpcode*/ 36, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),// ->25132
/* 25096*/  OPC_RecordChild0, // #0 = $vec
/* 25097*/  OPC_SwitchType /*3 cases */, 9, /*MVT::v8i16*/50, // ->25109
/* 25100*/   OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 25102*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25103*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_s_I16x8),
                 /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 25109*/  /*SwitchType*/ 9, /*MVT::v4i32*/60, // ->25120
/* 25111*/   OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 25113*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25114*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_s_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 25120*/  /*SwitchType*/ 9, /*MVT::v2i64*/78, // ->25131
/* 25122*/   OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 25124*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25125*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_s_I64x2),
                 /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 25131*/  0, // EndSwitchType
/* 25132*/ /*SwitchOpcode*/ 36, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),// ->25171
/* 25135*/  OPC_RecordChild0, // #0 = $vec
/* 25136*/  OPC_SwitchType /*3 cases */, 9, /*MVT::v8i16*/50, // ->25148
/* 25139*/   OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 25141*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25142*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_u_I16x8),
                 /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 25148*/  /*SwitchType*/ 9, /*MVT::v4i32*/60, // ->25159
/* 25150*/   OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 25152*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25153*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_u_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 25159*/  /*SwitchType*/ 9, /*MVT::v2i64*/78, // ->25170
/* 25161*/   OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 25163*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25164*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_low_u_I64x2),
                 /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 25170*/  0, // EndSwitchType
/* 25171*/ /*SwitchOpcode*/ 36, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),// ->25210
/* 25174*/  OPC_RecordChild0, // #0 = $vec
/* 25175*/  OPC_SwitchType /*3 cases */, 9, /*MVT::v8i16*/50, // ->25187
/* 25178*/   OPC_CheckChild0Type, /*MVT::v16i8*/39, 
/* 25180*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25181*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_u_I16x8),
                 /*MVT::v8i16*/50, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 25187*/  /*SwitchType*/ 9, /*MVT::v4i32*/60, // ->25198
/* 25189*/   OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 25191*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25192*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_u_I32x4),
                 /*MVT::v4i32*/60, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 25198*/  /*SwitchType*/ 9, /*MVT::v2i64*/78, // ->25209
/* 25200*/   OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 25202*/   OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25203*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::extend_high_u_I64x2),
                 /*MVT::v2i64*/78, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 25209*/  0, // EndSwitchType
/* 25210*/ /*SwitchOpcode*/ 31, TARGET_VAL(WebAssemblyISD::NARROW_U),// ->25244
/* 25213*/  OPC_RecordChild0, // #0 = $left
/* 25214*/  OPC_SwitchType /*2 cases */, 12, /*MVT::v16i8*/39, // ->25229
/* 25217*/   OPC_CheckChild0Type, /*MVT::v8i16*/50, 
/* 25219*/   OPC_RecordChild1, // #1 = $right
/* 25220*/   OPC_CheckChild1Type, /*MVT::v8i16*/50, 
/* 25222*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_U_I8x16),
                 /*MVT::v16i8*/39, 2/*#Ops*/, 0, 1, 
             // Src: (wasm_narrow_u:{ *:[v16i8] } V128:{ *:[v8i16] }:$left, V128:{ *:[v8i16] }:$right) - Complexity = 3
             // Dst: (NARROW_U_I8x16:{ *:[v16i8] } ?:{ *:[v8i16] }:$left, ?:{ *:[v8i16] }:$right)
/* 25229*/  /*SwitchType*/ 12, /*MVT::v8i16*/50, // ->25243
/* 25231*/   OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 25233*/   OPC_RecordChild1, // #1 = $right
/* 25234*/   OPC_CheckChild1Type, /*MVT::v4i32*/60, 
/* 25236*/   OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::NARROW_U_I16x8),
                 /*MVT::v8i16*/50, 2/*#Ops*/, 0, 1, 
             // Src: (wasm_narrow_u:{ *:[v8i16] } V128:{ *:[v4i32] }:$left, V128:{ *:[v4i32] }:$right) - Complexity = 3
             // Dst: (NARROW_U_I16x8:{ *:[v8i16] } ?:{ *:[v4i32] }:$left, ?:{ *:[v4i32] }:$right)
/* 25243*/  0, // EndSwitchType
/* 25244*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::CONVERT_LOW_S),// ->25261
/* 25247*/  OPC_RecordChild0, // #0 = $vec
/* 25248*/  OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 25250*/  OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 25253*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25254*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::convert_low_s_F64x2),
                /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
            // Src: (convert_low_s:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
            // Dst: (convert_low_s_F64x2:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec)
/* 25261*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::CONVERT_LOW_U),// ->25278
/* 25264*/  OPC_RecordChild0, // #0 = $vec
/* 25265*/  OPC_CheckChild0Type, /*MVT::v4i32*/60, 
/* 25267*/  OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 25270*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25271*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::convert_low_u_F64x2),
                /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
            // Src: (convert_low_u:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
            // Dst: (convert_low_u_F64x2:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec)
/* 25278*/ /*SwitchOpcode*/ 13, TARGET_VAL(WebAssemblyISD::DEMOTE_ZERO),// ->25294
/* 25281*/  OPC_RecordChild0, // #0 = $vec
/* 25282*/  OPC_CheckChild0Type, /*MVT::v2f64*/1|128,1/*129*/, 
/* 25285*/  OPC_CheckType, /*MVT::v4f32*/111, 
/* 25287*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25288*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::demote_zero_F32x4),
                /*MVT::v4f32*/111, 1/*#Ops*/, 0, 
            // Src: (demote_zero:{ *:[v4f32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (demote_zero_F32x4:{ *:[v4f32] } V128:{ *:[v2f64] }:$vec)
/* 25294*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::PROMOTE_LOW),// ->25311
/* 25297*/  OPC_RecordChild0, // #0 = $vec
/* 25298*/  OPC_CheckChild0Type, /*MVT::v4f32*/111, 
/* 25300*/  OPC_CheckType, /*MVT::v2f64*/1|128,1/*129*/, 
/* 25303*/  OPC_CheckPatternPredicate0, // (Subtarget->hasSIMD128())
/* 25304*/  OPC_MorphNodeTo1None, TARGET_VAL(WebAssembly::promote_low_F64x2),
                /*MVT::v2f64*/1|128,1/*129*/, 1/*#Ops*/, 0, 
            // Src: (promote_low:{ *:[v2f64] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
            // Dst: (promote_low_F64x2:{ *:[v2f64] } V128:{ *:[v4f32] }:$vec)
/* 25311*/ 0, // EndSwitchOpcode
    0
  }; // Total Array size is 25313 bytes

  // Opcode Histogram:
  // #OPC_Scope                                = 360
  // #OPC_RecordNode                           = 329
  // #OPC_RecordChild                          = 763
  // #OPC_RecordMemRef                         = 43
  // #OPC_CaptureGlueInput                     = 1
  // #OPC_MoveChild                            = 299
  // #OPC_MoveSibling                          = 327
  // #OPC_MoveParent                           = 614
  // #OPC_CheckSame                            = 0
  // #OPC_CheckChildSame                       = 195
  // #OPC_CheckPatternPredicate                = 761
  // #OPC_CheckPredicate                       = 573
  // #OPC_CheckOpcode                          = 549
  // #OPC_SwitchOpcode                         = 16
  // #OPC_CheckType                            = 608
  // #OPC_SwitchType                           = 184
  // #OPC_CheckChildType                       = 470
  // #OPC_CheckInteger                         = 0
  // #OPC_CheckChildInteger                    = 105
  // #OPC_CheckCondCode                        = 0
  // #OPC_CheckChild2CondCode                  = 165
  // #OPC_CheckValueType                       = 17
  // #OPC_CheckComplexPat                      = 330
  // #OPC_CheckAndImm                          = 27
  // #OPC_CheckOrImm                           = 0
  // #OPC_CheckImmAllOnesV                     = 44
  // #OPC_CheckImmAllZerosV                    = 1
  // #OPC_CheckFoldableChainNode               = 6
  // #OPC_EmitInteger                          = 380
  // #OPC_EmitStringInteger                    = 0
  // #OPC_EmitRegister                         = 0
  // #OPC_EmitConvertToTarget                  = 356
  // #OPC_EmitMergeInputChains                 = 451
  // #OPC_EmitCopyToReg                        = 0
  // #OPC_EmitNode                             = 9
  // #OPC_EmitNodeXForm                        = 0
  // #OPC_CompleteMatch                        = 44
  // #OPC_MorphNodeTo                          = 1268

  #undef COVERAGE_IDX_VAL
  #undef TARGET_VAL
  SelectCodeCommon(N, MatcherTable, sizeof(MatcherTable));
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckPatternPredicate(unsigned PredNo) const override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckPatternPredicate(unsigned PredNo) const
#if DAGISEL_INLINE
  override
#endif
{
  switch (PredNo) {
  default: llvm_unreachable("Invalid predicate in table?");
  case 0: return (Subtarget->hasSIMD128());
  case 1: return (!Subtarget->hasAddr64());
  case 2: return (Subtarget->hasAddr64());
  case 3: return (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics());
  case 4: return (Subtarget->hasAddr64()) && (Subtarget->hasAtomics());
  case 5: return (Subtarget->hasFP16()) && (Subtarget->hasSIMD128());
  case 6: return (Subtarget->hasReferenceTypes());
  case 7: return (Subtarget->hasRelaxedSIMD());
  case 8: return (Subtarget->hasExceptionHandling()) && (Subtarget->hasReferenceTypes());
  case 9: return (Subtarget->hasNontrappingFPToInt());
  case 10: return (!Subtarget->hasNontrappingFPToInt());
  case 11: return (Subtarget->hasSignExt());
  case 12: return (Subtarget->hasBulkMemoryOpt());
  case 13: return (Subtarget->hasRelaxedSIMD()) && (Subtarget->hasSIMD128());
  case 14: return (!Subtarget->hasAddr64()) && (TM.isPositionIndependent());
  case 15: return (Subtarget->hasAddr64()) && (TM.isPositionIndependent());
  case 16: return (Subtarget->hasFP16());
  case 17: return (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent());
  case 18: return (Subtarget->hasAddr64()) && (!TM.isPositionIndependent());
  case 19: return (Subtarget->hasExceptionHandling());
  }
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckNodePredicate(SDNode *Node, unsigned PredNo) const override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckNodePredicate(SDNode *Node, unsigned PredNo) const
#if DAGISEL_INLINE
  override
#endif
{
  switch (PredNo) {
  default: llvm_unreachable("Invalid predicate in table?");
  case 0: {
    // Predicate_LaneIdx32
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 32;
  }
  case 1: {
    // Predicate_atomic_cmp_swap_i8
    // Predicate_atomic_load_8
    // Predicate_atomic_load_add_i8
    // Predicate_atomic_load_and_i8
    // Predicate_atomic_load_or_i8
    // Predicate_atomic_load_sub_i8
    // Predicate_atomic_load_xor_i8
    // Predicate_atomic_store_8
    // Predicate_atomic_swap_i8
    // Predicate_extloadi8
    // Predicate_sextloadi8
    // Predicate_truncstorei8
    // Predicate_zextloadi8
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i8) return false;
return true;

  }
  case 2: {
    // Predicate_atomic_cmp_swap_i16
    // Predicate_atomic_load_16
    // Predicate_atomic_load_add_i16
    // Predicate_atomic_load_and_i16
    // Predicate_atomic_load_or_i16
    // Predicate_atomic_load_sub_i16
    // Predicate_atomic_load_xor_i16
    // Predicate_atomic_store_16
    // Predicate_atomic_swap_i16
    // Predicate_extloadi16
    // Predicate_sextloadi16
    // Predicate_truncstorei16
    // Predicate_zextloadi16
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i16) return false;
return true;

  }
  case 3: {
    // Predicate_atomic_cmp_swap_i32
    // Predicate_atomic_load_32
    // Predicate_atomic_load_add_i32
    // Predicate_atomic_load_and_i32
    // Predicate_atomic_load_or_i32
    // Predicate_atomic_load_sub_i32
    // Predicate_atomic_load_xor_i32
    // Predicate_atomic_store_32
    // Predicate_atomic_swap_i32
    // Predicate_extloadi32
    // Predicate_sextloadi32
    // Predicate_truncstorei32
    // Predicate_zextloadi32
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i32) return false;
return true;

  }
  case 4: {
    // Predicate_unindexedstore
    SDNode *N = Node;
    (void)N;
if (cast<StoreSDNode>(N)->getAddressingMode() != ISD::UNINDEXED) return false;
return true;

  }
  case 5: {
    // Predicate_store
    SDNode *N = Node;
    (void)N;
 if (cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 6: {
    // Predicate_load
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::NON_EXTLOAD) return false;
return true;

  }
  case 7: {
    // Predicate_atomic_cmp_swap_i64
    // Predicate_atomic_load_64
    // Predicate_atomic_load_add_i64
    // Predicate_atomic_load_and_i64
    // Predicate_atomic_load_or_i64
    // Predicate_atomic_load_sub_i64
    // Predicate_atomic_load_xor_i64
    // Predicate_atomic_store_64
    // Predicate_atomic_swap_i64
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i64) return false;
return true;

  }
  case 8: {
    // Predicate_unindexedload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getAddressingMode() != ISD::UNINDEXED) return false;
return true;

  }
  case 9: {
    // Predicate_ImmI8
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return -(1 << (8 - 1)) <= Imm && Imm < (1 << 8);
  }
  case 10: {
    // Predicate_extload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::EXTLOAD) return false;
return true;

  }
  case 11: {
    // Predicate_LaneIdx4
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 4;
  }
  case 12: {
    // Predicate_LaneIdx2
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 2;
  }
  case 13: {
    // Predicate_LaneIdx8
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 8;
  }
  case 14: {
    // Predicate_truncstore
    SDNode *N = Node;
    (void)N;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 15: {
    // Predicate_sextload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::SEXTLOAD) return false;
return true;

  }
  case 16: {
    // Predicate_zextload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::ZEXTLOAD) return false;
return true;

  }
  case 17: {
    // Predicate_ImmI16
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return -(1 << (16 - 1)) <= Imm && Imm < (1 << 16);
  }
  case 18: {
    // Predicate_LaneIdx16
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 16;
  }
  case 19: {
    // Predicate_extloadvi8
    // Predicate_sextloadvi8
    // Predicate_zextloadvi8
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i8) return false;
return true;

  }
  case 20: {
    // Predicate_extloadvi16
    // Predicate_sextloadvi16
    // Predicate_zextloadvi16
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i16) return false;
return true;

  }
  case 21: {
    // Predicate_extloadvi32
    // Predicate_sextloadvi32
    // Predicate_zextloadvi32
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i32) return false;
return true;

  }
  case 22: {
    // Predicate_add_nuw
    SDNode *N = Node;
    (void)N;
return N->getFlags().hasNoUnsignedWrap();
  }
  case 23: {
    // Predicate_bool_node
    SDNode *N = Node;
    (void)N;

  return CurDAG->computeKnownBits(SDValue(N, 0)).countMinLeadingZeros() == 31;

  }
  }
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckComplexPattern(SDNode *Root, SDNode *Parent,
      SDValue N, unsigned PatternNo,
      SmallVectorImpl<std::pair<SDValue, SDNode *>> &Result) override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckComplexPattern(SDNode *Root, SDNode *Parent,
      SDValue N, unsigned PatternNo,
      SmallVectorImpl<std::pair<SDValue, SDNode *>> &Result)
#if DAGISEL_INLINE
  override
#endif
{
  unsigned NextRes = Result.size();
  switch (PatternNo) {
  default: llvm_unreachable("Invalid pattern # in table?");
  case 0:
    Result.resize(NextRes+2);
  return SelectAddrOperands32(N, Result[NextRes+0].first, Result[NextRes+1].first);
  case 1:
    Result.resize(NextRes+2);
  return SelectAddrOperands64(N, Result[NextRes+0].first, Result[NextRes+1].first);
  }
}
#endif // GET_DAGISEL_BODY


#ifdef DAGISEL_INLINE
#undef DAGISEL_INLINE
#endif
#ifdef DAGISEL_CLASS_COLONCOLON
#undef DAGISEL_CLASS_COLONCOLON
#endif
#ifdef GET_DAGISEL_DECL
#undef GET_DAGISEL_DECL
#endif
#ifdef GET_DAGISEL_BODY
#undef GET_DAGISEL_BODY
#endif
