/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the X86 target                             *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 150;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(X86InstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(X86InstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static X86InstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static X86InstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(1),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_s1,
  GILLT_s8,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_s80,
  GILLT_s128,
  GILLT_v2s1,
  GILLT_v2s64,
  GILLT_v4s1,
  GILLT_v4s32,
  GILLT_v4s64,
  GILLT_v8s1,
  GILLT_v8s16,
  GILLT_v8s32,
  GILLT_v8s64,
  GILLT_v16s1,
  GILLT_v16s8,
  GILLT_v16s16,
  GILLT_v16s32,
  GILLT_v32s1,
  GILLT_v32s8,
  GILLT_v32s16,
  GILLT_v64s1,
  GILLT_v64s8,
};
const static size_t NumTypeObjects = 25;
const static LLT TypeObjects[] = {
  LLT::scalar(1),
  LLT::scalar(8),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::scalar(80),
  LLT::scalar(128),
  LLT::vector(ElementCount::getFixed(2), 1),
  LLT::vector(ElementCount::getFixed(2), 64),
  LLT::vector(ElementCount::getFixed(4), 1),
  LLT::vector(ElementCount::getFixed(4), 32),
  LLT::vector(ElementCount::getFixed(4), 64),
  LLT::vector(ElementCount::getFixed(8), 1),
  LLT::vector(ElementCount::getFixed(8), 16),
  LLT::vector(ElementCount::getFixed(8), 32),
  LLT::vector(ElementCount::getFixed(8), 64),
  LLT::vector(ElementCount::getFixed(16), 1),
  LLT::vector(ElementCount::getFixed(16), 8),
  LLT::vector(ElementCount::getFixed(16), 16),
  LLT::vector(ElementCount::getFixed(16), 32),
  LLT::vector(ElementCount::getFixed(32), 1),
  LLT::vector(ElementCount::getFixed(32), 8),
  LLT::vector(ElementCount::getFixed(32), 16),
  LLT::vector(ElementCount::getFixed(64), 1),
  LLT::vector(ElementCount::getFixed(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_TruePredicateBit = 61,
  Feature_HasEGPRBit = 5,
  Feature_NoEGPRBit = 4,
  Feature_HasNDDBit = 6,
  Feature_NoNDDBit = 27,
  Feature_HasZUBit = 149,
  Feature_HasCFBit = 30,
  Feature_HasCMOVBit = 29,
  Feature_NoCMOVBit = 135,
  Feature_HasMMXBit = 107,
  Feature_HasSSE1Bit = 47,
  Feature_UseSSE1Bit = 54,
  Feature_HasSSE2Bit = 46,
  Feature_UseSSE2Bit = 55,
  Feature_HasSSE3Bit = 38,
  Feature_UseSSE3Bit = 64,
  Feature_HasSSSE3Bit = 108,
  Feature_UseSSSE3Bit = 65,
  Feature_UseSSE41Bit = 62,
  Feature_UseSSE42Bit = 69,
  Feature_HasSSE4ABit = 79,
  Feature_NoAVXBit = 75,
  Feature_HasAVXBit = 56,
  Feature_HasAVX2Bit = 50,
  Feature_HasAVX1OnlyBit = 48,
  Feature_HasEVEX512Bit = 142,
  Feature_HasAVX10_2Bit = 106,
  Feature_HasAVX10_2_512Bit = 105,
  Feature_NoAVX10_2Bit = 68,
  Feature_HasAVX512Bit = 92,
  Feature_UseAVXBit = 52,
  Feature_NoAVX512Bit = 43,
  Feature_HasCDIBit = 96,
  Feature_HasVPOPCNTDQBit = 100,
  Feature_HasDQIBit = 94,
  Feature_NoDQIBit = 66,
  Feature_HasBWIBit = 95,
  Feature_NoBWIBit = 63,
  Feature_HasVLXBit = 93,
  Feature_NoVLXBit = 42,
  Feature_NoVLX_Or_NoBWIBit = 60,
  Feature_HasVNNIBit = 102,
  Feature_HasVP2INTERSECTBit = 104,
  Feature_HasFP16Bit = 98,
  Feature_HasAVXVNNIINT16Bit = 91,
  Feature_HasAVXVNNIINT8Bit = 86,
  Feature_HasAVXVNNIBit = 80,
  Feature_NoVLX_Or_NoVNNIBit = 81,
  Feature_HasBITALGBit = 103,
  Feature_HasPOPCNTBit = 67,
  Feature_HasAESBit = 72,
  Feature_HasVAESBit = 74,
  Feature_NoVLX_Or_NoVAESBit = 73,
  Feature_HasFXSRBit = 39,
  Feature_HasX87Bit = 37,
  Feature_HasXSAVEBit = 124,
  Feature_HasXSAVEOPTBit = 125,
  Feature_HasXSAVECBit = 126,
  Feature_HasXSAVESBit = 127,
  Feature_HasPCLMULBit = 76,
  Feature_NoVLX_Or_NoVPCLMULQDQBit = 77,
  Feature_HasVPCLMULQDQBit = 78,
  Feature_HasGFNIBit = 83,
  Feature_HasFMABit = 40,
  Feature_HasFMA4Bit = 44,
  Feature_NoFMA4Bit = 41,
  Feature_HasXOPBit = 45,
  Feature_HasTBMBit = 26,
  Feature_NoTBMBit = 140,
  Feature_HasLWPBit = 12,
  Feature_HasMOVBEBit = 3,
  Feature_NoNDD_Or_NoMOVBEBit = 2,
  Feature_HasRDRANDBit = 7,
  Feature_HasF16CBit = 82,
  Feature_HasFSGSBaseBit = 128,
  Feature_HasLZCNTBit = 9,
  Feature_HasBMIBit = 10,
  Feature_HasBMI2Bit = 11,
  Feature_NoBMI2Bit = 139,
  Feature_HasVBMIBit = 97,
  Feature_HasVBMI2Bit = 101,
  Feature_HasIFMABit = 99,
  Feature_HasAVXIFMABit = 84,
  Feature_NoVLX_Or_NoIFMABit = 85,
  Feature_HasRTMBit = 110,
  Feature_HasSHABit = 71,
  Feature_HasSHA512Bit = 88,
  Feature_HasSM3Bit = 89,
  Feature_HasRDSEEDBit = 8,
  Feature_HasSSEPrefetchBit = 57,
  Feature_HasPREFETCHIBit = 20,
  Feature_HasPrefetchWBit = 109,
  Feature_HasMWAITXBit = 138,
  Feature_HasCLDEMOTEBit = 24,
  Feature_HasMOVDIRIBit = 14,
  Feature_HasMOVDIR64BBit = 15,
  Feature_HasMOVRSBit = 25,
  Feature_HasPTWRITEBit = 131,
  Feature_FPStackf32Bit = 35,
  Feature_FPStackf64Bit = 36,
  Feature_HasSM4Bit = 90,
  Feature_HasCLFLUSHBit = 58,
  Feature_HasCLFLUSHOPTBit = 22,
  Feature_HasCLWBBit = 23,
  Feature_HasWBNOINVDBit = 123,
  Feature_HasRDPIDBit = 130,
  Feature_HasWAITPKGBit = 13,
  Feature_HasINVPCIDBit = 129,
  Feature_HasCX8Bit = 136,
  Feature_HasCX16Bit = 137,
  Feature_HasENQCMDBit = 16,
  Feature_HasAMXFP16Bit = 115,
  Feature_HasCMPCCXADDBit = 21,
  Feature_HasAVXNECONVERTBit = 87,
  Feature_HasKLBit = 111,
  Feature_HasRAOINTBit = 121,
  Feature_HasSERIALIZEBit = 17,
  Feature_HasTSXLDTRKBit = 18,
  Feature_HasAMXTILEBit = 112,
  Feature_HasAMXBF16Bit = 114,
  Feature_HasAMXINT8Bit = 113,
  Feature_HasAMXCOMPLEXBit = 116,
  Feature_HasAMXFP8Bit = 117,
  Feature_HasAMXTRANSPOSEBit = 118,
  Feature_HasAMXAVX512Bit = 119,
  Feature_HasAMXTF32Bit = 120,
  Feature_HasUINTRBit = 19,
  Feature_HasUSERMSRBit = 122,
  Feature_HasCRC32Bit = 70,
  Feature_Not64BitModeBit = 0,
  Feature_In64BitModeBit = 1,
  Feature_IsLP64Bit = 133,
  Feature_NotLP64Bit = 132,
  Feature_NotWin64WithoutFPBit = 134,
  Feature_IsPSBit = 144,
  Feature_NotPSBit = 143,
  Feature_KernelCodeBit = 145,
  Feature_NearDataBit = 147,
  Feature_IsNotPICBit = 146,
  Feature_OptForSizeBit = 51,
  Feature_OptForMinSizeBit = 49,
  Feature_OptForSpeedBit = 141,
  Feature_UseIncDecBit = 28,
  Feature_NoSSE41_Or_OptForSizeBit = 53,
  Feature_CallImmAddrBit = 148,
  Feature_FavorMemIndirectCallBit = 31,
  Feature_HasFastSHLDRotateBit = 34,
  Feature_HasMFenceBit = 59,
  Feature_UseIndirectThunkCallsBit = 33,
  Feature_NotUseIndirectThunkCallsBit = 32,
};

PredicateBitset X86InstructionSelector::
computeAvailableModuleFeatures(const X86Subtarget *Subtarget) const {
  PredicateBitset Features{};
  if (true)
    Features.set(Feature_TruePredicateBit);
  if (Subtarget->hasEGPR())
    Features.set(Feature_HasEGPRBit);
  if (!Subtarget->hasEGPR())
    Features.set(Feature_NoEGPRBit);
  if (Subtarget->hasNDD())
    Features.set(Feature_HasNDDBit);
  if (!Subtarget->hasNDD())
    Features.set(Feature_NoNDDBit);
  if (Subtarget->hasZU())
    Features.set(Feature_HasZUBit);
  if (Subtarget->hasCF())
    Features.set(Feature_HasCFBit);
  if (Subtarget->canUseCMOV())
    Features.set(Feature_HasCMOVBit);
  if (!Subtarget->canUseCMOV())
    Features.set(Feature_NoCMOVBit);
  if (Subtarget->hasMMX())
    Features.set(Feature_HasMMXBit);
  if (Subtarget->hasSSE1())
    Features.set(Feature_HasSSE1Bit);
  if (Subtarget->hasSSE1() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE1Bit);
  if (Subtarget->hasSSE2())
    Features.set(Feature_HasSSE2Bit);
  if (Subtarget->hasSSE2() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE2Bit);
  if (Subtarget->hasSSE3())
    Features.set(Feature_HasSSE3Bit);
  if (Subtarget->hasSSE3() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE3Bit);
  if (Subtarget->hasSSSE3())
    Features.set(Feature_HasSSSE3Bit);
  if (Subtarget->hasSSSE3() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSSE3Bit);
  if (Subtarget->hasSSE41() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE41Bit);
  if (Subtarget->hasSSE42() && !Subtarget->hasAVX())
    Features.set(Feature_UseSSE42Bit);
  if (Subtarget->hasSSE4A())
    Features.set(Feature_HasSSE4ABit);
  if (!Subtarget->hasAVX())
    Features.set(Feature_NoAVXBit);
  if (Subtarget->hasAVX())
    Features.set(Feature_HasAVXBit);
  if (Subtarget->hasAVX2())
    Features.set(Feature_HasAVX2Bit);
  if (Subtarget->hasAVX() && !Subtarget->hasAVX2())
    Features.set(Feature_HasAVX1OnlyBit);
  if (Subtarget->hasEVEX512())
    Features.set(Feature_HasEVEX512Bit);
  if (Subtarget->hasAVX10_2())
    Features.set(Feature_HasAVX10_2Bit);
  if (Subtarget->hasAVX10_2_512())
    Features.set(Feature_HasAVX10_2_512Bit);
  if (!Subtarget->hasAVX10_2())
    Features.set(Feature_NoAVX10_2Bit);
  if (Subtarget->hasAVX512())
    Features.set(Feature_HasAVX512Bit);
  if (Subtarget->hasAVX() && !Subtarget->hasAVX512())
    Features.set(Feature_UseAVXBit);
  if (!Subtarget->hasAVX512())
    Features.set(Feature_NoAVX512Bit);
  if (Subtarget->hasCDI())
    Features.set(Feature_HasCDIBit);
  if (Subtarget->hasVPOPCNTDQ())
    Features.set(Feature_HasVPOPCNTDQBit);
  if (Subtarget->hasDQI())
    Features.set(Feature_HasDQIBit);
  if (!Subtarget->hasDQI())
    Features.set(Feature_NoDQIBit);
  if (Subtarget->hasBWI())
    Features.set(Feature_HasBWIBit);
  if (!Subtarget->hasBWI())
    Features.set(Feature_NoBWIBit);
  if (Subtarget->hasVLX())
    Features.set(Feature_HasVLXBit);
  if (!Subtarget->hasVLX())
    Features.set(Feature_NoVLXBit);
  if (!Subtarget->hasVLX() || !Subtarget->hasBWI())
    Features.set(Feature_NoVLX_Or_NoBWIBit);
  if (Subtarget->hasVNNI())
    Features.set(Feature_HasVNNIBit);
  if (Subtarget->hasVP2INTERSECT())
    Features.set(Feature_HasVP2INTERSECTBit);
  if (Subtarget->hasFP16())
    Features.set(Feature_HasFP16Bit);
  if (Subtarget->hasAVXVNNIINT16())
    Features.set(Feature_HasAVXVNNIINT16Bit);
  if (Subtarget->hasAVXVNNIINT8())
    Features.set(Feature_HasAVXVNNIINT8Bit);
  if (Subtarget->hasAVXVNNI())
    Features.set(Feature_HasAVXVNNIBit);
  if (!Subtarget->hasVLX() || !Subtarget->hasVNNI())
    Features.set(Feature_NoVLX_Or_NoVNNIBit);
  if (Subtarget->hasBITALG())
    Features.set(Feature_HasBITALGBit);
  if (Subtarget->hasPOPCNT())
    Features.set(Feature_HasPOPCNTBit);
  if (Subtarget->hasAES())
    Features.set(Feature_HasAESBit);
  if (Subtarget->hasVAES())
    Features.set(Feature_HasVAESBit);
  if (!Subtarget->hasVLX() || !Subtarget->hasVAES())
    Features.set(Feature_NoVLX_Or_NoVAESBit);
  if (Subtarget->hasFXSR())
    Features.set(Feature_HasFXSRBit);
  if (Subtarget->hasX87())
    Features.set(Feature_HasX87Bit);
  if (Subtarget->hasXSAVE())
    Features.set(Feature_HasXSAVEBit);
  if (Subtarget->hasXSAVEOPT())
    Features.set(Feature_HasXSAVEOPTBit);
  if (Subtarget->hasXSAVEC())
    Features.set(Feature_HasXSAVECBit);
  if (Subtarget->hasXSAVES())
    Features.set(Feature_HasXSAVESBit);
  if (Subtarget->hasPCLMUL())
    Features.set(Feature_HasPCLMULBit);
  if (!Subtarget->hasVLX() || !Subtarget->hasVPCLMULQDQ())
    Features.set(Feature_NoVLX_Or_NoVPCLMULQDQBit);
  if (Subtarget->hasVPCLMULQDQ())
    Features.set(Feature_HasVPCLMULQDQBit);
  if (Subtarget->hasGFNI())
    Features.set(Feature_HasGFNIBit);
  if (Subtarget->hasFMA())
    Features.set(Feature_HasFMABit);
  if (Subtarget->hasFMA4())
    Features.set(Feature_HasFMA4Bit);
  if (!Subtarget->hasFMA4())
    Features.set(Feature_NoFMA4Bit);
  if (Subtarget->hasXOP())
    Features.set(Feature_HasXOPBit);
  if (Subtarget->hasTBM())
    Features.set(Feature_HasTBMBit);
  if (!Subtarget->hasTBM())
    Features.set(Feature_NoTBMBit);
  if (Subtarget->hasLWP())
    Features.set(Feature_HasLWPBit);
  if (Subtarget->hasMOVBE())
    Features.set(Feature_HasMOVBEBit);
  if (!Subtarget->hasNDD() || !Subtarget->hasMOVBE())
    Features.set(Feature_NoNDD_Or_NoMOVBEBit);
  if (Subtarget->hasRDRAND())
    Features.set(Feature_HasRDRANDBit);
  if (Subtarget->hasF16C())
    Features.set(Feature_HasF16CBit);
  if (Subtarget->hasFSGSBase())
    Features.set(Feature_HasFSGSBaseBit);
  if (Subtarget->hasLZCNT())
    Features.set(Feature_HasLZCNTBit);
  if (Subtarget->hasBMI())
    Features.set(Feature_HasBMIBit);
  if (Subtarget->hasBMI2())
    Features.set(Feature_HasBMI2Bit);
  if (!Subtarget->hasBMI2())
    Features.set(Feature_NoBMI2Bit);
  if (Subtarget->hasVBMI())
    Features.set(Feature_HasVBMIBit);
  if (Subtarget->hasVBMI2())
    Features.set(Feature_HasVBMI2Bit);
  if (Subtarget->hasIFMA())
    Features.set(Feature_HasIFMABit);
  if (Subtarget->hasAVXIFMA())
    Features.set(Feature_HasAVXIFMABit);
  if (!Subtarget->hasVLX() || !Subtarget->hasIFMA())
    Features.set(Feature_NoVLX_Or_NoIFMABit);
  if (Subtarget->hasRTM())
    Features.set(Feature_HasRTMBit);
  if (Subtarget->hasSHA())
    Features.set(Feature_HasSHABit);
  if (Subtarget->hasSHA512())
    Features.set(Feature_HasSHA512Bit);
  if (Subtarget->hasSM3())
    Features.set(Feature_HasSM3Bit);
  if (Subtarget->hasRDSEED())
    Features.set(Feature_HasRDSEEDBit);
  if (Subtarget->hasSSEPrefetch())
    Features.set(Feature_HasSSEPrefetchBit);
  if (Subtarget->hasPREFETCHI())
    Features.set(Feature_HasPREFETCHIBit);
  if (Subtarget->hasPrefetchW())
    Features.set(Feature_HasPrefetchWBit);
  if (Subtarget->hasMWAITX())
    Features.set(Feature_HasMWAITXBit);
  if (Subtarget->hasCLDEMOTE())
    Features.set(Feature_HasCLDEMOTEBit);
  if (Subtarget->hasMOVDIRI())
    Features.set(Feature_HasMOVDIRIBit);
  if (Subtarget->hasMOVDIR64B())
    Features.set(Feature_HasMOVDIR64BBit);
  if (Subtarget->hasMOVRS())
    Features.set(Feature_HasMOVRSBit);
  if (Subtarget->hasPTWRITE())
    Features.set(Feature_HasPTWRITEBit);
  if (!Subtarget->hasSSE1())
    Features.set(Feature_FPStackf32Bit);
  if (!Subtarget->hasSSE2())
    Features.set(Feature_FPStackf64Bit);
  if (Subtarget->hasSM4())
    Features.set(Feature_HasSM4Bit);
  if (Subtarget->hasCLFLUSH())
    Features.set(Feature_HasCLFLUSHBit);
  if (Subtarget->hasCLFLUSHOPT())
    Features.set(Feature_HasCLFLUSHOPTBit);
  if (Subtarget->hasCLWB())
    Features.set(Feature_HasCLWBBit);
  if (Subtarget->hasWBNOINVD())
    Features.set(Feature_HasWBNOINVDBit);
  if (Subtarget->hasRDPID())
    Features.set(Feature_HasRDPIDBit);
  if (Subtarget->hasWAITPKG())
    Features.set(Feature_HasWAITPKGBit);
  if (Subtarget->hasINVPCID())
    Features.set(Feature_HasINVPCIDBit);
  if (Subtarget->hasCX8())
    Features.set(Feature_HasCX8Bit);
  if (Subtarget->hasCX16())
    Features.set(Feature_HasCX16Bit);
  if (Subtarget->hasENQCMD())
    Features.set(Feature_HasENQCMDBit);
  if (Subtarget->hasAMXFP16())
    Features.set(Feature_HasAMXFP16Bit);
  if (Subtarget->hasCMPCCXADD())
    Features.set(Feature_HasCMPCCXADDBit);
  if (Subtarget->hasAVXNECONVERT())
    Features.set(Feature_HasAVXNECONVERTBit);
  if (Subtarget->hasKL())
    Features.set(Feature_HasKLBit);
  if (Subtarget->hasRAOINT())
    Features.set(Feature_HasRAOINTBit);
  if (Subtarget->hasSERIALIZE())
    Features.set(Feature_HasSERIALIZEBit);
  if (Subtarget->hasTSXLDTRK())
    Features.set(Feature_HasTSXLDTRKBit);
  if (Subtarget->hasAMXTILE())
    Features.set(Feature_HasAMXTILEBit);
  if (Subtarget->hasAMXBF16())
    Features.set(Feature_HasAMXBF16Bit);
  if (Subtarget->hasAMXINT8())
    Features.set(Feature_HasAMXINT8Bit);
  if (Subtarget->hasAMXCOMPLEX())
    Features.set(Feature_HasAMXCOMPLEXBit);
  if (Subtarget->hasAMXFP8())
    Features.set(Feature_HasAMXFP8Bit);
  if (Subtarget->hasAMXTRANSPOSE())
    Features.set(Feature_HasAMXTRANSPOSEBit);
  if (Subtarget->hasAMXAVX512())
    Features.set(Feature_HasAMXAVX512Bit);
  if (Subtarget->hasAMXTF32())
    Features.set(Feature_HasAMXTF32Bit);
  if (Subtarget->hasUINTR())
    Features.set(Feature_HasUINTRBit);
  if (Subtarget->hasUSERMSR())
    Features.set(Feature_HasUSERMSRBit);
  if (Subtarget->hasCRC32())
    Features.set(Feature_HasCRC32Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_Not64BitModeBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_In64BitModeBit);
  if (Subtarget->isTarget64BitLP64())
    Features.set(Feature_IsLP64Bit);
  if (!Subtarget->isTarget64BitLP64())
    Features.set(Feature_NotLP64Bit);
  if (Subtarget->isTargetPS())
    Features.set(Feature_IsPSBit);
  if (!Subtarget->isTargetPS())
    Features.set(Feature_NotPSBit);
  if (TM.getCodeModel() == CodeModel::Kernel)
    Features.set(Feature_KernelCodeBit);
  if (TM.getCodeModel() == CodeModel::Small ||TM.getCodeModel() == CodeModel::Kernel)
    Features.set(Feature_NearDataBit);
  if (!TM.isPositionIndependent())
    Features.set(Feature_IsNotPICBit);
  if (Subtarget->isLegalToCallImmediateAddr())
    Features.set(Feature_CallImmAddrBit);
  if (!Subtarget->slowTwoMemOps())
    Features.set(Feature_FavorMemIndirectCallBit);
  if (Subtarget->hasFastSHLDRotate())
    Features.set(Feature_HasFastSHLDRotateBit);
  if (Subtarget->hasMFence())
    Features.set(Feature_HasMFenceBit);
  if (Subtarget->useIndirectThunkCalls())
    Features.set(Feature_UseIndirectThunkCallsBit);
  if (!Subtarget->useIndirectThunkCalls())
    Features.set(Feature_NotUseIndirectThunkCallsBit);
  return Features;
}

void X86InstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const X86Subtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset X86InstructionSelector::
computeAvailableFunctionFeatures(const X86Subtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  if (!Subtarget->isTargetWin64() ||Subtarget->getFrameLowering()->hasFP(*MF))
    Features.set(Feature_NotWin64WithoutFPBit);
  if (shouldOptForSize(MF))
    Features.set(Feature_OptForSizeBit);
  if (MF->getFunction().hasMinSize())
    Features.set(Feature_OptForMinSizeBit);
  if (!shouldOptForSize(MF))
    Features.set(Feature_OptForSpeedBit);
  if (!Subtarget->slowIncDec() || shouldOptForSize(MF))
    Features.set(Feature_UseIncDecBit);
  if (shouldOptForSize(MF) || !Subtarget->hasSSE41())
    Features.set(Feature_NoSSE41_Or_OptForSizeBit);
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_FPStackf32,
  GIFBS_FPStackf64,
  GIFBS_HasAVX,
  GIFBS_HasAVX1Only,
  GIFBS_HasAVX2,
  GIFBS_HasAVX512,
  GIFBS_HasAVXNECONVERT,
  GIFBS_HasBITALG,
  GIFBS_HasBMI,
  GIFBS_HasBWI,
  GIFBS_HasCDI,
  GIFBS_HasCLDEMOTE,
  GIFBS_HasCLFLUSH,
  GIFBS_HasCLFLUSHOPT,
  GIFBS_HasCLWB,
  GIFBS_HasDQI,
  GIFBS_HasFP16,
  GIFBS_HasFXSR,
  GIFBS_HasFastSHLDRotate,
  GIFBS_HasKL,
  GIFBS_HasLWP,
  GIFBS_HasLZCNT,
  GIFBS_HasMFence,
  GIFBS_HasMMX,
  GIFBS_HasMOVBE,
  GIFBS_HasMOVRS,
  GIFBS_HasMWAITX,
  GIFBS_HasNDD,
  GIFBS_HasPOPCNT,
  GIFBS_HasPTWRITE,
  GIFBS_HasPrefetchW,
  GIFBS_HasRTM,
  GIFBS_HasSERIALIZE,
  GIFBS_HasSHA,
  GIFBS_HasSHA512,
  GIFBS_HasSM3,
  GIFBS_HasSM4,
  GIFBS_HasSSE1,
  GIFBS_HasSSE2,
  GIFBS_HasSSE3,
  GIFBS_HasSSE4A,
  GIFBS_HasSSEPrefetch,
  GIFBS_HasTBM,
  GIFBS_HasTSXLDTRK,
  GIFBS_HasVBMI2,
  GIFBS_HasVLX,
  GIFBS_HasVPOPCNTDQ,
  GIFBS_HasWAITPKG,
  GIFBS_HasWBNOINVD,
  GIFBS_HasX87,
  GIFBS_HasXOP,
  GIFBS_HasXSAVE,
  GIFBS_HasXSAVEC,
  GIFBS_HasXSAVEOPT,
  GIFBS_HasXSAVES,
  GIFBS_HasZU,
  GIFBS_In64BitMode,
  GIFBS_IsPS,
  GIFBS_NoAVX,
  GIFBS_NoDQI,
  GIFBS_NoEGPR,
  GIFBS_NoNDD,
  GIFBS_NoNDD_Or_NoMOVBE,
  GIFBS_Not64BitMode,
  GIFBS_NotPS,
  GIFBS_UseAVX,
  GIFBS_UseIncDec,
  GIFBS_UseSSE1,
  GIFBS_UseSSE2,
  GIFBS_UseSSE3,
  GIFBS_UseSSE41,
  GIFBS_UseSSSE3,
  GIFBS_HasAES_HasAVX,
  GIFBS_HasAES_NoAVX,
  GIFBS_HasAMXBF16_In64BitMode,
  GIFBS_HasAMXCOMPLEX_In64BitMode,
  GIFBS_HasAMXFP16_In64BitMode,
  GIFBS_HasAMXFP8_In64BitMode,
  GIFBS_HasAMXINT8_In64BitMode,
  GIFBS_HasAMXTF32_In64BitMode,
  GIFBS_HasAMXTILE_In64BitMode,
  GIFBS_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAVX_In64BitMode,
  GIFBS_HasAVX_NoBWI,
  GIFBS_HasAVX_NoVLX,
  GIFBS_HasAVX_NoVLX_Or_NoBWI,
  GIFBS_HasAVX10_2_HasSM4,
  GIFBS_HasAVX10_2_512_HasSM4,
  GIFBS_HasAVX2_NoVLX,
  GIFBS_HasAVX2_NoVLX_Or_NoBWI,
  GIFBS_HasAVX512_HasVAES,
  GIFBS_HasAVX512_HasVLX,
  GIFBS_HasAVX512_HasVPCLMULQDQ,
  GIFBS_HasAVX512_NoBWI,
  GIFBS_HasAVX512_NoDQI,
  GIFBS_HasAVX512_NoEGPR,
  GIFBS_HasAVX512_OptForSize,
  GIFBS_HasBITALG_HasVLX,
  GIFBS_HasBMI_HasEGPR,
  GIFBS_HasBMI_NoEGPR,
  GIFBS_HasBMI2_HasEGPR,
  GIFBS_HasBMI2_NoEGPR,
  GIFBS_HasBWI_HasVLX,
  GIFBS_HasBWI_NoEGPR,
  GIFBS_HasCDI_HasVLX,
  GIFBS_HasCRC32_NoEGPR,
  GIFBS_HasDQI_HasVLX,
  GIFBS_HasDQI_NoBWI,
  GIFBS_HasDQI_NoEGPR,
  GIFBS_HasEGPR_HasINVPCID,
  GIFBS_HasEGPR_In64BitMode,
  GIFBS_HasEVEX512_NoVLX,
  GIFBS_HasFMA4_NoAVX512,
  GIFBS_HasFMA4_NoVLX,
  GIFBS_HasFP16_HasVLX,
  GIFBS_HasFP16_In64BitMode,
  GIFBS_HasFP16_OptForSize,
  GIFBS_HasFSGSBase_In64BitMode,
  GIFBS_HasFXSR_In64BitMode,
  GIFBS_HasINVPCID_NoEGPR,
  GIFBS_HasINVPCID_Not64BitMode,
  GIFBS_HasMOVBE_NoEGPR,
  GIFBS_HasMOVDIR64B_NoEGPR,
  GIFBS_HasMOVDIRI_NoEGPR,
  GIFBS_HasNDD_In64BitMode,
  GIFBS_HasNDD_UseIncDec,
  GIFBS_HasPCLMUL_NoAVX,
  GIFBS_HasPREFETCHI_In64BitMode,
  GIFBS_HasPTWRITE_In64BitMode,
  GIFBS_HasRDPID_In64BitMode,
  GIFBS_HasRDPID_Not64BitMode,
  GIFBS_HasUINTR_In64BitMode,
  GIFBS_HasUSERMSR_NoEGPR,
  GIFBS_HasVAES_HasVLX,
  GIFBS_HasVAES_NoVLX,
  GIFBS_HasVBMI2_HasVLX,
  GIFBS_HasVLX_HasVPCLMULQDQ,
  GIFBS_HasVLX_HasVPOPCNTDQ,
  GIFBS_HasVPCLMULQDQ_NoVLX,
  GIFBS_HasWAITPKG_In64BitMode,
  GIFBS_HasWAITPKG_Not64BitMode,
  GIFBS_HasXSAVE_In64BitMode,
  GIFBS_HasXSAVEC_In64BitMode,
  GIFBS_HasXSAVEOPT_In64BitMode,
  GIFBS_HasXSAVES_In64BitMode,
  GIFBS_In64BitMode_UseIncDec,
  GIFBS_In64BitMode_UseSSE2,
  GIFBS_NoNDD_UseIncDec,
  GIFBS_Not64BitMode_OptForSize,
  GIFBS_NotWin64WithoutFP_OptForMinSize,
  GIFBS_OptForSize_UseAVX,
  GIFBS_OptForSize_UseSSE1,
  GIFBS_OptForSize_UseSSE2,
  GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES,
  GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode,
  GIFBS_HasAMXBF16_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAMXFP16_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAMXTF32_HasAMXTRANSPOSE_In64BitMode,
  GIFBS_HasAMXTILE_HasEGPR_In64BitMode,
  GIFBS_HasAMXTILE_In64BitMode_NoEGPR,
  GIFBS_HasAVX_HasPCLMUL_NoVLX_Or_NoVPCLMULQDQ,
  GIFBS_HasAVX10_2_HasMOVRS_In64BitMode,
  GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode,
  GIFBS_HasAVX512_HasEGPR_In64BitMode,
  GIFBS_HasAVX512_HasEVEX512_NoVLX,
  GIFBS_HasBITALG_HasEVEX512_NoVLX,
  GIFBS_HasBWI_HasEGPR_In64BitMode,
  GIFBS_HasBWI_HasEVEX512_NoVLX,
  GIFBS_HasCDI_HasEVEX512_NoVLX,
  GIFBS_HasCRC32_HasEGPR_In64BitMode,
  GIFBS_HasDQI_HasEGPR_In64BitMode,
  GIFBS_HasDQI_HasEVEX512_NoVLX,
  GIFBS_HasDQI_HasVLX_NoBWI,
  GIFBS_HasEGPR_HasMOVBE_In64BitMode,
  GIFBS_HasEGPR_HasMOVDIR64B_In64BitMode,
  GIFBS_HasEGPR_HasMOVDIRI_In64BitMode,
  GIFBS_HasEGPR_HasMOVRS_In64BitMode,
  GIFBS_HasEGPR_HasUSERMSR_In64BitMode,
  GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX,
  GIFBS_HasFMA_NoAVX512_NoFMA4,
  GIFBS_HasFMA_NoFMA4_NoVLX,
  GIFBS_HasMOVBE_HasNDD_In64BitMode,
  GIFBS_HasMOVDIR64B_In64BitMode_NoEGPR,
  GIFBS_HasMOVDIRI_In64BitMode_NoEGPR,
  GIFBS_HasMOVRS_In64BitMode_NoEGPR,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_FPStackf32Bit, },
  {Feature_FPStackf64Bit, },
  {Feature_HasAVXBit, },
  {Feature_HasAVX1OnlyBit, },
  {Feature_HasAVX2Bit, },
  {Feature_HasAVX512Bit, },
  {Feature_HasAVXNECONVERTBit, },
  {Feature_HasBITALGBit, },
  {Feature_HasBMIBit, },
  {Feature_HasBWIBit, },
  {Feature_HasCDIBit, },
  {Feature_HasCLDEMOTEBit, },
  {Feature_HasCLFLUSHBit, },
  {Feature_HasCLFLUSHOPTBit, },
  {Feature_HasCLWBBit, },
  {Feature_HasDQIBit, },
  {Feature_HasFP16Bit, },
  {Feature_HasFXSRBit, },
  {Feature_HasFastSHLDRotateBit, },
  {Feature_HasKLBit, },
  {Feature_HasLWPBit, },
  {Feature_HasLZCNTBit, },
  {Feature_HasMFenceBit, },
  {Feature_HasMMXBit, },
  {Feature_HasMOVBEBit, },
  {Feature_HasMOVRSBit, },
  {Feature_HasMWAITXBit, },
  {Feature_HasNDDBit, },
  {Feature_HasPOPCNTBit, },
  {Feature_HasPTWRITEBit, },
  {Feature_HasPrefetchWBit, },
  {Feature_HasRTMBit, },
  {Feature_HasSERIALIZEBit, },
  {Feature_HasSHABit, },
  {Feature_HasSHA512Bit, },
  {Feature_HasSM3Bit, },
  {Feature_HasSM4Bit, },
  {Feature_HasSSE1Bit, },
  {Feature_HasSSE2Bit, },
  {Feature_HasSSE3Bit, },
  {Feature_HasSSE4ABit, },
  {Feature_HasSSEPrefetchBit, },
  {Feature_HasTBMBit, },
  {Feature_HasTSXLDTRKBit, },
  {Feature_HasVBMI2Bit, },
  {Feature_HasVLXBit, },
  {Feature_HasVPOPCNTDQBit, },
  {Feature_HasWAITPKGBit, },
  {Feature_HasWBNOINVDBit, },
  {Feature_HasX87Bit, },
  {Feature_HasXOPBit, },
  {Feature_HasXSAVEBit, },
  {Feature_HasXSAVECBit, },
  {Feature_HasXSAVEOPTBit, },
  {Feature_HasXSAVESBit, },
  {Feature_HasZUBit, },
  {Feature_In64BitModeBit, },
  {Feature_IsPSBit, },
  {Feature_NoAVXBit, },
  {Feature_NoDQIBit, },
  {Feature_NoEGPRBit, },
  {Feature_NoNDDBit, },
  {Feature_NoNDD_Or_NoMOVBEBit, },
  {Feature_Not64BitModeBit, },
  {Feature_NotPSBit, },
  {Feature_UseAVXBit, },
  {Feature_UseIncDecBit, },
  {Feature_UseSSE1Bit, },
  {Feature_UseSSE2Bit, },
  {Feature_UseSSE3Bit, },
  {Feature_UseSSE41Bit, },
  {Feature_UseSSSE3Bit, },
  {Feature_HasAESBit, Feature_HasAVXBit, },
  {Feature_HasAESBit, Feature_NoAVXBit, },
  {Feature_HasAMXBF16Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXCOMPLEXBit, Feature_In64BitModeBit, },
  {Feature_HasAMXFP16Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXFP8Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXINT8Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXTF32Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXTILEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAVXBit, Feature_In64BitModeBit, },
  {Feature_HasAVXBit, Feature_NoBWIBit, },
  {Feature_HasAVXBit, Feature_NoVLXBit, },
  {Feature_HasAVXBit, Feature_NoVLX_Or_NoBWIBit, },
  {Feature_HasAVX10_2Bit, Feature_HasSM4Bit, },
  {Feature_HasAVX10_2_512Bit, Feature_HasSM4Bit, },
  {Feature_HasAVX2Bit, Feature_NoVLXBit, },
  {Feature_HasAVX2Bit, Feature_NoVLX_Or_NoBWIBit, },
  {Feature_HasAVX512Bit, Feature_HasVAESBit, },
  {Feature_HasAVX512Bit, Feature_HasVLXBit, },
  {Feature_HasAVX512Bit, Feature_HasVPCLMULQDQBit, },
  {Feature_HasAVX512Bit, Feature_NoBWIBit, },
  {Feature_HasAVX512Bit, Feature_NoDQIBit, },
  {Feature_HasAVX512Bit, Feature_NoEGPRBit, },
  {Feature_HasAVX512Bit, Feature_OptForSizeBit, },
  {Feature_HasBITALGBit, Feature_HasVLXBit, },
  {Feature_HasBMIBit, Feature_HasEGPRBit, },
  {Feature_HasBMIBit, Feature_NoEGPRBit, },
  {Feature_HasBMI2Bit, Feature_HasEGPRBit, },
  {Feature_HasBMI2Bit, Feature_NoEGPRBit, },
  {Feature_HasBWIBit, Feature_HasVLXBit, },
  {Feature_HasBWIBit, Feature_NoEGPRBit, },
  {Feature_HasCDIBit, Feature_HasVLXBit, },
  {Feature_HasCRC32Bit, Feature_NoEGPRBit, },
  {Feature_HasDQIBit, Feature_HasVLXBit, },
  {Feature_HasDQIBit, Feature_NoBWIBit, },
  {Feature_HasDQIBit, Feature_NoEGPRBit, },
  {Feature_HasEGPRBit, Feature_HasINVPCIDBit, },
  {Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasFMA4Bit, Feature_NoAVX512Bit, },
  {Feature_HasFMA4Bit, Feature_NoVLXBit, },
  {Feature_HasFP16Bit, Feature_HasVLXBit, },
  {Feature_HasFP16Bit, Feature_In64BitModeBit, },
  {Feature_HasFP16Bit, Feature_OptForSizeBit, },
  {Feature_HasFSGSBaseBit, Feature_In64BitModeBit, },
  {Feature_HasFXSRBit, Feature_In64BitModeBit, },
  {Feature_HasINVPCIDBit, Feature_NoEGPRBit, },
  {Feature_HasINVPCIDBit, Feature_Not64BitModeBit, },
  {Feature_HasMOVBEBit, Feature_NoEGPRBit, },
  {Feature_HasMOVDIR64BBit, Feature_NoEGPRBit, },
  {Feature_HasMOVDIRIBit, Feature_NoEGPRBit, },
  {Feature_HasNDDBit, Feature_In64BitModeBit, },
  {Feature_HasNDDBit, Feature_UseIncDecBit, },
  {Feature_HasPCLMULBit, Feature_NoAVXBit, },
  {Feature_HasPREFETCHIBit, Feature_In64BitModeBit, },
  {Feature_HasPTWRITEBit, Feature_In64BitModeBit, },
  {Feature_HasRDPIDBit, Feature_In64BitModeBit, },
  {Feature_HasRDPIDBit, Feature_Not64BitModeBit, },
  {Feature_HasUINTRBit, Feature_In64BitModeBit, },
  {Feature_HasUSERMSRBit, Feature_NoEGPRBit, },
  {Feature_HasVAESBit, Feature_HasVLXBit, },
  {Feature_HasVAESBit, Feature_NoVLXBit, },
  {Feature_HasVBMI2Bit, Feature_HasVLXBit, },
  {Feature_HasVLXBit, Feature_HasVPCLMULQDQBit, },
  {Feature_HasVLXBit, Feature_HasVPOPCNTDQBit, },
  {Feature_HasVPCLMULQDQBit, Feature_NoVLXBit, },
  {Feature_HasWAITPKGBit, Feature_In64BitModeBit, },
  {Feature_HasWAITPKGBit, Feature_Not64BitModeBit, },
  {Feature_HasXSAVEBit, Feature_In64BitModeBit, },
  {Feature_HasXSAVECBit, Feature_In64BitModeBit, },
  {Feature_HasXSAVEOPTBit, Feature_In64BitModeBit, },
  {Feature_HasXSAVESBit, Feature_In64BitModeBit, },
  {Feature_In64BitModeBit, Feature_UseIncDecBit, },
  {Feature_In64BitModeBit, Feature_UseSSE2Bit, },
  {Feature_NoNDDBit, Feature_UseIncDecBit, },
  {Feature_Not64BitModeBit, Feature_OptForSizeBit, },
  {Feature_NotWin64WithoutFPBit, Feature_OptForMinSizeBit, },
  {Feature_OptForSizeBit, Feature_UseAVXBit, },
  {Feature_OptForSizeBit, Feature_UseSSE1Bit, },
  {Feature_OptForSizeBit, Feature_UseSSE2Bit, },
  {Feature_HasAESBit, Feature_HasAVXBit, Feature_NoVLX_Or_NoVAESBit, },
  {Feature_HasAMXAVX512Bit, Feature_HasAVX10_2_512Bit, Feature_In64BitModeBit, },
  {Feature_HasAMXBF16Bit, Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXCOMPLEXBit, Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXFP16Bit, Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXTF32Bit, Feature_HasAMXTRANSPOSEBit, Feature_In64BitModeBit, },
  {Feature_HasAMXTILEBit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasAMXTILEBit, Feature_In64BitModeBit, Feature_NoEGPRBit, },
  {Feature_HasAVXBit, Feature_HasPCLMULBit, Feature_NoVLX_Or_NoVPCLMULQDQBit, },
  {Feature_HasAVX10_2Bit, Feature_HasMOVRSBit, Feature_In64BitModeBit, },
  {Feature_HasAVX10_2_512Bit, Feature_HasMOVRSBit, Feature_In64BitModeBit, },
  {Feature_HasAVX512Bit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasAVX512Bit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasBITALGBit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasBWIBit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasBWIBit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasCDIBit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasCRC32Bit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasDQIBit, Feature_HasEGPRBit, Feature_In64BitModeBit, },
  {Feature_HasDQIBit, Feature_HasEVEX512Bit, Feature_NoVLXBit, },
  {Feature_HasDQIBit, Feature_HasVLXBit, Feature_NoBWIBit, },
  {Feature_HasEGPRBit, Feature_HasMOVBEBit, Feature_In64BitModeBit, },
  {Feature_HasEGPRBit, Feature_HasMOVDIR64BBit, Feature_In64BitModeBit, },
  {Feature_HasEGPRBit, Feature_HasMOVDIRIBit, Feature_In64BitModeBit, },
  {Feature_HasEGPRBit, Feature_HasMOVRSBit, Feature_In64BitModeBit, },
  {Feature_HasEGPRBit, Feature_HasUSERMSRBit, Feature_In64BitModeBit, },
  {Feature_HasEVEX512Bit, Feature_HasVPOPCNTDQBit, Feature_NoVLXBit, },
  {Feature_HasFMABit, Feature_NoAVX512Bit, Feature_NoFMA4Bit, },
  {Feature_HasFMABit, Feature_NoFMA4Bit, Feature_NoVLXBit, },
  {Feature_HasMOVBEBit, Feature_HasNDDBit, Feature_In64BitModeBit, },
  {Feature_HasMOVDIR64BBit, Feature_In64BitModeBit, Feature_NoEGPRBit, },
  {Feature_HasMOVDIRIBit, Feature_In64BitModeBit, Feature_NoEGPRBit, },
  {Feature_HasMOVRSBit, Feature_In64BitModeBit, Feature_NoEGPRBit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_gi_addr,
};
// See constructor for table contents

X86InstructionSelector::ComplexMatcherMemFn
X86InstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &X86InstructionSelector::selectAddr, // gi_addr
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_alignedload = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_alignedstore,
  GICXXPred_MI_Predicate_imm_su,
  GICXXPred_MI_Predicate_loadi8,
  GICXXPred_MI_Predicate_loadi16,
  GICXXPred_MI_Predicate_loadi32,
};
bool X86InstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_alignedload: {
    
        auto &LdSt = cast<GLoadStore>(MI);
        return LdSt.getAlign() >= LdSt.getMemSize().getValue();
      
    llvm_unreachable("alignedload should have returned");
  }
  case GICXXPred_MI_Predicate_alignedstore: {
    
        auto &LdSt = cast<GLoadStore>(MI);
        return LdSt.getAlign() >= LdSt.getMemSize().getValue();
      
    llvm_unreachable("alignedstore should have returned");
  }
  case GICXXPred_MI_Predicate_imm_su: {
     return true; 
  }
  case GICXXPred_MI_Predicate_loadi8: {
     return isa<GLoad>(MI); 
  }
  case GICXXPred_MI_Predicate_loadi16: {
    
        auto &Load = cast<GLoad>(MI);
        LLT Ty = MRI.getType(Load.getDstReg());
        // Non extending load has MMO and destination types of the same size
        if (Load.getMemSizeInBits() == Ty.getSizeInBits())
           return true;
        return Load.getAlign() >= 2 && Load.isSimple();
      
    llvm_unreachable("loadi16 should have returned");
  }
  case GICXXPred_MI_Predicate_loadi32: {
    
        auto &Load = cast<GLoad>(MI);
        LLT Ty = MRI.getType(Load.getDstReg());
        // Non extending load has MMO and destination types of the same size
        if (Load.getMemSizeInBits() == Ty.getSizeInBits())
           return true;
        return Load.getAlign() >= 4 && Load.isSimple();
      
    llvm_unreachable("loadi32 should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AndMask64 = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BTCBTSMask64,
  GICXXPred_I64_Predicate_BTRMask64,
  GICXXPred_I64_Predicate_i16immSExt8,
  GICXXPred_I64_Predicate_i32immSExt8,
  GICXXPred_I64_Predicate_i64immSExt8,
  GICXXPred_I64_Predicate_i64immSExt32,
  GICXXPred_I64_Predicate_i64immZExt32,
  GICXXPred_I64_Predicate_i64immZExt32SExt8,
  GICXXPred_I64_Predicate_i64timmSExt32,
  GICXXPred_I64_Predicate_immff00_ffff,
};
bool X86InstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AndMask64: {
    
      return isMask_64(Imm) && !isUInt<32>(Imm);
    
  }
  case GICXXPred_I64_Predicate_BTCBTSMask64: {
    
      return !isInt<32>(Imm) && isPowerOf2_64(Imm);
    
  }
  case GICXXPred_I64_Predicate_BTRMask64: {
    
      return !isUInt<32>(Imm) && !isInt<32>(Imm) && isPowerOf2_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_i16immSExt8: {
     return isInt<8>(Imm); 
  }
  case GICXXPred_I64_Predicate_i32immSExt8: {
     return isInt<8>(Imm); 
  }
  case GICXXPred_I64_Predicate_i64immSExt8: {
     return isInt<8>(Imm); 
  }
  case GICXXPred_I64_Predicate_i64immSExt32: {
     return isInt<32>(Imm); 
  }
  case GICXXPred_I64_Predicate_i64immZExt32: {
     return isUInt<32>(Imm); 
  }
  case GICXXPred_I64_Predicate_i64immZExt32SExt8: {
    
      return isUInt<32>(Imm) && isInt<8>(static_cast<int32_t>(Imm));
    
  }
  case GICXXPred_I64_Predicate_i64timmSExt32: {
     return isInt<32>(Imm); 
  }
  case GICXXPred_I64_Predicate_immff00_ffff: {
    
      return Imm >= 0xff00 && Imm <= 0xffff;
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APFloat_Predicate_fpimm0 = GICXXPred_Invalid + 1,
  GICXXPred_APFloat_Predicate_fpimm1,
  GICXXPred_APFloat_Predicate_fpimmneg0,
  GICXXPred_APFloat_Predicate_fpimmneg1,
};
bool X86InstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APFloat_Predicate_fpimm0: {
    
      return Imm.isExactlyValue(+0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm1: {
    
      return Imm.isExactlyValue(+1.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimmneg0: {
    
      return Imm.isExactlyValue(-0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimmneg1: {
    
      return Imm.isExactlyValue(-1.0);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool X86InstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool X86InstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("X86InstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
};
X86InstructionSelector::CustomRendererFn
X86InstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
};

bool X86InstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool X86InstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("X86InstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *X86InstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*      0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(287), /*)*//*default:*//*Label 77*/ GIMT_Encode4(228676),
     /*     10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(946),
     /*     14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(7179),
     /*     18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(10715), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     46 */ /*TargetOpcode::G_AND*//*Label 3*/ GIMT_Encode4(14498),
     /*     50 */ /*TargetOpcode::G_OR*//*Label 4*/ GIMT_Encode4(25090),
     /*     54 */ /*TargetOpcode::G_XOR*//*Label 5*/ GIMT_Encode4(33494), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    114 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 6*/ GIMT_Encode4(46195), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    126 */ /*TargetOpcode::G_BITCAST*//*Label 7*/ GIMT_Encode4(46362), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 8*/ GIMT_Encode4(48628),
     /*    154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 9*/ GIMT_Encode4(51806), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    170 */ /*TargetOpcode::G_LOAD*//*Label 10*/ GIMT_Encode4(53026),
     /*    174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 11*/ GIMT_Encode4(59235),
     /*    178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 12*/ GIMT_Encode4(59568), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    194 */ /*TargetOpcode::G_STORE*//*Label 13*/ GIMT_Encode4(60223), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 14*/ GIMT_Encode4(85398),
     /*    214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 15*/ GIMT_Encode4(85634), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    290 */ /*TargetOpcode::G_PREFETCH*//*Label 16*/ GIMT_Encode4(85882), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    306 */ /*TargetOpcode::G_INTRINSIC*//*Label 17*/ GIMT_Encode4(86201),
     /*    310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 18*/ GIMT_Encode4(100027), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    322 */ /*TargetOpcode::G_ANYEXT*//*Label 19*/ GIMT_Encode4(109102),
     /*    326 */ /*TargetOpcode::G_TRUNC*//*Label 20*/ GIMT_Encode4(109537),
     /*    330 */ /*TargetOpcode::G_CONSTANT*//*Label 21*/ GIMT_Encode4(110626),
     /*    334 */ /*TargetOpcode::G_FCONSTANT*//*Label 22*/ GIMT_Encode4(111232), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    346 */ /*TargetOpcode::G_SEXT*//*Label 23*/ GIMT_Encode4(111685),
     /*    350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 24*/ GIMT_Encode4(113357),
     /*    354 */ /*TargetOpcode::G_ZEXT*//*Label 25*/ GIMT_Encode4(113599),
     /*    358 */ /*TargetOpcode::G_SHL*//*Label 26*/ GIMT_Encode4(115583),
     /*    362 */ /*TargetOpcode::G_LSHR*//*Label 27*/ GIMT_Encode4(117867),
     /*    366 */ /*TargetOpcode::G_ASHR*//*Label 28*/ GIMT_Encode4(119911),
     /*    370 */ /*TargetOpcode::G_FSHL*//*Label 29*/ GIMT_Encode4(121955),
     /*    374 */ /*TargetOpcode::G_FSHR*//*Label 30*/ GIMT_Encode4(122683),
     /*    378 */ /*TargetOpcode::G_ROTR*//*Label 31*/ GIMT_Encode4(123371),
     /*    382 */ /*TargetOpcode::G_ROTL*//*Label 32*/ GIMT_Encode4(126869),
     /*    386 */ /*TargetOpcode::G_ICMP*//*Label 33*/ GIMT_Encode4(130589), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    402 */ /*TargetOpcode::G_SELECT*//*Label 34*/ GIMT_Encode4(132246), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    446 */ /*TargetOpcode::G_UMULH*//*Label 35*/ GIMT_Encode4(139912),
     /*    450 */ /*TargetOpcode::G_SMULH*//*Label 36*/ GIMT_Encode4(140777),
     /*    454 */ /*TargetOpcode::G_UADDSAT*//*Label 37*/ GIMT_Encode4(141642),
     /*    458 */ /*TargetOpcode::G_SADDSAT*//*Label 38*/ GIMT_Encode4(143328),
     /*    462 */ /*TargetOpcode::G_USUBSAT*//*Label 39*/ GIMT_Encode4(145014),
     /*    466 */ /*TargetOpcode::G_SSUBSAT*//*Label 40*/ GIMT_Encode4(146080), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    510 */ /*TargetOpcode::G_FADD*//*Label 41*/ GIMT_Encode4(147146),
     /*    514 */ /*TargetOpcode::G_FSUB*//*Label 42*/ GIMT_Encode4(152248),
     /*    518 */ /*TargetOpcode::G_FMUL*//*Label 43*/ GIMT_Encode4(155642),
     /*    522 */ /*TargetOpcode::G_FMA*//*Label 44*/ GIMT_Encode4(160744), GIMT_Encode4(0),
     /*    530 */ /*TargetOpcode::G_FDIV*//*Label 45*/ GIMT_Encode4(166732), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    578 */ /*TargetOpcode::G_FNEG*//*Label 46*/ GIMT_Encode4(170126),
     /*    582 */ /*TargetOpcode::G_FPEXT*//*Label 47*/ GIMT_Encode4(170249),
     /*    586 */ /*TargetOpcode::G_FPTRUNC*//*Label 48*/ GIMT_Encode4(171181),
     /*    590 */ /*TargetOpcode::G_FPTOSI*//*Label 49*/ GIMT_Encode4(171567),
     /*    594 */ /*TargetOpcode::G_FPTOUI*//*Label 50*/ GIMT_Encode4(172948),
     /*    598 */ /*TargetOpcode::G_SITOFP*//*Label 51*/ GIMT_Encode4(173504),
     /*    602 */ /*TargetOpcode::G_UITOFP*//*Label 52*/ GIMT_Encode4(176880), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    614 */ /*TargetOpcode::G_FABS*//*Label 53*/ GIMT_Encode4(179127), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    686 */ /*TargetOpcode::G_SMIN*//*Label 54*/ GIMT_Encode4(179250),
     /*    690 */ /*TargetOpcode::G_SMAX*//*Label 55*/ GIMT_Encode4(182571),
     /*    694 */ /*TargetOpcode::G_UMIN*//*Label 56*/ GIMT_Encode4(185892),
     /*    698 */ /*TargetOpcode::G_UMAX*//*Label 57*/ GIMT_Encode4(189213),
     /*    702 */ /*TargetOpcode::G_ABS*//*Label 58*/ GIMT_Encode4(192534), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    714 */ /*TargetOpcode::G_BR*//*Label 59*/ GIMT_Encode4(194415), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    730 */ /*TargetOpcode::G_EXTRACT_SUBVECTOR*//*Label 60*/ GIMT_Encode4(194431), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    754 */ /*TargetOpcode::G_VECTOR_COMPRESS*//*Label 61*/ GIMT_Encode4(197360),
     /*    758 */ /*TargetOpcode::G_CTTZ*//*Label 62*/ GIMT_Encode4(199342),
     /*    762 */ /*TargetOpcode::G_CTTZ_ZERO_UNDEF*//*Label 63*/ GIMT_Encode4(199648),
     /*    766 */ /*TargetOpcode::G_CTLZ*//*Label 64*/ GIMT_Encode4(200035), GIMT_Encode4(0),
     /*    774 */ /*TargetOpcode::G_CTPOP*//*Label 65*/ GIMT_Encode4(201339),
     /*    778 */ /*TargetOpcode::G_BSWAP*//*Label 66*/ GIMT_Encode4(203601), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    834 */ /*TargetOpcode::G_FSQRT*//*Label 67*/ GIMT_Encode4(204101), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 68*/ GIMT_Encode4(206270),
     /*    878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 69*/ GIMT_Encode4(210436),
     /*    882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 70*/ GIMT_Encode4(213362),
     /*    886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 71*/ GIMT_Encode4(217528), GIMT_Encode4(0),
     /*    894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 72*/ GIMT_Encode4(220454),
     /*    898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 73*/ GIMT_Encode4(226442), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    934 */ /*TargetOpcode::G_TRAP*//*Label 74*/ GIMT_Encode4(228611),
     /*    938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 75*/ GIMT_Encode4(228624),
     /*    942 */ /*TargetOpcode::G_UBSANTRAP*//*Label 76*/ GIMT_Encode4(228660),
     /*    946 */ // Label 0: @946
     /*    946 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(25), /*)*//*default:*//*Label 94*/ GIMT_Encode4(7178),
     /*    957 */ /*GILLT_s8*//*Label 78*/ GIMT_Encode4(1053),
     /*    961 */ /*GILLT_s16*//*Label 79*/ GIMT_Encode4(1558),
     /*    965 */ /*GILLT_s32*//*Label 80*/ GIMT_Encode4(2208),
     /*    969 */ /*GILLT_s64*//*Label 81*/ GIMT_Encode4(2858), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    985 */ /*GILLT_v2s64*//*Label 82*/ GIMT_Encode4(3682), GIMT_Encode4(0),
     /*    993 */ /*GILLT_v4s32*//*Label 83*/ GIMT_Encode4(4024),
     /*    997 */ /*GILLT_v4s64*//*Label 84*/ GIMT_Encode4(4488), GIMT_Encode4(0),
     /*   1005 */ /*GILLT_v8s16*//*Label 85*/ GIMT_Encode4(4803),
     /*   1009 */ /*GILLT_v8s32*//*Label 86*/ GIMT_Encode4(5267),
     /*   1013 */ /*GILLT_v8s64*//*Label 87*/ GIMT_Encode4(5582), GIMT_Encode4(0),
     /*   1021 */ /*GILLT_v16s8*//*Label 88*/ GIMT_Encode4(5738),
     /*   1025 */ /*GILLT_v16s16*//*Label 89*/ GIMT_Encode4(6080),
     /*   1029 */ /*GILLT_v16s32*//*Label 90*/ GIMT_Encode4(6395), GIMT_Encode4(0),
     /*   1037 */ /*GILLT_v32s8*//*Label 91*/ GIMT_Encode4(6551),
     /*   1041 */ /*GILLT_v32s16*//*Label 92*/ GIMT_Encode4(6866), GIMT_Encode4(0),
     /*   1049 */ /*GILLT_v64s8*//*Label 93*/ GIMT_Encode4(7022),
     /*   1053 */ // Label 78: @1053
     /*   1053 */ GIM_Try, /*On fail goto*//*Label 95*/ GIMT_Encode4(1557),
     /*   1058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*   1061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*   1064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1068 */   GIM_Try, /*On fail goto*//*Label 96*/ GIMT_Encode4(1129), // Rule ID 26051 //
     /*   1073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1084 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1087 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1091 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   1095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1101 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1108 */     // (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (ADD8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rm),
     /*   1111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1113 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   1115 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1127 */     GIR_RootConstrainSelectedInstOperands,
     /*   1128 */     // GIR_Coverage, 26051,
     /*   1128 */     GIR_EraseRootFromParent_Done,
     /*   1129 */   // Label 96: @1129
     /*   1129 */   GIM_Try, /*On fail goto*//*Label 97*/ GIMT_Encode4(1190), // Rule ID 26070 //
     /*   1134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1145 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1148 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1152 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   1156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1169 */     // (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (ADD8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rm_ND),
     /*   1172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1174 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   1176 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1188 */     GIR_RootConstrainSelectedInstOperands,
     /*   1189 */     // GIR_Coverage, 26070,
     /*   1189 */     GIR_EraseRootFromParent_Done,
     /*   1190 */   // Label 97: @1190
     /*   1190 */   GIM_Try, /*On fail goto*//*Label 98*/ GIMT_Encode4(1251), // Rule ID 22793 //
     /*   1195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1210 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1213 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1217 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   1221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1223 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1230 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (ADD8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rm),
     /*   1233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1235 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1237 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1249 */     GIR_RootConstrainSelectedInstOperands,
     /*   1250 */     // GIR_Coverage, 22793,
     /*   1250 */     GIR_EraseRootFromParent_Done,
     /*   1251 */   // Label 98: @1251
     /*   1251 */   GIM_Try, /*On fail goto*//*Label 99*/ GIMT_Encode4(1312), // Rule ID 22883 //
     /*   1256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1271 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1274 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1278 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   1282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1284 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1291 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (ADD8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rm_ND),
     /*   1294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1296 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1298 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1310 */     GIR_RootConstrainSelectedInstOperands,
     /*   1311 */     // GIR_Coverage, 22883,
     /*   1311 */     GIR_EraseRootFromParent_Done,
     /*   1312 */   // Label 99: @1312
     /*   1312 */   GIM_Try, /*On fail goto*//*Label 100*/ GIMT_Encode4(1340), // Rule ID 22859 //
     /*   1317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   1320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1324 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   1328 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src, 1:{ *:[i8] })  =>  (INC8r:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /*   1328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC8r),
     /*   1331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1333 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1338 */     GIR_RootConstrainSelectedInstOperands,
     /*   1339 */     // GIR_Coverage, 22859,
     /*   1339 */     GIR_EraseRootFromParent_Done,
     /*   1340 */   // Label 100: @1340
     /*   1340 */   GIM_Try, /*On fail goto*//*Label 101*/ GIMT_Encode4(1368), // Rule ID 22863 //
     /*   1345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   1348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1352 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   1356 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src, -1:{ *:[i8] })  =>  (DEC8r:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /*   1356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC8r),
     /*   1359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1361 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1366 */     GIR_RootConstrainSelectedInstOperands,
     /*   1367 */     // GIR_Coverage, 22863,
     /*   1367 */     GIR_EraseRootFromParent_Done,
     /*   1368 */   // Label 101: @1368
     /*   1368 */   GIM_Try, /*On fail goto*//*Label 102*/ GIMT_Encode4(1396), // Rule ID 22949 //
     /*   1373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   1376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1380 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   1384 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src, 1:{ *:[i8] })  =>  (INC8r_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /*   1384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC8r_ND),
     /*   1387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1389 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1394 */     GIR_RootConstrainSelectedInstOperands,
     /*   1395 */     // GIR_Coverage, 22949,
     /*   1395 */     GIR_EraseRootFromParent_Done,
     /*   1396 */   // Label 102: @1396
     /*   1396 */   GIM_Try, /*On fail goto*//*Label 103*/ GIMT_Encode4(1424), // Rule ID 22953 //
     /*   1401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   1404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1408 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   1412 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src, -1:{ *:[i8] })  =>  (DEC8r_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /*   1412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC8r_ND),
     /*   1415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1417 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1422 */     GIR_RootConstrainSelectedInstOperands,
     /*   1423 */     // GIR_Coverage, 22953,
     /*   1423 */     GIR_EraseRootFromParent_Done,
     /*   1424 */   // Label 103: @1424
     /*   1424 */   GIM_Try, /*On fail goto*//*Label 104*/ GIMT_Encode4(1461), // Rule ID 22797 //
     /*   1429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   1444 */     // MIs[1] Operand 1
     /*   1444 */     // No operand predicates
     /*   1444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1446 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ADD8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*   1446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8ri),
     /*   1449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   1456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1459 */     GIR_RootConstrainSelectedInstOperands,
     /*   1460 */     // GIR_Coverage, 22797,
     /*   1460 */     GIR_EraseRootFromParent_Done,
     /*   1461 */   // Label 104: @1461
     /*   1461 */   GIM_Try, /*On fail goto*//*Label 105*/ GIMT_Encode4(1498), // Rule ID 22887 //
     /*   1466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   1481 */     // MIs[1] Operand 1
     /*   1481 */     // No operand predicates
     /*   1481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1483 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ADD8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*   1483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8ri_ND),
     /*   1486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1488 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   1493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1496 */     GIR_RootConstrainSelectedInstOperands,
     /*   1497 */     // GIR_Coverage, 22887,
     /*   1497 */     GIR_EraseRootFromParent_Done,
     /*   1498 */   // Label 105: @1498
     /*   1498 */   GIM_Try, /*On fail goto*//*Label 106*/ GIMT_Encode4(1527), // Rule ID 22789 //
     /*   1503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1514 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (ADD8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*   1514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD8rr),
     /*   1519 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   1525 */     GIR_RootConstrainSelectedInstOperands,
     /*   1526 */     // GIR_Coverage, 22789,
     /*   1526 */     GIR_Done,
     /*   1527 */   // Label 106: @1527
     /*   1527 */   GIM_Try, /*On fail goto*//*Label 107*/ GIMT_Encode4(1556), // Rule ID 22879 //
     /*   1532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   1543 */     // (add:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (ADD8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*   1543 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD8rr_ND),
     /*   1548 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   1554 */     GIR_RootConstrainSelectedInstOperands,
     /*   1555 */     // GIR_Coverage, 22879,
     /*   1555 */     GIR_Done,
     /*   1556 */   // Label 107: @1556
     /*   1556 */   GIM_Reject,
     /*   1557 */ // Label 95: @1557
     /*   1557 */ GIM_Reject,
     /*   1558 */ // Label 79: @1558
     /*   1558 */ GIM_Try, /*On fail goto*//*Label 108*/ GIMT_Encode4(2207),
     /*   1563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   1566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*   1569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1573 */   GIM_Try, /*On fail goto*//*Label 109*/ GIMT_Encode4(1642), // Rule ID 22614 //
     /*   1578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1589 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1592 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1596 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1600 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   1611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1620 */     // (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 128:{ *:[i16] })  =>  (SUB16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src, -128:{ *:[i16] })
     /*   1620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mi_ND),
     /*   1623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1625 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*   1629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   1632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1640 */     GIR_RootConstrainSelectedInstOperands,
     /*   1641 */     // GIR_Coverage, 22614,
     /*   1641 */     GIR_EraseRootFromParent_Done,
     /*   1642 */   // Label 109: @1642
     /*   1642 */   GIM_Try, /*On fail goto*//*Label 110*/ GIMT_Encode4(1703), // Rule ID 26052 //
     /*   1647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1658 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1661 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1665 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1675 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1682 */     // (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (ADD16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rm),
     /*   1685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1687 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   1689 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1701 */     GIR_RootConstrainSelectedInstOperands,
     /*   1702 */     // GIR_Coverage, 26052,
     /*   1702 */     GIR_EraseRootFromParent_Done,
     /*   1703 */   // Label 110: @1703
     /*   1703 */   GIM_Try, /*On fail goto*//*Label 111*/ GIMT_Encode4(1764), // Rule ID 26071 //
     /*   1708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   1715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1719 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1722 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1726 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1743 */     // (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (ADD16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rm_ND),
     /*   1746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1748 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   1750 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1762 */     GIR_RootConstrainSelectedInstOperands,
     /*   1763 */     // GIR_Coverage, 26071,
     /*   1763 */     GIR_EraseRootFromParent_Done,
     /*   1764 */   // Label 111: @1764
     /*   1764 */   GIM_Try, /*On fail goto*//*Label 112*/ GIMT_Encode4(1825), // Rule ID 22794 //
     /*   1769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1784 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1787 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1791 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1804 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (ADD16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rm),
     /*   1807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1809 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1811 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1823 */     GIR_RootConstrainSelectedInstOperands,
     /*   1824 */     // GIR_Coverage, 22794,
     /*   1824 */     GIR_EraseRootFromParent_Done,
     /*   1825 */   // Label 112: @1825
     /*   1825 */   GIM_Try, /*On fail goto*//*Label 113*/ GIMT_Encode4(1886), // Rule ID 22884 //
     /*   1830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   1841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   1845 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   1848 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   1852 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   1856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   1858 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   1865 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (ADD16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   1865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rm_ND),
     /*   1868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1870 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1872 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   1876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   1884 */     GIR_RootConstrainSelectedInstOperands,
     /*   1885 */     // GIR_Coverage, 22884,
     /*   1885 */     GIR_EraseRootFromParent_Done,
     /*   1886 */   // Label 113: @1886
     /*   1886 */   GIM_Try, /*On fail goto*//*Label 114*/ GIMT_Encode4(1924), // Rule ID 22599 //
     /*   1891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   1894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1898 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   1909 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, 128:{ *:[i16] })  =>  (SUB16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, -128:{ *:[i16] })
     /*   1909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16ri),
     /*   1912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1914 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   1919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1922 */     GIR_RootConstrainSelectedInstOperands,
     /*   1923 */     // GIR_Coverage, 22599,
     /*   1923 */     GIR_EraseRootFromParent_Done,
     /*   1924 */   // Label 114: @1924
     /*   1924 */   GIM_Try, /*On fail goto*//*Label 115*/ GIMT_Encode4(1962), // Rule ID 22605 //
     /*   1929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   1932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1936 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   1947 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, 128:{ *:[i16] })  =>  (SUB16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, -128:{ *:[i16] })
     /*   1947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16ri_ND),
     /*   1950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1952 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   1954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   1957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1960 */     GIR_RootConstrainSelectedInstOperands,
     /*   1961 */     // GIR_Coverage, 22605,
     /*   1961 */     GIR_EraseRootFromParent_Done,
     /*   1962 */   // Label 115: @1962
     /*   1962 */   GIM_Try, /*On fail goto*//*Label 116*/ GIMT_Encode4(1990), // Rule ID 22860 //
     /*   1967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   1970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   1974 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   1978 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src, 1:{ *:[i16] })  =>  (INC16r:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /*   1978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC16r),
     /*   1981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   1983 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   1985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   1988 */     GIR_RootConstrainSelectedInstOperands,
     /*   1989 */     // GIR_Coverage, 22860,
     /*   1989 */     GIR_EraseRootFromParent_Done,
     /*   1990 */   // Label 116: @1990
     /*   1990 */   GIM_Try, /*On fail goto*//*Label 117*/ GIMT_Encode4(2018), // Rule ID 22864 //
     /*   1995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   1998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2002 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   2006 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src, -1:{ *:[i16] })  =>  (DEC16r:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /*   2006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC16r),
     /*   2009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2011 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2016 */     GIR_RootConstrainSelectedInstOperands,
     /*   2017 */     // GIR_Coverage, 22864,
     /*   2017 */     GIR_EraseRootFromParent_Done,
     /*   2018 */   // Label 117: @2018
     /*   2018 */   GIM_Try, /*On fail goto*//*Label 118*/ GIMT_Encode4(2046), // Rule ID 22950 //
     /*   2023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   2026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2030 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   2034 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src, 1:{ *:[i16] })  =>  (INC16r_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /*   2034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC16r_ND),
     /*   2037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2039 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2044 */     GIR_RootConstrainSelectedInstOperands,
     /*   2045 */     // GIR_Coverage, 22950,
     /*   2045 */     GIR_EraseRootFromParent_Done,
     /*   2046 */   // Label 118: @2046
     /*   2046 */   GIM_Try, /*On fail goto*//*Label 119*/ GIMT_Encode4(2074), // Rule ID 22954 //
     /*   2051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   2054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2058 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   2062 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src, -1:{ *:[i16] })  =>  (DEC16r_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /*   2062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC16r_ND),
     /*   2065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2067 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2072 */     GIR_RootConstrainSelectedInstOperands,
     /*   2073 */     // GIR_Coverage, 22954,
     /*   2073 */     GIR_EraseRootFromParent_Done,
     /*   2074 */   // Label 119: @2074
     /*   2074 */   GIM_Try, /*On fail goto*//*Label 120*/ GIMT_Encode4(2111), // Rule ID 22798 //
     /*   2079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   2094 */     // MIs[1] Operand 1
     /*   2094 */     // No operand predicates
     /*   2094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2096 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (ADD16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*   2096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16ri),
     /*   2099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2101 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   2106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2109 */     GIR_RootConstrainSelectedInstOperands,
     /*   2110 */     // GIR_Coverage, 22798,
     /*   2110 */     GIR_EraseRootFromParent_Done,
     /*   2111 */   // Label 120: @2111
     /*   2111 */   GIM_Try, /*On fail goto*//*Label 121*/ GIMT_Encode4(2148), // Rule ID 22888 //
     /*   2116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   2131 */     // MIs[1] Operand 1
     /*   2131 */     // No operand predicates
     /*   2131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2133 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (ADD16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*   2133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16ri_ND),
     /*   2136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2138 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   2143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2146 */     GIR_RootConstrainSelectedInstOperands,
     /*   2147 */     // GIR_Coverage, 22888,
     /*   2147 */     GIR_EraseRootFromParent_Done,
     /*   2148 */   // Label 121: @2148
     /*   2148 */   GIM_Try, /*On fail goto*//*Label 122*/ GIMT_Encode4(2177), // Rule ID 22790 //
     /*   2153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2164 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (ADD16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*   2164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD16rr),
     /*   2169 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   2175 */     GIR_RootConstrainSelectedInstOperands,
     /*   2176 */     // GIR_Coverage, 22790,
     /*   2176 */     GIR_Done,
     /*   2177 */   // Label 122: @2177
     /*   2177 */   GIM_Try, /*On fail goto*//*Label 123*/ GIMT_Encode4(2206), // Rule ID 22880 //
     /*   2182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   2193 */     // (add:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (ADD16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*   2193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD16rr_ND),
     /*   2198 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   2204 */     GIR_RootConstrainSelectedInstOperands,
     /*   2205 */     // GIR_Coverage, 22880,
     /*   2205 */     GIR_Done,
     /*   2206 */   // Label 123: @2206
     /*   2206 */   GIM_Reject,
     /*   2207 */ // Label 108: @2207
     /*   2207 */ GIM_Reject,
     /*   2208 */ // Label 80: @2208
     /*   2208 */ GIM_Try, /*On fail goto*//*Label 124*/ GIMT_Encode4(2857),
     /*   2213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   2216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   2219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2223 */   GIM_Try, /*On fail goto*//*Label 125*/ GIMT_Encode4(2292), // Rule ID 22615 //
     /*   2228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2239 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2242 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2246 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2250 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   2261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2263 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2270 */     // (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 128:{ *:[i32] })  =>  (SUB32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src, -128:{ *:[i32] })
     /*   2270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mi_ND),
     /*   2273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*   2279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   2282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2290 */     GIR_RootConstrainSelectedInstOperands,
     /*   2291 */     // GIR_Coverage, 22615,
     /*   2291 */     GIR_EraseRootFromParent_Done,
     /*   2292 */   // Label 125: @2292
     /*   2292 */   GIM_Try, /*On fail goto*//*Label 126*/ GIMT_Encode4(2353), // Rule ID 26053 //
     /*   2297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2308 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2311 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2315 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2325 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2332 */     // (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (ADD32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   2332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rm),
     /*   2335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2337 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   2339 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   2343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2351 */     GIR_RootConstrainSelectedInstOperands,
     /*   2352 */     // GIR_Coverage, 26053,
     /*   2352 */     GIR_EraseRootFromParent_Done,
     /*   2353 */   // Label 126: @2353
     /*   2353 */   GIM_Try, /*On fail goto*//*Label 127*/ GIMT_Encode4(2414), // Rule ID 26072 //
     /*   2358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2369 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2372 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2376 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2386 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2393 */     // (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (ADD32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   2393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rm_ND),
     /*   2396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2398 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   2400 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   2404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2412 */     GIR_RootConstrainSelectedInstOperands,
     /*   2413 */     // GIR_Coverage, 26072,
     /*   2413 */     GIR_EraseRootFromParent_Done,
     /*   2414 */   // Label 127: @2414
     /*   2414 */   GIM_Try, /*On fail goto*//*Label 128*/ GIMT_Encode4(2475), // Rule ID 22795 //
     /*   2419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2434 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2437 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2441 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2454 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (ADD32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   2454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rm),
     /*   2457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2459 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   2465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2468 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2473 */     GIR_RootConstrainSelectedInstOperands,
     /*   2474 */     // GIR_Coverage, 22795,
     /*   2474 */     GIR_EraseRootFromParent_Done,
     /*   2475 */   // Label 128: @2475
     /*   2475 */   GIM_Try, /*On fail goto*//*Label 129*/ GIMT_Encode4(2536), // Rule ID 22885 //
     /*   2480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2495 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2498 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2502 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   2506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2515 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (ADD32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   2515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rm_ND),
     /*   2518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2520 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2522 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   2526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2534 */     GIR_RootConstrainSelectedInstOperands,
     /*   2535 */     // GIR_Coverage, 22885,
     /*   2535 */     GIR_EraseRootFromParent_Done,
     /*   2536 */   // Label 129: @2536
     /*   2536 */   GIM_Try, /*On fail goto*//*Label 130*/ GIMT_Encode4(2574), // Rule ID 22600 //
     /*   2541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2548 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   2559 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, 128:{ *:[i32] })  =>  (SUB32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, -128:{ *:[i32] })
     /*   2559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32ri),
     /*   2562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2564 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   2569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2572 */     GIR_RootConstrainSelectedInstOperands,
     /*   2573 */     // GIR_Coverage, 22600,
     /*   2573 */     GIR_EraseRootFromParent_Done,
     /*   2574 */   // Label 130: @2574
     /*   2574 */   GIM_Try, /*On fail goto*//*Label 131*/ GIMT_Encode4(2612), // Rule ID 22606 //
     /*   2579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2586 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   2597 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, 128:{ *:[i32] })  =>  (SUB32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, -128:{ *:[i32] })
     /*   2597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32ri_ND),
     /*   2600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2602 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   2607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2610 */     GIR_RootConstrainSelectedInstOperands,
     /*   2611 */     // GIR_Coverage, 22606,
     /*   2611 */     GIR_EraseRootFromParent_Done,
     /*   2612 */   // Label 131: @2612
     /*   2612 */   GIM_Try, /*On fail goto*//*Label 132*/ GIMT_Encode4(2640), // Rule ID 22861 //
     /*   2617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   2620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   2628 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] })  =>  (INC32r:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*   2628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC32r),
     /*   2631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2633 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2638 */     GIR_RootConstrainSelectedInstOperands,
     /*   2639 */     // GIR_Coverage, 22861,
     /*   2639 */     GIR_EraseRootFromParent_Done,
     /*   2640 */   // Label 132: @2640
     /*   2640 */   GIM_Try, /*On fail goto*//*Label 133*/ GIMT_Encode4(2668), // Rule ID 22865 //
     /*   2645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   2648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2652 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   2656 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] })  =>  (DEC32r:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*   2656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC32r),
     /*   2659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2661 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2666 */     GIR_RootConstrainSelectedInstOperands,
     /*   2667 */     // GIR_Coverage, 22865,
     /*   2667 */     GIR_EraseRootFromParent_Done,
     /*   2668 */   // Label 133: @2668
     /*   2668 */   GIM_Try, /*On fail goto*//*Label 134*/ GIMT_Encode4(2696), // Rule ID 22951 //
     /*   2673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   2676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2680 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   2684 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] })  =>  (INC32r_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*   2684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC32r_ND),
     /*   2687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2689 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2694 */     GIR_RootConstrainSelectedInstOperands,
     /*   2695 */     // GIR_Coverage, 22951,
     /*   2695 */     GIR_EraseRootFromParent_Done,
     /*   2696 */   // Label 134: @2696
     /*   2696 */   GIM_Try, /*On fail goto*//*Label 135*/ GIMT_Encode4(2724), // Rule ID 22955 //
     /*   2701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   2704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2708 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   2712 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] })  =>  (DEC32r_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*   2712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC32r_ND),
     /*   2715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2717 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   2719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2722 */     GIR_RootConstrainSelectedInstOperands,
     /*   2723 */     // GIR_Coverage, 22955,
     /*   2723 */     GIR_EraseRootFromParent_Done,
     /*   2724 */   // Label 135: @2724
     /*   2724 */   GIM_Try, /*On fail goto*//*Label 136*/ GIMT_Encode4(2761), // Rule ID 22799 //
     /*   2729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   2744 */     // MIs[1] Operand 1
     /*   2744 */     // No operand predicates
     /*   2744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2746 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (ADD32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*   2746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32ri),
     /*   2749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2751 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   2756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2759 */     GIR_RootConstrainSelectedInstOperands,
     /*   2760 */     // GIR_Coverage, 22799,
     /*   2760 */     GIR_EraseRootFromParent_Done,
     /*   2761 */   // Label 136: @2761
     /*   2761 */   GIM_Try, /*On fail goto*//*Label 137*/ GIMT_Encode4(2798), // Rule ID 22889 //
     /*   2766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   2777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   2781 */     // MIs[1] Operand 1
     /*   2781 */     // No operand predicates
     /*   2781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2783 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (ADD32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*   2783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32ri_ND),
     /*   2786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2788 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   2790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   2793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2796 */     GIR_RootConstrainSelectedInstOperands,
     /*   2797 */     // GIR_Coverage, 22889,
     /*   2797 */     GIR_EraseRootFromParent_Done,
     /*   2798 */   // Label 137: @2798
     /*   2798 */   GIM_Try, /*On fail goto*//*Label 138*/ GIMT_Encode4(2827), // Rule ID 22791 //
     /*   2803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   2806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2814 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (ADD32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*   2814 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD32rr),
     /*   2819 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   2825 */     GIR_RootConstrainSelectedInstOperands,
     /*   2826 */     // GIR_Coverage, 22791,
     /*   2826 */     GIR_Done,
     /*   2827 */   // Label 138: @2827
     /*   2827 */   GIM_Try, /*On fail goto*//*Label 139*/ GIMT_Encode4(2856), // Rule ID 22881 //
     /*   2832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   2843 */     // (add:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (ADD32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*   2843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD32rr_ND),
     /*   2848 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   2854 */     GIR_RootConstrainSelectedInstOperands,
     /*   2855 */     // GIR_Coverage, 22881,
     /*   2855 */     GIR_Done,
     /*   2856 */   // Label 139: @2856
     /*   2856 */   GIM_Reject,
     /*   2857 */ // Label 124: @2857
     /*   2857 */ GIM_Reject,
     /*   2858 */ // Label 81: @2858
     /*   2858 */ GIM_Try, /*On fail goto*//*Label 140*/ GIMT_Encode4(3681),
     /*   2863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   2866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   2869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   2873 */   GIM_Try, /*On fail goto*//*Label 141*/ GIMT_Encode4(2942), // Rule ID 22616 //
     /*   2878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2889 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2892 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   2896 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2900 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   2911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2920 */     // (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 128:{ *:[i64] })  =>  (SUB64mi32_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src, -128:{ *:[i64] })
     /*   2920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32_ND),
     /*   2923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*   2929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   2932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   2935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   2940 */     GIR_RootConstrainSelectedInstOperands,
     /*   2941 */     // GIR_Coverage, 22616,
     /*   2941 */     GIR_EraseRootFromParent_Done,
     /*   2942 */   // Label 141: @2942
     /*   2942 */   GIM_Try, /*On fail goto*//*Label 142*/ GIMT_Encode4(3018), // Rule ID 22622 //
     /*   2947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   2950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   2954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   2958 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   2961 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   2965 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   2969 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2147483648),
     /*   2980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   2982 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   2989 */     // (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 2147483648:{ *:[i64] })  =>  (SUB64mi32_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src, -2147483648:{ *:[i64] })
     /*   2989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32_ND),
     /*   2992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   2994 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*   2998 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*   3008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3016 */     GIR_RootConstrainSelectedInstOperands,
     /*   3017 */     // GIR_Coverage, 22622,
     /*   3017 */     GIR_EraseRootFromParent_Done,
     /*   3018 */   // Label 142: @3018
     /*   3018 */   GIM_Try, /*On fail goto*//*Label 143*/ GIMT_Encode4(3079), // Rule ID 26054 //
     /*   3023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3034 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3037 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3041 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3051 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3058 */     // (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (ADD64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rm),
     /*   3061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3063 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   3065 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3077 */     GIR_RootConstrainSelectedInstOperands,
     /*   3078 */     // GIR_Coverage, 26054,
     /*   3078 */     GIR_EraseRootFromParent_Done,
     /*   3079 */   // Label 143: @3079
     /*   3079 */   GIM_Try, /*On fail goto*//*Label 144*/ GIMT_Encode4(3140), // Rule ID 26073 //
     /*   3084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3095 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3098 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3102 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3112 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3119 */     // (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (ADD64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rm_ND),
     /*   3122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3124 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   3126 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3138 */     GIR_RootConstrainSelectedInstOperands,
     /*   3139 */     // GIR_Coverage, 26073,
     /*   3139 */     GIR_EraseRootFromParent_Done,
     /*   3140 */   // Label 144: @3140
     /*   3140 */   GIM_Try, /*On fail goto*//*Label 145*/ GIMT_Encode4(3201), // Rule ID 22796 //
     /*   3145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3160 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3163 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3167 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3180 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rm),
     /*   3183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3185 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3187 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3199 */     GIR_RootConstrainSelectedInstOperands,
     /*   3200 */     // GIR_Coverage, 22796,
     /*   3200 */     GIR_EraseRootFromParent_Done,
     /*   3201 */   // Label 145: @3201
     /*   3201 */   GIM_Try, /*On fail goto*//*Label 146*/ GIMT_Encode4(3262), // Rule ID 22886 //
     /*   3206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3221 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3224 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3228 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3234 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3241 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rm_ND),
     /*   3244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3246 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3248 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3260 */     GIR_RootConstrainSelectedInstOperands,
     /*   3261 */     // GIR_Coverage, 22886,
     /*   3261 */     GIR_EraseRootFromParent_Done,
     /*   3262 */   // Label 146: @3262
     /*   3262 */   GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(3300), // Rule ID 22601 //
     /*   3267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3274 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   3285 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, 128:{ *:[i64] })  =>  (SUB64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, -128:{ *:[i64] })
     /*   3285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32),
     /*   3288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3290 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   3295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3298 */     GIR_RootConstrainSelectedInstOperands,
     /*   3299 */     // GIR_Coverage, 22601,
     /*   3299 */     GIR_EraseRootFromParent_Done,
     /*   3300 */   // Label 147: @3300
     /*   3300 */   GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(3338), // Rule ID 22607 //
     /*   3305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3312 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(128),
     /*   3323 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, 128:{ *:[i64] })  =>  (SUB64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, -128:{ *:[i64] })
     /*   3323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32_ND),
     /*   3326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3328 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*   3333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3336 */     GIR_RootConstrainSelectedInstOperands,
     /*   3337 */     // GIR_Coverage, 22607,
     /*   3337 */     GIR_EraseRootFromParent_Done,
     /*   3338 */   // Label 148: @3338
     /*   3338 */   GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(3383), // Rule ID 22617 //
     /*   3343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3350 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2147483648),
     /*   3361 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, 2147483648:{ *:[i64] })  =>  (SUB64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, -2147483648:{ *:[i64] })
     /*   3361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32),
     /*   3364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3366 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3368 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*   3378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3381 */     GIR_RootConstrainSelectedInstOperands,
     /*   3382 */     // GIR_Coverage, 22617,
     /*   3382 */     GIR_EraseRootFromParent_Done,
     /*   3383 */   // Label 149: @3383
     /*   3383 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(3428), // Rule ID 22619 //
     /*   3388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3395 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2147483648),
     /*   3406 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, 2147483648:{ *:[i64] })  =>  (SUB64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, -2147483648:{ *:[i64] })
     /*   3406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32_ND),
     /*   3409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3411 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3413 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*   3423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3426 */     GIR_RootConstrainSelectedInstOperands,
     /*   3427 */     // GIR_Coverage, 22619,
     /*   3427 */     GIR_EraseRootFromParent_Done,
     /*   3428 */   // Label 150: @3428
     /*   3428 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(3456), // Rule ID 22862 //
     /*   3433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   3436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3440 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   3444 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] })  =>  (INC64r:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*   3444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC64r),
     /*   3447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3449 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   3451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3454 */     GIR_RootConstrainSelectedInstOperands,
     /*   3455 */     // GIR_Coverage, 22862,
     /*   3455 */     GIR_EraseRootFromParent_Done,
     /*   3456 */   // Label 151: @3456
     /*   3456 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(3484), // Rule ID 22866 //
     /*   3461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_UseIncDec),
     /*   3464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3468 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   3472 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] })  =>  (DEC64r:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*   3472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC64r),
     /*   3475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3477 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   3479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3482 */     GIR_RootConstrainSelectedInstOperands,
     /*   3483 */     // GIR_Coverage, 22866,
     /*   3483 */     GIR_EraseRootFromParent_Done,
     /*   3484 */   // Label 152: @3484
     /*   3484 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(3512), // Rule ID 22952 //
     /*   3489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   3492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3496 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   3500 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] })  =>  (INC64r_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*   3500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC64r_ND),
     /*   3503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3505 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   3507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3510 */     GIR_RootConstrainSelectedInstOperands,
     /*   3511 */     // GIR_Coverage, 22952,
     /*   3511 */     GIR_EraseRootFromParent_Done,
     /*   3512 */   // Label 153: @3512
     /*   3512 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(3540), // Rule ID 22956 //
     /*   3517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_UseIncDec),
     /*   3520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3524 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   3528 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] })  =>  (DEC64r_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*   3528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC64r_ND),
     /*   3531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3533 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*   3535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3538 */     GIR_RootConstrainSelectedInstOperands,
     /*   3539 */     // GIR_Coverage, 22956,
     /*   3539 */     GIR_EraseRootFromParent_Done,
     /*   3540 */   // Label 154: @3540
     /*   3540 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(3581), // Rule ID 22800 //
     /*   3545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   3560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*   3564 */     // MIs[1] Operand 1
     /*   3564 */     // No operand predicates
     /*   3564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3566 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (ADD64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*   3566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64ri32),
     /*   3569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3571 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   3576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3579 */     GIR_RootConstrainSelectedInstOperands,
     /*   3580 */     // GIR_Coverage, 22800,
     /*   3580 */     GIR_EraseRootFromParent_Done,
     /*   3581 */   // Label 155: @3581
     /*   3581 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(3622), // Rule ID 22890 //
     /*   3586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   3601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*   3605 */     // MIs[1] Operand 1
     /*   3605 */     // No operand predicates
     /*   3605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3607 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (ADD64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*   3607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64ri32_ND),
     /*   3610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3612 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   3617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   3620 */     GIR_RootConstrainSelectedInstOperands,
     /*   3621 */     // GIR_Coverage, 22890,
     /*   3621 */     GIR_EraseRootFromParent_Done,
     /*   3622 */   // Label 156: @3622
     /*   3622 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(3651), // Rule ID 22792 //
     /*   3627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   3630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3638 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (ADD64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*   3638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD64rr),
     /*   3643 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   3649 */     GIR_RootConstrainSelectedInstOperands,
     /*   3650 */     // GIR_Coverage, 22792,
     /*   3650 */     GIR_Done,
     /*   3651 */   // Label 157: @3651
     /*   3651 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(3680), // Rule ID 22882 //
     /*   3656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   3659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   3667 */     // (add:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (ADD64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*   3667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD64rr_ND),
     /*   3672 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   3678 */     GIR_RootConstrainSelectedInstOperands,
     /*   3679 */     // GIR_Coverage, 22882,
     /*   3679 */     GIR_Done,
     /*   3680 */   // Label 158: @3680
     /*   3680 */   GIM_Reject,
     /*   3681 */ // Label 140: @3681
     /*   3681 */ GIM_Reject,
     /*   3682 */ // Label 82: @3682
     /*   3682 */ GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(4023),
     /*   3687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   3690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*   3693 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(3755), // Rule ID 23435 //
     /*   3698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   3701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3713 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3716 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3720 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3730 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3737 */     // (add:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src1)  =>  (VPADDQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQrm),
     /*   3740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3742 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   3744 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3753 */     GIR_RootConstrainSelectedInstOperands,
     /*   3754 */     // GIR_Coverage, 23435,
     /*   3754 */     GIR_EraseRootFromParent_Done,
     /*   3755 */   // Label 160: @3755
     /*   3755 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(3817), // Rule ID 23705 //
     /*   3760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   3763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   3767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3775 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3778 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3782 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   3790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3799 */     // (add:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPADDQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZ128rm),
     /*   3802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3804 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   3806 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3815 */     GIR_RootConstrainSelectedInstOperands,
     /*   3816 */     // GIR_Coverage, 23705,
     /*   3816 */     GIR_EraseRootFromParent_Done,
     /*   3817 */   // Label 161: @3817
     /*   3817 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(3879), // Rule ID 2540 //
     /*   3822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   3825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3841 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3844 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3848 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3861 */     // (add:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQrm),
     /*   3864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3866 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3868 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3877 */     GIR_RootConstrainSelectedInstOperands,
     /*   3878 */     // GIR_Coverage, 2540,
     /*   3878 */     GIR_EraseRootFromParent_Done,
     /*   3879 */   // Label 162: @3879
     /*   3879 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(3941), // Rule ID 4653 //
     /*   3884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   3887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   3891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   3895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   3899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   3903 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   3906 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   3910 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   3914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   3916 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   3923 */     // (add:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   3923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZ128rm),
     /*   3926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3928 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   3930 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   3934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   3939 */     GIR_RootConstrainSelectedInstOperands,
     /*   3940 */     // GIR_Coverage, 4653,
     /*   3940 */     GIR_EraseRootFromParent_Done,
     /*   3941 */   // Label 163: @3941
     /*   3941 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(3968), // Rule ID 2539 //
     /*   3946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   3949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3961 */     // (add:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPADDQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*   3961 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQrr),
     /*   3966 */     GIR_RootConstrainSelectedInstOperands,
     /*   3967 */     // GIR_Coverage, 2539,
     /*   3967 */     GIR_Done,
     /*   3968 */   // Label 164: @3968
     /*   3968 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(3995), // Rule ID 2541 //
     /*   3973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   3976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   3988 */     // (add:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PADDQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*   3988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDQrr),
     /*   3993 */     GIR_RootConstrainSelectedInstOperands,
     /*   3994 */     // GIR_Coverage, 2541,
     /*   3994 */     GIR_Done,
     /*   3995 */   // Label 165: @3995
     /*   3995 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(4022), // Rule ID 4650 //
     /*   4000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4015 */     // (add:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPADDQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*   4015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQZ128rr),
     /*   4020 */     GIR_RootConstrainSelectedInstOperands,
     /*   4021 */     // GIR_Coverage, 4650,
     /*   4021 */     GIR_Done,
     /*   4022 */   // Label 166: @4022
     /*   4022 */   GIM_Reject,
     /*   4023 */ // Label 159: @4023
     /*   4023 */ GIM_Reject,
     /*   4024 */ // Label 83: @4024
     /*   4024 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(4487),
     /*   4029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   4035 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(4097), // Rule ID 23432 //
     /*   4040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   4043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4055 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4058 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4062 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4072 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4079 */     // (add:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPADDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDrm),
     /*   4082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4084 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4086 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4095 */     GIR_RootConstrainSelectedInstOperands,
     /*   4096 */     // GIR_Coverage, 23432,
     /*   4096 */     GIR_EraseRootFromParent_Done,
     /*   4097 */   // Label 168: @4097
     /*   4097 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(4159), // Rule ID 23723 //
     /*   4102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4117 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4120 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4124 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4141 */     // (add:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPADDDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZ128rm),
     /*   4144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4146 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4148 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4157 */     GIR_RootConstrainSelectedInstOperands,
     /*   4158 */     // GIR_Coverage, 23723,
     /*   4158 */     GIR_EraseRootFromParent_Done,
     /*   4159 */   // Label 169: @4159
     /*   4159 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(4221), // Rule ID 2534 //
     /*   4164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   4167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4183 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4186 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4190 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4196 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4203 */     // (add:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDrm),
     /*   4206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4208 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4219 */     GIR_RootConstrainSelectedInstOperands,
     /*   4220 */     // GIR_Coverage, 2534,
     /*   4220 */     GIR_EraseRootFromParent_Done,
     /*   4221 */   // Label 170: @4221
     /*   4221 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(4283), // Rule ID 4680 //
     /*   4226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4245 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4248 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4252 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4258 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4265 */     // (add:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZ128rm),
     /*   4268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4270 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4272 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4281 */     GIR_RootConstrainSelectedInstOperands,
     /*   4282 */     // GIR_Coverage, 4680,
     /*   4282 */     GIR_EraseRootFromParent_Done,
     /*   4283 */   // Label 171: @4283
     /*   4283 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(4344), // Rule ID 17866 //
     /*   4288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*   4291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   4311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4327 */     // (add:{ *:[v4i32] } (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2), VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*   4327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrr),
     /*   4330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*   4336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*   4340 */     GIR_RootToRootCopy, /*OpIdx*/2, // src3
     /*   4342 */     GIR_RootConstrainSelectedInstOperands,
     /*   4343 */     // GIR_Coverage, 17866,
     /*   4343 */     GIR_EraseRootFromParent_Done,
     /*   4344 */   // Label 172: @4344
     /*   4344 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(4405), // Rule ID 25187 //
     /*   4349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*   4352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   4368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   4372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   4376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4388 */     // (add:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src3, (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2))  =>  (VPMACSDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*   4388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrr),
     /*   4391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*   4397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*   4401 */     GIR_RootToRootCopy, /*OpIdx*/1, // src3
     /*   4403 */     GIR_RootConstrainSelectedInstOperands,
     /*   4404 */     // GIR_Coverage, 25187,
     /*   4404 */     GIR_EraseRootFromParent_Done,
     /*   4405 */   // Label 173: @4405
     /*   4405 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(4432), // Rule ID 2533 //
     /*   4410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   4413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4425 */     // (add:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPADDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*   4425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDrr),
     /*   4430 */     GIR_RootConstrainSelectedInstOperands,
     /*   4431 */     // GIR_Coverage, 2533,
     /*   4431 */     GIR_Done,
     /*   4432 */   // Label 174: @4432
     /*   4432 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(4459), // Rule ID 2535 //
     /*   4437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   4440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4452 */     // (add:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PADDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*   4452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDDrr),
     /*   4457 */     GIR_RootConstrainSelectedInstOperands,
     /*   4458 */     // GIR_Coverage, 2535,
     /*   4458 */     GIR_Done,
     /*   4459 */   // Label 175: @4459
     /*   4459 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(4486), // Rule ID 4677 //
     /*   4464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4479 */     // (add:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPADDDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*   4479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDZ128rr),
     /*   4484 */     GIR_RootConstrainSelectedInstOperands,
     /*   4485 */     // GIR_Coverage, 4677,
     /*   4485 */     GIR_Done,
     /*   4486 */   // Label 176: @4486
     /*   4486 */   GIM_Reject,
     /*   4487 */ // Label 167: @4487
     /*   4487 */ GIM_Reject,
     /*   4488 */ // Label 84: @4488
     /*   4488 */ GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(4802),
     /*   4493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*   4496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*   4499 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(4561), // Rule ID 23437 //
     /*   4504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   4507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4519 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4522 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4526 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4536 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4543 */     // (add:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VPADDQYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQYrm),
     /*   4546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4548 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4550 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4559 */     GIR_RootConstrainSelectedInstOperands,
     /*   4560 */     // GIR_Coverage, 23437,
     /*   4560 */     GIR_EraseRootFromParent_Done,
     /*   4561 */   // Label 178: @4561
     /*   4561 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(4623), // Rule ID 23699 //
     /*   4566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4581 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4584 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4588 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4605 */     // (add:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPADDQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZ256rm),
     /*   4608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4610 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4612 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4621 */     GIR_RootConstrainSelectedInstOperands,
     /*   4622 */     // GIR_Coverage, 23699,
     /*   4622 */     GIR_EraseRootFromParent_Done,
     /*   4623 */   // Label 179: @4623
     /*   4623 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(4685), // Rule ID 2544 //
     /*   4628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   4631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4647 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4650 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4654 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4660 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4667 */     // (add:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQYrm),
     /*   4670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4672 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4674 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4683 */     GIR_RootConstrainSelectedInstOperands,
     /*   4684 */     // GIR_Coverage, 2544,
     /*   4684 */     GIR_EraseRootFromParent_Done,
     /*   4685 */   // Label 180: @4685
     /*   4685 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(4747), // Rule ID 4644 //
     /*   4690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4709 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4712 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4716 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4729 */     // (add:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZ256rm),
     /*   4732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4734 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4736 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4745 */     GIR_RootConstrainSelectedInstOperands,
     /*   4746 */     // GIR_Coverage, 4644,
     /*   4746 */     GIR_EraseRootFromParent_Done,
     /*   4747 */   // Label 181: @4747
     /*   4747 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(4774), // Rule ID 2543 //
     /*   4752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   4755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   4767 */     // (add:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPADDQYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*   4767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQYrr),
     /*   4772 */     GIR_RootConstrainSelectedInstOperands,
     /*   4773 */     // GIR_Coverage, 2543,
     /*   4773 */     GIR_Done,
     /*   4774 */   // Label 182: @4774
     /*   4774 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(4801), // Rule ID 4641 //
     /*   4779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   4782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   4794 */     // (add:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPADDQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*   4794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQZ256rr),
     /*   4799 */     GIR_RootConstrainSelectedInstOperands,
     /*   4800 */     // GIR_Coverage, 4641,
     /*   4800 */     GIR_Done,
     /*   4801 */   // Label 183: @4801
     /*   4801 */   GIM_Reject,
     /*   4802 */ // Label 177: @4802
     /*   4802 */ GIM_Reject,
     /*   4803 */ // Label 85: @4803
     /*   4803 */ GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(5266),
     /*   4808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   4811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   4814 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(4876), // Rule ID 23429 //
     /*   4819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   4822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4834 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4837 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4841 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4851 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4858 */     // (add:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPADDWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWrm),
     /*   4861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4863 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4865 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4874 */     GIR_RootConstrainSelectedInstOperands,
     /*   4875 */     // GIR_Coverage, 23429,
     /*   4875 */     GIR_EraseRootFromParent_Done,
     /*   4876 */   // Label 185: @4876
     /*   4876 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(4938), // Rule ID 23735 //
     /*   4881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   4884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4896 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4899 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4903 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   4911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4913 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4920 */     // (add:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPADDWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZ128rm),
     /*   4923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4925 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   4927 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4936 */     GIR_RootConstrainSelectedInstOperands,
     /*   4937 */     // GIR_Coverage, 23735,
     /*   4937 */     GIR_EraseRootFromParent_Done,
     /*   4938 */   // Label 186: @4938
     /*   4938 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(5000), // Rule ID 2528 //
     /*   4943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   4946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   4954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   4962 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   4965 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   4969 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   4973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   4975 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   4982 */     // (add:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   4982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWrm),
     /*   4985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4987 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   4989 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   4993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   4998 */     GIR_RootConstrainSelectedInstOperands,
     /*   4999 */     // GIR_Coverage, 2528,
     /*   4999 */     GIR_EraseRootFromParent_Done,
     /*   5000 */   // Label 187: @5000
     /*   5000 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(5062), // Rule ID 4701 //
     /*   5005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   5008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5024 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5027 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5031 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5044 */     // (add:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZ128rm),
     /*   5047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5049 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5051 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5060 */     GIR_RootConstrainSelectedInstOperands,
     /*   5061 */     // GIR_Coverage, 4701,
     /*   5061 */     GIR_EraseRootFromParent_Done,
     /*   5062 */   // Label 188: @5062
     /*   5062 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(5123), // Rule ID 17865 //
     /*   5067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*   5070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   5086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   5090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5106 */     // (add:{ *:[v8i16] } (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2), VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSWWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*   5106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrr),
     /*   5109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*   5115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*   5119 */     GIR_RootToRootCopy, /*OpIdx*/2, // src3
     /*   5121 */     GIR_RootConstrainSelectedInstOperands,
     /*   5122 */     // GIR_Coverage, 17865,
     /*   5122 */     GIR_EraseRootFromParent_Done,
     /*   5123 */   // Label 189: @5123
     /*   5123 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(5184), // Rule ID 25186 //
     /*   5128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*   5131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   5147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   5151 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   5155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5167 */     // (add:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src3, (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2))  =>  (VPMACSWWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*   5167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrr),
     /*   5170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*   5176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*   5180 */     GIR_RootToRootCopy, /*OpIdx*/1, // src3
     /*   5182 */     GIR_RootConstrainSelectedInstOperands,
     /*   5183 */     // GIR_Coverage, 25186,
     /*   5183 */     GIR_EraseRootFromParent_Done,
     /*   5184 */   // Label 190: @5184
     /*   5184 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(5211), // Rule ID 2527 //
     /*   5189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   5192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5204 */     // (add:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPADDWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*   5204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWrr),
     /*   5209 */     GIR_RootConstrainSelectedInstOperands,
     /*   5210 */     // GIR_Coverage, 2527,
     /*   5210 */     GIR_Done,
     /*   5211 */   // Label 191: @5211
     /*   5211 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(5238), // Rule ID 2529 //
     /*   5216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   5219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5231 */     // (add:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PADDWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*   5231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDWrr),
     /*   5236 */     GIR_RootConstrainSelectedInstOperands,
     /*   5237 */     // GIR_Coverage, 2529,
     /*   5237 */     GIR_Done,
     /*   5238 */   // Label 192: @5238
     /*   5238 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(5265), // Rule ID 4698 //
     /*   5243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   5246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5258 */     // (add:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPADDWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*   5258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWZ128rr),
     /*   5263 */     GIR_RootConstrainSelectedInstOperands,
     /*   5264 */     // GIR_Coverage, 4698,
     /*   5264 */     GIR_Done,
     /*   5265 */   // Label 193: @5265
     /*   5265 */   GIM_Reject,
     /*   5266 */ // Label 184: @5266
     /*   5266 */ GIM_Reject,
     /*   5267 */ // Label 86: @5267
     /*   5267 */ GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(5581),
     /*   5272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*   5275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*   5278 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(5340), // Rule ID 23434 //
     /*   5283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   5286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5298 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5301 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5305 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5315 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5322 */     // (add:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPADDDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDYrm),
     /*   5325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5327 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5329 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5338 */     GIR_RootConstrainSelectedInstOperands,
     /*   5339 */     // GIR_Coverage, 23434,
     /*   5339 */     GIR_EraseRootFromParent_Done,
     /*   5340 */   // Label 195: @5340
     /*   5340 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(5402), // Rule ID 23717 //
     /*   5345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   5348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5360 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5363 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5367 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5384 */     // (add:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPADDDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZ256rm),
     /*   5387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5389 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5391 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5400 */     GIR_RootConstrainSelectedInstOperands,
     /*   5401 */     // GIR_Coverage, 23717,
     /*   5401 */     GIR_EraseRootFromParent_Done,
     /*   5402 */   // Label 196: @5402
     /*   5402 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(5464), // Rule ID 2538 //
     /*   5407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   5410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5426 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5429 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5433 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5446 */     // (add:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDYrm),
     /*   5449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5453 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5462 */     GIR_RootConstrainSelectedInstOperands,
     /*   5463 */     // GIR_Coverage, 2538,
     /*   5463 */     GIR_EraseRootFromParent_Done,
     /*   5464 */   // Label 197: @5464
     /*   5464 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(5526), // Rule ID 4671 //
     /*   5469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   5472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5488 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5491 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5495 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5508 */     // (add:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZ256rm),
     /*   5511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5513 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5515 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5524 */     GIR_RootConstrainSelectedInstOperands,
     /*   5525 */     // GIR_Coverage, 4671,
     /*   5525 */     GIR_EraseRootFromParent_Done,
     /*   5526 */   // Label 198: @5526
     /*   5526 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(5553), // Rule ID 2537 //
     /*   5531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   5534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   5546 */     // (add:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPADDDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*   5546 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDYrr),
     /*   5551 */     GIR_RootConstrainSelectedInstOperands,
     /*   5552 */     // GIR_Coverage, 2537,
     /*   5552 */     GIR_Done,
     /*   5553 */   // Label 199: @5553
     /*   5553 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(5580), // Rule ID 4668 //
     /*   5558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   5561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   5573 */     // (add:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPADDDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*   5573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDZ256rr),
     /*   5578 */     GIR_RootConstrainSelectedInstOperands,
     /*   5579 */     // GIR_Coverage, 4668,
     /*   5579 */     GIR_Done,
     /*   5580 */   // Label 200: @5580
     /*   5580 */   GIM_Reject,
     /*   5581 */ // Label 194: @5581
     /*   5581 */ GIM_Reject,
     /*   5582 */ // Label 87: @5582
     /*   5582 */ GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(5737),
     /*   5587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*   5590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*   5593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5597 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(5655), // Rule ID 23693 //
     /*   5602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   5605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5613 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5616 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5620 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5630 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5637 */     // (add:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPADDQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZrm),
     /*   5640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5642 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5644 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5653 */     GIR_RootConstrainSelectedInstOperands,
     /*   5654 */     // GIR_Coverage, 23693,
     /*   5654 */     GIR_EraseRootFromParent_Done,
     /*   5655 */   // Label 202: @5655
     /*   5655 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(5713), // Rule ID 4635 //
     /*   5660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   5663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5675 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5678 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5682 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5688 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5695 */     // (add:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDQZrm),
     /*   5698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5700 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5702 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5711 */     GIR_RootConstrainSelectedInstOperands,
     /*   5712 */     // GIR_Coverage, 4635,
     /*   5712 */     GIR_EraseRootFromParent_Done,
     /*   5713 */   // Label 203: @5713
     /*   5713 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(5736), // Rule ID 4632 //
     /*   5718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   5721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   5729 */     // (add:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPADDQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*   5729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDQZrr),
     /*   5734 */     GIR_RootConstrainSelectedInstOperands,
     /*   5735 */     // GIR_Coverage, 4632,
     /*   5735 */     GIR_Done,
     /*   5736 */   // Label 204: @5736
     /*   5736 */   GIM_Reject,
     /*   5737 */ // Label 201: @5737
     /*   5737 */ GIM_Reject,
     /*   5738 */ // Label 88: @5738
     /*   5738 */ GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(6079),
     /*   5743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   5746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*   5749 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(5811), // Rule ID 23426 //
     /*   5754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   5757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5769 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5772 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5776 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5793 */     // (add:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPADDBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBrm),
     /*   5796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5798 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5800 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5809 */     GIR_RootConstrainSelectedInstOperands,
     /*   5810 */     // GIR_Coverage, 23426,
     /*   5810 */     GIR_EraseRootFromParent_Done,
     /*   5811 */   // Label 206: @5811
     /*   5811 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(5873), // Rule ID 23744 //
     /*   5816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   5819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5831 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5834 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5838 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5848 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5855 */     // (add:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPADDBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZ128rm),
     /*   5858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5860 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   5862 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5871 */     GIR_RootConstrainSelectedInstOperands,
     /*   5872 */     // GIR_Coverage, 23744,
     /*   5872 */     GIR_EraseRootFromParent_Done,
     /*   5873 */   // Label 207: @5873
     /*   5873 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5935), // Rule ID 2522 //
     /*   5878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   5881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   5889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5897 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5900 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5904 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5910 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5917 */     // (add:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBrm),
     /*   5920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5922 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5924 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5933 */     GIR_RootConstrainSelectedInstOperands,
     /*   5934 */     // GIR_Coverage, 2522,
     /*   5934 */     GIR_EraseRootFromParent_Done,
     /*   5935 */   // Label 208: @5935
     /*   5935 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5997), // Rule ID 4719 //
     /*   5940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   5943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   5951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   5959 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   5962 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   5966 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   5970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   5972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   5979 */     // (add:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   5979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZ128rm),
     /*   5982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5984 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   5986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   5990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   5995 */     GIR_RootConstrainSelectedInstOperands,
     /*   5996 */     // GIR_Coverage, 4719,
     /*   5996 */     GIR_EraseRootFromParent_Done,
     /*   5997 */   // Label 209: @5997
     /*   5997 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(6024), // Rule ID 2521 //
     /*   6002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   6005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6017 */     // (add:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPADDBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*   6017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBrr),
     /*   6022 */     GIR_RootConstrainSelectedInstOperands,
     /*   6023 */     // GIR_Coverage, 2521,
     /*   6023 */     GIR_Done,
     /*   6024 */   // Label 210: @6024
     /*   6024 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(6051), // Rule ID 2523 //
     /*   6029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   6032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   6044 */     // (add:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PADDBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*   6044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDBrr),
     /*   6049 */     GIR_RootConstrainSelectedInstOperands,
     /*   6050 */     // GIR_Coverage, 2523,
     /*   6050 */     GIR_Done,
     /*   6051 */   // Label 211: @6051
     /*   6051 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(6078), // Rule ID 4716 //
     /*   6056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   6063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   6067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   6071 */     // (add:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPADDBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*   6071 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBZ128rr),
     /*   6076 */     GIR_RootConstrainSelectedInstOperands,
     /*   6077 */     // GIR_Coverage, 4716,
     /*   6077 */     GIR_Done,
     /*   6078 */   // Label 212: @6078
     /*   6078 */   GIM_Reject,
     /*   6079 */ // Label 205: @6079
     /*   6079 */ GIM_Reject,
     /*   6080 */ // Label 89: @6080
     /*   6080 */ GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(6394),
     /*   6085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*   6088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*   6091 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(6153), // Rule ID 23431 //
     /*   6096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6111 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6114 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6118 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6135 */     // (add:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPADDWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWYrm),
     /*   6138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6140 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6142 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6151 */     GIR_RootConstrainSelectedInstOperands,
     /*   6152 */     // GIR_Coverage, 23431,
     /*   6152 */     GIR_EraseRootFromParent_Done,
     /*   6153 */   // Label 214: @6153
     /*   6153 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(6215), // Rule ID 23732 //
     /*   6158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6173 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6176 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6180 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6190 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6197 */     // (add:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPADDWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZ256rm),
     /*   6200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6202 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6204 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6213 */     GIR_RootConstrainSelectedInstOperands,
     /*   6214 */     // GIR_Coverage, 23732,
     /*   6214 */     GIR_EraseRootFromParent_Done,
     /*   6215 */   // Label 215: @6215
     /*   6215 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(6277), // Rule ID 2532 //
     /*   6220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6239 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6242 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6246 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6259 */     // (add:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWYrm),
     /*   6262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6264 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6266 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6275 */     GIR_RootConstrainSelectedInstOperands,
     /*   6276 */     // GIR_Coverage, 2532,
     /*   6276 */     GIR_EraseRootFromParent_Done,
     /*   6277 */   // Label 216: @6277
     /*   6277 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(6339), // Rule ID 4695 //
     /*   6282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6301 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6304 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6308 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6314 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6321 */     // (add:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZ256rm),
     /*   6324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6326 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6328 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6337 */     GIR_RootConstrainSelectedInstOperands,
     /*   6338 */     // GIR_Coverage, 4695,
     /*   6338 */     GIR_EraseRootFromParent_Done,
     /*   6339 */   // Label 217: @6339
     /*   6339 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(6366), // Rule ID 2531 //
     /*   6344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6359 */     // (add:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPADDWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*   6359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWYrr),
     /*   6364 */     GIR_RootConstrainSelectedInstOperands,
     /*   6365 */     // GIR_Coverage, 2531,
     /*   6365 */     GIR_Done,
     /*   6366 */   // Label 218: @6366
     /*   6366 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(6393), // Rule ID 4692 //
     /*   6371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6386 */     // (add:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPADDWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*   6386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWZ256rr),
     /*   6391 */     GIR_RootConstrainSelectedInstOperands,
     /*   6392 */     // GIR_Coverage, 4692,
     /*   6392 */     GIR_Done,
     /*   6393 */   // Label 219: @6393
     /*   6393 */   GIM_Reject,
     /*   6394 */ // Label 213: @6394
     /*   6394 */ GIM_Reject,
     /*   6395 */ // Label 90: @6395
     /*   6395 */ GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(6550),
     /*   6400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*   6403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*   6406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6410 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(6468), // Rule ID 23711 //
     /*   6415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   6418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6426 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6429 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6433 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6450 */     // (add:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPADDDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZrm),
     /*   6453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6455 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6457 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6466 */     GIR_RootConstrainSelectedInstOperands,
     /*   6467 */     // GIR_Coverage, 23711,
     /*   6467 */     GIR_EraseRootFromParent_Done,
     /*   6468 */   // Label 221: @6468
     /*   6468 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6526), // Rule ID 4662 //
     /*   6473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   6476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6488 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6491 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6495 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6501 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6508 */     // (add:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDDZrm),
     /*   6511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6513 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6515 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6524 */     GIR_RootConstrainSelectedInstOperands,
     /*   6525 */     // GIR_Coverage, 4662,
     /*   6525 */     GIR_EraseRootFromParent_Done,
     /*   6526 */   // Label 222: @6526
     /*   6526 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6549), // Rule ID 4659 //
     /*   6531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   6534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6542 */     // (add:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPADDDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*   6542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDDZrr),
     /*   6547 */     GIR_RootConstrainSelectedInstOperands,
     /*   6548 */     // GIR_Coverage, 4659,
     /*   6548 */     GIR_Done,
     /*   6549 */   // Label 223: @6549
     /*   6549 */   GIM_Reject,
     /*   6550 */ // Label 220: @6550
     /*   6550 */ GIM_Reject,
     /*   6551 */ // Label 91: @6551
     /*   6551 */ GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6865),
     /*   6556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*   6559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*   6562 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6624), // Rule ID 23428 //
     /*   6567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6582 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6585 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6589 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6606 */     // (add:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPADDBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBYrm),
     /*   6609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6611 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6613 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6622 */     GIR_RootConstrainSelectedInstOperands,
     /*   6623 */     // GIR_Coverage, 23428,
     /*   6623 */     GIR_EraseRootFromParent_Done,
     /*   6624 */   // Label 225: @6624
     /*   6624 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6686), // Rule ID 23741 //
     /*   6629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6644 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6647 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6651 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6661 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6668 */     // (add:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPADDBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZ256rm),
     /*   6671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6673 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6675 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6684 */     GIR_RootConstrainSelectedInstOperands,
     /*   6685 */     // GIR_Coverage, 23741,
     /*   6685 */     GIR_EraseRootFromParent_Done,
     /*   6686 */   // Label 226: @6686
     /*   6686 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6748), // Rule ID 2526 //
     /*   6691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6710 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6713 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6717 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6730 */     // (add:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBYrm),
     /*   6733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6735 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6746 */     GIR_RootConstrainSelectedInstOperands,
     /*   6747 */     // GIR_Coverage, 2526,
     /*   6747 */     GIR_EraseRootFromParent_Done,
     /*   6748 */   // Label 227: @6748
     /*   6748 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6810), // Rule ID 4713 //
     /*   6753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6772 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6775 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6779 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6785 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6792 */     // (add:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZ256rm),
     /*   6795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6797 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6799 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6808 */     GIR_RootConstrainSelectedInstOperands,
     /*   6809 */     // GIR_Coverage, 4713,
     /*   6809 */     GIR_EraseRootFromParent_Done,
     /*   6810 */   // Label 228: @6810
     /*   6810 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6837), // Rule ID 2525 //
     /*   6815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*   6818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   6830 */     // (add:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPADDBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*   6830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBYrr),
     /*   6835 */     GIR_RootConstrainSelectedInstOperands,
     /*   6836 */     // GIR_Coverage, 2525,
     /*   6836 */     GIR_Done,
     /*   6837 */   // Label 229: @6837
     /*   6837 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6864), // Rule ID 4710 //
     /*   6842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   6845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   6857 */     // (add:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPADDBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*   6857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBZ256rr),
     /*   6862 */     GIR_RootConstrainSelectedInstOperands,
     /*   6863 */     // GIR_Coverage, 4710,
     /*   6863 */     GIR_Done,
     /*   6864 */   // Label 230: @6864
     /*   6864 */   GIM_Reject,
     /*   6865 */ // Label 224: @6865
     /*   6865 */ GIM_Reject,
     /*   6866 */ // Label 92: @6866
     /*   6866 */ GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(7021),
     /*   6871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*   6874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*   6877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6881 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6939), // Rule ID 23729 //
     /*   6886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   6889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6897 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6900 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6904 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6914 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6921 */     // (add:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPADDWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZrm),
     /*   6924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6926 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   6928 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6937 */     GIR_RootConstrainSelectedInstOperands,
     /*   6938 */     // GIR_Coverage, 23729,
     /*   6938 */     GIR_EraseRootFromParent_Done,
     /*   6939 */   // Label 232: @6939
     /*   6939 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6997), // Rule ID 4689 //
     /*   6944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   6947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   6951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   6955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   6959 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   6962 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   6966 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   6970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   6972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   6979 */     // (add:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   6979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDWZrm),
     /*   6982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6984 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   6986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   6990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   6995 */     GIR_RootConstrainSelectedInstOperands,
     /*   6996 */     // GIR_Coverage, 4689,
     /*   6996 */     GIR_EraseRootFromParent_Done,
     /*   6997 */   // Label 233: @6997
     /*   6997 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(7020), // Rule ID 4686 //
     /*   7002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   7005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7013 */     // (add:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPADDWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*   7013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDWZrr),
     /*   7018 */     GIR_RootConstrainSelectedInstOperands,
     /*   7019 */     // GIR_Coverage, 4686,
     /*   7019 */     GIR_Done,
     /*   7020 */   // Label 234: @7020
     /*   7020 */   GIM_Reject,
     /*   7021 */ // Label 231: @7021
     /*   7021 */ GIM_Reject,
     /*   7022 */ // Label 93: @7022
     /*   7022 */ GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7177),
     /*   7027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*   7030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*   7033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7037 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7095), // Rule ID 23738 //
     /*   7042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   7045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7053 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   7060 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7070 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7077 */     // (add:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPADDBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZrm),
     /*   7080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7082 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7084 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7093 */     GIR_RootConstrainSelectedInstOperands,
     /*   7094 */     // GIR_Coverage, 23738,
     /*   7094 */     GIR_EraseRootFromParent_Done,
     /*   7095 */   // Label 236: @7095
     /*   7095 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7153), // Rule ID 4707 //
     /*   7100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   7103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7115 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7118 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   7122 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7135 */     // (add:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDBZrm),
     /*   7138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7140 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7142 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7151 */     GIR_RootConstrainSelectedInstOperands,
     /*   7152 */     // GIR_Coverage, 4707,
     /*   7152 */     GIR_EraseRootFromParent_Done,
     /*   7153 */   // Label 237: @7153
     /*   7153 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7176), // Rule ID 4704 //
     /*   7158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*   7161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   7169 */     // (add:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPADDBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*   7169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDBZrr),
     /*   7174 */     GIR_RootConstrainSelectedInstOperands,
     /*   7175 */     // GIR_Coverage, 4704,
     /*   7175 */     GIR_Done,
     /*   7176 */   // Label 238: @7176
     /*   7176 */   GIM_Reject,
     /*   7177 */ // Label 235: @7177
     /*   7177 */ GIM_Reject,
     /*   7178 */ // Label 94: @7178
     /*   7178 */ GIM_Reject,
     /*   7179 */ // Label 1: @7179
     /*   7179 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(25), /*)*//*default:*//*Label 255*/ GIMT_Encode4(10714),
     /*   7190 */ /*GILLT_s8*//*Label 239*/ GIMT_Encode4(7286),
     /*   7194 */ /*GILLT_s16*//*Label 240*/ GIMT_Encode4(7638),
     /*   7198 */ /*GILLT_s32*//*Label 241*/ GIMT_Encode4(7990),
     /*   7202 */ /*GILLT_s64*//*Label 242*/ GIMT_Encode4(8342), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   7218 */ /*GILLT_v2s64*//*Label 243*/ GIMT_Encode4(8702), GIMT_Encode4(0),
     /*   7226 */ /*GILLT_v4s32*//*Label 244*/ GIMT_Encode4(8920),
     /*   7230 */ /*GILLT_v4s64*//*Label 245*/ GIMT_Encode4(9138), GIMT_Encode4(0),
     /*   7238 */ /*GILLT_v8s16*//*Label 246*/ GIMT_Encode4(9329),
     /*   7242 */ /*GILLT_v8s32*//*Label 247*/ GIMT_Encode4(9547),
     /*   7246 */ /*GILLT_v8s64*//*Label 248*/ GIMT_Encode4(9738), GIMT_Encode4(0),
     /*   7254 */ /*GILLT_v16s8*//*Label 249*/ GIMT_Encode4(9832),
     /*   7258 */ /*GILLT_v16s16*//*Label 250*/ GIMT_Encode4(10050),
     /*   7262 */ /*GILLT_v16s32*//*Label 251*/ GIMT_Encode4(10241), GIMT_Encode4(0),
     /*   7270 */ /*GILLT_v32s8*//*Label 252*/ GIMT_Encode4(10335),
     /*   7274 */ /*GILLT_v32s16*//*Label 253*/ GIMT_Encode4(10526), GIMT_Encode4(0),
     /*   7282 */ /*GILLT_v64s8*//*Label 254*/ GIMT_Encode4(10620),
     /*   7286 */ // Label 239: @7286
     /*   7286 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(7637),
     /*   7291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*   7294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*   7297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7301 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(7362), // Rule ID 22805 //
     /*   7306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7321 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7324 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7328 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   7332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7334 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7341 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (SUB8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8rm),
     /*   7344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7346 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7360 */     GIR_RootConstrainSelectedInstOperands,
     /*   7361 */     // GIR_Coverage, 22805,
     /*   7361 */     GIR_EraseRootFromParent_Done,
     /*   7362 */   // Label 257: @7362
     /*   7362 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(7423), // Rule ID 22895 //
     /*   7367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7382 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7385 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7389 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*   7393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7395 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7402 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (SUB8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8rm_ND),
     /*   7405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7407 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7409 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7421 */     GIR_RootConstrainSelectedInstOperands,
     /*   7422 */     // GIR_Coverage, 22895,
     /*   7422 */     GIR_EraseRootFromParent_Done,
     /*   7423 */   // Label 258: @7423
     /*   7423 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(7451), // Rule ID 241 //
     /*   7428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7431 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7439 */     // (sub:{ *:[i8] } 0:{ *:[i8] }, GR8:{ *:[i8] }:$src1)  =>  (NEG8r:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /*   7439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8r),
     /*   7442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7444 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7449 */     GIR_RootConstrainSelectedInstOperands,
     /*   7450 */     // GIR_Coverage, 241,
     /*   7450 */     GIR_EraseRootFromParent_Done,
     /*   7451 */   // Label 259: @7451
     /*   7451 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(7479), // Rule ID 249 //
     /*   7456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   7459 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7467 */     // (sub:{ *:[i8] } 0:{ *:[i8] }, GR8:{ *:[i8] }:$src1)  =>  (NEG8r_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /*   7467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8r_ND),
     /*   7470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7472 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7477 */     GIR_RootConstrainSelectedInstOperands,
     /*   7478 */     // GIR_Coverage, 249,
     /*   7478 */     GIR_EraseRootFromParent_Done,
     /*   7479 */   // Label 260: @7479
     /*   7479 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(7504), // Rule ID 257 //
     /*   7484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   7487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7495 */     // (sub:{ *:[i8] } 0:{ *:[i8] }, GR8:{ *:[i8] }:$src1)  =>  (NEG8r_NF_ND:{ *:[i8] } GR8:{ *:[i8] }:$src1)
     /*   7495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8r_NF_ND),
     /*   7498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7500 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7502 */     GIR_RootConstrainSelectedInstOperands,
     /*   7503 */     // GIR_Coverage, 257,
     /*   7503 */     GIR_EraseRootFromParent_Done,
     /*   7504 */   // Label 261: @7504
     /*   7504 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(7541), // Rule ID 22809 //
     /*   7509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7524 */     // MIs[1] Operand 1
     /*   7524 */     // No operand predicates
     /*   7524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7526 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SUB8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*   7526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8ri),
     /*   7529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7531 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   7536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7539 */     GIR_RootConstrainSelectedInstOperands,
     /*   7540 */     // GIR_Coverage, 22809,
     /*   7540 */     GIR_EraseRootFromParent_Done,
     /*   7541 */   // Label 262: @7541
     /*   7541 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(7578), // Rule ID 22899 //
     /*   7546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7561 */     // MIs[1] Operand 1
     /*   7561 */     // No operand predicates
     /*   7561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7563 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SUB8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*   7563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8ri_ND),
     /*   7566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7568 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   7573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7576 */     GIR_RootConstrainSelectedInstOperands,
     /*   7577 */     // GIR_Coverage, 22899,
     /*   7577 */     GIR_EraseRootFromParent_Done,
     /*   7578 */   // Label 263: @7578
     /*   7578 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(7607), // Rule ID 22801 //
     /*   7583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7594 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SUB8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*   7594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB8rr),
     /*   7599 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   7605 */     GIR_RootConstrainSelectedInstOperands,
     /*   7606 */     // GIR_Coverage, 22801,
     /*   7606 */     GIR_Done,
     /*   7607 */   // Label 264: @7607
     /*   7607 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(7636), // Rule ID 22891 //
     /*   7612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*   7623 */     // (sub:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SUB8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*   7623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB8rr_ND),
     /*   7628 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   7634 */     GIR_RootConstrainSelectedInstOperands,
     /*   7635 */     // GIR_Coverage, 22891,
     /*   7635 */     GIR_Done,
     /*   7636 */   // Label 265: @7636
     /*   7636 */   GIM_Reject,
     /*   7637 */ // Label 256: @7637
     /*   7637 */ GIM_Reject,
     /*   7638 */ // Label 240: @7638
     /*   7638 */ GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(7989),
     /*   7643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   7646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*   7649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7653 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(7714), // Rule ID 22806 //
     /*   7658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7673 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7676 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7680 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   7684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7693 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (SUB16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16rm),
     /*   7696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7698 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7700 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7712 */     GIR_RootConstrainSelectedInstOperands,
     /*   7713 */     // GIR_Coverage, 22806,
     /*   7713 */     GIR_EraseRootFromParent_Done,
     /*   7714 */   // Label 267: @7714
     /*   7714 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(7775), // Rule ID 22896 //
     /*   7719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   7734 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   7737 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   7741 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*   7745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7747 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   7754 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (SUB16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   7754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16rm_ND),
     /*   7757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7759 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7761 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   7765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   7773 */     GIR_RootConstrainSelectedInstOperands,
     /*   7774 */     // GIR_Coverage, 22896,
     /*   7774 */     GIR_EraseRootFromParent_Done,
     /*   7775 */   // Label 268: @7775
     /*   7775 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(7803), // Rule ID 242 //
     /*   7780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7783 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7791 */     // (sub:{ *:[i16] } 0:{ *:[i16] }, GR16:{ *:[i16] }:$src1)  =>  (NEG16r:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /*   7791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16r),
     /*   7794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7796 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7801 */     GIR_RootConstrainSelectedInstOperands,
     /*   7802 */     // GIR_Coverage, 242,
     /*   7802 */     GIR_EraseRootFromParent_Done,
     /*   7803 */   // Label 269: @7803
     /*   7803 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(7831), // Rule ID 250 //
     /*   7808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   7811 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7819 */     // (sub:{ *:[i16] } 0:{ *:[i16] }, GR16:{ *:[i16] }:$src1)  =>  (NEG16r_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /*   7819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16r_ND),
     /*   7822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7824 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7829 */     GIR_RootConstrainSelectedInstOperands,
     /*   7830 */     // GIR_Coverage, 250,
     /*   7830 */     GIR_EraseRootFromParent_Done,
     /*   7831 */   // Label 270: @7831
     /*   7831 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(7856), // Rule ID 258 //
     /*   7836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   7839 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   7843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7847 */     // (sub:{ *:[i16] } 0:{ *:[i16] }, GR16:{ *:[i16] }:$src1)  =>  (NEG16r_NF_ND:{ *:[i16] } GR16:{ *:[i16] }:$src1)
     /*   7847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16r_NF_ND),
     /*   7850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7852 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   7854 */     GIR_RootConstrainSelectedInstOperands,
     /*   7855 */     // GIR_Coverage, 258,
     /*   7855 */     GIR_EraseRootFromParent_Done,
     /*   7856 */   // Label 271: @7856
     /*   7856 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(7893), // Rule ID 22810 //
     /*   7861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7876 */     // MIs[1] Operand 1
     /*   7876 */     // No operand predicates
     /*   7876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7878 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (SUB16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*   7878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16ri),
     /*   7881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7883 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   7888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7891 */     GIR_RootConstrainSelectedInstOperands,
     /*   7892 */     // GIR_Coverage, 22810,
     /*   7892 */     GIR_EraseRootFromParent_Done,
     /*   7893 */   // Label 272: @7893
     /*   7893 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(7930), // Rule ID 22900 //
     /*   7898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7913 */     // MIs[1] Operand 1
     /*   7913 */     // No operand predicates
     /*   7913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   7915 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (SUB16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*   7915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16ri_ND),
     /*   7918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   7920 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   7922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   7925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   7928 */     GIR_RootConstrainSelectedInstOperands,
     /*   7929 */     // GIR_Coverage, 22900,
     /*   7929 */     GIR_EraseRootFromParent_Done,
     /*   7930 */   // Label 273: @7930
     /*   7930 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(7959), // Rule ID 22802 //
     /*   7935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   7938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7946 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (SUB16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*   7946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB16rr),
     /*   7951 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   7957 */     GIR_RootConstrainSelectedInstOperands,
     /*   7958 */     // GIR_Coverage, 22802,
     /*   7958 */     GIR_Done,
     /*   7959 */   // Label 274: @7959
     /*   7959 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(7988), // Rule ID 22892 //
     /*   7964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   7967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*   7975 */     // (sub:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (SUB16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*   7975 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB16rr_ND),
     /*   7980 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   7986 */     GIR_RootConstrainSelectedInstOperands,
     /*   7987 */     // GIR_Coverage, 22892,
     /*   7987 */     GIR_Done,
     /*   7988 */   // Label 275: @7988
     /*   7988 */   GIM_Reject,
     /*   7989 */ // Label 266: @7989
     /*   7989 */ GIM_Reject,
     /*   7990 */ // Label 241: @7990
     /*   7990 */ GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(8341),
     /*   7995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   7998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   8001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8005 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(8066), // Rule ID 22807 //
     /*   8010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8025 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8028 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8032 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   8036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8038 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8045 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (SUB32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32rm),
     /*   8048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8050 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8052 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8064 */     GIR_RootConstrainSelectedInstOperands,
     /*   8065 */     // GIR_Coverage, 22807,
     /*   8065 */     GIR_EraseRootFromParent_Done,
     /*   8066 */   // Label 277: @8066
     /*   8066 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(8127), // Rule ID 22897 //
     /*   8071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8086 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8089 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8093 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*   8097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8099 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8106 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (SUB32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32rm_ND),
     /*   8109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8111 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8113 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8125 */     GIR_RootConstrainSelectedInstOperands,
     /*   8126 */     // GIR_Coverage, 22897,
     /*   8126 */     GIR_EraseRootFromParent_Done,
     /*   8127 */   // Label 278: @8127
     /*   8127 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(8155), // Rule ID 243 //
     /*   8132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8135 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8143 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, GR32:{ *:[i32] }:$src1)  =>  (NEG32r:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*   8143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32r),
     /*   8146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8148 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8153 */     GIR_RootConstrainSelectedInstOperands,
     /*   8154 */     // GIR_Coverage, 243,
     /*   8154 */     GIR_EraseRootFromParent_Done,
     /*   8155 */   // Label 279: @8155
     /*   8155 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(8183), // Rule ID 251 //
     /*   8160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   8163 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8171 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, GR32:{ *:[i32] }:$src1)  =>  (NEG32r_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*   8171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32r_ND),
     /*   8174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8176 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8181 */     GIR_RootConstrainSelectedInstOperands,
     /*   8182 */     // GIR_Coverage, 251,
     /*   8182 */     GIR_EraseRootFromParent_Done,
     /*   8183 */   // Label 280: @8183
     /*   8183 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(8208), // Rule ID 259 //
     /*   8188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   8191 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8199 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, GR32:{ *:[i32] }:$src1)  =>  (NEG32r_NF_ND:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*   8199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32r_NF_ND),
     /*   8202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8204 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8206 */     GIR_RootConstrainSelectedInstOperands,
     /*   8207 */     // GIR_Coverage, 259,
     /*   8207 */     GIR_EraseRootFromParent_Done,
     /*   8208 */   // Label 281: @8208
     /*   8208 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(8245), // Rule ID 22811 //
     /*   8213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   8228 */     // MIs[1] Operand 1
     /*   8228 */     // No operand predicates
     /*   8228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8230 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (SUB32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*   8230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32ri),
     /*   8233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8235 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   8240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8243 */     GIR_RootConstrainSelectedInstOperands,
     /*   8244 */     // GIR_Coverage, 22811,
     /*   8244 */     GIR_EraseRootFromParent_Done,
     /*   8245 */   // Label 282: @8245
     /*   8245 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(8282), // Rule ID 22901 //
     /*   8250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   8265 */     // MIs[1] Operand 1
     /*   8265 */     // No operand predicates
     /*   8265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8267 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (SUB32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*   8267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32ri_ND),
     /*   8270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8272 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   8277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8280 */     GIR_RootConstrainSelectedInstOperands,
     /*   8281 */     // GIR_Coverage, 22901,
     /*   8281 */     GIR_EraseRootFromParent_Done,
     /*   8282 */   // Label 283: @8282
     /*   8282 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(8311), // Rule ID 22803 //
     /*   8287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8298 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (SUB32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*   8298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB32rr),
     /*   8303 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   8309 */     GIR_RootConstrainSelectedInstOperands,
     /*   8310 */     // GIR_Coverage, 22803,
     /*   8310 */     GIR_Done,
     /*   8311 */   // Label 284: @8311
     /*   8311 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(8340), // Rule ID 22893 //
     /*   8316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*   8327 */     // (sub:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (SUB32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*   8327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB32rr_ND),
     /*   8332 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   8338 */     GIR_RootConstrainSelectedInstOperands,
     /*   8339 */     // GIR_Coverage, 22893,
     /*   8339 */     GIR_Done,
     /*   8340 */   // Label 285: @8340
     /*   8340 */   GIM_Reject,
     /*   8341 */ // Label 276: @8341
     /*   8341 */ GIM_Reject,
     /*   8342 */ // Label 242: @8342
     /*   8342 */ GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(8701),
     /*   8347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   8350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   8353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8357 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(8418), // Rule ID 22808 //
     /*   8362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8377 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8380 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8384 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8397 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64rm),
     /*   8400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8402 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8416 */     GIR_RootConstrainSelectedInstOperands,
     /*   8417 */     // GIR_Coverage, 22808,
     /*   8417 */     GIR_EraseRootFromParent_Done,
     /*   8418 */   // Label 287: @8418
     /*   8418 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(8479), // Rule ID 22898 //
     /*   8423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8438 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8441 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8445 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8451 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8458 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64rm_ND),
     /*   8461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8463 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8465 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8477 */     GIR_RootConstrainSelectedInstOperands,
     /*   8478 */     // GIR_Coverage, 22898,
     /*   8478 */     GIR_EraseRootFromParent_Done,
     /*   8479 */   // Label 288: @8479
     /*   8479 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(8507), // Rule ID 244 //
     /*   8484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8495 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, GR64:{ *:[i64] }:$src1)  =>  (NEG64r:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /*   8495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64r),
     /*   8498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8500 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8505 */     GIR_RootConstrainSelectedInstOperands,
     /*   8506 */     // GIR_Coverage, 244,
     /*   8506 */     GIR_EraseRootFromParent_Done,
     /*   8507 */   // Label 289: @8507
     /*   8507 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(8535), // Rule ID 252 //
     /*   8512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   8515 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8523 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, GR64:{ *:[i64] }:$src1)  =>  (NEG64r_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /*   8523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64r_ND),
     /*   8526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8528 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8533 */     GIR_RootConstrainSelectedInstOperands,
     /*   8534 */     // GIR_Coverage, 252,
     /*   8534 */     GIR_EraseRootFromParent_Done,
     /*   8535 */   // Label 290: @8535
     /*   8535 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(8560), // Rule ID 260 //
     /*   8540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*   8543 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   8547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8551 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, GR64:{ *:[i64] }:$src1)  =>  (NEG64r_NF_ND:{ *:[i64] } GR64:{ *:[i64] }:$src1)
     /*   8551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64r_NF_ND),
     /*   8554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8556 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*   8558 */     GIR_RootConstrainSelectedInstOperands,
     /*   8559 */     // GIR_Coverage, 260,
     /*   8559 */     GIR_EraseRootFromParent_Done,
     /*   8560 */   // Label 291: @8560
     /*   8560 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(8601), // Rule ID 22812 //
     /*   8565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   8580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*   8584 */     // MIs[1] Operand 1
     /*   8584 */     // No operand predicates
     /*   8584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8586 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (SUB64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*   8586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32),
     /*   8589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8591 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   8596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8599 */     GIR_RootConstrainSelectedInstOperands,
     /*   8600 */     // GIR_Coverage, 22812,
     /*   8600 */     GIR_EraseRootFromParent_Done,
     /*   8601 */   // Label 292: @8601
     /*   8601 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(8642), // Rule ID 22902 //
     /*   8606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   8621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*   8625 */     // MIs[1] Operand 1
     /*   8625 */     // No operand predicates
     /*   8625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8627 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (SUB64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*   8627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64ri32_ND),
     /*   8630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8632 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*   8637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*   8640 */     GIR_RootConstrainSelectedInstOperands,
     /*   8641 */     // GIR_Coverage, 22902,
     /*   8641 */     GIR_EraseRootFromParent_Done,
     /*   8642 */   // Label 293: @8642
     /*   8642 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(8671), // Rule ID 22804 //
     /*   8647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*   8650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8658 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (SUB64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*   8658 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB64rr),
     /*   8663 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   8669 */     GIR_RootConstrainSelectedInstOperands,
     /*   8670 */     // GIR_Coverage, 22804,
     /*   8670 */     GIR_Done,
     /*   8671 */   // Label 294: @8671
     /*   8671 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(8700), // Rule ID 22894 //
     /*   8676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*   8679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*   8687 */     // (sub:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (SUB64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*   8687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB64rr_ND),
     /*   8692 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*   8698 */     GIR_RootConstrainSelectedInstOperands,
     /*   8699 */     // GIR_Coverage, 22894,
     /*   8699 */     GIR_Done,
     /*   8700 */   // Label 295: @8700
     /*   8700 */   GIM_Reject,
     /*   8701 */ // Label 286: @8701
     /*   8701 */ GIM_Reject,
     /*   8702 */ // Label 243: @8702
     /*   8702 */ GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(8919),
     /*   8707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*   8713 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(8775), // Rule ID 2606 //
     /*   8718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   8721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8737 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8740 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8744 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8750 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8757 */     // (sub:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQrm),
     /*   8760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8762 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8764 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8773 */     GIR_RootConstrainSelectedInstOperands,
     /*   8774 */     // GIR_Coverage, 2606,
     /*   8774 */     GIR_EraseRootFromParent_Done,
     /*   8775 */   // Label 297: @8775
     /*   8775 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(8837), // Rule ID 4743 //
     /*   8780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   8783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8799 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8802 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8806 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8812 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8819 */     // (sub:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQZ128rm),
     /*   8822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8824 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8826 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8835 */     GIR_RootConstrainSelectedInstOperands,
     /*   8836 */     // GIR_Coverage, 4743,
     /*   8836 */     GIR_EraseRootFromParent_Done,
     /*   8837 */   // Label 298: @8837
     /*   8837 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(8864), // Rule ID 2605 //
     /*   8842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   8845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8857 */     // (sub:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPSUBQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*   8857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQrr),
     /*   8862 */     GIR_RootConstrainSelectedInstOperands,
     /*   8863 */     // GIR_Coverage, 2605,
     /*   8863 */     GIR_Done,
     /*   8864 */   // Label 299: @8864
     /*   8864 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(8891), // Rule ID 2607 //
     /*   8869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   8872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8884 */     // (sub:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PSUBQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*   8884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBQrr),
     /*   8889 */     GIR_RootConstrainSelectedInstOperands,
     /*   8890 */     // GIR_Coverage, 2607,
     /*   8890 */     GIR_Done,
     /*   8891 */   // Label 300: @8891
     /*   8891 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(8918), // Rule ID 4740 //
     /*   8896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   8899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   8911 */     // (sub:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPSUBQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*   8911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQZ128rr),
     /*   8916 */     GIR_RootConstrainSelectedInstOperands,
     /*   8917 */     // GIR_Coverage, 4740,
     /*   8917 */     GIR_Done,
     /*   8918 */   // Label 301: @8918
     /*   8918 */   GIM_Reject,
     /*   8919 */ // Label 296: @8919
     /*   8919 */ GIM_Reject,
     /*   8920 */ // Label 244: @8920
     /*   8920 */ GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(9137),
     /*   8925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*   8928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*   8931 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(8993), // Rule ID 2600 //
     /*   8936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   8939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   8947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   8955 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   8958 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   8962 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   8966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8968 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   8975 */     // (sub:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   8975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDrm),
     /*   8978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8980 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   8982 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   8986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   8991 */     GIR_RootConstrainSelectedInstOperands,
     /*   8992 */     // GIR_Coverage, 2600,
     /*   8992 */     GIR_EraseRootFromParent_Done,
     /*   8993 */   // Label 303: @8993
     /*   8993 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(9055), // Rule ID 4770 //
     /*   8998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9017 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9020 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9024 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9037 */     // (sub:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDZ128rm),
     /*   9040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9042 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9044 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9053 */     GIR_RootConstrainSelectedInstOperands,
     /*   9054 */     // GIR_Coverage, 4770,
     /*   9054 */     GIR_EraseRootFromParent_Done,
     /*   9055 */   // Label 304: @9055
     /*   9055 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(9082), // Rule ID 2599 //
     /*   9060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*   9063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9075 */     // (sub:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPSUBDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*   9075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDrr),
     /*   9080 */     GIR_RootConstrainSelectedInstOperands,
     /*   9081 */     // GIR_Coverage, 2599,
     /*   9081 */     GIR_Done,
     /*   9082 */   // Label 305: @9082
     /*   9082 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(9109), // Rule ID 2601 //
     /*   9087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   9090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9102 */     // (sub:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PSUBDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*   9102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBDrr),
     /*   9107 */     GIR_RootConstrainSelectedInstOperands,
     /*   9108 */     // GIR_Coverage, 2601,
     /*   9108 */     GIR_Done,
     /*   9109 */   // Label 306: @9109
     /*   9109 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(9136), // Rule ID 4767 //
     /*   9114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9129 */     // (sub:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPSUBDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*   9129 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDZ128rr),
     /*   9134 */     GIR_RootConstrainSelectedInstOperands,
     /*   9135 */     // GIR_Coverage, 4767,
     /*   9135 */     GIR_Done,
     /*   9136 */   // Label 307: @9136
     /*   9136 */   GIM_Reject,
     /*   9137 */ // Label 302: @9137
     /*   9137 */ GIM_Reject,
     /*   9138 */ // Label 245: @9138
     /*   9138 */ GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(9328),
     /*   9143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*   9146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*   9149 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(9211), // Rule ID 2610 //
     /*   9154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   9157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9173 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9176 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9180 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9193 */     // (sub:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQYrm),
     /*   9196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9198 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9200 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9209 */     GIR_RootConstrainSelectedInstOperands,
     /*   9210 */     // GIR_Coverage, 2610,
     /*   9210 */     GIR_EraseRootFromParent_Done,
     /*   9211 */   // Label 309: @9211
     /*   9211 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(9273), // Rule ID 4734 //
     /*   9216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9235 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9238 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9242 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9255 */     // (sub:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQZ256rm),
     /*   9258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9260 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9262 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9271 */     GIR_RootConstrainSelectedInstOperands,
     /*   9272 */     // GIR_Coverage, 4734,
     /*   9272 */     GIR_EraseRootFromParent_Done,
     /*   9273 */   // Label 310: @9273
     /*   9273 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(9300), // Rule ID 2609 //
     /*   9278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   9281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9293 */     // (sub:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPSUBQYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*   9293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQYrr),
     /*   9298 */     GIR_RootConstrainSelectedInstOperands,
     /*   9299 */     // GIR_Coverage, 2609,
     /*   9299 */     GIR_Done,
     /*   9300 */   // Label 311: @9300
     /*   9300 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(9327), // Rule ID 4731 //
     /*   9305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9320 */     // (sub:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPSUBQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*   9320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQZ256rr),
     /*   9325 */     GIR_RootConstrainSelectedInstOperands,
     /*   9326 */     // GIR_Coverage, 4731,
     /*   9326 */     GIR_Done,
     /*   9327 */   // Label 312: @9327
     /*   9327 */   GIM_Reject,
     /*   9328 */ // Label 308: @9328
     /*   9328 */ GIM_Reject,
     /*   9329 */ // Label 246: @9329
     /*   9329 */ GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(9546),
     /*   9334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*   9337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*   9340 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(9402), // Rule ID 2594 //
     /*   9345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   9348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9364 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9367 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9371 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9384 */     // (sub:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWrm),
     /*   9387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9389 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9391 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9400 */     GIR_RootConstrainSelectedInstOperands,
     /*   9401 */     // GIR_Coverage, 2594,
     /*   9401 */     GIR_EraseRootFromParent_Done,
     /*   9402 */   // Label 314: @9402
     /*   9402 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(9464), // Rule ID 4791 //
     /*   9407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   9410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9426 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9429 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9433 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9446 */     // (sub:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWZ128rm),
     /*   9449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9453 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9462 */     GIR_RootConstrainSelectedInstOperands,
     /*   9463 */     // GIR_Coverage, 4791,
     /*   9463 */     GIR_EraseRootFromParent_Done,
     /*   9464 */   // Label 315: @9464
     /*   9464 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(9491), // Rule ID 2593 //
     /*   9469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   9472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9484 */     // (sub:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPSUBWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*   9484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWrr),
     /*   9489 */     GIR_RootConstrainSelectedInstOperands,
     /*   9490 */     // GIR_Coverage, 2593,
     /*   9490 */     GIR_Done,
     /*   9491 */   // Label 316: @9491
     /*   9491 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(9518), // Rule ID 2595 //
     /*   9496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*   9499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9511 */     // (sub:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PSUBWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*   9511 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBWrr),
     /*   9516 */     GIR_RootConstrainSelectedInstOperands,
     /*   9517 */     // GIR_Coverage, 2595,
     /*   9517 */     GIR_Done,
     /*   9518 */   // Label 317: @9518
     /*   9518 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(9545), // Rule ID 4788 //
     /*   9523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   9526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9538 */     // (sub:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPSUBWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*   9538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWZ128rr),
     /*   9543 */     GIR_RootConstrainSelectedInstOperands,
     /*   9544 */     // GIR_Coverage, 4788,
     /*   9544 */     GIR_Done,
     /*   9545 */   // Label 318: @9545
     /*   9545 */   GIM_Reject,
     /*   9546 */ // Label 313: @9546
     /*   9546 */ GIM_Reject,
     /*   9547 */ // Label 247: @9547
     /*   9547 */ GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(9737),
     /*   9552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*   9555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*   9558 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(9620), // Rule ID 2604 //
     /*   9563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   9566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9582 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9585 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9589 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9595 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9602 */     // (sub:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDYrm),
     /*   9605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9607 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9609 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9618 */     GIR_RootConstrainSelectedInstOperands,
     /*   9619 */     // GIR_Coverage, 2604,
     /*   9619 */     GIR_EraseRootFromParent_Done,
     /*   9620 */   // Label 320: @9620
     /*   9620 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(9682), // Rule ID 4761 //
     /*   9625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9644 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9647 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9651 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9657 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9664 */     // (sub:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDZ256rm),
     /*   9667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9669 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9671 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9680 */     GIR_RootConstrainSelectedInstOperands,
     /*   9681 */     // GIR_Coverage, 4761,
     /*   9681 */     GIR_EraseRootFromParent_Done,
     /*   9682 */   // Label 321: @9682
     /*   9682 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(9709), // Rule ID 2603 //
     /*   9687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*   9690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*   9702 */     // (sub:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPSUBDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*   9702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDYrr),
     /*   9707 */     GIR_RootConstrainSelectedInstOperands,
     /*   9708 */     // GIR_Coverage, 2603,
     /*   9708 */     GIR_Done,
     /*   9709 */   // Label 322: @9709
     /*   9709 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(9736), // Rule ID 4758 //
     /*   9714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*   9717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*   9729 */     // (sub:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPSUBDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*   9729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDZ256rr),
     /*   9734 */     GIR_RootConstrainSelectedInstOperands,
     /*   9735 */     // GIR_Coverage, 4758,
     /*   9735 */     GIR_Done,
     /*   9736 */   // Label 323: @9736
     /*   9736 */   GIM_Reject,
     /*   9737 */ // Label 319: @9737
     /*   9737 */ GIM_Reject,
     /*   9738 */ // Label 248: @9738
     /*   9738 */ GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(9831),
     /*   9743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*   9746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*   9749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   9753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   9757 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(9811), // Rule ID 4725 //
     /*   9762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   9765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9773 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9776 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9780 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9793 */     // (sub:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBQZrm),
     /*   9796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9798 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9800 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9809 */     GIR_RootConstrainSelectedInstOperands,
     /*   9810 */     // GIR_Coverage, 4725,
     /*   9810 */     GIR_EraseRootFromParent_Done,
     /*   9811 */   // Label 325: @9811
     /*   9811 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(9830), // Rule ID 4722 //
     /*   9816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*   9819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*   9823 */     // (sub:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPSUBQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*   9823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBQZrr),
     /*   9828 */     GIR_RootConstrainSelectedInstOperands,
     /*   9829 */     // GIR_Coverage, 4722,
     /*   9829 */     GIR_Done,
     /*   9830 */   // Label 326: @9830
     /*   9830 */   GIM_Reject,
     /*   9831 */ // Label 324: @9831
     /*   9831 */ GIM_Reject,
     /*   9832 */ // Label 249: @9832
     /*   9832 */ GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(10049),
     /*   9837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*   9840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*   9843 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(9905), // Rule ID 2588 //
     /*   9848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   9851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9867 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9870 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9874 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9880 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9887 */     // (sub:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBrm),
     /*   9890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9892 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9894 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9903 */     GIR_RootConstrainSelectedInstOperands,
     /*   9904 */     // GIR_Coverage, 2588,
     /*   9904 */     GIR_EraseRootFromParent_Done,
     /*   9905 */   // Label 328: @9905
     /*   9905 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(9967), // Rule ID 4809 //
     /*   9910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*   9913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*   9921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*   9929 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   9932 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*   9936 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*   9940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   9942 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*   9949 */     // (sub:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*   9949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBZ128rm),
     /*   9952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9954 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*   9956 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*   9960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*   9965 */     GIR_RootConstrainSelectedInstOperands,
     /*   9966 */     // GIR_Coverage, 4809,
     /*   9966 */     GIR_EraseRootFromParent_Done,
     /*   9967 */   // Label 329: @9967
     /*   9967 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(9994), // Rule ID 2587 //
     /*   9972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*   9975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*   9987 */     // (sub:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPSUBBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*   9987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBrr),
     /*   9992 */     GIR_RootConstrainSelectedInstOperands,
     /*   9993 */     // GIR_Coverage, 2587,
     /*   9993 */     GIR_Done,
     /*   9994 */   // Label 330: @9994
     /*   9994 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(10021), // Rule ID 2589 //
     /*   9999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  10002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  10006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  10010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  10014 */     // (sub:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PSUBBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  10014 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBBrr),
     /*  10019 */     GIR_RootConstrainSelectedInstOperands,
     /*  10020 */     // GIR_Coverage, 2589,
     /*  10020 */     GIR_Done,
     /*  10021 */   // Label 331: @10021
     /*  10021 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(10048), // Rule ID 4806 //
     /*  10026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  10033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  10037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  10041 */     // (sub:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPSUBBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*  10041 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBZ128rr),
     /*  10046 */     GIR_RootConstrainSelectedInstOperands,
     /*  10047 */     // GIR_Coverage, 4806,
     /*  10047 */     GIR_Done,
     /*  10048 */   // Label 332: @10048
     /*  10048 */   GIM_Reject,
     /*  10049 */ // Label 327: @10049
     /*  10049 */ GIM_Reject,
     /*  10050 */ // Label 250: @10050
     /*  10050 */ GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(10240),
     /*  10055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  10058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  10061 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(10123), // Rule ID 2598 //
     /*  10066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  10069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10085 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10088 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10092 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10098 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10105 */     // (sub:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWYrm),
     /*  10108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10110 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10112 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10121 */     GIR_RootConstrainSelectedInstOperands,
     /*  10122 */     // GIR_Coverage, 2598,
     /*  10122 */     GIR_EraseRootFromParent_Done,
     /*  10123 */   // Label 334: @10123
     /*  10123 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(10185), // Rule ID 4785 //
     /*  10128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10147 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10150 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10154 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10160 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10167 */     // (sub:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWZ256rm),
     /*  10170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10172 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10174 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10183 */     GIR_RootConstrainSelectedInstOperands,
     /*  10184 */     // GIR_Coverage, 4785,
     /*  10184 */     GIR_EraseRootFromParent_Done,
     /*  10185 */   // Label 335: @10185
     /*  10185 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(10212), // Rule ID 2597 //
     /*  10190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  10193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10205 */     // (sub:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPSUBWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  10205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWYrr),
     /*  10210 */     GIR_RootConstrainSelectedInstOperands,
     /*  10211 */     // GIR_Coverage, 2597,
     /*  10211 */     GIR_Done,
     /*  10212 */   // Label 336: @10212
     /*  10212 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(10239), // Rule ID 4782 //
     /*  10217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10232 */     // (sub:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPSUBWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  10232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWZ256rr),
     /*  10237 */     GIR_RootConstrainSelectedInstOperands,
     /*  10238 */     // GIR_Coverage, 4782,
     /*  10238 */     GIR_Done,
     /*  10239 */   // Label 337: @10239
     /*  10239 */   GIM_Reject,
     /*  10240 */ // Label 333: @10240
     /*  10240 */ GIM_Reject,
     /*  10241 */ // Label 251: @10241
     /*  10241 */ GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(10334),
     /*  10246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  10249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  10252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10260 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(10314), // Rule ID 4752 //
     /*  10265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  10268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10276 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10279 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10283 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10289 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10296 */     // (sub:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBDZrm),
     /*  10299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10301 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10303 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10307 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10312 */     GIR_RootConstrainSelectedInstOperands,
     /*  10313 */     // GIR_Coverage, 4752,
     /*  10313 */     GIR_EraseRootFromParent_Done,
     /*  10314 */   // Label 339: @10314
     /*  10314 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(10333), // Rule ID 4749 //
     /*  10319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  10322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10326 */     // (sub:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPSUBDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  10326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBDZrr),
     /*  10331 */     GIR_RootConstrainSelectedInstOperands,
     /*  10332 */     // GIR_Coverage, 4749,
     /*  10332 */     GIR_Done,
     /*  10333 */   // Label 340: @10333
     /*  10333 */   GIM_Reject,
     /*  10334 */ // Label 338: @10334
     /*  10334 */ GIM_Reject,
     /*  10335 */ // Label 252: @10335
     /*  10335 */ GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(10525),
     /*  10340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*  10343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  10346 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(10408), // Rule ID 2592 //
     /*  10351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  10354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10370 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10373 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10377 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10383 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10390 */     // (sub:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBYrm),
     /*  10393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10395 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10397 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10406 */     GIR_RootConstrainSelectedInstOperands,
     /*  10407 */     // GIR_Coverage, 2592,
     /*  10407 */     GIR_EraseRootFromParent_Done,
     /*  10408 */   // Label 342: @10408
     /*  10408 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(10470), // Rule ID 4803 //
     /*  10413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10432 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10435 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10439 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10445 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10452 */     // (sub:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBZ256rm),
     /*  10455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10457 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10459 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10468 */     GIR_RootConstrainSelectedInstOperands,
     /*  10469 */     // GIR_Coverage, 4803,
     /*  10469 */     GIR_EraseRootFromParent_Done,
     /*  10470 */   // Label 343: @10470
     /*  10470 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(10497), // Rule ID 2591 //
     /*  10475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  10478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  10490 */     // (sub:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPSUBBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  10490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBYrr),
     /*  10495 */     GIR_RootConstrainSelectedInstOperands,
     /*  10496 */     // GIR_Coverage, 2591,
     /*  10496 */     GIR_Done,
     /*  10497 */   // Label 344: @10497
     /*  10497 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(10524), // Rule ID 4800 //
     /*  10502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  10505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  10517 */     // (sub:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPSUBBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*  10517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBZ256rr),
     /*  10522 */     GIR_RootConstrainSelectedInstOperands,
     /*  10523 */     // GIR_Coverage, 4800,
     /*  10523 */     GIR_Done,
     /*  10524 */   // Label 345: @10524
     /*  10524 */   GIM_Reject,
     /*  10525 */ // Label 341: @10525
     /*  10525 */ GIM_Reject,
     /*  10526 */ // Label 253: @10526
     /*  10526 */ GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(10619),
     /*  10531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  10534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  10537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10545 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(10599), // Rule ID 4779 //
     /*  10550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  10553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10561 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10564 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10568 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10574 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10581 */     // (sub:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBWZrm),
     /*  10584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10586 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10588 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10597 */     GIR_RootConstrainSelectedInstOperands,
     /*  10598 */     // GIR_Coverage, 4779,
     /*  10598 */     GIR_EraseRootFromParent_Done,
     /*  10599 */   // Label 347: @10599
     /*  10599 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(10618), // Rule ID 4776 //
     /*  10604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  10607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10611 */     // (sub:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPSUBWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  10611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBWZrr),
     /*  10616 */     GIR_RootConstrainSelectedInstOperands,
     /*  10617 */     // GIR_Coverage, 4776,
     /*  10617 */     GIR_Done,
     /*  10618 */   // Label 348: @10618
     /*  10618 */   GIM_Reject,
     /*  10619 */ // Label 346: @10619
     /*  10619 */ GIM_Reject,
     /*  10620 */ // Label 254: @10620
     /*  10620 */ GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(10713),
     /*  10625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*  10628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*  10631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10639 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(10693), // Rule ID 4797 //
     /*  10644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  10647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10655 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10658 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  10662 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10675 */     // (sub:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBBZrm),
     /*  10678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10680 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  10682 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10691 */     GIR_RootConstrainSelectedInstOperands,
     /*  10692 */     // GIR_Coverage, 4797,
     /*  10692 */     GIR_EraseRootFromParent_Done,
     /*  10693 */   // Label 350: @10693
     /*  10693 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(10712), // Rule ID 4794 //
     /*  10698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  10701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  10705 */     // (sub:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPSUBBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*  10705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBBZrr),
     /*  10710 */     GIR_RootConstrainSelectedInstOperands,
     /*  10711 */     // GIR_Coverage, 4794,
     /*  10711 */     GIR_Done,
     /*  10712 */   // Label 351: @10712
     /*  10712 */   GIM_Reject,
     /*  10713 */ // Label 349: @10713
     /*  10713 */ GIM_Reject,
     /*  10714 */ // Label 255: @10714
     /*  10714 */ GIM_Reject,
     /*  10715 */ // Label 2: @10715
     /*  10715 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 364*/ GIMT_Encode4(14497),
     /*  10726 */ /*GILLT_s16*//*Label 352*/ GIMT_Encode4(10810),
     /*  10730 */ /*GILLT_s32*//*Label 353*/ GIMT_Encode4(11227),
     /*  10734 */ /*GILLT_s64*//*Label 354*/ GIMT_Encode4(11644), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  10750 */ /*GILLT_v2s64*//*Label 355*/ GIMT_Encode4(12069), GIMT_Encode4(0),
     /*  10758 */ /*GILLT_v4s32*//*Label 356*/ GIMT_Encode4(12398),
     /*  10762 */ /*GILLT_v4s64*//*Label 357*/ GIMT_Encode4(12740), GIMT_Encode4(0),
     /*  10770 */ /*GILLT_v8s16*//*Label 358*/ GIMT_Encode4(13057),
     /*  10774 */ /*GILLT_v8s32*//*Label 359*/ GIMT_Encode4(13399),
     /*  10778 */ /*GILLT_v8s64*//*Label 360*/ GIMT_Encode4(13714), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  10790 */ /*GILLT_v16s16*//*Label 361*/ GIMT_Encode4(13870),
     /*  10794 */ /*GILLT_v16s32*//*Label 362*/ GIMT_Encode4(14185), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  10806 */ /*GILLT_v32s16*//*Label 363*/ GIMT_Encode4(14341),
     /*  10810 */ // Label 352: @10810
     /*  10810 */ GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(11226),
     /*  10815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  10818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  10821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  10825 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(10889), // Rule ID 22976 //
     /*  10830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10838 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10841 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10845 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  10849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  10853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  10857 */     // MIs[2] Operand 1
     /*  10857 */     // No operand predicates
     /*  10857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  10859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10866 */     // (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i16] }):$src2)  =>  (IMUL16rmi:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  10866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rmi),
     /*  10869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10871 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  10875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /*  10878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  10881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  10887 */     GIR_RootConstrainSelectedInstOperands,
     /*  10888 */     // GIR_Coverage, 22976,
     /*  10888 */     GIR_EraseRootFromParent_Done,
     /*  10889 */   // Label 366: @10889
     /*  10889 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(10950), // Rule ID 26055 //
     /*  10894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  10897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10905 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10908 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10912 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  10916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  10920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10922 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10929 */     // (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (IMUL16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rm),
     /*  10932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10934 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  10936 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  10940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  10943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  10948 */     GIR_RootConstrainSelectedInstOperands,
     /*  10949 */     // GIR_Coverage, 26055,
     /*  10949 */     GIR_EraseRootFromParent_Done,
     /*  10950 */   // Label 367: @10950
     /*  10950 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(11011), // Rule ID 26074 //
     /*  10955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  10958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  10966 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  10969 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  10973 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  10977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  10981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10983 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  10990 */     // (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (IMUL16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  10990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rm_ND),
     /*  10993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10995 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  10997 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11009 */     GIR_RootConstrainSelectedInstOperands,
     /*  11010 */     // GIR_Coverage, 26074,
     /*  11010 */     GIR_EraseRootFromParent_Done,
     /*  11011 */   // Label 368: @11011
     /*  11011 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(11072), // Rule ID 22820 //
     /*  11016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11031 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11034 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11038 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  11042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11044 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11051 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (IMUL16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rm),
     /*  11054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11056 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11058 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11070 */     GIR_RootConstrainSelectedInstOperands,
     /*  11071 */     // GIR_Coverage, 22820,
     /*  11071 */     GIR_EraseRootFromParent_Done,
     /*  11072 */   // Label 369: @11072
     /*  11072 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(11133), // Rule ID 22910 //
     /*  11077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11092 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11095 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11099 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  11103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11112 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (IMUL16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rm_ND),
     /*  11115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11117 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11131 */     GIR_RootConstrainSelectedInstOperands,
     /*  11132 */     // GIR_Coverage, 22910,
     /*  11132 */     GIR_EraseRootFromParent_Done,
     /*  11133 */   // Label 370: @11133
     /*  11133 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(11167), // Rule ID 22973 //
     /*  11138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11150 */     // MIs[1] Operand 1
     /*  11150 */     // No operand predicates
     /*  11150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11152 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (IMUL16rri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  11152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL16rri),
     /*  11155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11157 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  11162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11165 */     GIR_RootConstrainSelectedInstOperands,
     /*  11166 */     // GIR_Coverage, 22973,
     /*  11166 */     GIR_EraseRootFromParent_Done,
     /*  11167 */   // Label 371: @11167
     /*  11167 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(11196), // Rule ID 22817 //
     /*  11172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11183 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (IMUL16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  11183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL16rr),
     /*  11188 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  11194 */     GIR_RootConstrainSelectedInstOperands,
     /*  11195 */     // GIR_Coverage, 22817,
     /*  11195 */     GIR_Done,
     /*  11196 */   // Label 372: @11196
     /*  11196 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(11225), // Rule ID 22907 //
     /*  11201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  11212 */     // (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (IMUL16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  11212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL16rr_ND),
     /*  11217 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  11223 */     GIR_RootConstrainSelectedInstOperands,
     /*  11224 */     // GIR_Coverage, 22907,
     /*  11224 */     GIR_Done,
     /*  11225 */   // Label 373: @11225
     /*  11225 */   GIM_Reject,
     /*  11226 */ // Label 365: @11226
     /*  11226 */ GIM_Reject,
     /*  11227 */ // Label 353: @11227
     /*  11227 */ GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(11643),
     /*  11232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  11235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  11238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11242 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(11306), // Rule ID 22977 //
     /*  11247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11255 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11258 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11262 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11274 */     // MIs[2] Operand 1
     /*  11274 */     // No operand predicates
     /*  11274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11276 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11283 */     // (mul:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i32] }):$src2)  =>  (IMUL32rmi:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  11283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rmi),
     /*  11286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11288 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  11292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /*  11295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11298 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  11304 */     GIR_RootConstrainSelectedInstOperands,
     /*  11305 */     // GIR_Coverage, 22977,
     /*  11305 */     GIR_EraseRootFromParent_Done,
     /*  11306 */   // Label 375: @11306
     /*  11306 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(11367), // Rule ID 26056 //
     /*  11311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11322 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11325 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11329 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11346 */     // (mul:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (IMUL32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rm),
     /*  11349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11351 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  11353 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11365 */     GIR_RootConstrainSelectedInstOperands,
     /*  11366 */     // GIR_Coverage, 26056,
     /*  11366 */     GIR_EraseRootFromParent_Done,
     /*  11367 */   // Label 376: @11367
     /*  11367 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(11428), // Rule ID 26075 //
     /*  11372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11383 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11386 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11390 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11400 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11407 */     // (mul:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (IMUL32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rm_ND),
     /*  11410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11412 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  11414 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11426 */     GIR_RootConstrainSelectedInstOperands,
     /*  11427 */     // GIR_Coverage, 26075,
     /*  11427 */     GIR_EraseRootFromParent_Done,
     /*  11428 */   // Label 377: @11428
     /*  11428 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(11489), // Rule ID 22821 //
     /*  11433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11448 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11451 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11455 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11461 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11468 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (IMUL32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rm),
     /*  11471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11473 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11475 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11487 */     GIR_RootConstrainSelectedInstOperands,
     /*  11488 */     // GIR_Coverage, 22821,
     /*  11488 */     GIR_EraseRootFromParent_Done,
     /*  11489 */   // Label 378: @11489
     /*  11489 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(11550), // Rule ID 22911 //
     /*  11494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11509 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11512 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11516 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  11520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11529 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (IMUL32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rm_ND),
     /*  11532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11534 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11536 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11548 */     GIR_RootConstrainSelectedInstOperands,
     /*  11549 */     // GIR_Coverage, 22911,
     /*  11549 */     GIR_EraseRootFromParent_Done,
     /*  11550 */   // Label 379: @11550
     /*  11550 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(11584), // Rule ID 22974 //
     /*  11555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11567 */     // MIs[1] Operand 1
     /*  11567 */     // No operand predicates
     /*  11567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11569 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (IMUL32rri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  11569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL32rri),
     /*  11572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11574 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  11579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11582 */     GIR_RootConstrainSelectedInstOperands,
     /*  11583 */     // GIR_Coverage, 22974,
     /*  11583 */     GIR_EraseRootFromParent_Done,
     /*  11584 */   // Label 380: @11584
     /*  11584 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(11613), // Rule ID 22818 //
     /*  11589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11600 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (IMUL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  11600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL32rr),
     /*  11605 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  11611 */     GIR_RootConstrainSelectedInstOperands,
     /*  11612 */     // GIR_Coverage, 22818,
     /*  11612 */     GIR_Done,
     /*  11613 */   // Label 381: @11613
     /*  11613 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(11642), // Rule ID 22908 //
     /*  11618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  11629 */     // (mul:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (IMUL32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  11629 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL32rr_ND),
     /*  11634 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  11640 */     GIR_RootConstrainSelectedInstOperands,
     /*  11641 */     // GIR_Coverage, 22908,
     /*  11641 */     GIR_Done,
     /*  11642 */   // Label 382: @11642
     /*  11642 */   GIM_Reject,
     /*  11643 */ // Label 374: @11643
     /*  11643 */ GIM_Reject,
     /*  11644 */ // Label 354: @11644
     /*  11644 */ GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(12068),
     /*  11649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  11652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  11655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11659 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(11727), // Rule ID 22978 //
     /*  11664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11672 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11675 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11679 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  11687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11691 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  11695 */     // MIs[2] Operand 1
     /*  11695 */     // No operand predicates
     /*  11695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11697 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11704 */     // (mul:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (IMUL64rmi32:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  11704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rmi32),
     /*  11707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11709 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  11713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /*  11716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  11725 */     GIR_RootConstrainSelectedInstOperands,
     /*  11726 */     // GIR_Coverage, 22978,
     /*  11726 */     GIR_EraseRootFromParent_Done,
     /*  11727 */   // Label 384: @11727
     /*  11727 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(11788), // Rule ID 26057 //
     /*  11732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11743 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11746 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11750 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11760 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11767 */     // (mul:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (IMUL64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rm),
     /*  11770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11772 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  11774 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11786 */     GIR_RootConstrainSelectedInstOperands,
     /*  11787 */     // GIR_Coverage, 26057,
     /*  11787 */     GIR_EraseRootFromParent_Done,
     /*  11788 */   // Label 385: @11788
     /*  11788 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(11849), // Rule ID 26076 //
     /*  11793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11804 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11807 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11811 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11821 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11828 */     // (mul:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (IMUL64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rm_ND),
     /*  11831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11833 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  11835 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11847 */     GIR_RootConstrainSelectedInstOperands,
     /*  11848 */     // GIR_Coverage, 26076,
     /*  11848 */     GIR_EraseRootFromParent_Done,
     /*  11849 */   // Label 386: @11849
     /*  11849 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(11910), // Rule ID 22822 //
     /*  11854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  11857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11869 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11872 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11876 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11882 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11889 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (IMUL64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rm),
     /*  11892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11894 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11896 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11908 */     GIR_RootConstrainSelectedInstOperands,
     /*  11909 */     // GIR_Coverage, 22822,
     /*  11909 */     GIR_EraseRootFromParent_Done,
     /*  11910 */   // Label 387: @11910
     /*  11910 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(11971), // Rule ID 22912 //
     /*  11915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  11918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  11930 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  11933 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  11937 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  11941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  11950 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (IMUL64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  11950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rm_ND),
     /*  11953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11955 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  11957 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  11961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  11964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  11969 */     GIR_RootConstrainSelectedInstOperands,
     /*  11970 */     // GIR_Coverage, 22912,
     /*  11970 */     GIR_EraseRootFromParent_Done,
     /*  11971 */   // Label 388: @11971
     /*  11971 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(12009), // Rule ID 22975 //
     /*  11976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  11980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  11992 */     // MIs[1] Operand 1
     /*  11992 */     // No operand predicates
     /*  11992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11994 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (IMUL64rri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  11994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::IMUL64rri32),
     /*  11997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11999 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  12004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  12007 */     GIR_RootConstrainSelectedInstOperands,
     /*  12008 */     // GIR_Coverage, 22975,
     /*  12008 */     GIR_EraseRootFromParent_Done,
     /*  12009 */   // Label 389: @12009
     /*  12009 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(12038), // Rule ID 22819 //
     /*  12014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  12017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  12021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  12025 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (IMUL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  12025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL64rr),
     /*  12030 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  12036 */     GIR_RootConstrainSelectedInstOperands,
     /*  12037 */     // GIR_Coverage, 22819,
     /*  12037 */     GIR_Done,
     /*  12038 */   // Label 390: @12038
     /*  12038 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(12067), // Rule ID 22909 //
     /*  12043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  12046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  12050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  12054 */     // (mul:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (IMUL64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  12054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::IMUL64rr_ND),
     /*  12059 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  12065 */     GIR_RootConstrainSelectedInstOperands,
     /*  12066 */     // GIR_Coverage, 22909,
     /*  12066 */     GIR_Done,
     /*  12067 */   // Label 391: @12067
     /*  12067 */   GIM_Reject,
     /*  12068 */ // Label 383: @12068
     /*  12068 */ GIM_Reject,
     /*  12069 */ // Label 355: @12069
     /*  12069 */ GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(12397),
     /*  12074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  12077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  12080 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(12142), // Rule ID 23822 //
     /*  12085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12100 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12103 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12107 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12124 */     // (mul:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMULLQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ128rm),
     /*  12127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12129 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  12131 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12140 */     GIR_RootConstrainSelectedInstOperands,
     /*  12141 */     // GIR_Coverage, 23822,
     /*  12141 */     GIR_EraseRootFromParent_Done,
     /*  12142 */   // Label 393: @12142
     /*  12142 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(12204), // Rule ID 5022 //
     /*  12147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12166 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12169 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12173 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12179 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12186 */     // (mul:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ128rm),
     /*  12189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12191 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12193 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12202 */     GIR_RootConstrainSelectedInstOperands,
     /*  12203 */     // GIR_Coverage, 5022,
     /*  12203 */     GIR_EraseRootFromParent_Done,
     /*  12204 */   // Label 394: @12204
     /*  12204 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(12231), // Rule ID 5019 //
     /*  12209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12224 */     // (mul:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMULLQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  12224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ128rr),
     /*  12229 */     GIR_RootConstrainSelectedInstOperands,
     /*  12230 */     // GIR_Coverage, 5019,
     /*  12230 */     GIR_Done,
     /*  12231 */   // Label 395: @12231
     /*  12231 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(12396), // Rule ID 19997 //
     /*  12236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /*  12239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  12243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12251 */     // (mul:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMULLQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /*  12251 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  12254 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12258 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  12265 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  12268 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12272 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12277 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  12280 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  12284 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  12287 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  12292 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  12297 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  12302 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  12305 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12309 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12316 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  12319 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12323 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12328 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12331 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  12335 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  12338 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  12343 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  12348 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  12353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  12356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrr),
     /*  12360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12365 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12368 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  12371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12378 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  12385 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  12390 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  12395 */     // GIR_Coverage, 19997,
     /*  12395 */     GIR_EraseRootFromParent_Done,
     /*  12396 */   // Label 396: @12396
     /*  12396 */   GIM_Reject,
     /*  12397 */ // Label 392: @12397
     /*  12397 */ GIM_Reject,
     /*  12398 */ // Label 356: @12398
     /*  12398 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(12739),
     /*  12403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  12409 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(12471), // Rule ID 23525 //
     /*  12414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  12417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12429 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12432 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12436 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12453 */     // (mul:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMULLDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDrm),
     /*  12456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12458 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  12460 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12469 */     GIR_RootConstrainSelectedInstOperands,
     /*  12470 */     // GIR_Coverage, 23525,
     /*  12470 */     GIR_EraseRootFromParent_Done,
     /*  12471 */   // Label 398: @12471
     /*  12471 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(12533), // Rule ID 23795 //
     /*  12476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  12479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12491 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12494 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12498 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12515 */     // (mul:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMULLDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ128rm),
     /*  12518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12520 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  12522 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12531 */     GIR_RootConstrainSelectedInstOperands,
     /*  12532 */     // GIR_Coverage, 23795,
     /*  12532 */     GIR_EraseRootFromParent_Done,
     /*  12533 */   // Label 399: @12533
     /*  12533 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(12595), // Rule ID 3239 //
     /*  12538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  12541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12557 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12560 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12564 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12570 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12577 */     // (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDrm),
     /*  12580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12582 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12584 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12588 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12593 */     GIR_RootConstrainSelectedInstOperands,
     /*  12594 */     // GIR_Coverage, 3239,
     /*  12594 */     GIR_EraseRootFromParent_Done,
     /*  12595 */   // Label 400: @12595
     /*  12595 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(12657), // Rule ID 4977 //
     /*  12600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  12603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12619 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12622 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12626 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12632 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12639 */     // (mul:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ128rm),
     /*  12642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12644 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12646 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12655 */     GIR_RootConstrainSelectedInstOperands,
     /*  12656 */     // GIR_Coverage, 4977,
     /*  12656 */     GIR_EraseRootFromParent_Done,
     /*  12657 */   // Label 401: @12657
     /*  12657 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(12684), // Rule ID 3238 //
     /*  12662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  12665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12677 */     // (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMULLDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  12677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDrr),
     /*  12682 */     GIR_RootConstrainSelectedInstOperands,
     /*  12683 */     // GIR_Coverage, 3238,
     /*  12683 */     GIR_Done,
     /*  12684 */   // Label 402: @12684
     /*  12684 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(12711), // Rule ID 3246 //
     /*  12689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /*  12692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  12704 */     // (mul:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMULLDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  12704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMULLDrr),
     /*  12709 */     GIR_RootConstrainSelectedInstOperands,
     /*  12710 */     // GIR_Coverage, 3246,
     /*  12710 */     GIR_Done,
     /*  12711 */   // Label 403: @12711
     /*  12711 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(12738), // Rule ID 4974 //
     /*  12716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  12719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  12731 */     // (mul:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMULLDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  12731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ128rr),
     /*  12736 */     GIR_RootConstrainSelectedInstOperands,
     /*  12737 */     // GIR_Coverage, 4974,
     /*  12737 */     GIR_Done,
     /*  12738 */   // Label 404: @12738
     /*  12738 */   GIM_Reject,
     /*  12739 */ // Label 397: @12739
     /*  12739 */ GIM_Reject,
     /*  12740 */ // Label 357: @12740
     /*  12740 */ GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(13056),
     /*  12745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  12748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  12751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12755 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(12813), // Rule ID 23816 //
     /*  12760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12771 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12774 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12778 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12788 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12795 */     // (mul:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMULLQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ256rm),
     /*  12798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12800 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  12802 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12811 */     GIR_RootConstrainSelectedInstOperands,
     /*  12812 */     // GIR_Coverage, 23816,
     /*  12812 */     GIR_EraseRootFromParent_Done,
     /*  12813 */   // Label 406: @12813
     /*  12813 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(12871), // Rule ID 5013 //
     /*  12818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  12829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  12833 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  12836 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  12840 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  12844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  12846 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  12853 */     // (mul:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  12853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ256rm),
     /*  12856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12858 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  12860 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  12864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  12869 */     GIR_RootConstrainSelectedInstOperands,
     /*  12870 */     // GIR_Coverage, 5013,
     /*  12870 */     GIR_EraseRootFromParent_Done,
     /*  12871 */   // Label 407: @12871
     /*  12871 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(12894), // Rule ID 5010 //
     /*  12876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  12879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12887 */     // (mul:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMULLQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  12887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLQZ256rr),
     /*  12892 */     GIR_RootConstrainSelectedInstOperands,
     /*  12893 */     // GIR_Coverage, 5010,
     /*  12893 */     GIR_Done,
     /*  12894 */   // Label 408: @12894
     /*  12894 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(13055), // Rule ID 19995 //
     /*  12899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /*  12902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  12910 */     // (mul:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMULLQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /*  12910 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  12913 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12917 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  12924 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  12927 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12931 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12936 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  12939 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  12943 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  12946 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  12951 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  12956 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  12961 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  12964 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12968 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12975 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  12978 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12982 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12987 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12990 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  12994 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  12997 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  13002 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  13007 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  13012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  13015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrr),
     /*  13019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13024 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13027 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  13030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13037 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  13044 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  13049 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  13054 */     // GIR_Coverage, 19995,
     /*  13054 */     GIR_EraseRootFromParent_Done,
     /*  13055 */   // Label 409: @13055
     /*  13055 */   GIM_Reject,
     /*  13056 */ // Label 405: @13056
     /*  13056 */ GIM_Reject,
     /*  13057 */ // Label 358: @13057
     /*  13057 */ GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(13398),
     /*  13062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  13065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  13068 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(13130), // Rule ID 23450 //
     /*  13073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*  13076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13088 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13091 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13095 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13112 */     // (mul:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMULLWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWrm),
     /*  13115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13117 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13128 */     GIR_RootConstrainSelectedInstOperands,
     /*  13129 */     // GIR_Coverage, 23450,
     /*  13129 */     GIR_EraseRootFromParent_Done,
     /*  13130 */   // Label 411: @13130
     /*  13130 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(13192), // Rule ID 23807 //
     /*  13135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  13138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13150 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13153 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13157 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13167 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13174 */     // (mul:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMULLWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ128rm),
     /*  13177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13179 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13181 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13190 */     GIR_RootConstrainSelectedInstOperands,
     /*  13191 */     // GIR_Coverage, 23807,
     /*  13191 */     GIR_EraseRootFromParent_Done,
     /*  13192 */   // Label 412: @13192
     /*  13192 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(13254), // Rule ID 2570 //
     /*  13197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*  13200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13216 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13219 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13223 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13236 */     // (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWrm),
     /*  13239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13241 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13243 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13252 */     GIR_RootConstrainSelectedInstOperands,
     /*  13253 */     // GIR_Coverage, 2570,
     /*  13253 */     GIR_EraseRootFromParent_Done,
     /*  13254 */   // Label 413: @13254
     /*  13254 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(13316), // Rule ID 4998 //
     /*  13259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  13262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13298 */     // (mul:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ128rm),
     /*  13301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13303 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13305 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13314 */     GIR_RootConstrainSelectedInstOperands,
     /*  13315 */     // GIR_Coverage, 4998,
     /*  13315 */     GIR_EraseRootFromParent_Done,
     /*  13316 */   // Label 414: @13316
     /*  13316 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(13343), // Rule ID 2569 //
     /*  13321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /*  13324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13336 */     // (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMULLWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  13336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWrr),
     /*  13341 */     GIR_RootConstrainSelectedInstOperands,
     /*  13342 */     // GIR_Coverage, 2569,
     /*  13342 */     GIR_Done,
     /*  13343 */   // Label 415: @13343
     /*  13343 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(13370), // Rule ID 2571 //
     /*  13348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  13351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  13363 */     // (mul:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMULLWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  13363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMULLWrr),
     /*  13368 */     GIR_RootConstrainSelectedInstOperands,
     /*  13369 */     // GIR_Coverage, 2571,
     /*  13369 */     GIR_Done,
     /*  13370 */   // Label 416: @13370
     /*  13370 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(13397), // Rule ID 4995 //
     /*  13375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  13378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  13390 */     // (mul:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMULLWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*  13390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ128rr),
     /*  13395 */     GIR_RootConstrainSelectedInstOperands,
     /*  13396 */     // GIR_Coverage, 4995,
     /*  13396 */     GIR_Done,
     /*  13397 */   // Label 417: @13397
     /*  13397 */   GIM_Reject,
     /*  13398 */ // Label 410: @13398
     /*  13398 */ GIM_Reject,
     /*  13399 */ // Label 359: @13399
     /*  13399 */ GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(13713),
     /*  13404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  13407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  13410 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(13472), // Rule ID 23527 //
     /*  13415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  13418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13430 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13433 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13437 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13454 */     // (mul:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMULLDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDYrm),
     /*  13457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13459 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13470 */     GIR_RootConstrainSelectedInstOperands,
     /*  13471 */     // GIR_Coverage, 23527,
     /*  13471 */     GIR_EraseRootFromParent_Done,
     /*  13472 */   // Label 419: @13472
     /*  13472 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(13534), // Rule ID 23789 //
     /*  13477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  13480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13492 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13495 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13499 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13516 */     // (mul:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMULLDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ256rm),
     /*  13519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13521 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13532 */     GIR_RootConstrainSelectedInstOperands,
     /*  13533 */     // GIR_Coverage, 23789,
     /*  13533 */     GIR_EraseRootFromParent_Done,
     /*  13534 */   // Label 420: @13534
     /*  13534 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(13596), // Rule ID 3243 //
     /*  13539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  13542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13558 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13561 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13565 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13578 */     // (mul:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDYrm),
     /*  13581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13583 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13585 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13594 */     GIR_RootConstrainSelectedInstOperands,
     /*  13595 */     // GIR_Coverage, 3243,
     /*  13595 */     GIR_EraseRootFromParent_Done,
     /*  13596 */   // Label 421: @13596
     /*  13596 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(13658), // Rule ID 4968 //
     /*  13601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  13604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13620 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13623 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13627 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13640 */     // (mul:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ256rm),
     /*  13643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13656 */     GIR_RootConstrainSelectedInstOperands,
     /*  13657 */     // GIR_Coverage, 4968,
     /*  13657 */     GIR_EraseRootFromParent_Done,
     /*  13658 */   // Label 422: @13658
     /*  13658 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(13685), // Rule ID 3242 //
     /*  13663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  13666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13678 */     // (mul:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMULLDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  13678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDYrr),
     /*  13683 */     GIR_RootConstrainSelectedInstOperands,
     /*  13684 */     // GIR_Coverage, 3242,
     /*  13684 */     GIR_Done,
     /*  13685 */   // Label 423: @13685
     /*  13685 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(13712), // Rule ID 4965 //
     /*  13690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  13693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13705 */     // (mul:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMULLDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  13705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDZ256rr),
     /*  13710 */     GIR_RootConstrainSelectedInstOperands,
     /*  13711 */     // GIR_Coverage, 4965,
     /*  13711 */     GIR_Done,
     /*  13712 */   // Label 424: @13712
     /*  13712 */   GIM_Reject,
     /*  13713 */ // Label 418: @13713
     /*  13713 */ GIM_Reject,
     /*  13714 */ // Label 360: @13714
     /*  13714 */ GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(13869),
     /*  13719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  13722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  13725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13729 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(13787), // Rule ID 23810 //
     /*  13734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  13737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13745 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13748 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13752 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13769 */     // (mul:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMULLQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrm),
     /*  13772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13774 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13776 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13785 */     GIR_RootConstrainSelectedInstOperands,
     /*  13786 */     // GIR_Coverage, 23810,
     /*  13786 */     GIR_EraseRootFromParent_Done,
     /*  13787 */   // Label 426: @13787
     /*  13787 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(13845), // Rule ID 5004 //
     /*  13792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  13795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13807 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13810 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13814 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13820 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13827 */     // (mul:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrm),
     /*  13830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13832 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  13834 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13843 */     GIR_RootConstrainSelectedInstOperands,
     /*  13844 */     // GIR_Coverage, 5004,
     /*  13844 */     GIR_EraseRootFromParent_Done,
     /*  13845 */   // Label 427: @13845
     /*  13845 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(13868), // Rule ID 5001 //
     /*  13850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  13853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  13861 */     // (mul:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMULLQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  13861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLQZrr),
     /*  13866 */     GIR_RootConstrainSelectedInstOperands,
     /*  13867 */     // GIR_Coverage, 5001,
     /*  13867 */     GIR_Done,
     /*  13868 */   // Label 428: @13868
     /*  13868 */   GIM_Reject,
     /*  13869 */ // Label 425: @13869
     /*  13869 */ GIM_Reject,
     /*  13870 */ // Label 361: @13870
     /*  13870 */ GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(14184),
     /*  13875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  13878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  13881 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(13943), // Rule ID 23452 //
     /*  13886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  13889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13901 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13904 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13908 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  13916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13918 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13925 */     // (mul:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMULLWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWYrm),
     /*  13928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13930 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13932 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  13941 */     GIR_RootConstrainSelectedInstOperands,
     /*  13942 */     // GIR_Coverage, 23452,
     /*  13942 */     GIR_EraseRootFromParent_Done,
     /*  13943 */   // Label 430: @13943
     /*  13943 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(14005), // Rule ID 23804 //
     /*  13948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  13951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  13963 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  13966 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  13970 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  13974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  13978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  13980 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  13987 */     // (mul:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMULLWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  13987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ256rm),
     /*  13990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13992 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  13994 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  13998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14003 */     GIR_RootConstrainSelectedInstOperands,
     /*  14004 */     // GIR_Coverage, 23804,
     /*  14004 */     GIR_EraseRootFromParent_Done,
     /*  14005 */   // Label 431: @14005
     /*  14005 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(14067), // Rule ID 2574 //
     /*  14010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  14013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14029 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14032 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14036 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14049 */     // (mul:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWYrm),
     /*  14052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14054 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  14056 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14065 */     GIR_RootConstrainSelectedInstOperands,
     /*  14066 */     // GIR_Coverage, 2574,
     /*  14066 */     GIR_EraseRootFromParent_Done,
     /*  14067 */   // Label 432: @14067
     /*  14067 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(14129), // Rule ID 4992 //
     /*  14072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  14075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14091 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14094 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14098 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14111 */     // (mul:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ256rm),
     /*  14114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14116 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  14118 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14127 */     GIR_RootConstrainSelectedInstOperands,
     /*  14128 */     // GIR_Coverage, 4992,
     /*  14128 */     GIR_EraseRootFromParent_Done,
     /*  14129 */   // Label 433: @14129
     /*  14129 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(14156), // Rule ID 2573 //
     /*  14134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /*  14137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  14149 */     // (mul:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMULLWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  14149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWYrr),
     /*  14154 */     GIR_RootConstrainSelectedInstOperands,
     /*  14155 */     // GIR_Coverage, 2573,
     /*  14155 */     GIR_Done,
     /*  14156 */   // Label 434: @14156
     /*  14156 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(14183), // Rule ID 4989 //
     /*  14161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /*  14164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  14176 */     // (mul:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMULLWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  14176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWZ256rr),
     /*  14181 */     GIR_RootConstrainSelectedInstOperands,
     /*  14182 */     // GIR_Coverage, 4989,
     /*  14182 */     GIR_Done,
     /*  14183 */   // Label 435: @14183
     /*  14183 */   GIM_Reject,
     /*  14184 */ // Label 429: @14184
     /*  14184 */ GIM_Reject,
     /*  14185 */ // Label 362: @14185
     /*  14185 */ GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(14340),
     /*  14190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  14193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  14196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14200 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(14258), // Rule ID 23783 //
     /*  14205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  14208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14216 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14219 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14223 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14233 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14240 */     // (mul:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMULLDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZrm),
     /*  14243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14245 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  14247 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14256 */     GIR_RootConstrainSelectedInstOperands,
     /*  14257 */     // GIR_Coverage, 23783,
     /*  14257 */     GIR_EraseRootFromParent_Done,
     /*  14258 */   // Label 437: @14258
     /*  14258 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(14316), // Rule ID 4959 //
     /*  14263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  14266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14298 */     // (mul:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLDZrm),
     /*  14301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14303 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  14305 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14314 */     GIR_RootConstrainSelectedInstOperands,
     /*  14315 */     // GIR_Coverage, 4959,
     /*  14315 */     GIR_EraseRootFromParent_Done,
     /*  14316 */   // Label 438: @14316
     /*  14316 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(14339), // Rule ID 4956 //
     /*  14321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  14324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14332 */     // (mul:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMULLDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  14332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLDZrr),
     /*  14337 */     GIR_RootConstrainSelectedInstOperands,
     /*  14338 */     // GIR_Coverage, 4956,
     /*  14338 */     GIR_Done,
     /*  14339 */   // Label 439: @14339
     /*  14339 */   GIM_Reject,
     /*  14340 */ // Label 436: @14340
     /*  14340 */ GIM_Reject,
     /*  14341 */ // Label 363: @14341
     /*  14341 */ GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(14496),
     /*  14346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  14349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  14352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14356 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(14414), // Rule ID 23801 //
     /*  14361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  14364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14372 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14375 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14379 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14389 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14396 */     // (mul:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMULLWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZrm),
     /*  14399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14401 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  14403 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14412 */     GIR_RootConstrainSelectedInstOperands,
     /*  14413 */     // GIR_Coverage, 23801,
     /*  14413 */     GIR_EraseRootFromParent_Done,
     /*  14414 */   // Label 441: @14414
     /*  14414 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(14472), // Rule ID 4986 //
     /*  14419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  14422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14434 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14437 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  14441 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  14454 */     // (mul:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULLWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  14454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULLWZrm),
     /*  14457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14459 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  14461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  14465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  14470 */     GIR_RootConstrainSelectedInstOperands,
     /*  14471 */     // GIR_Coverage, 4986,
     /*  14471 */     GIR_EraseRootFromParent_Done,
     /*  14472 */   // Label 442: @14472
     /*  14472 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(14495), // Rule ID 4983 //
     /*  14477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  14480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  14488 */     // (mul:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMULLWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  14488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULLWZrr),
     /*  14493 */     GIR_RootConstrainSelectedInstOperands,
     /*  14494 */     // GIR_Coverage, 4983,
     /*  14494 */     GIR_Done,
     /*  14495 */   // Label 443: @14495
     /*  14495 */   GIM_Reject,
     /*  14496 */ // Label 440: @14496
     /*  14496 */ GIM_Reject,
     /*  14497 */ // Label 364: @14497
     /*  14497 */ GIM_Reject,
     /*  14498 */ // Label 3: @14498
     /*  14498 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(25), /*)*//*default:*//*Label 467*/ GIMT_Encode4(25089),
     /*  14509 */ /*GILLT_s1*//*Label 444*/ GIMT_Encode4(14609),
     /*  14513 */ /*GILLT_s8*//*Label 445*/ GIMT_Encode4(14955),
     /*  14517 */ /*GILLT_s16*//*Label 446*/ GIMT_Encode4(15348),
     /*  14521 */ /*GILLT_s32*//*Label 447*/ GIMT_Encode4(16033),
     /*  14525 */ /*GILLT_s64*//*Label 448*/ GIMT_Encode4(17859), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  14537 */ /*GILLT_v2s1*//*Label 449*/ GIMT_Encode4(19563),
     /*  14541 */ /*GILLT_v2s64*//*Label 450*/ GIMT_Encode4(19909),
     /*  14545 */ /*GILLT_v4s1*//*Label 451*/ GIMT_Encode4(20251),
     /*  14549 */ /*GILLT_v4s32*//*Label 452*/ GIMT_Encode4(20597),
     /*  14553 */ /*GILLT_v4s64*//*Label 453*/ GIMT_Encode4(20939),
     /*  14557 */ /*GILLT_v8s1*//*Label 454*/ GIMT_Encode4(21405),
     /*  14561 */ /*GILLT_v8s16*//*Label 455*/ GIMT_Encode4(21903),
     /*  14565 */ /*GILLT_v8s32*//*Label 456*/ GIMT_Encode4(22245),
     /*  14569 */ /*GILLT_v8s64*//*Label 457*/ GIMT_Encode4(22711),
     /*  14573 */ /*GILLT_v16s1*//*Label 458*/ GIMT_Encode4(22867),
     /*  14577 */ /*GILLT_v16s8*//*Label 459*/ GIMT_Encode4(23027),
     /*  14581 */ /*GILLT_v16s16*//*Label 460*/ GIMT_Encode4(23369),
     /*  14585 */ /*GILLT_v16s32*//*Label 461*/ GIMT_Encode4(23835),
     /*  14589 */ /*GILLT_v32s1*//*Label 462*/ GIMT_Encode4(23991),
     /*  14593 */ /*GILLT_v32s8*//*Label 463*/ GIMT_Encode4(24151),
     /*  14597 */ /*GILLT_v32s16*//*Label 464*/ GIMT_Encode4(24617),
     /*  14601 */ /*GILLT_v64s1*//*Label 465*/ GIMT_Encode4(24773),
     /*  14605 */ /*GILLT_v64s8*//*Label 466*/ GIMT_Encode4(24933),
     /*  14609 */ // Label 444: @14609
     /*  14609 */ GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(14954),
     /*  14614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  14617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  14620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14624 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(14744), // Rule ID 19487 //
     /*  14629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  14637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  14641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  14645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14654 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  14660 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  14662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14668 */     // (and:{ *:[v1i1] } (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, immAllOnesV:{ *:[v1i1] }), VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  14668 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  14671 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14675 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14680 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  14684 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14689 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  14692 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14696 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14701 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  14705 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  14713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  14717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14722 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14725 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  14728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  14738 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  14743 */     // GIR_Coverage, 19487,
     /*  14743 */     GIR_EraseRootFromParent_Done,
     /*  14744 */   // Label 469: @14744
     /*  14744 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(14864), // Rule ID 25364 //
     /*  14749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  14761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  14765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  14769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14778 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  14784 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  14786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14788 */     // (and:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src2, (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, immAllOnesV:{ *:[v1i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  14788 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  14791 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14795 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14800 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  14804 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14809 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  14812 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14816 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14821 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  14825 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  14833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  14837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14842 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14845 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  14848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  14858 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  14863 */     // GIR_Coverage, 25364,
     /*  14863 */     GIR_EraseRootFromParent_Done,
     /*  14864 */   // Label 470: @14864
     /*  14864 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(14953), // Rule ID 19483 //
     /*  14869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  14877 */     // (and:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KANDWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  14877 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  14880 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14884 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14889 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  14893 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14898 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  14901 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14905 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14910 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  14914 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  14919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  14922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  14926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14931 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14934 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  14937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  14947 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  14952 */     // GIR_Coverage, 19483,
     /*  14952 */     GIR_EraseRootFromParent_Done,
     /*  14953 */   // Label 471: @14953
     /*  14953 */   GIM_Reject,
     /*  14954 */ // Label 468: @14954
     /*  14954 */ GIM_Reject,
     /*  14955 */ // Label 445: @14955
     /*  14955 */ GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(15347),
     /*  14960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*  14963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  14966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  14970 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(15031), // Rule ID 26066 //
     /*  14975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  14978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  14986 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  14989 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  14993 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  14997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15003 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15010 */     // (and:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (AND8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8rm),
     /*  15013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15015 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15017 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15029 */     GIR_RootConstrainSelectedInstOperands,
     /*  15030 */     // GIR_Coverage, 26066,
     /*  15030 */     GIR_EraseRootFromParent_Done,
     /*  15031 */   // Label 473: @15031
     /*  15031 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(15092), // Rule ID 26085 //
     /*  15036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15047 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15050 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15054 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  15058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15064 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15071 */     // (and:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (AND8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8rm_ND),
     /*  15074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15076 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15078 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15090 */     GIR_RootConstrainSelectedInstOperands,
     /*  15091 */     // GIR_Coverage, 26085,
     /*  15091 */     GIR_EraseRootFromParent_Done,
     /*  15092 */   // Label 474: @15092
     /*  15092 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(15153), // Rule ID 22851 //
     /*  15097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15112 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15115 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15119 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  15123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15125 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15132 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (AND8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8rm),
     /*  15135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15137 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15139 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15151 */     GIR_RootConstrainSelectedInstOperands,
     /*  15152 */     // GIR_Coverage, 22851,
     /*  15152 */     GIR_EraseRootFromParent_Done,
     /*  15153 */   // Label 475: @15153
     /*  15153 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(15214), // Rule ID 22941 //
     /*  15158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15173 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15176 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15180 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  15184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15193 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (AND8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8rm_ND),
     /*  15196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15198 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15200 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15212 */     GIR_RootConstrainSelectedInstOperands,
     /*  15213 */     // GIR_Coverage, 22941,
     /*  15213 */     GIR_EraseRootFromParent_Done,
     /*  15214 */   // Label 476: @15214
     /*  15214 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(15251), // Rule ID 22855 //
     /*  15219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15234 */     // MIs[1] Operand 1
     /*  15234 */     // No operand predicates
     /*  15234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15236 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (AND8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  15236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8ri),
     /*  15239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15241 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  15246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15249 */     GIR_RootConstrainSelectedInstOperands,
     /*  15250 */     // GIR_Coverage, 22855,
     /*  15250 */     GIR_EraseRootFromParent_Done,
     /*  15251 */   // Label 477: @15251
     /*  15251 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(15288), // Rule ID 22945 //
     /*  15256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15271 */     // MIs[1] Operand 1
     /*  15271 */     // No operand predicates
     /*  15271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15273 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (AND8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  15273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8ri_ND),
     /*  15276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15278 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  15283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15286 */     GIR_RootConstrainSelectedInstOperands,
     /*  15287 */     // GIR_Coverage, 22945,
     /*  15287 */     GIR_EraseRootFromParent_Done,
     /*  15288 */   // Label 478: @15288
     /*  15288 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(15317), // Rule ID 22847 //
     /*  15293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15304 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (AND8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  15304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND8rr),
     /*  15309 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  15315 */     GIR_RootConstrainSelectedInstOperands,
     /*  15316 */     // GIR_Coverage, 22847,
     /*  15316 */     GIR_Done,
     /*  15317 */   // Label 479: @15317
     /*  15317 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(15346), // Rule ID 22937 //
     /*  15322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15333 */     // (and:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (AND8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  15333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND8rr_ND),
     /*  15338 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  15344 */     GIR_RootConstrainSelectedInstOperands,
     /*  15345 */     // GIR_Coverage, 22937,
     /*  15345 */     GIR_Done,
     /*  15346 */   // Label 480: @15346
     /*  15346 */   GIM_Reject,
     /*  15347 */ // Label 472: @15347
     /*  15347 */ GIM_Reject,
     /*  15348 */ // Label 446: @15348
     /*  15348 */ GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(16032),
     /*  15353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  15356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  15359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15363 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(15424), // Rule ID 26067 //
     /*  15368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15379 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15382 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15386 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  15390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15396 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15403 */     // (and:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (AND16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16rm),
     /*  15406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15408 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15410 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15422 */     GIR_RootConstrainSelectedInstOperands,
     /*  15423 */     // GIR_Coverage, 26067,
     /*  15423 */     GIR_EraseRootFromParent_Done,
     /*  15424 */   // Label 482: @15424
     /*  15424 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(15485), // Rule ID 26086 //
     /*  15429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15440 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15443 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15447 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  15451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15457 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15464 */     // (and:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (AND16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16rm_ND),
     /*  15467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15469 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15471 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15483 */     GIR_RootConstrainSelectedInstOperands,
     /*  15484 */     // GIR_Coverage, 26086,
     /*  15484 */     GIR_EraseRootFromParent_Done,
     /*  15485 */   // Label 483: @15485
     /*  15485 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(15546), // Rule ID 22852 //
     /*  15490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15505 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15508 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15512 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  15516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15518 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15525 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (AND16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16rm),
     /*  15528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15530 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15532 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15544 */     GIR_RootConstrainSelectedInstOperands,
     /*  15545 */     // GIR_Coverage, 22852,
     /*  15545 */     GIR_EraseRootFromParent_Done,
     /*  15546 */   // Label 484: @15546
     /*  15546 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(15607), // Rule ID 22942 //
     /*  15551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  15566 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  15569 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  15573 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  15577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15579 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  15586 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (AND16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  15586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16rm_ND),
     /*  15589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15591 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15593 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  15597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  15605 */     GIR_RootConstrainSelectedInstOperands,
     /*  15606 */     // GIR_Coverage, 22942,
     /*  15606 */     GIR_EraseRootFromParent_Done,
     /*  15607 */   // Label 485: @15607
     /*  15607 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(15709), // Rule ID 26033 //
     /*  15612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  15620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  15628 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  15632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15643 */     // (and:{ *:[i16] } (rotl:{ *:[i16] } -2:{ *:[i16] }, GR8:{ *:[i8] }:$src2), GR16:{ *:[i16] }:$src1)  =>  (BTR16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  15643 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  15646 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  15650 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  15657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  15660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  15664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15669 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  15672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  15676 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  15679 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  15684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  15689 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  15694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR16rr),
     /*  15697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15699 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  15701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  15704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15707 */     GIR_RootConstrainSelectedInstOperands,
     /*  15708 */     // GIR_Coverage, 26033,
     /*  15708 */     GIR_EraseRootFromParent_Done,
     /*  15709 */   // Label 486: @15709
     /*  15709 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(15811), // Rule ID 22771 //
     /*  15714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  15726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  15730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  15734 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  15738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  15743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15745 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (rotl:{ *:[i16] } -2:{ *:[i16] }, GR8:{ *:[i8] }:$src2))  =>  (BTR16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  15745 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  15748 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  15752 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  15759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  15762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  15766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15771 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  15774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  15778 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  15781 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  15786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  15791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  15796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR16rr),
     /*  15799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15801 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  15806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15809 */     GIR_RootConstrainSelectedInstOperands,
     /*  15810 */     // GIR_Coverage, 22771,
     /*  15810 */     GIR_EraseRootFromParent_Done,
     /*  15811 */   // Label 487: @15811
     /*  15811 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(15899), // Rule ID 22631 //
     /*  15816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15820 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  15831 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, 255:{ *:[i16] })  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rr8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i8] } GR16:{ *:[i16] }:$src1, sub_8bit:{ *:[i32] })), sub_16bit:{ *:[i32] })
     /*  15831 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s8,
     /*  15834 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  15838 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15843 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src1
     /*  15849 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /*  15854 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  15859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  15862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /*  15866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  15871 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  15874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  15876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  15879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15881 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  15888 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  15893 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  15898 */     // GIR_Coverage, 22631,
     /*  15898 */     GIR_EraseRootFromParent_Done,
     /*  15899 */   // Label 488: @15899
     /*  15899 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(15936), // Rule ID 22856 //
     /*  15904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15919 */     // MIs[1] Operand 1
     /*  15919 */     // No operand predicates
     /*  15919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15921 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (AND16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  15921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16ri),
     /*  15924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15926 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  15931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15934 */     GIR_RootConstrainSelectedInstOperands,
     /*  15935 */     // GIR_Coverage, 22856,
     /*  15935 */     GIR_EraseRootFromParent_Done,
     /*  15936 */   // Label 489: @15936
     /*  15936 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(15973), // Rule ID 22946 //
     /*  15941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  15944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15956 */     // MIs[1] Operand 1
     /*  15956 */     // No operand predicates
     /*  15956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15958 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (AND16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  15958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16ri_ND),
     /*  15961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15963 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  15965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  15968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  15971 */     GIR_RootConstrainSelectedInstOperands,
     /*  15972 */     // GIR_Coverage, 22946,
     /*  15972 */     GIR_EraseRootFromParent_Done,
     /*  15973 */   // Label 490: @15973
     /*  15973 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(16002), // Rule ID 22848 //
     /*  15978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  15981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  15989 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (AND16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  15989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND16rr),
     /*  15994 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  16000 */     GIR_RootConstrainSelectedInstOperands,
     /*  16001 */     // GIR_Coverage, 22848,
     /*  16001 */     GIR_Done,
     /*  16002 */   // Label 491: @16002
     /*  16002 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(16031), // Rule ID 22938 //
     /*  16007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  16010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  16014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  16018 */     // (and:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (AND16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  16018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND16rr_ND),
     /*  16023 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  16029 */     GIR_RootConstrainSelectedInstOperands,
     /*  16030 */     // GIR_Coverage, 22938,
     /*  16030 */     GIR_Done,
     /*  16031 */   // Label 492: @16031
     /*  16031 */   GIM_Reject,
     /*  16032 */ // Label 481: @16032
     /*  16032 */ GIM_Reject,
     /*  16033 */ // Label 447: @16033
     /*  16033 */ GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(17858),
     /*  16038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  16041 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(16133), // Rule ID 17545 //
     /*  16046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  16049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16077 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16089 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16092 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  16096 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16102 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16109 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }), (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (ANDN32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rm),
     /*  16112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  16118 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  16131 */     GIR_RootConstrainSelectedInstOperands,
     /*  16132 */     // GIR_Coverage, 17545,
     /*  16132 */     GIR_EraseRootFromParent_Done,
     /*  16133 */   // Label 494: @16133
     /*  16133 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(16225), // Rule ID 17549 //
     /*  16138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  16141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16169 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16181 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16184 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  16188 */     GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16194 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16201 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }), (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (ANDN32rm_EVEX:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rm_EVEX),
     /*  16204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  16210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  16223 */     GIR_RootConstrainSelectedInstOperands,
     /*  16224 */     // GIR_Coverage, 17549,
     /*  16224 */     GIR_EraseRootFromParent_Done,
     /*  16225 */   // Label 495: @16225
     /*  16225 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(16317), // Rule ID 25100 //
     /*  16230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  16233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16248 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16251 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16255 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  16271 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16280 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16293 */     // (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }))  =>  (ANDN32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rm),
     /*  16296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  16302 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  16315 */     GIR_RootConstrainSelectedInstOperands,
     /*  16316 */     // GIR_Coverage, 25100,
     /*  16316 */     GIR_EraseRootFromParent_Done,
     /*  16317 */   // Label 496: @16317
     /*  16317 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(16409), // Rule ID 25104 //
     /*  16322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  16325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16340 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16343 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16347 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  16363 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16372 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16385 */     // (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }))  =>  (ANDN32rm_EVEX:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rm_EVEX),
     /*  16388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  16394 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  16407 */     GIR_RootConstrainSelectedInstOperands,
     /*  16408 */     // GIR_Coverage, 25104,
     /*  16408 */     GIR_EraseRootFromParent_Done,
     /*  16409 */   // Label 497: @16409
     /*  16409 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(16477), // Rule ID 26068 //
     /*  16414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  16417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16432 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16435 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16439 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16456 */     // (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (AND32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32rm),
     /*  16459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16461 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  16463 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  16475 */     GIR_RootConstrainSelectedInstOperands,
     /*  16476 */     // GIR_Coverage, 26068,
     /*  16476 */     GIR_EraseRootFromParent_Done,
     /*  16477 */   // Label 498: @16477
     /*  16477 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(16545), // Rule ID 26087 //
     /*  16482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  16485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16500 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16503 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16507 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16517 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16524 */     // (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (AND32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32rm_ND),
     /*  16527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16529 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  16531 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  16543 */     GIR_RootConstrainSelectedInstOperands,
     /*  16544 */     // GIR_Coverage, 26087,
     /*  16544 */     GIR_EraseRootFromParent_Done,
     /*  16545 */   // Label 499: @16545
     /*  16545 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(16613), // Rule ID 22853 //
     /*  16550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  16553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16572 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16575 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16579 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16592 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (AND32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32rm),
     /*  16595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16597 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  16599 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  16611 */     GIR_RootConstrainSelectedInstOperands,
     /*  16612 */     // GIR_Coverage, 22853,
     /*  16612 */     GIR_EraseRootFromParent_Done,
     /*  16613 */   // Label 500: @16613
     /*  16613 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(16681), // Rule ID 22943 //
     /*  16618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  16621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  16640 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  16643 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  16647 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  16651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  16653 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  16660 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (AND32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  16660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32rm_ND),
     /*  16663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16665 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  16667 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  16671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  16679 */     GIR_RootConstrainSelectedInstOperands,
     /*  16680 */     // GIR_Coverage, 22943,
     /*  16680 */     GIR_EraseRootFromParent_Done,
     /*  16681 */   // Label 501: @16681
     /*  16681 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(16758), // Rule ID 24992 //
     /*  16686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16717 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  16721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16733 */     // MIs[2] src
     /*  16733 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  16738 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16744 */     // (and:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (BLCIC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  16744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCIC32rr),
     /*  16747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  16753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16756 */     GIR_RootConstrainSelectedInstOperands,
     /*  16757 */     // GIR_Coverage, 24992,
     /*  16757 */     GIR_EraseRootFromParent_Done,
     /*  16758 */   // Label 502: @16758
     /*  16758 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(16835), // Rule ID 25004 //
     /*  16763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16794 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16806 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16810 */     // MIs[2] src
     /*  16810 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  16815 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16819 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16821 */     // (and:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (TZMSK32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  16821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZMSK32rr),
     /*  16824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  16830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16833 */     GIR_RootConstrainSelectedInstOperands,
     /*  16834 */     // GIR_Coverage, 25004,
     /*  16834 */     GIR_EraseRootFromParent_Done,
     /*  16835 */   // Label 503: @16835
     /*  16835 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(16912), // Rule ID 17355 //
     /*  16840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16871 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16883 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16887 */     // MIs[2] src
     /*  16887 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  16892 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  16896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16898 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (BLCIC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  16898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCIC32rr),
     /*  16901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  16907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16910 */     GIR_RootConstrainSelectedInstOperands,
     /*  16911 */     // GIR_Coverage, 17355,
     /*  16911 */     GIR_EraseRootFromParent_Done,
     /*  16912 */   // Label 504: @16912
     /*  16912 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(16989), // Rule ID 17367 //
     /*  16917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  16923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  16935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  16939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  16943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  16948 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  16952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  16960 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  16964 */     // MIs[2] src
     /*  16964 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  16969 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  16973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16975 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (TZMSK32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  16975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZMSK32rr),
     /*  16978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  16984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  16987 */     GIR_RootConstrainSelectedInstOperands,
     /*  16988 */     // GIR_Coverage, 17367,
     /*  16988 */     GIR_EraseRootFromParent_Done,
     /*  16989 */   // Label 505: @16989
     /*  16989 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(17047), // Rule ID 24986 //
     /*  16994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  16997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17022 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  17026 */     // MIs[0] src
     /*  17026 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  17031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17033 */     // (and:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLCFILL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  17033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCFILL32rr),
     /*  17036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  17042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17045 */     GIR_RootConstrainSelectedInstOperands,
     /*  17046 */     // GIR_Coverage, 24986,
     /*  17046 */     GIR_EraseRootFromParent_Done,
     /*  17047 */   // Label 506: @17047
     /*  17047 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(17156), // Rule ID 26039 //
     /*  17052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  17067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  17075 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  17079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  17084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17090 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GR8:{ *:[i8] }:$src2), GR32:{ *:[i32] }:$src1)  =>  (BTR32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  17090 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  17093 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  17097 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  17104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  17107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  17111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17116 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  17119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  17123 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  17126 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  17131 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  17136 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  17141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR32rr),
     /*  17144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17146 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  17148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17154 */     GIR_RootConstrainSelectedInstOperands,
     /*  17155 */     // GIR_Coverage, 26039,
     /*  17155 */     GIR_EraseRootFromParent_Done,
     /*  17156 */   // Label 507: @17156
     /*  17156 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(17210), // Rule ID 17349 //
     /*  17161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  17164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  17183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17187 */     // MIs[1] src
     /*  17187 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  17192 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  17196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17198 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src, (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (BLCFILL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  17198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCFILL32rr),
     /*  17201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17203 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  17205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17208 */     GIR_RootConstrainSelectedInstOperands,
     /*  17209 */     // GIR_Coverage, 17349,
     /*  17209 */     GIR_EraseRootFromParent_Done,
     /*  17210 */   // Label 508: @17210
     /*  17210 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(17319), // Rule ID 22777 //
     /*  17215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  17234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  17242 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  17246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  17251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17253 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GR8:{ *:[i8] }:$src2))  =>  (BTR32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  17253 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  17256 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  17260 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  17267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  17270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  17274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17279 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  17282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  17286 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  17289 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  17294 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  17299 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  17304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR32rr),
     /*  17307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  17311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17317 */     GIR_RootConstrainSelectedInstOperands,
     /*  17318 */     // GIR_Coverage, 22777,
     /*  17318 */     GIR_EraseRootFromParent_Done,
     /*  17319 */   // Label 509: @17319
     /*  17319 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(17384), // Rule ID 22629 //
     /*  17324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17335 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  17346 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, 65535:{ *:[i32] })  =>  (MOVZX32rr16:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i16] } GR32:{ *:[i32] }:$src1, sub_16bit:{ *:[i32] }))
     /*  17346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  17349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  17353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17358 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(4), // src1
     /*  17364 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  17369 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  17374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr16),
     /*  17377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17382 */     GIR_RootConstrainSelectedInstOperands,
     /*  17383 */     // GIR_Coverage, 22629,
     /*  17383 */     GIR_EraseRootFromParent_Done,
     /*  17384 */   // Label 510: @17384
     /*  17384 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(17449), // Rule ID 22630 //
     /*  17389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17400 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  17411 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, 255:{ *:[i32] })  =>  (MOVZX32rr8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i8] } GR32:{ *:[i32] }:$src1, sub_8bit:{ *:[i32] }))
     /*  17411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /*  17414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  17418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  17423 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src1
     /*  17429 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /*  17434 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  17439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /*  17442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  17447 */     GIR_RootConstrainSelectedInstOperands,
     /*  17448 */     // GIR_Coverage, 22630,
     /*  17448 */     GIR_EraseRootFromParent_Done,
     /*  17449 */   // Label 511: @17449
     /*  17449 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(17493), // Rule ID 22857 //
     /*  17454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  17457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17476 */     // MIs[1] Operand 1
     /*  17476 */     // No operand predicates
     /*  17476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17478 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (AND32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  17478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32ri),
     /*  17481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17483 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  17485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  17488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17491 */     GIR_RootConstrainSelectedInstOperands,
     /*  17492 */     // GIR_Coverage, 22857,
     /*  17492 */     GIR_EraseRootFromParent_Done,
     /*  17493 */   // Label 512: @17493
     /*  17493 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(17537), // Rule ID 22947 //
     /*  17498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  17501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17520 */     // MIs[1] Operand 1
     /*  17520 */     // No operand predicates
     /*  17520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17522 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (AND32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  17522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32ri_ND),
     /*  17525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  17529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  17532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17535 */     GIR_RootConstrainSelectedInstOperands,
     /*  17536 */     // GIR_Coverage, 22947,
     /*  17536 */     GIR_EraseRootFromParent_Done,
     /*  17537 */   // Label 513: @17537
     /*  17537 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(17599), // Rule ID 17543 //
     /*  17542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  17545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17573 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17583 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }), GR32:{ *:[i32] }:$src2)  =>  (ANDN32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rr),
     /*  17586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17592 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  17594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17597 */     GIR_RootConstrainSelectedInstOperands,
     /*  17598 */     // GIR_Coverage, 17543,
     /*  17598 */     GIR_EraseRootFromParent_Done,
     /*  17599 */   // Label 514: @17599
     /*  17599 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(17661), // Rule ID 17547 //
     /*  17604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  17607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17626 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17635 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17645 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }), GR32:{ *:[i32] }:$src2)  =>  (ANDN32rr_EVEX:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rr_EVEX),
     /*  17648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17654 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  17656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17659 */     GIR_RootConstrainSelectedInstOperands,
     /*  17660 */     // GIR_Coverage, 17547,
     /*  17660 */     GIR_EraseRootFromParent_Done,
     /*  17661 */   // Label 515: @17661
     /*  17661 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(17723), // Rule ID 25098 //
     /*  17666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  17669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17701 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17707 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src2, (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }))  =>  (ANDN32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rr),
     /*  17710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17716 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  17718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17721 */     GIR_RootConstrainSelectedInstOperands,
     /*  17722 */     // GIR_Coverage, 25098,
     /*  17722 */     GIR_EraseRootFromParent_Done,
     /*  17723 */   // Label 516: @17723
     /*  17723 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(17785), // Rule ID 25102 //
     /*  17728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  17731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  17754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  17758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17763 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17769 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src2, (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] }))  =>  (ANDN32rr_EVEX:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN32rr_EVEX),
     /*  17772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17778 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  17780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17783 */     GIR_RootConstrainSelectedInstOperands,
     /*  17784 */     // GIR_Coverage, 25102,
     /*  17784 */     GIR_EraseRootFromParent_Done,
     /*  17785 */   // Label 517: @17785
     /*  17785 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(17821), // Rule ID 22849 //
     /*  17790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  17793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17808 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (AND32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17808 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND32rr),
     /*  17813 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  17819 */     GIR_RootConstrainSelectedInstOperands,
     /*  17820 */     // GIR_Coverage, 22849,
     /*  17820 */     GIR_Done,
     /*  17821 */   // Label 518: @17821
     /*  17821 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(17857), // Rule ID 22939 //
     /*  17826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  17829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  17832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  17844 */     // (and:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (AND32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  17844 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND32rr_ND),
     /*  17849 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  17855 */     GIR_RootConstrainSelectedInstOperands,
     /*  17856 */     // GIR_Coverage, 22939,
     /*  17856 */     GIR_Done,
     /*  17857 */   // Label 519: @17857
     /*  17857 */   GIM_Reject,
     /*  17858 */ // Label 493: @17858
     /*  17858 */ GIM_Reject,
     /*  17859 */ // Label 448: @17859
     /*  17859 */ GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(19562),
     /*  17864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  17867 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(17959), // Rule ID 17546 //
     /*  17872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  17875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  17878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  17882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  17894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  17898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  17903 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  17915 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  17918 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  17922 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  17926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17928 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  17935 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }), (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ANDN64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  17935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rm),
     /*  17938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  17944 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  17948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  17951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  17957 */     GIR_RootConstrainSelectedInstOperands,
     /*  17958 */     // GIR_Coverage, 17546,
     /*  17958 */     GIR_EraseRootFromParent_Done,
     /*  17959 */   // Label 521: @17959
     /*  17959 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(18051), // Rule ID 17550 //
     /*  17964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  17967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  17970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  17974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  17982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  17986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  17990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  17995 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  17999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18007 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18010 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  18014 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  18018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18020 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18027 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }), (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ANDN64rm_EVEX:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rm_EVEX),
     /*  18030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  18036 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  18049 */     GIR_RootConstrainSelectedInstOperands,
     /*  18050 */     // GIR_Coverage, 17550,
     /*  18050 */     GIR_EraseRootFromParent_Done,
     /*  18051 */   // Label 522: @18051
     /*  18051 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(18143), // Rule ID 25101 //
     /*  18056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  18059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18074 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18077 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18081 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  18097 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18106 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18112 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18119 */     // (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }))  =>  (ANDN64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rm),
     /*  18122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  18128 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  18141 */     GIR_RootConstrainSelectedInstOperands,
     /*  18142 */     // GIR_Coverage, 25101,
     /*  18142 */     GIR_EraseRootFromParent_Done,
     /*  18143 */   // Label 523: @18143
     /*  18143 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(18235), // Rule ID 25105 //
     /*  18148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  18151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18166 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18169 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18173 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  18189 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18193 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18198 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18211 */     // (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }))  =>  (ANDN64rm_EVEX:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rm_EVEX),
     /*  18214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src1
     /*  18220 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  18233 */     GIR_RootConstrainSelectedInstOperands,
     /*  18234 */     // GIR_Coverage, 25105,
     /*  18234 */     GIR_EraseRootFromParent_Done,
     /*  18235 */   // Label 524: @18235
     /*  18235 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(18303), // Rule ID 26069 //
     /*  18240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  18243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18258 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18261 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18265 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18275 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18282 */     // (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (AND64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64rm),
     /*  18285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18287 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  18289 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  18301 */     GIR_RootConstrainSelectedInstOperands,
     /*  18302 */     // GIR_Coverage, 26069,
     /*  18302 */     GIR_EraseRootFromParent_Done,
     /*  18303 */   // Label 525: @18303
     /*  18303 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(18371), // Rule ID 26088 //
     /*  18308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  18311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18326 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18329 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18333 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18350 */     // (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (AND64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64rm_ND),
     /*  18353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18355 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  18357 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  18369 */     GIR_RootConstrainSelectedInstOperands,
     /*  18370 */     // GIR_Coverage, 26088,
     /*  18370 */     GIR_EraseRootFromParent_Done,
     /*  18371 */   // Label 526: @18371
     /*  18371 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(18439), // Rule ID 22854 //
     /*  18376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  18379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18398 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18401 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18405 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18418 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (AND64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64rm),
     /*  18421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18423 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  18425 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  18437 */     GIR_RootConstrainSelectedInstOperands,
     /*  18438 */     // GIR_Coverage, 22854,
     /*  18438 */     GIR_EraseRootFromParent_Done,
     /*  18439 */   // Label 527: @18439
     /*  18439 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(18507), // Rule ID 22944 //
     /*  18444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  18447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  18466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  18469 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  18473 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  18477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  18486 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (AND64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  18486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64rm_ND),
     /*  18489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18491 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  18493 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  18497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18500 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  18505 */     GIR_RootConstrainSelectedInstOperands,
     /*  18506 */     // GIR_Coverage, 22944,
     /*  18506 */     GIR_EraseRootFromParent_Done,
     /*  18507 */   // Label 528: @18507
     /*  18507 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(18584), // Rule ID 24993 //
     /*  18512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18543 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  18547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18555 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18559 */     // MIs[2] src
     /*  18559 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18564 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18570 */     // (and:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (BLCIC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCIC64rr),
     /*  18573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18582 */     GIR_RootConstrainSelectedInstOperands,
     /*  18583 */     // GIR_Coverage, 24993,
     /*  18583 */     GIR_EraseRootFromParent_Done,
     /*  18584 */   // Label 529: @18584
     /*  18584 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(18661), // Rule ID 25005 //
     /*  18589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18620 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  18624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18632 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18636 */     // MIs[2] src
     /*  18636 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18641 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18647 */     // (and:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (TZMSK64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZMSK64rr),
     /*  18650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18659 */     GIR_RootConstrainSelectedInstOperands,
     /*  18660 */     // GIR_Coverage, 25005,
     /*  18660 */     GIR_EraseRootFromParent_Done,
     /*  18661 */   // Label 530: @18661
     /*  18661 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(18738), // Rule ID 17356 //
     /*  18666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18697 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  18701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18709 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18713 */     // MIs[2] src
     /*  18713 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18718 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  18722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18724 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (BLCIC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCIC64rr),
     /*  18727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18736 */     GIR_RootConstrainSelectedInstOperands,
     /*  18737 */     // GIR_Coverage, 17356,
     /*  18737 */     GIR_EraseRootFromParent_Done,
     /*  18738 */   // Label 531: @18738
     /*  18738 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(18815), // Rule ID 17368 //
     /*  18743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  18761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18774 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  18778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  18782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18790 */     // MIs[2] src
     /*  18790 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18795 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  18799 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18801 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (TZMSK64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZMSK64rr),
     /*  18804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18813 */     GIR_RootConstrainSelectedInstOperands,
     /*  18814 */     // GIR_Coverage, 17368,
     /*  18814 */     GIR_EraseRootFromParent_Done,
     /*  18815 */   // Label 532: @18815
     /*  18815 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(18873), // Rule ID 24987 //
     /*  18820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  18835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  18843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18848 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  18852 */     // MIs[0] src
     /*  18852 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  18857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18859 */     // (and:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLCFILL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  18859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCFILL64rr),
     /*  18862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  18868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18871 */     GIR_RootConstrainSelectedInstOperands,
     /*  18872 */     // GIR_Coverage, 24987,
     /*  18872 */     GIR_EraseRootFromParent_Done,
     /*  18873 */   // Label 533: @18873
     /*  18873 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(18982), // Rule ID 26045 //
     /*  18878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  18893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  18897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  18901 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  18905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  18910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18916 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GR8:{ *:[i8] }:$src2), GR64:{ *:[i64] }:$src1)  =>  (BTR64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  18916 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  18919 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  18923 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  18930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  18933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  18937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  18942 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  18945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  18949 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  18952 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  18957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  18962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  18967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR64rr),
     /*  18970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18972 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  18974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  18977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  18980 */     GIR_RootConstrainSelectedInstOperands,
     /*  18981 */     // GIR_Coverage, 26045,
     /*  18981 */     GIR_EraseRootFromParent_Done,
     /*  18982 */   // Label 534: @18982
     /*  18982 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(19036), // Rule ID 17350 //
     /*  18987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  18990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  18993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  18997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  19009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19013 */     // MIs[1] src
     /*  19013 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  19018 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  19022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19024 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src, (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (BLCFILL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  19024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCFILL64rr),
     /*  19027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19029 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  19031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19034 */     GIR_RootConstrainSelectedInstOperands,
     /*  19035 */     // GIR_Coverage, 17350,
     /*  19035 */     GIR_EraseRootFromParent_Done,
     /*  19036 */   // Label 535: @19036
     /*  19036 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(19145), // Rule ID 22783 //
     /*  19041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  19060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  19068 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  19072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  19077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19079 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GR8:{ *:[i8] }:$src2))  =>  (BTR64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  19079 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  19082 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  19086 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  19093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  19096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  19100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19105 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  19108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  19112 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  19115 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  19120 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  19125 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  19130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTR64rr),
     /*  19133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19135 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  19137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  19140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19143 */     GIR_RootConstrainSelectedInstOperands,
     /*  19144 */     // GIR_Coverage, 22783,
     /*  19144 */     GIR_EraseRootFromParent_Done,
     /*  19145 */   // Label 536: @19145
     /*  19145 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(19193), // Rule ID 22858 //
     /*  19150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  19153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  19176 */     // MIs[1] Operand 1
     /*  19176 */     // No operand predicates
     /*  19176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19178 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (AND64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  19178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64ri32),
     /*  19181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19183 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  19185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  19188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19191 */     GIR_RootConstrainSelectedInstOperands,
     /*  19192 */     // GIR_Coverage, 22858,
     /*  19192 */     GIR_EraseRootFromParent_Done,
     /*  19193 */   // Label 537: @19193
     /*  19193 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(19241), // Rule ID 22948 //
     /*  19198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  19201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  19224 */     // MIs[1] Operand 1
     /*  19224 */     // No operand predicates
     /*  19224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19226 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (AND64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  19226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64ri32_ND),
     /*  19229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19231 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  19233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  19236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19239 */     GIR_RootConstrainSelectedInstOperands,
     /*  19240 */     // GIR_Coverage, 22948,
     /*  19240 */     GIR_EraseRootFromParent_Done,
     /*  19241 */   // Label 538: @19241
     /*  19241 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(19303), // Rule ID 17544 //
     /*  19246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  19249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19277 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  19281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19287 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }), GR64:{ *:[i64] }:$src2)  =>  (ANDN64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rr),
     /*  19290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19296 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  19298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19301 */     GIR_RootConstrainSelectedInstOperands,
     /*  19302 */     // GIR_Coverage, 17544,
     /*  19302 */     GIR_EraseRootFromParent_Done,
     /*  19303 */   // Label 539: @19303
     /*  19303 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(19365), // Rule ID 17548 //
     /*  19308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  19311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19339 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  19343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19349 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }), GR64:{ *:[i64] }:$src2)  =>  (ANDN64rr_EVEX:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rr_EVEX),
     /*  19352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19358 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  19360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19363 */     GIR_RootConstrainSelectedInstOperands,
     /*  19364 */     // GIR_Coverage, 17548,
     /*  19364 */     GIR_EraseRootFromParent_Done,
     /*  19365 */   // Label 540: @19365
     /*  19365 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(19427), // Rule ID 25099 //
     /*  19370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_NoEGPR),
     /*  19373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19405 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  19409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19411 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src2, (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }))  =>  (ANDN64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rr),
     /*  19414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19420 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  19422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19425 */     GIR_RootConstrainSelectedInstOperands,
     /*  19426 */     // GIR_Coverage, 25099,
     /*  19426 */     GIR_EraseRootFromParent_Done,
     /*  19427 */   // Label 541: @19427
     /*  19427 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(19489), // Rule ID 25103 //
     /*  19432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI_HasEGPR),
     /*  19435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  19458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  19462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19467 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  19471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19473 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src2, (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] }))  =>  (ANDN64rr_EVEX:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ANDN64rr_EVEX),
     /*  19476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19482 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  19484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  19487 */     GIR_RootConstrainSelectedInstOperands,
     /*  19488 */     // GIR_Coverage, 25103,
     /*  19488 */     GIR_EraseRootFromParent_Done,
     /*  19489 */   // Label 542: @19489
     /*  19489 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(19525), // Rule ID 22850 //
     /*  19494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  19497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19512 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (AND64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND64rr),
     /*  19517 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  19523 */     GIR_RootConstrainSelectedInstOperands,
     /*  19524 */     // GIR_Coverage, 22850,
     /*  19524 */     GIR_Done,
     /*  19525 */   // Label 543: @19525
     /*  19525 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(19561), // Rule ID 22940 //
     /*  19530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  19533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  19536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  19548 */     // (and:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (AND64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  19548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::AND64rr_ND),
     /*  19553 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  19559 */     GIR_RootConstrainSelectedInstOperands,
     /*  19560 */     // GIR_Coverage, 22940,
     /*  19560 */     GIR_Done,
     /*  19561 */   // Label 544: @19561
     /*  19561 */   GIM_Reject,
     /*  19562 */ // Label 520: @19562
     /*  19562 */ GIM_Reject,
     /*  19563 */ // Label 449: @19563
     /*  19563 */ GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(19908),
     /*  19568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  19571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  19574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19578 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(19698), // Rule ID 19488 //
     /*  19583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  19595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  19599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19608 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  19614 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  19616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19622 */     // (and:{ *:[v2i1] } (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, immAllOnesV:{ *:[v2i1] }), VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  19622 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  19625 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19629 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19634 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  19638 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19643 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  19646 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19650 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19655 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19659 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  19667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  19671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19676 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  19679 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  19682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  19692 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  19697 */     // GIR_Coverage, 19488,
     /*  19697 */     GIR_EraseRootFromParent_Done,
     /*  19698 */   // Label 546: @19698
     /*  19698 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(19818), // Rule ID 25365 //
     /*  19703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  19715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  19719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  19723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19732 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  19738 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  19740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19742 */     // (and:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src2, (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, immAllOnesV:{ *:[v2i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  19742 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  19745 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19749 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19754 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  19758 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19763 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  19766 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19770 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19775 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  19779 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  19787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  19791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19796 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  19799 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  19802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  19812 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  19817 */     // GIR_Coverage, 25365,
     /*  19817 */     GIR_EraseRootFromParent_Done,
     /*  19818 */   // Label 547: @19818
     /*  19818 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(19907), // Rule ID 19484 //
     /*  19823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  19831 */     // (and:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KANDWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  19831 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  19834 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19838 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19843 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  19847 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19852 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  19855 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19859 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19864 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  19868 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  19873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  19876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  19880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  19885 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  19888 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  19891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  19893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  19896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  19901 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  19906 */     // GIR_Coverage, 19484,
     /*  19906 */     GIR_EraseRootFromParent_Done,
     /*  19907 */   // Label 548: @19907
     /*  19907 */   GIM_Reject,
     /*  19908 */ // Label 545: @19908
     /*  19908 */ GIM_Reject,
     /*  19909 */ // Label 450: @19909
     /*  19909 */ GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(20250),
     /*  19914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  19920 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(19982), // Rule ID 23357 //
     /*  19925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  19928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  19932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  19940 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  19943 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  19947 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  19951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  19955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19957 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  19964 */     // (and:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src1)  =>  (VPANDrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  19964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  19967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19969 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  19971 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  19975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  19980 */     GIR_RootConstrainSelectedInstOperands,
     /*  19981 */     // GIR_Coverage, 23357,
     /*  19981 */     GIR_EraseRootFromParent_Done,
     /*  19982 */   // Label 550: @19982
     /*  19982 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(20044), // Rule ID 24146 //
     /*  19987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  19990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  19994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20002 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20005 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20009 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20019 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20026 */     // (and:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPANDQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  20029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20031 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  20033 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20042 */     GIR_RootConstrainSelectedInstOperands,
     /*  20043 */     // GIR_Coverage, 24146,
     /*  20043 */     GIR_EraseRootFromParent_Done,
     /*  20044 */   // Label 551: @20044
     /*  20044 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(20106), // Rule ID 2110 //
     /*  20049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20068 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20071 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20075 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20081 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20088 */     // (and:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  20091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20093 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  20095 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20104 */     GIR_RootConstrainSelectedInstOperands,
     /*  20105 */     // GIR_Coverage, 2110,
     /*  20105 */     GIR_EraseRootFromParent_Done,
     /*  20106 */   // Label 552: @20106
     /*  20106 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(20168), // Rule ID 5706 //
     /*  20111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20130 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20133 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20137 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20143 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20150 */     // (and:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  20153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20155 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  20157 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20166 */     GIR_RootConstrainSelectedInstOperands,
     /*  20167 */     // GIR_Coverage, 5706,
     /*  20167 */     GIR_EraseRootFromParent_Done,
     /*  20168 */   // Label 553: @20168
     /*  20168 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(20195), // Rule ID 2109 //
     /*  20173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20188 */     // (and:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPANDrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  20188 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDrr),
     /*  20193 */     GIR_RootConstrainSelectedInstOperands,
     /*  20194 */     // GIR_Coverage, 2109,
     /*  20194 */     GIR_Done,
     /*  20195 */   // Label 554: @20195
     /*  20195 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(20222), // Rule ID 2111 //
     /*  20200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  20203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20215 */     // (and:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PANDrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  20215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PANDrr),
     /*  20220 */     GIR_RootConstrainSelectedInstOperands,
     /*  20221 */     // GIR_Coverage, 2111,
     /*  20221 */     GIR_Done,
     /*  20222 */   // Label 555: @20222
     /*  20222 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(20249), // Rule ID 5703 //
     /*  20227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20242 */     // (and:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPANDQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  20242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rr),
     /*  20247 */     GIR_RootConstrainSelectedInstOperands,
     /*  20248 */     // GIR_Coverage, 5703,
     /*  20248 */     GIR_Done,
     /*  20249 */   // Label 556: @20249
     /*  20249 */   GIM_Reject,
     /*  20250 */ // Label 549: @20250
     /*  20250 */ GIM_Reject,
     /*  20251 */ // Label 451: @20251
     /*  20251 */ GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(20596),
     /*  20256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  20259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  20262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20266 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(20386), // Rule ID 19489 //
     /*  20271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  20279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  20283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  20287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  20296 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  20302 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  20304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20310 */     // (and:{ *:[v4i1] } (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, immAllOnesV:{ *:[v4i1] }), VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  20310 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  20313 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20317 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20322 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  20326 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20331 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  20334 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20338 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20343 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  20347 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  20355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  20359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20364 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20367 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  20370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  20380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  20385 */     // GIR_Coverage, 19489,
     /*  20385 */     GIR_EraseRootFromParent_Done,
     /*  20386 */   // Label 558: @20386
     /*  20386 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(20506), // Rule ID 25366 //
     /*  20391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  20403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  20407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  20411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  20420 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  20426 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  20428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20430 */     // (and:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src2, (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, immAllOnesV:{ *:[v4i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  20430 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  20433 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20437 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20442 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  20446 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20451 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  20454 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20458 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20463 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  20467 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  20475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  20479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20484 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20487 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  20490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  20500 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  20505 */     // GIR_Coverage, 25366,
     /*  20505 */     GIR_EraseRootFromParent_Done,
     /*  20506 */   // Label 559: @20506
     /*  20506 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(20595), // Rule ID 19485 //
     /*  20511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  20519 */     // (and:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KANDWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  20519 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  20522 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20526 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20531 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  20535 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20540 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  20543 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20547 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20552 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  20556 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  20561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  20564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  20568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  20573 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  20576 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  20579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  20581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  20584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  20589 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  20594 */     // GIR_Coverage, 19485,
     /*  20594 */     GIR_EraseRootFromParent_Done,
     /*  20595 */   // Label 560: @20595
     /*  20595 */   GIM_Reject,
     /*  20596 */ // Label 557: @20596
     /*  20596 */ GIM_Reject,
     /*  20597 */ // Label 452: @20597
     /*  20597 */ GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(20938),
     /*  20602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  20608 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(20670), // Rule ID 24164 //
     /*  20613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20628 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20631 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20635 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20645 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20652 */     // (and:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPANDDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZ128rm),
     /*  20655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20657 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  20659 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20668 */     GIR_RootConstrainSelectedInstOperands,
     /*  20669 */     // GIR_Coverage, 24164,
     /*  20669 */     GIR_EraseRootFromParent_Done,
     /*  20670 */   // Label 562: @20670
     /*  20670 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(20732), // Rule ID 25250 //
     /*  20675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20690 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20693 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20697 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20707 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20714 */     // (and:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPANDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  20717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20719 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  20721 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20725 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20730 */     GIR_RootConstrainSelectedInstOperands,
     /*  20731 */     // GIR_Coverage, 25250,
     /*  20731 */     GIR_EraseRootFromParent_Done,
     /*  20732 */   // Label 563: @20732
     /*  20732 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(20794), // Rule ID 5733 //
     /*  20737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20756 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20759 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20763 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20769 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20776 */     // (and:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZ128rm),
     /*  20779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20781 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  20783 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20792 */     GIR_RootConstrainSelectedInstOperands,
     /*  20793 */     // GIR_Coverage, 5733,
     /*  20793 */     GIR_EraseRootFromParent_Done,
     /*  20794 */   // Label 564: @20794
     /*  20794 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(20856), // Rule ID 18159 //
     /*  20799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20818 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20821 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20825 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20831 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20838 */     // (and:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  20841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20843 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  20845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  20849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  20854 */     GIR_RootConstrainSelectedInstOperands,
     /*  20855 */     // GIR_Coverage, 18159,
     /*  20855 */     GIR_EraseRootFromParent_Done,
     /*  20856 */   // Label 565: @20856
     /*  20856 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(20883), // Rule ID 5730 //
     /*  20861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  20864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  20876 */     // (and:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPANDDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  20876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDDZ128rr),
     /*  20881 */     GIR_RootConstrainSelectedInstOperands,
     /*  20882 */     // GIR_Coverage, 5730,
     /*  20882 */     GIR_Done,
     /*  20883 */   // Label 566: @20883
     /*  20883 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(20910), // Rule ID 18147 //
     /*  20888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  20891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20903 */     // (and:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPANDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  20903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDrr),
     /*  20908 */     GIR_RootConstrainSelectedInstOperands,
     /*  20909 */     // GIR_Coverage, 18147,
     /*  20909 */     GIR_Done,
     /*  20910 */   // Label 567: @20910
     /*  20910 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(20937), // Rule ID 18171 //
     /*  20915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  20918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  20930 */     // (and:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PANDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  20930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PANDrr),
     /*  20935 */     GIR_RootConstrainSelectedInstOperands,
     /*  20936 */     // GIR_Coverage, 18171,
     /*  20936 */     GIR_Done,
     /*  20937 */   // Label 568: @20937
     /*  20937 */   GIM_Reject,
     /*  20938 */ // Label 561: @20938
     /*  20938 */ GIM_Reject,
     /*  20939 */ // Label 453: @20939
     /*  20939 */ GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(21404),
     /*  20944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  20947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  20950 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(21012), // Rule ID 23359 //
     /*  20955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  20958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  20962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  20970 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  20973 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  20977 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  20981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  20985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  20994 */     // (and:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VPANDYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  20994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  20997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20999 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  21001 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21010 */     GIR_RootConstrainSelectedInstOperands,
     /*  21011 */     // GIR_Coverage, 23359,
     /*  21011 */     GIR_EraseRootFromParent_Done,
     /*  21012 */   // Label 570: @21012
     /*  21012 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(21074), // Rule ID 24140 //
     /*  21017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  21020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21032 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21035 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21039 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21049 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21056 */     // (and:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPANDQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  21059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21061 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  21063 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21072 */     GIR_RootConstrainSelectedInstOperands,
     /*  21073 */     // GIR_Coverage, 24140,
     /*  21073 */     GIR_EraseRootFromParent_Done,
     /*  21074 */   // Label 571: @21074
     /*  21074 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(21136), // Rule ID 25239 //
     /*  21079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  21082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21094 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21097 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21101 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21111 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21118 */     // (and:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VANDPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  21121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21123 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  21125 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21134 */     GIR_RootConstrainSelectedInstOperands,
     /*  21135 */     // GIR_Coverage, 25239,
     /*  21135 */     GIR_EraseRootFromParent_Done,
     /*  21136 */   // Label 572: @21136
     /*  21136 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(21198), // Rule ID 2114 //
     /*  21141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  21144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21160 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21163 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21167 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21180 */     // (and:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  21183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21185 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  21187 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21196 */     GIR_RootConstrainSelectedInstOperands,
     /*  21197 */     // GIR_Coverage, 2114,
     /*  21197 */     GIR_EraseRootFromParent_Done,
     /*  21198 */   // Label 573: @21198
     /*  21198 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(21260), // Rule ID 5697 //
     /*  21203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  21206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21222 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21225 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21229 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21235 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21242 */     // (and:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  21245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21247 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  21249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21258 */     GIR_RootConstrainSelectedInstOperands,
     /*  21259 */     // GIR_Coverage, 5697,
     /*  21259 */     GIR_EraseRootFromParent_Done,
     /*  21260 */   // Label 574: @21260
     /*  21260 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(21322), // Rule ID 18132 //
     /*  21265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  21268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21284 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21287 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21291 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21297 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21304 */     // (and:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VANDPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  21307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  21311 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21320 */     GIR_RootConstrainSelectedInstOperands,
     /*  21321 */     // GIR_Coverage, 18132,
     /*  21321 */     GIR_EraseRootFromParent_Done,
     /*  21322 */   // Label 575: @21322
     /*  21322 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(21349), // Rule ID 2113 //
     /*  21327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  21330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21342 */     // (and:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPANDYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  21342 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDYrr),
     /*  21347 */     GIR_RootConstrainSelectedInstOperands,
     /*  21348 */     // GIR_Coverage, 2113,
     /*  21348 */     GIR_Done,
     /*  21349 */   // Label 576: @21349
     /*  21349 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(21376), // Rule ID 5694 //
     /*  21354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  21357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  21369 */     // (and:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPANDQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  21369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rr),
     /*  21374 */     GIR_RootConstrainSelectedInstOperands,
     /*  21375 */     // GIR_Coverage, 5694,
     /*  21375 */     GIR_Done,
     /*  21376 */   // Label 577: @21376
     /*  21376 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(21403), // Rule ID 18116 //
     /*  21381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  21384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  21396 */     // (and:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VANDPSYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  21396 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VANDPSYrr),
     /*  21401 */     GIR_RootConstrainSelectedInstOperands,
     /*  21402 */     // GIR_Coverage, 18116,
     /*  21402 */     GIR_Done,
     /*  21403 */   // Label 578: @21403
     /*  21403 */   GIM_Reject,
     /*  21404 */ // Label 569: @21404
     /*  21404 */ GIM_Reject,
     /*  21405 */ // Label 454: @21405
     /*  21405 */ GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(21902),
     /*  21410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21420 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(21480), // Rule ID 4430 //
     /*  21425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  21428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  21436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  21453 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  21459 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  21461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21467 */     // (and:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }), VK8:{ *:[v8i1] }:$src2)  =>  (KANDNBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  21467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNBkk),
     /*  21470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21476 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  21478 */     GIR_RootConstrainSelectedInstOperands,
     /*  21479 */     // GIR_Coverage, 4430,
     /*  21479 */     GIR_EraseRootFromParent_Done,
     /*  21480 */   // Label 580: @21480
     /*  21480 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(21603), // Rule ID 19486 //
     /*  21485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  21488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  21496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  21513 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  21519 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  21521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21527 */     // (and:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }), VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  21527 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  21530 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21534 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21539 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  21543 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21548 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  21551 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21555 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21560 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21564 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  21572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  21576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21581 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21584 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  21587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  21597 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  21602 */     // GIR_Coverage, 19486,
     /*  21602 */     GIR_EraseRootFromParent_Done,
     /*  21603 */   // Label 581: @21603
     /*  21603 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(21663), // Rule ID 23689 //
     /*  21608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  21611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  21623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  21640 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  21646 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  21648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21650 */     // (and:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src2, (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }))  =>  (KANDNBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  21650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNBkk),
     /*  21653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21659 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  21661 */     GIR_RootConstrainSelectedInstOperands,
     /*  21662 */     // GIR_Coverage, 23689,
     /*  21662 */     GIR_EraseRootFromParent_Done,
     /*  21663 */   // Label 582: @21663
     /*  21663 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(21786), // Rule ID 25363 //
     /*  21668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  21671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  21683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  21687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  21691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  21700 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  21706 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  21708 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  21710 */     // (and:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src2, (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KANDNWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  21710 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  21713 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21717 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21722 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  21726 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21731 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  21734 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21738 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21743 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  21747 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  21755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  21759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21764 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21767 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  21770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  21780 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  21785 */     // GIR_Coverage, 25363,
     /*  21785 */     GIR_EraseRootFromParent_Done,
     /*  21786 */   // Label 583: @21786
     /*  21786 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(21809), // Rule ID 4414 //
     /*  21791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  21794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21802 */     // (and:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (KANDBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  21802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KANDBkk),
     /*  21807 */     GIR_RootConstrainSelectedInstOperands,
     /*  21808 */     // GIR_Coverage, 4414,
     /*  21808 */     GIR_Done,
     /*  21809 */   // Label 584: @21809
     /*  21809 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(21901), // Rule ID 19482 //
     /*  21814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  21817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  21825 */     // (and:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KANDWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  21825 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  21828 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21832 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21837 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  21841 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21846 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  21849 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21853 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21858 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  21862 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  21867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  21870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  21874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21879 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  21882 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  21885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  21895 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  21900 */     // GIR_Coverage, 19482,
     /*  21900 */     GIR_EraseRootFromParent_Done,
     /*  21901 */   // Label 585: @21901
     /*  21901 */   GIM_Reject,
     /*  21902 */ // Label 579: @21902
     /*  21902 */ GIM_Reject,
     /*  21903 */ // Label 455: @21903
     /*  21903 */ GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(22244),
     /*  21908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  21914 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(21976), // Rule ID 25249 //
     /*  21919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  21922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  21926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21934 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21937 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  21941 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  21945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  21949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  21958 */     // (and:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPANDrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  21958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  21961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21963 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  21965 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  21969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  21974 */     GIR_RootConstrainSelectedInstOperands,
     /*  21975 */     // GIR_Coverage, 25249,
     /*  21975 */     GIR_EraseRootFromParent_Done,
     /*  21976 */   // Label 587: @21976
     /*  21976 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(22038), // Rule ID 25430 //
     /*  21981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  21984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  21988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  21996 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  21999 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22003 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22020 */     // (and:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPANDQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  22023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22025 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22027 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22036 */     GIR_RootConstrainSelectedInstOperands,
     /*  22037 */     // GIR_Coverage, 25430,
     /*  22037 */     GIR_EraseRootFromParent_Done,
     /*  22038 */   // Label 588: @22038
     /*  22038 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(22100), // Rule ID 18158 //
     /*  22043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  22046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22062 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22065 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22069 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22075 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22082 */     // (and:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  22085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22087 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22089 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22098 */     GIR_RootConstrainSelectedInstOperands,
     /*  22099 */     // GIR_Coverage, 18158,
     /*  22099 */     GIR_EraseRootFromParent_Done,
     /*  22100 */   // Label 589: @22100
     /*  22100 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(22162), // Rule ID 20024 //
     /*  22105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  22108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22124 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22127 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22131 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22144 */     // (and:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  22147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22149 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22160 */     GIR_RootConstrainSelectedInstOperands,
     /*  22161 */     // GIR_Coverage, 20024,
     /*  22161 */     GIR_EraseRootFromParent_Done,
     /*  22162 */   // Label 590: @22162
     /*  22162 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(22189), // Rule ID 18146 //
     /*  22167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  22170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22182 */     // (and:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPANDrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  22182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDrr),
     /*  22187 */     GIR_RootConstrainSelectedInstOperands,
     /*  22188 */     // GIR_Coverage, 18146,
     /*  22188 */     GIR_Done,
     /*  22189 */   // Label 591: @22189
     /*  22189 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(22216), // Rule ID 18170 //
     /*  22194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  22197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  22209 */     // (and:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PANDrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  22209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PANDrr),
     /*  22214 */     GIR_RootConstrainSelectedInstOperands,
     /*  22215 */     // GIR_Coverage, 18170,
     /*  22215 */     GIR_Done,
     /*  22216 */   // Label 592: @22216
     /*  22216 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(22243), // Rule ID 20016 //
     /*  22221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  22224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  22236 */     // (and:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPANDQZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*  22236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rr),
     /*  22241 */     GIR_RootConstrainSelectedInstOperands,
     /*  22242 */     // GIR_Coverage, 20016,
     /*  22242 */     GIR_Done,
     /*  22243 */   // Label 593: @22243
     /*  22243 */   GIM_Reject,
     /*  22244 */ // Label 586: @22244
     /*  22244 */ GIM_Reject,
     /*  22245 */ // Label 456: @22245
     /*  22245 */ GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(22710),
     /*  22250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  22253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  22256 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(22318), // Rule ID 24158 //
     /*  22261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  22264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22276 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22279 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22283 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22293 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22300 */     // (and:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPANDDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZ256rm),
     /*  22303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22305 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22307 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22316 */     GIR_RootConstrainSelectedInstOperands,
     /*  22317 */     // GIR_Coverage, 24158,
     /*  22317 */     GIR_EraseRootFromParent_Done,
     /*  22318 */   // Label 595: @22318
     /*  22318 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(22380), // Rule ID 25229 //
     /*  22323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  22326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22338 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22341 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22345 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22355 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22362 */     // (and:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPANDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  22365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22367 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22369 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22378 */     GIR_RootConstrainSelectedInstOperands,
     /*  22379 */     // GIR_Coverage, 25229,
     /*  22379 */     GIR_EraseRootFromParent_Done,
     /*  22380 */   // Label 596: @22380
     /*  22380 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(22442), // Rule ID 25238 //
     /*  22385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  22388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22400 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22403 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22407 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22424 */     // (and:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VANDPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  22427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22429 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22431 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22440 */     GIR_RootConstrainSelectedInstOperands,
     /*  22441 */     // GIR_Coverage, 25238,
     /*  22441 */     GIR_EraseRootFromParent_Done,
     /*  22442 */   // Label 597: @22442
     /*  22442 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(22504), // Rule ID 5724 //
     /*  22447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  22450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22469 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22473 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22486 */     // (and:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZ256rm),
     /*  22489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22491 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22493 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22502 */     GIR_RootConstrainSelectedInstOperands,
     /*  22503 */     // GIR_Coverage, 5724,
     /*  22503 */     GIR_EraseRootFromParent_Done,
     /*  22504 */   // Label 598: @22504
     /*  22504 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(22566), // Rule ID 18103 //
     /*  22509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  22512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22528 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22531 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22535 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22548 */     // (and:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  22551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22553 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22564 */     GIR_RootConstrainSelectedInstOperands,
     /*  22565 */     // GIR_Coverage, 18103,
     /*  22565 */     GIR_EraseRootFromParent_Done,
     /*  22566 */   // Label 599: @22566
     /*  22566 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(22628), // Rule ID 18131 //
     /*  22571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  22574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22590 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22593 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22597 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22610 */     // (and:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VANDPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  22613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22615 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22617 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22626 */     GIR_RootConstrainSelectedInstOperands,
     /*  22627 */     // GIR_Coverage, 18131,
     /*  22627 */     GIR_EraseRootFromParent_Done,
     /*  22628 */   // Label 600: @22628
     /*  22628 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(22655), // Rule ID 5721 //
     /*  22633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  22636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  22648 */     // (and:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPANDDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  22648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDDZ256rr),
     /*  22653 */     GIR_RootConstrainSelectedInstOperands,
     /*  22654 */     // GIR_Coverage, 5721,
     /*  22654 */     GIR_Done,
     /*  22655 */   // Label 601: @22655
     /*  22655 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(22682), // Rule ID 18091 //
     /*  22660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  22663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22675 */     // (and:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPANDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  22675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDYrr),
     /*  22680 */     GIR_RootConstrainSelectedInstOperands,
     /*  22681 */     // GIR_Coverage, 18091,
     /*  22681 */     GIR_Done,
     /*  22682 */   // Label 602: @22682
     /*  22682 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(22709), // Rule ID 18115 //
     /*  22687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  22690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  22702 */     // (and:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VANDPSYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  22702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VANDPSYrr),
     /*  22707 */     GIR_RootConstrainSelectedInstOperands,
     /*  22708 */     // GIR_Coverage, 18115,
     /*  22708 */     GIR_Done,
     /*  22709 */   // Label 603: @22709
     /*  22709 */   GIM_Reject,
     /*  22710 */ // Label 594: @22710
     /*  22710 */ GIM_Reject,
     /*  22711 */ // Label 457: @22711
     /*  22711 */ GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(22866),
     /*  22716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  22719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  22722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22726 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(22784), // Rule ID 24134 //
     /*  22731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22742 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22745 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22749 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22759 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22766 */     // (and:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPANDQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  22769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22771 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  22773 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22782 */     GIR_RootConstrainSelectedInstOperands,
     /*  22783 */     // GIR_Coverage, 24134,
     /*  22783 */     GIR_EraseRootFromParent_Done,
     /*  22784 */   // Label 605: @22784
     /*  22784 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(22842), // Rule ID 5688 //
     /*  22789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  22804 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  22807 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  22811 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  22815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  22817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  22824 */     // (and:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  22824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  22827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22829 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  22831 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  22835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  22840 */     GIR_RootConstrainSelectedInstOperands,
     /*  22841 */     // GIR_Coverage, 5688,
     /*  22841 */     GIR_EraseRootFromParent_Done,
     /*  22842 */   // Label 606: @22842
     /*  22842 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(22865), // Rule ID 5685 //
     /*  22847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  22858 */     // (and:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPANDQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  22858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZrr),
     /*  22863 */     GIR_RootConstrainSelectedInstOperands,
     /*  22864 */     // GIR_Coverage, 5685,
     /*  22864 */     GIR_Done,
     /*  22865 */   // Label 607: @22865
     /*  22865 */   GIM_Reject,
     /*  22866 */ // Label 604: @22866
     /*  22866 */ GIM_Reject,
     /*  22867 */ // Label 458: @22867
     /*  22867 */ GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(23026),
     /*  22872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  22875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  22878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22882 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(22942), // Rule ID 4431 //
     /*  22887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  22902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  22906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22915 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  22921 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  22923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22929 */     // (and:{ *:[v16i1] } (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, immAllOnesV:{ *:[v16i1] }), VK16:{ *:[v16i1] }:$src2)  =>  (KANDNWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  22929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  22932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  22938 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  22940 */     GIR_RootConstrainSelectedInstOperands,
     /*  22941 */     // GIR_Coverage, 4431,
     /*  22941 */     GIR_EraseRootFromParent_Done,
     /*  22942 */   // Label 609: @22942
     /*  22942 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(23002), // Rule ID 23690 //
     /*  22947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  22950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  22962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  22966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  22970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  22975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  22979 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  22985 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  22987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22989 */     // (and:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src2, (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, immAllOnesV:{ *:[v16i1] }))  =>  (KANDNWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  22989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNWkk),
     /*  22992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  22998 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  23000 */     GIR_RootConstrainSelectedInstOperands,
     /*  23001 */     // GIR_Coverage, 23690,
     /*  23001 */     GIR_EraseRootFromParent_Done,
     /*  23002 */   // Label 610: @23002
     /*  23002 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(23025), // Rule ID 4415 //
     /*  23007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  23010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  23014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  23018 */     // (and:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)  =>  (KANDWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  23018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KANDWkk),
     /*  23023 */     GIR_RootConstrainSelectedInstOperands,
     /*  23024 */     // GIR_Coverage, 4415,
     /*  23024 */     GIR_Done,
     /*  23025 */   // Label 611: @23025
     /*  23025 */   GIM_Reject,
     /*  23026 */ // Label 608: @23026
     /*  23026 */ GIM_Reject,
     /*  23027 */ // Label 459: @23027
     /*  23027 */ GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(23368),
     /*  23032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  23035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  23038 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(23100), // Rule ID 25248 //
     /*  23043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  23046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23058 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23061 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23065 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23075 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23082 */     // (and:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPANDrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  23085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23087 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23089 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23098 */     GIR_RootConstrainSelectedInstOperands,
     /*  23099 */     // GIR_Coverage, 25248,
     /*  23099 */     GIR_EraseRootFromParent_Done,
     /*  23100 */   // Label 613: @23100
     /*  23100 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(23162), // Rule ID 25429 //
     /*  23105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23120 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23123 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23127 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23144 */     // (and:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPANDQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  23147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23149 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23160 */     GIR_RootConstrainSelectedInstOperands,
     /*  23161 */     // GIR_Coverage, 25429,
     /*  23161 */     GIR_EraseRootFromParent_Done,
     /*  23162 */   // Label 614: @23162
     /*  23162 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(23224), // Rule ID 18157 //
     /*  23167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  23170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23186 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23189 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23193 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23206 */     // (and:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDrm),
     /*  23209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23211 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23222 */     GIR_RootConstrainSelectedInstOperands,
     /*  23223 */     // GIR_Coverage, 18157,
     /*  23223 */     GIR_EraseRootFromParent_Done,
     /*  23224 */   // Label 615: @23224
     /*  23224 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(23286), // Rule ID 20023 //
     /*  23229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23248 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23251 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23255 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23268 */     // (and:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rm),
     /*  23271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23273 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23284 */     GIR_RootConstrainSelectedInstOperands,
     /*  23285 */     // GIR_Coverage, 20023,
     /*  23285 */     GIR_EraseRootFromParent_Done,
     /*  23286 */   // Label 616: @23286
     /*  23286 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(23313), // Rule ID 18145 //
     /*  23291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  23294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23306 */     // (and:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPANDrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  23306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDrr),
     /*  23311 */     GIR_RootConstrainSelectedInstOperands,
     /*  23312 */     // GIR_Coverage, 18145,
     /*  23312 */     GIR_Done,
     /*  23313 */   // Label 617: @23313
     /*  23313 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(23340), // Rule ID 18169 //
     /*  23318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  23321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  23333 */     // (and:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PANDrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  23333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PANDrr),
     /*  23338 */     GIR_RootConstrainSelectedInstOperands,
     /*  23339 */     // GIR_Coverage, 18169,
     /*  23339 */     GIR_Done,
     /*  23340 */   // Label 618: @23340
     /*  23340 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(23367), // Rule ID 20015 //
     /*  23345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  23360 */     // (and:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPANDQZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*  23360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ128rr),
     /*  23365 */     GIR_RootConstrainSelectedInstOperands,
     /*  23366 */     // GIR_Coverage, 20015,
     /*  23366 */     GIR_Done,
     /*  23367 */   // Label 619: @23367
     /*  23367 */   GIM_Reject,
     /*  23368 */ // Label 612: @23368
     /*  23368 */ GIM_Reject,
     /*  23369 */ // Label 460: @23369
     /*  23369 */ GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(23834),
     /*  23374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  23377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  23380 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(23442), // Rule ID 25228 //
     /*  23385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  23388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23400 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23403 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23407 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23424 */     // (and:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPANDYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  23427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23429 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23431 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23440 */     GIR_RootConstrainSelectedInstOperands,
     /*  23441 */     // GIR_Coverage, 25228,
     /*  23441 */     GIR_EraseRootFromParent_Done,
     /*  23442 */   // Label 621: @23442
     /*  23442 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(23504), // Rule ID 25237 //
     /*  23447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  23450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23462 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23465 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23469 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23486 */     // (and:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VANDPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  23489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23491 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23493 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23502 */     GIR_RootConstrainSelectedInstOperands,
     /*  23503 */     // GIR_Coverage, 25237,
     /*  23503 */     GIR_EraseRootFromParent_Done,
     /*  23504 */   // Label 622: @23504
     /*  23504 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(23566), // Rule ID 25436 //
     /*  23509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23524 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23527 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23531 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23548 */     // (and:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPANDQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  23551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23553 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23564 */     GIR_RootConstrainSelectedInstOperands,
     /*  23565 */     // GIR_Coverage, 25436,
     /*  23565 */     GIR_EraseRootFromParent_Done,
     /*  23566 */   // Label 623: @23566
     /*  23566 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(23628), // Rule ID 18102 //
     /*  23571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  23574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23590 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23593 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23597 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23603 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23610 */     // (and:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  23613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23615 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23617 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23626 */     GIR_RootConstrainSelectedInstOperands,
     /*  23627 */     // GIR_Coverage, 18102,
     /*  23627 */     GIR_EraseRootFromParent_Done,
     /*  23628 */   // Label 624: @23628
     /*  23628 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(23690), // Rule ID 18130 //
     /*  23633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  23636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23652 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23655 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23659 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23672 */     // (and:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VANDPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  23675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23677 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23688 */     GIR_RootConstrainSelectedInstOperands,
     /*  23689 */     // GIR_Coverage, 18130,
     /*  23689 */     GIR_EraseRootFromParent_Done,
     /*  23690 */   // Label 625: @23690
     /*  23690 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(23752), // Rule ID 20040 //
     /*  23695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23714 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23717 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23721 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23727 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23734 */     // (and:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  23737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23739 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23741 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23750 */     GIR_RootConstrainSelectedInstOperands,
     /*  23751 */     // GIR_Coverage, 20040,
     /*  23751 */     GIR_EraseRootFromParent_Done,
     /*  23752 */   // Label 626: @23752
     /*  23752 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(23779), // Rule ID 18090 //
     /*  23757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  23760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23772 */     // (and:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPANDYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  23772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDYrr),
     /*  23777 */     GIR_RootConstrainSelectedInstOperands,
     /*  23778 */     // GIR_Coverage, 18090,
     /*  23778 */     GIR_Done,
     /*  23779 */   // Label 627: @23779
     /*  23779 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(23806), // Rule ID 18114 //
     /*  23784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  23787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  23799 */     // (and:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VANDPSYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  23799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VANDPSYrr),
     /*  23804 */     GIR_RootConstrainSelectedInstOperands,
     /*  23805 */     // GIR_Coverage, 18114,
     /*  23805 */     GIR_Done,
     /*  23806 */   // Label 628: @23806
     /*  23806 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(23833), // Rule ID 20032 //
     /*  23811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  23814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  23826 */     // (and:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPANDQZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  23826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rr),
     /*  23831 */     GIR_RootConstrainSelectedInstOperands,
     /*  23832 */     // GIR_Coverage, 20032,
     /*  23832 */     GIR_Done,
     /*  23833 */   // Label 629: @23833
     /*  23833 */   GIM_Reject,
     /*  23834 */ // Label 620: @23834
     /*  23834 */ GIM_Reject,
     /*  23835 */ // Label 461: @23835
     /*  23835 */ GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(23990),
     /*  23840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  23843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  23846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23850 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(23908), // Rule ID 24152 //
     /*  23855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  23858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23866 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23869 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23873 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23883 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23890 */     // (and:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPANDDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZrm),
     /*  23893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23895 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  23897 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23906 */     GIR_RootConstrainSelectedInstOperands,
     /*  23907 */     // GIR_Coverage, 24152,
     /*  23907 */     GIR_EraseRootFromParent_Done,
     /*  23908 */   // Label 631: @23908
     /*  23908 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(23966), // Rule ID 5715 //
     /*  23913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  23916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  23928 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  23931 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  23935 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  23939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23941 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  23948 */     // (and:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  23948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDDZrm),
     /*  23951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23953 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  23955 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  23959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  23964 */     GIR_RootConstrainSelectedInstOperands,
     /*  23965 */     // GIR_Coverage, 5715,
     /*  23965 */     GIR_EraseRootFromParent_Done,
     /*  23966 */   // Label 632: @23966
     /*  23966 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(23989), // Rule ID 5712 //
     /*  23971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  23974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  23982 */     // (and:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPANDDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  23982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDDZrr),
     /*  23987 */     GIR_RootConstrainSelectedInstOperands,
     /*  23988 */     // GIR_Coverage, 5712,
     /*  23988 */     GIR_Done,
     /*  23989 */   // Label 633: @23989
     /*  23989 */   GIM_Reject,
     /*  23990 */ // Label 630: @23990
     /*  23990 */ GIM_Reject,
     /*  23991 */ // Label 462: @23991
     /*  23991 */ GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(24150),
     /*  23996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  23999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  24002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24006 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(24066), // Rule ID 4432 //
     /*  24011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  24022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  24026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  24030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24039 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  24045 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  24047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24053 */     // (and:{ *:[v32i1] } (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, immAllOnesV:{ *:[v32i1] }), VK32:{ *:[v32i1] }:$src2)  =>  (KANDNDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  24053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNDkk),
     /*  24056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  24062 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  24064 */     GIR_RootConstrainSelectedInstOperands,
     /*  24065 */     // GIR_Coverage, 4432,
     /*  24065 */     GIR_EraseRootFromParent_Done,
     /*  24066 */   // Label 635: @24066
     /*  24066 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(24126), // Rule ID 23691 //
     /*  24071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  24086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  24090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  24094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24103 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  24109 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  24111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24113 */     // (and:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src2, (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, immAllOnesV:{ *:[v32i1] }))  =>  (KANDNDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  24113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNDkk),
     /*  24116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  24122 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  24124 */     GIR_RootConstrainSelectedInstOperands,
     /*  24125 */     // GIR_Coverage, 23691,
     /*  24125 */     GIR_EraseRootFromParent_Done,
     /*  24126 */   // Label 636: @24126
     /*  24126 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(24149), // Rule ID 4416 //
     /*  24131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  24142 */     // (and:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)  =>  (KANDDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  24142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KANDDkk),
     /*  24147 */     GIR_RootConstrainSelectedInstOperands,
     /*  24148 */     // GIR_Coverage, 4416,
     /*  24148 */     GIR_Done,
     /*  24149 */   // Label 637: @24149
     /*  24149 */   GIM_Reject,
     /*  24150 */ // Label 634: @24150
     /*  24150 */ GIM_Reject,
     /*  24151 */ // Label 463: @24151
     /*  24151 */ GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(24616),
     /*  24156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*  24159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  24162 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(24224), // Rule ID 25227 //
     /*  24167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  24170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24182 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24185 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24189 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24206 */     // (and:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPANDYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  24209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24211 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24222 */     GIR_RootConstrainSelectedInstOperands,
     /*  24223 */     // GIR_Coverage, 25227,
     /*  24223 */     GIR_EraseRootFromParent_Done,
     /*  24224 */   // Label 639: @24224
     /*  24224 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(24286), // Rule ID 25236 //
     /*  24229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  24232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24244 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24247 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24251 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24268 */     // (and:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VANDPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  24271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24273 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24284 */     GIR_RootConstrainSelectedInstOperands,
     /*  24285 */     // GIR_Coverage, 25236,
     /*  24285 */     GIR_EraseRootFromParent_Done,
     /*  24286 */   // Label 640: @24286
     /*  24286 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(24348), // Rule ID 25435 //
     /*  24291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  24294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24306 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24309 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24313 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24330 */     // (and:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPANDQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  24333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24335 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24337 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24346 */     GIR_RootConstrainSelectedInstOperands,
     /*  24347 */     // GIR_Coverage, 25435,
     /*  24347 */     GIR_EraseRootFromParent_Done,
     /*  24348 */   // Label 641: @24348
     /*  24348 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(24410), // Rule ID 18101 //
     /*  24353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  24356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24372 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24375 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24379 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24392 */     // (and:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDYrm),
     /*  24395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24397 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  24399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24408 */     GIR_RootConstrainSelectedInstOperands,
     /*  24409 */     // GIR_Coverage, 18101,
     /*  24409 */     GIR_EraseRootFromParent_Done,
     /*  24410 */   // Label 642: @24410
     /*  24410 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(24472), // Rule ID 18129 //
     /*  24415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  24418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24434 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24437 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24441 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24454 */     // (and:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VANDPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VANDPSYrm),
     /*  24457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24459 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  24461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24470 */     GIR_RootConstrainSelectedInstOperands,
     /*  24471 */     // GIR_Coverage, 18129,
     /*  24471 */     GIR_EraseRootFromParent_Done,
     /*  24472 */   // Label 643: @24472
     /*  24472 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(24534), // Rule ID 20039 //
     /*  24477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  24480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24496 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24499 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24503 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24516 */     // (and:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rm),
     /*  24519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24521 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  24523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24532 */     GIR_RootConstrainSelectedInstOperands,
     /*  24533 */     // GIR_Coverage, 20039,
     /*  24533 */     GIR_EraseRootFromParent_Done,
     /*  24534 */   // Label 644: @24534
     /*  24534 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(24561), // Rule ID 18089 //
     /*  24539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  24542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24554 */     // (and:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPANDYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  24554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDYrr),
     /*  24559 */     GIR_RootConstrainSelectedInstOperands,
     /*  24560 */     // GIR_Coverage, 18089,
     /*  24560 */     GIR_Done,
     /*  24561 */   // Label 645: @24561
     /*  24561 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(24588), // Rule ID 18113 //
     /*  24566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  24569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  24581 */     // (and:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VANDPSYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  24581 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VANDPSYrr),
     /*  24586 */     GIR_RootConstrainSelectedInstOperands,
     /*  24587 */     // GIR_Coverage, 18113,
     /*  24587 */     GIR_Done,
     /*  24588 */   // Label 646: @24588
     /*  24588 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(24615), // Rule ID 20031 //
     /*  24593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  24596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  24608 */     // (and:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPANDQZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*  24608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZ256rr),
     /*  24613 */     GIR_RootConstrainSelectedInstOperands,
     /*  24614 */     // GIR_Coverage, 20031,
     /*  24614 */     GIR_Done,
     /*  24615 */   // Label 647: @24615
     /*  24615 */   GIM_Reject,
     /*  24616 */ // Label 638: @24616
     /*  24616 */ GIM_Reject,
     /*  24617 */ // Label 464: @24617
     /*  24617 */ GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(24772),
     /*  24622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  24625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  24628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24632 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(24690), // Rule ID 25442 //
     /*  24637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  24640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24648 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24651 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24655 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24672 */     // (and:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPANDQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  24675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24677 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24688 */     GIR_RootConstrainSelectedInstOperands,
     /*  24689 */     // GIR_Coverage, 25442,
     /*  24689 */     GIR_EraseRootFromParent_Done,
     /*  24690 */   // Label 649: @24690
     /*  24690 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(24748), // Rule ID 20056 //
     /*  24695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  24698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24710 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24713 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24717 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24730 */     // (and:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  24733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24735 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  24737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  24746 */     GIR_RootConstrainSelectedInstOperands,
     /*  24747 */     // GIR_Coverage, 20056,
     /*  24747 */     GIR_EraseRootFromParent_Done,
     /*  24748 */   // Label 650: @24748
     /*  24748 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(24771), // Rule ID 20048 //
     /*  24753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  24756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24764 */     // (and:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPANDQZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  24764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZrr),
     /*  24769 */     GIR_RootConstrainSelectedInstOperands,
     /*  24770 */     // GIR_Coverage, 20048,
     /*  24770 */     GIR_Done,
     /*  24771 */   // Label 651: @24771
     /*  24771 */   GIM_Reject,
     /*  24772 */ // Label 648: @24772
     /*  24772 */ GIM_Reject,
     /*  24773 */ // Label 465: @24773
     /*  24773 */ GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(24932),
     /*  24778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  24781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  24784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24788 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(24848), // Rule ID 4433 //
     /*  24793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  24804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  24808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  24812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24821 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  24827 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  24829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24835 */     // (and:{ *:[v64i1] } (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, immAllOnesV:{ *:[v64i1] }), VK64:{ *:[v64i1] }:$src2)  =>  (KANDNQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  24835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNQkk),
     /*  24838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  24844 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  24846 */     GIR_RootConstrainSelectedInstOperands,
     /*  24847 */     // GIR_Coverage, 4433,
     /*  24847 */     GIR_EraseRootFromParent_Done,
     /*  24848 */   // Label 653: @24848
     /*  24848 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(24908), // Rule ID 23692 //
     /*  24853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  24868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  24872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  24876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24885 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  24891 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  24893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24895 */     // (and:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src2, (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, immAllOnesV:{ *:[v64i1] }))  =>  (KANDNQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  24895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KANDNQkk),
     /*  24898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  24904 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  24906 */     GIR_RootConstrainSelectedInstOperands,
     /*  24907 */     // GIR_Coverage, 23692,
     /*  24907 */     GIR_EraseRootFromParent_Done,
     /*  24908 */   // Label 654: @24908
     /*  24908 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(24931), // Rule ID 4417 //
     /*  24913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  24916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  24924 */     // (and:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)  =>  (KANDQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  24924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KANDQkk),
     /*  24929 */     GIR_RootConstrainSelectedInstOperands,
     /*  24930 */     // GIR_Coverage, 4417,
     /*  24930 */     GIR_Done,
     /*  24931 */   // Label 655: @24931
     /*  24931 */   GIM_Reject,
     /*  24932 */ // Label 652: @24932
     /*  24932 */ GIM_Reject,
     /*  24933 */ // Label 466: @24933
     /*  24933 */ GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(25088),
     /*  24938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*  24941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*  24944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24948 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(25006), // Rule ID 25441 //
     /*  24953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  24956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  24964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  24967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  24971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  24975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  24979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24981 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  24988 */     // (and:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPANDQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  24988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  24991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24993 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  24995 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  24999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25004 */     GIR_RootConstrainSelectedInstOperands,
     /*  25005 */     // GIR_Coverage, 25441,
     /*  25005 */     GIR_EraseRootFromParent_Done,
     /*  25006 */   // Label 657: @25006
     /*  25006 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(25064), // Rule ID 20055 //
     /*  25011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  25014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  25018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25026 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25029 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  25033 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25039 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25046 */     // (and:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPANDQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPANDQZrm),
     /*  25049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25051 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25053 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25062 */     GIR_RootConstrainSelectedInstOperands,
     /*  25063 */     // GIR_Coverage, 20055,
     /*  25063 */     GIR_EraseRootFromParent_Done,
     /*  25064 */   // Label 658: @25064
     /*  25064 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(25087), // Rule ID 20047 //
     /*  25069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  25072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  25076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  25080 */     // (and:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPANDQZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*  25080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPANDQZrr),
     /*  25085 */     GIR_RootConstrainSelectedInstOperands,
     /*  25086 */     // GIR_Coverage, 20047,
     /*  25086 */     GIR_Done,
     /*  25087 */   // Label 659: @25087
     /*  25087 */   GIM_Reject,
     /*  25088 */ // Label 656: @25088
     /*  25088 */ GIM_Reject,
     /*  25089 */ // Label 467: @25089
     /*  25089 */ GIM_Reject,
     /*  25090 */ // Label 4: @25090
     /*  25090 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(25), /*)*//*default:*//*Label 683*/ GIMT_Encode4(33493),
     /*  25101 */ /*GILLT_s1*//*Label 660*/ GIMT_Encode4(25201),
     /*  25105 */ /*GILLT_s8*//*Label 661*/ GIMT_Encode4(25301),
     /*  25109 */ /*GILLT_s16*//*Label 662*/ GIMT_Encode4(25694),
     /*  25113 */ /*GILLT_s32*//*Label 663*/ GIMT_Encode4(26291),
     /*  25117 */ /*GILLT_s64*//*Label 664*/ GIMT_Encode4(27747), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  25129 */ /*GILLT_v2s1*//*Label 665*/ GIMT_Encode4(29211),
     /*  25133 */ /*GILLT_v2s64*//*Label 666*/ GIMT_Encode4(29311),
     /*  25137 */ /*GILLT_v4s1*//*Label 667*/ GIMT_Encode4(29653),
     /*  25141 */ /*GILLT_v4s32*//*Label 668*/ GIMT_Encode4(29753),
     /*  25145 */ /*GILLT_v4s64*//*Label 669*/ GIMT_Encode4(30095),
     /*  25149 */ /*GILLT_v8s1*//*Label 670*/ GIMT_Encode4(30561),
     /*  25153 */ /*GILLT_v8s16*//*Label 671*/ GIMT_Encode4(30685),
     /*  25157 */ /*GILLT_v8s32*//*Label 672*/ GIMT_Encode4(31027),
     /*  25161 */ /*GILLT_v8s64*//*Label 673*/ GIMT_Encode4(31493),
     /*  25165 */ /*GILLT_v16s1*//*Label 674*/ GIMT_Encode4(31649),
     /*  25169 */ /*GILLT_v16s8*//*Label 675*/ GIMT_Encode4(31683),
     /*  25173 */ /*GILLT_v16s16*//*Label 676*/ GIMT_Encode4(32025),
     /*  25177 */ /*GILLT_v16s32*//*Label 677*/ GIMT_Encode4(32491),
     /*  25181 */ /*GILLT_v32s1*//*Label 678*/ GIMT_Encode4(32647),
     /*  25185 */ /*GILLT_v32s8*//*Label 679*/ GIMT_Encode4(32681),
     /*  25189 */ /*GILLT_v32s16*//*Label 680*/ GIMT_Encode4(33147),
     /*  25193 */ /*GILLT_v64s1*//*Label 681*/ GIMT_Encode4(33303),
     /*  25197 */ /*GILLT_v64s8*//*Label 682*/ GIMT_Encode4(33337),
     /*  25201 */ // Label 660: @25201
     /*  25201 */ GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(25300), // Rule ID 19491 //
     /*  25206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  25209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  25212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  25216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  25220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  25224 */   // (or:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  25224 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  25227 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25231 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25236 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  25240 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  25245 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  25248 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25252 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25257 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  25261 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  25266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  25269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  25273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  25278 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  25281 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  25284 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  25286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  25289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25291 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  25294 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  25299 */   // GIR_Coverage, 19491,
     /*  25299 */   GIR_EraseRootFromParent_Done,
     /*  25300 */ // Label 684: @25300
     /*  25300 */ GIM_Reject,
     /*  25301 */ // Label 661: @25301
     /*  25301 */ GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(25693),
     /*  25306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*  25309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  25312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25316 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(25377), // Rule ID 26058 //
     /*  25321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25332 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25335 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25339 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  25343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25356 */     // (or:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (OR8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8rm),
     /*  25359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25361 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  25363 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25375 */     GIR_RootConstrainSelectedInstOperands,
     /*  25376 */     // GIR_Coverage, 26058,
     /*  25376 */     GIR_EraseRootFromParent_Done,
     /*  25377 */   // Label 686: @25377
     /*  25377 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(25438), // Rule ID 26077 //
     /*  25382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25393 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25396 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25400 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  25404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25410 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25417 */     // (or:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (OR8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8rm_ND),
     /*  25420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25422 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  25424 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25436 */     GIR_RootConstrainSelectedInstOperands,
     /*  25437 */     // GIR_Coverage, 26077,
     /*  25437 */     GIR_EraseRootFromParent_Done,
     /*  25438 */   // Label 687: @25438
     /*  25438 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(25499), // Rule ID 22827 //
     /*  25443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25458 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25461 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25465 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  25469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25478 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (OR8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8rm),
     /*  25481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25483 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25485 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25497 */     GIR_RootConstrainSelectedInstOperands,
     /*  25498 */     // GIR_Coverage, 22827,
     /*  25498 */     GIR_EraseRootFromParent_Done,
     /*  25499 */   // Label 688: @25499
     /*  25499 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(25560), // Rule ID 22917 //
     /*  25504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25519 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25522 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25526 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  25530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25532 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25539 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (OR8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8rm_ND),
     /*  25542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25544 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25546 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25558 */     GIR_RootConstrainSelectedInstOperands,
     /*  25559 */     // GIR_Coverage, 22917,
     /*  25559 */     GIR_EraseRootFromParent_Done,
     /*  25560 */   // Label 689: @25560
     /*  25560 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(25597), // Rule ID 22831 //
     /*  25565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25580 */     // MIs[1] Operand 1
     /*  25580 */     // No operand predicates
     /*  25580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25582 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (OR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  25582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8ri),
     /*  25585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25587 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  25592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25595 */     GIR_RootConstrainSelectedInstOperands,
     /*  25596 */     // GIR_Coverage, 22831,
     /*  25596 */     GIR_EraseRootFromParent_Done,
     /*  25597 */   // Label 690: @25597
     /*  25597 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(25634), // Rule ID 22921 //
     /*  25602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25617 */     // MIs[1] Operand 1
     /*  25617 */     // No operand predicates
     /*  25617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25619 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (OR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  25619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8ri_ND),
     /*  25622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25624 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  25629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25632 */     GIR_RootConstrainSelectedInstOperands,
     /*  25633 */     // GIR_Coverage, 22921,
     /*  25633 */     GIR_EraseRootFromParent_Done,
     /*  25634 */   // Label 691: @25634
     /*  25634 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(25663), // Rule ID 22823 //
     /*  25639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25650 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (OR8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  25650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR8rr),
     /*  25655 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  25661 */     GIR_RootConstrainSelectedInstOperands,
     /*  25662 */     // GIR_Coverage, 22823,
     /*  25662 */     GIR_Done,
     /*  25663 */   // Label 692: @25663
     /*  25663 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(25692), // Rule ID 22913 //
     /*  25668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25679 */     // (or:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (OR8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  25679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR8rr_ND),
     /*  25684 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  25690 */     GIR_RootConstrainSelectedInstOperands,
     /*  25691 */     // GIR_Coverage, 22913,
     /*  25691 */     GIR_Done,
     /*  25692 */   // Label 693: @25692
     /*  25692 */   GIM_Reject,
     /*  25693 */ // Label 685: @25693
     /*  25693 */ GIM_Reject,
     /*  25694 */ // Label 662: @25694
     /*  25694 */ GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(26290),
     /*  25699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  25702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  25705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25709 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(25770), // Rule ID 26059 //
     /*  25714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25725 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25728 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25732 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  25736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25742 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25749 */     // (or:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (OR16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16rm),
     /*  25752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25754 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  25756 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25768 */     GIR_RootConstrainSelectedInstOperands,
     /*  25769 */     // GIR_Coverage, 26059,
     /*  25769 */     GIR_EraseRootFromParent_Done,
     /*  25770 */   // Label 695: @25770
     /*  25770 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(25831), // Rule ID 26078 //
     /*  25775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25786 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25789 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25793 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  25797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25810 */     // (or:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (OR16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16rm_ND),
     /*  25813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25815 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  25817 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25829 */     GIR_RootConstrainSelectedInstOperands,
     /*  25830 */     // GIR_Coverage, 26078,
     /*  25830 */     GIR_EraseRootFromParent_Done,
     /*  25831 */   // Label 696: @25831
     /*  25831 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(25892), // Rule ID 22828 //
     /*  25836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  25839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25851 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25854 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25858 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  25862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25871 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (OR16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16rm),
     /*  25874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25876 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25878 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25890 */     GIR_RootConstrainSelectedInstOperands,
     /*  25891 */     // GIR_Coverage, 22828,
     /*  25891 */     GIR_EraseRootFromParent_Done,
     /*  25892 */   // Label 697: @25892
     /*  25892 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(25953), // Rule ID 22918 //
     /*  25897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  25900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  25912 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  25915 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  25919 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  25923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  25932 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (OR16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  25932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16rm_ND),
     /*  25935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25937 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  25939 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  25943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  25946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  25951 */     GIR_RootConstrainSelectedInstOperands,
     /*  25952 */     // GIR_Coverage, 22918,
     /*  25952 */     GIR_EraseRootFromParent_Done,
     /*  25953 */   // Label 698: @25953
     /*  25953 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(26055), // Rule ID 26034 //
     /*  25958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  25966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  25970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  25974 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  25978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  25983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  25987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  25989 */     // (or:{ *:[i16] } (shl:{ *:[i16] } 1:{ *:[i16] }, GR8:{ *:[i8] }:$src2), GR16:{ *:[i16] }:$src1)  =>  (BTS16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  25989 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  25992 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  25996 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  26003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  26006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  26010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26015 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  26018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  26022 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  26025 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  26030 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  26035 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  26040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS16rr),
     /*  26043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26045 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  26047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  26050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26053 */     GIR_RootConstrainSelectedInstOperands,
     /*  26054 */     // GIR_Coverage, 26034,
     /*  26054 */     GIR_EraseRootFromParent_Done,
     /*  26055 */   // Label 699: @26055
     /*  26055 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(26157), // Rule ID 22772 //
     /*  26060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  26072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  26076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  26080 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  26084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  26089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26091 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (shl:{ *:[i16] } 1:{ *:[i16] }, GR8:{ *:[i8] }:$src2))  =>  (BTS16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  26091 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  26094 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  26098 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  26105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  26108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  26112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  26117 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  26120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  26124 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  26127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  26132 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  26137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  26142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS16rr),
     /*  26145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26147 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  26152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26155 */     GIR_RootConstrainSelectedInstOperands,
     /*  26156 */     // GIR_Coverage, 22772,
     /*  26156 */     GIR_EraseRootFromParent_Done,
     /*  26157 */   // Label 700: @26157
     /*  26157 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(26194), // Rule ID 22832 //
     /*  26162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  26165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26177 */     // MIs[1] Operand 1
     /*  26177 */     // No operand predicates
     /*  26177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26179 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (OR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  26179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16ri),
     /*  26182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26184 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  26189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26192 */     GIR_RootConstrainSelectedInstOperands,
     /*  26193 */     // GIR_Coverage, 22832,
     /*  26193 */     GIR_EraseRootFromParent_Done,
     /*  26194 */   // Label 701: @26194
     /*  26194 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(26231), // Rule ID 22922 //
     /*  26199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  26202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26214 */     // MIs[1] Operand 1
     /*  26214 */     // No operand predicates
     /*  26214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26216 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (OR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  26216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16ri_ND),
     /*  26219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26221 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  26226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26229 */     GIR_RootConstrainSelectedInstOperands,
     /*  26230 */     // GIR_Coverage, 22922,
     /*  26230 */     GIR_EraseRootFromParent_Done,
     /*  26231 */   // Label 702: @26231
     /*  26231 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(26260), // Rule ID 22824 //
     /*  26236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  26239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26247 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (OR16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  26247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR16rr),
     /*  26252 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  26258 */     GIR_RootConstrainSelectedInstOperands,
     /*  26259 */     // GIR_Coverage, 22824,
     /*  26259 */     GIR_Done,
     /*  26260 */   // Label 703: @26260
     /*  26260 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(26289), // Rule ID 22914 //
     /*  26265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  26268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  26276 */     // (or:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (OR16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  26276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR16rr_ND),
     /*  26281 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  26287 */     GIR_RootConstrainSelectedInstOperands,
     /*  26288 */     // GIR_Coverage, 22914,
     /*  26288 */     GIR_Done,
     /*  26289 */   // Label 704: @26289
     /*  26289 */   GIM_Reject,
     /*  26290 */ // Label 694: @26290
     /*  26290 */ GIM_Reject,
     /*  26291 */ // Label 663: @26291
     /*  26291 */ GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(27746),
     /*  26296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  26299 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(26367), // Rule ID 26060 //
     /*  26304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  26307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  26322 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  26325 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  26329 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  26333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  26346 */     // (or:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (OR32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  26346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32rm),
     /*  26349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26351 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  26353 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  26357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  26365 */     GIR_RootConstrainSelectedInstOperands,
     /*  26366 */     // GIR_Coverage, 26060,
     /*  26366 */     GIR_EraseRootFromParent_Done,
     /*  26367 */   // Label 706: @26367
     /*  26367 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(26435), // Rule ID 26079 //
     /*  26372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  26375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  26390 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  26393 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  26397 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  26401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  26414 */     // (or:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (OR32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  26414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32rm_ND),
     /*  26417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26419 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  26421 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  26425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  26433 */     GIR_RootConstrainSelectedInstOperands,
     /*  26434 */     // GIR_Coverage, 26079,
     /*  26434 */     GIR_EraseRootFromParent_Done,
     /*  26435 */   // Label 707: @26435
     /*  26435 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(26503), // Rule ID 22829 //
     /*  26440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  26443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  26462 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  26465 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  26469 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  26473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26475 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  26482 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (OR32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  26482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32rm),
     /*  26485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26487 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26489 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  26493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  26501 */     GIR_RootConstrainSelectedInstOperands,
     /*  26502 */     // GIR_Coverage, 22829,
     /*  26502 */     GIR_EraseRootFromParent_Done,
     /*  26503 */   // Label 708: @26503
     /*  26503 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(26571), // Rule ID 22919 //
     /*  26508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  26511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  26530 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  26533 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  26537 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  26541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  26543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  26550 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (OR32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  26550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32rm_ND),
     /*  26553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26555 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  26557 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  26561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  26569 */     GIR_RootConstrainSelectedInstOperands,
     /*  26570 */     // GIR_Coverage, 22919,
     /*  26570 */     GIR_EraseRootFromParent_Done,
     /*  26571 */   // Label 709: @26571
     /*  26571 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(26648), // Rule ID 25000 //
     /*  26576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26607 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  26611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26619 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26623 */     // MIs[2] src
     /*  26623 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  26628 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  26632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26634 */     // (or:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (BLSIC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSIC32rr),
     /*  26637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  26643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26646 */     GIR_RootConstrainSelectedInstOperands,
     /*  26647 */     // GIR_Coverage, 25000,
     /*  26647 */     GIR_EraseRootFromParent_Done,
     /*  26648 */   // Label 710: @26648
     /*  26648 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(26725), // Rule ID 25002 //
     /*  26653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26684 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  26688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26696 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26700 */     // MIs[2] src
     /*  26700 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  26705 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  26709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26711 */     // (or:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (T1MSKC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::T1MSKC32rr),
     /*  26714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  26720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26723 */     GIR_RootConstrainSelectedInstOperands,
     /*  26724 */     // GIR_Coverage, 25002,
     /*  26724 */     GIR_EraseRootFromParent_Done,
     /*  26725 */   // Label 711: @26725
     /*  26725 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(26803), // Rule ID 24988 //
     /*  26730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  26765 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26774 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  26778 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  26782 */     // MIs[0] src
     /*  26782 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  26787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26789 */     // (or:{ *:[i32] } (xor:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), -1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLCI32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI32rr),
     /*  26792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src
     /*  26798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26801 */     GIR_RootConstrainSelectedInstOperands,
     /*  26802 */     // GIR_Coverage, 24988,
     /*  26802 */     GIR_EraseRootFromParent_Done,
     /*  26803 */   // Label 712: @26803
     /*  26803 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(26880), // Rule ID 17363 //
     /*  26808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26839 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  26843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26851 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26855 */     // MIs[2] src
     /*  26855 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  26860 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  26864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26866 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (BLSIC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSIC32rr),
     /*  26869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  26875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26878 */     GIR_RootConstrainSelectedInstOperands,
     /*  26879 */     // GIR_Coverage, 17363,
     /*  26879 */     GIR_EraseRootFromParent_Done,
     /*  26880 */   // Label 713: @26880
     /*  26880 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(26957), // Rule ID 17365 //
     /*  26885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26916 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  26920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  26928 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  26932 */     // MIs[2] src
     /*  26932 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  26937 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  26941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26943 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (T1MSKC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  26943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::T1MSKC32rr),
     /*  26946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  26952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  26955 */     GIR_RootConstrainSelectedInstOperands,
     /*  26956 */     // GIR_Coverage, 17365,
     /*  26956 */     GIR_EraseRootFromParent_Done,
     /*  26957 */   // Label 714: @26957
     /*  26957 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(27031), // Rule ID 17351 //
     /*  26962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  26965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  26968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  26976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  26984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  26988 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  26992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27000 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  27004 */     // MIs[2] src
     /*  27004 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  27009 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  27013 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  27017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27019 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (xor:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), -1:{ *:[i32] }))  =>  (BLCI32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI32rr),
     /*  27022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27024 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27029 */     GIR_RootConstrainSelectedInstOperands,
     /*  27030 */     // GIR_Coverage, 17351,
     /*  27030 */     GIR_EraseRootFromParent_Done,
     /*  27031 */   // Label 715: @27031
     /*  27031 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(27089), // Rule ID 24996 //
     /*  27036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27064 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  27068 */     // MIs[0] src
     /*  27068 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  27073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27075 */     // (or:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLCS32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCS32rr),
     /*  27078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  27084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27087 */     GIR_RootConstrainSelectedInstOperands,
     /*  27088 */     // GIR_Coverage, 24996,
     /*  27088 */     GIR_EraseRootFromParent_Done,
     /*  27089 */   // Label 716: @27089
     /*  27089 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(27147), // Rule ID 24998 //
     /*  27094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27122 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  27126 */     // MIs[0] src
     /*  27126 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  27131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27133 */     // (or:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLSFILL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSFILL32rr),
     /*  27136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  27142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27145 */     GIR_RootConstrainSelectedInstOperands,
     /*  27146 */     // GIR_Coverage, 24998,
     /*  27146 */     GIR_EraseRootFromParent_Done,
     /*  27147 */   // Label 717: @27147
     /*  27147 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(27256), // Rule ID 26040 //
     /*  27152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  27167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  27175 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  27179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  27184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27190 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, GR8:{ *:[i8] }:$src2), GR32:{ *:[i32] }:$src1)  =>  (BTS32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  27190 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  27193 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  27197 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  27202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  27204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  27207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  27211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  27216 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  27219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  27223 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  27226 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  27231 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  27236 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  27241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS32rr),
     /*  27244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27246 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  27248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  27251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27254 */     GIR_RootConstrainSelectedInstOperands,
     /*  27255 */     // GIR_Coverage, 26040,
     /*  27255 */     GIR_EraseRootFromParent_Done,
     /*  27256 */   // Label 718: @27256
     /*  27256 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(27314), // Rule ID 24990 //
     /*  27261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  27276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27284 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  27288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27293 */     // MIs[0] src
     /*  27293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  27298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27300 */     // (or:{ *:[i32] } (sub:{ *:[i32] } -2:{ *:[i32] }, GR32:{ *:[i32] }:$src), GR32:{ *:[i32] }:$src)  =>  (BLCI32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI32rr),
     /*  27303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  27309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27312 */     GIR_RootConstrainSelectedInstOperands,
     /*  27313 */     // GIR_Coverage, 24990,
     /*  27313 */     GIR_EraseRootFromParent_Done,
     /*  27314 */   // Label 719: @27314
     /*  27314 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(27368), // Rule ID 17359 //
     /*  27319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27345 */     // MIs[1] src
     /*  27345 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  27350 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  27354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27356 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (BLCS32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCS32rr),
     /*  27359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27361 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27366 */     GIR_RootConstrainSelectedInstOperands,
     /*  27367 */     // GIR_Coverage, 17359,
     /*  27367 */     GIR_EraseRootFromParent_Done,
     /*  27368 */   // Label 720: @27368
     /*  27368 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(27422), // Rule ID 17361 //
     /*  27373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  27395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  27399 */     // MIs[1] src
     /*  27399 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  27404 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  27408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27410 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (add:{ *:[i32] } GR32:{ *:[i32] }:$src, -1:{ *:[i32] }))  =>  (BLSFILL32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSFILL32rr),
     /*  27413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27415 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27420 */     GIR_RootConstrainSelectedInstOperands,
     /*  27421 */     // GIR_Coverage, 17361,
     /*  27421 */     GIR_EraseRootFromParent_Done,
     /*  27422 */   // Label 721: @27422
     /*  27422 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(27531), // Rule ID 22778 //
     /*  27427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  27446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  27454 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  27458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  27463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27465 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (shl:{ *:[i32] } 1:{ *:[i32] }, GR8:{ *:[i8] }:$src2))  =>  (BTS32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  27465 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  27468 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  27472 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  27477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  27479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  27482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  27486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  27491 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  27494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  27498 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  27501 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  27506 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  27511 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  27516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS32rr),
     /*  27519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27521 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  27523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  27526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27529 */     GIR_RootConstrainSelectedInstOperands,
     /*  27530 */     // GIR_Coverage, 22778,
     /*  27530 */     GIR_EraseRootFromParent_Done,
     /*  27531 */   // Label 722: @27531
     /*  27531 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(27585), // Rule ID 17353 //
     /*  27536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  27539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  27558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  27562 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  27566 */     // MIs[1] src
     /*  27566 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  27571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27573 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (sub:{ *:[i32] } -2:{ *:[i32] }, GR32:{ *:[i32] }:$src))  =>  (BLCI32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  27573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI32rr),
     /*  27576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27578 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  27580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27583 */     GIR_RootConstrainSelectedInstOperands,
     /*  27584 */     // GIR_Coverage, 17353,
     /*  27584 */     GIR_EraseRootFromParent_Done,
     /*  27585 */   // Label 723: @27585
     /*  27585 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(27629), // Rule ID 22833 //
     /*  27590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  27593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27612 */     // MIs[1] Operand 1
     /*  27612 */     // No operand predicates
     /*  27612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27614 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (OR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  27614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32ri),
     /*  27617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27619 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  27621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  27624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27627 */     GIR_RootConstrainSelectedInstOperands,
     /*  27628 */     // GIR_Coverage, 22833,
     /*  27628 */     GIR_EraseRootFromParent_Done,
     /*  27629 */   // Label 724: @27629
     /*  27629 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(27673), // Rule ID 22923 //
     /*  27634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  27637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27656 */     // MIs[1] Operand 1
     /*  27656 */     // No operand predicates
     /*  27656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27658 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (OR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  27658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32ri_ND),
     /*  27661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27663 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  27665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  27668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27671 */     GIR_RootConstrainSelectedInstOperands,
     /*  27672 */     // GIR_Coverage, 22923,
     /*  27672 */     GIR_EraseRootFromParent_Done,
     /*  27673 */   // Label 725: @27673
     /*  27673 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(27709), // Rule ID 22825 //
     /*  27678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  27681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27696 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (OR32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  27696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR32rr),
     /*  27701 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  27707 */     GIR_RootConstrainSelectedInstOperands,
     /*  27708 */     // GIR_Coverage, 22825,
     /*  27708 */     GIR_Done,
     /*  27709 */   // Label 726: @27709
     /*  27709 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(27745), // Rule ID 22915 //
     /*  27714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  27717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  27720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  27732 */     // (or:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (OR32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  27732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR32rr_ND),
     /*  27737 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  27743 */     GIR_RootConstrainSelectedInstOperands,
     /*  27744 */     // GIR_Coverage, 22915,
     /*  27744 */     GIR_Done,
     /*  27745 */   // Label 727: @27745
     /*  27745 */   GIM_Reject,
     /*  27746 */ // Label 705: @27746
     /*  27746 */ GIM_Reject,
     /*  27747 */ // Label 664: @27747
     /*  27747 */ GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(29210),
     /*  27752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  27755 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(27823), // Rule ID 26061 //
     /*  27760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  27763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  27766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  27778 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  27781 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  27785 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  27789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  27802 */     // (or:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (OR64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  27802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64rm),
     /*  27805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27807 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  27809 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  27813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  27821 */     GIR_RootConstrainSelectedInstOperands,
     /*  27822 */     // GIR_Coverage, 26061,
     /*  27822 */     GIR_EraseRootFromParent_Done,
     /*  27823 */   // Label 729: @27823
     /*  27823 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(27891), // Rule ID 26080 //
     /*  27828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  27831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  27834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  27846 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  27849 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  27853 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  27857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  27870 */     // (or:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (OR64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  27870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64rm_ND),
     /*  27873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27875 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  27877 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  27881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  27889 */     GIR_RootConstrainSelectedInstOperands,
     /*  27890 */     // GIR_Coverage, 26080,
     /*  27890 */     GIR_EraseRootFromParent_Done,
     /*  27891 */   // Label 730: @27891
     /*  27891 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(27959), // Rule ID 22830 //
     /*  27896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  27899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  27902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  27918 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  27921 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  27925 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  27929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  27938 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (OR64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  27938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64rm),
     /*  27941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27943 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  27945 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  27949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  27952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  27957 */     GIR_RootConstrainSelectedInstOperands,
     /*  27958 */     // GIR_Coverage, 22830,
     /*  27958 */     GIR_EraseRootFromParent_Done,
     /*  27959 */   // Label 731: @27959
     /*  27959 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(28027), // Rule ID 22920 //
     /*  27964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  27967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  27970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  27978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  27986 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  27989 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  27993 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  27997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27999 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  28006 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (OR64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  28006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64rm_ND),
     /*  28009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28011 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  28013 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  28017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28020 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  28025 */     GIR_RootConstrainSelectedInstOperands,
     /*  28026 */     // GIR_Coverage, 22920,
     /*  28026 */     GIR_EraseRootFromParent_Done,
     /*  28027 */   // Label 732: @28027
     /*  28027 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(28104), // Rule ID 25001 //
     /*  28032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28063 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28075 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28079 */     // MIs[2] src
     /*  28079 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28084 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  28088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28090 */     // (or:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (BLSIC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSIC64rr),
     /*  28093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28102 */     GIR_RootConstrainSelectedInstOperands,
     /*  28103 */     // GIR_Coverage, 25001,
     /*  28103 */     GIR_EraseRootFromParent_Done,
     /*  28104 */   // Label 733: @28104
     /*  28104 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(28181), // Rule ID 25003 //
     /*  28109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28140 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  28144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28152 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28156 */     // MIs[2] src
     /*  28156 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28161 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  28165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28167 */     // (or:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (T1MSKC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::T1MSKC64rr),
     /*  28170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28179 */     GIR_RootConstrainSelectedInstOperands,
     /*  28180 */     // GIR_Coverage, 25003,
     /*  28180 */     GIR_EraseRootFromParent_Done,
     /*  28181 */   // Label 734: @28181
     /*  28181 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(28259), // Rule ID 24989 //
     /*  28186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  28221 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28230 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  28234 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28238 */     // MIs[0] src
     /*  28238 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  28243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28245 */     // (or:{ *:[i64] } (xor:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), -1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLCI64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI64rr),
     /*  28248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // src
     /*  28254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28257 */     GIR_RootConstrainSelectedInstOperands,
     /*  28258 */     // GIR_Coverage, 24989,
     /*  28258 */     GIR_EraseRootFromParent_Done,
     /*  28259 */   // Label 735: @28259
     /*  28259 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(28336), // Rule ID 17364 //
     /*  28264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28295 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28307 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28311 */     // MIs[2] src
     /*  28311 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28316 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, uint8_t(-1),
     /*  28320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28322 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (BLSIC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSIC64rr),
     /*  28325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28334 */     GIR_RootConstrainSelectedInstOperands,
     /*  28335 */     // GIR_Coverage, 17364,
     /*  28335 */     GIR_EraseRootFromParent_Done,
     /*  28336 */   // Label 736: @28336
     /*  28336 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(28413), // Rule ID 17366 //
     /*  28341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28372 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  28380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28388 */     // MIs[2] src
     /*  28388 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28393 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  28397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28399 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (T1MSKC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::T1MSKC64rr),
     /*  28402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28411 */     GIR_RootConstrainSelectedInstOperands,
     /*  28412 */     // GIR_Coverage, 17366,
     /*  28412 */     GIR_EraseRootFromParent_Done,
     /*  28413 */   // Label 737: @28413
     /*  28413 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(28487), // Rule ID 17352 //
     /*  28418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  28440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28456 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28460 */     // MIs[2] src
     /*  28460 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  28465 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*  28469 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  28475 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (xor:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), -1:{ *:[i64] }))  =>  (BLCI64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI64rr),
     /*  28478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28480 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28485 */     GIR_RootConstrainSelectedInstOperands,
     /*  28486 */     // GIR_Coverage, 17352,
     /*  28486 */     GIR_EraseRootFromParent_Done,
     /*  28487 */   // Label 738: @28487
     /*  28487 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(28545), // Rule ID 24997 //
     /*  28492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28511 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28520 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  28524 */     // MIs[0] src
     /*  28524 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28531 */     // (or:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLCS64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCS64rr),
     /*  28534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28543 */     GIR_RootConstrainSelectedInstOperands,
     /*  28544 */     // GIR_Coverage, 24997,
     /*  28544 */     GIR_EraseRootFromParent_Done,
     /*  28545 */   // Label 739: @28545
     /*  28545 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(28603), // Rule ID 24999 //
     /*  28550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28578 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28582 */     // MIs[0] src
     /*  28582 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  28587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28589 */     // (or:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLSFILL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSFILL64rr),
     /*  28592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  28598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28601 */     GIR_RootConstrainSelectedInstOperands,
     /*  28602 */     // GIR_Coverage, 24999,
     /*  28602 */     GIR_EraseRootFromParent_Done,
     /*  28603 */   // Label 740: @28603
     /*  28603 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(28712), // Rule ID 26046 //
     /*  28608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  28623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  28631 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  28635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  28640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28646 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, GR8:{ *:[i8] }:$src2), GR64:{ *:[i64] }:$src1)  =>  (BTS64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  28646 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  28649 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  28653 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  28658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  28660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  28663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  28667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  28672 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  28675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  28679 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  28682 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  28687 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  28692 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  28697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS64rr),
     /*  28700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28702 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  28704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  28707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28710 */     GIR_RootConstrainSelectedInstOperands,
     /*  28711 */     // GIR_Coverage, 26046,
     /*  28711 */     GIR_EraseRootFromParent_Done,
     /*  28712 */   // Label 741: @28712
     /*  28712 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(28770), // Rule ID 24991 //
     /*  28717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  28732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28740 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  28744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28749 */     // MIs[0] src
     /*  28749 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  28754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28756 */     // (or:{ *:[i64] } (sub:{ *:[i64] } -2:{ *:[i64] }, GR64:{ *:[i64] }:$src), GR64:{ *:[i64] }:$src)  =>  (BLCI64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI64rr),
     /*  28759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  28765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28768 */     GIR_RootConstrainSelectedInstOperands,
     /*  28769 */     // GIR_Coverage, 24991,
     /*  28769 */     GIR_EraseRootFromParent_Done,
     /*  28770 */   // Label 742: @28770
     /*  28770 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(28824), // Rule ID 17360 //
     /*  28775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28801 */     // MIs[1] src
     /*  28801 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  28806 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  28810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28812 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (BLCS64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCS64rr),
     /*  28815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28817 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28822 */     GIR_RootConstrainSelectedInstOperands,
     /*  28823 */     // GIR_Coverage, 17360,
     /*  28823 */     GIR_EraseRootFromParent_Done,
     /*  28824 */   // Label 743: @28824
     /*  28824 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(28878), // Rule ID 17362 //
     /*  28829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  28851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  28855 */     // MIs[1] src
     /*  28855 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  28860 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  28864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28866 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (add:{ *:[i64] } GR64:{ *:[i64] }:$src, -1:{ *:[i64] }))  =>  (BLSFILL64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  28866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLSFILL64rr),
     /*  28869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28871 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  28873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28876 */     GIR_RootConstrainSelectedInstOperands,
     /*  28877 */     // GIR_Coverage, 17362,
     /*  28877 */     GIR_EraseRootFromParent_Done,
     /*  28878 */   // Label 744: @28878
     /*  28878 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(28987), // Rule ID 22784 //
     /*  28883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  28894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  28902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  28906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  28910 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  28914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  28919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28921 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (shl:{ *:[i64] } 1:{ *:[i64] }, GR8:{ *:[i8] }:$src2))  =>  (BTS64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  28921 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  28924 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  28928 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  28933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  28935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  28938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  28942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  28947 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  28950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  28954 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  28957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  28962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  28967 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  28972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTS64rr),
     /*  28975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28977 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  28979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  28982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  28985 */     GIR_RootConstrainSelectedInstOperands,
     /*  28986 */     // GIR_Coverage, 22784,
     /*  28986 */     GIR_EraseRootFromParent_Done,
     /*  28987 */   // Label 745: @28987
     /*  28987 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(29041), // Rule ID 17354 //
     /*  28992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  28995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  28998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  29014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  29018 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  29022 */     // MIs[1] src
     /*  29022 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  29027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29029 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (sub:{ *:[i64] } -2:{ *:[i64] }, GR64:{ *:[i64] }:$src))  =>  (BLCI64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  29029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCI64rr),
     /*  29032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29034 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  29036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  29039 */     GIR_RootConstrainSelectedInstOperands,
     /*  29040 */     // GIR_Coverage, 17354,
     /*  29040 */     GIR_EraseRootFromParent_Done,
     /*  29041 */   // Label 746: @29041
     /*  29041 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(29089), // Rule ID 22834 //
     /*  29046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  29049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  29052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  29072 */     // MIs[1] Operand 1
     /*  29072 */     // No operand predicates
     /*  29072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29074 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (OR64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  29074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64ri32),
     /*  29077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29079 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  29084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  29087 */     GIR_RootConstrainSelectedInstOperands,
     /*  29088 */     // GIR_Coverage, 22834,
     /*  29088 */     GIR_EraseRootFromParent_Done,
     /*  29089 */   // Label 747: @29089
     /*  29089 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(29137), // Rule ID 22924 //
     /*  29094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  29097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  29100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  29120 */     // MIs[1] Operand 1
     /*  29120 */     // No operand predicates
     /*  29120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29122 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (OR64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  29122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64ri32_ND),
     /*  29125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29127 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  29132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  29135 */     GIR_RootConstrainSelectedInstOperands,
     /*  29136 */     // GIR_Coverage, 22924,
     /*  29136 */     GIR_EraseRootFromParent_Done,
     /*  29137 */   // Label 748: @29137
     /*  29137 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(29173), // Rule ID 22826 //
     /*  29142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  29145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  29148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29160 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (OR64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  29160 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR64rr),
     /*  29165 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  29171 */     GIR_RootConstrainSelectedInstOperands,
     /*  29172 */     // GIR_Coverage, 22826,
     /*  29172 */     GIR_Done,
     /*  29173 */   // Label 749: @29173
     /*  29173 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(29209), // Rule ID 22916 //
     /*  29178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  29181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  29184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  29196 */     // (or:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (OR64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  29196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::OR64rr_ND),
     /*  29201 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  29207 */     GIR_RootConstrainSelectedInstOperands,
     /*  29208 */     // GIR_Coverage, 22916,
     /*  29208 */     GIR_Done,
     /*  29209 */   // Label 750: @29209
     /*  29209 */   GIM_Reject,
     /*  29210 */ // Label 728: @29210
     /*  29210 */ GIM_Reject,
     /*  29211 */ // Label 665: @29211
     /*  29211 */ GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(29310), // Rule ID 19492 //
     /*  29216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  29219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  29222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  29226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  29230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  29234 */   // (or:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  29234 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  29237 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29241 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29246 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  29250 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  29255 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  29258 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29262 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29267 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  29271 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  29276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  29279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  29283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29288 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  29291 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  29294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  29296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29304 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  29309 */   // GIR_Coverage, 19492,
     /*  29309 */   GIR_EraseRootFromParent_Done,
     /*  29310 */ // Label 751: @29310
     /*  29310 */ GIM_Reject,
     /*  29311 */ // Label 666: @29311
     /*  29311 */ GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(29652),
     /*  29316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  29319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  29322 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(29384), // Rule ID 23360 //
     /*  29327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29342 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29345 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29349 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29366 */     // (or:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src1)  =>  (VPORrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  29369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29371 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  29373 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29382 */     GIR_RootConstrainSelectedInstOperands,
     /*  29383 */     // GIR_Coverage, 23360,
     /*  29383 */     GIR_EraseRootFromParent_Done,
     /*  29384 */   // Label 753: @29384
     /*  29384 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(29446), // Rule ID 24182 //
     /*  29389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29404 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29407 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29411 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29421 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29428 */     // (or:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPORQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  29431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29433 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  29435 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29444 */     GIR_RootConstrainSelectedInstOperands,
     /*  29445 */     // GIR_Coverage, 24182,
     /*  29445 */     GIR_EraseRootFromParent_Done,
     /*  29446 */   // Label 754: @29446
     /*  29446 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(29508), // Rule ID 2116 //
     /*  29451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29470 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29473 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29477 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29490 */     // (or:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  29493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29495 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29506 */     GIR_RootConstrainSelectedInstOperands,
     /*  29507 */     // GIR_Coverage, 2116,
     /*  29507 */     GIR_EraseRootFromParent_Done,
     /*  29508 */   // Label 755: @29508
     /*  29508 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(29570), // Rule ID 5760 //
     /*  29513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29532 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29535 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29539 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29552 */     // (or:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  29555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29557 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29559 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29568 */     GIR_RootConstrainSelectedInstOperands,
     /*  29569 */     // GIR_Coverage, 5760,
     /*  29569 */     GIR_EraseRootFromParent_Done,
     /*  29570 */   // Label 756: @29570
     /*  29570 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(29597), // Rule ID 2115 //
     /*  29575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29590 */     // (or:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPORrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  29590 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORrr),
     /*  29595 */     GIR_RootConstrainSelectedInstOperands,
     /*  29596 */     // GIR_Coverage, 2115,
     /*  29596 */     GIR_Done,
     /*  29597 */   // Label 757: @29597
     /*  29597 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(29624), // Rule ID 2117 //
     /*  29602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  29605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29617 */     // (or:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PORrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  29617 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PORrr),
     /*  29622 */     GIR_RootConstrainSelectedInstOperands,
     /*  29623 */     // GIR_Coverage, 2117,
     /*  29623 */     GIR_Done,
     /*  29624 */   // Label 758: @29624
     /*  29624 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(29651), // Rule ID 5757 //
     /*  29629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29644 */     // (or:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPORQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  29644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rr),
     /*  29649 */     GIR_RootConstrainSelectedInstOperands,
     /*  29650 */     // GIR_Coverage, 5757,
     /*  29650 */     GIR_Done,
     /*  29651 */   // Label 759: @29651
     /*  29651 */   GIM_Reject,
     /*  29652 */ // Label 752: @29652
     /*  29652 */ GIM_Reject,
     /*  29653 */ // Label 667: @29653
     /*  29653 */ GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(29752), // Rule ID 19493 //
     /*  29658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  29661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  29664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  29668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  29672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  29676 */   // (or:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  29676 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  29679 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29683 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29688 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  29692 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  29697 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  29700 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29704 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29709 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  29713 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  29718 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  29721 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  29725 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  29730 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  29733 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  29736 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  29738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  29741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  29746 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  29751 */   // GIR_Coverage, 19493,
     /*  29751 */   GIR_EraseRootFromParent_Done,
     /*  29752 */ // Label 760: @29752
     /*  29752 */ GIM_Reject,
     /*  29753 */ // Label 668: @29753
     /*  29753 */ GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(30094),
     /*  29758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29764 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(29826), // Rule ID 24200 //
     /*  29769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29784 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29787 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29791 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29808 */     // (or:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPORDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZ128rm),
     /*  29811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29813 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  29815 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29824 */     GIR_RootConstrainSelectedInstOperands,
     /*  29825 */     // GIR_Coverage, 24200,
     /*  29825 */     GIR_EraseRootFromParent_Done,
     /*  29826 */   // Label 762: @29826
     /*  29826 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(29888), // Rule ID 25253 //
     /*  29831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29846 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29849 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29853 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29870 */     // (or:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPORrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  29873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29875 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  29877 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29886 */     GIR_RootConstrainSelectedInstOperands,
     /*  29887 */     // GIR_Coverage, 25253,
     /*  29887 */     GIR_EraseRootFromParent_Done,
     /*  29888 */   // Label 763: @29888
     /*  29888 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(29950), // Rule ID 5787 //
     /*  29893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  29896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  29904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29912 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29915 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29919 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29925 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29932 */     // (or:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZ128rm),
     /*  29935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29937 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  29939 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  29943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  29948 */     GIR_RootConstrainSelectedInstOperands,
     /*  29949 */     // GIR_Coverage, 5787,
     /*  29949 */     GIR_EraseRootFromParent_Done,
     /*  29950 */   // Label 764: @29950
     /*  29950 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(30012), // Rule ID 18162 //
     /*  29955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  29958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  29966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  29974 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  29977 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  29981 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  29985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  29994 */     // (or:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  29994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  29997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29999 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30001 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30010 */     GIR_RootConstrainSelectedInstOperands,
     /*  30011 */     // GIR_Coverage, 18162,
     /*  30011 */     GIR_EraseRootFromParent_Done,
     /*  30012 */   // Label 765: @30012
     /*  30012 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(30039), // Rule ID 5784 //
     /*  30017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  30020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30032 */     // (or:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPORDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  30032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORDZ128rr),
     /*  30037 */     GIR_RootConstrainSelectedInstOperands,
     /*  30038 */     // GIR_Coverage, 5784,
     /*  30038 */     GIR_Done,
     /*  30039 */   // Label 766: @30039
     /*  30039 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(30066), // Rule ID 18150 //
     /*  30044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  30047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30059 */     // (or:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPORrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  30059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORrr),
     /*  30064 */     GIR_RootConstrainSelectedInstOperands,
     /*  30065 */     // GIR_Coverage, 18150,
     /*  30065 */     GIR_Done,
     /*  30066 */   // Label 767: @30066
     /*  30066 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(30093), // Rule ID 18174 //
     /*  30071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  30074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30086 */     // (or:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PORrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  30086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PORrr),
     /*  30091 */     GIR_RootConstrainSelectedInstOperands,
     /*  30092 */     // GIR_Coverage, 18174,
     /*  30092 */     GIR_Done,
     /*  30093 */   // Label 768: @30093
     /*  30093 */   GIM_Reject,
     /*  30094 */ // Label 761: @30094
     /*  30094 */ GIM_Reject,
     /*  30095 */ // Label 669: @30095
     /*  30095 */ GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(30560),
     /*  30100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  30103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  30106 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(30168), // Rule ID 23362 //
     /*  30111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  30114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30126 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30129 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30133 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30143 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30150 */     // (or:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VPORYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  30153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30155 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30157 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30166 */     GIR_RootConstrainSelectedInstOperands,
     /*  30167 */     // GIR_Coverage, 23362,
     /*  30167 */     GIR_EraseRootFromParent_Done,
     /*  30168 */   // Label 770: @30168
     /*  30168 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(30230), // Rule ID 24176 //
     /*  30173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  30176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30188 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30191 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30195 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30205 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30212 */     // (or:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPORQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  30215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30217 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30219 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30228 */     GIR_RootConstrainSelectedInstOperands,
     /*  30229 */     // GIR_Coverage, 24176,
     /*  30229 */     GIR_EraseRootFromParent_Done,
     /*  30230 */   // Label 771: @30230
     /*  30230 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(30292), // Rule ID 25243 //
     /*  30235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  30238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30250 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30253 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30257 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30267 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30274 */     // (or:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VORPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  30277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30279 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30281 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30290 */     GIR_RootConstrainSelectedInstOperands,
     /*  30291 */     // GIR_Coverage, 25243,
     /*  30291 */     GIR_EraseRootFromParent_Done,
     /*  30292 */   // Label 772: @30292
     /*  30292 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(30354), // Rule ID 2120 //
     /*  30297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  30300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30316 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30319 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30323 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30329 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30336 */     // (or:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  30339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30341 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30343 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30352 */     GIR_RootConstrainSelectedInstOperands,
     /*  30353 */     // GIR_Coverage, 2120,
     /*  30353 */     GIR_EraseRootFromParent_Done,
     /*  30354 */   // Label 773: @30354
     /*  30354 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(30416), // Rule ID 5751 //
     /*  30359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  30362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30378 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30381 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30385 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30398 */     // (or:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  30401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30403 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30405 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30414 */     GIR_RootConstrainSelectedInstOperands,
     /*  30415 */     // GIR_Coverage, 5751,
     /*  30415 */     GIR_EraseRootFromParent_Done,
     /*  30416 */   // Label 774: @30416
     /*  30416 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(30478), // Rule ID 18136 //
     /*  30421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  30424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30440 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30443 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30447 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30460 */     // (or:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VORPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  30463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30465 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30467 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30476 */     GIR_RootConstrainSelectedInstOperands,
     /*  30477 */     // GIR_Coverage, 18136,
     /*  30477 */     GIR_EraseRootFromParent_Done,
     /*  30478 */   // Label 775: @30478
     /*  30478 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(30505), // Rule ID 2119 //
     /*  30483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  30486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30498 */     // (or:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPORYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  30498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORYrr),
     /*  30503 */     GIR_RootConstrainSelectedInstOperands,
     /*  30504 */     // GIR_Coverage, 2119,
     /*  30504 */     GIR_Done,
     /*  30505 */   // Label 776: @30505
     /*  30505 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(30532), // Rule ID 5748 //
     /*  30510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  30513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  30525 */     // (or:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPORQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  30525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rr),
     /*  30530 */     GIR_RootConstrainSelectedInstOperands,
     /*  30531 */     // GIR_Coverage, 5748,
     /*  30531 */     GIR_Done,
     /*  30532 */   // Label 777: @30532
     /*  30532 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(30559), // Rule ID 18120 //
     /*  30537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  30540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  30552 */     // (or:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VORPSYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  30552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VORPSYrr),
     /*  30557 */     GIR_RootConstrainSelectedInstOperands,
     /*  30558 */     // GIR_Coverage, 18120,
     /*  30558 */     GIR_Done,
     /*  30559 */   // Label 778: @30559
     /*  30559 */   GIM_Reject,
     /*  30560 */ // Label 769: @30560
     /*  30560 */ GIM_Reject,
     /*  30561 */ // Label 670: @30561
     /*  30561 */ GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(30684),
     /*  30566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  30569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  30572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  30576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  30580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  30584 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(30599), // Rule ID 4418 //
     /*  30589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  30592 */     // (or:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (KORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  30592 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KORBkk),
     /*  30597 */     GIR_RootConstrainSelectedInstOperands,
     /*  30598 */     // GIR_Coverage, 4418,
     /*  30598 */     GIR_Done,
     /*  30599 */   // Label 780: @30599
     /*  30599 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(30683), // Rule ID 19490 //
     /*  30604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  30607 */     // (or:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  30607 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  30610 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30614 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30619 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  30623 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  30628 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  30631 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30635 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30640 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  30644 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  30649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  30652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  30656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30661 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  30664 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  30667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  30669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  30677 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  30682 */     // GIR_Coverage, 19490,
     /*  30682 */     GIR_EraseRootFromParent_Done,
     /*  30683 */   // Label 781: @30683
     /*  30683 */   GIM_Reject,
     /*  30684 */ // Label 779: @30684
     /*  30684 */ GIM_Reject,
     /*  30685 */ // Label 671: @30685
     /*  30685 */ GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(31026),
     /*  30690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  30696 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(30758), // Rule ID 25252 //
     /*  30701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  30704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30716 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30719 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30723 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30733 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30740 */     // (or:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPORrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  30743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30745 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30747 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30756 */     GIR_RootConstrainSelectedInstOperands,
     /*  30757 */     // GIR_Coverage, 25252,
     /*  30757 */     GIR_EraseRootFromParent_Done,
     /*  30758 */   // Label 783: @30758
     /*  30758 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(30820), // Rule ID 25432 //
     /*  30763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  30766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30778 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30781 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30785 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30802 */     // (or:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPORQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  30805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30807 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  30809 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30818 */     GIR_RootConstrainSelectedInstOperands,
     /*  30819 */     // GIR_Coverage, 25432,
     /*  30819 */     GIR_EraseRootFromParent_Done,
     /*  30820 */   // Label 784: @30820
     /*  30820 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(30882), // Rule ID 18161 //
     /*  30825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  30828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30844 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30847 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30851 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30864 */     // (or:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  30867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30869 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30871 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30880 */     GIR_RootConstrainSelectedInstOperands,
     /*  30881 */     // GIR_Coverage, 18161,
     /*  30881 */     GIR_EraseRootFromParent_Done,
     /*  30882 */   // Label 785: @30882
     /*  30882 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(30944), // Rule ID 20026 //
     /*  30887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  30890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  30898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  30906 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  30909 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  30913 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  30917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30919 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  30926 */     // (or:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  30926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  30929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30931 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  30933 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  30937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  30942 */     GIR_RootConstrainSelectedInstOperands,
     /*  30943 */     // GIR_Coverage, 20026,
     /*  30943 */     GIR_EraseRootFromParent_Done,
     /*  30944 */   // Label 786: @30944
     /*  30944 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(30971), // Rule ID 18149 //
     /*  30949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  30952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30964 */     // (or:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPORrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  30964 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORrr),
     /*  30969 */     GIR_RootConstrainSelectedInstOperands,
     /*  30970 */     // GIR_Coverage, 18149,
     /*  30970 */     GIR_Done,
     /*  30971 */   // Label 787: @30971
     /*  30971 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(30998), // Rule ID 18173 //
     /*  30976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  30979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  30991 */     // (or:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PORrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  30991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PORrr),
     /*  30996 */     GIR_RootConstrainSelectedInstOperands,
     /*  30997 */     // GIR_Coverage, 18173,
     /*  30997 */     GIR_Done,
     /*  30998 */   // Label 788: @30998
     /*  30998 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(31025), // Rule ID 20018 //
     /*  31003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  31006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31018 */     // (or:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPORQZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*  31018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rr),
     /*  31023 */     GIR_RootConstrainSelectedInstOperands,
     /*  31024 */     // GIR_Coverage, 20018,
     /*  31024 */     GIR_Done,
     /*  31025 */   // Label 789: @31025
     /*  31025 */   GIM_Reject,
     /*  31026 */ // Label 782: @31026
     /*  31026 */ GIM_Reject,
     /*  31027 */ // Label 672: @31027
     /*  31027 */ GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(31492),
     /*  31032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  31035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  31038 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(31100), // Rule ID 24194 //
     /*  31043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  31046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31058 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31061 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31065 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31075 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31082 */     // (or:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPORDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZ256rm),
     /*  31085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31087 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31089 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31098 */     GIR_RootConstrainSelectedInstOperands,
     /*  31099 */     // GIR_Coverage, 24194,
     /*  31099 */     GIR_EraseRootFromParent_Done,
     /*  31100 */   // Label 791: @31100
     /*  31100 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(31162), // Rule ID 25232 //
     /*  31105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  31108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31120 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31123 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31127 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31144 */     // (or:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPORYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  31147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31149 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31160 */     GIR_RootConstrainSelectedInstOperands,
     /*  31161 */     // GIR_Coverage, 25232,
     /*  31161 */     GIR_EraseRootFromParent_Done,
     /*  31162 */   // Label 792: @31162
     /*  31162 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(31224), // Rule ID 25242 //
     /*  31167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  31170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31182 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31185 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31189 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31206 */     // (or:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VORPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  31209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31211 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31222 */     GIR_RootConstrainSelectedInstOperands,
     /*  31223 */     // GIR_Coverage, 25242,
     /*  31223 */     GIR_EraseRootFromParent_Done,
     /*  31224 */   // Label 793: @31224
     /*  31224 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(31286), // Rule ID 5778 //
     /*  31229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  31232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31248 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31251 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31255 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31268 */     // (or:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZ256rm),
     /*  31271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31273 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31284 */     GIR_RootConstrainSelectedInstOperands,
     /*  31285 */     // GIR_Coverage, 5778,
     /*  31285 */     GIR_EraseRootFromParent_Done,
     /*  31286 */   // Label 794: @31286
     /*  31286 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(31348), // Rule ID 18106 //
     /*  31291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  31294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31310 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31313 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31317 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31330 */     // (or:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  31333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31335 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31337 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31346 */     GIR_RootConstrainSelectedInstOperands,
     /*  31347 */     // GIR_Coverage, 18106,
     /*  31347 */     GIR_EraseRootFromParent_Done,
     /*  31348 */   // Label 795: @31348
     /*  31348 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(31410), // Rule ID 18135 //
     /*  31353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  31356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31372 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31375 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31379 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31392 */     // (or:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VORPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  31395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31397 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31408 */     GIR_RootConstrainSelectedInstOperands,
     /*  31409 */     // GIR_Coverage, 18135,
     /*  31409 */     GIR_EraseRootFromParent_Done,
     /*  31410 */   // Label 796: @31410
     /*  31410 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(31437), // Rule ID 5775 //
     /*  31415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  31418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  31430 */     // (or:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPORDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  31430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORDZ256rr),
     /*  31435 */     GIR_RootConstrainSelectedInstOperands,
     /*  31436 */     // GIR_Coverage, 5775,
     /*  31436 */     GIR_Done,
     /*  31437 */   // Label 797: @31437
     /*  31437 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(31464), // Rule ID 18094 //
     /*  31442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  31445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31457 */     // (or:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPORYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  31457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORYrr),
     /*  31462 */     GIR_RootConstrainSelectedInstOperands,
     /*  31463 */     // GIR_Coverage, 18094,
     /*  31463 */     GIR_Done,
     /*  31464 */   // Label 798: @31464
     /*  31464 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(31491), // Rule ID 18119 //
     /*  31469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  31472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  31484 */     // (or:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VORPSYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  31484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VORPSYrr),
     /*  31489 */     GIR_RootConstrainSelectedInstOperands,
     /*  31490 */     // GIR_Coverage, 18119,
     /*  31490 */     GIR_Done,
     /*  31491 */   // Label 799: @31491
     /*  31491 */   GIM_Reject,
     /*  31492 */ // Label 790: @31492
     /*  31492 */ GIM_Reject,
     /*  31493 */ // Label 673: @31493
     /*  31493 */ GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(31648),
     /*  31498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  31501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  31504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31508 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(31566), // Rule ID 24170 //
     /*  31513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  31516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31524 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31527 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31531 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31548 */     // (or:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPORQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  31551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31553 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31564 */     GIR_RootConstrainSelectedInstOperands,
     /*  31565 */     // GIR_Coverage, 24170,
     /*  31565 */     GIR_EraseRootFromParent_Done,
     /*  31566 */   // Label 801: @31566
     /*  31566 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(31624), // Rule ID 5742 //
     /*  31571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  31574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31586 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31589 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31593 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31606 */     // (or:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  31609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31611 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31613 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31622 */     GIR_RootConstrainSelectedInstOperands,
     /*  31623 */     // GIR_Coverage, 5742,
     /*  31623 */     GIR_EraseRootFromParent_Done,
     /*  31624 */   // Label 802: @31624
     /*  31624 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(31647), // Rule ID 5739 //
     /*  31629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  31632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  31640 */     // (or:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPORQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  31640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZrr),
     /*  31645 */     GIR_RootConstrainSelectedInstOperands,
     /*  31646 */     // GIR_Coverage, 5739,
     /*  31646 */     GIR_Done,
     /*  31647 */   // Label 803: @31647
     /*  31647 */   GIM_Reject,
     /*  31648 */ // Label 800: @31648
     /*  31648 */ GIM_Reject,
     /*  31649 */ // Label 674: @31649
     /*  31649 */ GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(31682), // Rule ID 4419 //
     /*  31654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  31657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  31660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  31663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  31667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  31671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  31675 */   // (or:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)  =>  (KORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  31675 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KORWkk),
     /*  31680 */   GIR_RootConstrainSelectedInstOperands,
     /*  31681 */   // GIR_Coverage, 4419,
     /*  31681 */   GIR_Done,
     /*  31682 */ // Label 804: @31682
     /*  31682 */ GIM_Reject,
     /*  31683 */ // Label 675: @31683
     /*  31683 */ GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(32024),
     /*  31688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  31691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  31694 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(31756), // Rule ID 25251 //
     /*  31699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  31702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31714 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31717 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31721 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31731 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31738 */     // (or:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPORrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  31741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31743 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31745 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31754 */     GIR_RootConstrainSelectedInstOperands,
     /*  31755 */     // GIR_Coverage, 25251,
     /*  31755 */     GIR_EraseRootFromParent_Done,
     /*  31756 */   // Label 806: @31756
     /*  31756 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(31818), // Rule ID 25431 //
     /*  31761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  31764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31776 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31779 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31783 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31793 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31800 */     // (or:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPORQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  31803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31805 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  31807 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31816 */     GIR_RootConstrainSelectedInstOperands,
     /*  31817 */     // GIR_Coverage, 25431,
     /*  31817 */     GIR_EraseRootFromParent_Done,
     /*  31818 */   // Label 807: @31818
     /*  31818 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(31880), // Rule ID 18160 //
     /*  31823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  31826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31842 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31845 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31849 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31855 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31862 */     // (or:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORrm),
     /*  31865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31867 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31869 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31878 */     GIR_RootConstrainSelectedInstOperands,
     /*  31879 */     // GIR_Coverage, 18160,
     /*  31879 */     GIR_EraseRootFromParent_Done,
     /*  31880 */   // Label 808: @31880
     /*  31880 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(31942), // Rule ID 20025 //
     /*  31885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  31888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  31896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  31904 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  31907 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  31911 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  31915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  31924 */     // (or:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  31924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rm),
     /*  31927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31929 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  31931 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  31935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  31940 */     GIR_RootConstrainSelectedInstOperands,
     /*  31941 */     // GIR_Coverage, 20025,
     /*  31941 */     GIR_EraseRootFromParent_Done,
     /*  31942 */   // Label 809: @31942
     /*  31942 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(31969), // Rule ID 18148 //
     /*  31947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  31950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31962 */     // (or:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPORrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  31962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORrr),
     /*  31967 */     GIR_RootConstrainSelectedInstOperands,
     /*  31968 */     // GIR_Coverage, 18148,
     /*  31968 */     GIR_Done,
     /*  31969 */   // Label 810: @31969
     /*  31969 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(31996), // Rule ID 18172 //
     /*  31974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  31977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  31989 */     // (or:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PORrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  31989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PORrr),
     /*  31994 */     GIR_RootConstrainSelectedInstOperands,
     /*  31995 */     // GIR_Coverage, 18172,
     /*  31995 */     GIR_Done,
     /*  31996 */   // Label 811: @31996
     /*  31996 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(32023), // Rule ID 20017 //
     /*  32001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  32008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  32012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  32016 */     // (or:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPORQZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*  32016 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ128rr),
     /*  32021 */     GIR_RootConstrainSelectedInstOperands,
     /*  32022 */     // GIR_Coverage, 20017,
     /*  32022 */     GIR_Done,
     /*  32023 */   // Label 812: @32023
     /*  32023 */   GIM_Reject,
     /*  32024 */ // Label 805: @32024
     /*  32024 */ GIM_Reject,
     /*  32025 */ // Label 676: @32025
     /*  32025 */ GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(32490),
     /*  32030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  32033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  32036 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(32098), // Rule ID 25231 //
     /*  32041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32056 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32059 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32063 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32080 */     // (or:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPORYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  32083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32085 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32087 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32096 */     GIR_RootConstrainSelectedInstOperands,
     /*  32097 */     // GIR_Coverage, 25231,
     /*  32097 */     GIR_EraseRootFromParent_Done,
     /*  32098 */   // Label 814: @32098
     /*  32098 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(32160), // Rule ID 25241 //
     /*  32103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32118 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32121 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32125 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32142 */     // (or:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VORPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  32145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32147 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32149 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32158 */     GIR_RootConstrainSelectedInstOperands,
     /*  32159 */     // GIR_Coverage, 25241,
     /*  32159 */     GIR_EraseRootFromParent_Done,
     /*  32160 */   // Label 815: @32160
     /*  32160 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(32222), // Rule ID 25438 //
     /*  32165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32180 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32183 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32187 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32197 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32204 */     // (or:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPORQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  32207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32209 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32211 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32220 */     GIR_RootConstrainSelectedInstOperands,
     /*  32221 */     // GIR_Coverage, 25438,
     /*  32221 */     GIR_EraseRootFromParent_Done,
     /*  32222 */   // Label 816: @32222
     /*  32222 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(32284), // Rule ID 18105 //
     /*  32227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32246 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32249 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32253 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32259 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32266 */     // (or:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  32269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32271 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32273 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32282 */     GIR_RootConstrainSelectedInstOperands,
     /*  32283 */     // GIR_Coverage, 18105,
     /*  32283 */     GIR_EraseRootFromParent_Done,
     /*  32284 */   // Label 817: @32284
     /*  32284 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(32346), // Rule ID 18134 //
     /*  32289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32308 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32311 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32315 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32321 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32328 */     // (or:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VORPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  32331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32333 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32335 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32344 */     GIR_RootConstrainSelectedInstOperands,
     /*  32345 */     // GIR_Coverage, 18134,
     /*  32345 */     GIR_EraseRootFromParent_Done,
     /*  32346 */   // Label 818: @32346
     /*  32346 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(32408), // Rule ID 20042 //
     /*  32351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32370 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32373 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32377 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32383 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32390 */     // (or:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  32393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32395 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32397 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32406 */     GIR_RootConstrainSelectedInstOperands,
     /*  32407 */     // GIR_Coverage, 20042,
     /*  32407 */     GIR_EraseRootFromParent_Done,
     /*  32408 */   // Label 819: @32408
     /*  32408 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(32435), // Rule ID 18093 //
     /*  32413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32428 */     // (or:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPORYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  32428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORYrr),
     /*  32433 */     GIR_RootConstrainSelectedInstOperands,
     /*  32434 */     // GIR_Coverage, 18093,
     /*  32434 */     GIR_Done,
     /*  32435 */   // Label 820: @32435
     /*  32435 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(32462), // Rule ID 18118 //
     /*  32440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32455 */     // (or:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VORPSYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  32455 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VORPSYrr),
     /*  32460 */     GIR_RootConstrainSelectedInstOperands,
     /*  32461 */     // GIR_Coverage, 18118,
     /*  32461 */     GIR_Done,
     /*  32462 */   // Label 821: @32462
     /*  32462 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(32489), // Rule ID 20034 //
     /*  32467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32482 */     // (or:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPORQZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  32482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rr),
     /*  32487 */     GIR_RootConstrainSelectedInstOperands,
     /*  32488 */     // GIR_Coverage, 20034,
     /*  32488 */     GIR_Done,
     /*  32489 */   // Label 822: @32489
     /*  32489 */   GIM_Reject,
     /*  32490 */ // Label 813: @32490
     /*  32490 */ GIM_Reject,
     /*  32491 */ // Label 677: @32491
     /*  32491 */ GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(32646),
     /*  32496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  32499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  32502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32506 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(32564), // Rule ID 24188 //
     /*  32511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  32514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32522 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32525 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32529 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32539 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32546 */     // (or:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPORDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZrm),
     /*  32549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32551 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32553 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32562 */     GIR_RootConstrainSelectedInstOperands,
     /*  32563 */     // GIR_Coverage, 24188,
     /*  32563 */     GIR_EraseRootFromParent_Done,
     /*  32564 */   // Label 824: @32564
     /*  32564 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(32622), // Rule ID 5769 //
     /*  32569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  32572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32584 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32587 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32591 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32597 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32604 */     // (or:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORDZrm),
     /*  32607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32609 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32611 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32620 */     GIR_RootConstrainSelectedInstOperands,
     /*  32621 */     // GIR_Coverage, 5769,
     /*  32621 */     GIR_EraseRootFromParent_Done,
     /*  32622 */   // Label 825: @32622
     /*  32622 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(32645), // Rule ID 5766 //
     /*  32627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  32630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  32638 */     // (or:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPORDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  32638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORDZrr),
     /*  32643 */     GIR_RootConstrainSelectedInstOperands,
     /*  32644 */     // GIR_Coverage, 5766,
     /*  32644 */     GIR_Done,
     /*  32645 */   // Label 826: @32645
     /*  32645 */   GIM_Reject,
     /*  32646 */ // Label 823: @32646
     /*  32646 */ GIM_Reject,
     /*  32647 */ // Label 678: @32647
     /*  32647 */ GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(32680), // Rule ID 4420 //
     /*  32652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  32655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  32658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  32661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  32665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  32669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  32673 */   // (or:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)  =>  (KORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  32673 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KORDkk),
     /*  32678 */   GIR_RootConstrainSelectedInstOperands,
     /*  32679 */   // GIR_Coverage, 4420,
     /*  32679 */   GIR_Done,
     /*  32680 */ // Label 827: @32680
     /*  32680 */ GIM_Reject,
     /*  32681 */ // Label 679: @32681
     /*  32681 */ GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(33146),
     /*  32686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*  32689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  32692 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(32754), // Rule ID 25230 //
     /*  32697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32712 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32715 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32719 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32736 */     // (or:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPORYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  32739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32741 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32752 */     GIR_RootConstrainSelectedInstOperands,
     /*  32753 */     // GIR_Coverage, 25230,
     /*  32753 */     GIR_EraseRootFromParent_Done,
     /*  32754 */   // Label 829: @32754
     /*  32754 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(32816), // Rule ID 25240 //
     /*  32759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32774 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32777 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32781 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32791 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32798 */     // (or:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VORPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  32801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32803 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32805 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32814 */     GIR_RootConstrainSelectedInstOperands,
     /*  32815 */     // GIR_Coverage, 25240,
     /*  32815 */     GIR_EraseRootFromParent_Done,
     /*  32816 */   // Label 830: @32816
     /*  32816 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(32878), // Rule ID 25437 //
     /*  32821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  32824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32836 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32839 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32843 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  32851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32860 */     // (or:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPORQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  32863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32865 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  32867 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32876 */     GIR_RootConstrainSelectedInstOperands,
     /*  32877 */     // GIR_Coverage, 25437,
     /*  32877 */     GIR_EraseRootFromParent_Done,
     /*  32878 */   // Label 831: @32878
     /*  32878 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(32940), // Rule ID 18104 //
     /*  32883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  32886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32902 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32905 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32909 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32915 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32922 */     // (or:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORYrm),
     /*  32925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32927 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32929 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  32938 */     GIR_RootConstrainSelectedInstOperands,
     /*  32939 */     // GIR_Coverage, 18104,
     /*  32939 */     GIR_EraseRootFromParent_Done,
     /*  32940 */   // Label 832: @32940
     /*  32940 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(33002), // Rule ID 18133 //
     /*  32945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  32948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  32956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  32964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  32967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  32971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  32975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  32984 */     // (or:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VORPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  32984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VORPSYrm),
     /*  32987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32989 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  32991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  32995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33000 */     GIR_RootConstrainSelectedInstOperands,
     /*  33001 */     // GIR_Coverage, 18133,
     /*  33001 */     GIR_EraseRootFromParent_Done,
     /*  33002 */   // Label 833: @33002
     /*  33002 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(33064), // Rule ID 20041 //
     /*  33007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  33010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33026 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33029 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33033 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33039 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33046 */     // (or:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rm),
     /*  33049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33051 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  33053 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33062 */     GIR_RootConstrainSelectedInstOperands,
     /*  33063 */     // GIR_Coverage, 20041,
     /*  33063 */     GIR_EraseRootFromParent_Done,
     /*  33064 */   // Label 834: @33064
     /*  33064 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(33091), // Rule ID 18092 //
     /*  33069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  33072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33084 */     // (or:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPORYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  33084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORYrr),
     /*  33089 */     GIR_RootConstrainSelectedInstOperands,
     /*  33090 */     // GIR_Coverage, 18092,
     /*  33090 */     GIR_Done,
     /*  33091 */   // Label 835: @33091
     /*  33091 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(33118), // Rule ID 18117 //
     /*  33096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  33099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  33111 */     // (or:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VORPSYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  33111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VORPSYrr),
     /*  33116 */     GIR_RootConstrainSelectedInstOperands,
     /*  33117 */     // GIR_Coverage, 18117,
     /*  33117 */     GIR_Done,
     /*  33118 */   // Label 836: @33118
     /*  33118 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(33145), // Rule ID 20033 //
     /*  33123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  33126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  33138 */     // (or:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPORQZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*  33138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZ256rr),
     /*  33143 */     GIR_RootConstrainSelectedInstOperands,
     /*  33144 */     // GIR_Coverage, 20033,
     /*  33144 */     GIR_Done,
     /*  33145 */   // Label 837: @33145
     /*  33145 */   GIM_Reject,
     /*  33146 */ // Label 828: @33146
     /*  33146 */ GIM_Reject,
     /*  33147 */ // Label 680: @33147
     /*  33147 */ GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(33302),
     /*  33152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  33155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  33158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33162 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(33220), // Rule ID 25444 //
     /*  33167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33178 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33181 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33185 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33195 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33202 */     // (or:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPORQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  33205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33207 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  33209 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33218 */     GIR_RootConstrainSelectedInstOperands,
     /*  33219 */     // GIR_Coverage, 25444,
     /*  33219 */     GIR_EraseRootFromParent_Done,
     /*  33220 */   // Label 839: @33220
     /*  33220 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(33278), // Rule ID 20058 //
     /*  33225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33240 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33243 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33247 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33260 */     // (or:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  33263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33265 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  33267 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33276 */     GIR_RootConstrainSelectedInstOperands,
     /*  33277 */     // GIR_Coverage, 20058,
     /*  33277 */     GIR_EraseRootFromParent_Done,
     /*  33278 */   // Label 840: @33278
     /*  33278 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(33301), // Rule ID 20050 //
     /*  33283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33294 */     // (or:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPORQZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  33294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZrr),
     /*  33299 */     GIR_RootConstrainSelectedInstOperands,
     /*  33300 */     // GIR_Coverage, 20050,
     /*  33300 */     GIR_Done,
     /*  33301 */   // Label 841: @33301
     /*  33301 */   GIM_Reject,
     /*  33302 */ // Label 838: @33302
     /*  33302 */ GIM_Reject,
     /*  33303 */ // Label 681: @33303
     /*  33303 */ GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(33336), // Rule ID 4421 //
     /*  33308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  33311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  33314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  33317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  33321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  33325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  33329 */   // (or:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)  =>  (KORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  33329 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KORQkk),
     /*  33334 */   GIR_RootConstrainSelectedInstOperands,
     /*  33335 */   // GIR_Coverage, 4421,
     /*  33335 */   GIR_Done,
     /*  33336 */ // Label 842: @33336
     /*  33336 */ GIM_Reject,
     /*  33337 */ // Label 682: @33337
     /*  33337 */ GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(33492),
     /*  33342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*  33345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*  33348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33352 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(33410), // Rule ID 25443 //
     /*  33357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33368 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33371 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33375 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33385 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33392 */     // (or:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPORQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  33395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33397 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  33399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33408 */     GIR_RootConstrainSelectedInstOperands,
     /*  33409 */     // GIR_Coverage, 25443,
     /*  33409 */     GIR_EraseRootFromParent_Done,
     /*  33410 */   // Label 844: @33410
     /*  33410 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(33468), // Rule ID 20057 //
     /*  33415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  33430 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  33433 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  33437 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  33441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  33450 */     // (or:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPORQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  33450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPORQZrm),
     /*  33453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33455 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  33457 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  33461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  33466 */     GIR_RootConstrainSelectedInstOperands,
     /*  33467 */     // GIR_Coverage, 20057,
     /*  33467 */     GIR_EraseRootFromParent_Done,
     /*  33468 */   // Label 845: @33468
     /*  33468 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(33491), // Rule ID 20049 //
     /*  33473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  33476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  33484 */     // (or:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPORQZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*  33484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPORQZrr),
     /*  33489 */     GIR_RootConstrainSelectedInstOperands,
     /*  33490 */     // GIR_Coverage, 20049,
     /*  33490 */     GIR_Done,
     /*  33491 */   // Label 846: @33491
     /*  33491 */   GIM_Reject,
     /*  33492 */ // Label 843: @33492
     /*  33492 */ GIM_Reject,
     /*  33493 */ // Label 683: @33493
     /*  33493 */ GIM_Reject,
     /*  33494 */ // Label 5: @33494
     /*  33494 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(25), /*)*//*default:*//*Label 870*/ GIMT_Encode4(46194),
     /*  33505 */ /*GILLT_s1*//*Label 847*/ GIMT_Encode4(33605),
     /*  33509 */ /*GILLT_s8*//*Label 848*/ GIMT_Encode4(34163),
     /*  33513 */ /*GILLT_s16*//*Label 849*/ GIMT_Encode4(34690),
     /*  33517 */ /*GILLT_s32*//*Label 850*/ GIMT_Encode4(35435),
     /*  33521 */ /*GILLT_s64*//*Label 851*/ GIMT_Encode4(36383), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  33533 */ /*GILLT_v2s1*//*Label 852*/ GIMT_Encode4(37290),
     /*  33537 */ /*GILLT_v2s64*//*Label 853*/ GIMT_Encode4(37832),
     /*  33541 */ /*GILLT_v4s1*//*Label 854*/ GIMT_Encode4(38452),
     /*  33545 */ /*GILLT_v4s32*//*Label 855*/ GIMT_Encode4(38994),
     /*  33549 */ /*GILLT_v4s64*//*Label 856*/ GIMT_Encode4(39614),
     /*  33553 */ /*GILLT_v8s1*//*Label 857*/ GIMT_Encode4(40358),
     /*  33557 */ /*GILLT_v8s16*//*Label 858*/ GIMT_Encode4(41156),
     /*  33561 */ /*GILLT_v8s32*//*Label 859*/ GIMT_Encode4(41776),
     /*  33565 */ /*GILLT_v8s64*//*Label 860*/ GIMT_Encode4(42520),
     /*  33569 */ /*GILLT_v16s1*//*Label 861*/ GIMT_Encode4(42718),
     /*  33573 */ /*GILLT_v16s8*//*Label 862*/ GIMT_Encode4(42976),
     /*  33577 */ /*GILLT_v16s16*//*Label 863*/ GIMT_Encode4(43596),
     /*  33581 */ /*GILLT_v16s32*//*Label 864*/ GIMT_Encode4(44340),
     /*  33585 */ /*GILLT_v32s1*//*Label 865*/ GIMT_Encode4(44538),
     /*  33589 */ /*GILLT_v32s8*//*Label 866*/ GIMT_Encode4(44796),
     /*  33593 */ /*GILLT_v32s16*//*Label 867*/ GIMT_Encode4(45540),
     /*  33597 */ /*GILLT_v64s1*//*Label 868*/ GIMT_Encode4(45738),
     /*  33601 */ /*GILLT_v64s8*//*Label 869*/ GIMT_Encode4(45996),
     /*  33605 */ // Label 847: @33605
     /*  33605 */ GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(34162),
     /*  33610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s1,
     /*  33613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s1,
     /*  33616 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(33740), // Rule ID 25369 //
     /*  33621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  33633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  33637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  33641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33650 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  33656 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  33658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33664 */     // (xor:{ *:[v1i1] } (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, immAllOnesV:{ *:[v1i1] }), VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  33664 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  33667 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33671 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33676 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  33680 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33685 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  33688 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33692 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33697 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  33701 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  33709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  33713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33718 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  33721 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  33724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  33726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  33734 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  33739 */     // GIR_Coverage, 25369,
     /*  33739 */     GIR_EraseRootFromParent_Done,
     /*  33740 */   // Label 872: @33740
     /*  33740 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(33865), // Rule ID 19495 //
     /*  33745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  33757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  33761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  33765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  33779 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  33785 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  33787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33789 */     // (xor:{ *:[v1i1] } (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, VK1:{ *:[v1i1] }:$src2), immAllOnesV:{ *:[v1i1] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  33789 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  33792 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33796 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33801 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  33805 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33810 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  33813 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33817 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33822 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  33826 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  33834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  33838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33843 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  33846 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  33849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  33851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  33859 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  33864 */     // GIR_Coverage, 19495,
     /*  33864 */     GIR_EraseRootFromParent_Done,
     /*  33865 */   // Label 873: @33865
     /*  33865 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(33989), // Rule ID 25370 //
     /*  33870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  33886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s1,
     /*  33890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s1,
     /*  33894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  33899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33903 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  33909 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  33911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33913 */     // (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src2, (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, immAllOnesV:{ *:[v1i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  33913 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  33916 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33920 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33925 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  33929 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33934 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  33937 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33941 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33946 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  33950 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  33955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  33958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  33962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  33967 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  33970 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  33973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  33975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  33978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  33983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  33988 */     // GIR_Coverage, 25370,
     /*  33988 */     GIR_EraseRootFromParent_Done,
     /*  33989 */   // Label 874: @33989
     /*  33989 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(34068), // Rule ID 19481 //
     /*  33994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  33998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  34002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34006 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  34012 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  34014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34016 */     // (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src, immAllOnesV:{ *:[v1i1] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  34016 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  34019 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34023 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34028 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  34032 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  34037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  34040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  34044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34049 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  34052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  34054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34062 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  34067 */     // GIR_Coverage, 19481,
     /*  34067 */     GIR_EraseRootFromParent_Done,
     /*  34068 */   // Label 875: @34068
     /*  34068 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(34161), // Rule ID 19499 //
     /*  34073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  34077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  34081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  34085 */     // (xor:{ *:[v1i1] } VK1:{ *:[v1i1] }:$src1, VK1:{ *:[v1i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KXORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK1:{ *:[v1i1] }:$src2, VK16:{ *:[i32] })), VK1:{ *:[i32] })
     /*  34085 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  34088 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34092 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34097 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  34101 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  34106 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  34109 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34113 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34118 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  34122 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  34127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  34130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  34134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  34139 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  34142 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  34145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  34147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  34150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  34155 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  34160 */     // GIR_Coverage, 19499,
     /*  34160 */     GIR_EraseRootFromParent_Done,
     /*  34161 */   // Label 876: @34161
     /*  34161 */   GIM_Reject,
     /*  34162 */ // Label 871: @34162
     /*  34162 */ GIM_Reject,
     /*  34163 */ // Label 848: @34163
     /*  34163 */ GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(34689),
     /*  34168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*  34171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  34174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34178 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(34234), // Rule ID 273 //
     /*  34183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  34186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34194 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34197 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34201 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34205 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  34209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34211 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34218 */     // (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, -1:{ *:[i8] })  =>  (NOT8m_ND:{ *:[i8] } addr:{ *:[iPTR] }:$src1)
     /*  34218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8m_ND),
     /*  34221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34223 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  34227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34232 */     GIR_RootConstrainSelectedInstOperands,
     /*  34233 */     // GIR_Coverage, 273,
     /*  34233 */     GIR_EraseRootFromParent_Done,
     /*  34234 */   // Label 878: @34234
     /*  34234 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(34295), // Rule ID 26062 //
     /*  34239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34250 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34253 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34257 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34267 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34274 */     // (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (XOR8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8rm),
     /*  34277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34279 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  34281 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34293 */     GIR_RootConstrainSelectedInstOperands,
     /*  34294 */     // GIR_Coverage, 26062,
     /*  34294 */     GIR_EraseRootFromParent_Done,
     /*  34295 */   // Label 879: @34295
     /*  34295 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(34356), // Rule ID 26081 //
     /*  34300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34311 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34314 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34318 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34335 */     // (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, GR8:{ *:[i8] }:$src1)  =>  (XOR8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8rm_ND),
     /*  34338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34340 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  34342 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34354 */     GIR_RootConstrainSelectedInstOperands,
     /*  34355 */     // GIR_Coverage, 26081,
     /*  34355 */     GIR_EraseRootFromParent_Done,
     /*  34356 */   // Label 880: @34356
     /*  34356 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(34417), // Rule ID 22839 //
     /*  34361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34376 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34379 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34383 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34389 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34396 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (XOR8rm:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8rm),
     /*  34399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34401 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34403 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34415 */     GIR_RootConstrainSelectedInstOperands,
     /*  34416 */     // GIR_Coverage, 22839,
     /*  34416 */     GIR_EraseRootFromParent_Done,
     /*  34417 */   // Label 881: @34417
     /*  34417 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(34478), // Rule ID 22929 //
     /*  34422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34437 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34440 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34444 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  34448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34450 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34457 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>)  =>  (XOR8rm_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8rm_ND),
     /*  34460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34462 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34464 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34476 */     GIR_RootConstrainSelectedInstOperands,
     /*  34477 */     // GIR_Coverage, 22929,
     /*  34477 */     GIR_EraseRootFromParent_Done,
     /*  34478 */   // Label 882: @34478
     /*  34478 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(34506), // Rule ID 22596 //
     /*  34483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-128),
     /*  34491 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, -128:{ *:[i8] })  =>  (ADD8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, -128:{ *:[i8] })
     /*  34491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8ri),
     /*  34494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34496 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*  34501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34504 */     GIR_RootConstrainSelectedInstOperands,
     /*  34505 */     // GIR_Coverage, 22596,
     /*  34505 */     GIR_EraseRootFromParent_Done,
     /*  34506 */   // Label 883: @34506
     /*  34506 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(34531), // Rule ID 245 //
     /*  34511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34518 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  34522 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, -1:{ *:[i8] })  =>  (NOT8r:{ *:[i8] } GR8:{ *:[i8] }:$src1)
     /*  34522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8r),
     /*  34525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34529 */     GIR_RootConstrainSelectedInstOperands,
     /*  34530 */     // GIR_Coverage, 245,
     /*  34530 */     GIR_EraseRootFromParent_Done,
     /*  34531 */   // Label 884: @34531
     /*  34531 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(34556), // Rule ID 253 //
     /*  34536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  34539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34543 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  34547 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, -1:{ *:[i8] })  =>  (NOT8r_ND:{ *:[i8] } GR8:{ *:[i8] }:$src1)
     /*  34547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8r_ND),
     /*  34550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34552 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34554 */     GIR_RootConstrainSelectedInstOperands,
     /*  34555 */     // GIR_Coverage, 253,
     /*  34555 */     GIR_EraseRootFromParent_Done,
     /*  34556 */   // Label 885: @34556
     /*  34556 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(34593), // Rule ID 22843 //
     /*  34561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  34576 */     // MIs[1] Operand 1
     /*  34576 */     // No operand predicates
     /*  34576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34578 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (XOR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  34578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8ri),
     /*  34581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34583 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  34588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34591 */     GIR_RootConstrainSelectedInstOperands,
     /*  34592 */     // GIR_Coverage, 22843,
     /*  34592 */     GIR_EraseRootFromParent_Done,
     /*  34593 */   // Label 886: @34593
     /*  34593 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(34630), // Rule ID 22933 //
     /*  34598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  34613 */     // MIs[1] Operand 1
     /*  34613 */     // No operand predicates
     /*  34613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34615 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (XOR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  34615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8ri_ND),
     /*  34618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34620 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  34625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34628 */     GIR_RootConstrainSelectedInstOperands,
     /*  34629 */     // GIR_Coverage, 22933,
     /*  34629 */     GIR_EraseRootFromParent_Done,
     /*  34630 */   // Label 887: @34630
     /*  34630 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(34659), // Rule ID 22835 //
     /*  34635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34646 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (XOR8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  34646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR8rr),
     /*  34651 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  34657 */     GIR_RootConstrainSelectedInstOperands,
     /*  34658 */     // GIR_Coverage, 22835,
     /*  34658 */     GIR_Done,
     /*  34659 */   // Label 888: @34659
     /*  34659 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(34688), // Rule ID 22925 //
     /*  34664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  34675 */     // (xor:{ *:[i8] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (XOR8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  34675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR8rr_ND),
     /*  34680 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  34686 */     GIR_RootConstrainSelectedInstOperands,
     /*  34687 */     // GIR_Coverage, 22925,
     /*  34687 */     GIR_Done,
     /*  34688 */   // Label 889: @34688
     /*  34688 */   GIM_Reject,
     /*  34689 */ // Label 877: @34689
     /*  34689 */ GIM_Reject,
     /*  34690 */ // Label 849: @34690
     /*  34690 */ GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(35434),
     /*  34695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  34698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  34701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34705 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(34761), // Rule ID 274 //
     /*  34710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  34713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34721 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34724 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34728 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  34736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34738 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34745 */     // (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, -1:{ *:[i16] })  =>  (NOT16m_ND:{ *:[i16] } addr:{ *:[iPTR] }:$src1)
     /*  34745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16m_ND),
     /*  34748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34750 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  34754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34759 */     GIR_RootConstrainSelectedInstOperands,
     /*  34760 */     // GIR_Coverage, 274,
     /*  34760 */     GIR_EraseRootFromParent_Done,
     /*  34761 */   // Label 891: @34761
     /*  34761 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(34822), // Rule ID 26063 //
     /*  34766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34777 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34780 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34784 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34794 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34801 */     // (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (XOR16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16rm),
     /*  34804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34806 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  34808 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34820 */     GIR_RootConstrainSelectedInstOperands,
     /*  34821 */     // GIR_Coverage, 26063,
     /*  34821 */     GIR_EraseRootFromParent_Done,
     /*  34822 */   // Label 892: @34822
     /*  34822 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(34883), // Rule ID 26082 //
     /*  34827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34838 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34841 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34845 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34855 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34862 */     // (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, GR16:{ *:[i16] }:$src1)  =>  (XOR16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16rm_ND),
     /*  34865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34867 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  34869 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34881 */     GIR_RootConstrainSelectedInstOperands,
     /*  34882 */     // GIR_Coverage, 26082,
     /*  34882 */     GIR_EraseRootFromParent_Done,
     /*  34883 */   // Label 893: @34883
     /*  34883 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(34944), // Rule ID 22840 //
     /*  34888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  34891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34903 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34906 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34910 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34916 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34923 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (XOR16rm:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16rm),
     /*  34926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34928 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34930 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  34942 */     GIR_RootConstrainSelectedInstOperands,
     /*  34943 */     // GIR_Coverage, 22840,
     /*  34943 */     GIR_EraseRootFromParent_Done,
     /*  34944 */   // Label 894: @34944
     /*  34944 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(35005), // Rule ID 22930 //
     /*  34949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  34952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  34956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  34964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  34967 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  34971 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  34975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  34984 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (XOR16rm_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  34984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16rm_ND),
     /*  34987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34989 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  34991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  34995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  34998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35003 */     GIR_RootConstrainSelectedInstOperands,
     /*  35004 */     // GIR_Coverage, 22930,
     /*  35004 */     GIR_EraseRootFromParent_Done,
     /*  35005 */   // Label 895: @35005
     /*  35005 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(35047), // Rule ID 22597 //
     /*  35010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35014 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(-32768),
     /*  35025 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, -32768:{ *:[i16] })  =>  (ADD16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, -32768:{ *:[i16] })
     /*  35025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16ri),
     /*  35028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35030 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35032 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-32768),
     /*  35042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35045 */     GIR_RootConstrainSelectedInstOperands,
     /*  35046 */     // GIR_Coverage, 22597,
     /*  35046 */     GIR_EraseRootFromParent_Done,
     /*  35047 */   // Label 896: @35047
     /*  35047 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(35149), // Rule ID 26035 //
     /*  35052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  35060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  35064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  35068 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  35072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  35077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35083 */     // (xor:{ *:[i16] } (shl:{ *:[i16] } 1:{ *:[i16] }, GR8:{ *:[i8] }:$src2), GR16:{ *:[i16] }:$src1)  =>  (BTC16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  35083 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  35086 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35090 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  35097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  35100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  35104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35109 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  35112 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  35116 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  35119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  35124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  35129 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  35134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC16rr),
     /*  35137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35139 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  35141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35147 */     GIR_RootConstrainSelectedInstOperands,
     /*  35148 */     // GIR_Coverage, 26035,
     /*  35148 */     GIR_EraseRootFromParent_Done,
     /*  35149 */   // Label 897: @35149
     /*  35149 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(35251), // Rule ID 22773 //
     /*  35154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  35166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  35170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  35174 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  35178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  35183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35185 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (shl:{ *:[i16] } 1:{ *:[i16] }, GR8:{ *:[i8] }:$src2))  =>  (BTC16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (INSERT_SUBREG:{ *:[i16] } (IMPLICIT_DEF:{ *:[i16] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  35185 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /*  35188 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35192 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  35199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  35202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  35206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35211 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  35214 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  35218 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  35221 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  35226 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /*  35231 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  35236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC16rr),
     /*  35239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35241 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35249 */     GIR_RootConstrainSelectedInstOperands,
     /*  35250 */     // GIR_Coverage, 22773,
     /*  35250 */     GIR_EraseRootFromParent_Done,
     /*  35251 */   // Label 898: @35251
     /*  35251 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(35276), // Rule ID 246 //
     /*  35256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35263 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  35267 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, -1:{ *:[i16] })  =>  (NOT16r:{ *:[i16] } GR16:{ *:[i16] }:$src1)
     /*  35267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16r),
     /*  35270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35272 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35274 */     GIR_RootConstrainSelectedInstOperands,
     /*  35275 */     // GIR_Coverage, 246,
     /*  35275 */     GIR_EraseRootFromParent_Done,
     /*  35276 */   // Label 899: @35276
     /*  35276 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(35301), // Rule ID 254 //
     /*  35281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  35284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  35292 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, -1:{ *:[i16] })  =>  (NOT16r_ND:{ *:[i16] } GR16:{ *:[i16] }:$src1)
     /*  35292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16r_ND),
     /*  35295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35297 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35299 */     GIR_RootConstrainSelectedInstOperands,
     /*  35300 */     // GIR_Coverage, 254,
     /*  35300 */     GIR_EraseRootFromParent_Done,
     /*  35301 */   // Label 900: @35301
     /*  35301 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(35338), // Rule ID 22844 //
     /*  35306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35321 */     // MIs[1] Operand 1
     /*  35321 */     // No operand predicates
     /*  35321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35323 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (XOR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  35323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16ri),
     /*  35326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35328 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  35333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35336 */     GIR_RootConstrainSelectedInstOperands,
     /*  35337 */     // GIR_Coverage, 22844,
     /*  35337 */     GIR_EraseRootFromParent_Done,
     /*  35338 */   // Label 901: @35338
     /*  35338 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(35375), // Rule ID 22934 //
     /*  35343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  35346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35358 */     // MIs[1] Operand 1
     /*  35358 */     // No operand predicates
     /*  35358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35360 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)  =>  (XOR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  35360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16ri_ND),
     /*  35363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35365 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  35370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35373 */     GIR_RootConstrainSelectedInstOperands,
     /*  35374 */     // GIR_Coverage, 22934,
     /*  35374 */     GIR_EraseRootFromParent_Done,
     /*  35375 */   // Label 902: @35375
     /*  35375 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(35404), // Rule ID 22836 //
     /*  35380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35391 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (XOR16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  35391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR16rr),
     /*  35396 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  35402 */     GIR_RootConstrainSelectedInstOperands,
     /*  35403 */     // GIR_Coverage, 22836,
     /*  35403 */     GIR_Done,
     /*  35404 */   // Label 903: @35404
     /*  35404 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(35433), // Rule ID 22926 //
     /*  35409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  35412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  35420 */     // (xor:{ *:[i16] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (XOR16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  35420 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR16rr_ND),
     /*  35425 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  35431 */     GIR_RootConstrainSelectedInstOperands,
     /*  35432 */     // GIR_Coverage, 22926,
     /*  35432 */     GIR_Done,
     /*  35433 */   // Label 904: @35433
     /*  35433 */   GIM_Reject,
     /*  35434 */ // Label 890: @35434
     /*  35434 */ GIM_Reject,
     /*  35435 */ // Label 850: @35435
     /*  35435 */ GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(36382),
     /*  35440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  35443 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(35506), // Rule ID 275 //
     /*  35448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  35451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35469 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35473 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35477 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  35481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35490 */     // (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, -1:{ *:[i32] })  =>  (NOT32m_ND:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  35490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32m_ND),
     /*  35493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35495 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  35499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35504 */     GIR_RootConstrainSelectedInstOperands,
     /*  35505 */     // GIR_Coverage, 275,
     /*  35505 */     GIR_EraseRootFromParent_Done,
     /*  35506 */   // Label 906: @35506
     /*  35506 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(35574), // Rule ID 26064 //
     /*  35511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35529 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35532 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35536 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35546 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35553 */     // (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (XOR32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  35553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32rm),
     /*  35556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35558 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  35560 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  35564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35572 */     GIR_RootConstrainSelectedInstOperands,
     /*  35573 */     // GIR_Coverage, 26064,
     /*  35573 */     GIR_EraseRootFromParent_Done,
     /*  35574 */   // Label 907: @35574
     /*  35574 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(35642), // Rule ID 26083 //
     /*  35579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  35582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35597 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35600 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35604 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35614 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35621 */     // (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src1)  =>  (XOR32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  35621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32rm_ND),
     /*  35624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35626 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  35628 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  35632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35640 */     GIR_RootConstrainSelectedInstOperands,
     /*  35641 */     // GIR_Coverage, 26083,
     /*  35641 */     GIR_EraseRootFromParent_Done,
     /*  35642 */   // Label 908: @35642
     /*  35642 */   GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(35710), // Rule ID 22841 //
     /*  35647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  35650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35669 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35672 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35676 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35682 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35689 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (XOR32rm:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  35689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32rm),
     /*  35692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35694 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35696 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  35700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35708 */     GIR_RootConstrainSelectedInstOperands,
     /*  35709 */     // GIR_Coverage, 22841,
     /*  35709 */     GIR_EraseRootFromParent_Done,
     /*  35710 */   // Label 909: @35710
     /*  35710 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(35778), // Rule ID 22931 //
     /*  35715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  35718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  35737 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  35740 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  35744 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  35748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35750 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  35757 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (XOR32rm_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  35757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32rm_ND),
     /*  35760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35762 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35764 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  35768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35771 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  35776 */     GIR_RootConstrainSelectedInstOperands,
     /*  35777 */     // GIR_Coverage, 22931,
     /*  35777 */     GIR_EraseRootFromParent_Done,
     /*  35778 */   // Label 910: @35778
     /*  35778 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(35827), // Rule ID 22598 //
     /*  35783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35794 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(-2147483648),
     /*  35805 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -2147483648:{ *:[i32] })  =>  (ADD32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, -2147483648:{ *:[i32] })
     /*  35805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32ri),
     /*  35808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35810 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  35812 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*  35822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35825 */     GIR_RootConstrainSelectedInstOperands,
     /*  35826 */     // GIR_Coverage, 22598,
     /*  35826 */     GIR_EraseRootFromParent_Done,
     /*  35827 */   // Label 911: @35827
     /*  35827 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(35885), // Rule ID 24994 //
     /*  35832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  35835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  35847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  35855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35860 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  35864 */     // MIs[0] src
     /*  35864 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  35869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35871 */     // (xor:{ *:[i32] } (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }), GR32:{ *:[i32] }:$src)  =>  (BLCMSK32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  35871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCMSK32rr),
     /*  35874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  35880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35883 */     GIR_RootConstrainSelectedInstOperands,
     /*  35884 */     // GIR_Coverage, 24994,
     /*  35884 */     GIR_EraseRootFromParent_Done,
     /*  35885 */   // Label 912: @35885
     /*  35885 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(35994), // Rule ID 26041 //
     /*  35890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  35893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  35905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  35909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  35913 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  35917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  35922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  35926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35928 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, GR8:{ *:[i8] }:$src2), GR32:{ *:[i32] }:$src1)  =>  (BTC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  35928 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  35931 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  35935 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  35942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  35945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  35949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  35954 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  35957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  35961 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  35964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  35969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  35974 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  35979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC32rr),
     /*  35982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35984 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  35986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  35989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  35992 */     GIR_RootConstrainSelectedInstOperands,
     /*  35993 */     // GIR_Coverage, 26041,
     /*  35993 */     GIR_EraseRootFromParent_Done,
     /*  35994 */   // Label 913: @35994
     /*  35994 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(36048), // Rule ID 17357 //
     /*  35999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  36002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  36021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  36025 */     // MIs[1] src
     /*  36025 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  36030 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  36034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36036 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, (add:{ *:[i32] } GR32:{ *:[i32] }:$src, 1:{ *:[i32] }))  =>  (BLCMSK32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /*  36036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCMSK32rr),
     /*  36039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36041 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  36043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36046 */     GIR_RootConstrainSelectedInstOperands,
     /*  36047 */     // GIR_Coverage, 17357,
     /*  36047 */     GIR_EraseRootFromParent_Done,
     /*  36048 */   // Label 914: @36048
     /*  36048 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(36157), // Rule ID 22779 //
     /*  36053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  36072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  36076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  36080 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  36084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  36089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36091 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (shl:{ *:[i32] } 1:{ *:[i32] }, GR8:{ *:[i8] }:$src2))  =>  (BTC32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  36091 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  36094 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36098 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  36105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  36108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36117 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  36124 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  36132 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  36137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  36142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC32rr),
     /*  36145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36147 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36155 */     GIR_RootConstrainSelectedInstOperands,
     /*  36156 */     // GIR_Coverage, 22779,
     /*  36156 */     GIR_EraseRootFromParent_Done,
     /*  36157 */   // Label 915: @36157
     /*  36157 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(36189), // Rule ID 247 //
     /*  36162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36176 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  36180 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] })  =>  (NOT32r:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*  36180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32r),
     /*  36183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36185 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36187 */     GIR_RootConstrainSelectedInstOperands,
     /*  36188 */     // GIR_Coverage, 247,
     /*  36188 */     GIR_EraseRootFromParent_Done,
     /*  36189 */   // Label 916: @36189
     /*  36189 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(36221), // Rule ID 255 //
     /*  36194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  36197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36208 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  36212 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, -1:{ *:[i32] })  =>  (NOT32r_ND:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /*  36212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32r_ND),
     /*  36215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36217 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36219 */     GIR_RootConstrainSelectedInstOperands,
     /*  36220 */     // GIR_Coverage, 255,
     /*  36220 */     GIR_EraseRootFromParent_Done,
     /*  36221 */   // Label 917: @36221
     /*  36221 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(36265), // Rule ID 22845 //
     /*  36226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36248 */     // MIs[1] Operand 1
     /*  36248 */     // No operand predicates
     /*  36248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36250 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (XOR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  36250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32ri),
     /*  36253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36255 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  36260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36263 */     GIR_RootConstrainSelectedInstOperands,
     /*  36264 */     // GIR_Coverage, 22845,
     /*  36264 */     GIR_EraseRootFromParent_Done,
     /*  36265 */   // Label 918: @36265
     /*  36265 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(36309), // Rule ID 22935 //
     /*  36270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  36273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  36292 */     // MIs[1] Operand 1
     /*  36292 */     // No operand predicates
     /*  36292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36294 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)  =>  (XOR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  36294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32ri_ND),
     /*  36297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36299 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  36304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36307 */     GIR_RootConstrainSelectedInstOperands,
     /*  36308 */     // GIR_Coverage, 22935,
     /*  36308 */     GIR_EraseRootFromParent_Done,
     /*  36309 */   // Label 919: @36309
     /*  36309 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(36345), // Rule ID 22837 //
     /*  36314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36332 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (XOR32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  36332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR32rr),
     /*  36337 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  36343 */     GIR_RootConstrainSelectedInstOperands,
     /*  36344 */     // GIR_Coverage, 22837,
     /*  36344 */     GIR_Done,
     /*  36345 */   // Label 920: @36345
     /*  36345 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(36381), // Rule ID 22927 //
     /*  36350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  36353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  36368 */     // (xor:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (XOR32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  36368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR32rr_ND),
     /*  36373 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  36379 */     GIR_RootConstrainSelectedInstOperands,
     /*  36380 */     // GIR_Coverage, 22927,
     /*  36380 */     GIR_Done,
     /*  36381 */   // Label 921: @36381
     /*  36381 */   GIM_Reject,
     /*  36382 */ // Label 905: @36382
     /*  36382 */ GIM_Reject,
     /*  36383 */ // Label 851: @36383
     /*  36383 */ GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(37289),
     /*  36388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  36391 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(36454), // Rule ID 276 //
     /*  36396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  36399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36414 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36421 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36425 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  36429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36431 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36438 */     // (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, -1:{ *:[i64] })  =>  (NOT64m_ND:{ *:[i64] } addr:{ *:[iPTR] }:$src1)
     /*  36438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64m_ND),
     /*  36441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36443 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  36447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36452 */     GIR_RootConstrainSelectedInstOperands,
     /*  36453 */     // GIR_Coverage, 276,
     /*  36453 */     GIR_EraseRootFromParent_Done,
     /*  36454 */   // Label 923: @36454
     /*  36454 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(36522), // Rule ID 26065 //
     /*  36459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36477 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36480 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36484 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36501 */     // (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (XOR64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  36501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64rm),
     /*  36504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36506 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  36508 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  36512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36520 */     GIR_RootConstrainSelectedInstOperands,
     /*  36521 */     // GIR_Coverage, 26065,
     /*  36521 */     GIR_EraseRootFromParent_Done,
     /*  36522 */   // Label 924: @36522
     /*  36522 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(36590), // Rule ID 26084 //
     /*  36527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  36530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36545 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36548 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36552 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36562 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36569 */     // (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src1)  =>  (XOR64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  36569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64rm_ND),
     /*  36572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36574 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  36576 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  36580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36588 */     GIR_RootConstrainSelectedInstOperands,
     /*  36589 */     // GIR_Coverage, 26084,
     /*  36589 */     GIR_EraseRootFromParent_Done,
     /*  36590 */   // Label 925: @36590
     /*  36590 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(36658), // Rule ID 22842 //
     /*  36595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  36598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36617 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36620 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36624 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36630 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36637 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (XOR64rm:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  36637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64rm),
     /*  36640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36642 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36644 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  36648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36656 */     GIR_RootConstrainSelectedInstOperands,
     /*  36657 */     // GIR_Coverage, 22842,
     /*  36657 */     GIR_EraseRootFromParent_Done,
     /*  36658 */   // Label 926: @36658
     /*  36658 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(36726), // Rule ID 22932 //
     /*  36663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  36666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  36685 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  36688 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  36692 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  36696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  36705 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (XOR64rm_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  36705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64rm_ND),
     /*  36708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36710 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  36712 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  36716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  36724 */     GIR_RootConstrainSelectedInstOperands,
     /*  36725 */     // GIR_Coverage, 22932,
     /*  36725 */     GIR_EraseRootFromParent_Done,
     /*  36726 */   // Label 927: @36726
     /*  36726 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(36784), // Rule ID 24995 //
     /*  36731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  36734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  36746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36759 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  36763 */     // MIs[0] src
     /*  36763 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  36768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36770 */     // (xor:{ *:[i64] } (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }), GR64:{ *:[i64] }:$src)  =>  (BLCMSK64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  36770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCMSK64rr),
     /*  36773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  36779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36782 */     GIR_RootConstrainSelectedInstOperands,
     /*  36783 */     // GIR_Coverage, 24995,
     /*  36783 */     GIR_EraseRootFromParent_Done,
     /*  36784 */   // Label 928: @36784
     /*  36784 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(36893), // Rule ID 26047 //
     /*  36789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  36804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  36812 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  36816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  36821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36827 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, GR8:{ *:[i8] }:$src2), GR64:{ *:[i64] }:$src1)  =>  (BTC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  36827 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36830 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36834 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  36841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36853 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  36860 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  36868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  36873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  36878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC64rr),
     /*  36881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36883 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  36885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  36888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36891 */     GIR_RootConstrainSelectedInstOperands,
     /*  36892 */     // GIR_Coverage, 26047,
     /*  36892 */     GIR_EraseRootFromParent_Done,
     /*  36893 */   // Label 929: @36893
     /*  36893 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(36947), // Rule ID 17358 //
     /*  36898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTBM),
     /*  36901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  36920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  36924 */     // MIs[1] src
     /*  36924 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /*  36929 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  36933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36935 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, (add:{ *:[i64] } GR64:{ *:[i64] }:$src, 1:{ *:[i64] }))  =>  (BLCMSK64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src)
     /*  36935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BLCMSK64rr),
     /*  36938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36940 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  36942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  36945 */     GIR_RootConstrainSelectedInstOperands,
     /*  36946 */     // GIR_Coverage, 17358,
     /*  36946 */     GIR_EraseRootFromParent_Done,
     /*  36947 */   // Label 930: @36947
     /*  36947 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(37056), // Rule ID 22785 //
     /*  36952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  36955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  36963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  36971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  36979 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  36983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  36988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36990 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (shl:{ *:[i64] } 1:{ *:[i64] }, GR8:{ *:[i8] }:$src2))  =>  (BTC64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /*  36990 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36993 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36997 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  37004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37016 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  37023 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  37026 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  37031 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /*  37036 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  37041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BTC64rr),
     /*  37044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37046 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  37054 */     GIR_RootConstrainSelectedInstOperands,
     /*  37055 */     // GIR_Coverage, 22785,
     /*  37055 */     GIR_EraseRootFromParent_Done,
     /*  37056 */   // Label 931: @37056
     /*  37056 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(37088), // Rule ID 248 //
     /*  37061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  37064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37075 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  37079 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] })  =>  (NOT64r:{ *:[i64] } GR64:{ *:[i64] }:$src1)
     /*  37079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64r),
     /*  37082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37084 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37086 */     GIR_RootConstrainSelectedInstOperands,
     /*  37087 */     // GIR_Coverage, 248,
     /*  37087 */     GIR_EraseRootFromParent_Done,
     /*  37088 */   // Label 932: @37088
     /*  37088 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(37120), // Rule ID 256 //
     /*  37093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /*  37096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37107 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  37111 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, -1:{ *:[i64] })  =>  (NOT64r_ND:{ *:[i64] } GR64:{ *:[i64] }:$src1)
     /*  37111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64r_ND),
     /*  37114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37116 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37118 */     GIR_RootConstrainSelectedInstOperands,
     /*  37119 */     // GIR_Coverage, 256,
     /*  37119 */     GIR_EraseRootFromParent_Done,
     /*  37120 */   // Label 933: @37120
     /*  37120 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(37168), // Rule ID 22846 //
     /*  37125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  37128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  37147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  37151 */     // MIs[1] Operand 1
     /*  37151 */     // No operand predicates
     /*  37151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37153 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (XOR64ri32:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  37153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64ri32),
     /*  37156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37158 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  37163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  37166 */     GIR_RootConstrainSelectedInstOperands,
     /*  37167 */     // GIR_Coverage, 22846,
     /*  37167 */     GIR_EraseRootFromParent_Done,
     /*  37168 */   // Label 934: @37168
     /*  37168 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(37216), // Rule ID 22936 //
     /*  37173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  37176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  37195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  37199 */     // MIs[1] Operand 1
     /*  37199 */     // No operand predicates
     /*  37199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37201 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)  =>  (XOR64ri32_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src2)
     /*  37201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64ri32_ND),
     /*  37204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37206 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  37208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /*  37211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  37214 */     GIR_RootConstrainSelectedInstOperands,
     /*  37215 */     // GIR_Coverage, 22936,
     /*  37215 */     GIR_EraseRootFromParent_Done,
     /*  37216 */   // Label 935: @37216
     /*  37216 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(37252), // Rule ID 22838 //
     /*  37221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /*  37224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37239 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (XOR64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  37239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR64rr),
     /*  37244 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  37250 */     GIR_RootConstrainSelectedInstOperands,
     /*  37251 */     // GIR_Coverage, 22838,
     /*  37251 */     GIR_Done,
     /*  37252 */   // Label 936: @37252
     /*  37252 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(37288), // Rule ID 22928 //
     /*  37257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /*  37260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  37275 */     // (xor:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (XOR64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  37275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::XOR64rr_ND),
     /*  37280 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /*  37286 */     GIR_RootConstrainSelectedInstOperands,
     /*  37287 */     // GIR_Coverage, 22928,
     /*  37287 */     GIR_Done,
     /*  37288 */   // Label 937: @37288
     /*  37288 */   GIM_Reject,
     /*  37289 */ // Label 922: @37289
     /*  37289 */ GIM_Reject,
     /*  37290 */ // Label 852: @37290
     /*  37290 */ GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(37831),
     /*  37295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  37298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  37301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37305 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(37425), // Rule ID 25371 //
     /*  37310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  37318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  37322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  37326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  37335 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  37341 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  37343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37349 */     // (xor:{ *:[v2i1] } (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, immAllOnesV:{ *:[v2i1] }), VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37349 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  37352 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37356 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37361 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  37365 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37370 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37373 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37377 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37382 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  37386 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  37398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37403 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37406 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  37409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37419 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37424 */     // GIR_Coverage, 25371,
     /*  37424 */     GIR_EraseRootFromParent_Done,
     /*  37425 */   // Label 939: @37425
     /*  37425 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(37546), // Rule ID 19496 //
     /*  37430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  37438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  37442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  37446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  37460 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  37466 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  37468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37470 */     // (xor:{ *:[v2i1] } (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, VK2:{ *:[v2i1] }:$src2), immAllOnesV:{ *:[v2i1] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37470 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  37473 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37477 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37482 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  37486 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37491 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37494 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37498 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37503 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  37507 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  37519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37524 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37527 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  37530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37540 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37545 */     // GIR_Coverage, 19496,
     /*  37545 */     GIR_EraseRootFromParent_Done,
     /*  37546 */   // Label 940: @37546
     /*  37546 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(37666), // Rule ID 25372 //
     /*  37551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  37563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s1,
     /*  37567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s1,
     /*  37571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  37580 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  37586 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  37588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37590 */     // (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src2, (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, immAllOnesV:{ *:[v2i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37590 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  37593 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37597 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37602 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  37606 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37611 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37614 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37618 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37623 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  37627 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  37639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37644 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37647 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  37650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37660 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37665 */     // GIR_Coverage, 25372,
     /*  37665 */     GIR_EraseRootFromParent_Done,
     /*  37666 */   // Label 941: @37666
     /*  37666 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(37741), // Rule ID 19480 //
     /*  37671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37679 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  37685 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  37687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37689 */     // (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src, immAllOnesV:{ *:[v2i1] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37689 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37692 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37696 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37701 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  37705 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  37717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37722 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37735 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37740 */     // GIR_Coverage, 19480,
     /*  37740 */     GIR_EraseRootFromParent_Done,
     /*  37741 */   // Label 942: @37741
     /*  37741 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(37830), // Rule ID 19500 //
     /*  37746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  37754 */     // (xor:{ *:[v2i1] } VK2:{ *:[v2i1] }:$src1, VK2:{ *:[v2i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KXORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK2:{ *:[v2i1] }:$src2, VK16:{ *:[i32] })), VK2:{ *:[i32] })
     /*  37754 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  37757 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37761 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37766 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  37770 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37775 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  37778 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37782 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37787 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  37791 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  37796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  37799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  37803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37808 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37811 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  37814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  37824 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  37829 */     // GIR_Coverage, 19500,
     /*  37829 */     GIR_EraseRootFromParent_Done,
     /*  37830 */   // Label 943: @37830
     /*  37830 */   GIM_Reject,
     /*  37831 */ // Label 938: @37831
     /*  37831 */ GIM_Reject,
     /*  37832 */ // Label 853: @37832
     /*  37832 */ GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(38451),
     /*  37837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  37840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  37843 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(37905), // Rule ID 23363 //
     /*  37848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  37851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  37855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  37863 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  37866 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  37870 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  37874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  37878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37880 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  37887 */     // (xor:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src1)  =>  (VPXORrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  37887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  37890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37892 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  37894 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  37898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  37903 */     GIR_RootConstrainSelectedInstOperands,
     /*  37904 */     // GIR_Coverage, 23363,
     /*  37904 */     GIR_EraseRootFromParent_Done,
     /*  37905 */   // Label 945: @37905
     /*  37905 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(37967), // Rule ID 24218 //
     /*  37910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  37913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  37917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  37925 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  37928 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  37932 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  37936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  37940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37942 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  37949 */     // (xor:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPXORQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  37949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  37952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37954 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  37956 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  37960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  37965 */     GIR_RootConstrainSelectedInstOperands,
     /*  37966 */     // GIR_Coverage, 24218,
     /*  37966 */     GIR_EraseRootFromParent_Done,
     /*  37967 */   // Label 946: @37967
     /*  37967 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(38029), // Rule ID 2122 //
     /*  37972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  37975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  37979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  37983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  37991 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  37994 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  37998 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  38002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38004 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  38011 */     // (xor:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  38011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  38014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38016 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  38018 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  38022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  38027 */     GIR_RootConstrainSelectedInstOperands,
     /*  38028 */     // GIR_Coverage, 2122,
     /*  38028 */     GIR_EraseRootFromParent_Done,
     /*  38029 */   // Label 947: @38029
     /*  38029 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(38091), // Rule ID 5814 //
     /*  38034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  38037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  38053 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  38056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  38060 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  38064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38066 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  38073 */     // (xor:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  38073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  38076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38078 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  38080 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  38084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  38089 */     GIR_RootConstrainSelectedInstOperands,
     /*  38090 */     // GIR_Coverage, 5814,
     /*  38090 */     GIR_EraseRootFromParent_Done,
     /*  38091 */   // Label 948: @38091
     /*  38091 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(38323), // Rule ID 21945 //
     /*  38096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  38099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  38103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38111 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38117 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  38119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38121 */     // (xor:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, immAllOnesV:{ *:[v2i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] }), 15:{ *:[i8] }), sub_xmm:{ *:[i32] })
     /*  38121 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  38124 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  38128 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  38135 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  38138 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  38142 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38147 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  38150 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  38154 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/11,
     /*  38157 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  38162 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  38167 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  38172 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  38175 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  38179 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  38186 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  38189 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  38193 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38198 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  38201 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  38205 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  38208 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  38213 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  38218 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  38223 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  38226 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  38230 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  38237 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  38240 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  38244 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38249 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  38252 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  38256 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  38259 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  38264 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  38269 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  38274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  38277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  38281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38286 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38289 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  38292 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  38295 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  38298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38305 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  38312 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  38317 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  38322 */     // GIR_Coverage, 21945,
     /*  38322 */     GIR_EraseRootFromParent_Done,
     /*  38323 */   // Label 949: @38323
     /*  38323 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(38369), // Rule ID 21953 //
     /*  38328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  38331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38343 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38349 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  38351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38353 */     // (xor:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, immAllOnesV:{ *:[v2i64] })  =>  (VPTERNLOGQZ128rri:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, VR128X:{ *:[v2i64] }:$src, VR128X:{ *:[v2i64] }:$src, 15:{ *:[i8] })
     /*  38353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ128rri),
     /*  38356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38358 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  38360 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  38362 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  38364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  38367 */     GIR_RootConstrainSelectedInstOperands,
     /*  38368 */     // GIR_Coverage, 21953,
     /*  38368 */     GIR_EraseRootFromParent_Done,
     /*  38369 */   // Label 950: @38369
     /*  38369 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(38396), // Rule ID 2121 //
     /*  38374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  38377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38389 */     // (xor:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPXORrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  38389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORrr),
     /*  38394 */     GIR_RootConstrainSelectedInstOperands,
     /*  38395 */     // GIR_Coverage, 2121,
     /*  38395 */     GIR_Done,
     /*  38396 */   // Label 951: @38396
     /*  38396 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(38423), // Rule ID 2123 //
     /*  38401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  38404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  38416 */     // (xor:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (PXORrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  38416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PXORrr),
     /*  38421 */     GIR_RootConstrainSelectedInstOperands,
     /*  38422 */     // GIR_Coverage, 2123,
     /*  38422 */     GIR_Done,
     /*  38423 */   // Label 952: @38423
     /*  38423 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(38450), // Rule ID 5811 //
     /*  38428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  38431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  38443 */     // (xor:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPXORQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  38443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rr),
     /*  38448 */     GIR_RootConstrainSelectedInstOperands,
     /*  38449 */     // GIR_Coverage, 5811,
     /*  38449 */     GIR_Done,
     /*  38450 */   // Label 953: @38450
     /*  38450 */   GIM_Reject,
     /*  38451 */ // Label 944: @38451
     /*  38451 */ GIM_Reject,
     /*  38452 */ // Label 854: @38452
     /*  38452 */ GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(38993),
     /*  38457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  38460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  38463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38467 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(38587), // Rule ID 25373 //
     /*  38472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  38480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  38484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  38488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  38497 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38503 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  38505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  38511 */     // (xor:{ *:[v4i1] } (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, immAllOnesV:{ *:[v4i1] }), VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38511 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  38514 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38518 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38523 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  38527 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38532 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38535 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38539 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38544 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  38548 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  38560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38565 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38568 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  38571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38581 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38586 */     // GIR_Coverage, 25373,
     /*  38586 */     GIR_EraseRootFromParent_Done,
     /*  38587 */   // Label 955: @38587
     /*  38587 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(38708), // Rule ID 19497 //
     /*  38592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  38600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  38604 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  38608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  38622 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38628 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  38630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  38632 */     // (xor:{ *:[v4i1] } (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, VK4:{ *:[v4i1] }:$src2), immAllOnesV:{ *:[v4i1] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38632 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  38635 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38639 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38644 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  38648 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38653 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38656 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38660 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38665 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  38669 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  38681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38686 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38689 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  38692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38702 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38707 */     // GIR_Coverage, 19497,
     /*  38707 */     GIR_EraseRootFromParent_Done,
     /*  38708 */   // Label 956: @38708
     /*  38708 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(38828), // Rule ID 25374 //
     /*  38713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  38725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s1,
     /*  38729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s1,
     /*  38733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  38742 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38748 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  38750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  38752 */     // (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src2, (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, immAllOnesV:{ *:[v4i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38752 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  38755 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38759 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38764 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  38768 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38773 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38776 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38780 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38785 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  38789 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  38801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38806 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38809 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  38812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38822 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38827 */     // GIR_Coverage, 25374,
     /*  38827 */     GIR_EraseRootFromParent_Done,
     /*  38828 */   // Label 957: @38828
     /*  38828 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(38903), // Rule ID 19479 //
     /*  38833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38841 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  38847 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  38849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  38851 */     // (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src, immAllOnesV:{ *:[v4i1] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38851 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38854 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38858 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38863 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  38867 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  38879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38884 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38897 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38902 */     // GIR_Coverage, 19479,
     /*  38902 */     GIR_EraseRootFromParent_Done,
     /*  38903 */   // Label 958: @38903
     /*  38903 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(38992), // Rule ID 19501 //
     /*  38908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  38916 */     // (xor:{ *:[v4i1] } VK4:{ *:[v4i1] }:$src1, VK4:{ *:[v4i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KXORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4:{ *:[v4i1] }:$src2, VK16:{ *:[i32] })), VK4:{ *:[i32] })
     /*  38916 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  38919 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38923 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38928 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  38932 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38937 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  38940 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38944 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38949 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  38953 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  38958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  38961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  38965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38970 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  38973 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  38976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38986 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  38991 */     // GIR_Coverage, 19501,
     /*  38991 */     GIR_EraseRootFromParent_Done,
     /*  38992 */   // Label 959: @38992
     /*  38992 */   GIM_Reject,
     /*  38993 */ // Label 954: @38993
     /*  38993 */ GIM_Reject,
     /*  38994 */ // Label 855: @38994
     /*  38994 */ GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(39613),
     /*  38999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  39002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  39005 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(39067), // Rule ID 24236 //
     /*  39010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39025 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39028 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39032 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39049 */     // (xor:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPXORDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZ128rm),
     /*  39052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39054 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39056 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39065 */     GIR_RootConstrainSelectedInstOperands,
     /*  39066 */     // GIR_Coverage, 24236,
     /*  39066 */     GIR_EraseRootFromParent_Done,
     /*  39067 */   // Label 961: @39067
     /*  39067 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(39129), // Rule ID 25256 //
     /*  39072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  39075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39087 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39090 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39094 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39111 */     // (xor:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPXORrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  39114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39116 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39118 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39127 */     GIR_RootConstrainSelectedInstOperands,
     /*  39128 */     // GIR_Coverage, 25256,
     /*  39128 */     GIR_EraseRootFromParent_Done,
     /*  39129 */   // Label 962: @39129
     /*  39129 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(39191), // Rule ID 5841 //
     /*  39134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39153 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39156 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39160 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39166 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39173 */     // (xor:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZ128rm),
     /*  39176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39178 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39180 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39189 */     GIR_RootConstrainSelectedInstOperands,
     /*  39190 */     // GIR_Coverage, 5841,
     /*  39190 */     GIR_EraseRootFromParent_Done,
     /*  39191 */   // Label 963: @39191
     /*  39191 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(39253), // Rule ID 18165 //
     /*  39196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  39199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39215 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39218 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39222 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39228 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39235 */     // (xor:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  39238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39240 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39242 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39251 */     GIR_RootConstrainSelectedInstOperands,
     /*  39252 */     // GIR_Coverage, 18165,
     /*  39252 */     GIR_EraseRootFromParent_Done,
     /*  39253 */   // Label 964: @39253
     /*  39253 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(39485), // Rule ID 21944 //
     /*  39258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  39261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  39265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39273 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  39279 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  39281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39283 */     // (xor:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, immAllOnesV:{ *:[v4i32] })  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v4i32] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v4i32] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v4i32] }:$src, sub_xmm:{ *:[i32] }), 15:{ *:[i8] }), sub_xmm:{ *:[i32] })
     /*  39283 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  39286 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39290 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  39297 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  39300 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39304 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39309 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  39312 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  39316 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/11,
     /*  39319 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  39324 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  39329 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  39334 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  39337 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39341 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  39348 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  39351 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39355 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39360 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  39363 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  39367 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  39370 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  39375 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  39380 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  39385 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  39388 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39392 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  39399 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  39402 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39406 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39411 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  39414 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  39418 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  39421 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  39426 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  39431 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  39436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  39439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  39443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39448 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  39451 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  39454 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  39457 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  39460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39467 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  39474 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  39479 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  39484 */     // GIR_Coverage, 21944,
     /*  39484 */     GIR_EraseRootFromParent_Done,
     /*  39485 */   // Label 965: @39485
     /*  39485 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(39531), // Rule ID 21952 //
     /*  39490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  39493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39505 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  39511 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  39513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39515 */     // (xor:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, immAllOnesV:{ *:[v4i32] })  =>  (VPTERNLOGQZ128rri:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, VR128X:{ *:[v4i32] }:$src, VR128X:{ *:[v4i32] }:$src, 15:{ *:[i8] })
     /*  39515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ128rri),
     /*  39518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39520 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  39522 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  39524 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  39526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  39529 */     GIR_RootConstrainSelectedInstOperands,
     /*  39530 */     // GIR_Coverage, 21952,
     /*  39530 */     GIR_EraseRootFromParent_Done,
     /*  39531 */   // Label 966: @39531
     /*  39531 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(39558), // Rule ID 5838 //
     /*  39536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  39551 */     // (xor:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPXORDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  39551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORDZ128rr),
     /*  39556 */     GIR_RootConstrainSelectedInstOperands,
     /*  39557 */     // GIR_Coverage, 5838,
     /*  39557 */     GIR_Done,
     /*  39558 */   // Label 967: @39558
     /*  39558 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(39585), // Rule ID 18153 //
     /*  39563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  39566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39578 */     // (xor:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPXORrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  39578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORrr),
     /*  39583 */     GIR_RootConstrainSelectedInstOperands,
     /*  39584 */     // GIR_Coverage, 18153,
     /*  39584 */     GIR_Done,
     /*  39585 */   // Label 968: @39585
     /*  39585 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(39612), // Rule ID 18177 //
     /*  39590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  39593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  39605 */     // (xor:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PXORrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  39605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PXORrr),
     /*  39610 */     GIR_RootConstrainSelectedInstOperands,
     /*  39611 */     // GIR_Coverage, 18177,
     /*  39611 */     GIR_Done,
     /*  39612 */   // Label 969: @39612
     /*  39612 */   GIM_Reject,
     /*  39613 */ // Label 960: @39613
     /*  39613 */ GIM_Reject,
     /*  39614 */ // Label 856: @39614
     /*  39614 */ GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(40357),
     /*  39619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  39622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  39625 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(39687), // Rule ID 23365 //
     /*  39630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  39633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39645 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39648 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39652 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39662 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39669 */     // (xor:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VPXORYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  39672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39674 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39676 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39685 */     GIR_RootConstrainSelectedInstOperands,
     /*  39686 */     // GIR_Coverage, 23365,
     /*  39686 */     GIR_EraseRootFromParent_Done,
     /*  39687 */   // Label 971: @39687
     /*  39687 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(39749), // Rule ID 24212 //
     /*  39692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  39699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39707 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39710 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39714 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  39722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39724 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39731 */     // (xor:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPXORQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  39734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39736 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39738 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39747 */     GIR_RootConstrainSelectedInstOperands,
     /*  39748 */     // GIR_Coverage, 24212,
     /*  39748 */     GIR_EraseRootFromParent_Done,
     /*  39749 */   // Label 972: @39749
     /*  39749 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(39811), // Rule ID 25247 //
     /*  39754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  39757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  39765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39769 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39772 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39776 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39786 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39793 */     // (xor:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4i64] }:$src1)  =>  (VXORPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  39796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39798 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  39800 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39809 */     GIR_RootConstrainSelectedInstOperands,
     /*  39810 */     // GIR_Coverage, 25247,
     /*  39810 */     GIR_EraseRootFromParent_Done,
     /*  39811 */   // Label 973: @39811
     /*  39811 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(39873), // Rule ID 2126 //
     /*  39816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  39819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39835 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39838 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39842 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39848 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39855 */     // (xor:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  39858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39860 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39862 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39871 */     GIR_RootConstrainSelectedInstOperands,
     /*  39872 */     // GIR_Coverage, 2126,
     /*  39872 */     GIR_EraseRootFromParent_Done,
     /*  39873 */   // Label 974: @39873
     /*  39873 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(39935), // Rule ID 5805 //
     /*  39878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  39881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  39885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  39889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39897 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39900 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39904 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39910 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39917 */     // (xor:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  39920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39922 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39924 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39933 */     GIR_RootConstrainSelectedInstOperands,
     /*  39934 */     // GIR_Coverage, 5805,
     /*  39934 */     GIR_EraseRootFromParent_Done,
     /*  39935 */   // Label 975: @39935
     /*  39935 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(39997), // Rule ID 18140 //
     /*  39940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  39943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  39951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  39959 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  39962 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  39966 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  39970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  39979 */     // (xor:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VXORPSYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  39979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  39982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  39984 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  39986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  39990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  39995 */     GIR_RootConstrainSelectedInstOperands,
     /*  39996 */     // GIR_Coverage, 18140,
     /*  39996 */     GIR_EraseRootFromParent_Done,
     /*  39997 */   // Label 976: @39997
     /*  39997 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(40229), // Rule ID 21949 //
     /*  40002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  40005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40017 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40023 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  40025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40027 */     // (xor:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, immAllOnesV:{ *:[v4i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] }), 15:{ *:[i8] }), sub_ymm:{ *:[i32] })
     /*  40027 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  40030 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40034 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  40041 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  40044 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40048 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40053 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  40056 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  40060 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/12,
     /*  40063 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  40068 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  40073 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  40078 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  40081 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40085 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  40092 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  40095 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40099 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40104 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  40107 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  40111 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  40114 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  40119 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  40124 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  40129 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  40132 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40136 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40143 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  40146 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40150 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40155 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40158 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  40162 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  40165 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  40170 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  40175 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  40180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  40183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  40187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40192 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40195 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  40198 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  40201 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  40204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40211 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  40218 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  40223 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  40228 */     // GIR_Coverage, 21949,
     /*  40228 */     GIR_EraseRootFromParent_Done,
     /*  40229 */   // Label 977: @40229
     /*  40229 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(40275), // Rule ID 21957 //
     /*  40234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  40237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40249 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40255 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  40257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40259 */     // (xor:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, immAllOnesV:{ *:[v4i64] })  =>  (VPTERNLOGQZ256rri:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, VR256X:{ *:[v4i64] }:$src, VR256X:{ *:[v4i64] }:$src, 15:{ *:[i8] })
     /*  40259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ256rri),
     /*  40262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40264 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  40266 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  40268 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  40270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  40273 */     GIR_RootConstrainSelectedInstOperands,
     /*  40274 */     // GIR_Coverage, 21957,
     /*  40274 */     GIR_EraseRootFromParent_Done,
     /*  40275 */   // Label 978: @40275
     /*  40275 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(40302), // Rule ID 2125 //
     /*  40280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  40283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40295 */     // (xor:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPXORYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  40295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORYrr),
     /*  40300 */     GIR_RootConstrainSelectedInstOperands,
     /*  40301 */     // GIR_Coverage, 2125,
     /*  40301 */     GIR_Done,
     /*  40302 */   // Label 979: @40302
     /*  40302 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(40329), // Rule ID 5802 //
     /*  40307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  40310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  40322 */     // (xor:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPXORQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  40322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rr),
     /*  40327 */     GIR_RootConstrainSelectedInstOperands,
     /*  40328 */     // GIR_Coverage, 5802,
     /*  40328 */     GIR_Done,
     /*  40329 */   // Label 980: @40329
     /*  40329 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(40356), // Rule ID 18124 //
     /*  40334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  40337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  40349 */     // (xor:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VXORPSYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  40349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VXORPSYrr),
     /*  40354 */     GIR_RootConstrainSelectedInstOperands,
     /*  40355 */     // GIR_Coverage, 18124,
     /*  40355 */     GIR_Done,
     /*  40356 */   // Label 981: @40356
     /*  40356 */   GIM_Reject,
     /*  40357 */ // Label 970: @40357
     /*  40357 */ GIM_Reject,
     /*  40358 */ // Label 857: @40358
     /*  40358 */ GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(41155),
     /*  40363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40373 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(40433), // Rule ID 23681 //
     /*  40378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  40381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40406 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40412 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40420 */     // (xor:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }), VK8:{ *:[v8i1] }:$src2)  =>  (KXNORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  40420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORBkk),
     /*  40423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40429 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  40431 */     GIR_RootConstrainSelectedInstOperands,
     /*  40432 */     // GIR_Coverage, 23681,
     /*  40432 */     GIR_EraseRootFromParent_Done,
     /*  40433 */   // Label 983: @40433
     /*  40433 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(40556), // Rule ID 25367 //
     /*  40438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  40441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40466 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40472 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40480 */     // (xor:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }), VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  40480 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  40483 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40487 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40492 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  40496 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40501 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  40504 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40508 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40513 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40517 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  40525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  40529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40534 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40537 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  40540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  40550 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  40555 */     // GIR_Coverage, 25367,
     /*  40555 */     GIR_EraseRootFromParent_Done,
     /*  40556 */   // Label 984: @40556
     /*  40556 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(40619), // Rule ID 4422 //
     /*  40561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  40564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  40594 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40600 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40604 */     // (xor:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2), immAllOnesV:{ *:[v8i1] })  =>  (KXNORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  40604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORBkk),
     /*  40607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  40617 */     GIR_RootConstrainSelectedInstOperands,
     /*  40618 */     // GIR_Coverage, 4422,
     /*  40618 */     GIR_EraseRootFromParent_Done,
     /*  40619 */   // Label 985: @40619
     /*  40619 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(40743), // Rule ID 19494 //
     /*  40624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  40627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  40631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  40657 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40663 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40667 */     // (xor:{ *:[v8i1] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2), immAllOnesV:{ *:[v8i1] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  40667 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  40670 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40674 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40679 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  40683 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40688 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  40691 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40695 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40700 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40704 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  40712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  40716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40721 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40724 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  40727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  40737 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  40742 */     // GIR_Coverage, 19494,
     /*  40742 */     GIR_EraseRootFromParent_Done,
     /*  40743 */   // Label 986: @40743
     /*  40743 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(40803), // Rule ID 23682 //
     /*  40748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  40751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40780 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40786 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40790 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src2, (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }))  =>  (KXNORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  40790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORBkk),
     /*  40793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40799 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  40801 */     GIR_RootConstrainSelectedInstOperands,
     /*  40802 */     // GIR_Coverage, 23682,
     /*  40802 */     GIR_EraseRootFromParent_Done,
     /*  40803 */   // Label 987: @40803
     /*  40803 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(40926), // Rule ID 25368 //
     /*  40808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  40811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  40823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  40827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  40831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  40840 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40846 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  40848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40850 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src2, (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, immAllOnesV:{ *:[v8i1] }))  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KXNORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  40850 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  40853 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40857 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40862 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src2
     /*  40866 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40871 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  40874 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40878 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40883 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  40887 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  40892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  40895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  40899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40904 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40907 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  40910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  40920 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  40925 */     // GIR_Coverage, 25368,
     /*  40925 */     GIR_EraseRootFromParent_Done,
     /*  40926 */   // Label 988: @40926
     /*  40926 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(40961), // Rule ID 4410 //
     /*  40931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  40934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40942 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40948 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  40950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40952 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src, immAllOnesV:{ *:[v8i1] })  =>  (KNOTBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src)
     /*  40952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KNOTBkk),
     /*  40955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40957 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  40959 */     GIR_RootConstrainSelectedInstOperands,
     /*  40960 */     // GIR_Coverage, 4410,
     /*  40960 */     GIR_EraseRootFromParent_Done,
     /*  40961 */   // Label 989: @40961
     /*  40961 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(41039), // Rule ID 19478 //
     /*  40966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoDQI),
     /*  40969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  40973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40977 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  40983 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  40985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40987 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src, immAllOnesV:{ *:[v8i1] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  40987 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  40990 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40994 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40999 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  41003 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  41008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  41011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  41015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41020 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  41023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41033 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  41038 */     // GIR_Coverage, 19478,
     /*  41038 */     GIR_EraseRootFromParent_Done,
     /*  41039 */   // Label 990: @41039
     /*  41039 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(41062), // Rule ID 4426 //
     /*  41044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  41047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  41051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  41055 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (KXORBkk:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)
     /*  41055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KXORBkk),
     /*  41060 */     GIR_RootConstrainSelectedInstOperands,
     /*  41061 */     // GIR_Coverage, 4426,
     /*  41061 */     GIR_Done,
     /*  41062 */   // Label 991: @41062
     /*  41062 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(41154), // Rule ID 19498 //
     /*  41067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoDQI),
     /*  41070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  41074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  41078 */     // (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (KXORWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK16:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK16:{ *:[i32] })), VK8:{ *:[i32] })
     /*  41078 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /*  41081 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41085 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41090 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /*  41094 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  41099 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /*  41102 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41106 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41111 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /*  41115 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  41120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /*  41123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  41127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41132 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  41135 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  41138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  41148 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  41153 */     // GIR_Coverage, 19498,
     /*  41153 */     GIR_EraseRootFromParent_Done,
     /*  41154 */   // Label 992: @41154
     /*  41154 */   GIM_Reject,
     /*  41155 */ // Label 982: @41155
     /*  41155 */ GIM_Reject,
     /*  41156 */ // Label 858: @41156
     /*  41156 */ GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(41775),
     /*  41161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  41164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  41167 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(41229), // Rule ID 25255 //
     /*  41172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  41175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41187 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41190 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41194 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41204 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41211 */     // (xor:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPXORrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  41214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41216 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41218 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41227 */     GIR_RootConstrainSelectedInstOperands,
     /*  41228 */     // GIR_Coverage, 25255,
     /*  41228 */     GIR_EraseRootFromParent_Done,
     /*  41229 */   // Label 994: @41229
     /*  41229 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(41291), // Rule ID 25434 //
     /*  41234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  41237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41249 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41252 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41256 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41273 */     // (xor:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPXORQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  41276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41278 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41280 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41289 */     GIR_RootConstrainSelectedInstOperands,
     /*  41290 */     // GIR_Coverage, 25434,
     /*  41290 */     GIR_EraseRootFromParent_Done,
     /*  41291 */   // Label 995: @41291
     /*  41291 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(41353), // Rule ID 18164 //
     /*  41296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  41299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41315 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41318 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41322 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41335 */     // (xor:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  41338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41340 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  41342 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41351 */     GIR_RootConstrainSelectedInstOperands,
     /*  41352 */     // GIR_Coverage, 18164,
     /*  41352 */     GIR_EraseRootFromParent_Done,
     /*  41353 */   // Label 996: @41353
     /*  41353 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(41415), // Rule ID 20028 //
     /*  41358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  41361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41377 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41380 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41384 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41397 */     // (xor:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  41400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41402 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  41404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41413 */     GIR_RootConstrainSelectedInstOperands,
     /*  41414 */     // GIR_Coverage, 20028,
     /*  41414 */     GIR_EraseRootFromParent_Done,
     /*  41415 */   // Label 997: @41415
     /*  41415 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(41647), // Rule ID 21943 //
     /*  41420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  41423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  41427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41435 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41441 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  41443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41445 */     // (xor:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, immAllOnesV:{ *:[v8i16] })  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v8i16] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v8i16] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v8i16] }:$src, sub_xmm:{ *:[i32] }), 15:{ *:[i8] }), sub_xmm:{ *:[i32] })
     /*  41445 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  41448 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41452 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  41459 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  41462 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  41466 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41471 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  41474 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  41478 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/11,
     /*  41481 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  41486 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  41491 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  41496 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  41499 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41503 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  41510 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  41513 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  41517 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41522 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  41525 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  41529 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  41532 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  41537 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  41542 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  41547 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  41550 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41554 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  41561 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  41564 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  41568 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41573 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  41576 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  41580 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  41583 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  41588 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  41593 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  41598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  41601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  41605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41610 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  41613 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  41616 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  41619 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  41622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41629 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  41636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  41641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  41646 */     // GIR_Coverage, 21943,
     /*  41646 */     GIR_EraseRootFromParent_Done,
     /*  41647 */   // Label 998: @41647
     /*  41647 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(41693), // Rule ID 21951 //
     /*  41652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  41655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41667 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41673 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  41675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41677 */     // (xor:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, immAllOnesV:{ *:[v8i16] })  =>  (VPTERNLOGQZ128rri:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, VR128X:{ *:[v8i16] }:$src, VR128X:{ *:[v8i16] }:$src, 15:{ *:[i8] })
     /*  41677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ128rri),
     /*  41680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41682 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  41684 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  41686 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  41688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  41691 */     GIR_RootConstrainSelectedInstOperands,
     /*  41692 */     // GIR_Coverage, 21951,
     /*  41692 */     GIR_EraseRootFromParent_Done,
     /*  41693 */   // Label 999: @41693
     /*  41693 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(41720), // Rule ID 18152 //
     /*  41698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  41701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41713 */     // (xor:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPXORrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  41713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORrr),
     /*  41718 */     GIR_RootConstrainSelectedInstOperands,
     /*  41719 */     // GIR_Coverage, 18152,
     /*  41719 */     GIR_Done,
     /*  41720 */   // Label 1000: @41720
     /*  41720 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(41747), // Rule ID 18176 //
     /*  41725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  41728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  41740 */     // (xor:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PXORrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  41740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PXORrr),
     /*  41745 */     GIR_RootConstrainSelectedInstOperands,
     /*  41746 */     // GIR_Coverage, 18176,
     /*  41746 */     GIR_Done,
     /*  41747 */   // Label 1001: @41747
     /*  41747 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(41774), // Rule ID 20020 //
     /*  41752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  41755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  41767 */     // (xor:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPXORQZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /*  41767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rr),
     /*  41772 */     GIR_RootConstrainSelectedInstOperands,
     /*  41773 */     // GIR_Coverage, 20020,
     /*  41773 */     GIR_Done,
     /*  41774 */   // Label 1002: @41774
     /*  41774 */   GIM_Reject,
     /*  41775 */ // Label 993: @41775
     /*  41775 */ GIM_Reject,
     /*  41776 */ // Label 859: @41776
     /*  41776 */ GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(42519),
     /*  41781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  41784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  41787 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(41849), // Rule ID 24230 //
     /*  41792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  41795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  41799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41807 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41810 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41814 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  41822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41831 */     // (xor:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPXORDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZ256rm),
     /*  41834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41836 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41838 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41847 */     GIR_RootConstrainSelectedInstOperands,
     /*  41848 */     // GIR_Coverage, 24230,
     /*  41848 */     GIR_EraseRootFromParent_Done,
     /*  41849 */   // Label 1004: @41849
     /*  41849 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(41911), // Rule ID 25235 //
     /*  41854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  41857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  41861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41869 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41872 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41876 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  41884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41886 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41893 */     // (xor:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPXORYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  41896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41898 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41900 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41909 */     GIR_RootConstrainSelectedInstOperands,
     /*  41910 */     // GIR_Coverage, 25235,
     /*  41910 */     GIR_EraseRootFromParent_Done,
     /*  41911 */   // Label 1005: @41911
     /*  41911 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(41973), // Rule ID 25246 //
     /*  41916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  41919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  41923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41931 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  41934 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  41938 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  41942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  41946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  41955 */     // (xor:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VXORPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  41955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  41958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41960 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  41962 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  41966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  41971 */     GIR_RootConstrainSelectedInstOperands,
     /*  41972 */     // GIR_Coverage, 25246,
     /*  41972 */     GIR_EraseRootFromParent_Done,
     /*  41973 */   // Label 1006: @41973
     /*  41973 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(42035), // Rule ID 5832 //
     /*  41978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  41981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  41985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  41989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  41997 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42000 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42004 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42010 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42017 */     // (xor:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZ256rm),
     /*  42020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42022 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  42024 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42033 */     GIR_RootConstrainSelectedInstOperands,
     /*  42034 */     // GIR_Coverage, 5832,
     /*  42034 */     GIR_EraseRootFromParent_Done,
     /*  42035 */   // Label 1007: @42035
     /*  42035 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(42097), // Rule ID 18109 //
     /*  42040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  42043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  42059 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42062 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42066 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42072 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42079 */     // (xor:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  42082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42084 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  42086 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42095 */     GIR_RootConstrainSelectedInstOperands,
     /*  42096 */     // GIR_Coverage, 18109,
     /*  42096 */     GIR_EraseRootFromParent_Done,
     /*  42097 */   // Label 1008: @42097
     /*  42097 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(42159), // Rule ID 18139 //
     /*  42102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  42105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  42121 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42124 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42128 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42141 */     // (xor:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VXORPSYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  42144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42146 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  42148 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42157 */     GIR_RootConstrainSelectedInstOperands,
     /*  42158 */     // GIR_Coverage, 18139,
     /*  42158 */     GIR_EraseRootFromParent_Done,
     /*  42159 */   // Label 1009: @42159
     /*  42159 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(42391), // Rule ID 21948 //
     /*  42164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  42167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42179 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42185 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  42187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42189 */     // (xor:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, immAllOnesV:{ *:[v8i32] })  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] }), 15:{ *:[i8] }), sub_ymm:{ *:[i32] })
     /*  42189 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  42192 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42196 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  42203 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  42206 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42210 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42215 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  42218 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  42222 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/12,
     /*  42225 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  42230 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  42235 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  42240 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  42243 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42247 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  42254 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  42257 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42261 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42266 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  42269 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  42273 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  42276 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  42281 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  42286 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  42291 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  42294 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42298 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42305 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  42308 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42312 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42317 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42320 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  42324 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  42327 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  42332 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  42337 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  42342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  42345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  42349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42354 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42357 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  42360 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  42363 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  42366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42373 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  42380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  42385 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  42390 */     // GIR_Coverage, 21948,
     /*  42390 */     GIR_EraseRootFromParent_Done,
     /*  42391 */   // Label 1010: @42391
     /*  42391 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(42437), // Rule ID 21956 //
     /*  42396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  42399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42411 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42417 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  42419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42421 */     // (xor:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, immAllOnesV:{ *:[v8i32] })  =>  (VPTERNLOGQZ256rri:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, VR256X:{ *:[v8i32] }:$src, VR256X:{ *:[v8i32] }:$src, 15:{ *:[i8] })
     /*  42421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ256rri),
     /*  42424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42426 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42428 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42430 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  42435 */     GIR_RootConstrainSelectedInstOperands,
     /*  42436 */     // GIR_Coverage, 21956,
     /*  42436 */     GIR_EraseRootFromParent_Done,
     /*  42437 */   // Label 1011: @42437
     /*  42437 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(42464), // Rule ID 5829 //
     /*  42442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  42445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  42457 */     // (xor:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPXORDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  42457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORDZ256rr),
     /*  42462 */     GIR_RootConstrainSelectedInstOperands,
     /*  42463 */     // GIR_Coverage, 5829,
     /*  42463 */     GIR_Done,
     /*  42464 */   // Label 1012: @42464
     /*  42464 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(42491), // Rule ID 18097 //
     /*  42469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  42472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42484 */     // (xor:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPXORYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  42484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORYrr),
     /*  42489 */     GIR_RootConstrainSelectedInstOperands,
     /*  42490 */     // GIR_Coverage, 18097,
     /*  42490 */     GIR_Done,
     /*  42491 */   // Label 1013: @42491
     /*  42491 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(42518), // Rule ID 18123 //
     /*  42496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  42499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  42511 */     // (xor:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VXORPSYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  42511 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VXORPSYrr),
     /*  42516 */     GIR_RootConstrainSelectedInstOperands,
     /*  42517 */     // GIR_Coverage, 18123,
     /*  42517 */     GIR_Done,
     /*  42518 */   // Label 1014: @42518
     /*  42518 */   GIM_Reject,
     /*  42519 */ // Label 1003: @42519
     /*  42519 */ GIM_Reject,
     /*  42520 */ // Label 860: @42520
     /*  42520 */ GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(42717),
     /*  42525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  42528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  42531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42535 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(42593), // Rule ID 24206 //
     /*  42540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  42551 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42554 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42558 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42568 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42575 */     // (xor:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPXORQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  42578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42580 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  42582 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42591 */     GIR_RootConstrainSelectedInstOperands,
     /*  42592 */     // GIR_Coverage, 24206,
     /*  42592 */     GIR_EraseRootFromParent_Done,
     /*  42593 */   // Label 1016: @42593
     /*  42593 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(42651), // Rule ID 5796 //
     /*  42598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  42613 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  42616 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  42620 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  42624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42626 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  42633 */     // (xor:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  42633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  42636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42638 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  42640 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  42644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  42649 */     GIR_RootConstrainSelectedInstOperands,
     /*  42650 */     // GIR_Coverage, 5796,
     /*  42650 */     GIR_EraseRootFromParent_Done,
     /*  42651 */   // Label 1017: @42651
     /*  42651 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(42693), // Rule ID 21941 //
     /*  42656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42667 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42673 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  42675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42677 */     // (xor:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, immAllOnesV:{ *:[v8i64] })  =>  (VPTERNLOGQZrri:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, VR512:{ *:[v8i64] }:$src, VR512:{ *:[v8i64] }:$src, 15:{ *:[i8] })
     /*  42677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  42680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42682 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42684 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42686 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  42691 */     GIR_RootConstrainSelectedInstOperands,
     /*  42692 */     // GIR_Coverage, 21941,
     /*  42692 */     GIR_EraseRootFromParent_Done,
     /*  42693 */   // Label 1018: @42693
     /*  42693 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(42716), // Rule ID 5793 //
     /*  42698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  42709 */     // (xor:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPXORQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  42709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZrr),
     /*  42714 */     GIR_RootConstrainSelectedInstOperands,
     /*  42715 */     // GIR_Coverage, 5793,
     /*  42715 */     GIR_Done,
     /*  42716 */   // Label 1019: @42716
     /*  42716 */   GIM_Reject,
     /*  42717 */ // Label 1015: @42717
     /*  42717 */ GIM_Reject,
     /*  42718 */ // Label 861: @42718
     /*  42718 */ GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(42975),
     /*  42723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  42726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  42729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42733 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(42793), // Rule ID 23683 //
     /*  42738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  42749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  42753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  42757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42766 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42772 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  42774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42780 */     // (xor:{ *:[v16i1] } (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, immAllOnesV:{ *:[v16i1] }), VK16:{ *:[v16i1] }:$src2)  =>  (KXNORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  42780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  42783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  42789 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  42791 */     GIR_RootConstrainSelectedInstOperands,
     /*  42792 */     // GIR_Coverage, 23683,
     /*  42792 */     GIR_EraseRootFromParent_Done,
     /*  42793 */   // Label 1021: @42793
     /*  42793 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(42856), // Rule ID 4423 //
     /*  42798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  42809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  42813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  42817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  42831 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42837 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  42839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42841 */     // (xor:{ *:[v16i1] } (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2), immAllOnesV:{ *:[v16i1] })  =>  (KXNORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  42841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  42844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  42850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  42854 */     GIR_RootConstrainSelectedInstOperands,
     /*  42855 */     // GIR_Coverage, 4423,
     /*  42855 */     GIR_EraseRootFromParent_Done,
     /*  42856 */   // Label 1022: @42856
     /*  42856 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(42916), // Rule ID 23684 //
     /*  42861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  42876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  42880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  42884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42893 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42899 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  42901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42903 */     // (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src2, (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, immAllOnesV:{ *:[v16i1] }))  =>  (KXNORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  42903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORWkk),
     /*  42906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  42912 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  42914 */     GIR_RootConstrainSelectedInstOperands,
     /*  42915 */     // GIR_Coverage, 23684,
     /*  42915 */     GIR_EraseRootFromParent_Done,
     /*  42916 */   // Label 1023: @42916
     /*  42916 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(42951), // Rule ID 4411 //
     /*  42921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42932 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42938 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  42940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42942 */     // (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src, immAllOnesV:{ *:[v16i1] })  =>  (KNOTWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src)
     /*  42942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /*  42945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42947 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  42949 */     GIR_RootConstrainSelectedInstOperands,
     /*  42950 */     // GIR_Coverage, 4411,
     /*  42950 */     GIR_EraseRootFromParent_Done,
     /*  42951 */   // Label 1024: @42951
     /*  42951 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(42974), // Rule ID 4427 //
     /*  42956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  42959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  42967 */     // (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)  =>  (KXORWkk:{ *:[v16i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)
     /*  42967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KXORWkk),
     /*  42972 */     GIR_RootConstrainSelectedInstOperands,
     /*  42973 */     // GIR_Coverage, 4427,
     /*  42973 */     GIR_Done,
     /*  42974 */   // Label 1025: @42974
     /*  42974 */   GIM_Reject,
     /*  42975 */ // Label 1020: @42975
     /*  42975 */ GIM_Reject,
     /*  42976 */ // Label 862: @42976
     /*  42976 */ GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(43595),
     /*  42981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  42984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  42987 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(43049), // Rule ID 25254 //
     /*  42992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  42995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  42999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43007 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43010 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43014 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43031 */     // (xor:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPXORrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  43034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43036 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43038 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43047 */     GIR_RootConstrainSelectedInstOperands,
     /*  43048 */     // GIR_Coverage, 25254,
     /*  43048 */     GIR_EraseRootFromParent_Done,
     /*  43049 */   // Label 1027: @43049
     /*  43049 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(43111), // Rule ID 25433 //
     /*  43054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43069 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43072 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43076 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43086 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43093 */     // (xor:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPXORQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  43096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43098 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43100 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43109 */     GIR_RootConstrainSelectedInstOperands,
     /*  43110 */     // GIR_Coverage, 25433,
     /*  43110 */     GIR_EraseRootFromParent_Done,
     /*  43111 */   // Label 1028: @43111
     /*  43111 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(43173), // Rule ID 18163 //
     /*  43116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  43119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43135 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43138 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43142 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43148 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43155 */     // (xor:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORrm),
     /*  43158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43160 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43162 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43171 */     GIR_RootConstrainSelectedInstOperands,
     /*  43172 */     // GIR_Coverage, 18163,
     /*  43172 */     GIR_EraseRootFromParent_Done,
     /*  43173 */   // Label 1029: @43173
     /*  43173 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(43235), // Rule ID 20027 //
     /*  43178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43197 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43200 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43204 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43210 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43217 */     // (xor:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rm),
     /*  43220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43222 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43224 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43233 */     GIR_RootConstrainSelectedInstOperands,
     /*  43234 */     // GIR_Coverage, 20027,
     /*  43234 */     GIR_EraseRootFromParent_Done,
     /*  43235 */   // Label 1030: @43235
     /*  43235 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(43467), // Rule ID 21942 //
     /*  43240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  43243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  43247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43255 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  43261 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  43263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43265 */     // (xor:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, immAllOnesV:{ *:[v16i8] })  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v16i8] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v16i8] }:$src, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v16i8] }:$src, sub_xmm:{ *:[i32] }), 15:{ *:[i8] }), sub_xmm:{ *:[i32] })
     /*  43265 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  43268 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43272 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  43279 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  43282 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43286 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43291 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  43294 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  43298 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/11,
     /*  43301 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  43306 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  43311 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  43316 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  43319 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43323 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  43330 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  43333 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43337 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43342 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  43345 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  43349 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /*  43352 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  43357 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  43362 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  43367 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  43370 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  43374 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  43381 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  43384 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  43388 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43393 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  43396 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  43400 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /*  43403 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  43408 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  43413 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /*  43418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  43421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  43425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  43430 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  43433 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  43436 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  43439 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  43442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  43444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  43447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43449 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /*  43456 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  43461 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  43466 */     // GIR_Coverage, 21942,
     /*  43466 */     GIR_EraseRootFromParent_Done,
     /*  43467 */   // Label 1031: @43467
     /*  43467 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(43513), // Rule ID 21950 //
     /*  43472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43487 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  43493 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  43495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43497 */     // (xor:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, immAllOnesV:{ *:[v16i8] })  =>  (VPTERNLOGQZ128rri:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, VR128X:{ *:[v16i8] }:$src, VR128X:{ *:[v16i8] }:$src, 15:{ *:[i8] })
     /*  43497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ128rri),
     /*  43500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43502 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  43504 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  43506 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  43508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  43511 */     GIR_RootConstrainSelectedInstOperands,
     /*  43512 */     // GIR_Coverage, 21950,
     /*  43512 */     GIR_EraseRootFromParent_Done,
     /*  43513 */   // Label 1032: @43513
     /*  43513 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(43540), // Rule ID 18151 //
     /*  43518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  43521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43533 */     // (xor:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPXORrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  43533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORrr),
     /*  43538 */     GIR_RootConstrainSelectedInstOperands,
     /*  43539 */     // GIR_Coverage, 18151,
     /*  43539 */     GIR_Done,
     /*  43540 */   // Label 1033: @43540
     /*  43540 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(43567), // Rule ID 18175 //
     /*  43545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  43548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  43560 */     // (xor:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PXORrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  43560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PXORrr),
     /*  43565 */     GIR_RootConstrainSelectedInstOperands,
     /*  43566 */     // GIR_Coverage, 18175,
     /*  43566 */     GIR_Done,
     /*  43567 */   // Label 1034: @43567
     /*  43567 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(43594), // Rule ID 20019 //
     /*  43572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  43587 */     // (xor:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPXORQZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /*  43587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ128rr),
     /*  43592 */     GIR_RootConstrainSelectedInstOperands,
     /*  43593 */     // GIR_Coverage, 20019,
     /*  43593 */     GIR_Done,
     /*  43594 */   // Label 1035: @43594
     /*  43594 */   GIM_Reject,
     /*  43595 */ // Label 1026: @43595
     /*  43595 */ GIM_Reject,
     /*  43596 */ // Label 863: @43596
     /*  43596 */ GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(44339),
     /*  43601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  43604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  43607 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(43669), // Rule ID 25234 //
     /*  43612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  43615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43627 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43630 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43634 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43651 */     // (xor:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPXORYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  43654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43656 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43658 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43667 */     GIR_RootConstrainSelectedInstOperands,
     /*  43668 */     // GIR_Coverage, 25234,
     /*  43668 */     GIR_EraseRootFromParent_Done,
     /*  43669 */   // Label 1037: @43669
     /*  43669 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(43731), // Rule ID 25245 //
     /*  43674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  43677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43689 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43692 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43696 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43706 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43713 */     // (xor:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VXORPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  43716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43718 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43720 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43729 */     GIR_RootConstrainSelectedInstOperands,
     /*  43730 */     // GIR_Coverage, 25245,
     /*  43730 */     GIR_EraseRootFromParent_Done,
     /*  43731 */   // Label 1038: @43731
     /*  43731 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(43793), // Rule ID 25440 //
     /*  43736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43751 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43754 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43758 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43775 */     // (xor:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPXORQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  43778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43780 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  43782 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43791 */     GIR_RootConstrainSelectedInstOperands,
     /*  43792 */     // GIR_Coverage, 25440,
     /*  43792 */     GIR_EraseRootFromParent_Done,
     /*  43793 */   // Label 1039: @43793
     /*  43793 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(43855), // Rule ID 18108 //
     /*  43798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  43801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43817 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43820 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43824 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43830 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43837 */     // (xor:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  43840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43842 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43844 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43853 */     GIR_RootConstrainSelectedInstOperands,
     /*  43854 */     // GIR_Coverage, 18108,
     /*  43854 */     GIR_EraseRootFromParent_Done,
     /*  43855 */   // Label 1040: @43855
     /*  43855 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(43917), // Rule ID 18138 //
     /*  43860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  43863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  43871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43879 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43882 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43886 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43892 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43899 */     // (xor:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VXORPSYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  43902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43904 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43906 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43915 */     GIR_RootConstrainSelectedInstOperands,
     /*  43916 */     // GIR_Coverage, 18138,
     /*  43916 */     GIR_EraseRootFromParent_Done,
     /*  43917 */   // Label 1041: @43917
     /*  43917 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(43979), // Rule ID 20044 //
     /*  43922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  43925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  43941 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  43944 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  43948 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  43952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43954 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  43961 */     // (xor:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  43961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  43964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43966 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  43968 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  43972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  43977 */     GIR_RootConstrainSelectedInstOperands,
     /*  43978 */     // GIR_Coverage, 20044,
     /*  43978 */     GIR_EraseRootFromParent_Done,
     /*  43979 */   // Label 1042: @43979
     /*  43979 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(44211), // Rule ID 21947 //
     /*  43984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  43987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  43995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43999 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44005 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  44007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44009 */     // (xor:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, immAllOnesV:{ *:[v16i16] })  =>  (EXTRACT_SUBREG:{ *:[v16i16] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] }), 15:{ *:[i8] }), sub_ymm:{ *:[i32] })
     /*  44009 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  44012 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  44016 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  44023 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  44026 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  44030 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44035 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  44038 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  44042 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/12,
     /*  44045 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  44050 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  44055 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  44060 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  44063 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  44067 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  44074 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  44077 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  44081 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44086 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  44089 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  44093 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  44096 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  44101 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  44106 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  44111 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  44114 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  44118 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  44125 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  44128 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  44132 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44137 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  44140 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  44144 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  44147 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  44152 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  44157 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  44162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  44165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  44169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  44174 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  44177 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  44180 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  44183 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  44186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  44188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  44191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44193 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  44200 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  44205 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  44210 */     // GIR_Coverage, 21947,
     /*  44210 */     GIR_EraseRootFromParent_Done,
     /*  44211 */   // Label 1043: @44211
     /*  44211 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(44257), // Rule ID 21955 //
     /*  44216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  44219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44231 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44237 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  44239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44241 */     // (xor:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, immAllOnesV:{ *:[v16i16] })  =>  (VPTERNLOGQZ256rri:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, VR256X:{ *:[v16i16] }:$src, VR256X:{ *:[v16i16] }:$src, 15:{ *:[i8] })
     /*  44241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ256rri),
     /*  44244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44246 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44248 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44250 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  44255 */     GIR_RootConstrainSelectedInstOperands,
     /*  44256 */     // GIR_Coverage, 21955,
     /*  44256 */     GIR_EraseRootFromParent_Done,
     /*  44257 */   // Label 1044: @44257
     /*  44257 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(44284), // Rule ID 18096 //
     /*  44262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  44265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44277 */     // (xor:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPXORYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  44277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORYrr),
     /*  44282 */     GIR_RootConstrainSelectedInstOperands,
     /*  44283 */     // GIR_Coverage, 18096,
     /*  44283 */     GIR_Done,
     /*  44284 */   // Label 1045: @44284
     /*  44284 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(44311), // Rule ID 18122 //
     /*  44289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  44292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44304 */     // (xor:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VXORPSYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  44304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VXORPSYrr),
     /*  44309 */     GIR_RootConstrainSelectedInstOperands,
     /*  44310 */     // GIR_Coverage, 18122,
     /*  44310 */     GIR_Done,
     /*  44311 */   // Label 1046: @44311
     /*  44311 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(44338), // Rule ID 20036 //
     /*  44316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  44319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44331 */     // (xor:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPXORQZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /*  44331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rr),
     /*  44336 */     GIR_RootConstrainSelectedInstOperands,
     /*  44337 */     // GIR_Coverage, 20036,
     /*  44337 */     GIR_Done,
     /*  44338 */   // Label 1047: @44338
     /*  44338 */   GIM_Reject,
     /*  44339 */ // Label 1036: @44339
     /*  44339 */ GIM_Reject,
     /*  44340 */ // Label 864: @44340
     /*  44340 */ GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(44537),
     /*  44345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  44348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  44351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44355 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(44413), // Rule ID 24224 //
     /*  44360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  44363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44371 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44374 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44378 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44388 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44395 */     // (xor:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPXORDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZrm),
     /*  44398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44400 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  44402 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44411 */     GIR_RootConstrainSelectedInstOperands,
     /*  44412 */     // GIR_Coverage, 24224,
     /*  44412 */     GIR_EraseRootFromParent_Done,
     /*  44413 */   // Label 1049: @44413
     /*  44413 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(44471), // Rule ID 5823 //
     /*  44418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  44421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44433 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44436 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44440 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44446 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44453 */     // (xor:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORDZrm),
     /*  44456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44458 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  44460 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44469 */     GIR_RootConstrainSelectedInstOperands,
     /*  44470 */     // GIR_Coverage, 5823,
     /*  44470 */     GIR_EraseRootFromParent_Done,
     /*  44471 */   // Label 1050: @44471
     /*  44471 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(44513), // Rule ID 21940 //
     /*  44476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  44479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44487 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44493 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  44495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44497 */     // (xor:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, immAllOnesV:{ *:[v16i32] })  =>  (VPTERNLOGQZrri:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, VR512:{ *:[v16i32] }:$src, VR512:{ *:[v16i32] }:$src, 15:{ *:[i8] })
     /*  44497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  44500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44502 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44504 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44506 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  44511 */     GIR_RootConstrainSelectedInstOperands,
     /*  44512 */     // GIR_Coverage, 21940,
     /*  44512 */     GIR_EraseRootFromParent_Done,
     /*  44513 */   // Label 1051: @44513
     /*  44513 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(44536), // Rule ID 5820 //
     /*  44518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  44521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  44529 */     // (xor:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPXORDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  44529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORDZrr),
     /*  44534 */     GIR_RootConstrainSelectedInstOperands,
     /*  44535 */     // GIR_Coverage, 5820,
     /*  44535 */     GIR_Done,
     /*  44536 */   // Label 1052: @44536
     /*  44536 */   GIM_Reject,
     /*  44537 */ // Label 1048: @44537
     /*  44537 */ GIM_Reject,
     /*  44538 */ // Label 865: @44538
     /*  44538 */ GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(44795),
     /*  44543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  44546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  44549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44553 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(44613), // Rule ID 23685 //
     /*  44558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  44569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  44573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  44577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44586 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44592 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  44594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44600 */     // (xor:{ *:[v32i1] } (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, immAllOnesV:{ *:[v32i1] }), VK32:{ *:[v32i1] }:$src2)  =>  (KXNORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  44600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORDkk),
     /*  44603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  44609 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  44611 */     GIR_RootConstrainSelectedInstOperands,
     /*  44612 */     // GIR_Coverage, 23685,
     /*  44612 */     GIR_EraseRootFromParent_Done,
     /*  44613 */   // Label 1054: @44613
     /*  44613 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(44676), // Rule ID 4424 //
     /*  44618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  44629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  44633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  44637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44651 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44657 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  44659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44661 */     // (xor:{ *:[v32i1] } (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2), immAllOnesV:{ *:[v32i1] })  =>  (KXNORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  44661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORDkk),
     /*  44664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  44670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  44674 */     GIR_RootConstrainSelectedInstOperands,
     /*  44675 */     // GIR_Coverage, 4424,
     /*  44675 */     GIR_EraseRootFromParent_Done,
     /*  44676 */   // Label 1055: @44676
     /*  44676 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(44736), // Rule ID 23686 //
     /*  44681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  44696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  44700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  44704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44713 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44719 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  44721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44723 */     // (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src2, (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, immAllOnesV:{ *:[v32i1] }))  =>  (KXNORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  44723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORDkk),
     /*  44726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  44732 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  44734 */     GIR_RootConstrainSelectedInstOperands,
     /*  44735 */     // GIR_Coverage, 23686,
     /*  44735 */     GIR_EraseRootFromParent_Done,
     /*  44736 */   // Label 1056: @44736
     /*  44736 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(44771), // Rule ID 4412 //
     /*  44741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44752 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44758 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  44760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44762 */     // (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src, immAllOnesV:{ *:[v32i1] })  =>  (KNOTDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src)
     /*  44762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KNOTDkk),
     /*  44765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44767 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  44769 */     GIR_RootConstrainSelectedInstOperands,
     /*  44770 */     // GIR_Coverage, 4412,
     /*  44770 */     GIR_EraseRootFromParent_Done,
     /*  44771 */   // Label 1057: @44771
     /*  44771 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(44794), // Rule ID 4428 //
     /*  44776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  44779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  44787 */     // (xor:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)  =>  (KXORDkk:{ *:[v32i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)
     /*  44787 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KXORDkk),
     /*  44792 */     GIR_RootConstrainSelectedInstOperands,
     /*  44793 */     // GIR_Coverage, 4428,
     /*  44793 */     GIR_Done,
     /*  44794 */   // Label 1058: @44794
     /*  44794 */   GIM_Reject,
     /*  44795 */ // Label 1053: @44795
     /*  44795 */ GIM_Reject,
     /*  44796 */ // Label 866: @44796
     /*  44796 */ GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(45539),
     /*  44801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /*  44804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  44807 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(44869), // Rule ID 25233 //
     /*  44812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  44815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44827 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44830 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44834 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44844 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44851 */     // (xor:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPXORYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  44854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44856 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  44858 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44867 */     GIR_RootConstrainSelectedInstOperands,
     /*  44868 */     // GIR_Coverage, 25233,
     /*  44868 */     GIR_EraseRootFromParent_Done,
     /*  44869 */   // Label 1060: @44869
     /*  44869 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(44931), // Rule ID 25244 //
     /*  44874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  44877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44889 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44892 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44896 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  44904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44913 */     // (xor:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VXORPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  44916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44918 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  44920 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44929 */     GIR_RootConstrainSelectedInstOperands,
     /*  44930 */     // GIR_Coverage, 25244,
     /*  44930 */     GIR_EraseRootFromParent_Done,
     /*  44931 */   // Label 1061: @44931
     /*  44931 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(44993), // Rule ID 25439 //
     /*  44936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  44939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  44951 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  44954 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  44958 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  44962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  44966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44968 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  44975 */     // (xor:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPXORQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  44975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  44978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44980 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  44982 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  44986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  44991 */     GIR_RootConstrainSelectedInstOperands,
     /*  44992 */     // GIR_Coverage, 25439,
     /*  44992 */     GIR_EraseRootFromParent_Done,
     /*  44993 */   // Label 1062: @44993
     /*  44993 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(45055), // Rule ID 18107 //
     /*  44998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  45001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45017 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45020 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45024 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45037 */     // (xor:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORYrm),
     /*  45040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45042 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  45044 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45053 */     GIR_RootConstrainSelectedInstOperands,
     /*  45054 */     // GIR_Coverage, 18107,
     /*  45054 */     GIR_EraseRootFromParent_Done,
     /*  45055 */   // Label 1063: @45055
     /*  45055 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(45117), // Rule ID 18137 //
     /*  45060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  45063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45079 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45082 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45086 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45092 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45099 */     // (xor:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VXORPSYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VXORPSYrm),
     /*  45102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45104 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  45106 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45110 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45115 */     GIR_RootConstrainSelectedInstOperands,
     /*  45116 */     // GIR_Coverage, 18137,
     /*  45116 */     GIR_EraseRootFromParent_Done,
     /*  45117 */   // Label 1064: @45117
     /*  45117 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(45179), // Rule ID 20043 //
     /*  45122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  45125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45141 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45144 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45148 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45154 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45161 */     // (xor:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rm),
     /*  45164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45166 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  45168 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45177 */     GIR_RootConstrainSelectedInstOperands,
     /*  45178 */     // GIR_Coverage, 20043,
     /*  45178 */     GIR_EraseRootFromParent_Done,
     /*  45179 */   // Label 1065: @45179
     /*  45179 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(45411), // Rule ID 21946 //
     /*  45184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /*  45187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45199 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45205 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  45207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45209 */     // (xor:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, immAllOnesV:{ *:[v32i8] })  =>  (EXTRACT_SUBREG:{ *:[v32i8] } (VPTERNLOGQZrri:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v32i8] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v32i8] }:$src, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v32i8] }:$src, sub_ymm:{ *:[i32] }), 15:{ *:[i8] }), sub_ymm:{ *:[i32] })
     /*  45209 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v8s64,
     /*  45212 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  45216 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  45223 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /*  45226 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  45230 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45235 */     GIR_AddSimpleTempRegister, /*InsnID*/6, /*TempRegID*/6,
     /*  45238 */     GIR_Copy, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  45242 */     GIR_AddImm8, /*InsnID*/6, /*Imm*/12,
     /*  45245 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  45250 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  45255 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  45260 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /*  45263 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  45267 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  45274 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /*  45277 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  45281 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45286 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  45289 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  45293 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /*  45296 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  45301 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  45306 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  45311 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /*  45314 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  45318 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  45325 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /*  45328 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  45332 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45337 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  45340 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  45344 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /*  45347 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /*  45352 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  45357 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /*  45362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /*  45365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  45369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45374 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  45377 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /*  45380 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/5,
     /*  45383 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/15,
     /*  45386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45393 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /*  45400 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /*  45405 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /*  45410 */     // GIR_Coverage, 21946,
     /*  45410 */     GIR_EraseRootFromParent_Done,
     /*  45411 */   // Label 1066: @45411
     /*  45411 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(45457), // Rule ID 21954 //
     /*  45416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  45419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45431 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45437 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  45439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45441 */     // (xor:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, immAllOnesV:{ *:[v32i8] })  =>  (VPTERNLOGQZ256rri:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, VR256X:{ *:[v32i8] }:$src, VR256X:{ *:[v32i8] }:$src, 15:{ *:[i8] })
     /*  45441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZ256rri),
     /*  45444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45446 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45448 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45450 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  45455 */     GIR_RootConstrainSelectedInstOperands,
     /*  45456 */     // GIR_Coverage, 21954,
     /*  45456 */     GIR_EraseRootFromParent_Done,
     /*  45457 */   // Label 1067: @45457
     /*  45457 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(45484), // Rule ID 18095 //
     /*  45462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /*  45465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45477 */     // (xor:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPXORYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  45477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORYrr),
     /*  45482 */     GIR_RootConstrainSelectedInstOperands,
     /*  45483 */     // GIR_Coverage, 18095,
     /*  45483 */     GIR_Done,
     /*  45484 */   // Label 1068: @45484
     /*  45484 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(45511), // Rule ID 18121 //
     /*  45489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX1Only),
     /*  45492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  45504 */     // (xor:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VXORPSYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  45504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VXORPSYrr),
     /*  45509 */     GIR_RootConstrainSelectedInstOperands,
     /*  45510 */     // GIR_Coverage, 18121,
     /*  45510 */     GIR_Done,
     /*  45511 */   // Label 1069: @45511
     /*  45511 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(45538), // Rule ID 20035 //
     /*  45516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  45519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  45531 */     // (xor:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPXORQZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /*  45531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZ256rr),
     /*  45536 */     GIR_RootConstrainSelectedInstOperands,
     /*  45537 */     // GIR_Coverage, 20035,
     /*  45537 */     GIR_Done,
     /*  45538 */   // Label 1070: @45538
     /*  45538 */   GIM_Reject,
     /*  45539 */ // Label 1059: @45539
     /*  45539 */ GIM_Reject,
     /*  45540 */ // Label 867: @45540
     /*  45540 */ GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(45737),
     /*  45545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  45548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /*  45551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45555 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(45613), // Rule ID 25446 //
     /*  45560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  45563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45571 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45574 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45578 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45588 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45595 */     // (xor:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPXORQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  45598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45600 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  45602 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45611 */     GIR_RootConstrainSelectedInstOperands,
     /*  45612 */     // GIR_Coverage, 25446,
     /*  45612 */     GIR_EraseRootFromParent_Done,
     /*  45613 */   // Label 1072: @45613
     /*  45613 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(45671), // Rule ID 20060 //
     /*  45618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  45621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  45633 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  45636 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  45640 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  45644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45646 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  45653 */     // (xor:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  45653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  45656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45658 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  45660 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  45664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  45669 */     GIR_RootConstrainSelectedInstOperands,
     /*  45670 */     // GIR_Coverage, 20060,
     /*  45670 */     GIR_EraseRootFromParent_Done,
     /*  45671 */   // Label 1073: @45671
     /*  45671 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(45713), // Rule ID 21939 //
     /*  45676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  45679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45687 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45693 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  45695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45697 */     // (xor:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, immAllOnesV:{ *:[v32i16] })  =>  (VPTERNLOGQZrri:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, VR512:{ *:[v32i16] }:$src, VR512:{ *:[v32i16] }:$src, 15:{ *:[i8] })
     /*  45697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  45700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45702 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45704 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45706 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  45711 */     GIR_RootConstrainSelectedInstOperands,
     /*  45712 */     // GIR_Coverage, 21939,
     /*  45712 */     GIR_EraseRootFromParent_Done,
     /*  45713 */   // Label 1074: @45713
     /*  45713 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(45736), // Rule ID 20052 //
     /*  45718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  45721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  45729 */     // (xor:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPXORQZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /*  45729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZrr),
     /*  45734 */     GIR_RootConstrainSelectedInstOperands,
     /*  45735 */     // GIR_Coverage, 20052,
     /*  45735 */     GIR_Done,
     /*  45736 */   // Label 1075: @45736
     /*  45736 */   GIM_Reject,
     /*  45737 */ // Label 1071: @45737
     /*  45737 */ GIM_Reject,
     /*  45738 */ // Label 868: @45738
     /*  45738 */ GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(45995),
     /*  45743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  45746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  45749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45753 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(45813), // Rule ID 23687 //
     /*  45758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  45769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  45773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  45777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  45786 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45792 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  45794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45800 */     // (xor:{ *:[v64i1] } (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, immAllOnesV:{ *:[v64i1] }), VK64:{ *:[v64i1] }:$src2)  =>  (KXNORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  45800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORQkk),
     /*  45803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  45809 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  45811 */     GIR_RootConstrainSelectedInstOperands,
     /*  45812 */     // GIR_Coverage, 23687,
     /*  45812 */     GIR_EraseRootFromParent_Done,
     /*  45813 */   // Label 1077: @45813
     /*  45813 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(45876), // Rule ID 4425 //
     /*  45818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  45829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  45833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  45837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  45851 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45857 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  45859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45861 */     // (xor:{ *:[v64i1] } (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2), immAllOnesV:{ *:[v64i1] })  =>  (KXNORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  45861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORQkk),
     /*  45864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  45870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  45874 */     GIR_RootConstrainSelectedInstOperands,
     /*  45875 */     // GIR_Coverage, 4425,
     /*  45875 */     GIR_EraseRootFromParent_Done,
     /*  45876 */   // Label 1078: @45876
     /*  45876 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(45936), // Rule ID 23688 //
     /*  45881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  45896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  45900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v64s1,
     /*  45904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  45913 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45919 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  45921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45923 */     // (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src2, (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, immAllOnesV:{ *:[v64i1] }))  =>  (KXNORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  45923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KXNORQkk),
     /*  45926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  45932 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /*  45934 */     GIR_RootConstrainSelectedInstOperands,
     /*  45935 */     // GIR_Coverage, 23688,
     /*  45935 */     GIR_EraseRootFromParent_Done,
     /*  45936 */   // Label 1079: @45936
     /*  45936 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(45971), // Rule ID 4413 //
     /*  45941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45952 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  45958 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  45960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45962 */     // (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src, immAllOnesV:{ *:[v64i1] })  =>  (KNOTQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src)
     /*  45962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KNOTQkk),
     /*  45965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45967 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  45969 */     GIR_RootConstrainSelectedInstOperands,
     /*  45970 */     // GIR_Coverage, 4413,
     /*  45970 */     GIR_EraseRootFromParent_Done,
     /*  45971 */   // Label 1080: @45971
     /*  45971 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(45994), // Rule ID 4429 //
     /*  45976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  45979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  45987 */     // (xor:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)  =>  (KXORQkk:{ *:[v64i1] } VK64:{ *:[v64i1] }:$src1, VK64:{ *:[v64i1] }:$src2)
     /*  45987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::KXORQkk),
     /*  45992 */     GIR_RootConstrainSelectedInstOperands,
     /*  45993 */     // GIR_Coverage, 4429,
     /*  45993 */     GIR_Done,
     /*  45994 */   // Label 1081: @45994
     /*  45994 */   GIM_Reject,
     /*  45995 */ // Label 1076: @45995
     /*  45995 */ GIM_Reject,
     /*  45996 */ // Label 869: @45996
     /*  45996 */ GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(46193),
     /*  46001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /*  46004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /*  46007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46011 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(46069), // Rule ID 25445 //
     /*  46016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  46027 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  46030 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  46034 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  46038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46044 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  46051 */     // (xor:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPXORQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  46051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  46054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46056 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  46058 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  46062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  46067 */     GIR_RootConstrainSelectedInstOperands,
     /*  46068 */     // GIR_Coverage, 25445,
     /*  46068 */     GIR_EraseRootFromParent_Done,
     /*  46069 */   // Label 1083: @46069
     /*  46069 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(46127), // Rule ID 20059 //
     /*  46074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  46089 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  46092 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  46096 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  46100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  46109 */     // (xor:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPXORQZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  46109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPXORQZrm),
     /*  46112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46114 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  46116 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  46120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  46125 */     GIR_RootConstrainSelectedInstOperands,
     /*  46126 */     // GIR_Coverage, 20059,
     /*  46126 */     GIR_EraseRootFromParent_Done,
     /*  46127 */   // Label 1084: @46127
     /*  46127 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(46169), // Rule ID 21938 //
     /*  46132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46143 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  46149 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  46151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46153 */     // (xor:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, immAllOnesV:{ *:[v64i8] })  =>  (VPTERNLOGQZrri:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, VR512:{ *:[v64i8] }:$src, VR512:{ *:[v64i8] }:$src, 15:{ *:[i8] })
     /*  46153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPTERNLOGQZrri),
     /*  46156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46158 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  46160 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  46162 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  46164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /*  46167 */     GIR_RootConstrainSelectedInstOperands,
     /*  46168 */     // GIR_Coverage, 21938,
     /*  46168 */     GIR_EraseRootFromParent_Done,
     /*  46169 */   // Label 1085: @46169
     /*  46169 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(46192), // Rule ID 20051 //
     /*  46174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  46185 */     // (xor:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPXORQZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /*  46185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPXORQZrr),
     /*  46190 */     GIR_RootConstrainSelectedInstOperands,
     /*  46191 */     // GIR_Coverage, 20051,
     /*  46191 */     GIR_Done,
     /*  46192 */   // Label 1086: @46192
     /*  46192 */   GIM_Reject,
     /*  46193 */ // Label 1082: @46193
     /*  46193 */ GIM_Reject,
     /*  46194 */ // Label 870: @46194
     /*  46194 */ GIM_Reject,
     /*  46195 */ // Label 6: @46195
     /*  46195 */ GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(46361),
     /*  46200 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  46203 */   GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(16), GIMT_Encode2(24), /*)*//*default:*//*Label 1091*/ GIMT_Encode4(46360),
     /*  46214 */   /*GILLT_v16s1*//*Label 1088*/ GIMT_Encode4(46246), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46230 */   /*GILLT_v32s1*//*Label 1089*/ GIMT_Encode4(46284), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46242 */   /*GILLT_v64s1*//*Label 1090*/ GIMT_Encode4(46322),
     /*  46246 */   // Label 1088: @46246
     /*  46246 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(46283), // Rule ID 19502 //
     /*  46251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  46254 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  46257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /*  46260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  46264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  46268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  46272 */     // (concat_vectors:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src1, VK8:{ *:[v8i1] }:$src2)  =>  (KUNPCKBWkk:{ *:[v16i1] } VK8:{ *:[v8i1] }:$src2, VK8:{ *:[v8i1] }:$src1)
     /*  46272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KUNPCKBWkk),
     /*  46275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46277 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  46279 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  46281 */     GIR_RootConstrainSelectedInstOperands,
     /*  46282 */     // GIR_Coverage, 19502,
     /*  46282 */     GIR_EraseRootFromParent_Done,
     /*  46283 */   // Label 1092: @46283
     /*  46283 */   GIM_Reject,
     /*  46284 */   // Label 1089: @46284
     /*  46284 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(46321), // Rule ID 19503 //
     /*  46289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  46292 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  46295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /*  46298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  46302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  46306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  46310 */     // (concat_vectors:{ *:[v32i1] } VK16:{ *:[v16i1] }:$src1, VK16:{ *:[v16i1] }:$src2)  =>  (KUNPCKWDkk:{ *:[v32i1] } VK16:{ *:[v16i1] }:$src2, VK16:{ *:[v16i1] }:$src1)
     /*  46310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KUNPCKWDkk),
     /*  46313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46315 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  46317 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  46319 */     GIR_RootConstrainSelectedInstOperands,
     /*  46320 */     // GIR_Coverage, 19503,
     /*  46320 */     GIR_EraseRootFromParent_Done,
     /*  46321 */   // Label 1093: @46321
     /*  46321 */   GIM_Reject,
     /*  46322 */   // Label 1090: @46322
     /*  46322 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(46359), // Rule ID 19504 //
     /*  46327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  46330 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  46333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /*  46336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  46340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  46344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  46348 */     // (concat_vectors:{ *:[v64i1] } VK32:{ *:[v32i1] }:$src1, VK32:{ *:[v32i1] }:$src2)  =>  (KUNPCKDQkk:{ *:[v64i1] } VK32:{ *:[v32i1] }:$src2, VK32:{ *:[v32i1] }:$src1)
     /*  46348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KUNPCKDQkk),
     /*  46351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46353 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /*  46355 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /*  46357 */     GIR_RootConstrainSelectedInstOperands,
     /*  46358 */     // GIR_Coverage, 19504,
     /*  46358 */     GIR_EraseRootFromParent_Done,
     /*  46359 */   // Label 1094: @46359
     /*  46359 */   GIM_Reject,
     /*  46360 */   // Label 1091: @46360
     /*  46360 */   GIM_Reject,
     /*  46361 */ // Label 1087: @46361
     /*  46361 */ GIM_Reject,
     /*  46362 */ // Label 7: @46362
     /*  46362 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(24), /*)*//*default:*//*Label 1103*/ GIMT_Encode4(48627),
     /*  46373 */ /*GILLT_s8*//*Label 1095*/ GIMT_Encode4(46465),
     /*  46377 */ /*GILLT_s16*//*Label 1096*/ GIMT_Encode4(46526),
     /*  46381 */ /*GILLT_s32*//*Label 1097*/ GIMT_Encode4(47356),
     /*  46385 */ /*GILLT_s64*//*Label 1098*/ GIMT_Encode4(47770), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46417 */ /*GILLT_v8s1*//*Label 1099*/ GIMT_Encode4(48184), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46433 */ /*GILLT_v16s1*//*Label 1100*/ GIMT_Encode4(48345), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46449 */ /*GILLT_v32s1*//*Label 1101*/ GIMT_Encode4(48485), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  46461 */ /*GILLT_v64s1*//*Label 1102*/ GIMT_Encode4(48556),
     /*  46465 */ // Label 1095: @46465
     /*  46465 */ GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(46525), // Rule ID 19433 //
     /*  46470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /*  46473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  46477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  46481 */   // (bitconvert:{ *:[i8] } VK8:{ *:[v8i1] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } (COPY_TO_REGCLASS:{ *:[i32] } VK8:{ *:[v8i1] }:$src, GR32:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /*  46481 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  46484 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46488 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46493 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46497 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /*  46502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46507 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /*  46514 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /*  46519 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  46524 */   // GIR_Coverage, 19433,
     /*  46524 */   GIR_EraseRootFromParent_Done,
     /*  46525 */ // Label 1104: @46525
     /*  46525 */ GIM_Reject,
     /*  46526 */ // Label 1096: @46526
     /*  46526 */ GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(46586), // Rule ID 19430 //
     /*  46531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /*  46534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  46542 */   // (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (COPY_TO_REGCLASS:{ *:[i32] } VK16:{ *:[v16i1] }:$src, GR32:{ *:[i32] }), sub_16bit:{ *:[i32] })
     /*  46542 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  46545 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46549 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46554 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46558 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /*  46563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46568 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  46575 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  46580 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  46585 */   // GIR_Coverage, 19430,
     /*  46585 */   GIR_EraseRootFromParent_Done,
     /*  46586 */ // Label 1105: @46586
     /*  46586 */ GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(46687), // Rule ID 22139 //
     /*  46591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  46594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  46601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46605 */   // (bitconvert:{ *:[f16] } GR16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VMOVW2SHrr:{ *:[f128] } (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] })), FR16X:{ *:[i32] })
     /*  46605 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  46608 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46612 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46617 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46619 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  46622 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46626 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46631 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46634 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46638 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/4,
     /*  46641 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  46646 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  46651 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  46656 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  46659 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVW2SHrr),
     /*  46663 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46668 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46671 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46678 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  46681 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  46686 */   // GIR_Coverage, 22139,
     /*  46686 */   GIR_EraseRootFromParent_Done,
     /*  46687 */ // Label 1106: @46687
     /*  46687 */ GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(46767), // Rule ID 22152 //
     /*  46692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  46695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  46706 */   // (bitconvert:{ *:[i16] } FR16X:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (VMOVSH2Wrr:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[f128] } FR16X:{ *:[f16] }:$src, VR128X:{ *:[i32] })), sub_16bit:{ *:[i32] })
     /*  46706 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  46709 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46713 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46718 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46722 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR128XRegClassID),
     /*  46727 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  46730 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVSH2Wrr),
     /*  46734 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46739 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46749 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  46756 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  46761 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  46766 */   // GIR_Coverage, 22152,
     /*  46766 */   GIR_EraseRootFromParent_Done,
     /*  46767 */ // Label 1107: @46767
     /*  46767 */ GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(46846), // Rule ID 18339 //
     /*  46772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoBWI),
     /*  46775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46782 */   // (bitconvert:{ *:[i16] } f16:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (VPEXTRWrri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] }), sub_16bit:{ *:[i32] })
     /*  46782 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46785 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46789 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46794 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46798 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  46803 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  46806 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPEXTRWrri),
     /*  46810 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46815 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46818 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  46821 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46828 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  46835 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  46840 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  46845 */   // GIR_Coverage, 18339,
     /*  46845 */   GIR_EraseRootFromParent_Done,
     /*  46846 */ // Label 1108: @46846
     /*  46846 */ GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(46963), // Rule ID 18340 //
     /*  46851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoBWI),
     /*  46854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  46861 */   // (bitconvert:{ *:[f16] } i16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VPINSRWrri:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] }), 0:{ *:[i8] }), FR16:{ *:[i32] })
     /*  46861 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  46864 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46868 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  46875 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  46878 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46882 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46887 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  46890 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46894 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/4,
     /*  46897 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  46902 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  46907 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  46912 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46915 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46919 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  46926 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  46929 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPINSRWrri),
     /*  46933 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46938 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46941 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  46944 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  46947 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  46957 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /*  46962 */   // GIR_Coverage, 18340,
     /*  46962 */   GIR_EraseRootFromParent_Done,
     /*  46963 */ // Label 1109: @46963
     /*  46963 */ GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(47042), // Rule ID 18336 //
     /*  46968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  46971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  46974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  46978 */   // (bitconvert:{ *:[i16] } f16:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (PEXTRWrri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] }), sub_16bit:{ *:[i32] })
     /*  46978 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46981 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46985 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46990 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  46994 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  46999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  47002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::PEXTRWrri),
     /*  47006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47011 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47014 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  47017 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47024 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  47031 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  47036 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  47041 */   // GIR_Coverage, 18336,
     /*  47041 */   GIR_EraseRootFromParent_Done,
     /*  47042 */ // Label 1110: @47042
     /*  47042 */ GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(47159), // Rule ID 18337 //
     /*  47047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  47050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  47053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  47057 */   // (bitconvert:{ *:[f16] } i16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (PINSRWrri:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] }), 0:{ *:[i8] }), FR16:{ *:[i32] })
     /*  47057 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  47060 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  47064 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47069 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  47071 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  47074 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  47078 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47083 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  47086 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  47090 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/4,
     /*  47093 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  47098 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  47103 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  47108 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  47111 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  47115 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47120 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  47122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  47125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::PINSRWrri),
     /*  47129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47134 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47137 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  47140 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  47143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47153 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /*  47158 */   // GIR_Coverage, 18337,
     /*  47158 */   GIR_EraseRootFromParent_Done,
     /*  47159 */ // Label 1111: @47159
     /*  47159 */ GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(47238), // Rule ID 21840 //
     /*  47164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  47167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  47170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  47174 */   // (bitconvert:{ *:[i16] } f16:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (VPEXTRWZrri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[v8i16] } FR16X:{ *:[f16] }:$src, VR128X:{ *:[i32] }), 0:{ *:[i8] }), sub_16bit:{ *:[i32] })
     /*  47174 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  47177 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47181 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47186 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  47190 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR128XRegClassID),
     /*  47195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  47198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPEXTRWZrri),
     /*  47202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47207 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47210 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  47213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47220 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  47227 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  47232 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  47237 */   // GIR_Coverage, 21840,
     /*  47237 */   GIR_EraseRootFromParent_Done,
     /*  47238 */ // Label 1112: @47238
     /*  47238 */ GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(47355), // Rule ID 21841 //
     /*  47243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  47246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  47249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  47253 */   // (bitconvert:{ *:[f16] } i16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VPINSRWZrri:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] }), 0:{ *:[i8] }), FR16X:{ *:[i32] })
     /*  47253 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /*  47256 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  47260 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  47267 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /*  47270 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  47274 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47279 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  47282 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  47286 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/4,
     /*  47289 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  47294 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  47299 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  47304 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  47307 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  47311 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  47318 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  47321 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPINSRWZrri),
     /*  47325 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47330 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  47333 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  47336 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  47339 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47346 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47349 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  47354 */   // GIR_Coverage, 21841,
     /*  47354 */   GIR_EraseRootFromParent_Done,
     /*  47355 */ // Label 1113: @47355
     /*  47355 */ GIM_Reject,
     /*  47356 */ // Label 1097: @47356
     /*  47356 */ GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(47418), // Rule ID 22524 //
     /*  47361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  47364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47371 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47375 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47379 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47382 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  47389 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47393 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47395 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47402 */   // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_32>>)  =>  (MOVSSrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  47402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSSrm_alt),
     /*  47405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47407 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47411 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47416 */   GIR_RootConstrainSelectedInstOperands,
     /*  47417 */   // GIR_Coverage, 22524,
     /*  47417 */   GIR_EraseRootFromParent_Done,
     /*  47418 */ // Label 1114: @47418
     /*  47418 */ GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(47480), // Rule ID 22525 //
     /*  47423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47433 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47437 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47441 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47444 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  47451 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47455 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47457 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47464 */   // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_32>>)  =>  (VMOVSSrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  47464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSrm_alt),
     /*  47467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47469 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47473 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47478 */   GIR_RootConstrainSelectedInstOperands,
     /*  47479 */   // GIR_Coverage, 22525,
     /*  47479 */   GIR_EraseRootFromParent_Done,
     /*  47480 */ // Label 1115: @47480
     /*  47480 */ GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(47542), // Rule ID 22526 //
     /*  47485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  47488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  47495 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47499 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47503 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47506 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  47513 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47517 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47519 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47526 */   // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_32>>)  =>  (VMOVSSZrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  47526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSZrm_alt),
     /*  47529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47531 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47535 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47540 */   GIR_RootConstrainSelectedInstOperands,
     /*  47541 */   // GIR_Coverage, 22526,
     /*  47541 */   GIR_EraseRootFromParent_Done,
     /*  47542 */ // Label 1116: @47542
     /*  47542 */ GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(47568), // Rule ID 2914 //
     /*  47547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47561 */   // (bitconvert:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VMOVDI2SSrr:{ *:[f32] } GR32:{ *:[i32] }:$src)
     /*  47561 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVDI2SSrr),
     /*  47566 */   GIR_RootConstrainSelectedInstOperands,
     /*  47567 */   // GIR_Coverage, 2914,
     /*  47567 */   GIR_Done,
     /*  47568 */ // Label 1117: @47568
     /*  47568 */ GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(47594), // Rule ID 2915 //
     /*  47573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  47576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47587 */   // (bitconvert:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (MOVDI2SSrr:{ *:[f32] } GR32:{ *:[i32] }:$src)
     /*  47587 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVDI2SSrr),
     /*  47592 */   GIR_RootConstrainSelectedInstOperands,
     /*  47593 */   // GIR_Coverage, 2915,
     /*  47593 */   GIR_Done,
     /*  47594 */ // Label 1118: @47594
     /*  47594 */ GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(47620), // Rule ID 2924 //
     /*  47599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47613 */   // (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (VMOVSS2DIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /*  47613 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVSS2DIrr),
     /*  47618 */   GIR_RootConstrainSelectedInstOperands,
     /*  47619 */   // GIR_Coverage, 2924,
     /*  47619 */   GIR_Done,
     /*  47620 */ // Label 1119: @47620
     /*  47620 */ GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(47646), // Rule ID 2925 //
     /*  47625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  47628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  47639 */   // (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (MOVSS2DIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /*  47639 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSS2DIrr),
     /*  47644 */   GIR_RootConstrainSelectedInstOperands,
     /*  47645 */   // GIR_Coverage, 2925,
     /*  47645 */   GIR_Done,
     /*  47646 */ // Label 1120: @47646
     /*  47646 */ GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(47672), // Rule ID 4597 //
     /*  47651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  47654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  47661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47665 */   // (bitconvert:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VMOVDI2SSZrr:{ *:[f32] } GR32:{ *:[i32] }:$src)
     /*  47665 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVDI2SSZrr),
     /*  47670 */   GIR_RootConstrainSelectedInstOperands,
     /*  47671 */   // GIR_Coverage, 4597,
     /*  47671 */   GIR_Done,
     /*  47672 */ // Label 1121: @47672
     /*  47672 */ GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(47698), // Rule ID 4602 //
     /*  47677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  47680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  47683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  47691 */   // (bitconvert:{ *:[i32] } FR32X:{ *:[f32] }:$src)  =>  (VMOVSS2DIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src)
     /*  47691 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVSS2DIZrr),
     /*  47696 */   GIR_RootConstrainSelectedInstOperands,
     /*  47697 */   // GIR_Coverage, 4602,
     /*  47697 */   GIR_Done,
     /*  47698 */ // Label 1122: @47698
     /*  47698 */ GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(47725), // Rule ID 19441 //
     /*  47703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  47706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  47710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  47714 */   // (bitconvert:{ *:[i32] } VK32:{ *:[v32i1] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[i32] } VK32:{ *:[v32i1] }:$src, GR32:{ *:[i32] })
     /*  47714 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  47719 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /*  47724 */   // GIR_Coverage, 19441,
     /*  47724 */   GIR_Done,
     /*  47725 */ // Label 1123: @47725
     /*  47725 */ GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(47769), // Rule ID 19875 //
     /*  47730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /*  47733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  47737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  47741 */   // (bitconvert:{ *:[f32] } VK32:{ *:[v32i1] }:$src)  =>  (VMOVDI2SSZrr:{ *:[f32] } (KMOVDrk:{ *:[i32] } VK32:{ *:[v32i1] }:$src))
     /*  47741 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  47744 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVDrk),
     /*  47748 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  47753 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  47757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  47759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDI2SSZrr),
     /*  47762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47764 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  47767 */   GIR_RootConstrainSelectedInstOperands,
     /*  47768 */   // GIR_Coverage, 19875,
     /*  47768 */   GIR_EraseRootFromParent_Done,
     /*  47769 */ // Label 1124: @47769
     /*  47769 */ GIM_Reject,
     /*  47770 */ // Label 1098: @47770
     /*  47770 */ GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(47832), // Rule ID 22527 //
     /*  47775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  47778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  47781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  47785 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47789 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47793 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47796 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  47803 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47807 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47809 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47816 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_64>>)  =>  (MOVSDrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  47816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSDrm_alt),
     /*  47819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47821 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47825 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47830 */   GIR_RootConstrainSelectedInstOperands,
     /*  47831 */   // GIR_Coverage, 22527,
     /*  47831 */   GIR_EraseRootFromParent_Done,
     /*  47832 */ // Label 1125: @47832
     /*  47832 */ GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(47894), // Rule ID 22528 //
     /*  47837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  47843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  47847 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47851 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47855 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47858 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  47865 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47869 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47871 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47878 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_64>>)  =>  (VMOVSDrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  47878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDrm_alt),
     /*  47881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47883 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47887 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47892 */   GIR_RootConstrainSelectedInstOperands,
     /*  47893 */   // GIR_Coverage, 22528,
     /*  47893 */   GIR_EraseRootFromParent_Done,
     /*  47894 */ // Label 1126: @47894
     /*  47894 */ GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(47956), // Rule ID 22529 //
     /*  47899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  47902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  47905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  47909 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47913 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  47917 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  47920 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  47927 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  47931 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47933 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  47940 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_64>>)  =>  (VMOVSDZrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  47940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDZrm_alt),
     /*  47943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47945 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  47949 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  47954 */   GIR_RootConstrainSelectedInstOperands,
     /*  47955 */   // GIR_Coverage, 22529,
     /*  47955 */   GIR_EraseRootFromParent_Done,
     /*  47956 */ // Label 1127: @47956
     /*  47956 */ GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(47982), // Rule ID 2909 //
     /*  47961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  47964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  47967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  47971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  47975 */   // (bitconvert:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VMOV64toSDrr:{ *:[f64] } GR64:{ *:[i64] }:$src)
     /*  47975 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOV64toSDrr),
     /*  47980 */   GIR_RootConstrainSelectedInstOperands,
     /*  47981 */   // GIR_Coverage, 2909,
     /*  47981 */   GIR_Done,
     /*  47982 */ // Label 1128: @47982
     /*  47982 */ GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(48008), // Rule ID 2913 //
     /*  47987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  47990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  47993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  47997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48001 */   // (bitconvert:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (MOV64toSDrr:{ *:[f64] } GR64:{ *:[i64] }:$src)
     /*  48001 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOV64toSDrr),
     /*  48006 */   GIR_RootConstrainSelectedInstOperands,
     /*  48007 */   // GIR_Coverage, 2913,
     /*  48007 */   GIR_Done,
     /*  48008 */ // Label 1129: @48008
     /*  48008 */ GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(48034), // Rule ID 2922 //
     /*  48013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  48016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  48027 */   // (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VMOVSDto64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  48027 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVSDto64rr),
     /*  48032 */   GIR_RootConstrainSelectedInstOperands,
     /*  48033 */   // GIR_Coverage, 2922,
     /*  48033 */   GIR_Done,
     /*  48034 */ // Label 1130: @48034
     /*  48034 */ GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(48060), // Rule ID 2923 //
     /*  48039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  48042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  48053 */   // (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (MOVSDto64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  48053 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSDto64rr),
     /*  48058 */   GIR_RootConstrainSelectedInstOperands,
     /*  48059 */   // GIR_Coverage, 2923,
     /*  48059 */   GIR_Done,
     /*  48060 */ // Label 1131: @48060
     /*  48060 */ GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(48086), // Rule ID 4595 //
     /*  48065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  48068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  48075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48079 */   // (bitconvert:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VMOV64toSDZrr:{ *:[f64] } GR64:{ *:[i64] }:$src)
     /*  48079 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOV64toSDZrr),
     /*  48084 */   GIR_RootConstrainSelectedInstOperands,
     /*  48085 */   // GIR_Coverage, 4595,
     /*  48085 */   GIR_Done,
     /*  48086 */ // Label 1132: @48086
     /*  48086 */ GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(48112), // Rule ID 4596 //
     /*  48091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  48094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  48105 */   // (bitconvert:{ *:[i64] } FR64X:{ *:[f64] }:$src)  =>  (VMOVSDto64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src)
     /*  48105 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMOVSDto64Zrr),
     /*  48110 */   GIR_RootConstrainSelectedInstOperands,
     /*  48111 */   // GIR_Coverage, 4596,
     /*  48111 */   GIR_Done,
     /*  48112 */ // Label 1133: @48112
     /*  48112 */ GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(48139), // Rule ID 19443 //
     /*  48117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  48120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  48128 */   // (bitconvert:{ *:[i64] } VK64:{ *:[v64i1] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[i64] } VK64:{ *:[v64i1] }:$src, GR64:{ *:[i32] })
     /*  48128 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48133 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  48138 */   // GIR_Coverage, 19443,
     /*  48138 */   GIR_Done,
     /*  48139 */ // Label 1134: @48139
     /*  48139 */ GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(48183), // Rule ID 19877 //
     /*  48144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /*  48147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  48151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  48155 */   // (bitconvert:{ *:[f64] } VK64:{ *:[v64i1] }:$src)  =>  (VMOV64toSDZrr:{ *:[f64] } (KMOVQrk:{ *:[i64] } VK64:{ *:[v64i1] }:$src))
     /*  48155 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  48158 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVQrk),
     /*  48162 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48167 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOV64toSDZrr),
     /*  48176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48178 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48181 */   GIR_RootConstrainSelectedInstOperands,
     /*  48182 */   // GIR_Coverage, 19877,
     /*  48182 */   GIR_EraseRootFromParent_Done,
     /*  48183 */ // Label 1135: @48183
     /*  48183 */ GIM_Reject,
     /*  48184 */ // Label 1099: @48184
     /*  48184 */ GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(48344),
     /*  48189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /*  48192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  48196 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(48269), // Rule ID 19447 //
     /*  48201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  48204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48212 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48215 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  48219 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48225 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48232 */     // (bitconvert:{ *:[v8i1] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), VK8:{ *:[i32] })
     /*  48232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  48239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48244 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  48248 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48263 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  48268 */     // GIR_Coverage, 19447,
     /*  48268 */     GIR_EraseRootFromParent_Done,
     /*  48269 */   // Label 1137: @48269
     /*  48269 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(48343), // Rule ID 19432 //
     /*  48274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  48278 */     // (bitconvert:{ *:[v8i1] } GR8:{ *:[i8] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src, sub_8bit:{ *:[i32] }), VK8:{ *:[i32] })
     /*  48278 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  48281 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  48285 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  48292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  48299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48304 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  48307 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48311 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  48314 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  48319 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /*  48324 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /*  48329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48337 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /*  48342 */     // GIR_Coverage, 19432,
     /*  48342 */     GIR_EraseRootFromParent_Done,
     /*  48343 */   // Label 1138: @48343
     /*  48343 */   GIM_Reject,
     /*  48344 */ // Label 1136: @48344
     /*  48344 */ GIM_Reject,
     /*  48345 */ // Label 1100: @48345
     /*  48345 */ GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(48484),
     /*  48350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  48353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  48357 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(48409), // Rule ID 19448 //
     /*  48362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  48365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48373 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48376 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48380 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  48384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48386 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48393 */     // (bitconvert:{ *:[v16i1] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (KMOVWkm:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)
     /*  48393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWkm),
     /*  48396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48398 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  48402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48407 */     GIR_RootConstrainSelectedInstOperands,
     /*  48408 */     // GIR_Coverage, 19448,
     /*  48408 */     GIR_EraseRootFromParent_Done,
     /*  48409 */   // Label 1140: @48409
     /*  48409 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(48483), // Rule ID 19429 //
     /*  48414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  48418 */     // (bitconvert:{ *:[v16i1] } GR16:{ *:[i16] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] }), VK16:{ *:[i32] })
     /*  48418 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  48421 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  48425 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  48432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  48439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48444 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  48447 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48451 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/4,
     /*  48454 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  48459 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /*  48464 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /*  48469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48477 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /*  48482 */     // GIR_Coverage, 19429,
     /*  48482 */     GIR_EraseRootFromParent_Done,
     /*  48483 */   // Label 1141: @48483
     /*  48483 */   GIM_Reject,
     /*  48484 */ // Label 1139: @48484
     /*  48484 */ GIM_Reject,
     /*  48485 */ // Label 1101: @48485
     /*  48485 */ GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(48555),
     /*  48490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  48493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  48497 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(48517), // Rule ID 19440 //
     /*  48502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  48506 */     // (bitconvert:{ *:[v32i1] } GR32:{ *:[i32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v32i1] } GR32:{ *:[i32] }:$src, VK32:{ *:[i32] })
     /*  48506 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48511 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK32RegClassID),
     /*  48516 */     // GIR_Coverage, 19440,
     /*  48516 */     GIR_Done,
     /*  48517 */   // Label 1143: @48517
     /*  48517 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(48554), // Rule ID 19874 //
     /*  48522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  48526 */     // (bitconvert:{ *:[v32i1] } FR32X:{ *:[f32] }:$src)  =>  (KMOVDkr:{ *:[v32i1] } (VMOVSS2DIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src))
     /*  48526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVSS2DIZrr),
     /*  48533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDkr),
     /*  48547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48552 */     GIR_RootConstrainSelectedInstOperands,
     /*  48553 */     // GIR_Coverage, 19874,
     /*  48553 */     GIR_EraseRootFromParent_Done,
     /*  48554 */   // Label 1144: @48554
     /*  48554 */   GIM_Reject,
     /*  48555 */ // Label 1142: @48555
     /*  48555 */ GIM_Reject,
     /*  48556 */ // Label 1102: @48556
     /*  48556 */ GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(48626),
     /*  48561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  48568 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(48588), // Rule ID 19442 //
     /*  48573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  48577 */     // (bitconvert:{ *:[v64i1] } GR64:{ *:[i64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[v64i1] } GR64:{ *:[i64] }:$src, VK64:{ *:[i32] })
     /*  48577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK64RegClassID),
     /*  48587 */     // GIR_Coverage, 19442,
     /*  48587 */     GIR_Done,
     /*  48588 */   // Label 1146: @48588
     /*  48588 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(48625), // Rule ID 19876 //
     /*  48593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  48597 */     // (bitconvert:{ *:[v64i1] } FR64X:{ *:[f64] }:$src)  =>  (KMOVQkr:{ *:[v64i1] } (VMOVSDto64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src))
     /*  48597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  48600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVSDto64Zrr),
     /*  48604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQkr),
     /*  48618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  48623 */     GIR_RootConstrainSelectedInstOperands,
     /*  48624 */     // GIR_Coverage, 19876,
     /*  48624 */     GIR_EraseRootFromParent_Done,
     /*  48625 */   // Label 1147: @48625
     /*  48625 */   GIM_Reject,
     /*  48626 */ // Label 1145: @48626
     /*  48626 */ GIM_Reject,
     /*  48627 */ // Label 1103: @48627
     /*  48627 */ GIM_Reject,
     /*  48628 */ // Label 8: @48628
     /*  48628 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 1160*/ GIMT_Encode4(51805),
     /*  48639 */ /*GILLT_s16*//*Label 1148*/ GIMT_Encode4(48723),
     /*  48643 */ /*GILLT_s32*//*Label 1149*/ GIMT_Encode4(48784),
     /*  48647 */ /*GILLT_s64*//*Label 1150*/ GIMT_Encode4(49408), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  48663 */ /*GILLT_v2s64*//*Label 1151*/ GIMT_Encode4(50032), GIMT_Encode4(0),
     /*  48671 */ /*GILLT_v4s32*//*Label 1152*/ GIMT_Encode4(50121),
     /*  48675 */ /*GILLT_v4s64*//*Label 1153*/ GIMT_Encode4(50567), GIMT_Encode4(0),
     /*  48683 */ /*GILLT_v8s16*//*Label 1154*/ GIMT_Encode4(50746),
     /*  48687 */ /*GILLT_v8s32*//*Label 1155*/ GIMT_Encode4(50835),
     /*  48691 */ /*GILLT_v8s64*//*Label 1156*/ GIMT_Encode4(51186), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  48703 */ /*GILLT_v16s16*//*Label 1157*/ GIMT_Encode4(51454),
     /*  48707 */ /*GILLT_v16s32*//*Label 1158*/ GIMT_Encode4(51543), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  48719 */ /*GILLT_v32s16*//*Label 1159*/ GIMT_Encode4(51716),
     /*  48723 */ // Label 1148: @48723
     /*  48723 */ GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(48783), // Rule ID 22168 //
     /*  48728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  48731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  48734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  48738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  48742 */   // (lrint:{ *:[i16] } FR16:{ *:[f16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (VCVTTSH2SIZrr:{ *:[i32] } FR16:{ *:[f16] }:$src), sub_16bit:{ *:[i32] })
     /*  48742 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  48745 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrr),
     /*  48749 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  48754 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  48758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  48760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  48763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48765 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  48772 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  48777 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  48782 */   // GIR_Coverage, 22168,
     /*  48782 */   GIR_EraseRootFromParent_Done,
     /*  48783 */ // Label 1161: @48783
     /*  48783 */ GIM_Reject,
     /*  48784 */ // Label 1149: @48784
     /*  48784 */ GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(48843), // Rule ID 1755 //
     /*  48789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  48792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  48795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  48799 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48803 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48807 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48810 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  48814 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48818 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48820 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48827 */   // (lrint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  48827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SIrm),
     /*  48830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48832 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  48836 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48841 */   GIR_RootConstrainSelectedInstOperands,
     /*  48842 */   // GIR_Coverage, 1755,
     /*  48842 */   GIR_EraseRootFromParent_Done,
     /*  48843 */ // Label 1162: @48843
     /*  48843 */ GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(48902), // Rule ID 1759 //
     /*  48848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  48851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  48858 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48862 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48866 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48869 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  48873 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48877 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48879 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48886 */   // (lrint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  48886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SIrm),
     /*  48889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48891 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  48895 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48900 */   GIR_RootConstrainSelectedInstOperands,
     /*  48901 */   // GIR_Coverage, 1759,
     /*  48901 */   GIR_EraseRootFromParent_Done,
     /*  48902 */ // Label 1163: @48902
     /*  48902 */ GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(48961), // Rule ID 1779 //
     /*  48907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  48910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  48913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  48917 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48921 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48925 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48928 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  48932 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48936 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48938 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  48945 */   // (lrint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSS2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  48945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSS2SIrm),
     /*  48948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48950 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  48954 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  48959 */   GIR_RootConstrainSelectedInstOperands,
     /*  48960 */   // GIR_Coverage, 1779,
     /*  48960 */   GIR_EraseRootFromParent_Done,
     /*  48961 */ // Label 1164: @48961
     /*  48961 */ GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(49020), // Rule ID 1783 //
     /*  48966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  48969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  48972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  48976 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48980 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  48984 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  48987 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  48991 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  48995 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48997 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49004 */   // (lrint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSD2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  49004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSD2SIrm),
     /*  49007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49009 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49013 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49018 */   GIR_RootConstrainSelectedInstOperands,
     /*  49019 */   // GIR_Coverage, 1783,
     /*  49019 */   GIR_EraseRootFromParent_Done,
     /*  49020 */ // Label 1165: @49020
     /*  49020 */ GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(49079), // Rule ID 10352 //
     /*  49025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49035 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49039 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49043 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49046 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49050 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49054 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49056 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49063 */   // (lrint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  49063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SIZrm),
     /*  49066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49068 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49072 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49077 */   GIR_RootConstrainSelectedInstOperands,
     /*  49078 */   // GIR_Coverage, 10352,
     /*  49078 */   GIR_EraseRootFromParent_Done,
     /*  49079 */ // Label 1166: @49079
     /*  49079 */ GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(49138), // Rule ID 10356 //
     /*  49084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49094 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49098 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49102 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49105 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49109 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49113 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49115 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49122 */   // (lrint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  49122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SIZrm),
     /*  49125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49127 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49131 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49136 */   GIR_RootConstrainSelectedInstOperands,
     /*  49137 */   // GIR_Coverage, 10356,
     /*  49137 */   GIR_EraseRootFromParent_Done,
     /*  49138 */ // Label 1167: @49138
     /*  49138 */ GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(49197), // Rule ID 22170 //
     /*  49143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  49146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  49149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49153 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49157 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49161 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49164 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49168 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49172 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49174 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49181 */   // (lrint:{ *:[i32] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  49181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrm),
     /*  49184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49186 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49190 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49195 */   GIR_RootConstrainSelectedInstOperands,
     /*  49196 */   // GIR_Coverage, 22170,
     /*  49196 */   GIR_EraseRootFromParent_Done,
     /*  49197 */ // Label 1168: @49197
     /*  49197 */ GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(49227), // Rule ID 1754 //
     /*  49202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49216 */   // (lrint:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /*  49216 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SIrr),
     /*  49221 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49225 */   GIR_RootConstrainSelectedInstOperands,
     /*  49226 */   // GIR_Coverage, 1754,
     /*  49226 */   GIR_Done,
     /*  49227 */ // Label 1169: @49227
     /*  49227 */ GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(49257), // Rule ID 1758 //
     /*  49232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  49246 */   // (lrint:{ *:[i32] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SIrr:{ *:[i32] } FR64:{ *:[f64] }:$src)
     /*  49246 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SIrr),
     /*  49251 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49255 */   GIR_RootConstrainSelectedInstOperands,
     /*  49256 */   // GIR_Coverage, 1758,
     /*  49256 */   GIR_Done,
     /*  49257 */ // Label 1170: @49257
     /*  49257 */ GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(49287), // Rule ID 1778 //
     /*  49262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  49265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49276 */   // (lrint:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (CVTSS2SIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /*  49276 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSS2SIrr),
     /*  49281 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49285 */   GIR_RootConstrainSelectedInstOperands,
     /*  49286 */   // GIR_Coverage, 1778,
     /*  49286 */   GIR_Done,
     /*  49287 */ // Label 1171: @49287
     /*  49287 */ GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(49317), // Rule ID 1782 //
     /*  49292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  49295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  49306 */   // (lrint:{ *:[i32] } FR64:{ *:[f64] }:$src)  =>  (CVTSD2SIrr:{ *:[i32] } FR64:{ *:[f64] }:$src)
     /*  49306 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSD2SIrr),
     /*  49311 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49315 */   GIR_RootConstrainSelectedInstOperands,
     /*  49316 */   // GIR_Coverage, 1782,
     /*  49316 */   GIR_Done,
     /*  49317 */ // Label 1172: @49317
     /*  49317 */ GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(49347), // Rule ID 10351 //
     /*  49322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  49336 */   // (lrint:{ *:[i32] } FR32X:{ *:[f32] }:$src)  =>  (VCVTSS2SIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src)
     /*  49336 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SIZrr),
     /*  49341 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49345 */   GIR_RootConstrainSelectedInstOperands,
     /*  49346 */   // GIR_Coverage, 10351,
     /*  49346 */   GIR_Done,
     /*  49347 */ // Label 1173: @49347
     /*  49347 */ GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(49377), // Rule ID 10355 //
     /*  49352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  49366 */   // (lrint:{ *:[i32] } FR64X:{ *:[f64] }:$src)  =>  (VCVTSD2SIZrr:{ *:[i32] } FR64X:{ *:[f64] }:$src)
     /*  49366 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SIZrr),
     /*  49371 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49375 */   GIR_RootConstrainSelectedInstOperands,
     /*  49376 */   // GIR_Coverage, 10355,
     /*  49376 */   GIR_Done,
     /*  49377 */ // Label 1174: @49377
     /*  49377 */ GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(49407), // Rule ID 22169 //
     /*  49382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  49385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  49388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  49392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  49396 */   // (lrint:{ *:[i32] } FR16:{ *:[f16] }:$src)  =>  (VCVTTSH2SIZrr:{ *:[i32] } FR16:{ *:[f16] }:$src)
     /*  49396 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrr),
     /*  49401 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49405 */   GIR_RootConstrainSelectedInstOperands,
     /*  49406 */   // GIR_Coverage, 22169,
     /*  49406 */   GIR_Done,
     /*  49407 */ // Label 1175: @49407
     /*  49407 */ GIM_Reject,
     /*  49408 */ // Label 1150: @49408
     /*  49408 */ GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(49467), // Rule ID 17989 //
     /*  49413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49423 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49427 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49431 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49434 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49438 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49442 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49444 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49451 */   // (lrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64rm),
     /*  49454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49456 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49460 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49465 */   GIR_RootConstrainSelectedInstOperands,
     /*  49466 */   // GIR_Coverage, 17989,
     /*  49466 */   GIR_EraseRootFromParent_Done,
     /*  49467 */ // Label 1176: @49467
     /*  49467 */ GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(49526), // Rule ID 17991 //
     /*  49472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49482 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49486 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49490 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49493 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49497 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49501 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49503 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49510 */   // (lrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64rm),
     /*  49513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49515 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49519 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49524 */   GIR_RootConstrainSelectedInstOperands,
     /*  49525 */   // GIR_Coverage, 17991,
     /*  49525 */   GIR_EraseRootFromParent_Done,
     /*  49526 */ // Label 1177: @49526
     /*  49526 */ GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(49585), // Rule ID 17993 //
     /*  49531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  49534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49541 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49545 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49549 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49552 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49556 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49560 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49562 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49569 */   // (lrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSS2SI64rm),
     /*  49572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49574 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49578 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49583 */   GIR_RootConstrainSelectedInstOperands,
     /*  49584 */   // GIR_Coverage, 17993,
     /*  49584 */   GIR_EraseRootFromParent_Done,
     /*  49585 */ // Label 1178: @49585
     /*  49585 */ GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(49644), // Rule ID 17995 //
     /*  49590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  49593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49600 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49604 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49608 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49611 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49615 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49619 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49621 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49628 */   // (lrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSD2SI64rm),
     /*  49631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49633 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49637 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49642 */   GIR_RootConstrainSelectedInstOperands,
     /*  49643 */   // GIR_Coverage, 17995,
     /*  49643 */   GIR_EraseRootFromParent_Done,
     /*  49644 */ // Label 1179: @49644
     /*  49644 */ GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(49703), // Rule ID 21159 //
     /*  49649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49659 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49663 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49667 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49670 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49674 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49678 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49680 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49687 */   // (lrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64Zrm),
     /*  49690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49692 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49696 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49701 */   GIR_RootConstrainSelectedInstOperands,
     /*  49702 */   // GIR_Coverage, 21159,
     /*  49702 */   GIR_EraseRootFromParent_Done,
     /*  49703 */ // Label 1180: @49703
     /*  49703 */ GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(49762), // Rule ID 21161 //
     /*  49708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49718 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49722 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49726 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49729 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49733 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49737 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49739 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49746 */   // (lrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64Zrm),
     /*  49749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49751 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49755 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49760 */   GIR_RootConstrainSelectedInstOperands,
     /*  49761 */   // GIR_Coverage, 21161,
     /*  49761 */   GIR_EraseRootFromParent_Done,
     /*  49762 */ // Label 1181: @49762
     /*  49762 */ GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(49821), // Rule ID 22172 //
     /*  49767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_In64BitMode),
     /*  49770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  49773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49777 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49781 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  49785 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  49788 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  49792 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  49796 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49798 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  49805 */   // (lrint:{ *:[i64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  49805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrm),
     /*  49808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49810 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  49814 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  49819 */   GIR_RootConstrainSelectedInstOperands,
     /*  49820 */   // GIR_Coverage, 22172,
     /*  49820 */   GIR_EraseRootFromParent_Done,
     /*  49821 */ // Label 1182: @49821
     /*  49821 */ GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(49851), // Rule ID 17988 //
     /*  49826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49840 */   // (lrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  49840 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64rr),
     /*  49845 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49849 */   GIR_RootConstrainSelectedInstOperands,
     /*  49850 */   // GIR_Coverage, 17988,
     /*  49850 */   GIR_Done,
     /*  49851 */ // Label 1183: @49851
     /*  49851 */ GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(49881), // Rule ID 17990 //
     /*  49856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  49859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  49870 */   // (lrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  49870 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64rr),
     /*  49875 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49879 */   GIR_RootConstrainSelectedInstOperands,
     /*  49880 */   // GIR_Coverage, 17990,
     /*  49880 */   GIR_Done,
     /*  49881 */ // Label 1184: @49881
     /*  49881 */ GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(49911), // Rule ID 17992 //
     /*  49886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  49889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49900 */   // (lrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (CVTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  49900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSS2SI64rr),
     /*  49905 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49909 */   GIR_RootConstrainSelectedInstOperands,
     /*  49910 */   // GIR_Coverage, 17992,
     /*  49910 */   GIR_Done,
     /*  49911 */ // Label 1185: @49911
     /*  49911 */ GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(49941), // Rule ID 17994 //
     /*  49916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  49919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  49930 */   // (lrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (CVTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  49930 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSD2SI64rr),
     /*  49935 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49939 */   GIR_RootConstrainSelectedInstOperands,
     /*  49940 */   // GIR_Coverage, 17994,
     /*  49940 */   GIR_Done,
     /*  49941 */ // Label 1186: @49941
     /*  49941 */ GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(49971), // Rule ID 21158 //
     /*  49946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  49952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  49960 */   // (lrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SI64Zrr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  49960 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64Zrr),
     /*  49965 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49969 */   GIR_RootConstrainSelectedInstOperands,
     /*  49970 */   // GIR_Coverage, 21158,
     /*  49970 */   GIR_Done,
     /*  49971 */ // Label 1187: @49971
     /*  49971 */ GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(50001), // Rule ID 21160 //
     /*  49976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  49979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  49982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  49986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  49990 */   // (lrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SI64Zrr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  49990 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64Zrr),
     /*  49995 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  49999 */   GIR_RootConstrainSelectedInstOperands,
     /*  50000 */   // GIR_Coverage, 21160,
     /*  50000 */   GIR_Done,
     /*  50001 */ // Label 1188: @50001
     /*  50001 */ GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(50031), // Rule ID 22171 //
     /*  50006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_In64BitMode),
     /*  50009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  50012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  50016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  50020 */   // (lrint:{ *:[i64] } FR16:{ *:[f16] }:$src)  =>  (VCVTTSH2SI64Zrr:{ *:[i64] } FR16:{ *:[f16] }:$src)
     /*  50020 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrr),
     /*  50025 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50029 */   GIR_RootConstrainSelectedInstOperands,
     /*  50030 */   // GIR_Coverage, 22171,
     /*  50030 */   GIR_Done,
     /*  50031 */ // Label 1189: @50031
     /*  50031 */ GIM_Reject,
     /*  50032 */ // Label 1151: @50032
     /*  50032 */ GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(50120),
     /*  50037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  50040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50044 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(50096), // Rule ID 21384 //
     /*  50049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50060 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50063 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50067 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50080 */     // (lrint:{ *:[v2i64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  50080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ128rm),
     /*  50083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50085 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50094 */     GIR_RootConstrainSelectedInstOperands,
     /*  50095 */     // GIR_Coverage, 21384,
     /*  50095 */     GIR_EraseRootFromParent_Done,
     /*  50096 */   // Label 1191: @50096
     /*  50096 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(50119), // Rule ID 21383 //
     /*  50101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50108 */     // (lrint:{ *:[v2i64] } VR128X:{ *:[v2f64] }:$src)  =>  (VCVTPD2QQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2f64] }:$src)
     /*  50108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ128rr),
     /*  50113 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50117 */     GIR_RootConstrainSelectedInstOperands,
     /*  50118 */     // GIR_Coverage, 21383,
     /*  50118 */     GIR_Done,
     /*  50119 */   // Label 1192: @50119
     /*  50119 */   GIM_Reject,
     /*  50120 */ // Label 1190: @50120
     /*  50120 */ GIM_Reject,
     /*  50121 */ // Label 1152: @50121
     /*  50121 */ GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(50180), // Rule ID 18043 //
     /*  50126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50136 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50140 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50144 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50147 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50151 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50155 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50157 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50164 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQrm),
     /*  50167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50169 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50173 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50178 */   GIR_RootConstrainSelectedInstOperands,
     /*  50179 */   // GIR_Coverage, 18043,
     /*  50179 */   GIR_EraseRootFromParent_Done,
     /*  50180 */ // Label 1193: @50180
     /*  50180 */ GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(50239), // Rule ID 18047 //
     /*  50185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50195 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50199 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50203 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50206 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50210 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50214 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50216 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50223 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2DQYrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQYrm),
     /*  50226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50228 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50232 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50237 */   GIR_RootConstrainSelectedInstOperands,
     /*  50238 */   // GIR_Coverage, 18047,
     /*  50238 */   GIR_EraseRootFromParent_Done,
     /*  50239 */ // Label 1194: @50239
     /*  50239 */ GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(50298), // Rule ID 18049 //
     /*  50244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  50247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50254 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50258 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50262 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50265 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50269 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50273 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50275 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50282 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTPS2DQrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTPS2DQrm),
     /*  50285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50287 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50291 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50296 */   GIR_RootConstrainSelectedInstOperands,
     /*  50297 */   // GIR_Coverage, 18049,
     /*  50297 */   GIR_EraseRootFromParent_Done,
     /*  50298 */ // Label 1195: @50298
     /*  50298 */ GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(50357), // Rule ID 21356 //
     /*  50303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50313 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50317 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50321 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50324 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50328 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50332 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50334 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50341 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQZ128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZ128rm),
     /*  50344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50346 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50350 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50355 */   GIR_RootConstrainSelectedInstOperands,
     /*  50356 */   // GIR_Coverage, 21356,
     /*  50356 */   GIR_EraseRootFromParent_Done,
     /*  50357 */ // Label 1196: @50357
     /*  50357 */ GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(50416), // Rule ID 21360 //
     /*  50362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50372 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50376 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50380 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50383 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50387 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50391 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50393 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50400 */   // (lrint:{ *:[v4i32] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2DQZ256rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  50400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQZ256rm),
     /*  50403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50405 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50409 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50414 */   GIR_RootConstrainSelectedInstOperands,
     /*  50415 */   // GIR_Coverage, 21360,
     /*  50415 */   GIR_EraseRootFromParent_Done,
     /*  50416 */ // Label 1197: @50416
     /*  50416 */ GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(50446), // Rule ID 18042 //
     /*  50421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50435 */   // (lrint:{ *:[v4i32] } VR128:{ *:[v4f32] }:$src)  =>  (VCVTPS2DQrr:{ *:[v4i32] } VR128:{ *:[v4f32] }:$src)
     /*  50435 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQrr),
     /*  50440 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50444 */   GIR_RootConstrainSelectedInstOperands,
     /*  50445 */   // GIR_Coverage, 18042,
     /*  50445 */   GIR_Done,
     /*  50446 */ // Label 1198: @50446
     /*  50446 */ GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(50476), // Rule ID 18046 //
     /*  50451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  50465 */   // (lrint:{ *:[v4i32] } VR256:{ *:[v4f64] }:$src)  =>  (VCVTPD2DQYrr:{ *:[v4i32] } VR256:{ *:[v4f64] }:$src)
     /*  50465 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQYrr),
     /*  50470 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50474 */   GIR_RootConstrainSelectedInstOperands,
     /*  50475 */   // GIR_Coverage, 18046,
     /*  50475 */   GIR_Done,
     /*  50476 */ // Label 1199: @50476
     /*  50476 */ GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(50506), // Rule ID 18048 //
     /*  50481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  50484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  50495 */   // (lrint:{ *:[v4i32] } VR128:{ *:[v4f32] }:$src)  =>  (CVTPS2DQrr:{ *:[v4i32] } VR128:{ *:[v4f32] }:$src)
     /*  50495 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTPS2DQrr),
     /*  50500 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50504 */   GIR_RootConstrainSelectedInstOperands,
     /*  50505 */   // GIR_Coverage, 18048,
     /*  50505 */   GIR_Done,
     /*  50506 */ // Label 1200: @50506
     /*  50506 */ GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(50536), // Rule ID 21355 //
     /*  50511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50525 */   // (lrint:{ *:[v4i32] } VR128X:{ *:[v4f32] }:$src)  =>  (VCVTPS2DQZ128rr:{ *:[v4i32] } VR128X:{ *:[v4f32] }:$src)
     /*  50525 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZ128rr),
     /*  50530 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50534 */   GIR_RootConstrainSelectedInstOperands,
     /*  50535 */   // GIR_Coverage, 21355,
     /*  50535 */   GIR_Done,
     /*  50536 */ // Label 1201: @50536
     /*  50536 */ GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(50566), // Rule ID 21359 //
     /*  50541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50555 */   // (lrint:{ *:[v4i32] } VR256X:{ *:[v4f64] }:$src)  =>  (VCVTPD2DQZ256rr:{ *:[v4i32] } VR256X:{ *:[v4f64] }:$src)
     /*  50555 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQZ256rr),
     /*  50560 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50564 */   GIR_RootConstrainSelectedInstOperands,
     /*  50565 */   // GIR_Coverage, 21359,
     /*  50565 */   GIR_Done,
     /*  50566 */ // Label 1202: @50566
     /*  50566 */ GIM_Reject,
     /*  50567 */ // Label 1153: @50567
     /*  50567 */ GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(50626), // Rule ID 21380 //
     /*  50572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50582 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50586 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50590 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50593 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50597 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50601 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50603 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50610 */   // (lrint:{ *:[v4i64] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2QQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  50610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZ256rm),
     /*  50613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50615 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50619 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50624 */   GIR_RootConstrainSelectedInstOperands,
     /*  50625 */   // GIR_Coverage, 21380,
     /*  50625 */   GIR_EraseRootFromParent_Done,
     /*  50626 */ // Label 1203: @50626
     /*  50626 */ GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(50685), // Rule ID 21386 //
     /*  50631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50641 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50645 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50649 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50652 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50656 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50660 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50662 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50669 */   // (lrint:{ *:[v4i64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  50669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ256rm),
     /*  50672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50674 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50678 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50683 */   GIR_RootConstrainSelectedInstOperands,
     /*  50684 */   // GIR_Coverage, 21386,
     /*  50684 */   GIR_EraseRootFromParent_Done,
     /*  50685 */ // Label 1204: @50685
     /*  50685 */ GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(50715), // Rule ID 21379 //
     /*  50690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  50696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50704 */   // (lrint:{ *:[v4i64] } VR128X:{ *:[v4f32] }:$src)  =>  (VCVTPS2QQZ256rr:{ *:[v4i64] } VR128X:{ *:[v4f32] }:$src)
     /*  50704 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZ256rr),
     /*  50709 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50713 */   GIR_RootConstrainSelectedInstOperands,
     /*  50714 */   // GIR_Coverage, 21379,
     /*  50714 */   GIR_Done,
     /*  50715 */ // Label 1205: @50715
     /*  50715 */ GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(50745), // Rule ID 21385 //
     /*  50720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  50723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  50726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50734 */   // (lrint:{ *:[v4i64] } VR256X:{ *:[v4f64] }:$src)  =>  (VCVTPD2QQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4f64] }:$src)
     /*  50734 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ256rr),
     /*  50739 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50743 */   GIR_RootConstrainSelectedInstOperands,
     /*  50744 */   // GIR_Coverage, 21385,
     /*  50744 */   GIR_Done,
     /*  50745 */ // Label 1206: @50745
     /*  50745 */ GIM_Reject,
     /*  50746 */ // Label 1154: @50746
     /*  50746 */ GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(50834),
     /*  50751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  50754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50758 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(50810), // Rule ID 22155 //
     /*  50763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  50766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50774 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50777 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50781 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50794 */     // (lrint:{ *:[v8i16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2WZ128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  50794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZ128rm),
     /*  50797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50799 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50808 */     GIR_RootConstrainSelectedInstOperands,
     /*  50809 */     // GIR_Coverage, 22155,
     /*  50809 */     GIR_EraseRootFromParent_Done,
     /*  50810 */   // Label 1208: @50810
     /*  50810 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(50833), // Rule ID 22154 //
     /*  50815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  50818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  50822 */     // (lrint:{ *:[v8i16] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2WZ128rr:{ *:[v8i16] } VR128X:{ *:[v8f16] }:$src)
     /*  50822 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZ128rr),
     /*  50827 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  50831 */     GIR_RootConstrainSelectedInstOperands,
     /*  50832 */     // GIR_Coverage, 22154,
     /*  50832 */     GIR_Done,
     /*  50833 */   // Label 1209: @50833
     /*  50833 */   GIM_Reject,
     /*  50834 */ // Label 1207: @50834
     /*  50834 */ GIM_Reject,
     /*  50835 */ // Label 1155: @50835
     /*  50835 */ GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(50894), // Rule ID 18045 //
     /*  50840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  50843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  50846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  50850 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50854 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50858 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50861 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50865 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50869 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50871 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50878 */   // (lrint:{ *:[v8i32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  50878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQYrm),
     /*  50881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50883 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50887 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50892 */   GIR_RootConstrainSelectedInstOperands,
     /*  50893 */   // GIR_Coverage, 18045,
     /*  50893 */   GIR_EraseRootFromParent_Done,
     /*  50894 */ // Label 1210: @50894
     /*  50894 */ GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(50953), // Rule ID 21358 //
     /*  50899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  50902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  50905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50909 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50913 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50917 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50920 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50924 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50928 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50930 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50937 */   // (lrint:{ *:[v8i32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  50937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZ256rm),
     /*  50940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50942 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  50946 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  50951 */   GIR_RootConstrainSelectedInstOperands,
     /*  50952 */   // GIR_Coverage, 21358,
     /*  50952 */   GIR_EraseRootFromParent_Done,
     /*  50953 */ // Label 1211: @50953
     /*  50953 */ GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(51009), // Rule ID 21364 //
     /*  50958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  50961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  50965 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50969 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  50973 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  50976 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  50980 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  50984 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50986 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  50993 */   // (lrint:{ *:[v8i32] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2DQZrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  50993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQZrm),
     /*  50996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50998 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51002 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51007 */   GIR_RootConstrainSelectedInstOperands,
     /*  51008 */   // GIR_Coverage, 21364,
     /*  51008 */   GIR_EraseRootFromParent_Done,
     /*  51009 */ // Label 1212: @51009
     /*  51009 */ GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(51068), // Rule ID 22159 //
     /*  51014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  51017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51024 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51028 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51032 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51035 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51039 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51043 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51045 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51052 */   // (lrint:{ *:[v8i32] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2DQZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  51052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2DQZ256rm),
     /*  51055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51057 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51061 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51066 */   GIR_RootConstrainSelectedInstOperands,
     /*  51067 */   // GIR_Coverage, 22159,
     /*  51067 */   GIR_EraseRootFromParent_Done,
     /*  51068 */ // Label 1213: @51068
     /*  51068 */ GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(51098), // Rule ID 18044 //
     /*  51073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  51076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  51079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  51083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  51087 */   // (lrint:{ *:[v8i32] } VR256:{ *:[v8f32] }:$src)  =>  (VCVTPS2DQYrr:{ *:[v8i32] } VR256:{ *:[v8f32] }:$src)
     /*  51087 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQYrr),
     /*  51092 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51096 */   GIR_RootConstrainSelectedInstOperands,
     /*  51097 */   // GIR_Coverage, 18044,
     /*  51097 */   GIR_Done,
     /*  51098 */ // Label 1214: @51098
     /*  51098 */ GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(51128), // Rule ID 21357 //
     /*  51103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  51106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  51109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51117 */   // (lrint:{ *:[v8i32] } VR256X:{ *:[v8f32] }:$src)  =>  (VCVTPS2DQZ256rr:{ *:[v8i32] } VR256X:{ *:[v8f32] }:$src)
     /*  51117 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZ256rr),
     /*  51122 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51126 */   GIR_RootConstrainSelectedInstOperands,
     /*  51127 */   // GIR_Coverage, 21357,
     /*  51127 */   GIR_Done,
     /*  51128 */ // Label 1215: @51128
     /*  51128 */ GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(51155), // Rule ID 21363 //
     /*  51133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  51136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51144 */   // (lrint:{ *:[v8i32] } VR512:{ *:[v8f64] }:$src)  =>  (VCVTPD2DQZrr:{ *:[v8i32] } VR512:{ *:[v8f64] }:$src)
     /*  51144 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2DQZrr),
     /*  51149 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51153 */   GIR_RootConstrainSelectedInstOperands,
     /*  51154 */   // GIR_Coverage, 21363,
     /*  51154 */   GIR_Done,
     /*  51155 */ // Label 1216: @51155
     /*  51155 */ GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(51185), // Rule ID 22158 //
     /*  51160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  51163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  51174 */   // (lrint:{ *:[v8i32] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2DQZ256rr:{ *:[v8i32] } VR128X:{ *:[v8f16] }:$src)
     /*  51174 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2DQZ256rr),
     /*  51179 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51183 */   GIR_RootConstrainSelectedInstOperands,
     /*  51184 */   // GIR_Coverage, 22158,
     /*  51184 */   GIR_Done,
     /*  51185 */ // Label 1217: @51185
     /*  51185 */ GIM_Reject,
     /*  51186 */ // Label 1156: @51186
     /*  51186 */ GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(51245), // Rule ID 21392 //
     /*  51191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  51194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  51197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51201 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51205 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51209 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51212 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51216 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51220 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51222 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51229 */   // (lrint:{ *:[v8i64] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  51229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZrm),
     /*  51232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51234 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51238 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51243 */   GIR_RootConstrainSelectedInstOperands,
     /*  51244 */   // GIR_Coverage, 21392,
     /*  51244 */   GIR_EraseRootFromParent_Done,
     /*  51245 */ // Label 1218: @51245
     /*  51245 */ GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(51304), // Rule ID 21396 //
     /*  51250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  51253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  51256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51260 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51264 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51268 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51271 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51275 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51279 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51281 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51288 */   // (lrint:{ *:[v8i64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  51288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZrm),
     /*  51291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51293 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51297 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51302 */   GIR_RootConstrainSelectedInstOperands,
     /*  51303 */   // GIR_Coverage, 21396,
     /*  51303 */   GIR_EraseRootFromParent_Done,
     /*  51304 */ // Label 1219: @51304
     /*  51304 */ GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(51363), // Rule ID 22165 //
     /*  51309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51319 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51323 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51327 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51330 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51334 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51338 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51340 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51347 */   // (lrint:{ *:[v8i64] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  51347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2QQZrm),
     /*  51350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51352 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51356 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51361 */   GIR_RootConstrainSelectedInstOperands,
     /*  51362 */   // GIR_Coverage, 22165,
     /*  51362 */   GIR_EraseRootFromParent_Done,
     /*  51363 */ // Label 1220: @51363
     /*  51363 */ GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(51393), // Rule ID 21391 //
     /*  51368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  51371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  51374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51382 */   // (lrint:{ *:[v8i64] } VR256X:{ *:[v8f32] }:$src)  =>  (VCVTPS2QQZrr:{ *:[v8i64] } VR256X:{ *:[v8f32] }:$src)
     /*  51382 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZrr),
     /*  51387 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51391 */   GIR_RootConstrainSelectedInstOperands,
     /*  51392 */   // GIR_Coverage, 21391,
     /*  51392 */   GIR_Done,
     /*  51393 */ // Label 1221: @51393
     /*  51393 */ GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(51423), // Rule ID 21395 //
     /*  51398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  51401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  51404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51412 */   // (lrint:{ *:[v8i64] } VR512:{ *:[v8f64] }:$src)  =>  (VCVTPD2QQZrr:{ *:[v8i64] } VR512:{ *:[v8f64] }:$src)
     /*  51412 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZrr),
     /*  51417 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51421 */   GIR_RootConstrainSelectedInstOperands,
     /*  51422 */   // GIR_Coverage, 21395,
     /*  51422 */   GIR_Done,
     /*  51423 */ // Label 1222: @51423
     /*  51423 */ GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(51453), // Rule ID 22164 //
     /*  51428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  51442 */   // (lrint:{ *:[v8i64] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2QQZrr:{ *:[v8i64] } VR128X:{ *:[v8f16] }:$src)
     /*  51442 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2QQZrr),
     /*  51447 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51451 */   GIR_RootConstrainSelectedInstOperands,
     /*  51452 */   // GIR_Coverage, 22164,
     /*  51452 */   GIR_Done,
     /*  51453 */ // Label 1223: @51453
     /*  51453 */ GIM_Reject,
     /*  51454 */ // Label 1157: @51454
     /*  51454 */ GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(51542),
     /*  51459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  51462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51466 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(51518), // Rule ID 22157 //
     /*  51471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  51474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51482 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51485 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51489 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51495 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51502 */     // (lrint:{ *:[v16i16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2WZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  51502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZ256rm),
     /*  51505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51507 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51516 */     GIR_RootConstrainSelectedInstOperands,
     /*  51517 */     // GIR_Coverage, 22157,
     /*  51517 */     GIR_EraseRootFromParent_Done,
     /*  51518 */   // Label 1225: @51518
     /*  51518 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(51541), // Rule ID 22156 //
     /*  51523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /*  51526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51530 */     // (lrint:{ *:[v16i16] } VR256X:{ *:[v16f16] }:$src)  =>  (VCVTPH2WZ256rr:{ *:[v16i16] } VR256X:{ *:[v16f16] }:$src)
     /*  51530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZ256rr),
     /*  51535 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51539 */     GIR_RootConstrainSelectedInstOperands,
     /*  51540 */     // GIR_Coverage, 22156,
     /*  51540 */     GIR_Done,
     /*  51541 */   // Label 1226: @51541
     /*  51541 */   GIM_Reject,
     /*  51542 */ // Label 1224: @51542
     /*  51542 */ GIM_Reject,
     /*  51543 */ // Label 1158: @51543
     /*  51543 */ GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(51599), // Rule ID 21362 //
     /*  51548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  51551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51555 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51559 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51563 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51566 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51570 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51574 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51576 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51583 */   // (lrint:{ *:[v16i32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2DQZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /*  51583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZrm),
     /*  51586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51588 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51592 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51597 */   GIR_RootConstrainSelectedInstOperands,
     /*  51598 */   // GIR_Coverage, 21362,
     /*  51598 */   GIR_EraseRootFromParent_Done,
     /*  51599 */ // Label 1227: @51599
     /*  51599 */ GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(51658), // Rule ID 22163 //
     /*  51604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  51610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51614 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51618 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51622 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51625 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51629 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51633 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51635 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51642 */   // (lrint:{ *:[v16i32] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2DQZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /*  51642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2DQZrm),
     /*  51645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51647 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51651 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51656 */   GIR_RootConstrainSelectedInstOperands,
     /*  51657 */   // GIR_Coverage, 22163,
     /*  51657 */   GIR_EraseRootFromParent_Done,
     /*  51658 */ // Label 1228: @51658
     /*  51658 */ GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(51685), // Rule ID 21361 //
     /*  51663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /*  51666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51674 */   // (lrint:{ *:[v16i32] } VR512:{ *:[v16f32] }:$src)  =>  (VCVTPS2DQZrr:{ *:[v16i32] } VR512:{ *:[v16f32] }:$src)
     /*  51674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2DQZrr),
     /*  51679 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51683 */   GIR_RootConstrainSelectedInstOperands,
     /*  51684 */   // GIR_Coverage, 21361,
     /*  51684 */   GIR_Done,
     /*  51685 */ // Label 1229: @51685
     /*  51685 */ GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(51715), // Rule ID 22162 //
     /*  51690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /*  51696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  51704 */   // (lrint:{ *:[v16i32] } VR256X:{ *:[v16f16] }:$src)  =>  (VCVTPH2DQZrr:{ *:[v16i32] } VR256X:{ *:[v16f16] }:$src)
     /*  51704 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2DQZrr),
     /*  51709 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51713 */   GIR_RootConstrainSelectedInstOperands,
     /*  51714 */   // GIR_Coverage, 22162,
     /*  51714 */   GIR_Done,
     /*  51715 */ // Label 1230: @51715
     /*  51715 */ GIM_Reject,
     /*  51716 */ // Label 1159: @51716
     /*  51716 */ GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(51804),
     /*  51721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /*  51724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51728 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(51780), // Rule ID 22161 //
     /*  51733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51744 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51747 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51751 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51764 */     // (lrint:{ *:[v32i16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2WZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /*  51764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZrm),
     /*  51767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51769 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51778 */     GIR_RootConstrainSelectedInstOperands,
     /*  51779 */     // GIR_Coverage, 22161,
     /*  51779 */     GIR_EraseRootFromParent_Done,
     /*  51780 */   // Label 1232: @51780
     /*  51780 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(51803), // Rule ID 22160 //
     /*  51785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  51788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  51792 */     // (lrint:{ *:[v32i16] } VR512:{ *:[v32f16] }:$src)  =>  (VCVTPH2WZrr:{ *:[v32i16] } VR512:{ *:[v32f16] }:$src)
     /*  51792 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2WZrr),
     /*  51797 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  51801 */     GIR_RootConstrainSelectedInstOperands,
     /*  51802 */     // GIR_Coverage, 22160,
     /*  51802 */     GIR_Done,
     /*  51803 */   // Label 1233: @51803
     /*  51803 */   GIM_Reject,
     /*  51804 */ // Label 1231: @51804
     /*  51804 */ GIM_Reject,
     /*  51805 */ // Label 1160: @51805
     /*  51805 */ GIM_Reject,
     /*  51806 */ // Label 9: @51806
     /*  51806 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(4), GIMT_Encode2(16), /*)*//*default:*//*Label 1238*/ GIMT_Encode4(53025),
     /*  51817 */ /*GILLT_s64*//*Label 1234*/ GIMT_Encode4(51865), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  51833 */ /*GILLT_v2s64*//*Label 1235*/ GIMT_Encode4(52489), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  51845 */ /*GILLT_v4s64*//*Label 1236*/ GIMT_Encode4(52578), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  51861 */ /*GILLT_v8s64*//*Label 1237*/ GIMT_Encode4(52757),
     /*  51865 */ // Label 1234: @51865
     /*  51865 */ GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(51924), // Rule ID 1757 //
     /*  51870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  51873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  51876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  51880 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51884 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51888 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51891 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51895 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51899 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51901 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51908 */   // (llrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  51908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64rm),
     /*  51911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51913 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51917 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51922 */   GIR_RootConstrainSelectedInstOperands,
     /*  51923 */   // GIR_Coverage, 1757,
     /*  51923 */   GIR_EraseRootFromParent_Done,
     /*  51924 */ // Label 1239: @51924
     /*  51924 */ GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(51983), // Rule ID 1761 //
     /*  51929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  51932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  51935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  51939 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51943 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  51947 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  51950 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  51954 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  51958 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51960 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  51967 */   // (llrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  51967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64rm),
     /*  51970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  51972 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  51976 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  51981 */   GIR_RootConstrainSelectedInstOperands,
     /*  51982 */   // GIR_Coverage, 1761,
     /*  51982 */   GIR_EraseRootFromParent_Done,
     /*  51983 */ // Label 1240: @51983
     /*  51983 */ GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(52042), // Rule ID 1781 //
     /*  51988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  51991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  51994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  51998 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52002 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52006 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52009 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52013 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52017 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52019 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52026 */   // (llrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSS2SI64rm),
     /*  52029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52031 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52035 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52040 */   GIR_RootConstrainSelectedInstOperands,
     /*  52041 */   // GIR_Coverage, 1781,
     /*  52041 */   GIR_EraseRootFromParent_Done,
     /*  52042 */ // Label 1241: @52042
     /*  52042 */ GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(52101), // Rule ID 1785 //
     /*  52047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  52050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52057 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52061 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52065 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52068 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52072 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52076 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52078 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52085 */   // (llrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSD2SI64rm),
     /*  52088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52090 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52094 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52099 */   GIR_RootConstrainSelectedInstOperands,
     /*  52100 */   // GIR_Coverage, 1785,
     /*  52100 */   GIR_EraseRootFromParent_Done,
     /*  52101 */ // Label 1242: @52101
     /*  52101 */ GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(52160), // Rule ID 10354 //
     /*  52106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  52109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52116 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52120 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52124 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52127 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52131 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52135 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52137 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52144 */   // (llrint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64Zrm),
     /*  52147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52149 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52153 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52158 */   GIR_RootConstrainSelectedInstOperands,
     /*  52159 */   // GIR_Coverage, 10354,
     /*  52159 */   GIR_EraseRootFromParent_Done,
     /*  52160 */ // Label 1243: @52160
     /*  52160 */ GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(52219), // Rule ID 10358 //
     /*  52165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  52168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52175 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52179 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52183 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52186 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52190 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52194 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52196 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52203 */   // (llrint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSD2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64Zrm),
     /*  52206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52208 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52212 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52217 */   GIR_RootConstrainSelectedInstOperands,
     /*  52218 */   // GIR_Coverage, 10358,
     /*  52218 */   GIR_EraseRootFromParent_Done,
     /*  52219 */ // Label 1244: @52219
     /*  52219 */ GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(52278), // Rule ID 22174 //
     /*  52224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_In64BitMode),
     /*  52227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  52230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52234 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52238 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52242 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52245 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52249 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52253 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52255 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52262 */   // (llrint:{ *:[i64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  52262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrm),
     /*  52265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52267 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52271 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52276 */   GIR_RootConstrainSelectedInstOperands,
     /*  52277 */   // GIR_Coverage, 22174,
     /*  52277 */   GIR_EraseRootFromParent_Done,
     /*  52278 */ // Label 1245: @52278
     /*  52278 */ GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(52308), // Rule ID 1756 //
     /*  52283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  52286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  52297 */   // (llrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  52297 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64rr),
     /*  52302 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52306 */   GIR_RootConstrainSelectedInstOperands,
     /*  52307 */   // GIR_Coverage, 1756,
     /*  52307 */   GIR_Done,
     /*  52308 */ // Label 1246: @52308
     /*  52308 */ GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(52338), // Rule ID 1760 //
     /*  52313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  52316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  52327 */   // (llrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  52327 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64rr),
     /*  52332 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52336 */   GIR_RootConstrainSelectedInstOperands,
     /*  52337 */   // GIR_Coverage, 1760,
     /*  52337 */   GIR_Done,
     /*  52338 */ // Label 1247: @52338
     /*  52338 */ GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(52368), // Rule ID 1780 //
     /*  52343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  52346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  52357 */   // (llrint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (CVTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /*  52357 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSS2SI64rr),
     /*  52362 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52366 */   GIR_RootConstrainSelectedInstOperands,
     /*  52367 */   // GIR_Coverage, 1780,
     /*  52367 */   GIR_Done,
     /*  52368 */ // Label 1248: @52368
     /*  52368 */ GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(52398), // Rule ID 1784 //
     /*  52373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  52376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  52387 */   // (llrint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (CVTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /*  52387 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSD2SI64rr),
     /*  52392 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52396 */   GIR_RootConstrainSelectedInstOperands,
     /*  52397 */   // GIR_Coverage, 1784,
     /*  52397 */   GIR_Done,
     /*  52398 */ // Label 1249: @52398
     /*  52398 */ GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(52428), // Rule ID 10353 //
     /*  52403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  52406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  52417 */   // (llrint:{ *:[i64] } FR32X:{ *:[f32] }:$src)  =>  (VCVTSS2SI64Zrr:{ *:[i64] } FR32X:{ *:[f32] }:$src)
     /*  52417 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SI64Zrr),
     /*  52422 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52426 */   GIR_RootConstrainSelectedInstOperands,
     /*  52427 */   // GIR_Coverage, 10353,
     /*  52427 */   GIR_Done,
     /*  52428 */ // Label 1250: @52428
     /*  52428 */ GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(52458), // Rule ID 10357 //
     /*  52433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  52436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  52447 */   // (llrint:{ *:[i64] } FR64X:{ *:[f64] }:$src)  =>  (VCVTSD2SI64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src)
     /*  52447 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SI64Zrr),
     /*  52452 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52456 */   GIR_RootConstrainSelectedInstOperands,
     /*  52457 */   // GIR_Coverage, 10357,
     /*  52457 */   GIR_Done,
     /*  52458 */ // Label 1251: @52458
     /*  52458 */ GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(52488), // Rule ID 22173 //
     /*  52463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_In64BitMode),
     /*  52466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  52469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  52473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  52477 */   // (llrint:{ *:[i64] } FR16:{ *:[f16] }:$src)  =>  (VCVTTSH2SI64Zrr:{ *:[i64] } FR16:{ *:[f16] }:$src)
     /*  52477 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrr),
     /*  52482 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52486 */   GIR_RootConstrainSelectedInstOperands,
     /*  52487 */   // GIR_Coverage, 22173,
     /*  52487 */   GIR_Done,
     /*  52488 */ // Label 1252: @52488
     /*  52488 */ GIM_Reject,
     /*  52489 */ // Label 1235: @52489
     /*  52489 */ GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(52577),
     /*  52494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  52497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  52501 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(52553), // Rule ID 21388 //
     /*  52506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52517 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52520 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52524 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52530 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52537 */     // (llrint:{ *:[v2i64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  52537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ128rm),
     /*  52540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52542 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52551 */     GIR_RootConstrainSelectedInstOperands,
     /*  52552 */     // GIR_Coverage, 21388,
     /*  52552 */     GIR_EraseRootFromParent_Done,
     /*  52553 */   // Label 1254: @52553
     /*  52553 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(52576), // Rule ID 21387 //
     /*  52558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  52565 */     // (llrint:{ *:[v2i64] } VR128X:{ *:[v2f64] }:$src)  =>  (VCVTPD2QQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2f64] }:$src)
     /*  52565 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ128rr),
     /*  52570 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52574 */     GIR_RootConstrainSelectedInstOperands,
     /*  52575 */     // GIR_Coverage, 21387,
     /*  52575 */     GIR_Done,
     /*  52576 */   // Label 1255: @52576
     /*  52576 */   GIM_Reject,
     /*  52577 */ // Label 1253: @52577
     /*  52577 */ GIM_Reject,
     /*  52578 */ // Label 1236: @52578
     /*  52578 */ GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(52637), // Rule ID 21382 //
     /*  52583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52593 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52597 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52601 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52604 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52608 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52612 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52614 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52621 */   // (llrint:{ *:[v4i64] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2QQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  52621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZ256rm),
     /*  52624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52626 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52635 */   GIR_RootConstrainSelectedInstOperands,
     /*  52636 */   // GIR_Coverage, 21382,
     /*  52636 */   GIR_EraseRootFromParent_Done,
     /*  52637 */ // Label 1256: @52637
     /*  52637 */ GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(52696), // Rule ID 21390 //
     /*  52642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  52648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52652 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52656 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52660 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52663 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52667 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52671 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52673 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52680 */   // (llrint:{ *:[v4i64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  52680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ256rm),
     /*  52683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52685 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52689 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52694 */   GIR_RootConstrainSelectedInstOperands,
     /*  52695 */   // GIR_Coverage, 21390,
     /*  52695 */   GIR_EraseRootFromParent_Done,
     /*  52696 */ // Label 1257: @52696
     /*  52696 */ GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(52726), // Rule ID 21381 //
     /*  52701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  52715 */   // (llrint:{ *:[v4i64] } VR128X:{ *:[v4f32] }:$src)  =>  (VCVTPS2QQZ256rr:{ *:[v4i64] } VR128X:{ *:[v4f32] }:$src)
     /*  52715 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZ256rr),
     /*  52720 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52724 */   GIR_RootConstrainSelectedInstOperands,
     /*  52725 */   // GIR_Coverage, 21381,
     /*  52725 */   GIR_Done,
     /*  52726 */ // Label 1258: @52726
     /*  52726 */ GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(52756), // Rule ID 21389 //
     /*  52731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /*  52734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /*  52737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52745 */   // (llrint:{ *:[v4i64] } VR256X:{ *:[v4f64] }:$src)  =>  (VCVTPD2QQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4f64] }:$src)
     /*  52745 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZ256rr),
     /*  52750 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52754 */   GIR_RootConstrainSelectedInstOperands,
     /*  52755 */   // GIR_Coverage, 21389,
     /*  52755 */   GIR_Done,
     /*  52756 */ // Label 1259: @52756
     /*  52756 */ GIM_Reject,
     /*  52757 */ // Label 1237: @52757
     /*  52757 */ GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(52816), // Rule ID 21394 //
     /*  52762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  52765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  52768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52772 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52776 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52780 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52783 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52787 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52791 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52793 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52800 */   // (llrint:{ *:[v8i64] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPS2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  52800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZrm),
     /*  52803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52805 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52809 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52814 */   GIR_RootConstrainSelectedInstOperands,
     /*  52815 */   // GIR_Coverage, 21394,
     /*  52815 */   GIR_EraseRootFromParent_Done,
     /*  52816 */ // Label 1260: @52816
     /*  52816 */ GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(52875), // Rule ID 21398 //
     /*  52821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  52824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  52827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52831 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52835 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52839 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52842 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52846 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52850 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52852 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52859 */   // (llrint:{ *:[v8i64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPD2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  52859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZrm),
     /*  52862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52864 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52868 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52873 */   GIR_RootConstrainSelectedInstOperands,
     /*  52874 */   // GIR_Coverage, 21398,
     /*  52874 */   GIR_EraseRootFromParent_Done,
     /*  52875 */ // Label 1261: @52875
     /*  52875 */ GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(52934), // Rule ID 22167 //
     /*  52880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  52883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52890 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52894 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  52898 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  52901 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  52905 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  52909 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52911 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  52918 */   // (llrint:{ *:[v8i64] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTPH2QQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  52918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTPH2QQZrm),
     /*  52921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  52923 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  52927 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  52932 */   GIR_RootConstrainSelectedInstOperands,
     /*  52933 */   // GIR_Coverage, 22167,
     /*  52933 */   GIR_EraseRootFromParent_Done,
     /*  52934 */ // Label 1262: @52934
     /*  52934 */ GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(52964), // Rule ID 21393 //
     /*  52939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  52942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /*  52945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  52953 */   // (llrint:{ *:[v8i64] } VR256X:{ *:[v8f32] }:$src)  =>  (VCVTPS2QQZrr:{ *:[v8i64] } VR256X:{ *:[v8f32] }:$src)
     /*  52953 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2QQZrr),
     /*  52958 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52962 */   GIR_RootConstrainSelectedInstOperands,
     /*  52963 */   // GIR_Coverage, 21393,
     /*  52963 */   GIR_Done,
     /*  52964 */ // Label 1263: @52964
     /*  52964 */ GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(52994), // Rule ID 21397 //
     /*  52969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  52972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /*  52975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  52983 */   // (llrint:{ *:[v8i64] } VR512:{ *:[v8f64] }:$src)  =>  (VCVTPD2QQZrr:{ *:[v8i64] } VR512:{ *:[v8f64] }:$src)
     /*  52983 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPD2QQZrr),
     /*  52988 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  52992 */   GIR_RootConstrainSelectedInstOperands,
     /*  52993 */   // GIR_Coverage, 21397,
     /*  52993 */   GIR_Done,
     /*  52994 */ // Label 1264: @52994
     /*  52994 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(53024), // Rule ID 22166 //
     /*  52999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  53002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  53005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  53009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  53013 */   // (llrint:{ *:[v8i64] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2QQZrr:{ *:[v8i64] } VR128X:{ *:[v8f16] }:$src)
     /*  53013 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2QQZrr),
     /*  53018 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /*  53022 */   GIR_RootConstrainSelectedInstOperands,
     /*  53023 */   // GIR_Coverage, 22166,
     /*  53023 */   GIR_Done,
     /*  53024 */ // Label 1265: @53024
     /*  53024 */ GIM_Reject,
     /*  53025 */ // Label 1238: @53025
     /*  53025 */ GIM_Reject,
     /*  53026 */ // Label 10: @53026
     /*  53026 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(25), /*)*//*default:*//*Label 1291*/ GIMT_Encode4(59234),
     /*  53037 */ /*GILLT_s1*//*Label 1266*/ GIMT_Encode4(53137),
     /*  53041 */ /*GILLT_s8*//*Label 1267*/ GIMT_Encode4(53204),
     /*  53045 */ /*GILLT_s16*//*Label 1268*/ GIMT_Encode4(53341),
     /*  53049 */ /*GILLT_s32*//*Label 1269*/ GIMT_Encode4(53890),
     /*  53053 */ /*GILLT_s64*//*Label 1270*/ GIMT_Encode4(54308),
     /*  53057 */ /*GILLT_s80*//*Label 1271*/ GIMT_Encode4(54877),
     /*  53061 */ /*GILLT_s128*//*Label 1272*/ GIMT_Encode4(55036),
     /*  53065 */ /*GILLT_v2s1*//*Label 1273*/ GIMT_Encode4(55164),
     /*  53069 */ /*GILLT_v2s64*//*Label 1274*/ GIMT_Encode4(55231),
     /*  53073 */ /*GILLT_v4s1*//*Label 1275*/ GIMT_Encode4(55725),
     /*  53077 */ /*GILLT_v4s32*//*Label 1276*/ GIMT_Encode4(55792),
     /*  53081 */ /*GILLT_v4s64*//*Label 1277*/ GIMT_Encode4(56286),
     /*  53085 */ /*GILLT_v8s1*//*Label 1278*/ GIMT_Encode4(56620),
     /*  53089 */ /*GILLT_v8s16*//*Label 1279*/ GIMT_Encode4(56702),
     /*  53093 */ /*GILLT_v8s32*//*Label 1280*/ GIMT_Encode4(57276),
     /*  53097 */ /*GILLT_v8s64*//*Label 1281*/ GIMT_Encode4(57610),
     /*  53101 */ /*GILLT_v16s1*//*Label 1282*/ GIMT_Encode4(57784),
     /*  53105 */ /*GILLT_v16s8*//*Label 1283*/ GIMT_Encode4(57866),
     /*  53109 */ /*GILLT_v16s16*//*Label 1284*/ GIMT_Encode4(58120),
     /*  53113 */ /*GILLT_v16s32*//*Label 1285*/ GIMT_Encode4(58454),
     /*  53117 */ /*GILLT_v32s1*//*Label 1286*/ GIMT_Encode4(58628),
     /*  53121 */ /*GILLT_v32s8*//*Label 1287*/ GIMT_Encode4(58710),
     /*  53125 */ /*GILLT_v32s16*//*Label 1288*/ GIMT_Encode4(58884),
     /*  53129 */ /*GILLT_v64s1*//*Label 1289*/ GIMT_Encode4(59058),
     /*  53133 */ /*GILLT_v64s8*//*Label 1290*/ GIMT_Encode4(59140),
     /*  53137 */ // Label 1266: @53137
     /*  53137 */ GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(53203), // Rule ID 19444 //
     /*  53142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  53145 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53148 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /*  53156 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53160 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53167 */   // (ld:{ *:[v1i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } (KMOVBkm:{ *:[v8i1] } addr:{ *:[iPTR] }:$src), VK1:{ *:[i32] })
     /*  53167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /*  53170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVBkm),
     /*  53174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53179 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53183 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53187 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53194 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53197 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /*  53202 */   // GIR_Coverage, 19444,
     /*  53202 */   GIR_EraseRootFromParent_Done,
     /*  53203 */ // Label 1292: @53203
     /*  53203 */ GIM_Reject,
     /*  53204 */ // Label 1267: @53204
     /*  53204 */ GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(53249), // Rule ID 22514 //
     /*  53209 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  53212 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  53219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  53223 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53227 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53234 */   // (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_8>>  =>  (MOV8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /*  53234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8rm),
     /*  53237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53239 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53243 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53247 */   GIR_RootConstrainSelectedInstOperands,
     /*  53248 */   // GIR_Coverage, 22514,
     /*  53248 */   GIR_EraseRootFromParent_Done,
     /*  53249 */ // Label 1293: @53249
     /*  53249 */ GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(53298), // Rule ID 22577 //
     /*  53254 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53257 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53261 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  53268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  53272 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53276 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53283 */   // (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (MOV8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /*  53283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8rm),
     /*  53286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53288 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53292 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53296 */   GIR_RootConstrainSelectedInstOperands,
     /*  53297 */   // GIR_Coverage, 22577,
     /*  53297 */   GIR_EraseRootFromParent_Done,
     /*  53298 */ // Label 1294: @53298
     /*  53298 */ GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(53340), // Rule ID 28 //
     /*  53303 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  53310 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53314 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  53318 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53325 */   // (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>  =>  (MOV8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /*  53325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8rm),
     /*  53328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53330 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53334 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53338 */   GIR_RootConstrainSelectedInstOperands,
     /*  53339 */   // GIR_Coverage, 28,
     /*  53339 */   GIR_EraseRootFromParent_Done,
     /*  53340 */ // Label 1295: @53340
     /*  53340 */ GIM_Reject,
     /*  53341 */ // Label 1268: @53341
     /*  53341 */ GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(53386), // Rule ID 22515 //
     /*  53346 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  53349 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  53356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  53360 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53364 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53371 */   // (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_16>>  =>  (MOV16rm:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  53371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16rm),
     /*  53374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53376 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53380 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53384 */   GIR_RootConstrainSelectedInstOperands,
     /*  53385 */   // GIR_Coverage, 22515,
     /*  53385 */   GIR_EraseRootFromParent_Done,
     /*  53386 */ // Label 1296: @53386
     /*  53386 */ GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(53431), // Rule ID 4620 //
     /*  53391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  53394 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53397 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  53405 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53409 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53416 */   // (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSHZrm_alt:{ *:[f16] } addr:{ *:[iPTR] }:$src)
     /*  53416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSHZrm_alt),
     /*  53419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53421 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53425 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53429 */   GIR_RootConstrainSelectedInstOperands,
     /*  53430 */   // GIR_Coverage, 4620,
     /*  53430 */   GIR_EraseRootFromParent_Done,
     /*  53431 */ // Label 1297: @53431
     /*  53431 */ GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(53510), // Rule ID 22578 //
     /*  53436 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53439 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53443 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  53450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  53454 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53458 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53465 */   // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  53465 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53468 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  53472 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53477 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53481 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53492 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  53499 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  53504 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  53509 */   // GIR_Coverage, 22578,
     /*  53509 */   GIR_EraseRootFromParent_Done,
     /*  53510 */ // Label 1298: @53510
     /*  53510 */ GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(53589), // Rule ID 22580 //
     /*  53515 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53518 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53522 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  53529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  53533 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53537 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53544 */   // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  53544 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53547 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  53551 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53556 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53560 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53564 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53571 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  53578 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  53583 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  53588 */   // GIR_Coverage, 22580,
     /*  53588 */   GIR_EraseRootFromParent_Done,
     /*  53589 */ // Label 1299: @53589
     /*  53589 */ GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(53675), // Rule ID 18338 //
     /*  53594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoBWI),
     /*  53597 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53600 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  53608 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53612 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53619 */   // (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VPINSRWrmi:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), addr:{ *:[iPTR] }:$src, 0:{ *:[i8] }), FR16:{ *:[i32] })
     /*  53619 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  53622 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  53626 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  53633 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  53636 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPINSRWrmi),
     /*  53640 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53645 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  53648 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53652 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  53655 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53659 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53666 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53669 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /*  53674 */   // GIR_Coverage, 18338,
     /*  53674 */   GIR_EraseRootFromParent_Done,
     /*  53675 */ // Label 1300: @53675
     /*  53675 */ GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(53717), // Rule ID 29 //
     /*  53680 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  53687 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53691 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  53695 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53702 */   // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>  =>  (MOV16rm:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  53702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16rm),
     /*  53705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53707 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53711 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53715 */   GIR_RootConstrainSelectedInstOperands,
     /*  53716 */   // GIR_Coverage, 29,
     /*  53716 */   GIR_EraseRootFromParent_Done,
     /*  53717 */ // Label 1301: @53717
     /*  53717 */ GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(53803), // Rule ID 18334 //
     /*  53722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  53725 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53728 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /*  53736 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53740 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53747 */   // (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (PINSRWrmi:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), addr:{ *:[iPTR] }:$src, 0:{ *:[i8] }), FR16:{ *:[i32] })
     /*  53747 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  53750 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  53754 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53759 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  53761 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  53764 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::PINSRWrmi),
     /*  53768 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53773 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  53776 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53780 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  53783 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53787 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53794 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53797 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /*  53802 */   // GIR_Coverage, 18334,
     /*  53802 */   GIR_EraseRootFromParent_Done,
     /*  53803 */ // Label 1302: @53803
     /*  53803 */ GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(53889), // Rule ID 21838 //
     /*  53808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  53811 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53814 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  53822 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53826 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53833 */   // (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[f16] } (VPINSRWZrmi:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), addr:{ *:[iPTR] }:$src, 0:{ *:[i8] }), FR16X:{ *:[i32] })
     /*  53833 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  53836 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  53840 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  53847 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  53850 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPINSRWZrmi),
     /*  53854 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53859 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  53862 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  53866 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  53869 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  53878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53880 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53883 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /*  53888 */   // GIR_Coverage, 21838,
     /*  53888 */   GIR_EraseRootFromParent_Done,
     /*  53889 */ // Label 1303: @53889
     /*  53889 */ GIM_Reject,
     /*  53890 */ // Label 1269: @53890
     /*  53890 */ GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(53935), // Rule ID 22516 //
     /*  53895 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  53898 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  53905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  53909 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53913 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53920 */   // (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_32>>  =>  (MOV32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  53920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32rm),
     /*  53923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53925 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53929 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53933 */   GIR_RootConstrainSelectedInstOperands,
     /*  53934 */   // GIR_Coverage, 22516,
     /*  53934 */   GIR_EraseRootFromParent_Done,
     /*  53935 */ // Label 1304: @53935
     /*  53935 */ GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(53983), // Rule ID 1079 //
     /*  53940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /*  53943 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53946 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /*  53954 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  53958 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  53965 */   // (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_Fp32m:{ *:[f32] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  53965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp32m),
     /*  53968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53970 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  53974 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  53977 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  53981 */   GIR_RootConstrainSelectedInstOperands,
     /*  53982 */   // GIR_Coverage, 1079,
     /*  53982 */   GIR_EraseRootFromParent_Done,
     /*  53983 */ // Label 1305: @53983
     /*  53983 */ GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(54028), // Rule ID 1696 //
     /*  53988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  53991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  53994 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  53998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  54002 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54006 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54013 */   // (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSSrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  54013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSrm_alt),
     /*  54016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54018 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54022 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54026 */   GIR_RootConstrainSelectedInstOperands,
     /*  54027 */   // GIR_Coverage, 1696,
     /*  54027 */   GIR_EraseRootFromParent_Done,
     /*  54028 */ // Label 1306: @54028
     /*  54028 */ GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(54073), // Rule ID 1697 //
     /*  54033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  54036 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54039 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  54047 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54051 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54058 */   // (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVSSrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  54058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSSrm_alt),
     /*  54061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54063 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54067 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54071 */   GIR_RootConstrainSelectedInstOperands,
     /*  54072 */   // GIR_Coverage, 1697,
     /*  54072 */   GIR_EraseRootFromParent_Done,
     /*  54073 */ // Label 1307: @54073
     /*  54073 */ GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(54118), // Rule ID 4608 //
     /*  54078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  54081 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54084 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  54092 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54096 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54103 */   // (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSSZrm_alt:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /*  54103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSZrm_alt),
     /*  54106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54108 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54112 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54116 */   GIR_RootConstrainSelectedInstOperands,
     /*  54117 */   // GIR_Coverage, 4608,
     /*  54117 */   GIR_EraseRootFromParent_Done,
     /*  54118 */ // Label 1308: @54118
     /*  54118 */ GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(54167), // Rule ID 22579 //
     /*  54123 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54126 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54130 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  54137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  54141 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54145 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54152 */   // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  54152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  54155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54157 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54161 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54165 */   GIR_RootConstrainSelectedInstOperands,
     /*  54166 */   // GIR_Coverage, 22579,
     /*  54166 */   GIR_EraseRootFromParent_Done,
     /*  54167 */ // Label 1309: @54167
     /*  54167 */ GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(54216), // Rule ID 22581 //
     /*  54172 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54175 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54179 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  54186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  54190 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54194 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54201 */   // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  54201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  54204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54206 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54210 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54214 */   GIR_RootConstrainSelectedInstOperands,
     /*  54215 */   // GIR_Coverage, 22581,
     /*  54215 */   GIR_EraseRootFromParent_Done,
     /*  54216 */ // Label 1310: @54216
     /*  54216 */ GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(54265), // Rule ID 22582 //
     /*  54221 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54224 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54228 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  54235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  54239 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54243 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54250 */   // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (MOVZX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  54250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm16),
     /*  54253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54255 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54259 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54263 */   GIR_RootConstrainSelectedInstOperands,
     /*  54264 */   // GIR_Coverage, 22582,
     /*  54264 */   GIR_EraseRootFromParent_Done,
     /*  54265 */ // Label 1311: @54265
     /*  54265 */ GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(54307), // Rule ID 30 //
     /*  54270 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  54277 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54281 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  54285 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54292 */   // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>  =>  (MOV32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  54292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32rm),
     /*  54295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54297 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54301 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54305 */   GIR_RootConstrainSelectedInstOperands,
     /*  54306 */   // GIR_Coverage, 30,
     /*  54306 */   GIR_EraseRootFromParent_Done,
     /*  54307 */ // Label 1312: @54307
     /*  54307 */ GIM_Reject,
     /*  54308 */ // Label 1270: @54308
     /*  54308 */ GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(54353), // Rule ID 22517 //
     /*  54313 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  54316 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  54323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54327 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54331 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54338 */   // (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_atomic_load_64>>  =>  (MOV64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  54338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64rm),
     /*  54341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54343 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54347 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54351 */   GIR_RootConstrainSelectedInstOperands,
     /*  54352 */   // GIR_Coverage, 22517,
     /*  54352 */   GIR_EraseRootFromParent_Done,
     /*  54353 */ // Label 1313: @54353
     /*  54353 */ GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(54395), // Rule ID 31 //
     /*  54358 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54361 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54369 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54373 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54380 */   // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOV64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  54380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64rm),
     /*  54383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54385 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54389 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54393 */   GIR_RootConstrainSelectedInstOperands,
     /*  54394 */   // GIR_Coverage, 31,
     /*  54394 */   GIR_EraseRootFromParent_Done,
     /*  54395 */ // Label 1314: @54395
     /*  54395 */ GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(54443), // Rule ID 1080 //
     /*  54400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /*  54403 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54406 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /*  54414 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54418 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54425 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_Fp64m:{ *:[f64] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  54425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp64m),
     /*  54428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54430 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54434 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  54437 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54441 */   GIR_RootConstrainSelectedInstOperands,
     /*  54442 */   // GIR_Coverage, 1080,
     /*  54442 */   GIR_EraseRootFromParent_Done,
     /*  54443 */ // Label 1315: @54443
     /*  54443 */ GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(54498), // Rule ID 1082 //
     /*  54448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /*  54451 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54454 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54458 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  54465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /*  54469 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54473 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54480 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>  =>  (LD_Fp32m64:{ *:[f64] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  54480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp32m64),
     /*  54483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54485 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54489 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  54492 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54496 */   GIR_RootConstrainSelectedInstOperands,
     /*  54497 */   // GIR_Coverage, 1082,
     /*  54497 */   GIR_EraseRootFromParent_Done,
     /*  54498 */ // Label 1316: @54498
     /*  54498 */ GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(54543), // Rule ID 1700 //
     /*  54503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  54506 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54509 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  54517 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54521 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54528 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSDrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  54528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDrm_alt),
     /*  54531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54533 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54537 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54541 */   GIR_RootConstrainSelectedInstOperands,
     /*  54542 */   // GIR_Coverage, 1700,
     /*  54542 */   GIR_EraseRootFromParent_Done,
     /*  54543 */ // Label 1317: @54543
     /*  54543 */ GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(54588), // Rule ID 1701 //
     /*  54548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  54551 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54554 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  54562 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54566 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54573 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVSDrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  54573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSDrm_alt),
     /*  54576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54578 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54582 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54586 */   GIR_RootConstrainSelectedInstOperands,
     /*  54587 */   // GIR_Coverage, 1701,
     /*  54587 */   GIR_EraseRootFromParent_Done,
     /*  54588 */ // Label 1318: @54588
     /*  54588 */ GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(54633), // Rule ID 4614 //
     /*  54593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  54596 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54599 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  54607 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54611 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54618 */   // (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVSDZrm_alt:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /*  54618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDZrm_alt),
     /*  54621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54623 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54627 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54631 */   GIR_RootConstrainSelectedInstOperands,
     /*  54632 */   // GIR_Coverage, 4614,
     /*  54632 */   GIR_EraseRootFromParent_Done,
     /*  54633 */ // Label 1319: @54633
     /*  54633 */ GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(54714), // Rule ID 22584 //
     /*  54638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54641 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54645 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  54652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54656 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54660 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54667 */   // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  54667 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54670 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  54674 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54679 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  54683 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54687 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54697 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  54703 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  54708 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  54713 */   // GIR_Coverage, 22584,
     /*  54713 */   GIR_EraseRootFromParent_Done,
     /*  54714 */ // Label 1320: @54714
     /*  54714 */ GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(54795), // Rule ID 22585 //
     /*  54719 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54722 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54726 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  54733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54737 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54741 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54748 */   // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  54748 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54751 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  54755 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54760 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  54764 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54768 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  54784 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  54789 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  54794 */   // GIR_Coverage, 22585,
     /*  54794 */   GIR_EraseRootFromParent_Done,
     /*  54795 */ // Label 1321: @54795
     /*  54795 */ GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(54876), // Rule ID 22586 //
     /*  54800 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54803 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54807 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  54814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  54818 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54822 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54829 */   // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  54829 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54832 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm16),
     /*  54836 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54841 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  54845 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54859 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  54865 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  54870 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  54875 */   // GIR_Coverage, 22586,
     /*  54875 */   GIR_EraseRootFromParent_Done,
     /*  54876 */ // Label 1322: @54876
     /*  54876 */ GIM_Reject,
     /*  54877 */ // Label 1271: @54877
     /*  54877 */ GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(55035),
     /*  54882 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  54885 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(54930), // Rule ID 1081 //
     /*  54890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  54893 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  54901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54912 */     // (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_Fp80m:{ *:[f80] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  54912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp80m),
     /*  54915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54917 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  54924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54928 */     GIR_RootConstrainSelectedInstOperands,
     /*  54929 */     // GIR_Coverage, 1081,
     /*  54929 */     GIR_EraseRootFromParent_Done,
     /*  54930 */   // Label 1324: @54930
     /*  54930 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(54982), // Rule ID 1083 //
     /*  54935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  54938 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  54949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  54953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  54957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  54964 */     // (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>  =>  (LD_Fp64m80:{ *:[f80] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  54964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp64m80),
     /*  54967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54969 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  54973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  54976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  54980 */     GIR_RootConstrainSelectedInstOperands,
     /*  54981 */     // GIR_Coverage, 1083,
     /*  54981 */     GIR_EraseRootFromParent_Done,
     /*  54982 */   // Label 1325: @54982
     /*  54982 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(55034), // Rule ID 1084 //
     /*  54987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  54990 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  54994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  55001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  55005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55016 */     // (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>  =>  (LD_Fp32m80:{ *:[f80] }:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /*  55016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp32m80),
     /*  55019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55021 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  55028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55032 */     GIR_RootConstrainSelectedInstOperands,
     /*  55033 */     // GIR_Coverage, 1084,
     /*  55033 */     GIR_EraseRootFromParent_Done,
     /*  55034 */   // Label 1326: @55034
     /*  55034 */   GIM_Reject,
     /*  55035 */ // Label 1323: @55035
     /*  55035 */ GIM_Reject,
     /*  55036 */ // Label 1272: @55036
     /*  55036 */ GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(55163),
     /*  55041 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55044 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55048 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(55086), // Rule ID 23142 //
     /*  55053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoAVX),
     /*  55056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55071 */     // (ld:{ *:[f128] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[f128] } addr:{ *:[iPTR] }:$src)
     /*  55071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  55074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55076 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55084 */     GIR_RootConstrainSelectedInstOperands,
     /*  55085 */     // GIR_Coverage, 23142,
     /*  55085 */     GIR_EraseRootFromParent_Done,
     /*  55086 */   // Label 1328: @55086
     /*  55086 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(55124), // Rule ID 23146 //
     /*  55091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55109 */     // (ld:{ *:[f128] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSrm:{ *:[f128] } addr:{ *:[iPTR] }:$src)
     /*  55109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSrm),
     /*  55112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55114 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55118 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55122 */     GIR_RootConstrainSelectedInstOperands,
     /*  55123 */     // GIR_Coverage, 23146,
     /*  55123 */     GIR_EraseRootFromParent_Done,
     /*  55124 */   // Label 1329: @55124
     /*  55124 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(55162), // Rule ID 23150 //
     /*  55129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  55132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55147 */     // (ld:{ *:[f128] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ128rm:{ *:[f128] } addr:{ *:[iPTR] }:$src)
     /*  55147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128rm),
     /*  55150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55152 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55160 */     GIR_RootConstrainSelectedInstOperands,
     /*  55161 */     // GIR_Coverage, 23150,
     /*  55161 */     GIR_EraseRootFromParent_Done,
     /*  55162 */   // Label 1330: @55162
     /*  55162 */   GIM_Reject,
     /*  55163 */ // Label 1327: @55163
     /*  55163 */ GIM_Reject,
     /*  55164 */ // Label 1273: @55164
     /*  55164 */ GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(55230), // Rule ID 19445 //
     /*  55169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  55172 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55175 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /*  55183 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55187 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55194 */   // (ld:{ *:[v2i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (KMOVBkm:{ *:[v8i1] } addr:{ *:[iPTR] }:$src), VK2:{ *:[i32] })
     /*  55194 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /*  55197 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVBkm),
     /*  55201 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55206 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  55210 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  55216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  55219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  55224 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /*  55229 */   // GIR_Coverage, 19445,
     /*  55229 */   GIR_EraseRootFromParent_Done,
     /*  55230 */ // Label 1331: @55230
     /*  55230 */ GIM_Reject,
     /*  55231 */ // Label 1274: @55231
     /*  55231 */ GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(55724),
     /*  55236 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55239 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55243 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(55285), // Rule ID 1703 //
     /*  55248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55259 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55270 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDrm),
     /*  55273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55283 */     GIR_RootConstrainSelectedInstOperands,
     /*  55284 */     // GIR_Coverage, 1703,
     /*  55284 */     GIR_EraseRootFromParent_Done,
     /*  55285 */   // Label 1333: @55285
     /*  55285 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(55323), // Rule ID 1705 //
     /*  55290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55308 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDrm),
     /*  55311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55313 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55321 */     GIR_RootConstrainSelectedInstOperands,
     /*  55322 */     // GIR_Coverage, 1705,
     /*  55322 */     GIR_EraseRootFromParent_Done,
     /*  55323 */   // Label 1334: @55323
     /*  55323 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(55365), // Rule ID 1712 //
     /*  55328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  55331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55339 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55350 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPDrm),
     /*  55353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55355 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55363 */     GIR_RootConstrainSelectedInstOperands,
     /*  55364 */     // GIR_Coverage, 1712,
     /*  55364 */     GIR_EraseRootFromParent_Done,
     /*  55365 */   // Label 1335: @55365
     /*  55365 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(55403), // Rule ID 1713 //
     /*  55370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  55373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55388 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPDrm),
     /*  55391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55393 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55397 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55401 */     GIR_RootConstrainSelectedInstOperands,
     /*  55402 */     // GIR_Coverage, 1713,
     /*  55402 */     GIR_EraseRootFromParent_Done,
     /*  55403 */   // Label 1336: @55403
     /*  55403 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(55445), // Rule ID 2517 //
     /*  55408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55419 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55430 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  55433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55435 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55443 */     GIR_RootConstrainSelectedInstOperands,
     /*  55444 */     // GIR_Coverage, 2517,
     /*  55444 */     GIR_EraseRootFromParent_Done,
     /*  55445 */   // Label 1337: @55445
     /*  55445 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(55483), // Rule ID 2518 //
     /*  55450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55468 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  55471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55473 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55481 */     GIR_RootConstrainSelectedInstOperands,
     /*  55482 */     // GIR_Coverage, 2518,
     /*  55482 */     GIR_EraseRootFromParent_Done,
     /*  55483 */   // Label 1338: @55483
     /*  55483 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(55525), // Rule ID 4489 //
     /*  55488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  55491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55499 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55510 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDZ128rm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ128rm),
     /*  55513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55515 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55523 */     GIR_RootConstrainSelectedInstOperands,
     /*  55524 */     // GIR_Coverage, 4489,
     /*  55524 */     GIR_EraseRootFromParent_Done,
     /*  55525 */   // Label 1339: @55525
     /*  55525 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(55563), // Rule ID 4514 //
     /*  55530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  55533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55548 */     // (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDZ128rm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  55548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZ128rm),
     /*  55551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55553 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55561 */     GIR_RootConstrainSelectedInstOperands,
     /*  55562 */     // GIR_Coverage, 4514,
     /*  55562 */     GIR_EraseRootFromParent_Done,
     /*  55563 */   // Label 1340: @55563
     /*  55563 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(55605), // Rule ID 4543 //
     /*  55568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  55571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55579 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55590 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rm),
     /*  55593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55595 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55603 */     GIR_RootConstrainSelectedInstOperands,
     /*  55604 */     // GIR_Coverage, 4543,
     /*  55604 */     GIR_EraseRootFromParent_Done,
     /*  55605 */   // Label 1341: @55605
     /*  55605 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(55643), // Rule ID 4586 //
     /*  55610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  55613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55628 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128rm),
     /*  55631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55633 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55641 */     GIR_RootConstrainSelectedInstOperands,
     /*  55642 */     // GIR_Coverage, 4586,
     /*  55642 */     GIR_EraseRootFromParent_Done,
     /*  55643 */   // Label 1342: @55643
     /*  55643 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(55685), // Rule ID 17938 //
     /*  55648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  55651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55659 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55670 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  55673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55675 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55683 */     GIR_RootConstrainSelectedInstOperands,
     /*  55684 */     // GIR_Coverage, 17938,
     /*  55684 */     GIR_EraseRootFromParent_Done,
     /*  55685 */   // Label 1343: @55685
     /*  55685 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(55723), // Rule ID 17942 //
     /*  55690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  55693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55708 */     // (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  55708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  55711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55713 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55721 */     GIR_RootConstrainSelectedInstOperands,
     /*  55722 */     // GIR_Coverage, 17942,
     /*  55722 */     GIR_EraseRootFromParent_Done,
     /*  55723 */   // Label 1344: @55723
     /*  55723 */   GIM_Reject,
     /*  55724 */ // Label 1332: @55724
     /*  55724 */ GIM_Reject,
     /*  55725 */ // Label 1275: @55725
     /*  55725 */ GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(55791), // Rule ID 19446 //
     /*  55730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /*  55733 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55736 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /*  55744 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55748 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55755 */   // (ld:{ *:[v4i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (KMOVBkm:{ *:[v8i1] } addr:{ *:[iPTR] }:$src), VK4:{ *:[i32] })
     /*  55755 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /*  55758 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVBkm),
     /*  55762 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55767 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  55771 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  55777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  55780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55782 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  55785 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /*  55790 */   // GIR_Coverage, 19446,
     /*  55790 */   GIR_EraseRootFromParent_Done,
     /*  55791 */ // Label 1345: @55791
     /*  55791 */ GIM_Reject,
     /*  55792 */ // Label 1276: @55792
     /*  55792 */ GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(56285),
     /*  55797 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  55800 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  55804 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(55846), // Rule ID 1702 //
     /*  55809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55820 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55831 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  55831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSrm),
     /*  55834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55836 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55840 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55844 */     GIR_RootConstrainSelectedInstOperands,
     /*  55845 */     // GIR_Coverage, 1702,
     /*  55845 */     GIR_EraseRootFromParent_Done,
     /*  55846 */   // Label 1347: @55846
     /*  55846 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(55884), // Rule ID 1704 //
     /*  55851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  55854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55869 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  55869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSrm),
     /*  55872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55874 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55878 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55882 */     GIR_RootConstrainSelectedInstOperands,
     /*  55883 */     // GIR_Coverage, 1704,
     /*  55883 */     GIR_EraseRootFromParent_Done,
     /*  55884 */   // Label 1348: @55884
     /*  55884 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(55926), // Rule ID 1710 //
     /*  55889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  55892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55900 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55911 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  55911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  55914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55916 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55924 */     GIR_RootConstrainSelectedInstOperands,
     /*  55925 */     // GIR_Coverage, 1710,
     /*  55925 */     GIR_EraseRootFromParent_Done,
     /*  55926 */   // Label 1349: @55926
     /*  55926 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(55964), // Rule ID 1711 //
     /*  55931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  55934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  55938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55949 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  55949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  55952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55954 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  55958 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  55962 */     GIR_RootConstrainSelectedInstOperands,
     /*  55963 */     // GIR_Coverage, 1711,
     /*  55963 */     GIR_EraseRootFromParent_Done,
     /*  55964 */   // Label 1350: @55964
     /*  55964 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(56006), // Rule ID 4471 //
     /*  55969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  55972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  55976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  55980 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  55984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  55991 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZ128rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  55991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128rm),
     /*  55994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55996 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56004 */     GIR_RootConstrainSelectedInstOperands,
     /*  56005 */     // GIR_Coverage, 4471,
     /*  56005 */     GIR_EraseRootFromParent_Done,
     /*  56006 */   // Label 1351: @56006
     /*  56006 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(56044), // Rule ID 4502 //
     /*  56011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  56018 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56029 */     // (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ128rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  56029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128rm),
     /*  56032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56034 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56042 */     GIR_RootConstrainSelectedInstOperands,
     /*  56043 */     // GIR_Coverage, 4502,
     /*  56043 */     GIR_EraseRootFromParent_Done,
     /*  56044 */   // Label 1352: @56044
     /*  56044 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(56086), // Rule ID 17939 //
     /*  56049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  56052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56060 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56071 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  56074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56076 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56084 */     GIR_RootConstrainSelectedInstOperands,
     /*  56085 */     // GIR_Coverage, 17939,
     /*  56085 */     GIR_EraseRootFromParent_Done,
     /*  56086 */   // Label 1353: @56086
     /*  56086 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(56124), // Rule ID 17943 //
     /*  56091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  56094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56109 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  56112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56114 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56118 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56122 */     GIR_RootConstrainSelectedInstOperands,
     /*  56123 */     // GIR_Coverage, 17943,
     /*  56123 */     GIR_EraseRootFromParent_Done,
     /*  56124 */   // Label 1354: @56124
     /*  56124 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(56166), // Rule ID 18318 //
     /*  56129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56140 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56151 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  56154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56156 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56164 */     GIR_RootConstrainSelectedInstOperands,
     /*  56165 */     // GIR_Coverage, 18318,
     /*  56165 */     GIR_EraseRootFromParent_Done,
     /*  56166 */   // Label 1355: @56166
     /*  56166 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(56204), // Rule ID 18322 //
     /*  56171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56189 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  56192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56194 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56202 */     GIR_RootConstrainSelectedInstOperands,
     /*  56203 */     // GIR_Coverage, 18322,
     /*  56203 */     GIR_EraseRootFromParent_Done,
     /*  56204 */   // Label 1356: @56204
     /*  56204 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(56246), // Rule ID 19811 //
     /*  56209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  56212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  56216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56220 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56231 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rm),
     /*  56234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56236 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56244 */     GIR_RootConstrainSelectedInstOperands,
     /*  56245 */     // GIR_Coverage, 19811,
     /*  56245 */     GIR_EraseRootFromParent_Done,
     /*  56246 */   // Label 1357: @56246
     /*  56246 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(56284), // Rule ID 19815 //
     /*  56251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  56254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  56258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56269 */     // (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  56269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128rm),
     /*  56272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56274 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56282 */     GIR_RootConstrainSelectedInstOperands,
     /*  56283 */     // GIR_Coverage, 19815,
     /*  56283 */     GIR_EraseRootFromParent_Done,
     /*  56284 */   // Label 1358: @56284
     /*  56284 */   GIM_Reject,
     /*  56285 */ // Label 1346: @56285
     /*  56285 */ GIM_Reject,
     /*  56286 */ // Label 1277: @56286
     /*  56286 */ GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(56619),
     /*  56291 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  56294 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  56298 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(56340), // Rule ID 1707 //
     /*  56303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  56310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56314 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56325 */     // (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDYrm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  56325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDYrm),
     /*  56328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56330 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56338 */     GIR_RootConstrainSelectedInstOperands,
     /*  56339 */     // GIR_Coverage, 1707,
     /*  56339 */     GIR_EraseRootFromParent_Done,
     /*  56340 */   // Label 1360: @56340
     /*  56340 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(56378), // Rule ID 1709 //
     /*  56345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  56352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56363 */     // (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDYrm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  56363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDYrm),
     /*  56366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56368 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56376 */     GIR_RootConstrainSelectedInstOperands,
     /*  56377 */     // GIR_Coverage, 1709,
     /*  56377 */     GIR_EraseRootFromParent_Done,
     /*  56378 */   // Label 1361: @56378
     /*  56378 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(56420), // Rule ID 4484 //
     /*  56383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  56390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56394 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56405 */     // (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  56405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ256rm),
     /*  56408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56410 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56418 */     GIR_RootConstrainSelectedInstOperands,
     /*  56419 */     // GIR_Coverage, 4484,
     /*  56419 */     GIR_EraseRootFromParent_Done,
     /*  56420 */   // Label 1362: @56420
     /*  56420 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(56458), // Rule ID 4511 //
     /*  56425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  56432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56443 */     // (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  56443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZ256rm),
     /*  56446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56448 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56456 */     GIR_RootConstrainSelectedInstOperands,
     /*  56457 */     // GIR_Coverage, 4511,
     /*  56457 */     GIR_EraseRootFromParent_Done,
     /*  56458 */   // Label 1363: @56458
     /*  56458 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(56500), // Rule ID 4538 //
     /*  56463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  56470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56474 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56485 */     // (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  56485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rm),
     /*  56488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56490 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56498 */     GIR_RootConstrainSelectedInstOperands,
     /*  56499 */     // GIR_Coverage, 4538,
     /*  56499 */     GIR_EraseRootFromParent_Done,
     /*  56500 */   // Label 1364: @56500
     /*  56500 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(56538), // Rule ID 4583 //
     /*  56505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  56508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  56512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56523 */     // (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  56523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256rm),
     /*  56526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56528 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56536 */     GIR_RootConstrainSelectedInstOperands,
     /*  56537 */     // GIR_Coverage, 4583,
     /*  56537 */     GIR_EraseRootFromParent_Done,
     /*  56538 */   // Label 1365: @56538
     /*  56538 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(56580), // Rule ID 17914 //
     /*  56543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  56550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56554 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56565 */     // (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  56565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  56568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56570 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56578 */     GIR_RootConstrainSelectedInstOperands,
     /*  56579 */     // GIR_Coverage, 17914,
     /*  56579 */     GIR_EraseRootFromParent_Done,
     /*  56580 */   // Label 1366: @56580
     /*  56580 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(56618), // Rule ID 17918 //
     /*  56585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  56592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56603 */     // (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /*  56603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  56606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56608 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56616 */     GIR_RootConstrainSelectedInstOperands,
     /*  56617 */     // GIR_Coverage, 17918,
     /*  56617 */     GIR_EraseRootFromParent_Done,
     /*  56618 */   // Label 1367: @56618
     /*  56618 */   GIM_Reject,
     /*  56619 */ // Label 1359: @56619
     /*  56619 */ GIM_Reject,
     /*  56620 */ // Label 1278: @56620
     /*  56620 */ GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(56701),
     /*  56625 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  56628 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  56632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  56636 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56640 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(56670), // Rule ID 4394 //
     /*  56645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_NoEGPR),
     /*  56648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56655 */     // (ld:{ *:[v8i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVBkm:{ *:[v8i1] } addr:{ *:[iPTR] }:$src)
     /*  56655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBkm),
     /*  56658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56660 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56668 */     GIR_RootConstrainSelectedInstOperands,
     /*  56669 */     // GIR_Coverage, 4394,
     /*  56669 */     GIR_EraseRootFromParent_Done,
     /*  56670 */   // Label 1369: @56670
     /*  56670 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(56700), // Rule ID 4396 //
     /*  56675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEGPR_In64BitMode),
     /*  56678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56685 */     // (ld:{ *:[v8i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVBkm_EVEX:{ *:[v8i1] } addr:{ *:[iPTR] }:$src)
     /*  56685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBkm_EVEX),
     /*  56688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56690 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56694 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56698 */     GIR_RootConstrainSelectedInstOperands,
     /*  56699 */     // GIR_Coverage, 4396,
     /*  56699 */     GIR_EraseRootFromParent_Done,
     /*  56700 */   // Label 1370: @56700
     /*  56700 */   GIM_Reject,
     /*  56701 */ // Label 1368: @56701
     /*  56701 */ GIM_Reject,
     /*  56702 */ // Label 1279: @56702
     /*  56702 */ GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(57275),
     /*  56707 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  56710 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  56714 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(56756), // Rule ID 17930 //
     /*  56719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56730 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56741 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  56741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSrm),
     /*  56744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56746 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56754 */     GIR_RootConstrainSelectedInstOperands,
     /*  56755 */     // GIR_Coverage, 17930,
     /*  56755 */     GIR_EraseRootFromParent_Done,
     /*  56756 */   // Label 1372: @56756
     /*  56756 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(56794), // Rule ID 17931 //
     /*  56761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56779 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  56779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSrm),
     /*  56782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56784 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56792 */     GIR_RootConstrainSelectedInstOperands,
     /*  56793 */     // GIR_Coverage, 17931,
     /*  56793 */     GIR_EraseRootFromParent_Done,
     /*  56794 */   // Label 1373: @56794
     /*  56794 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(56836), // Rule ID 17940 //
     /*  56799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  56802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56810 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56821 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  56821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  56824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56826 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56834 */     GIR_RootConstrainSelectedInstOperands,
     /*  56835 */     // GIR_Coverage, 17940,
     /*  56835 */     GIR_EraseRootFromParent_Done,
     /*  56836 */   // Label 1374: @56836
     /*  56836 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(56874), // Rule ID 17944 //
     /*  56841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  56844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56859 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  56859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  56862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56864 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56872 */     GIR_RootConstrainSelectedInstOperands,
     /*  56873 */     // GIR_Coverage, 17944,
     /*  56873 */     GIR_EraseRootFromParent_Done,
     /*  56874 */   // Label 1375: @56874
     /*  56874 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(56916), // Rule ID 17954 //
     /*  56879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  56882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56890 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56901 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  56901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  56904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56906 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56914 */     GIR_RootConstrainSelectedInstOperands,
     /*  56915 */     // GIR_Coverage, 17954,
     /*  56915 */     GIR_EraseRootFromParent_Done,
     /*  56916 */   // Label 1376: @56916
     /*  56916 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(56954), // Rule ID 17955 //
     /*  56921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  56924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56939 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  56939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  56942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56944 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56952 */     GIR_RootConstrainSelectedInstOperands,
     /*  56953 */     // GIR_Coverage, 17955,
     /*  56953 */     GIR_EraseRootFromParent_Done,
     /*  56954 */   // Label 1377: @56954
     /*  56954 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(56996), // Rule ID 18319 //
     /*  56959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  56962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  56966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  56970 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  56974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  56981 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  56981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  56984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  56986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  56990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  56994 */     GIR_RootConstrainSelectedInstOperands,
     /*  56995 */     // GIR_Coverage, 18319,
     /*  56995 */     GIR_EraseRootFromParent_Done,
     /*  56996 */   // Label 1378: @56996
     /*  56996 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(57038), // Rule ID 18320 //
     /*  57001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57012 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57023 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  57023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  57026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57028 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57036 */     GIR_RootConstrainSelectedInstOperands,
     /*  57037 */     // GIR_Coverage, 18320,
     /*  57037 */     GIR_EraseRootFromParent_Done,
     /*  57038 */   // Label 1379: @57038
     /*  57038 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(57076), // Rule ID 18323 //
     /*  57043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57061 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  57061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  57064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57066 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57074 */     GIR_RootConstrainSelectedInstOperands,
     /*  57075 */     // GIR_Coverage, 18323,
     /*  57075 */     GIR_EraseRootFromParent_Done,
     /*  57076 */   // Label 1380: @57076
     /*  57076 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(57114), // Rule ID 18324 //
     /*  57081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57099 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  57099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  57102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57104 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57112 */     GIR_RootConstrainSelectedInstOperands,
     /*  57113 */     // GIR_Coverage, 18324,
     /*  57113 */     GIR_EraseRootFromParent_Done,
     /*  57114 */   // Label 1381: @57114
     /*  57114 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(57156), // Rule ID 19812 //
     /*  57119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  57126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57130 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57141 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  57141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rm),
     /*  57144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57146 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57154 */     GIR_RootConstrainSelectedInstOperands,
     /*  57155 */     // GIR_Coverage, 19812,
     /*  57155 */     GIR_EraseRootFromParent_Done,
     /*  57156 */   // Label 1382: @57156
     /*  57156 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(57198), // Rule ID 19813 //
     /*  57161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  57168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57183 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZ128rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  57183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128rm),
     /*  57186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57188 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57196 */     GIR_RootConstrainSelectedInstOperands,
     /*  57197 */     // GIR_Coverage, 19813,
     /*  57197 */     GIR_EraseRootFromParent_Done,
     /*  57198 */   // Label 1383: @57198
     /*  57198 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(57236), // Rule ID 19816 //
     /*  57203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  57210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57221 */     // (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  57221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128rm),
     /*  57224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57226 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57230 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57234 */     GIR_RootConstrainSelectedInstOperands,
     /*  57235 */     // GIR_Coverage, 19816,
     /*  57235 */     GIR_EraseRootFromParent_Done,
     /*  57236 */   // Label 1384: @57236
     /*  57236 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(57274), // Rule ID 19817 //
     /*  57241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  57248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57259 */     // (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ128rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /*  57259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128rm),
     /*  57262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57264 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57272 */     GIR_RootConstrainSelectedInstOperands,
     /*  57273 */     // GIR_Coverage, 19817,
     /*  57273 */     GIR_EraseRootFromParent_Done,
     /*  57274 */   // Label 1385: @57274
     /*  57274 */   GIM_Reject,
     /*  57275 */ // Label 1371: @57275
     /*  57275 */ GIM_Reject,
     /*  57276 */ // Label 1280: @57276
     /*  57276 */ GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(57609),
     /*  57281 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  57284 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  57288 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(57330), // Rule ID 1706 //
     /*  57293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  57300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57304 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57315 */     // (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  57315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  57318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57320 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57328 */     GIR_RootConstrainSelectedInstOperands,
     /*  57329 */     // GIR_Coverage, 1706,
     /*  57329 */     GIR_EraseRootFromParent_Done,
     /*  57330 */   // Label 1387: @57330
     /*  57330 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(57368), // Rule ID 1708 //
     /*  57335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  57342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57353 */     // (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  57353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  57356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57358 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57366 */     GIR_RootConstrainSelectedInstOperands,
     /*  57367 */     // GIR_Coverage, 1708,
     /*  57367 */     GIR_EraseRootFromParent_Done,
     /*  57368 */   // Label 1388: @57368
     /*  57368 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(57410), // Rule ID 4466 //
     /*  57373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  57376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  57380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57384 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57395 */     // (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZ256rm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  57395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256rm),
     /*  57398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57400 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57408 */     GIR_RootConstrainSelectedInstOperands,
     /*  57409 */     // GIR_Coverage, 4466,
     /*  57409 */     GIR_EraseRootFromParent_Done,
     /*  57410 */   // Label 1389: @57410
     /*  57410 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(57448), // Rule ID 4499 //
     /*  57415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  57418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  57422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57433 */     // (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ256rm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  57433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ256rm),
     /*  57436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57438 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57446 */     GIR_RootConstrainSelectedInstOperands,
     /*  57447 */     // GIR_Coverage, 4499,
     /*  57447 */     GIR_EraseRootFromParent_Done,
     /*  57448 */   // Label 1390: @57448
     /*  57448 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(57490), // Rule ID 17915 //
     /*  57453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  57460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57464 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57475 */     // (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  57475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  57478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57480 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57488 */     GIR_RootConstrainSelectedInstOperands,
     /*  57489 */     // GIR_Coverage, 17915,
     /*  57489 */     GIR_EraseRootFromParent_Done,
     /*  57490 */   // Label 1391: @57490
     /*  57490 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(57528), // Rule ID 17919 //
     /*  57495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  57502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57513 */     // (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  57513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  57516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57518 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57522 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57526 */     GIR_RootConstrainSelectedInstOperands,
     /*  57527 */     // GIR_Coverage, 17919,
     /*  57527 */     GIR_EraseRootFromParent_Done,
     /*  57528 */   // Label 1392: @57528
     /*  57528 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(57570), // Rule ID 19827 //
     /*  57533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  57540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57544 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57555 */     // (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  57555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rm),
     /*  57558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57560 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57568 */     GIR_RootConstrainSelectedInstOperands,
     /*  57569 */     // GIR_Coverage, 19827,
     /*  57569 */     GIR_EraseRootFromParent_Done,
     /*  57570 */   // Label 1393: @57570
     /*  57570 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(57608), // Rule ID 19831 //
     /*  57575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  57578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  57582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57593 */     // (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /*  57593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256rm),
     /*  57596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57598 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57606 */     GIR_RootConstrainSelectedInstOperands,
     /*  57607 */     // GIR_Coverage, 19831,
     /*  57607 */     GIR_EraseRootFromParent_Done,
     /*  57608 */   // Label 1394: @57608
     /*  57608 */   GIM_Reject,
     /*  57609 */ // Label 1386: @57609
     /*  57609 */ GIM_Reject,
     /*  57610 */ // Label 1281: @57610
     /*  57610 */ GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(57783),
     /*  57615 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  57618 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  57622 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(57664), // Rule ID 4479 //
     /*  57627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  57630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  57634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57638 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57649 */     // (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /*  57649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrm),
     /*  57652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57654 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57662 */     GIR_RootConstrainSelectedInstOperands,
     /*  57663 */     // GIR_Coverage, 4479,
     /*  57663 */     GIR_EraseRootFromParent_Done,
     /*  57664 */   // Label 1396: @57664
     /*  57664 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(57702), // Rule ID 4508 //
     /*  57669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  57672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  57676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57687 */     // (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /*  57687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZrm),
     /*  57690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57692 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57700 */     GIR_RootConstrainSelectedInstOperands,
     /*  57701 */     // GIR_Coverage, 4508,
     /*  57701 */     GIR_EraseRootFromParent_Done,
     /*  57702 */   // Label 1397: @57702
     /*  57702 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(57744), // Rule ID 4533 //
     /*  57707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  57710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  57714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57718 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57729 */     // (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Zrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  57729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrm),
     /*  57732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57734 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57742 */     GIR_RootConstrainSelectedInstOperands,
     /*  57743 */     // GIR_Coverage, 4533,
     /*  57743 */     GIR_EraseRootFromParent_Done,
     /*  57744 */   // Label 1398: @57744
     /*  57744 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(57782), // Rule ID 4580 //
     /*  57749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  57752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  57756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57767 */     // (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Zrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /*  57767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zrm),
     /*  57770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57772 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57780 */     GIR_RootConstrainSelectedInstOperands,
     /*  57781 */     // GIR_Coverage, 4580,
     /*  57781 */     GIR_EraseRootFromParent_Done,
     /*  57782 */   // Label 1399: @57782
     /*  57782 */   GIM_Reject,
     /*  57783 */ // Label 1395: @57783
     /*  57783 */ GIM_Reject,
     /*  57784 */ // Label 1282: @57784
     /*  57784 */ GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(57865),
     /*  57789 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  57792 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  57796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  57800 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57804 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(57834), // Rule ID 4398 //
     /*  57809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoEGPR),
     /*  57812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57819 */     // (ld:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVWkm:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)
     /*  57819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWkm),
     /*  57822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57824 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57832 */     GIR_RootConstrainSelectedInstOperands,
     /*  57833 */     // GIR_Coverage, 4398,
     /*  57833 */     GIR_EraseRootFromParent_Done,
     /*  57834 */   // Label 1401: @57834
     /*  57834 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(57864), // Rule ID 4400 //
     /*  57839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEGPR_In64BitMode),
     /*  57842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57849 */     // (ld:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVWkm_EVEX:{ *:[v16i1] } addr:{ *:[iPTR] }:$src)
     /*  57849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWkm_EVEX),
     /*  57852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57854 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57862 */     GIR_RootConstrainSelectedInstOperands,
     /*  57863 */     // GIR_Coverage, 4400,
     /*  57863 */     GIR_EraseRootFromParent_Done,
     /*  57864 */   // Label 1402: @57864
     /*  57864 */   GIM_Reject,
     /*  57865 */ // Label 1400: @57865
     /*  57865 */ GIM_Reject,
     /*  57866 */ // Label 1283: @57866
     /*  57866 */ GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(58119),
     /*  57871 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  57874 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  57878 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(57920), // Rule ID 17941 //
     /*  57883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  57886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57894 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57905 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (MOVAPSrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  57905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSrm),
     /*  57908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57910 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57918 */     GIR_RootConstrainSelectedInstOperands,
     /*  57919 */     // GIR_Coverage, 17941,
     /*  57919 */     GIR_EraseRootFromParent_Done,
     /*  57920 */   // Label 1404: @57920
     /*  57920 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(57958), // Rule ID 17945 //
     /*  57925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  57928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57943 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (MOVUPSrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  57943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSrm),
     /*  57946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57948 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57956 */     GIR_RootConstrainSelectedInstOperands,
     /*  57957 */     // GIR_Coverage, 17945,
     /*  57957 */     GIR_EraseRootFromParent_Done,
     /*  57958 */   // Label 1405: @57958
     /*  57958 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(58000), // Rule ID 18321 //
     /*  57963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  57966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  57970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  57974 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  57978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  57985 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQArm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  57985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQArm),
     /*  57988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  57990 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  57994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  57998 */     GIR_RootConstrainSelectedInstOperands,
     /*  57999 */     // GIR_Coverage, 18321,
     /*  57999 */     GIR_EraseRootFromParent_Done,
     /*  58000 */   // Label 1406: @58000
     /*  58000 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(58038), // Rule ID 18325 //
     /*  58005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  58012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58023 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQUrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  58023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUrm),
     /*  58026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58028 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58036 */     GIR_RootConstrainSelectedInstOperands,
     /*  58037 */     // GIR_Coverage, 18325,
     /*  58037 */     GIR_EraseRootFromParent_Done,
     /*  58038 */   // Label 1407: @58038
     /*  58038 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(58080), // Rule ID 19814 //
     /*  58043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  58050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58054 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58065 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z128rm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  58065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rm),
     /*  58068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58070 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58078 */     GIR_RootConstrainSelectedInstOperands,
     /*  58079 */     // GIR_Coverage, 19814,
     /*  58079 */     GIR_EraseRootFromParent_Done,
     /*  58080 */   // Label 1408: @58080
     /*  58080 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(58118), // Rule ID 19818 //
     /*  58085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  58092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58103 */     // (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z128rm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /*  58103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128rm),
     /*  58106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58108 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58116 */     GIR_RootConstrainSelectedInstOperands,
     /*  58117 */     // GIR_Coverage, 19818,
     /*  58117 */     GIR_EraseRootFromParent_Done,
     /*  58118 */   // Label 1409: @58118
     /*  58118 */   GIM_Reject,
     /*  58119 */ // Label 1403: @58119
     /*  58119 */ GIM_Reject,
     /*  58120 */ // Label 1284: @58120
     /*  58120 */ GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(58453),
     /*  58125 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58128 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58132 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(58174), // Rule ID 17916 //
     /*  58137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58148 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58159 */     // (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  58159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  58162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58164 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58172 */     GIR_RootConstrainSelectedInstOperands,
     /*  58173 */     // GIR_Coverage, 17916,
     /*  58173 */     GIR_EraseRootFromParent_Done,
     /*  58174 */   // Label 1411: @58174
     /*  58174 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(58212), // Rule ID 17920 //
     /*  58179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58197 */     // (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  58197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  58200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58202 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58210 */     GIR_RootConstrainSelectedInstOperands,
     /*  58211 */     // GIR_Coverage, 17920,
     /*  58211 */     GIR_EraseRootFromParent_Done,
     /*  58212 */   // Label 1412: @58212
     /*  58212 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(58254), // Rule ID 17934 //
     /*  58217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58228 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58239 */     // (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /*  58239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  58242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58244 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58252 */     GIR_RootConstrainSelectedInstOperands,
     /*  58253 */     // GIR_Coverage, 17934,
     /*  58253 */     GIR_EraseRootFromParent_Done,
     /*  58254 */   // Label 1413: @58254
     /*  58254 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(58292), // Rule ID 17935 //
     /*  58259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58277 */     // (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /*  58277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  58280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58282 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58286 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58290 */     GIR_RootConstrainSelectedInstOperands,
     /*  58291 */     // GIR_Coverage, 17935,
     /*  58291 */     GIR_EraseRootFromParent_Done,
     /*  58292 */   // Label 1414: @58292
     /*  58292 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(58334), // Rule ID 19828 //
     /*  58297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58308 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58319 */     // (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  58319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rm),
     /*  58322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58324 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58332 */     GIR_RootConstrainSelectedInstOperands,
     /*  58333 */     // GIR_Coverage, 19828,
     /*  58333 */     GIR_EraseRootFromParent_Done,
     /*  58334 */   // Label 1415: @58334
     /*  58334 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(58376), // Rule ID 19829 //
     /*  58339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58350 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58361 */     // (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZ256rm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /*  58361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256rm),
     /*  58364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58366 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58374 */     GIR_RootConstrainSelectedInstOperands,
     /*  58375 */     // GIR_Coverage, 19829,
     /*  58375 */     GIR_EraseRootFromParent_Done,
     /*  58376 */   // Label 1416: @58376
     /*  58376 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(58414), // Rule ID 19832 //
     /*  58381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58399 */     // (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /*  58399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256rm),
     /*  58402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58412 */     GIR_RootConstrainSelectedInstOperands,
     /*  58413 */     // GIR_Coverage, 19832,
     /*  58413 */     GIR_EraseRootFromParent_Done,
     /*  58414 */   // Label 1417: @58414
     /*  58414 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(58452), // Rule ID 19833 //
     /*  58419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58437 */     // (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZ256rm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /*  58437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ256rm),
     /*  58440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58442 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58450 */     GIR_RootConstrainSelectedInstOperands,
     /*  58451 */     // GIR_Coverage, 19833,
     /*  58451 */     GIR_EraseRootFromParent_Done,
     /*  58452 */   // Label 1418: @58452
     /*  58452 */   GIM_Reject,
     /*  58453 */ // Label 1410: @58453
     /*  58453 */ GIM_Reject,
     /*  58454 */ // Label 1285: @58454
     /*  58454 */ GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(58627),
     /*  58459 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58462 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58466 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(58508), // Rule ID 4461 //
     /*  58471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58493 */     // (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZrm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /*  58493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrm),
     /*  58496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58498 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58506 */     GIR_RootConstrainSelectedInstOperands,
     /*  58507 */     // GIR_Coverage, 4461,
     /*  58507 */     GIR_EraseRootFromParent_Done,
     /*  58508 */   // Label 1420: @58508
     /*  58508 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(58546), // Rule ID 4496 //
     /*  58513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58531 */     // (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZrm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /*  58531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZrm),
     /*  58534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58536 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58544 */     GIR_RootConstrainSelectedInstOperands,
     /*  58545 */     // GIR_Coverage, 4496,
     /*  58545 */     GIR_EraseRootFromParent_Done,
     /*  58546 */   // Label 1421: @58546
     /*  58546 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(58588), // Rule ID 19795 //
     /*  58551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58562 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58573 */     // (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Zrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /*  58573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrm),
     /*  58576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58578 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58586 */     GIR_RootConstrainSelectedInstOperands,
     /*  58587 */     // GIR_Coverage, 19795,
     /*  58587 */     GIR_EraseRootFromParent_Done,
     /*  58588 */   // Label 1422: @58588
     /*  58588 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(58626), // Rule ID 19799 //
     /*  58593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58611 */     // (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Zrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /*  58611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zrm),
     /*  58614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58616 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58624 */     GIR_RootConstrainSelectedInstOperands,
     /*  58625 */     // GIR_Coverage, 19799,
     /*  58625 */     GIR_EraseRootFromParent_Done,
     /*  58626 */   // Label 1423: @58626
     /*  58626 */   GIM_Reject,
     /*  58627 */ // Label 1419: @58627
     /*  58627 */ GIM_Reject,
     /*  58628 */ // Label 1286: @58628
     /*  58628 */ GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(58709),
     /*  58633 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58636 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  58644 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58648 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(58678), // Rule ID 4402 //
     /*  58653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_NoEGPR),
     /*  58656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58663 */     // (ld:{ *:[v32i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVDkm:{ *:[v32i1] } addr:{ *:[iPTR] }:$src)
     /*  58663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDkm),
     /*  58666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58668 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58676 */     GIR_RootConstrainSelectedInstOperands,
     /*  58677 */     // GIR_Coverage, 4402,
     /*  58677 */     GIR_EraseRootFromParent_Done,
     /*  58678 */   // Label 1425: @58678
     /*  58678 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(58708), // Rule ID 4406 //
     /*  58683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEGPR_In64BitMode),
     /*  58686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58693 */     // (ld:{ *:[v32i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVDkm_EVEX:{ *:[v32i1] } addr:{ *:[iPTR] }:$src)
     /*  58693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDkm_EVEX),
     /*  58696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58698 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58706 */     GIR_RootConstrainSelectedInstOperands,
     /*  58707 */     // GIR_Coverage, 4406,
     /*  58707 */     GIR_EraseRootFromParent_Done,
     /*  58708 */   // Label 1426: @58708
     /*  58708 */   GIM_Reject,
     /*  58709 */ // Label 1424: @58709
     /*  58709 */ GIM_Reject,
     /*  58710 */ // Label 1287: @58710
     /*  58710 */ GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(58883),
     /*  58715 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58718 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58722 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(58764), // Rule ID 17917 //
     /*  58727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58738 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58749 */     // (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSYrm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /*  58749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYrm),
     /*  58752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58754 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58762 */     GIR_RootConstrainSelectedInstOperands,
     /*  58763 */     // GIR_Coverage, 17917,
     /*  58763 */     GIR_EraseRootFromParent_Done,
     /*  58764 */   // Label 1428: @58764
     /*  58764 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(58802), // Rule ID 17921 //
     /*  58769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  58772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  58776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58787 */     // (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSYrm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /*  58787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYrm),
     /*  58790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58792 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58800 */     GIR_RootConstrainSelectedInstOperands,
     /*  58801 */     // GIR_Coverage, 17921,
     /*  58801 */     GIR_EraseRootFromParent_Done,
     /*  58802 */   // Label 1429: @58802
     /*  58802 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(58844), // Rule ID 19830 //
     /*  58807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58818 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58829 */     // (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Z256rm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /*  58829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rm),
     /*  58832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58834 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58842 */     GIR_RootConstrainSelectedInstOperands,
     /*  58843 */     // GIR_Coverage, 19830,
     /*  58843 */     GIR_EraseRootFromParent_Done,
     /*  58844 */   // Label 1430: @58844
     /*  58844 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(58882), // Rule ID 19834 //
     /*  58849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  58852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  58856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58867 */     // (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Z256rm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /*  58867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256rm),
     /*  58870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58872 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58880 */     GIR_RootConstrainSelectedInstOperands,
     /*  58881 */     // GIR_Coverage, 19834,
     /*  58881 */     GIR_EraseRootFromParent_Done,
     /*  58882 */   // Label 1431: @58882
     /*  58882 */   GIM_Reject,
     /*  58883 */ // Label 1427: @58883
     /*  58883 */ GIM_Reject,
     /*  58884 */ // Label 1288: @58884
     /*  58884 */ GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(59057),
     /*  58889 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  58892 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  58896 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(58938), // Rule ID 19796 //
     /*  58901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58912 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58923 */     // (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Zrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /*  58923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrm),
     /*  58926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58928 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58936 */     GIR_RootConstrainSelectedInstOperands,
     /*  58937 */     // GIR_Coverage, 19796,
     /*  58937 */     GIR_EraseRootFromParent_Done,
     /*  58938 */   // Label 1433: @58938
     /*  58938 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(58980), // Rule ID 19797 //
     /*  58943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58954 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  58958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  58965 */     // (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVAPSZrm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /*  58965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrm),
     /*  58968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  58970 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  58974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  58978 */     GIR_RootConstrainSelectedInstOperands,
     /*  58979 */     // GIR_Coverage, 19797,
     /*  58979 */     GIR_EraseRootFromParent_Done,
     /*  58980 */   // Label 1434: @58980
     /*  58980 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(59018), // Rule ID 19800 //
     /*  58985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  58988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  58992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  58996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59003 */     // (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Zrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /*  59003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zrm),
     /*  59006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59008 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59016 */     GIR_RootConstrainSelectedInstOperands,
     /*  59017 */     // GIR_Coverage, 19800,
     /*  59017 */     GIR_EraseRootFromParent_Done,
     /*  59018 */   // Label 1435: @59018
     /*  59018 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(59056), // Rule ID 19801 //
     /*  59023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  59026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  59030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59041 */     // (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVUPSZrm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /*  59041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZrm),
     /*  59044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59046 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59054 */     GIR_RootConstrainSelectedInstOperands,
     /*  59055 */     // GIR_Coverage, 19801,
     /*  59055 */     GIR_EraseRootFromParent_Done,
     /*  59056 */   // Label 1436: @59056
     /*  59056 */   GIM_Reject,
     /*  59057 */ // Label 1432: @59057
     /*  59057 */ GIM_Reject,
     /*  59058 */ // Label 1289: @59058
     /*  59058 */ GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(59139),
     /*  59063 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59066 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  59070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  59074 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59078 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(59108), // Rule ID 4404 //
     /*  59083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_NoEGPR),
     /*  59086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59093 */     // (ld:{ *:[v64i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVQkm:{ *:[v64i1] } addr:{ *:[iPTR] }:$src)
     /*  59093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQkm),
     /*  59096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59098 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59106 */     GIR_RootConstrainSelectedInstOperands,
     /*  59107 */     // GIR_Coverage, 4404,
     /*  59107 */     GIR_EraseRootFromParent_Done,
     /*  59108 */   // Label 1438: @59108
     /*  59108 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(59138), // Rule ID 4408 //
     /*  59113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEGPR_In64BitMode),
     /*  59116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59123 */     // (ld:{ *:[v64i1] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (KMOVQkm_EVEX:{ *:[v64i1] } addr:{ *:[iPTR] }:$src)
     /*  59123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQkm_EVEX),
     /*  59126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59128 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59136 */     GIR_RootConstrainSelectedInstOperands,
     /*  59137 */     // GIR_Coverage, 4408,
     /*  59137 */     GIR_EraseRootFromParent_Done,
     /*  59138 */   // Label 1439: @59138
     /*  59138 */   GIM_Reject,
     /*  59139 */ // Label 1437: @59139
     /*  59139 */ GIM_Reject,
     /*  59140 */ // Label 1290: @59140
     /*  59140 */ GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(59233),
     /*  59145 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59148 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  59152 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(59194), // Rule ID 19798 //
     /*  59157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  59160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  59164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59168 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /*  59172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59179 */     // (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>  =>  (VMOVDQA64Zrm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)
     /*  59179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrm),
     /*  59182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59184 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59192 */     GIR_RootConstrainSelectedInstOperands,
     /*  59193 */     // GIR_Coverage, 19798,
     /*  59193 */     GIR_EraseRootFromParent_Done,
     /*  59194 */   // Label 1441: @59194
     /*  59194 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(59232), // Rule ID 19802 //
     /*  59199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  59202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  59206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59217 */     // (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (VMOVDQU64Zrm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)
     /*  59217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zrm),
     /*  59220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59222 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59230 */     GIR_RootConstrainSelectedInstOperands,
     /*  59231 */     // GIR_Coverage, 19802,
     /*  59231 */     GIR_EraseRootFromParent_Done,
     /*  59232 */   // Label 1442: @59232
     /*  59232 */   GIM_Reject,
     /*  59233 */ // Label 1440: @59233
     /*  59233 */ GIM_Reject,
     /*  59234 */ // Label 1291: @59234
     /*  59234 */ GIM_Reject,
     /*  59235 */ // Label 11: @59235
     /*  59235 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1446*/ GIMT_Encode4(59567),
     /*  59246 */ /*GILLT_s16*//*Label 1443*/ GIMT_Encode4(59258),
     /*  59250 */ /*GILLT_s32*//*Label 1444*/ GIMT_Encode4(59334),
     /*  59254 */ /*GILLT_s64*//*Label 1445*/ GIMT_Encode4(59428),
     /*  59258 */ // Label 1443: @59258
     /*  59258 */ GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(59333), // Rule ID 22645 //
     /*  59263 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59266 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  59277 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59281 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59288 */   // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVSX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  59288 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  59291 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVSX32rm8),
     /*  59295 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59300 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  59304 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59315 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  59322 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  59327 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  59332 */   // GIR_Coverage, 22645,
     /*  59332 */   GIR_EraseRootFromParent_Done,
     /*  59333 */ // Label 1447: @59333
     /*  59333 */ GIM_Reject,
     /*  59334 */ // Label 1444: @59334
     /*  59334 */ GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(59427),
     /*  59339 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59342 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(59384), // Rule ID 615 //
     /*  59347 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59369 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (MOVSX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX32rm8),
     /*  59372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59374 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59382 */     GIR_RootConstrainSelectedInstOperands,
     /*  59383 */     // GIR_Coverage, 615,
     /*  59383 */     GIR_EraseRootFromParent_Done,
     /*  59384 */   // Label 1449: @59384
     /*  59384 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(59426), // Rule ID 617 //
     /*  59389 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  59396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59411 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (MOVSX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX32rm16),
     /*  59414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59416 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59424 */     GIR_RootConstrainSelectedInstOperands,
     /*  59425 */     // GIR_Coverage, 617,
     /*  59425 */     GIR_EraseRootFromParent_Done,
     /*  59426 */   // Label 1450: @59426
     /*  59426 */   GIM_Reject,
     /*  59427 */ // Label 1448: @59427
     /*  59427 */ GIM_Reject,
     /*  59428 */ // Label 1445: @59428
     /*  59428 */ GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(59566),
     /*  59433 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59436 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(59478), // Rule ID 623 //
     /*  59441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  59452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59463 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (MOVSX64rm8:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  59463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX64rm8),
     /*  59466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59468 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59476 */     GIR_RootConstrainSelectedInstOperands,
     /*  59477 */     // GIR_Coverage, 623,
     /*  59477 */     GIR_EraseRootFromParent_Done,
     /*  59478 */   // Label 1452: @59478
     /*  59478 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(59520), // Rule ID 625 //
     /*  59483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  59490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  59494 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59505 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (MOVSX64rm16:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  59505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX64rm16),
     /*  59508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59510 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59518 */     GIR_RootConstrainSelectedInstOperands,
     /*  59519 */     // GIR_Coverage, 625,
     /*  59519 */     GIR_EraseRootFromParent_Done,
     /*  59520 */   // Label 1453: @59520
     /*  59520 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(59565), // Rule ID 627 //
     /*  59525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  59528 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  59535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  59539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59550 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (MOVSX64rm32:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /*  59550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX64rm32),
     /*  59553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59563 */     GIR_RootConstrainSelectedInstOperands,
     /*  59564 */     // GIR_Coverage, 627,
     /*  59564 */     GIR_EraseRootFromParent_Done,
     /*  59565 */   // Label 1454: @59565
     /*  59565 */   GIM_Reject,
     /*  59566 */ // Label 1451: @59566
     /*  59566 */ GIM_Reject,
     /*  59567 */ // Label 1446: @59567
     /*  59567 */ GIM_Reject,
     /*  59568 */ // Label 12: @59568
     /*  59568 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 1459*/ GIMT_Encode4(60222),
     /*  59579 */ /*GILLT_s8*//*Label 1455*/ GIMT_Encode4(59595),
     /*  59583 */ /*GILLT_s16*//*Label 1456*/ GIMT_Encode4(59641),
     /*  59587 */ /*GILLT_s32*//*Label 1457*/ GIMT_Encode4(59780),
     /*  59591 */ /*GILLT_s64*//*Label 1458*/ GIMT_Encode4(59916),
     /*  59595 */ // Label 1455: @59595
     /*  59595 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(59640), // Rule ID 22573 //
     /*  59600 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59603 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  59614 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59618 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59625 */   // (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (MOV8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /*  59625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8rm),
     /*  59628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59630 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59634 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59638 */   GIR_RootConstrainSelectedInstOperands,
     /*  59639 */   // GIR_Coverage, 22573,
     /*  59639 */   GIR_EraseRootFromParent_Done,
     /*  59640 */ // Label 1460: @59640
     /*  59640 */ GIM_Reject,
     /*  59641 */ // Label 1456: @59641
     /*  59641 */ GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(59779),
     /*  59646 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59649 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  59660 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59664 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(59721), // Rule ID 22574 //
     /*  59669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59676 */     // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  59676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  59679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59688 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  59692 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59703 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  59710 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  59715 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  59720 */     // GIR_Coverage, 22574,
     /*  59720 */     GIR_EraseRootFromParent_Done,
     /*  59721 */   // Label 1462: @59721
     /*  59721 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(59778), // Rule ID 22647 //
     /*  59726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59733 */     // (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_16bit:{ *:[i32] })
     /*  59733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  59736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59745 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  59749 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  59758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59760 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  59767 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  59772 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  59777 */     // GIR_Coverage, 22647,
     /*  59777 */     GIR_EraseRootFromParent_Done,
     /*  59778 */   // Label 1463: @59778
     /*  59778 */   GIM_Reject,
     /*  59779 */ // Label 1461: @59779
     /*  59779 */ GIM_Reject,
     /*  59780 */ // Label 1457: @59780
     /*  59780 */ GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(59915),
     /*  59785 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59788 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(59830), // Rule ID 619 //
     /*  59793 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59815 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59820 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59828 */     GIR_RootConstrainSelectedInstOperands,
     /*  59829 */     // GIR_Coverage, 619,
     /*  59829 */     GIR_EraseRootFromParent_Done,
     /*  59830 */   // Label 1465: @59830
     /*  59830 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(59872), // Rule ID 621 //
     /*  59835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  59842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59857 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (MOVZX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm16),
     /*  59860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59862 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59870 */     GIR_RootConstrainSelectedInstOperands,
     /*  59871 */     // GIR_Coverage, 621,
     /*  59871 */     GIR_EraseRootFromParent_Done,
     /*  59872 */   // Label 1466: @59872
     /*  59872 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(59914), // Rule ID 22575 //
     /*  59877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  59888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59899 */     // (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /*  59899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59904 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  59908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59912 */     GIR_RootConstrainSelectedInstOperands,
     /*  59913 */     // GIR_Coverage, 22575,
     /*  59913 */     GIR_EraseRootFromParent_Done,
     /*  59914 */   // Label 1467: @59914
     /*  59914 */   GIM_Reject,
     /*  59915 */ // Label 1464: @59915
     /*  59915 */ GIM_Reject,
     /*  59916 */ // Label 1458: @59916
     /*  59916 */ GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(60221),
     /*  59921 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  59924 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(59998), // Rule ID 17590 //
     /*  59929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  59936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  59940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  59944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  59951 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  59951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  59954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  59958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59963 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  59967 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  59971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  59976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  59978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  59981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  59984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  59987 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  59992 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  59997 */     // GIR_Coverage, 17590,
     /*  59997 */     GIR_EraseRootFromParent_Done,
     /*  59998 */   // Label 1469: @59998
     /*  59998 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(60072), // Rule ID 17592 //
     /*  60003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  60010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  60014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  60018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60025 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm16:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  60025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm16),
     /*  60032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60037 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  60041 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  60045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  60050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  60061 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  60066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  60071 */     // GIR_Coverage, 17592,
     /*  60071 */     GIR_EraseRootFromParent_Done,
     /*  60072 */   // Label 1470: @60072
     /*  60072 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(60146), // Rule ID 17594 //
     /*  60077 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  60084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  60088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  60092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60099 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  60099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32rm),
     /*  60106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60111 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  60115 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  60119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  60124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  60135 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  60140 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  60145 */     // GIR_Coverage, 17594,
     /*  60145 */     GIR_EraseRootFromParent_Done,
     /*  60146 */   // Label 1471: @60146
     /*  60146 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(60220), // Rule ID 22576 //
     /*  60151 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  60162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  60166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60173 */     // (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rm8:{ *:[i32] } addr:{ *:[iPTR] }:$src), sub_32bit:{ *:[i32] })
     /*  60173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  60176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rm8),
     /*  60180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60185 */     GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /*  60189 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  60193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  60198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  60200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  60203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  60209 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /*  60214 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /*  60219 */     // GIR_Coverage, 22576,
     /*  60219 */     GIR_EraseRootFromParent_Done,
     /*  60220 */   // Label 1472: @60220
     /*  60220 */   GIM_Reject,
     /*  60221 */ // Label 1468: @60221
     /*  60221 */ GIM_Reject,
     /*  60222 */ // Label 1459: @60222
     /*  60222 */ GIM_Reject,
     /*  60223 */ // Label 13: @60223
     /*  60223 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(25), /*)*//*default:*//*Label 1495*/ GIMT_Encode4(85397),
     /*  60234 */ /*GILLT_s8*//*Label 1473*/ GIMT_Encode4(60330),
     /*  60238 */ /*GILLT_s16*//*Label 1474*/ GIMT_Encode4(64928),
     /*  60242 */ /*GILLT_s32*//*Label 1475*/ GIMT_Encode4(70100),
     /*  60246 */ /*GILLT_s64*//*Label 1476*/ GIMT_Encode4(75728),
     /*  60250 */ /*GILLT_s80*//*Label 1477*/ GIMT_Encode4(81048),
     /*  60254 */ /*GILLT_s128*//*Label 1478*/ GIMT_Encode4(81207), GIMT_Encode4(0),
     /*  60262 */ /*GILLT_v2s64*//*Label 1479*/ GIMT_Encode4(81461), GIMT_Encode4(0),
     /*  60270 */ /*GILLT_v4s32*//*Label 1480*/ GIMT_Encode4(81955),
     /*  60274 */ /*GILLT_v4s64*//*Label 1481*/ GIMT_Encode4(82449),
     /*  60278 */ /*GILLT_v8s1*//*Label 1482*/ GIMT_Encode4(82783),
     /*  60282 */ /*GILLT_v8s16*//*Label 1483*/ GIMT_Encode4(82865),
     /*  60286 */ /*GILLT_v8s32*//*Label 1484*/ GIMT_Encode4(83439),
     /*  60290 */ /*GILLT_v8s64*//*Label 1485*/ GIMT_Encode4(83773),
     /*  60294 */ /*GILLT_v16s1*//*Label 1486*/ GIMT_Encode4(83947),
     /*  60298 */ /*GILLT_v16s8*//*Label 1487*/ GIMT_Encode4(84029),
     /*  60302 */ /*GILLT_v16s16*//*Label 1488*/ GIMT_Encode4(84283),
     /*  60306 */ /*GILLT_v16s32*//*Label 1489*/ GIMT_Encode4(84617),
     /*  60310 */ /*GILLT_v32s1*//*Label 1490*/ GIMT_Encode4(84791),
     /*  60314 */ /*GILLT_v32s8*//*Label 1491*/ GIMT_Encode4(84873),
     /*  60318 */ /*GILLT_v32s16*//*Label 1492*/ GIMT_Encode4(85047),
     /*  60322 */ /*GILLT_v64s1*//*Label 1493*/ GIMT_Encode4(85221),
     /*  60326 */ /*GILLT_v64s8*//*Label 1494*/ GIMT_Encode4(85303),
     /*  60330 */ // Label 1473: @60330
     /*  60330 */ GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(60422), // Rule ID 22490 //
     /*  60335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  60338 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60341 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60348 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60352 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  60356 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60360 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60364 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60368 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60372 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60375 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60382 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60386 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  60390 */   // MIs[0] dst
     /*  60390 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60395 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60397 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60404 */   // (atomic_store (add:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, 1:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (INC8m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  60404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC8m),
     /*  60407 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60411 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60414 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60420 */   GIR_RootConstrainSelectedInstOperands,
     /*  60421 */   // GIR_Coverage, 22490,
     /*  60421 */   GIR_EraseRootFromParent_Done,
     /*  60422 */ // Label 1496: @60422
     /*  60422 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(60514), // Rule ID 22494 //
     /*  60427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  60430 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60433 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60440 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60444 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  60448 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60452 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60456 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60460 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60464 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60467 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60474 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60478 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60482 */   // MIs[0] dst
     /*  60482 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60487 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60489 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60496 */   // (atomic_store (add:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, -1:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (DEC8m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  60496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC8m),
     /*  60499 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60503 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60506 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60512 */   GIR_RootConstrainSelectedInstOperands,
     /*  60513 */   // GIR_Coverage, 22494,
     /*  60513 */   GIR_EraseRootFromParent_Done,
     /*  60514 */ // Label 1497: @60514
     /*  60514 */ GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(60603), // Rule ID 22498 //
     /*  60519 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60522 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60529 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60533 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  60537 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60541 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60545 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  60549 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60553 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60557 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60560 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60567 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60571 */   // MIs[0] dst
     /*  60571 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60576 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60578 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60585 */   // (atomic_store (sub:{ *:[i8] } 0:{ *:[i8] }, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (NEG8m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  60585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8m),
     /*  60588 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60592 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60595 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60601 */   GIR_RootConstrainSelectedInstOperands,
     /*  60602 */   // GIR_Coverage, 22498,
     /*  60602 */   GIR_EraseRootFromParent_Done,
     /*  60603 */ // Label 1498: @60603
     /*  60603 */ GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(60689), // Rule ID 22502 //
     /*  60608 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60611 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60618 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60622 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60626 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60630 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60634 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60638 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60642 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  60645 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  60652 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60656 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60660 */   // MIs[0] dst
     /*  60660 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60665 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60667 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60674 */   // (atomic_store (xor:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, -1:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (NOT8m addr:{ *:[iPTR] }:$dst)
     /*  60674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8m),
     /*  60677 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60681 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60687 */   GIR_RootConstrainSelectedInstOperands,
     /*  60688 */   // GIR_Coverage, 22502,
     /*  60688 */   GIR_EraseRootFromParent_Done,
     /*  60689 */ // Label 1499: @60689
     /*  60689 */ GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(60775), // Rule ID 225 //
     /*  60694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  60697 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60700 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  60704 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60708 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  60712 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60716 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60720 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60724 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60728 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60731 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60735 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  60739 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  60743 */   // MIs[0] src1
     /*  60743 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60748 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60750 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60757 */   // (st (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 1:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (INC8m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  60757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC8m),
     /*  60760 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  60764 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60767 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60773 */   GIR_RootConstrainSelectedInstOperands,
     /*  60774 */   // GIR_Coverage, 225,
     /*  60774 */   GIR_EraseRootFromParent_Done,
     /*  60775 */ // Label 1500: @60775
     /*  60775 */ GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(60861), // Rule ID 228 //
     /*  60780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  60783 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60786 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  60790 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60794 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  60798 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60802 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60806 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60810 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60814 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60817 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60821 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  60825 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60829 */   // MIs[0] src1
     /*  60829 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60834 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60836 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60843 */   // (st (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, -1:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (DEC8m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  60843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC8m),
     /*  60846 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  60850 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60853 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60859 */   GIR_RootConstrainSelectedInstOperands,
     /*  60860 */   // GIR_Coverage, 228,
     /*  60860 */   GIR_EraseRootFromParent_Done,
     /*  60861 */ // Label 1501: @60861
     /*  60861 */ GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(60944), // Rule ID 17611 //
     /*  60866 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60869 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  60873 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60877 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  60881 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60885 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60889 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60893 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60897 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60900 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60904 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  60908 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 7,
     /*  60912 */   // MIs[0] dst
     /*  60912 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60917 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60919 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  60926 */   // (st (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 7:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR8m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  60926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8m1),
     /*  60929 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  60933 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  60936 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  60942 */   GIR_RootConstrainSelectedInstOperands,
     /*  60943 */   // GIR_Coverage, 17611,
     /*  60943 */   GIR_EraseRootFromParent_Done,
     /*  60944 */ // Label 1502: @60944
     /*  60944 */ GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(61027), // Rule ID 17615 //
     /*  60949 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60952 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  60956 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  60960 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  60964 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  60968 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  60972 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60976 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  60980 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  60983 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  60987 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  60991 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 7,
     /*  60995 */   // MIs[0] dst
     /*  60995 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61000 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61002 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61009 */   // (st (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 7:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL8m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  61009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8m1),
     /*  61012 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  61016 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61019 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  61025 */   GIR_RootConstrainSelectedInstOperands,
     /*  61026 */   // GIR_Coverage, 17615,
     /*  61026 */   GIR_EraseRootFromParent_Done,
     /*  61027 */ // Label 1503: @61027
     /*  61027 */ GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(61110), // Rule ID 261 //
     /*  61032 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61035 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61039 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61043 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  61047 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61051 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61055 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  61059 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61063 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61067 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61070 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61074 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  61078 */   // MIs[0] src1
     /*  61078 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61083 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61085 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61092 */   // (st (sub:{ *:[i8] } 0:{ *:[i8] }, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NEG8m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  61092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG8m),
     /*  61095 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61099 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61102 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  61108 */   GIR_RootConstrainSelectedInstOperands,
     /*  61109 */   // GIR_Coverage, 261,
     /*  61109 */   GIR_EraseRootFromParent_Done,
     /*  61110 */ // Label 1504: @61110
     /*  61110 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(61190), // Rule ID 269 //
     /*  61115 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61118 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61122 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61126 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61130 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61134 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61138 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61142 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61146 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61149 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61153 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  61157 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61161 */   // MIs[0] src1
     /*  61161 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61166 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61168 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61175 */   // (st (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, -1:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NOT8m addr:{ *:[iPTR] }:$src1)
     /*  61175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT8m),
     /*  61178 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61182 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  61188 */   GIR_RootConstrainSelectedInstOperands,
     /*  61189 */   // GIR_Coverage, 269,
     /*  61189 */   GIR_EraseRootFromParent_Done,
     /*  61190 */ // Label 1505: @61190
     /*  61190 */ GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(61285), // Rule ID 413 //
     /*  61195 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61198 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61202 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61206 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  61210 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61214 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61218 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61222 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61226 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61229 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61233 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61237 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61241 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61245 */   // MIs[3] Operand 1
     /*  61245 */   // No operand predicates
     /*  61245 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61249 */   // MIs[0] src1
     /*  61249 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61254 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61256 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61263 */   // (st (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mi),
     /*  61266 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61270 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61273 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61276 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61283 */   GIR_RootConstrainSelectedInstOperands,
     /*  61284 */   // GIR_Coverage, 413,
     /*  61284 */   GIR_EraseRootFromParent_Done,
     /*  61285 */ // Label 1506: @61285
     /*  61285 */ GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(61380), // Rule ID 305 //
     /*  61290 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61293 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61297 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61301 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61305 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61309 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61313 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61317 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61321 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61324 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61328 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61332 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61336 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61340 */   // MIs[3] Operand 1
     /*  61340 */   // No operand predicates
     /*  61340 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61344 */   // MIs[0] src1
     /*  61344 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61349 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61351 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61358 */   // (st (and:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mi),
     /*  61361 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61365 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61368 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61371 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61378 */   GIR_RootConstrainSelectedInstOperands,
     /*  61379 */   // GIR_Coverage, 305,
     /*  61379 */   GIR_EraseRootFromParent_Done,
     /*  61380 */ // Label 1507: @61380
     /*  61380 */ GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(61475), // Rule ID 341 //
     /*  61385 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61388 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61392 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61396 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  61400 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61404 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61408 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61412 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61416 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61419 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61423 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61427 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61431 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61435 */   // MIs[3] Operand 1
     /*  61435 */   // No operand predicates
     /*  61435 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61439 */   // MIs[0] src1
     /*  61439 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61444 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61446 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61453 */   // (st (or:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mi),
     /*  61456 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61460 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61463 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61466 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61473 */   GIR_RootConstrainSelectedInstOperands,
     /*  61474 */   // GIR_Coverage, 341,
     /*  61474 */   GIR_EraseRootFromParent_Done,
     /*  61475 */ // Label 1508: @61475
     /*  61475 */ GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(61570), // Rule ID 453 //
     /*  61480 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61483 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61487 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61491 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  61495 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61499 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61503 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61507 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61511 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61514 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61518 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61522 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61526 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61530 */   // MIs[3] Operand 1
     /*  61530 */   // No operand predicates
     /*  61530 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61534 */   // MIs[0] src1
     /*  61534 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61539 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61541 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61548 */   // (st (sub:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8mi),
     /*  61551 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61555 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61558 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61561 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61568 */   GIR_RootConstrainSelectedInstOperands,
     /*  61569 */   // GIR_Coverage, 453,
     /*  61569 */   GIR_EraseRootFromParent_Done,
     /*  61570 */ // Label 1509: @61570
     /*  61570 */ GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(61665), // Rule ID 377 //
     /*  61575 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61578 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  61582 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61586 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61590 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61594 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61598 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61602 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61606 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  61609 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  61613 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61617 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61621 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61625 */   // MIs[3] Operand 1
     /*  61625 */   // No operand predicates
     /*  61625 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  61629 */   // MIs[0] src1
     /*  61629 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61634 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61636 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61643 */   // (st (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  61643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mi),
     /*  61646 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  61650 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  61653 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61656 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61663 */   GIR_RootConstrainSelectedInstOperands,
     /*  61664 */   // GIR_Coverage, 377,
     /*  61664 */   GIR_EraseRootFromParent_Done,
     /*  61665 */ // Label 1510: @61665
     /*  61665 */ GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(61762), // Rule ID 22426 //
     /*  61670 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61673 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61680 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61684 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  61688 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61692 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61696 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61700 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61704 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61707 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61714 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61718 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61722 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61726 */   // MIs[3] Operand 1
     /*  61726 */   // No operand predicates
     /*  61726 */   // MIs[0] dst
     /*  61726 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61731 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61733 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61740 */   // (atomic_store (add:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (ADD8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  61740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mi),
     /*  61743 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  61747 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  61750 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61753 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61760 */   GIR_RootConstrainSelectedInstOperands,
     /*  61761 */   // GIR_Coverage, 22426,
     /*  61761 */   GIR_EraseRootFromParent_Done,
     /*  61762 */ // Label 1511: @61762
     /*  61762 */ GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(61859), // Rule ID 22434 //
     /*  61767 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61770 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61777 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61781 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61785 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61789 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61793 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61797 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61801 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61804 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61811 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61815 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61819 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61823 */   // MIs[3] Operand 1
     /*  61823 */   // No operand predicates
     /*  61823 */   // MIs[0] dst
     /*  61823 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61828 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61830 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61837 */   // (atomic_store (and:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (AND8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  61837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mi),
     /*  61840 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  61844 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  61847 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61850 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61857 */   GIR_RootConstrainSelectedInstOperands,
     /*  61858 */   // GIR_Coverage, 22434,
     /*  61858 */   GIR_EraseRootFromParent_Done,
     /*  61859 */ // Label 1512: @61859
     /*  61859 */ GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(61956), // Rule ID 22442 //
     /*  61864 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61867 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61874 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61878 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  61882 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61886 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61890 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61894 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61898 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61901 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61908 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  61912 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  61916 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61920 */   // MIs[3] Operand 1
     /*  61920 */   // No operand predicates
     /*  61920 */   // MIs[0] dst
     /*  61920 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61925 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  61927 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  61934 */   // (atomic_store (or:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (OR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  61934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mi),
     /*  61937 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  61941 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  61944 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  61947 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  61954 */   GIR_RootConstrainSelectedInstOperands,
     /*  61955 */   // GIR_Coverage, 22442,
     /*  61955 */   GIR_EraseRootFromParent_Done,
     /*  61956 */ // Label 1513: @61956
     /*  61956 */ GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(62053), // Rule ID 22458 //
     /*  61961 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61964 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  61971 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  61975 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  61979 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  61983 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  61987 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61991 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  61995 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  61998 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62005 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62009 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62013 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62017 */   // MIs[3] Operand 1
     /*  62017 */   // No operand predicates
     /*  62017 */   // MIs[0] dst
     /*  62017 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62022 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62024 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62031 */   // (atomic_store (sub:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (SUB8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  62031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8mi),
     /*  62034 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62038 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  62041 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62044 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62051 */   GIR_RootConstrainSelectedInstOperands,
     /*  62052 */   // GIR_Coverage, 22458,
     /*  62052 */   GIR_EraseRootFromParent_Done,
     /*  62053 */ // Label 1514: @62053
     /*  62053 */ GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(62150), // Rule ID 22450 //
     /*  62058 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62061 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62068 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62072 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62076 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62080 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62084 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62088 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62092 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62095 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62102 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62106 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62110 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62114 */   // MIs[3] Operand 1
     /*  62114 */   // No operand predicates
     /*  62114 */   // MIs[0] dst
     /*  62114 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62119 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62121 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62128 */   // (atomic_store (xor:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, (imm:{ *:[i8] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (XOR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  62128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mi),
     /*  62131 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62135 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  62138 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62141 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62148 */   GIR_RootConstrainSelectedInstOperands,
     /*  62149 */   // GIR_Coverage, 22450,
     /*  62149 */   GIR_EraseRootFromParent_Done,
     /*  62150 */ // Label 1515: @62150
     /*  62150 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(62241), // Rule ID 732 //
     /*  62155 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62158 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62162 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62166 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  62170 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62174 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62178 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62182 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62186 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62189 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62193 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62197 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62201 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62205 */   // MIs[3] Operand 1
     /*  62205 */   // No operand predicates
     /*  62205 */   // MIs[0] src1
     /*  62205 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62210 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62212 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62219 */   // (st (sra:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8mi),
     /*  62222 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62226 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62229 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62232 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62239 */   GIR_RootConstrainSelectedInstOperands,
     /*  62240 */   // GIR_Coverage, 732,
     /*  62240 */   GIR_EraseRootFromParent_Done,
     /*  62241 */ // Label 1516: @62241
     /*  62241 */ GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(62332), // Rule ID 700 //
     /*  62246 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62249 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62253 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62257 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  62261 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62265 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62269 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62273 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62277 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62280 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62284 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62288 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62292 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62296 */   // MIs[3] Operand 1
     /*  62296 */   // No operand predicates
     /*  62296 */   // MIs[0] src1
     /*  62296 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62301 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62303 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62310 */   // (st (srl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8mi),
     /*  62313 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62317 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62320 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62323 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62330 */   GIR_RootConstrainSelectedInstOperands,
     /*  62331 */   // GIR_Coverage, 700,
     /*  62331 */   GIR_EraseRootFromParent_Done,
     /*  62332 */ // Label 1517: @62332
     /*  62332 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(62423), // Rule ID 764 //
     /*  62337 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62340 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62344 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62348 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  62352 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62356 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62360 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62364 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62368 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62371 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62375 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62379 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62383 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62387 */   // MIs[3] Operand 1
     /*  62387 */   // No operand predicates
     /*  62387 */   // MIs[0] src1
     /*  62387 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62392 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62394 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62401 */   // (st (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8mi),
     /*  62404 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62408 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62411 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62414 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62421 */   GIR_RootConstrainSelectedInstOperands,
     /*  62422 */   // GIR_Coverage, 764,
     /*  62422 */   GIR_EraseRootFromParent_Done,
     /*  62423 */ // Label 1518: @62423
     /*  62423 */ GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(62514), // Rule ID 796 //
     /*  62428 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62431 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62435 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62439 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  62443 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62447 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62451 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62455 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62459 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62462 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62466 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62470 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62474 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62478 */   // MIs[3] Operand 1
     /*  62478 */   // No operand predicates
     /*  62478 */   // MIs[0] src1
     /*  62478 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62483 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62485 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62492 */   // (st (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8mi),
     /*  62495 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62499 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62502 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62505 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62512 */   GIR_RootConstrainSelectedInstOperands,
     /*  62513 */   // GIR_Coverage, 796,
     /*  62513 */   GIR_EraseRootFromParent_Done,
     /*  62514 */ // Label 1519: @62514
     /*  62514 */ GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(62605), // Rule ID 668 //
     /*  62519 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62522 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  62526 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62530 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  62534 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62538 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62542 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62546 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62550 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  62553 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62557 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  62561 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  62565 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62569 */   // MIs[3] Operand 1
     /*  62569 */   // No operand predicates
     /*  62569 */   // MIs[0] src1
     /*  62569 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62574 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  62576 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62583 */   // (st (shl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL8mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  62583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8mi),
     /*  62586 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  62590 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  62593 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62596 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  62603 */   GIR_RootConstrainSelectedInstOperands,
     /*  62604 */   // GIR_Coverage, 668,
     /*  62604 */   GIR_EraseRootFromParent_Done,
     /*  62605 */ // Label 1520: @62605
     /*  62605 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(62699), // Rule ID 22430 //
     /*  62610 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62613 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62620 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62624 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  62628 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62632 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62636 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62640 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62644 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62647 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62654 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62658 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  62663 */   // MIs[0] dst
     /*  62663 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62668 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62670 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62677 */   // (atomic_store (add:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (ADD8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  62677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mr),
     /*  62680 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62684 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  62688 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62691 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  62697 */   GIR_RootConstrainSelectedInstOperands,
     /*  62698 */   // GIR_Coverage, 22430,
     /*  62698 */   GIR_EraseRootFromParent_Done,
     /*  62699 */ // Label 1521: @62699
     /*  62699 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(62793), // Rule ID 25999 //
     /*  62704 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62707 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62714 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62718 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  62722 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62726 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62730 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  62735 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62739 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62743 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62746 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62753 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62757 */   // MIs[0] dst
     /*  62757 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62762 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62764 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62771 */   // (atomic_store (add:{ *:[i8] } GR8:{ *:[i8] }:$src, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (ADD8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  62771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mr),
     /*  62774 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62778 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  62782 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62785 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  62791 */   GIR_RootConstrainSelectedInstOperands,
     /*  62792 */   // GIR_Coverage, 25999,
     /*  62792 */   GIR_EraseRootFromParent_Done,
     /*  62793 */ // Label 1522: @62793
     /*  62793 */ GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(62887), // Rule ID 22438 //
     /*  62798 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62801 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62808 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62812 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62816 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62820 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62824 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62828 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62832 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62835 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62842 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62846 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  62851 */   // MIs[0] dst
     /*  62851 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62856 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62858 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62865 */   // (atomic_store (and:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (AND8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  62865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mr),
     /*  62868 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62872 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  62876 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62879 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  62885 */   GIR_RootConstrainSelectedInstOperands,
     /*  62886 */   // GIR_Coverage, 22438,
     /*  62886 */   GIR_EraseRootFromParent_Done,
     /*  62887 */ // Label 1523: @62887
     /*  62887 */ GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(62981), // Rule ID 26003 //
     /*  62892 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62895 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62902 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  62906 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62910 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  62914 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  62918 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  62923 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62927 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  62931 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62934 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62941 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  62945 */   // MIs[0] dst
     /*  62945 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62950 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62952 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  62959 */   // (atomic_store (and:{ *:[i8] } GR8:{ *:[i8] }:$src, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (AND8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  62959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mr),
     /*  62962 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  62966 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  62970 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  62973 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  62979 */   GIR_RootConstrainSelectedInstOperands,
     /*  62980 */   // GIR_Coverage, 26003,
     /*  62980 */   GIR_EraseRootFromParent_Done,
     /*  62981 */ // Label 1524: @62981
     /*  62981 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(63075), // Rule ID 22446 //
     /*  62986 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  62989 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  62996 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63000 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  63004 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63008 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63012 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63016 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63020 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63023 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63030 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63034 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63039 */   // MIs[0] dst
     /*  63039 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63044 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63046 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63053 */   // (atomic_store (or:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (OR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mr),
     /*  63056 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63060 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  63064 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63067 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63073 */   GIR_RootConstrainSelectedInstOperands,
     /*  63074 */   // GIR_Coverage, 22446,
     /*  63074 */   GIR_EraseRootFromParent_Done,
     /*  63075 */ // Label 1525: @63075
     /*  63075 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(63169), // Rule ID 26007 //
     /*  63080 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63083 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63090 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63094 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  63098 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63102 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63106 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63111 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63115 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63119 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63122 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63129 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63133 */   // MIs[0] dst
     /*  63133 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63138 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63140 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63147 */   // (atomic_store (or:{ *:[i8] } GR8:{ *:[i8] }:$src, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (OR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mr),
     /*  63150 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63154 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  63158 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63161 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63167 */   GIR_RootConstrainSelectedInstOperands,
     /*  63168 */   // GIR_Coverage, 26007,
     /*  63168 */   GIR_EraseRootFromParent_Done,
     /*  63169 */ // Label 1526: @63169
     /*  63169 */ GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(63263), // Rule ID 22462 //
     /*  63174 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63177 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63184 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63188 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  63192 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63196 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63200 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63204 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63208 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63211 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63218 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63222 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63227 */   // MIs[0] dst
     /*  63227 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63232 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63234 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63241 */   // (atomic_store (sub:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (SUB8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8mr),
     /*  63244 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63248 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  63252 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63255 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63261 */   GIR_RootConstrainSelectedInstOperands,
     /*  63262 */   // GIR_Coverage, 22462,
     /*  63262 */   GIR_EraseRootFromParent_Done,
     /*  63263 */ // Label 1527: @63263
     /*  63263 */ GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(63357), // Rule ID 22454 //
     /*  63268 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63271 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63278 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63282 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63286 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63290 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63294 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63298 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63302 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63305 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63312 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63316 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63321 */   // MIs[0] dst
     /*  63321 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63326 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63328 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63335 */   // (atomic_store (xor:{ *:[i8] } (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>, GR8:{ *:[i8] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (XOR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mr),
     /*  63338 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63342 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  63346 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63349 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63355 */   GIR_RootConstrainSelectedInstOperands,
     /*  63356 */   // GIR_Coverage, 22454,
     /*  63356 */   GIR_EraseRootFromParent_Done,
     /*  63357 */ // Label 1528: @63357
     /*  63357 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(63451), // Rule ID 26011 //
     /*  63362 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63365 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63372 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63376 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63380 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63384 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63388 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63393 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63397 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63401 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  63404 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  63411 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63415 */   // MIs[0] dst
     /*  63415 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63420 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63422 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63429 */   // (atomic_store (xor:{ *:[i8] } GR8:{ *:[i8] }:$src, (atomic_load:{ *:[i8] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_8>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (XOR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  63429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mr),
     /*  63432 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  63436 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  63440 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63443 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63449 */   GIR_RootConstrainSelectedInstOperands,
     /*  63450 */   // GIR_Coverage, 26011,
     /*  63450 */   GIR_EraseRootFromParent_Done,
     /*  63451 */ // Label 1529: @63451
     /*  63451 */ GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(63539), // Rule ID 409 //
     /*  63456 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63459 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63463 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63467 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  63471 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63475 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63479 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63483 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63487 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63490 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63494 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63498 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63503 */   // MIs[0] src1
     /*  63503 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63508 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63510 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63517 */   // (st (add:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  63517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mr),
     /*  63520 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63524 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  63528 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63531 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63537 */   GIR_RootConstrainSelectedInstOperands,
     /*  63538 */   // GIR_Coverage, 409,
     /*  63538 */   GIR_EraseRootFromParent_Done,
     /*  63539 */ // Label 1530: @63539
     /*  63539 */ GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(63627), // Rule ID 23219 //
     /*  63544 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63547 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63551 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63555 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  63559 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63563 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63567 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63572 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63576 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63580 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63583 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63587 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63591 */   // MIs[0] src1
     /*  63591 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63596 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63598 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63605 */   // (st (add:{ *:[i8] } GR8:{ *:[i8] }:$src2, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  63605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8mr),
     /*  63608 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63612 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  63616 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63619 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63625 */   GIR_RootConstrainSelectedInstOperands,
     /*  63626 */   // GIR_Coverage, 23219,
     /*  63626 */   GIR_EraseRootFromParent_Done,
     /*  63627 */ // Label 1531: @63627
     /*  63627 */ GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(63715), // Rule ID 301 //
     /*  63632 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63635 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63639 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63643 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63647 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63651 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63655 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63659 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63663 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63666 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63670 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63674 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63679 */   // MIs[0] src1
     /*  63679 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63684 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63686 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63693 */   // (st (and:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  63693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mr),
     /*  63696 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63700 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  63704 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63707 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63713 */   GIR_RootConstrainSelectedInstOperands,
     /*  63714 */   // GIR_Coverage, 301,
     /*  63714 */   GIR_EraseRootFromParent_Done,
     /*  63715 */ // Label 1532: @63715
     /*  63715 */ GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(63803), // Rule ID 23183 //
     /*  63720 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63723 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63727 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63731 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63735 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63739 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63743 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  63748 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63752 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63756 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63759 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  63763 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63767 */   // MIs[0] src1
     /*  63767 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63772 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63774 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63781 */   // (st (and:{ *:[i8] } GR8:{ *:[i8] }:$src2, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  63781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND8mr),
     /*  63784 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63788 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  63792 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63795 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63801 */   GIR_RootConstrainSelectedInstOperands,
     /*  63802 */   // GIR_Coverage, 23183,
     /*  63802 */   GIR_EraseRootFromParent_Done,
     /*  63803 */ // Label 1533: @63803
     /*  63803 */ GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(63901), // Rule ID 748 //
     /*  63808 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63811 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63815 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63819 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  63823 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63827 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63831 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63835 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63839 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63842 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63846 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  63850 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  63855 */   // MIs[0] src1
     /*  63855 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63860 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63862 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63869 */   // (st (sra:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  63869 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  63873 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63879 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  63883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8mCL),
     /*  63886 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63890 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63893 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63899 */   GIR_RootConstrainSelectedInstOperands,
     /*  63900 */   // GIR_Coverage, 748,
     /*  63900 */   GIR_EraseRootFromParent_Done,
     /*  63901 */ // Label 1534: @63901
     /*  63901 */ GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(63999), // Rule ID 716 //
     /*  63906 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63909 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  63913 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  63917 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  63921 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  63925 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  63929 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63933 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  63937 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  63940 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  63944 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  63948 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  63953 */   // MIs[0] src1
     /*  63953 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63958 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63960 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  63967 */   // (st (srl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  63967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  63971 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  63977 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  63981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8mCL),
     /*  63984 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  63988 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  63991 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  63997 */   GIR_RootConstrainSelectedInstOperands,
     /*  63998 */   // GIR_Coverage, 716,
     /*  63998 */   GIR_EraseRootFromParent_Done,
     /*  63999 */ // Label 1535: @63999
     /*  63999 */ GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(64087), // Rule ID 337 //
     /*  64004 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64007 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64011 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64015 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  64019 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64023 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64027 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64031 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64035 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64038 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64042 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64046 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64051 */   // MIs[0] src1
     /*  64051 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64056 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64058 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64065 */   // (st (or:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mr),
     /*  64068 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64072 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  64076 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64079 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64085 */   GIR_RootConstrainSelectedInstOperands,
     /*  64086 */   // GIR_Coverage, 337,
     /*  64086 */   GIR_EraseRootFromParent_Done,
     /*  64087 */ // Label 1536: @64087
     /*  64087 */ GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(64175), // Rule ID 23195 //
     /*  64092 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64095 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64099 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64103 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  64107 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64111 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64115 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64120 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64124 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64128 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64131 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64135 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64139 */   // MIs[0] src1
     /*  64139 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64144 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64146 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64153 */   // (st (or:{ *:[i8] } GR8:{ *:[i8] }:$src2, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR8mr),
     /*  64156 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64160 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  64164 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64167 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64173 */   GIR_RootConstrainSelectedInstOperands,
     /*  64174 */   // GIR_Coverage, 23195,
     /*  64174 */   GIR_EraseRootFromParent_Done,
     /*  64175 */ // Label 1537: @64175
     /*  64175 */ GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(64273), // Rule ID 780 //
     /*  64180 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64183 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64187 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64191 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  64195 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64199 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64203 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64207 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64211 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64214 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64218 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  64222 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  64227 */   // MIs[0] src1
     /*  64227 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64232 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64234 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64241 */   // (st (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  64241 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64245 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64251 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  64255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8mCL),
     /*  64258 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64262 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64265 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64271 */   GIR_RootConstrainSelectedInstOperands,
     /*  64272 */   // GIR_Coverage, 780,
     /*  64272 */   GIR_EraseRootFromParent_Done,
     /*  64273 */ // Label 1538: @64273
     /*  64273 */ GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(64371), // Rule ID 812 //
     /*  64278 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64281 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64285 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64289 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  64293 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64297 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64301 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64305 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64309 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64312 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64316 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  64320 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  64325 */   // MIs[0] src1
     /*  64325 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64330 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64332 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64339 */   // (st (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  64339 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64343 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64349 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  64353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8mCL),
     /*  64356 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64360 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64363 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64369 */   GIR_RootConstrainSelectedInstOperands,
     /*  64370 */   // GIR_Coverage, 812,
     /*  64370 */   GIR_EraseRootFromParent_Done,
     /*  64371 */ // Label 1539: @64371
     /*  64371 */ GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(64469), // Rule ID 684 //
     /*  64376 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64379 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64383 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64387 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  64391 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64395 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64399 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64403 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64407 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64410 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64414 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /*  64418 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  64423 */   // MIs[0] src1
     /*  64423 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64428 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64430 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64437 */   // (st (shl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL8mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  64437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  64441 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  64447 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  64451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8mCL),
     /*  64454 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64458 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64461 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64467 */   GIR_RootConstrainSelectedInstOperands,
     /*  64468 */   // GIR_Coverage, 684,
     /*  64468 */   GIR_EraseRootFromParent_Done,
     /*  64469 */ // Label 1540: @64469
     /*  64469 */ GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(64557), // Rule ID 445 //
     /*  64474 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64477 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64481 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64485 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  64489 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64493 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64497 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64501 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64505 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64508 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64512 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64516 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64521 */   // MIs[0] src1
     /*  64521 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64526 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64528 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64535 */   // (st (sub:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB8mr),
     /*  64538 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64542 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  64546 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64549 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64555 */   GIR_RootConstrainSelectedInstOperands,
     /*  64556 */   // GIR_Coverage, 445,
     /*  64556 */   GIR_EraseRootFromParent_Done,
     /*  64557 */ // Label 1541: @64557
     /*  64557 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(64645), // Rule ID 373 //
     /*  64562 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64565 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64569 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64573 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64577 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64581 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64585 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64589 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64593 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64596 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64600 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64604 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64609 */   // MIs[0] src1
     /*  64609 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64614 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64616 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64623 */   // (st (xor:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mr),
     /*  64626 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64630 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  64634 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64637 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64643 */   GIR_RootConstrainSelectedInstOperands,
     /*  64644 */   // GIR_Coverage, 373,
     /*  64644 */   GIR_EraseRootFromParent_Done,
     /*  64645 */ // Label 1542: @64645
     /*  64645 */ GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(64733), // Rule ID 23207 //
     /*  64650 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64653 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64657 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64661 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64665 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s8,
     /*  64669 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  64673 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64678 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64682 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64686 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64689 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  64693 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64697 */   // MIs[0] src1
     /*  64697 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64702 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64704 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64711 */   // (st (xor:{ *:[i8] } GR8:{ *:[i8] }:$src2, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR8mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  64711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR8mr),
     /*  64714 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  64718 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  64722 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  64725 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  64731 */   GIR_RootConstrainSelectedInstOperands,
     /*  64732 */   // GIR_Coverage, 23207,
     /*  64732 */   GIR_EraseRootFromParent_Done,
     /*  64733 */ // Label 1543: @64733
     /*  64733 */ GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(64787), // Rule ID 24 //
     /*  64738 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64741 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64745 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64749 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64753 */   // MIs[1] Operand 1
     /*  64753 */   // No operand predicates
     /*  64753 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  64757 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  64761 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64763 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64770 */   // (st (imm:{ *:[i8] })<<P:Predicate_imm_su>>:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV8mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  64770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8mi),
     /*  64773 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  64777 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  64780 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  64785 */   GIR_RootConstrainSelectedInstOperands,
     /*  64786 */   // GIR_Coverage, 24,
     /*  64786 */   GIR_EraseRootFromParent_Done,
     /*  64787 */ // Label 1544: @64787
     /*  64787 */ GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(64840), // Rule ID 22506 //
     /*  64792 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  64795 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  64802 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64806 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64810 */   // MIs[1] Operand 1
     /*  64810 */   // No operand predicates
     /*  64810 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  64814 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  64816 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64823 */   // (atomic_store (imm:{ *:[i8] }):$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (MOV8mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i8] }):$src)
     /*  64823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8mi),
     /*  64826 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  64830 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  64833 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  64838 */   GIR_RootConstrainSelectedInstOperands,
     /*  64839 */   // GIR_Coverage, 22506,
     /*  64839 */   GIR_EraseRootFromParent_Done,
     /*  64840 */ // Label 1545: @64840
     /*  64840 */ GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(64885), // Rule ID 22510 //
     /*  64845 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  64848 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  64855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64859 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  64863 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64870 */   // (atomic_store GR8:{ *:[i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_8>>  =>  (MOV8mr addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  64870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8mr),
     /*  64873 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  64877 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  64879 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  64883 */   GIR_RootConstrainSelectedInstOperands,
     /*  64884 */   // GIR_Coverage, 22510,
     /*  64884 */   GIR_EraseRootFromParent_Done,
     /*  64885 */ // Label 1546: @64885
     /*  64885 */ GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(64927), // Rule ID 32 //
     /*  64890 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  64893 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  64897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  64901 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  64905 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  64912 */   // (st GR8:{ *:[i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV8mr addr:{ *:[iPTR] }:$dst, GR8:{ *:[i8] }:$src)
     /*  64912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8mr),
     /*  64915 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  64919 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  64921 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  64925 */   GIR_RootConstrainSelectedInstOperands,
     /*  64926 */   // GIR_Coverage, 32,
     /*  64926 */   GIR_EraseRootFromParent_Done,
     /*  64927 */ // Label 1547: @64927
     /*  64927 */ GIM_Reject,
     /*  64928 */ // Label 1474: @64928
     /*  64928 */ GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(65020), // Rule ID 22491 //
     /*  64933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  64936 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  64939 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  64946 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  64950 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  64954 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  64958 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  64962 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64966 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  64970 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  64973 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  64980 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  64984 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  64988 */   // MIs[0] dst
     /*  64988 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64993 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64995 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65002 */   // (atomic_store (add:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, 1:{ *:[i16] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (INC16m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC16m),
     /*  65005 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65009 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65012 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65018 */   GIR_RootConstrainSelectedInstOperands,
     /*  65019 */   // GIR_Coverage, 22491,
     /*  65019 */   GIR_EraseRootFromParent_Done,
     /*  65020 */ // Label 1548: @65020
     /*  65020 */ GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(65112), // Rule ID 22495 //
     /*  65025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  65028 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65031 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65038 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65042 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65046 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65050 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65054 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65058 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65062 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65065 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65072 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65076 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  65080 */   // MIs[0] dst
     /*  65080 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65085 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65087 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65094 */   // (atomic_store (add:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, -1:{ *:[i16] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (DEC16m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC16m),
     /*  65097 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65101 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65104 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65110 */   GIR_RootConstrainSelectedInstOperands,
     /*  65111 */   // GIR_Coverage, 22495,
     /*  65111 */   GIR_EraseRootFromParent_Done,
     /*  65112 */ // Label 1549: @65112
     /*  65112 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(65201), // Rule ID 22499 //
     /*  65117 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65120 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65127 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65131 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  65135 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65139 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65143 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  65147 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65151 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65155 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65158 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65165 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65169 */   // MIs[0] dst
     /*  65169 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65174 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65176 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65183 */   // (atomic_store (sub:{ *:[i16] } 0:{ *:[i16] }, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (NEG16m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16m),
     /*  65186 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65190 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65193 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65199 */   GIR_RootConstrainSelectedInstOperands,
     /*  65200 */   // GIR_Coverage, 22499,
     /*  65200 */   GIR_EraseRootFromParent_Done,
     /*  65201 */ // Label 1550: @65201
     /*  65201 */ GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(65287), // Rule ID 22503 //
     /*  65206 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65209 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65216 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65220 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65224 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65228 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65232 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65236 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65240 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  65243 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  65250 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65254 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  65258 */   // MIs[0] dst
     /*  65258 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65263 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65265 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65272 */   // (atomic_store (xor:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, -1:{ *:[i16] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (NOT16m addr:{ *:[iPTR] }:$dst)
     /*  65272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16m),
     /*  65275 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65279 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65285 */   GIR_RootConstrainSelectedInstOperands,
     /*  65286 */   // GIR_Coverage, 22503,
     /*  65286 */   GIR_EraseRootFromParent_Done,
     /*  65287 */ // Label 1551: @65287
     /*  65287 */ GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(65373), // Rule ID 226 //
     /*  65292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  65295 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65298 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65302 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65306 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65310 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65314 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65318 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65322 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65326 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65329 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65333 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65337 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  65341 */   // MIs[0] src1
     /*  65341 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65346 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65348 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65355 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 1:{ *:[i16] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (INC16m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  65355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC16m),
     /*  65358 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  65362 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65365 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65371 */   GIR_RootConstrainSelectedInstOperands,
     /*  65372 */   // GIR_Coverage, 226,
     /*  65372 */   GIR_EraseRootFromParent_Done,
     /*  65373 */ // Label 1552: @65373
     /*  65373 */ GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(65459), // Rule ID 229 //
     /*  65378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  65381 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65384 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65388 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65392 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65396 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65400 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65404 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65408 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65412 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65415 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65419 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65423 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  65427 */   // MIs[0] src1
     /*  65427 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65432 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65434 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65441 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, -1:{ *:[i16] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (DEC16m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  65441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC16m),
     /*  65444 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  65448 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65451 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65457 */   GIR_RootConstrainSelectedInstOperands,
     /*  65458 */   // GIR_Coverage, 229,
     /*  65458 */   GIR_EraseRootFromParent_Done,
     /*  65459 */ // Label 1553: @65459
     /*  65459 */ GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(65552), // Rule ID 22611 //
     /*  65464 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65467 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65471 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65475 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65479 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65483 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65487 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65491 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65495 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65498 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65502 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65506 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(128),
     /*  65517 */   // MIs[0] dst
     /*  65517 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65522 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65524 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65531 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 128:{ *:[i16] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, -128:{ *:[i16] })
     /*  65531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mi),
     /*  65534 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*  65541 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65544 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65550 */   GIR_RootConstrainSelectedInstOperands,
     /*  65551 */   // GIR_Coverage, 22611,
     /*  65551 */   GIR_EraseRootFromParent_Done,
     /*  65552 */ // Label 1554: @65552
     /*  65552 */ GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(65635), // Rule ID 17612 //
     /*  65557 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65560 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65564 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65568 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  65572 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65576 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  65580 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65584 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65588 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65591 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65595 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65599 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 15,
     /*  65603 */   // MIs[0] dst
     /*  65603 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65608 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65610 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65617 */   // (st (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 15:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR16m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16m1),
     /*  65620 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65624 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65627 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65633 */   GIR_RootConstrainSelectedInstOperands,
     /*  65634 */   // GIR_Coverage, 17612,
     /*  65634 */   GIR_EraseRootFromParent_Done,
     /*  65635 */ // Label 1555: @65635
     /*  65635 */ GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(65718), // Rule ID 17616 //
     /*  65640 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65643 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65647 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65651 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  65655 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65659 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  65663 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65667 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65671 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65674 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65678 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65682 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 15,
     /*  65686 */   // MIs[0] dst
     /*  65686 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65691 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65693 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65700 */   // (st (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 15:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL16m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  65700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16m1),
     /*  65703 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  65707 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65710 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65716 */   GIR_RootConstrainSelectedInstOperands,
     /*  65717 */   // GIR_Coverage, 17616,
     /*  65717 */   GIR_EraseRootFromParent_Done,
     /*  65718 */ // Label 1556: @65718
     /*  65718 */ GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(65801), // Rule ID 262 //
     /*  65723 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65726 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65730 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65734 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  65738 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65742 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65746 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  65750 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65754 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65758 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65761 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65765 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65769 */   // MIs[0] src1
     /*  65769 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65774 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65776 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65783 */   // (st (sub:{ *:[i16] } 0:{ *:[i16] }, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NEG16m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  65783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG16m),
     /*  65786 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  65790 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65793 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65799 */   GIR_RootConstrainSelectedInstOperands,
     /*  65800 */   // GIR_Coverage, 262,
     /*  65800 */   GIR_EraseRootFromParent_Done,
     /*  65801 */ // Label 1557: @65801
     /*  65801 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(65881), // Rule ID 270 //
     /*  65806 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65809 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65813 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65817 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65821 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65825 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65829 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65833 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65837 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65840 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65844 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  65848 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  65852 */   // MIs[0] src1
     /*  65852 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65857 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65859 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65866 */   // (st (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, -1:{ *:[i16] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NOT16m addr:{ *:[iPTR] }:$src1)
     /*  65866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT16m),
     /*  65869 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  65873 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  65879 */   GIR_RootConstrainSelectedInstOperands,
     /*  65880 */   // GIR_Coverage, 270,
     /*  65880 */   GIR_EraseRootFromParent_Done,
     /*  65881 */ // Label 1558: @65881
     /*  65881 */ GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(65976), // Rule ID 414 //
     /*  65886 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65889 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65893 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65897 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  65901 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  65905 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  65909 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65913 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  65917 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65920 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  65924 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  65928 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  65932 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65936 */   // MIs[3] Operand 1
     /*  65936 */   // No operand predicates
     /*  65936 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  65940 */   // MIs[0] src1
     /*  65940 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65945 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  65947 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  65954 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  65954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mi),
     /*  65957 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  65961 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  65964 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  65967 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  65974 */   GIR_RootConstrainSelectedInstOperands,
     /*  65975 */   // GIR_Coverage, 414,
     /*  65975 */   GIR_EraseRootFromParent_Done,
     /*  65976 */ // Label 1559: @65976
     /*  65976 */ GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(66071), // Rule ID 306 //
     /*  65981 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  65984 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  65988 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  65992 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65996 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66000 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66004 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66008 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66012 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66015 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66019 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66023 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66027 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66031 */   // MIs[3] Operand 1
     /*  66031 */   // No operand predicates
     /*  66031 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  66035 */   // MIs[0] src1
     /*  66035 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66040 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66042 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66049 */   // (st (and:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  66049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mi),
     /*  66052 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66056 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66059 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66062 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66069 */   GIR_RootConstrainSelectedInstOperands,
     /*  66070 */   // GIR_Coverage, 306,
     /*  66070 */   GIR_EraseRootFromParent_Done,
     /*  66071 */ // Label 1560: @66071
     /*  66071 */ GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(66166), // Rule ID 342 //
     /*  66076 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66079 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66083 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66087 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  66091 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66095 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66099 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66103 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66107 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66110 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66114 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66118 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66122 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66126 */   // MIs[3] Operand 1
     /*  66126 */   // No operand predicates
     /*  66126 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  66130 */   // MIs[0] src1
     /*  66130 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66135 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66137 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66144 */   // (st (or:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  66144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mi),
     /*  66147 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66151 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66154 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66157 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66164 */   GIR_RootConstrainSelectedInstOperands,
     /*  66165 */   // GIR_Coverage, 342,
     /*  66165 */   GIR_EraseRootFromParent_Done,
     /*  66166 */ // Label 1561: @66166
     /*  66166 */ GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(66261), // Rule ID 454 //
     /*  66171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66174 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66178 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66182 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  66186 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66190 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66194 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66198 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66202 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66205 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66209 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66213 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66217 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66221 */   // MIs[3] Operand 1
     /*  66221 */   // No operand predicates
     /*  66221 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  66225 */   // MIs[0] src1
     /*  66225 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66230 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66232 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66239 */   // (st (sub:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  66239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mi),
     /*  66242 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66246 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66249 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66252 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66259 */   GIR_RootConstrainSelectedInstOperands,
     /*  66260 */   // GIR_Coverage, 454,
     /*  66260 */   GIR_EraseRootFromParent_Done,
     /*  66261 */ // Label 1562: @66261
     /*  66261 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(66356), // Rule ID 378 //
     /*  66266 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66269 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66273 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66277 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66281 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66285 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66289 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66293 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66297 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66300 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  66304 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66308 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66312 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66316 */   // MIs[3] Operand 1
     /*  66316 */   // No operand predicates
     /*  66316 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  66320 */   // MIs[0] src1
     /*  66320 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66325 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66327 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66334 */   // (st (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2)
     /*  66334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mi),
     /*  66337 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66341 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66344 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66347 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66354 */   GIR_RootConstrainSelectedInstOperands,
     /*  66355 */   // GIR_Coverage, 378,
     /*  66355 */   GIR_EraseRootFromParent_Done,
     /*  66356 */ // Label 1563: @66356
     /*  66356 */ GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(66453), // Rule ID 22427 //
     /*  66361 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66364 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66371 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66375 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  66379 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66383 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66387 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66391 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66395 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66398 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66405 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66409 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66413 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66417 */   // MIs[3] Operand 1
     /*  66417 */   // No operand predicates
     /*  66417 */   // MIs[0] dst
     /*  66417 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66422 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66424 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66431 */   // (atomic_store (add:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (ADD16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mi),
     /*  66434 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66438 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66441 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66444 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66451 */   GIR_RootConstrainSelectedInstOperands,
     /*  66452 */   // GIR_Coverage, 22427,
     /*  66452 */   GIR_EraseRootFromParent_Done,
     /*  66453 */ // Label 1564: @66453
     /*  66453 */ GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(66550), // Rule ID 22435 //
     /*  66458 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66461 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66468 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66472 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66476 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66480 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66484 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66488 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66492 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66495 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66502 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66506 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66510 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66514 */   // MIs[3] Operand 1
     /*  66514 */   // No operand predicates
     /*  66514 */   // MIs[0] dst
     /*  66514 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66519 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66521 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66528 */   // (atomic_store (and:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (AND16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mi),
     /*  66531 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66535 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66538 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66541 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66548 */   GIR_RootConstrainSelectedInstOperands,
     /*  66549 */   // GIR_Coverage, 22435,
     /*  66549 */   GIR_EraseRootFromParent_Done,
     /*  66550 */ // Label 1565: @66550
     /*  66550 */ GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(66647), // Rule ID 22443 //
     /*  66555 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66558 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66565 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66569 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  66573 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66577 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66581 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66585 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66589 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66592 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66599 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66603 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66607 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66611 */   // MIs[3] Operand 1
     /*  66611 */   // No operand predicates
     /*  66611 */   // MIs[0] dst
     /*  66611 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66616 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66618 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66625 */   // (atomic_store (or:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (OR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mi),
     /*  66628 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66632 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66635 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66638 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66645 */   GIR_RootConstrainSelectedInstOperands,
     /*  66646 */   // GIR_Coverage, 22443,
     /*  66646 */   GIR_EraseRootFromParent_Done,
     /*  66647 */ // Label 1566: @66647
     /*  66647 */ GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(66744), // Rule ID 22459 //
     /*  66652 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66655 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66662 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66666 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  66670 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66674 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66678 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66682 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66686 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66689 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66696 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66700 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66704 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66708 */   // MIs[3] Operand 1
     /*  66708 */   // No operand predicates
     /*  66708 */   // MIs[0] dst
     /*  66708 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66713 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66715 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66722 */   // (atomic_store (sub:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (SUB16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mi),
     /*  66725 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66729 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66732 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66735 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66742 */   GIR_RootConstrainSelectedInstOperands,
     /*  66743 */   // GIR_Coverage, 22459,
     /*  66743 */   GIR_EraseRootFromParent_Done,
     /*  66744 */ // Label 1567: @66744
     /*  66744 */ GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(66841), // Rule ID 22451 //
     /*  66749 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66752 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66759 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66763 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66767 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66771 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  66775 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66779 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66783 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  66786 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  66793 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66797 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66801 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66805 */   // MIs[3] Operand 1
     /*  66805 */   // No operand predicates
     /*  66805 */   // MIs[0] dst
     /*  66805 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66810 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66812 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66819 */   // (atomic_store (xor:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, (imm:{ *:[i16] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (XOR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  66819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mi),
     /*  66822 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  66826 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  66829 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66832 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66839 */   GIR_RootConstrainSelectedInstOperands,
     /*  66840 */   // GIR_Coverage, 22451,
     /*  66840 */   GIR_EraseRootFromParent_Done,
     /*  66841 */ // Label 1568: @66841
     /*  66841 */ GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(66932), // Rule ID 733 //
     /*  66846 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66849 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66853 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66857 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  66861 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66865 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  66869 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66873 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66877 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66880 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66884 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  66888 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66892 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66896 */   // MIs[3] Operand 1
     /*  66896 */   // No operand predicates
     /*  66896 */   // MIs[0] src1
     /*  66896 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66901 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66903 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  66910 */   // (st (sra:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  66910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16mi),
     /*  66913 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  66917 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  66920 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  66923 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  66930 */   GIR_RootConstrainSelectedInstOperands,
     /*  66931 */   // GIR_Coverage, 733,
     /*  66931 */   GIR_EraseRootFromParent_Done,
     /*  66932 */ // Label 1569: @66932
     /*  66932 */ GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(67023), // Rule ID 701 //
     /*  66937 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66940 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  66944 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  66948 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  66952 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  66956 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  66960 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66964 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  66968 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  66971 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  66975 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  66979 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  66983 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66987 */   // MIs[3] Operand 1
     /*  66987 */   // No operand predicates
     /*  66987 */   // MIs[0] src1
     /*  66987 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66992 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  66994 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67001 */   // (st (srl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  67001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16mi),
     /*  67004 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  67008 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  67011 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67014 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  67021 */   GIR_RootConstrainSelectedInstOperands,
     /*  67022 */   // GIR_Coverage, 701,
     /*  67022 */   GIR_EraseRootFromParent_Done,
     /*  67023 */ // Label 1570: @67023
     /*  67023 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(67114), // Rule ID 765 //
     /*  67028 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67031 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  67035 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67039 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  67043 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67047 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  67051 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67055 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67059 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67062 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67066 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  67070 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  67074 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67078 */   // MIs[3] Operand 1
     /*  67078 */   // No operand predicates
     /*  67078 */   // MIs[0] src1
     /*  67078 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67083 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  67085 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67092 */   // (st (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  67092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16mi),
     /*  67095 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  67099 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  67102 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67105 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  67112 */   GIR_RootConstrainSelectedInstOperands,
     /*  67113 */   // GIR_Coverage, 765,
     /*  67113 */   GIR_EraseRootFromParent_Done,
     /*  67114 */ // Label 1571: @67114
     /*  67114 */ GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(67205), // Rule ID 797 //
     /*  67119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67122 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  67126 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67130 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  67134 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67138 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  67142 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67146 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67150 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67153 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67157 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  67161 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  67165 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67169 */   // MIs[3] Operand 1
     /*  67169 */   // No operand predicates
     /*  67169 */   // MIs[0] src1
     /*  67169 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67174 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  67176 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67183 */   // (st (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  67183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16mi),
     /*  67186 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  67190 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  67193 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67196 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  67203 */   GIR_RootConstrainSelectedInstOperands,
     /*  67204 */   // GIR_Coverage, 797,
     /*  67204 */   GIR_EraseRootFromParent_Done,
     /*  67205 */ // Label 1572: @67205
     /*  67205 */ GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(67296), // Rule ID 669 //
     /*  67210 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67213 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  67217 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67221 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  67225 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67229 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  67233 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67237 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67241 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  67244 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67248 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  67252 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  67256 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67260 */   // MIs[3] Operand 1
     /*  67260 */   // No operand predicates
     /*  67260 */   // MIs[0] src1
     /*  67260 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67265 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  67267 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67274 */   // (st (shl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL16mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  67274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16mi),
     /*  67277 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  67281 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  67284 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67287 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  67294 */   GIR_RootConstrainSelectedInstOperands,
     /*  67295 */   // GIR_Coverage, 669,
     /*  67295 */   GIR_EraseRootFromParent_Done,
     /*  67296 */ // Label 1573: @67296
     /*  67296 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(67390), // Rule ID 22431 //
     /*  67301 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67304 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67311 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67315 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  67319 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67323 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67327 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67331 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67335 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67338 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67345 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67349 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67354 */   // MIs[0] dst
     /*  67354 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67359 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67361 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67368 */   // (atomic_store (add:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (ADD16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mr),
     /*  67371 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67375 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  67379 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67382 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67388 */   GIR_RootConstrainSelectedInstOperands,
     /*  67389 */   // GIR_Coverage, 22431,
     /*  67389 */   GIR_EraseRootFromParent_Done,
     /*  67390 */ // Label 1574: @67390
     /*  67390 */ GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(67484), // Rule ID 26000 //
     /*  67395 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67398 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67405 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67409 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  67413 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67417 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67421 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67426 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67430 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67434 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67437 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67444 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67448 */   // MIs[0] dst
     /*  67448 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67453 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67455 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67462 */   // (atomic_store (add:{ *:[i16] } GR16:{ *:[i16] }:$src, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (ADD16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mr),
     /*  67465 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67469 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  67473 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67476 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67482 */   GIR_RootConstrainSelectedInstOperands,
     /*  67483 */   // GIR_Coverage, 26000,
     /*  67483 */   GIR_EraseRootFromParent_Done,
     /*  67484 */ // Label 1575: @67484
     /*  67484 */ GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(67578), // Rule ID 22439 //
     /*  67489 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67492 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67499 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67503 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67507 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67511 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67515 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67519 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67523 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67526 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67533 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67537 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67542 */   // MIs[0] dst
     /*  67542 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67547 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67549 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67556 */   // (atomic_store (and:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (AND16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mr),
     /*  67559 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67563 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  67567 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67570 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67576 */   GIR_RootConstrainSelectedInstOperands,
     /*  67577 */   // GIR_Coverage, 22439,
     /*  67577 */   GIR_EraseRootFromParent_Done,
     /*  67578 */ // Label 1576: @67578
     /*  67578 */ GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(67672), // Rule ID 26004 //
     /*  67583 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67586 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67593 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67597 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67601 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67605 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67609 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67614 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67618 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67622 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67625 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67632 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67636 */   // MIs[0] dst
     /*  67636 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67641 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67643 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67650 */   // (atomic_store (and:{ *:[i16] } GR16:{ *:[i16] }:$src, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (AND16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mr),
     /*  67653 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67657 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  67661 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67670 */   GIR_RootConstrainSelectedInstOperands,
     /*  67671 */   // GIR_Coverage, 26004,
     /*  67671 */   GIR_EraseRootFromParent_Done,
     /*  67672 */ // Label 1577: @67672
     /*  67672 */ GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(67766), // Rule ID 22447 //
     /*  67677 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67680 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67687 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67691 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  67695 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67699 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67703 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67707 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67711 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67714 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67721 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67725 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67730 */   // MIs[0] dst
     /*  67730 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67735 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67737 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67744 */   // (atomic_store (or:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (OR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mr),
     /*  67747 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67751 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  67755 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67758 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67764 */   GIR_RootConstrainSelectedInstOperands,
     /*  67765 */   // GIR_Coverage, 22447,
     /*  67765 */   GIR_EraseRootFromParent_Done,
     /*  67766 */ // Label 1578: @67766
     /*  67766 */ GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(67860), // Rule ID 26008 //
     /*  67771 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67774 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67781 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67785 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  67789 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67793 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67797 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67802 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67806 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67810 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67813 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67820 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67824 */   // MIs[0] dst
     /*  67824 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67829 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67831 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67838 */   // (atomic_store (or:{ *:[i16] } GR16:{ *:[i16] }:$src, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (OR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mr),
     /*  67841 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67845 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  67849 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67852 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67858 */   GIR_RootConstrainSelectedInstOperands,
     /*  67859 */   // GIR_Coverage, 26008,
     /*  67859 */   GIR_EraseRootFromParent_Done,
     /*  67860 */ // Label 1579: @67860
     /*  67860 */ GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(67954), // Rule ID 22463 //
     /*  67865 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67868 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67875 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67879 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  67883 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67887 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67891 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67895 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67899 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67902 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67909 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  67913 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  67918 */   // MIs[0] dst
     /*  67918 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67923 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67925 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  67932 */   // (atomic_store (sub:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (SUB16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  67932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mr),
     /*  67935 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  67939 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  67943 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  67946 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  67952 */   GIR_RootConstrainSelectedInstOperands,
     /*  67953 */   // GIR_Coverage, 22463,
     /*  67953 */   GIR_EraseRootFromParent_Done,
     /*  67954 */ // Label 1580: @67954
     /*  67954 */ GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(68048), // Rule ID 22455 //
     /*  67959 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67962 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  67969 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  67973 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67977 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  67981 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  67985 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67989 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  67993 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  67996 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  68003 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68007 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68012 */   // MIs[0] dst
     /*  68012 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68017 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68019 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68026 */   // (atomic_store (xor:{ *:[i16] } (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>, GR16:{ *:[i16] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (XOR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  68026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mr),
     /*  68029 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  68033 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  68037 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68040 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68046 */   GIR_RootConstrainSelectedInstOperands,
     /*  68047 */   // GIR_Coverage, 22455,
     /*  68047 */   GIR_EraseRootFromParent_Done,
     /*  68048 */ // Label 1581: @68048
     /*  68048 */ GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(68142), // Rule ID 26012 //
     /*  68053 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  68056 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  68063 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68067 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68071 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68075 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68079 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68084 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68088 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68092 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  68095 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  68102 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68106 */   // MIs[0] dst
     /*  68106 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68111 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68113 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68120 */   // (atomic_store (xor:{ *:[i16] } GR16:{ *:[i16] }:$src, (atomic_load:{ *:[i16] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_16>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (XOR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  68120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mr),
     /*  68123 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  68127 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  68131 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68134 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68140 */   GIR_RootConstrainSelectedInstOperands,
     /*  68141 */   // GIR_Coverage, 26012,
     /*  68141 */   GIR_EraseRootFromParent_Done,
     /*  68142 */ // Label 1582: @68142
     /*  68142 */ GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(68230), // Rule ID 410 //
     /*  68147 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68150 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68154 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68158 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  68162 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68166 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68170 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68174 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68178 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68181 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68185 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68189 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68194 */   // MIs[0] src1
     /*  68194 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68199 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68201 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68208 */   // (st (add:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mr),
     /*  68211 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68215 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  68219 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68222 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68228 */   GIR_RootConstrainSelectedInstOperands,
     /*  68229 */   // GIR_Coverage, 410,
     /*  68229 */   GIR_EraseRootFromParent_Done,
     /*  68230 */ // Label 1583: @68230
     /*  68230 */ GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(68318), // Rule ID 23220 //
     /*  68235 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68238 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68242 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68246 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  68250 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68254 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68258 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68263 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68267 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68271 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68274 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68278 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68282 */   // MIs[0] src1
     /*  68282 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68287 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68289 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68296 */   // (st (add:{ *:[i16] } GR16:{ *:[i16] }:$src2, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16mr),
     /*  68299 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68303 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  68307 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68310 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68316 */   GIR_RootConstrainSelectedInstOperands,
     /*  68317 */   // GIR_Coverage, 23220,
     /*  68317 */   GIR_EraseRootFromParent_Done,
     /*  68318 */ // Label 1584: @68318
     /*  68318 */ GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(68406), // Rule ID 302 //
     /*  68323 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68326 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68330 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68334 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68338 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68342 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68346 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68350 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68354 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68357 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68361 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68365 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68370 */   // MIs[0] src1
     /*  68370 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68375 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68377 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68384 */   // (st (and:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mr),
     /*  68387 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68391 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  68395 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68398 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68404 */   GIR_RootConstrainSelectedInstOperands,
     /*  68405 */   // GIR_Coverage, 302,
     /*  68405 */   GIR_EraseRootFromParent_Done,
     /*  68406 */ // Label 1585: @68406
     /*  68406 */ GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(68494), // Rule ID 23184 //
     /*  68411 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68414 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68418 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68422 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68426 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68430 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68434 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68439 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68443 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68447 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68450 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68454 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68458 */   // MIs[0] src1
     /*  68458 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68463 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68465 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68472 */   // (st (and:{ *:[i16] } GR16:{ *:[i16] }:$src2, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND16mr),
     /*  68475 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68479 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  68483 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68486 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68492 */   GIR_RootConstrainSelectedInstOperands,
     /*  68493 */   // GIR_Coverage, 23184,
     /*  68493 */   GIR_EraseRootFromParent_Done,
     /*  68494 */ // Label 1586: @68494
     /*  68494 */ GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(68592), // Rule ID 749 //
     /*  68499 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68502 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68506 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68510 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  68514 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68518 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  68522 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68526 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68530 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68533 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68537 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  68541 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  68546 */   // MIs[0] src1
     /*  68546 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68551 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68553 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68560 */   // (st (sra:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  68560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68564 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68570 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  68574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16mCL),
     /*  68577 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68581 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68584 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68590 */   GIR_RootConstrainSelectedInstOperands,
     /*  68591 */   // GIR_Coverage, 749,
     /*  68591 */   GIR_EraseRootFromParent_Done,
     /*  68592 */ // Label 1587: @68592
     /*  68592 */ GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(68690), // Rule ID 717 //
     /*  68597 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68600 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68604 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68608 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  68612 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68616 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  68620 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68624 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68628 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68631 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68635 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  68639 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  68644 */   // MIs[0] src1
     /*  68644 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68649 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68651 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68658 */   // (st (srl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  68658 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68662 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68668 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  68672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16mCL),
     /*  68675 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68679 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68682 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68688 */   GIR_RootConstrainSelectedInstOperands,
     /*  68689 */   // GIR_Coverage, 717,
     /*  68689 */   GIR_EraseRootFromParent_Done,
     /*  68690 */ // Label 1588: @68690
     /*  68690 */ GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(68778), // Rule ID 338 //
     /*  68695 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68698 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68702 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68706 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  68710 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68714 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68718 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68722 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68726 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68729 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68733 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68737 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68742 */   // MIs[0] src1
     /*  68742 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68747 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68749 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68756 */   // (st (or:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mr),
     /*  68759 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68763 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  68767 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68770 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68776 */   GIR_RootConstrainSelectedInstOperands,
     /*  68777 */   // GIR_Coverage, 338,
     /*  68777 */   GIR_EraseRootFromParent_Done,
     /*  68778 */ // Label 1589: @68778
     /*  68778 */ GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(68866), // Rule ID 23196 //
     /*  68783 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68786 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68790 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68794 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  68798 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68802 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  68806 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  68811 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68815 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68819 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68822 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  68826 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68830 */   // MIs[0] src1
     /*  68830 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68835 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68837 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68844 */   // (st (or:{ *:[i16] } GR16:{ *:[i16] }:$src2, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  68844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR16mr),
     /*  68847 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68851 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  68855 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68858 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68864 */   GIR_RootConstrainSelectedInstOperands,
     /*  68865 */   // GIR_Coverage, 23196,
     /*  68865 */   GIR_EraseRootFromParent_Done,
     /*  68866 */ // Label 1590: @68866
     /*  68866 */ GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(68964), // Rule ID 781 //
     /*  68871 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68874 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68878 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68882 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  68886 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68890 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  68894 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68898 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  68902 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68905 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  68909 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  68913 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  68918 */   // MIs[0] src1
     /*  68918 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68923 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68925 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  68932 */   // (st (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  68932 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  68936 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  68942 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  68946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16mCL),
     /*  68949 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  68953 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  68956 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  68962 */   GIR_RootConstrainSelectedInstOperands,
     /*  68963 */   // GIR_Coverage, 781,
     /*  68963 */   GIR_EraseRootFromParent_Done,
     /*  68964 */ // Label 1591: @68964
     /*  68964 */ GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(69062), // Rule ID 813 //
     /*  68969 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  68972 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  68976 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  68980 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  68984 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  68988 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  68992 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68996 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69000 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69003 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69007 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  69011 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  69016 */   // MIs[0] src1
     /*  69016 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69021 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69023 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69030 */   // (st (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  69030 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69034 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69040 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  69044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16mCL),
     /*  69047 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69051 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69054 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69060 */   GIR_RootConstrainSelectedInstOperands,
     /*  69061 */   // GIR_Coverage, 813,
     /*  69061 */   GIR_EraseRootFromParent_Done,
     /*  69062 */ // Label 1592: @69062
     /*  69062 */ GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(69160), // Rule ID 685 //
     /*  69067 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69070 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69074 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69078 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  69082 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69086 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  69090 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69094 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69098 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69101 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69105 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /*  69109 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  69114 */   // MIs[0] src1
     /*  69114 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69119 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69121 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69128 */   // (st (shl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL16mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  69128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69132 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69138 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  69142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16mCL),
     /*  69145 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69149 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69152 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69158 */   GIR_RootConstrainSelectedInstOperands,
     /*  69159 */   // GIR_Coverage, 685,
     /*  69159 */   GIR_EraseRootFromParent_Done,
     /*  69160 */ // Label 1593: @69160
     /*  69160 */ GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(69248), // Rule ID 446 //
     /*  69165 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69168 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69172 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69176 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  69180 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69184 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  69188 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69192 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69196 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69199 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  69203 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69207 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69212 */   // MIs[0] src1
     /*  69212 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69217 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69219 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69226 */   // (st (sub:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  69226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB16mr),
     /*  69229 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69233 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  69237 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69240 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69246 */   GIR_RootConstrainSelectedInstOperands,
     /*  69247 */   // GIR_Coverage, 446,
     /*  69247 */   GIR_EraseRootFromParent_Done,
     /*  69248 */ // Label 1594: @69248
     /*  69248 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(69336), // Rule ID 374 //
     /*  69253 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69256 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69260 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69264 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69268 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69272 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  69276 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69280 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69284 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69287 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  69291 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69295 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69300 */   // MIs[0] src1
     /*  69300 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69305 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69307 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69314 */   // (st (xor:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR16:{ *:[i16] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  69314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mr),
     /*  69317 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69321 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  69325 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69328 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69334 */   GIR_RootConstrainSelectedInstOperands,
     /*  69335 */   // GIR_Coverage, 374,
     /*  69335 */   GIR_EraseRootFromParent_Done,
     /*  69336 */ // Label 1595: @69336
     /*  69336 */ GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(69424), // Rule ID 23208 //
     /*  69341 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69344 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69348 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69352 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69356 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69360 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /*  69364 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69369 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69373 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  69377 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69380 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  69384 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  69388 */   // MIs[0] src1
     /*  69388 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69393 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69395 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69402 */   // (st (xor:{ *:[i16] } GR16:{ *:[i16] }:$src2, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR16mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  69402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR16mr),
     /*  69405 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  69409 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  69413 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  69416 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  69422 */   GIR_RootConstrainSelectedInstOperands,
     /*  69423 */   // GIR_Coverage, 23208,
     /*  69423 */   GIR_EraseRootFromParent_Done,
     /*  69424 */ // Label 1596: @69424
     /*  69424 */ GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(69478), // Rule ID 25 //
     /*  69429 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69432 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69436 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69440 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69444 */   // MIs[1] Operand 1
     /*  69444 */   // No operand predicates
     /*  69444 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  69448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69452 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69454 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69461 */   // (st (imm:{ *:[i16] })<<P:Predicate_imm_su>>:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV16mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  69461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mi),
     /*  69464 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69468 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  69471 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  69476 */   GIR_RootConstrainSelectedInstOperands,
     /*  69477 */   // GIR_Coverage, 25,
     /*  69477 */   GIR_EraseRootFromParent_Done,
     /*  69478 */ // Label 1597: @69478
     /*  69478 */ GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(69531), // Rule ID 22507 //
     /*  69483 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  69486 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  69493 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69497 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69501 */   // MIs[1] Operand 1
     /*  69501 */   // No operand predicates
     /*  69501 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69505 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69507 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69514 */   // (atomic_store (imm:{ *:[i16] }):$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (MOV16mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i16] }):$src)
     /*  69514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mi),
     /*  69517 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69521 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  69524 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  69529 */   GIR_RootConstrainSelectedInstOperands,
     /*  69530 */   // GIR_Coverage, 22507,
     /*  69530 */   GIR_EraseRootFromParent_Done,
     /*  69531 */ // Label 1598: @69531
     /*  69531 */ GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(69594), // Rule ID 50 //
     /*  69536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /*  69539 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69542 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69546 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69550 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  69554 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69558 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69563 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69567 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69569 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69576 */   // (st (bswap:{ *:[i16] } GR16:{ *:[i16] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE16mr addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src1)
     /*  69576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE16mr),
     /*  69579 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69583 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  69587 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  69592 */   GIR_RootConstrainSelectedInstOperands,
     /*  69593 */   // GIR_Coverage, 50,
     /*  69593 */   GIR_EraseRootFromParent_Done,
     /*  69594 */ // Label 1599: @69594
     /*  69594 */ GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(69657), // Rule ID 56 //
     /*  69599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /*  69602 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69605 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69609 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  69613 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  69617 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /*  69621 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69626 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69630 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  69632 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69639 */   // (st (bswap:{ *:[i16] } GR16:{ *:[i16] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE16mr_EVEX addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src1)
     /*  69639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE16mr_EVEX),
     /*  69642 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69646 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  69650 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  69655 */   GIR_RootConstrainSelectedInstOperands,
     /*  69656 */   // GIR_Coverage, 56,
     /*  69656 */   GIR_EraseRootFromParent_Done,
     /*  69657 */ // Label 1600: @69657
     /*  69657 */ GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(69702), // Rule ID 22511 //
     /*  69662 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  69665 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  69672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69676 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69680 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69687 */   // (atomic_store GR16:{ *:[i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_16>>  =>  (MOV16mr addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  69687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mr),
     /*  69690 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69694 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  69696 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  69700 */   GIR_RootConstrainSelectedInstOperands,
     /*  69701 */   // GIR_Coverage, 22511,
     /*  69701 */   GIR_EraseRootFromParent_Done,
     /*  69702 */ // Label 1601: @69702
     /*  69702 */ GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(69744), // Rule ID 33 //
     /*  69707 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69710 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  69718 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69722 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69729 */   // (st GR16:{ *:[i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV16mr addr:{ *:[iPTR] }:$dst, GR16:{ *:[i16] }:$src)
     /*  69729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mr),
     /*  69732 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69736 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  69738 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  69742 */   GIR_RootConstrainSelectedInstOperands,
     /*  69743 */   // GIR_Coverage, 33,
     /*  69743 */   GIR_EraseRootFromParent_Done,
     /*  69744 */ // Label 1602: @69744
     /*  69744 */ GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(69789), // Rule ID 4621 //
     /*  69749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /*  69752 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69755 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /*  69763 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69767 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69774 */   // (st FR16X:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSHZmr addr:{ *:[iPTR] }:$dst, FR16X:{ *:[f16] }:$src)
     /*  69774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSHZmr),
     /*  69777 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69781 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  69783 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  69787 */   GIR_RootConstrainSelectedInstOperands,
     /*  69788 */   // GIR_Coverage, 4621,
     /*  69788 */   GIR_EraseRootFromParent_Done,
     /*  69789 */ // Label 1603: @69789
     /*  69789 */ GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(69855), // Rule ID 18546 //
     /*  69794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /*  69797 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69800 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69804 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69808 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69815 */   // (st f16:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PEXTRWmri addr:{ *:[iPTR] }:$dst, (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] })
     /*  69815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  69818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69827 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // src
     /*  69831 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  69836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PEXTRWmri),
     /*  69839 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69843 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  69846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  69849 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  69853 */   GIR_RootConstrainSelectedInstOperands,
     /*  69854 */   // GIR_Coverage, 18546,
     /*  69854 */   GIR_EraseRootFromParent_Done,
     /*  69855 */ // Label 1604: @69855
     /*  69855 */ GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(69921), // Rule ID 18547 //
     /*  69860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoBWI),
     /*  69863 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69866 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69870 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69874 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69881 */   // (st f16:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VPEXTRWmri addr:{ *:[iPTR] }:$dst, (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] })
     /*  69881 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  69884 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69888 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69893 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // src
     /*  69897 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  69902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPEXTRWmri),
     /*  69905 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  69909 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  69912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  69915 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  69919 */   GIR_RootConstrainSelectedInstOperands,
     /*  69920 */   // GIR_Coverage, 18547,
     /*  69920 */   GIR_EraseRootFromParent_Done,
     /*  69921 */ // Label 1605: @69921
     /*  69921 */ GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(70033), // Rule ID 18335 //
     /*  69926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  69929 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  69932 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  69936 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  69940 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  69947 */   // (st f16:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV16mr addr:{ *:[iPTR] }:$dst, (EXTRACT_SUBREG:{ *:[i16] } (PEXTRWrri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] }), sub_16bit:{ *:[i32] }))
     /*  69947 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  69950 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69954 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69959 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/0, // src
     /*  69963 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  69968 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  69971 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(X86::PEXTRWrri),
     /*  69975 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  69980 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  69983 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /*  69986 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  69988 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  69991 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  69995 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  70000 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /*  70007 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /*  70012 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /*  70017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16mr),
     /*  70020 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70024 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  70027 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  70031 */   GIR_RootConstrainSelectedInstOperands,
     /*  70032 */   // GIR_Coverage, 18335,
     /*  70032 */   GIR_EraseRootFromParent_Done,
     /*  70033 */ // Label 1606: @70033
     /*  70033 */ GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(70099), // Rule ID 21839 //
     /*  70038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /*  70041 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70044 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70048 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  70052 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70059 */   // (st f16:{ *:[f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VPEXTRWZmri addr:{ *:[iPTR] }:$dst, (COPY_TO_REGCLASS:{ *:[v8i16] } FR16:{ *:[f16] }:$src, VR128:{ *:[i32] }), 0:{ *:[i8] })
     /*  70059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  70062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  70066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  70071 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // src
     /*  70075 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR128RegClassID),
     /*  70080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPEXTRWZmri),
     /*  70083 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70087 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  70090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  70093 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  70097 */   GIR_RootConstrainSelectedInstOperands,
     /*  70098 */   // GIR_Coverage, 21839,
     /*  70098 */   GIR_EraseRootFromParent_Done,
     /*  70099 */ // Label 1607: @70099
     /*  70099 */ GIM_Reject,
     /*  70100 */ // Label 1475: @70100
     /*  70100 */ GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(70192), // Rule ID 22492 //
     /*  70105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  70108 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70111 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70118 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70122 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70126 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70130 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70134 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70138 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70142 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70145 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70152 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70156 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  70160 */   // MIs[0] dst
     /*  70160 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70165 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70167 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70174 */   // (atomic_store (add:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, 1:{ *:[i32] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (INC32m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  70174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC32m),
     /*  70177 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70181 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70184 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70190 */   GIR_RootConstrainSelectedInstOperands,
     /*  70191 */   // GIR_Coverage, 22492,
     /*  70191 */   GIR_EraseRootFromParent_Done,
     /*  70192 */ // Label 1608: @70192
     /*  70192 */ GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(70284), // Rule ID 22496 //
     /*  70197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  70200 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70203 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70210 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70214 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70218 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70222 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70226 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70230 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70234 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70237 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70244 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70248 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70252 */   // MIs[0] dst
     /*  70252 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70257 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70259 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70266 */   // (atomic_store (add:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, -1:{ *:[i32] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (DEC32m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  70266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC32m),
     /*  70269 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70273 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70276 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70282 */   GIR_RootConstrainSelectedInstOperands,
     /*  70283 */   // GIR_Coverage, 22496,
     /*  70283 */   GIR_EraseRootFromParent_Done,
     /*  70284 */ // Label 1609: @70284
     /*  70284 */ GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(70373), // Rule ID 22500 //
     /*  70289 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70292 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70299 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70303 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  70307 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70311 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70315 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  70319 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70323 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70327 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70330 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70337 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70341 */   // MIs[0] dst
     /*  70341 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70346 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70348 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70355 */   // (atomic_store (sub:{ *:[i32] } 0:{ *:[i32] }, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (NEG32m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  70355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32m),
     /*  70358 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70362 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70365 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70371 */   GIR_RootConstrainSelectedInstOperands,
     /*  70372 */   // GIR_Coverage, 22500,
     /*  70372 */   GIR_EraseRootFromParent_Done,
     /*  70373 */ // Label 1610: @70373
     /*  70373 */ GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(70459), // Rule ID 22504 //
     /*  70378 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70381 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70388 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70392 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70396 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70400 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70404 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70408 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70412 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  70415 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  70422 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70426 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70430 */   // MIs[0] dst
     /*  70430 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70435 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70437 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70444 */   // (atomic_store (xor:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, -1:{ *:[i32] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (NOT32m addr:{ *:[iPTR] }:$dst)
     /*  70444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32m),
     /*  70447 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70451 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70457 */   GIR_RootConstrainSelectedInstOperands,
     /*  70458 */   // GIR_Coverage, 22504,
     /*  70458 */   GIR_EraseRootFromParent_Done,
     /*  70459 */ // Label 1611: @70459
     /*  70459 */ GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(70545), // Rule ID 227 //
     /*  70464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  70467 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70470 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70474 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70478 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70482 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70486 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70490 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70494 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70498 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70501 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70505 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70509 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  70513 */   // MIs[0] src1
     /*  70513 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70518 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70520 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70527 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 1:{ *:[i32] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (INC32m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  70527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC32m),
     /*  70530 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  70534 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70537 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70543 */   GIR_RootConstrainSelectedInstOperands,
     /*  70544 */   // GIR_Coverage, 227,
     /*  70544 */   GIR_EraseRootFromParent_Done,
     /*  70545 */ // Label 1612: @70545
     /*  70545 */ GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(70631), // Rule ID 230 //
     /*  70550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  70553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70560 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70568 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70572 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70576 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70580 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70584 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70587 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70591 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70595 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  70599 */   // MIs[0] src1
     /*  70599 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70604 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70606 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70613 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, -1:{ *:[i32] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (DEC32m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  70613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC32m),
     /*  70616 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  70620 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70623 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70629 */   GIR_RootConstrainSelectedInstOperands,
     /*  70630 */   // GIR_Coverage, 230,
     /*  70630 */   GIR_EraseRootFromParent_Done,
     /*  70631 */ // Label 1613: @70631
     /*  70631 */ GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(70724), // Rule ID 22612 //
     /*  70636 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70639 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70643 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70647 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  70651 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70655 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70659 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70663 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70667 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70670 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70674 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70678 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(128),
     /*  70689 */   // MIs[0] dst
     /*  70689 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70694 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70696 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70703 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 128:{ *:[i32] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, -128:{ *:[i32] })
     /*  70703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mi),
     /*  70706 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*  70713 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70716 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70722 */   GIR_RootConstrainSelectedInstOperands,
     /*  70723 */   // GIR_Coverage, 22612,
     /*  70723 */   GIR_EraseRootFromParent_Done,
     /*  70724 */ // Label 1614: @70724
     /*  70724 */ GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(70807), // Rule ID 17613 //
     /*  70729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70736 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70740 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  70744 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70748 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  70752 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70756 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70760 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70763 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70767 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70771 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 31,
     /*  70775 */   // MIs[0] dst
     /*  70775 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70780 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70782 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70789 */   // (st (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 31:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR32m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  70789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32m1),
     /*  70792 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70796 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70799 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70805 */   GIR_RootConstrainSelectedInstOperands,
     /*  70806 */   // GIR_Coverage, 17613,
     /*  70806 */   GIR_EraseRootFromParent_Done,
     /*  70807 */ // Label 1615: @70807
     /*  70807 */ GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(70890), // Rule ID 17617 //
     /*  70812 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70815 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70819 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70823 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  70827 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70831 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  70835 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70839 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70843 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70846 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70850 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70854 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 31,
     /*  70858 */   // MIs[0] dst
     /*  70858 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70863 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70865 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70872 */   // (st (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 31:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL32m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  70872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32m1),
     /*  70875 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  70879 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70882 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70888 */   GIR_RootConstrainSelectedInstOperands,
     /*  70889 */   // GIR_Coverage, 17617,
     /*  70889 */   GIR_EraseRootFromParent_Done,
     /*  70890 */ // Label 1616: @70890
     /*  70890 */ GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(70973), // Rule ID 263 //
     /*  70895 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70898 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70902 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70906 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  70910 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70914 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  70918 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  70922 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70926 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  70930 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70933 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  70937 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  70941 */   // MIs[0] src1
     /*  70941 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70946 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70948 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  70955 */   // (st (sub:{ *:[i32] } 0:{ *:[i32] }, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NEG32m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  70955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG32m),
     /*  70958 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  70962 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  70965 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  70971 */   GIR_RootConstrainSelectedInstOperands,
     /*  70972 */   // GIR_Coverage, 263,
     /*  70972 */   GIR_EraseRootFromParent_Done,
     /*  70973 */ // Label 1617: @70973
     /*  70973 */ GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(71053), // Rule ID 271 //
     /*  70978 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  70981 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  70985 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  70989 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70993 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  70997 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71001 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71005 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71009 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71012 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71016 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  71020 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  71024 */   // MIs[0] src1
     /*  71024 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71029 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71031 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71038 */   // (st (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, -1:{ *:[i32] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NOT32m addr:{ *:[iPTR] }:$src1)
     /*  71038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT32m),
     /*  71041 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71045 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  71051 */   GIR_RootConstrainSelectedInstOperands,
     /*  71052 */   // GIR_Coverage, 271,
     /*  71052 */   GIR_EraseRootFromParent_Done,
     /*  71053 */ // Label 1618: @71053
     /*  71053 */ GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(71148), // Rule ID 415 //
     /*  71058 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71061 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71065 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71069 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  71073 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71077 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71081 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71085 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71089 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71092 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71096 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71100 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71104 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71108 */   // MIs[3] Operand 1
     /*  71108 */   // No operand predicates
     /*  71108 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71112 */   // MIs[0] src1
     /*  71112 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71117 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71119 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71126 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mi),
     /*  71129 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71133 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71136 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71139 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71146 */   GIR_RootConstrainSelectedInstOperands,
     /*  71147 */   // GIR_Coverage, 415,
     /*  71147 */   GIR_EraseRootFromParent_Done,
     /*  71148 */ // Label 1619: @71148
     /*  71148 */ GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(71243), // Rule ID 307 //
     /*  71153 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71156 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71160 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71164 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71168 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71172 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71176 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71180 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71184 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71187 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71191 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71195 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71199 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71203 */   // MIs[3] Operand 1
     /*  71203 */   // No operand predicates
     /*  71203 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71207 */   // MIs[0] src1
     /*  71207 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71212 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71214 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71221 */   // (st (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mi),
     /*  71224 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71228 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71231 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71234 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71241 */   GIR_RootConstrainSelectedInstOperands,
     /*  71242 */   // GIR_Coverage, 307,
     /*  71242 */   GIR_EraseRootFromParent_Done,
     /*  71243 */ // Label 1620: @71243
     /*  71243 */ GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(71338), // Rule ID 343 //
     /*  71248 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71251 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71255 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71259 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  71263 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71267 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71271 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71275 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71279 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71282 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71286 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71290 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71294 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71298 */   // MIs[3] Operand 1
     /*  71298 */   // No operand predicates
     /*  71298 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71302 */   // MIs[0] src1
     /*  71302 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71307 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71309 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71316 */   // (st (or:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mi),
     /*  71319 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71323 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71326 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71329 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71336 */   GIR_RootConstrainSelectedInstOperands,
     /*  71337 */   // GIR_Coverage, 343,
     /*  71337 */   GIR_EraseRootFromParent_Done,
     /*  71338 */ // Label 1621: @71338
     /*  71338 */ GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(71433), // Rule ID 455 //
     /*  71343 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71346 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71350 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71354 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  71358 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71362 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71366 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71370 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71374 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71377 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71381 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71385 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71389 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71393 */   // MIs[3] Operand 1
     /*  71393 */   // No operand predicates
     /*  71393 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71397 */   // MIs[0] src1
     /*  71397 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71402 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71404 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71411 */   // (st (sub:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mi),
     /*  71414 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71418 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71421 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71424 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71431 */   GIR_RootConstrainSelectedInstOperands,
     /*  71432 */   // GIR_Coverage, 455,
     /*  71432 */   GIR_EraseRootFromParent_Done,
     /*  71433 */ // Label 1622: @71433
     /*  71433 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(71528), // Rule ID 379 //
     /*  71438 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71441 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  71445 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71449 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71453 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71457 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71461 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71465 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71469 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  71472 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  71476 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71480 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71484 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71488 */   // MIs[3] Operand 1
     /*  71488 */   // No operand predicates
     /*  71488 */   GIM_CheckCxxInsnPredicate, /*MI*/3, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  71492 */   // MIs[0] src1
     /*  71492 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71497 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71499 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71506 */   // (st (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i32] }):$src2)
     /*  71506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mi),
     /*  71509 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  71513 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  71516 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71519 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71526 */   GIR_RootConstrainSelectedInstOperands,
     /*  71527 */   // GIR_Coverage, 379,
     /*  71527 */   GIR_EraseRootFromParent_Done,
     /*  71528 */ // Label 1623: @71528
     /*  71528 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(71625), // Rule ID 22428 //
     /*  71533 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71536 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71543 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71547 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  71551 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71555 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71559 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71563 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71567 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71570 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71577 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71581 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71585 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71589 */   // MIs[3] Operand 1
     /*  71589 */   // No operand predicates
     /*  71589 */   // MIs[0] dst
     /*  71589 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71594 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71596 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71603 */   // (atomic_store (add:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (ADD32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  71603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mi),
     /*  71606 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  71610 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  71613 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71616 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71623 */   GIR_RootConstrainSelectedInstOperands,
     /*  71624 */   // GIR_Coverage, 22428,
     /*  71624 */   GIR_EraseRootFromParent_Done,
     /*  71625 */ // Label 1624: @71625
     /*  71625 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(71722), // Rule ID 22436 //
     /*  71630 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71633 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71640 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71644 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71648 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71652 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71656 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71660 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71664 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71667 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71674 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71678 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71682 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71686 */   // MIs[3] Operand 1
     /*  71686 */   // No operand predicates
     /*  71686 */   // MIs[0] dst
     /*  71686 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71691 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71693 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71700 */   // (atomic_store (and:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (AND32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  71700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mi),
     /*  71703 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  71707 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  71710 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71713 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71720 */   GIR_RootConstrainSelectedInstOperands,
     /*  71721 */   // GIR_Coverage, 22436,
     /*  71721 */   GIR_EraseRootFromParent_Done,
     /*  71722 */ // Label 1625: @71722
     /*  71722 */ GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(71819), // Rule ID 22444 //
     /*  71727 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71730 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71737 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71741 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  71745 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71749 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71753 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71757 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71761 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71764 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71771 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71775 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71779 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71783 */   // MIs[3] Operand 1
     /*  71783 */   // No operand predicates
     /*  71783 */   // MIs[0] dst
     /*  71783 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71788 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71790 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71797 */   // (atomic_store (or:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (OR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  71797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mi),
     /*  71800 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  71804 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  71807 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71810 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71817 */   GIR_RootConstrainSelectedInstOperands,
     /*  71818 */   // GIR_Coverage, 22444,
     /*  71818 */   GIR_EraseRootFromParent_Done,
     /*  71819 */ // Label 1626: @71819
     /*  71819 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(71916), // Rule ID 22460 //
     /*  71824 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71827 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71834 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71838 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  71842 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71846 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71850 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71854 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71858 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71861 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71868 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71872 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71876 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71880 */   // MIs[3] Operand 1
     /*  71880 */   // No operand predicates
     /*  71880 */   // MIs[0] dst
     /*  71880 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71885 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71887 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71894 */   // (atomic_store (sub:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (SUB32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  71894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mi),
     /*  71897 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  71901 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  71904 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  71907 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  71914 */   GIR_RootConstrainSelectedInstOperands,
     /*  71915 */   // GIR_Coverage, 22460,
     /*  71915 */   GIR_EraseRootFromParent_Done,
     /*  71916 */ // Label 1627: @71916
     /*  71916 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(72013), // Rule ID 22452 //
     /*  71921 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71924 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71931 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  71935 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71939 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  71943 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  71947 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71951 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  71955 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  71958 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  71965 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  71969 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  71973 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71977 */   // MIs[3] Operand 1
     /*  71977 */   // No operand predicates
     /*  71977 */   // MIs[0] dst
     /*  71977 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71982 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  71984 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  71991 */   // (atomic_store (xor:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, (imm:{ *:[i32] }):$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (XOR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  71991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mi),
     /*  71994 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  71998 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  72001 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72004 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72011 */   GIR_RootConstrainSelectedInstOperands,
     /*  72012 */   // GIR_Coverage, 22452,
     /*  72012 */   GIR_EraseRootFromParent_Done,
     /*  72013 */ // Label 1628: @72013
     /*  72013 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(72117), // Rule ID 833 //
     /*  72018 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72021 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72025 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72029 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHL),
     /*  72033 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72037 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72041 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  72045 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72049 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72053 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72056 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72060 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72064 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  72069 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  72073 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72077 */   // MIs[3] Operand 1
     /*  72077 */   // No operand predicates
     /*  72077 */   // MIs[0] src1
     /*  72077 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72082 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72084 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72091 */   // (st (fshl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHLD32mri8:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /*  72091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32mri8),
     /*  72094 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72098 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  72102 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src3
     /*  72105 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72108 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72115 */   GIR_RootConstrainSelectedInstOperands,
     /*  72116 */   // GIR_Coverage, 833,
     /*  72116 */   GIR_EraseRootFromParent_Done,
     /*  72117 */ // Label 1629: @72117
     /*  72117 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(72221), // Rule ID 857 //
     /*  72122 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72125 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72129 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72133 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHR),
     /*  72137 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72141 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72145 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  72149 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  72154 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72158 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72162 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72165 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72169 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72173 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  72177 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72181 */   // MIs[3] Operand 1
     /*  72181 */   // No operand predicates
     /*  72181 */   // MIs[0] src1
     /*  72181 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72186 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72188 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72195 */   // (st (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src3), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHRD32mri8:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /*  72195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32mri8),
     /*  72198 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72202 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  72206 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src3
     /*  72209 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72212 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72219 */   GIR_RootConstrainSelectedInstOperands,
     /*  72220 */   // GIR_Coverage, 857,
     /*  72220 */   GIR_EraseRootFromParent_Done,
     /*  72221 */ // Label 1630: @72221
     /*  72221 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(72312), // Rule ID 734 //
     /*  72226 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72229 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72233 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72237 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  72241 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72245 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72249 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72253 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72257 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72260 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72264 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72268 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72272 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72276 */   // MIs[3] Operand 1
     /*  72276 */   // No operand predicates
     /*  72276 */   // MIs[0] src1
     /*  72276 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72281 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72283 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72290 */   // (st (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32mi),
     /*  72293 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72297 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72300 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72303 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72310 */   GIR_RootConstrainSelectedInstOperands,
     /*  72311 */   // GIR_Coverage, 734,
     /*  72311 */   GIR_EraseRootFromParent_Done,
     /*  72312 */ // Label 1631: @72312
     /*  72312 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(72403), // Rule ID 702 //
     /*  72317 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72320 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72324 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72328 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  72332 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72336 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72340 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72344 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72348 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72351 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72355 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72359 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72363 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72367 */   // MIs[3] Operand 1
     /*  72367 */   // No operand predicates
     /*  72367 */   // MIs[0] src1
     /*  72367 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72372 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72374 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72381 */   // (st (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32mi),
     /*  72384 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72388 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72391 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72394 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72401 */   GIR_RootConstrainSelectedInstOperands,
     /*  72402 */   // GIR_Coverage, 702,
     /*  72402 */   GIR_EraseRootFromParent_Done,
     /*  72403 */ // Label 1632: @72403
     /*  72403 */ GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(72494), // Rule ID 766 //
     /*  72408 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72411 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72415 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72419 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  72423 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72427 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72431 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72435 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72439 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72442 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72446 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72450 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72454 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72458 */   // MIs[3] Operand 1
     /*  72458 */   // No operand predicates
     /*  72458 */   // MIs[0] src1
     /*  72458 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72463 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72465 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72472 */   // (st (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32mi),
     /*  72475 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72479 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72482 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72485 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72492 */   GIR_RootConstrainSelectedInstOperands,
     /*  72493 */   // GIR_Coverage, 766,
     /*  72493 */   GIR_EraseRootFromParent_Done,
     /*  72494 */ // Label 1633: @72494
     /*  72494 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(72585), // Rule ID 798 //
     /*  72499 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72502 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72506 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72510 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  72514 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72518 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72522 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72526 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72530 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72533 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72537 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72541 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72545 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72549 */   // MIs[3] Operand 1
     /*  72549 */   // No operand predicates
     /*  72549 */   // MIs[0] src1
     /*  72549 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72554 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72556 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72563 */   // (st (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32mi),
     /*  72566 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72570 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72573 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72576 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72583 */   GIR_RootConstrainSelectedInstOperands,
     /*  72584 */   // GIR_Coverage, 798,
     /*  72584 */   GIR_EraseRootFromParent_Done,
     /*  72585 */ // Label 1634: @72585
     /*  72585 */ GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(72676), // Rule ID 670 //
     /*  72590 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72593 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  72597 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72601 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  72605 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72609 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  72613 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72617 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72621 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  72624 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72628 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  72632 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  72636 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72640 */   // MIs[3] Operand 1
     /*  72640 */   // No operand predicates
     /*  72640 */   // MIs[0] src1
     /*  72640 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72645 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  72647 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72654 */   // (st (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  72654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32mi),
     /*  72657 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  72661 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  72664 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72667 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  72674 */   GIR_RootConstrainSelectedInstOperands,
     /*  72675 */   // GIR_Coverage, 670,
     /*  72675 */   GIR_EraseRootFromParent_Done,
     /*  72676 */ // Label 1635: @72676
     /*  72676 */ GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(72770), // Rule ID 22432 //
     /*  72681 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72684 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72691 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72695 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  72699 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72703 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72707 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72711 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72715 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72718 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72725 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72729 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  72734 */   // MIs[0] dst
     /*  72734 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72739 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72741 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72748 */   // (atomic_store (add:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (ADD32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  72748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mr),
     /*  72751 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  72755 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  72759 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72762 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  72768 */   GIR_RootConstrainSelectedInstOperands,
     /*  72769 */   // GIR_Coverage, 22432,
     /*  72769 */   GIR_EraseRootFromParent_Done,
     /*  72770 */ // Label 1636: @72770
     /*  72770 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(72864), // Rule ID 26001 //
     /*  72775 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72778 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72785 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72789 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  72793 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72797 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72801 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  72806 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72810 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72814 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72817 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72824 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72828 */   // MIs[0] dst
     /*  72828 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72833 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72835 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72842 */   // (atomic_store (add:{ *:[i32] } GR32:{ *:[i32] }:$src, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (ADD32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  72842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mr),
     /*  72845 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  72849 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  72853 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72856 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  72862 */   GIR_RootConstrainSelectedInstOperands,
     /*  72863 */   // GIR_Coverage, 26001,
     /*  72863 */   GIR_EraseRootFromParent_Done,
     /*  72864 */ // Label 1637: @72864
     /*  72864 */ GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(72958), // Rule ID 22440 //
     /*  72869 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72872 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72879 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72883 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72887 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72891 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72895 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  72899 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  72903 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72906 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72913 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  72917 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  72922 */   // MIs[0] dst
     /*  72922 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  72927 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72929 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  72936 */   // (atomic_store (and:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (AND32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  72936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mr),
     /*  72939 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  72943 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  72947 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  72950 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  72956 */   GIR_RootConstrainSelectedInstOperands,
     /*  72957 */   // GIR_Coverage, 22440,
     /*  72957 */   GIR_EraseRootFromParent_Done,
     /*  72958 */ // Label 1638: @72958
     /*  72958 */ GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(73052), // Rule ID 26005 //
     /*  72963 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  72966 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  72973 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  72977 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72981 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72985 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72989 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  72994 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72998 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73002 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73005 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73012 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73016 */   // MIs[0] dst
     /*  73016 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73021 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73023 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73030 */   // (atomic_store (and:{ *:[i32] } GR32:{ *:[i32] }:$src, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (AND32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mr),
     /*  73033 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73037 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  73041 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73044 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73050 */   GIR_RootConstrainSelectedInstOperands,
     /*  73051 */   // GIR_Coverage, 26005,
     /*  73051 */   GIR_EraseRootFromParent_Done,
     /*  73052 */ // Label 1639: @73052
     /*  73052 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(73146), // Rule ID 22448 //
     /*  73057 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73060 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73067 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73071 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  73075 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73079 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73083 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73087 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73091 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73094 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73101 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73105 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73110 */   // MIs[0] dst
     /*  73110 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73115 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73117 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73124 */   // (atomic_store (or:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (OR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mr),
     /*  73127 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73131 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  73135 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73138 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73144 */   GIR_RootConstrainSelectedInstOperands,
     /*  73145 */   // GIR_Coverage, 22448,
     /*  73145 */   GIR_EraseRootFromParent_Done,
     /*  73146 */ // Label 1640: @73146
     /*  73146 */ GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(73240), // Rule ID 26009 //
     /*  73151 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73154 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73161 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73165 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  73169 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73173 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73177 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73182 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73186 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73190 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73193 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73200 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73204 */   // MIs[0] dst
     /*  73204 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73209 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73211 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73218 */   // (atomic_store (or:{ *:[i32] } GR32:{ *:[i32] }:$src, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (OR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mr),
     /*  73221 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73225 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  73229 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73232 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73238 */   GIR_RootConstrainSelectedInstOperands,
     /*  73239 */   // GIR_Coverage, 26009,
     /*  73239 */   GIR_EraseRootFromParent_Done,
     /*  73240 */ // Label 1641: @73240
     /*  73240 */ GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(73334), // Rule ID 22464 //
     /*  73245 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73248 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73255 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73259 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  73263 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73267 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73271 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73275 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73279 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73282 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73289 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73293 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73298 */   // MIs[0] dst
     /*  73298 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73303 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73305 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73312 */   // (atomic_store (sub:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (SUB32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mr),
     /*  73315 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73319 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  73323 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73326 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73332 */   GIR_RootConstrainSelectedInstOperands,
     /*  73333 */   // GIR_Coverage, 22464,
     /*  73333 */   GIR_EraseRootFromParent_Done,
     /*  73334 */ // Label 1642: @73334
     /*  73334 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(73428), // Rule ID 22456 //
     /*  73339 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73342 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73349 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73353 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73357 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73361 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73365 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73369 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73373 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73376 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73383 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73387 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73392 */   // MIs[0] dst
     /*  73392 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73397 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73399 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73406 */   // (atomic_store (xor:{ *:[i32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>, GR32:{ *:[i32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (XOR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mr),
     /*  73409 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73413 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  73417 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73420 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73426 */   GIR_RootConstrainSelectedInstOperands,
     /*  73427 */   // GIR_Coverage, 22456,
     /*  73427 */   GIR_EraseRootFromParent_Done,
     /*  73428 */ // Label 1643: @73428
     /*  73428 */ GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(73522), // Rule ID 26013 //
     /*  73433 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73436 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73443 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73447 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73451 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73455 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73459 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73464 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73468 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73472 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  73475 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  73482 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73486 */   // MIs[0] dst
     /*  73486 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73491 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73493 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73500 */   // (atomic_store (xor:{ *:[i32] } GR32:{ *:[i32] }:$src, (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_32>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (XOR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  73500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mr),
     /*  73503 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  73507 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  73511 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73514 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73520 */   GIR_RootConstrainSelectedInstOperands,
     /*  73521 */   // GIR_Coverage, 26013,
     /*  73521 */   GIR_EraseRootFromParent_Done,
     /*  73522 */ // Label 1644: @73522
     /*  73522 */ GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(73633), // Rule ID 836 //
     /*  73527 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73530 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  73534 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73538 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHL),
     /*  73542 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73546 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73550 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  73554 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73558 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73562 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73565 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73569 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  73573 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73578 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  73583 */   // MIs[0] src1
     /*  73583 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73588 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73590 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73597 */   // (st (fshl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src2, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHLD32mrCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  73597 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73601 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73607 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // CL
     /*  73611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32mrCL),
     /*  73614 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  73618 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  73622 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73625 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73631 */   GIR_RootConstrainSelectedInstOperands,
     /*  73632 */   // GIR_Coverage, 836,
     /*  73632 */   GIR_EraseRootFromParent_Done,
     /*  73633 */ // Label 1645: @73633
     /*  73633 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(73744), // Rule ID 860 //
     /*  73638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73641 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  73645 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73649 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHR),
     /*  73653 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73657 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73661 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  73665 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73670 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73674 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73678 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73681 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73685 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  73689 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  73694 */   // MIs[0] src1
     /*  73694 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73699 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73701 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73708 */   // (st (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHRD32mrCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  73708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  73712 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  73718 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // CL
     /*  73722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32mrCL),
     /*  73725 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  73729 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  73733 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73736 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73742 */   GIR_RootConstrainSelectedInstOperands,
     /*  73743 */   // GIR_Coverage, 860,
     /*  73743 */   GIR_EraseRootFromParent_Done,
     /*  73744 */ // Label 1646: @73744
     /*  73744 */ GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(73832), // Rule ID 411 //
     /*  73749 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73752 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  73756 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73760 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  73764 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73768 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73772 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73776 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73780 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73783 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73787 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73791 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73796 */   // MIs[0] src1
     /*  73796 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73801 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73803 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73810 */   // (st (add:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  73810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mr),
     /*  73813 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  73817 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  73821 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73824 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73830 */   GIR_RootConstrainSelectedInstOperands,
     /*  73831 */   // GIR_Coverage, 411,
     /*  73831 */   GIR_EraseRootFromParent_Done,
     /*  73832 */ // Label 1647: @73832
     /*  73832 */ GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(73920), // Rule ID 23221 //
     /*  73837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  73844 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73848 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  73852 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73856 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73860 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73865 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73869 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73873 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73876 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73880 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73884 */   // MIs[0] src1
     /*  73884 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73889 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73891 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73898 */   // (st (add:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  73898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32mr),
     /*  73901 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  73905 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  73909 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  73912 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  73918 */   GIR_RootConstrainSelectedInstOperands,
     /*  73919 */   // GIR_Coverage, 23221,
     /*  73919 */   GIR_EraseRootFromParent_Done,
     /*  73920 */ // Label 1648: @73920
     /*  73920 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(74008), // Rule ID 303 //
     /*  73925 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73928 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  73932 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  73936 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73940 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73944 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73948 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  73952 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  73956 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  73959 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  73963 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  73967 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  73972 */   // MIs[0] src1
     /*  73972 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  73977 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  73979 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  73986 */   // (st (and:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  73986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mr),
     /*  73989 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  73993 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  73997 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74000 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74006 */   GIR_RootConstrainSelectedInstOperands,
     /*  74007 */   // GIR_Coverage, 303,
     /*  74007 */   GIR_EraseRootFromParent_Done,
     /*  74008 */ // Label 1649: @74008
     /*  74008 */ GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(74096), // Rule ID 23185 //
     /*  74013 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74016 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74020 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74024 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74028 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74032 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74036 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74041 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74045 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74049 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74052 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74056 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74060 */   // MIs[0] src1
     /*  74060 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74065 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74067 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74074 */   // (st (and:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND32mr),
     /*  74077 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74081 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  74085 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74088 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74094 */   GIR_RootConstrainSelectedInstOperands,
     /*  74095 */   // GIR_Coverage, 23185,
     /*  74095 */   GIR_EraseRootFromParent_Done,
     /*  74096 */ // Label 1650: @74096
     /*  74096 */ GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(74194), // Rule ID 750 //
     /*  74101 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74104 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74108 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74112 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  74116 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74120 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74124 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74128 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74132 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74135 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74139 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74143 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74148 */   // MIs[0] src1
     /*  74148 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74153 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74155 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74162 */   // (st (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74162 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74166 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74172 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  74176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32mCL),
     /*  74179 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74183 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74186 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74192 */   GIR_RootConstrainSelectedInstOperands,
     /*  74193 */   // GIR_Coverage, 750,
     /*  74193 */   GIR_EraseRootFromParent_Done,
     /*  74194 */ // Label 1651: @74194
     /*  74194 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(74292), // Rule ID 718 //
     /*  74199 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74202 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74206 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74210 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  74214 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74218 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74222 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74226 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74230 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74233 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74237 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74241 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74246 */   // MIs[0] src1
     /*  74246 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74251 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74253 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74260 */   // (st (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74260 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74264 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74270 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  74274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32mCL),
     /*  74277 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74281 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74284 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74290 */   GIR_RootConstrainSelectedInstOperands,
     /*  74291 */   // GIR_Coverage, 718,
     /*  74291 */   GIR_EraseRootFromParent_Done,
     /*  74292 */ // Label 1652: @74292
     /*  74292 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(74380), // Rule ID 339 //
     /*  74297 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74300 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74304 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74308 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  74312 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74316 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74320 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74324 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74328 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74331 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74335 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74339 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74344 */   // MIs[0] src1
     /*  74344 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74349 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74351 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74358 */   // (st (or:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mr),
     /*  74361 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74365 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  74369 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74372 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74378 */   GIR_RootConstrainSelectedInstOperands,
     /*  74379 */   // GIR_Coverage, 339,
     /*  74379 */   GIR_EraseRootFromParent_Done,
     /*  74380 */ // Label 1653: @74380
     /*  74380 */ GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(74468), // Rule ID 23197 //
     /*  74385 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74388 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74392 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74396 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  74400 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74404 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74408 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74413 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74417 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74421 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74424 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74428 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74432 */   // MIs[0] src1
     /*  74432 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74437 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74439 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74446 */   // (st (or:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR32mr),
     /*  74449 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74453 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  74457 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74460 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74466 */   GIR_RootConstrainSelectedInstOperands,
     /*  74467 */   // GIR_Coverage, 23197,
     /*  74467 */   GIR_EraseRootFromParent_Done,
     /*  74468 */ // Label 1654: @74468
     /*  74468 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(74566), // Rule ID 782 //
     /*  74473 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74476 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74480 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74484 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  74488 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74492 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74496 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74500 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74504 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74507 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74511 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74515 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74520 */   // MIs[0] src1
     /*  74520 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74525 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74527 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74534 */   // (st (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74534 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74538 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74544 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  74548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32mCL),
     /*  74551 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74555 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74558 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74564 */   GIR_RootConstrainSelectedInstOperands,
     /*  74565 */   // GIR_Coverage, 782,
     /*  74565 */   GIR_EraseRootFromParent_Done,
     /*  74566 */ // Label 1655: @74566
     /*  74566 */ GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(74664), // Rule ID 814 //
     /*  74571 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74574 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74578 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74582 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  74586 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74590 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74594 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74598 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74602 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74605 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74609 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74613 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74618 */   // MIs[0] src1
     /*  74618 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74623 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74625 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74632 */   // (st (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74632 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74636 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74642 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  74646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32mCL),
     /*  74649 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74653 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74656 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74662 */   GIR_RootConstrainSelectedInstOperands,
     /*  74663 */   // GIR_Coverage, 814,
     /*  74663 */   GIR_EraseRootFromParent_Done,
     /*  74664 */ // Label 1656: @74664
     /*  74664 */ GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(74762), // Rule ID 686 //
     /*  74669 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74672 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74676 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  74684 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74688 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  74692 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74696 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74700 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74703 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74707 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /*  74711 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  74716 */   // MIs[0] src1
     /*  74716 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74721 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74723 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74730 */   // (st (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL32mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  74730 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  74734 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  74740 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  74744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32mCL),
     /*  74747 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74751 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74754 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74760 */   GIR_RootConstrainSelectedInstOperands,
     /*  74761 */   // GIR_Coverage, 686,
     /*  74761 */   GIR_EraseRootFromParent_Done,
     /*  74762 */ // Label 1657: @74762
     /*  74762 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(74850), // Rule ID 447 //
     /*  74767 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74770 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74774 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74778 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  74782 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74786 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74790 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74794 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74798 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74801 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74805 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74809 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74814 */   // MIs[0] src1
     /*  74814 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74819 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74821 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74828 */   // (st (sub:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB32mr),
     /*  74831 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74835 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  74839 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74842 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74848 */   GIR_RootConstrainSelectedInstOperands,
     /*  74849 */   // GIR_Coverage, 447,
     /*  74849 */   GIR_EraseRootFromParent_Done,
     /*  74850 */ // Label 1658: @74850
     /*  74850 */ GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(74938), // Rule ID 375 //
     /*  74855 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74858 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74862 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74866 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74870 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74874 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74878 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74882 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74886 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74889 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74893 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74897 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74902 */   // MIs[0] src1
     /*  74902 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74907 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74909 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  74916 */   // (st (xor:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR32:{ *:[i32] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  74916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mr),
     /*  74919 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  74923 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  74927 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  74930 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  74936 */   GIR_RootConstrainSelectedInstOperands,
     /*  74937 */   // GIR_Coverage, 375,
     /*  74937 */   GIR_EraseRootFromParent_Done,
     /*  74938 */ // Label 1659: @74938
     /*  74938 */ GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(75026), // Rule ID 23209 //
     /*  74943 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74946 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  74950 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  74954 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74958 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  74962 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  74966 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  74971 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74975 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  74979 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  74982 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  74986 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  74990 */   // MIs[0] src1
     /*  74990 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  74995 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  74997 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75004 */   // (st (xor:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR32mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  75004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR32mr),
     /*  75007 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  75011 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  75015 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  75018 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  75024 */   GIR_RootConstrainSelectedInstOperands,
     /*  75025 */   // GIR_Coverage, 23209,
     /*  75025 */   GIR_EraseRootFromParent_Done,
     /*  75026 */ // Label 1660: @75026
     /*  75026 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(75080), // Rule ID 26 //
     /*  75031 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75034 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75038 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75042 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75046 */   // MIs[1] Operand 1
     /*  75046 */   // No operand predicates
     /*  75046 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_imm_su),
     /*  75050 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75054 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75056 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75063 */   // (st (imm:{ *:[i32] })<<P:Predicate_imm_su>>:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV32mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  75063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32mi),
     /*  75066 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75070 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  75073 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75078 */   GIR_RootConstrainSelectedInstOperands,
     /*  75079 */   // GIR_Coverage, 26,
     /*  75079 */   GIR_EraseRootFromParent_Done,
     /*  75080 */ // Label 1661: @75080
     /*  75080 */ GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(75146), // Rule ID 22518 //
     /*  75085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  75088 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75091 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75098 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75102 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  75106 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75110 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75115 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75119 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75121 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75128 */   // (atomic_store (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (MOVSSmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSSmr),
     /*  75131 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75135 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  75139 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75144 */   GIR_RootConstrainSelectedInstOperands,
     /*  75145 */   // GIR_Coverage, 22518,
     /*  75145 */   GIR_EraseRootFromParent_Done,
     /*  75146 */ // Label 1662: @75146
     /*  75146 */ GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(75212), // Rule ID 22519 //
     /*  75151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  75154 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75157 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75164 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75168 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  75172 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75176 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75181 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75185 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75187 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75194 */   // (atomic_store (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (VMOVSSmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSmr),
     /*  75197 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75201 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  75205 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75210 */   GIR_RootConstrainSelectedInstOperands,
     /*  75211 */   // GIR_Coverage, 22519,
     /*  75211 */   GIR_EraseRootFromParent_Done,
     /*  75212 */ // Label 1663: @75212
     /*  75212 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(75278), // Rule ID 22520 //
     /*  75217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  75220 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75223 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75230 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75234 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  75238 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75242 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75247 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75251 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75253 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75260 */   // (atomic_store (bitconvert:{ *:[i32] } FR32:{ *:[f32] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (VMOVSSZmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSZmr),
     /*  75263 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75267 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  75271 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75276 */   GIR_RootConstrainSelectedInstOperands,
     /*  75277 */   // GIR_Coverage, 22520,
     /*  75277 */   GIR_EraseRootFromParent_Done,
     /*  75278 */ // Label 1664: @75278
     /*  75278 */ GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(75331), // Rule ID 22508 //
     /*  75283 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75286 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75293 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75297 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  75301 */   // MIs[1] Operand 1
     /*  75301 */   // No operand predicates
     /*  75301 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75305 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75307 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75314 */   // (atomic_store (imm:{ *:[i32] }):$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (MOV32mi addr:{ *:[iPTR] }:$dst, (imm:{ *:[i32] }):$src)
     /*  75314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32mi),
     /*  75317 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75321 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  75324 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75329 */   GIR_RootConstrainSelectedInstOperands,
     /*  75330 */   // GIR_Coverage, 22508,
     /*  75330 */   GIR_EraseRootFromParent_Done,
     /*  75331 */ // Label 1665: @75331
     /*  75331 */ GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(75394), // Rule ID 52 //
     /*  75336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /*  75339 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75342 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75346 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75350 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  75354 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75358 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75363 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75367 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75369 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75376 */   // (st (bswap:{ *:[i32] } GR32:{ *:[i32] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE32mr addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src1)
     /*  75376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE32mr),
     /*  75379 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75383 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  75387 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75392 */   GIR_RootConstrainSelectedInstOperands,
     /*  75393 */   // GIR_Coverage, 52,
     /*  75393 */   GIR_EraseRootFromParent_Done,
     /*  75394 */ // Label 1666: @75394
     /*  75394 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(75457), // Rule ID 58 //
     /*  75399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /*  75402 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75405 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75409 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75413 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  75417 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  75421 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75426 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75430 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75432 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75439 */   // (st (bswap:{ *:[i32] } GR32:{ *:[i32] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE32mr_EVEX addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src1)
     /*  75439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE32mr_EVEX),
     /*  75442 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75446 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  75450 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  75455 */   GIR_RootConstrainSelectedInstOperands,
     /*  75456 */   // GIR_Coverage, 58,
     /*  75456 */   GIR_EraseRootFromParent_Done,
     /*  75457 */ // Label 1667: @75457
     /*  75457 */ GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(75502), // Rule ID 22512 //
     /*  75462 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75465 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  75472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75476 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75480 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75487 */   // (atomic_store GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_32>>  =>  (MOV32mr addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  75487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32mr),
     /*  75490 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75494 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75496 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75500 */   GIR_RootConstrainSelectedInstOperands,
     /*  75501 */   // GIR_Coverage, 22512,
     /*  75501 */   GIR_EraseRootFromParent_Done,
     /*  75502 */ // Label 1668: @75502
     /*  75502 */ GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(75544), // Rule ID 34 //
     /*  75507 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75510 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  75518 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75522 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75529 */   // (st GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV32mr addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /*  75529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32mr),
     /*  75532 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75536 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75538 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75542 */   GIR_RootConstrainSelectedInstOperands,
     /*  75543 */   // GIR_Coverage, 34,
     /*  75543 */   GIR_EraseRootFromParent_Done,
     /*  75544 */ // Label 1669: @75544
     /*  75544 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(75592), // Rule ID 1094 //
     /*  75549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /*  75552 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75555 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /*  75563 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75567 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75574 */   // (st RFP32:{ *:[f32] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST_Fp32m:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP32:{ *:[f32] }:$src)
     /*  75574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp32m),
     /*  75577 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  75581 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75583 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  75586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75590 */   GIR_RootConstrainSelectedInstOperands,
     /*  75591 */   // GIR_Coverage, 1094,
     /*  75591 */   GIR_EraseRootFromParent_Done,
     /*  75592 */ // Label 1670: @75592
     /*  75592 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(75637), // Rule ID 1687 //
     /*  75597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  75600 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75603 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75611 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75615 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75622 */   // (st FR32:{ *:[f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSSmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSmr),
     /*  75625 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75629 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75631 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75635 */   GIR_RootConstrainSelectedInstOperands,
     /*  75636 */   // GIR_Coverage, 1687,
     /*  75636 */   GIR_EraseRootFromParent_Done,
     /*  75637 */ // Label 1671: @75637
     /*  75637 */ GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(75682), // Rule ID 1689 //
     /*  75642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  75645 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75648 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /*  75656 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75660 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75667 */   // (st FR32:{ *:[f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVSSmr addr:{ *:[iPTR] }:$dst, FR32:{ *:[f32] }:$src)
     /*  75667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSSmr),
     /*  75670 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75674 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75676 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75680 */   GIR_RootConstrainSelectedInstOperands,
     /*  75681 */   // GIR_Coverage, 1689,
     /*  75681 */   GIR_EraseRootFromParent_Done,
     /*  75682 */ // Label 1672: @75682
     /*  75682 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(75727), // Rule ID 4609 //
     /*  75687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  75690 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  75693 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  75697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /*  75701 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  75705 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75712 */   // (st FR32X:{ *:[f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSSZmr addr:{ *:[iPTR] }:$dst, FR32X:{ *:[f32] }:$src)
     /*  75712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSSZmr),
     /*  75715 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75719 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  75721 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  75725 */   GIR_RootConstrainSelectedInstOperands,
     /*  75726 */   // GIR_Coverage, 4609,
     /*  75726 */   GIR_EraseRootFromParent_Done,
     /*  75727 */ // Label 1673: @75727
     /*  75727 */ GIM_Reject,
     /*  75728 */ // Label 1476: @75728
     /*  75728 */ GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(75820), // Rule ID 22493 //
     /*  75733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  75736 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75739 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  75746 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75750 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  75754 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  75758 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  75762 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75766 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  75770 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75773 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  75780 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  75784 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  75788 */   // MIs[0] dst
     /*  75788 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  75793 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  75795 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75802 */   // (atomic_store (add:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, 1:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (INC64m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  75802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC64m),
     /*  75805 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75809 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  75812 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  75818 */   GIR_RootConstrainSelectedInstOperands,
     /*  75819 */   // GIR_Coverage, 22493,
     /*  75819 */   GIR_EraseRootFromParent_Done,
     /*  75820 */ // Label 1674: @75820
     /*  75820 */ GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(75912), // Rule ID 22497 //
     /*  75825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseIncDec),
     /*  75828 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75831 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  75838 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75842 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  75846 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  75850 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  75854 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75858 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  75862 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75865 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  75872 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  75876 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  75880 */   // MIs[0] dst
     /*  75880 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  75885 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  75887 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75894 */   // (atomic_store (add:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, -1:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (DEC64m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  75894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC64m),
     /*  75897 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75901 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  75904 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  75910 */   GIR_RootConstrainSelectedInstOperands,
     /*  75911 */   // GIR_Coverage, 22497,
     /*  75911 */   GIR_EraseRootFromParent_Done,
     /*  75912 */ // Label 1675: @75912
     /*  75912 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(76001), // Rule ID 22501 //
     /*  75917 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75920 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  75927 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  75931 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  75935 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  75939 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  75943 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  75947 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75951 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  75955 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  75958 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  75965 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  75969 */   // MIs[0] dst
     /*  75969 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  75974 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  75976 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  75983 */   // (atomic_store (sub:{ *:[i64] } 0:{ *:[i64] }, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (NEG64m:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  75983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64m),
     /*  75986 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  75990 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  75993 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  75999 */   GIR_RootConstrainSelectedInstOperands,
     /*  76000 */   // GIR_Coverage, 22501,
     /*  76000 */   GIR_EraseRootFromParent_Done,
     /*  76001 */ // Label 1676: @76001
     /*  76001 */ GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(76087), // Rule ID 22505 //
     /*  76006 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76009 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76016 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76020 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76024 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76028 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76032 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76036 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76040 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76043 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76050 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76054 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  76058 */   // MIs[0] dst
     /*  76058 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76063 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76065 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76072 */   // (atomic_store (xor:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, -1:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (NOT64m addr:{ *:[iPTR] }:$dst)
     /*  76072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64m),
     /*  76075 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76079 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76085 */   GIR_RootConstrainSelectedInstOperands,
     /*  76086 */   // GIR_Coverage, 22505,
     /*  76086 */   GIR_EraseRootFromParent_Done,
     /*  76087 */ // Label 1677: @76087
     /*  76087 */ GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(76173), // Rule ID 231 //
     /*  76092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode_UseIncDec),
     /*  76095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76098 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76102 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76106 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76110 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76114 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76118 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76122 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76126 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76129 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76133 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76137 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*  76141 */   // MIs[0] src1
     /*  76141 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76146 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76148 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76155 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 1:{ *:[i64] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (INC64m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  76155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INC64m),
     /*  76158 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  76162 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76165 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76171 */   GIR_RootConstrainSelectedInstOperands,
     /*  76172 */   // GIR_Coverage, 231,
     /*  76172 */   GIR_EraseRootFromParent_Done,
     /*  76173 */ // Label 1678: @76173
     /*  76173 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(76259), // Rule ID 232 //
     /*  76178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode_UseIncDec),
     /*  76181 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76184 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76188 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76192 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76196 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76200 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76204 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76208 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76212 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76215 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76219 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76223 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  76227 */   // MIs[0] src1
     /*  76227 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76232 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76234 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76241 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, -1:{ *:[i64] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (DEC64m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  76241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DEC64m),
     /*  76244 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  76248 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76251 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76257 */   GIR_RootConstrainSelectedInstOperands,
     /*  76258 */   // GIR_Coverage, 232,
     /*  76258 */   GIR_EraseRootFromParent_Done,
     /*  76259 */ // Label 1679: @76259
     /*  76259 */ GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(76352), // Rule ID 22613 //
     /*  76264 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76267 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76271 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76275 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76279 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76283 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76287 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76291 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76295 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76298 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76302 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76306 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(128),
     /*  76317 */   // MIs[0] dst
     /*  76317 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76322 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76324 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76331 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 128:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, -128:{ *:[i64] })
     /*  76331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32),
     /*  76334 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-128),
     /*  76341 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76344 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76350 */   GIR_RootConstrainSelectedInstOperands,
     /*  76351 */   // GIR_Coverage, 22613,
     /*  76351 */   GIR_EraseRootFromParent_Done,
     /*  76352 */ // Label 1680: @76352
     /*  76352 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(76452), // Rule ID 22621 //
     /*  76357 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76360 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76364 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76368 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76372 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76376 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76380 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76384 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76388 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76391 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76395 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76399 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2147483648),
     /*  76410 */   // MIs[0] dst
     /*  76410 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76415 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76417 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76424 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 2147483648:{ *:[i64] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, -2147483648:{ *:[i64] })
     /*  76424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32),
     /*  76427 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76431 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(-2147483648),
     /*  76441 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76444 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76450 */   GIR_RootConstrainSelectedInstOperands,
     /*  76451 */   // GIR_Coverage, 22621,
     /*  76451 */   GIR_EraseRootFromParent_Done,
     /*  76452 */ // Label 1681: @76452
     /*  76452 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(76538), // Rule ID 17614 //
     /*  76457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  76460 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76463 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76467 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76471 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  76475 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76479 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  76483 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76487 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76491 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76494 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76498 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76502 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 63,
     /*  76506 */   // MIs[0] dst
     /*  76506 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76511 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76513 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76520 */   // (st (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 63:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR64m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  76520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64m1),
     /*  76523 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76527 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76530 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76536 */   GIR_RootConstrainSelectedInstOperands,
     /*  76537 */   // GIR_Coverage, 17614,
     /*  76537 */   GIR_EraseRootFromParent_Done,
     /*  76538 */ // Label 1682: @76538
     /*  76538 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(76624), // Rule ID 17618 //
     /*  76543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  76546 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76549 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76553 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76557 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  76561 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76565 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  76569 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76573 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76577 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76580 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76584 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76588 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 63,
     /*  76592 */   // MIs[0] dst
     /*  76592 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76597 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76599 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76606 */   // (st (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 63:{ *:[i8] }), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL64m1:{ *:[i32] } addr:{ *:[iPTR] }:$dst)
     /*  76606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64m1),
     /*  76609 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76613 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76616 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76622 */   GIR_RootConstrainSelectedInstOperands,
     /*  76623 */   // GIR_Coverage, 17618,
     /*  76623 */   GIR_EraseRootFromParent_Done,
     /*  76624 */ // Label 1683: @76624
     /*  76624 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(76710), // Rule ID 264 //
     /*  76629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  76632 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76635 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76639 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76643 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  76647 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76651 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76655 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  76659 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76663 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76667 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76670 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76674 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76678 */   // MIs[0] src1
     /*  76678 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76683 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76685 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76692 */   // (st (sub:{ *:[i64] } 0:{ *:[i64] }, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NEG64m:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  76692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NEG64m),
     /*  76695 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  76699 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76702 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76708 */   GIR_RootConstrainSelectedInstOperands,
     /*  76709 */   // GIR_Coverage, 264,
     /*  76709 */   GIR_EraseRootFromParent_Done,
     /*  76710 */ // Label 1684: @76710
     /*  76710 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(76793), // Rule ID 272 //
     /*  76715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  76718 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76721 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  76725 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76729 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76733 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76737 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76741 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76745 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76749 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  76752 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  76756 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76760 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  76764 */   // MIs[0] src1
     /*  76764 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76769 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  76771 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76778 */   // (st (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, -1:{ *:[i64] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (NOT64m addr:{ *:[iPTR] }:$src1)
     /*  76778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::NOT64m),
     /*  76781 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  76785 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  76791 */   GIR_RootConstrainSelectedInstOperands,
     /*  76792 */   // GIR_Coverage, 272,
     /*  76792 */   GIR_EraseRootFromParent_Done,
     /*  76793 */ // Label 1685: @76793
     /*  76793 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(76894), // Rule ID 22429 //
     /*  76798 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76801 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76808 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76812 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  76816 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76820 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76824 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76828 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76832 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76835 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76842 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76846 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  76850 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  76854 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  76858 */   // MIs[3] Operand 1
     /*  76858 */   // No operand predicates
     /*  76858 */   // MIs[0] dst
     /*  76858 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76863 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76865 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76872 */   // (atomic_store (add:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (ADD64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  76872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mi32),
     /*  76875 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76879 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  76882 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76885 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  76892 */   GIR_RootConstrainSelectedInstOperands,
     /*  76893 */   // GIR_Coverage, 22429,
     /*  76893 */   GIR_EraseRootFromParent_Done,
     /*  76894 */ // Label 1686: @76894
     /*  76894 */ GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(76995), // Rule ID 22437 //
     /*  76899 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76902 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76909 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  76913 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76917 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  76921 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  76925 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76929 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  76933 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  76936 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  76943 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  76947 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  76951 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  76955 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  76959 */   // MIs[3] Operand 1
     /*  76959 */   // No operand predicates
     /*  76959 */   // MIs[0] dst
     /*  76959 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  76964 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76966 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  76973 */   // (atomic_store (and:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (AND64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  76973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mi32),
     /*  76976 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  76980 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  76983 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  76986 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  76993 */   GIR_RootConstrainSelectedInstOperands,
     /*  76994 */   // GIR_Coverage, 22437,
     /*  76994 */   GIR_EraseRootFromParent_Done,
     /*  76995 */ // Label 1687: @76995
     /*  76995 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(77096), // Rule ID 22445 //
     /*  77000 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77003 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77010 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77014 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  77018 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77022 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77026 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77030 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77034 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77037 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77044 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77048 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77052 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77056 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  77060 */   // MIs[3] Operand 1
     /*  77060 */   // No operand predicates
     /*  77060 */   // MIs[0] dst
     /*  77060 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77065 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77067 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77074 */   // (atomic_store (or:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (OR64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  77074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mi32),
     /*  77077 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  77081 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  77084 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77094 */   GIR_RootConstrainSelectedInstOperands,
     /*  77095 */   // GIR_Coverage, 22445,
     /*  77095 */   GIR_EraseRootFromParent_Done,
     /*  77096 */ // Label 1688: @77096
     /*  77096 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(77197), // Rule ID 22461 //
     /*  77101 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77104 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77111 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77115 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  77119 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77123 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77127 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77131 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77135 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77138 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77145 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77149 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77153 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77157 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  77161 */   // MIs[3] Operand 1
     /*  77161 */   // No operand predicates
     /*  77161 */   // MIs[0] dst
     /*  77161 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77166 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77168 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77175 */   // (atomic_store (sub:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (SUB64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  77175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mi32),
     /*  77178 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  77182 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  77185 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77188 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77195 */   GIR_RootConstrainSelectedInstOperands,
     /*  77196 */   // GIR_Coverage, 22461,
     /*  77196 */   GIR_EraseRootFromParent_Done,
     /*  77197 */ // Label 1689: @77197
     /*  77197 */ GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(77298), // Rule ID 22453 //
     /*  77202 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77205 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77212 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77216 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77220 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77224 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77228 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77232 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77236 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77239 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77246 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77250 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77254 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77258 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  77262 */   // MIs[3] Operand 1
     /*  77262 */   // No operand predicates
     /*  77262 */   // MIs[0] dst
     /*  77262 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77267 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77269 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77276 */   // (atomic_store (xor:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (XOR64mi32:{ *:[i32] } addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  77276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mi32),
     /*  77279 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  77283 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src
     /*  77286 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77289 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77296 */   GIR_RootConstrainSelectedInstOperands,
     /*  77297 */   // GIR_Coverage, 22453,
     /*  77297 */   GIR_EraseRootFromParent_Done,
     /*  77298 */ // Label 1690: @77298
     /*  77298 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(77402), // Rule ID 834 //
     /*  77303 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77306 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77310 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77314 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHL),
     /*  77318 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77322 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77326 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  77330 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77334 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77338 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77341 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77345 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77349 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  77354 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  77358 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77362 */   // MIs[3] Operand 1
     /*  77362 */   // No operand predicates
     /*  77362 */   // MIs[0] src1
     /*  77362 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77367 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77369 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77376 */   // (st (fshl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHLD64mri8:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /*  77376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64mri8),
     /*  77379 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77383 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  77387 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src3
     /*  77390 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77393 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77400 */   GIR_RootConstrainSelectedInstOperands,
     /*  77401 */   // GIR_Coverage, 834,
     /*  77401 */   GIR_EraseRootFromParent_Done,
     /*  77402 */ // Label 1691: @77402
     /*  77402 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(77506), // Rule ID 858 //
     /*  77407 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77410 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77414 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77418 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHR),
     /*  77422 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77426 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  77430 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  77434 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  77439 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77443 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77447 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77450 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77454 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77458 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  77462 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77466 */   // MIs[3] Operand 1
     /*  77466 */   // No operand predicates
     /*  77466 */   // MIs[0] src1
     /*  77466 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77471 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77473 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77480 */   // (st (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src3), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHRD64mri8:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /*  77480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64mri8),
     /*  77483 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77487 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  77491 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src3
     /*  77494 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77497 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77504 */   GIR_RootConstrainSelectedInstOperands,
     /*  77505 */   // GIR_Coverage, 858,
     /*  77505 */   GIR_EraseRootFromParent_Done,
     /*  77506 */ // Label 1692: @77506
     /*  77506 */ GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(77600), // Rule ID 735 //
     /*  77511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  77514 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77517 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77521 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77525 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  77529 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77533 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  77537 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77541 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77545 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77548 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77552 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77556 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77560 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77564 */   // MIs[3] Operand 1
     /*  77564 */   // No operand predicates
     /*  77564 */   // MIs[0] src1
     /*  77564 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77569 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77571 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77578 */   // (st (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  77578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64mi),
     /*  77581 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77585 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  77588 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77591 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77598 */   GIR_RootConstrainSelectedInstOperands,
     /*  77599 */   // GIR_Coverage, 735,
     /*  77599 */   GIR_EraseRootFromParent_Done,
     /*  77600 */ // Label 1693: @77600
     /*  77600 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(77694), // Rule ID 703 //
     /*  77605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  77608 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77611 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77615 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77619 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  77623 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77627 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  77631 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77635 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77639 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77642 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77646 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77650 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77654 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77658 */   // MIs[3] Operand 1
     /*  77658 */   // No operand predicates
     /*  77658 */   // MIs[0] src1
     /*  77658 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77663 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77665 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77672 */   // (st (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  77672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64mi),
     /*  77675 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77679 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  77682 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77685 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77692 */   GIR_RootConstrainSelectedInstOperands,
     /*  77693 */   // GIR_Coverage, 703,
     /*  77693 */   GIR_EraseRootFromParent_Done,
     /*  77694 */ // Label 1694: @77694
     /*  77694 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(77788), // Rule ID 767 //
     /*  77699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  77702 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77705 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77709 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77713 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  77717 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77721 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  77725 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77729 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77733 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77736 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77740 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77744 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77748 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77752 */   // MIs[3] Operand 1
     /*  77752 */   // No operand predicates
     /*  77752 */   // MIs[0] src1
     /*  77752 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77757 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77759 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77766 */   // (st (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  77766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64mi),
     /*  77769 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77773 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  77776 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77779 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77786 */   GIR_RootConstrainSelectedInstOperands,
     /*  77787 */   // GIR_Coverage, 767,
     /*  77787 */   GIR_EraseRootFromParent_Done,
     /*  77788 */ // Label 1695: @77788
     /*  77788 */ GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(77882), // Rule ID 799 //
     /*  77793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  77796 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77799 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77803 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77807 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  77811 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77815 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  77819 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77823 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77827 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77830 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77834 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77838 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77842 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77846 */   // MIs[3] Operand 1
     /*  77846 */   // No operand predicates
     /*  77846 */   // MIs[0] src1
     /*  77846 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77851 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77853 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77860 */   // (st (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  77860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64mi),
     /*  77863 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77867 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  77870 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77873 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77880 */   GIR_RootConstrainSelectedInstOperands,
     /*  77881 */   // GIR_Coverage, 799,
     /*  77881 */   GIR_EraseRootFromParent_Done,
     /*  77882 */ // Label 1696: @77882
     /*  77882 */ GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(77976), // Rule ID 671 //
     /*  77887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  77890 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77893 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  77897 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77901 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  77905 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  77909 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  77913 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77917 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  77921 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  77924 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  77928 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  77932 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  77936 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  77940 */   // MIs[3] Operand 1
     /*  77940 */   // No operand predicates
     /*  77940 */   // MIs[0] src1
     /*  77940 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  77945 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77947 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  77954 */   // (st (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL64mi:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /*  77954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64mi),
     /*  77957 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  77961 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // src2
     /*  77964 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  77967 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  77974 */   GIR_RootConstrainSelectedInstOperands,
     /*  77975 */   // GIR_Coverage, 671,
     /*  77975 */   GIR_EraseRootFromParent_Done,
     /*  77976 */ // Label 1697: @77976
     /*  77976 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(78070), // Rule ID 22433 //
     /*  77981 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  77984 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  77991 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  77995 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  77999 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78003 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78007 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78011 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78015 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78018 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78025 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78029 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78034 */   // MIs[0] dst
     /*  78034 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78039 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78041 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78048 */   // (atomic_store (add:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (ADD64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mr),
     /*  78051 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78055 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  78059 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78062 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78068 */   GIR_RootConstrainSelectedInstOperands,
     /*  78069 */   // GIR_Coverage, 22433,
     /*  78069 */   GIR_EraseRootFromParent_Done,
     /*  78070 */ // Label 1698: @78070
     /*  78070 */ GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(78164), // Rule ID 26002 //
     /*  78075 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78078 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78085 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78089 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  78093 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78097 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78101 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78106 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78110 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78114 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78117 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78124 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78128 */   // MIs[0] dst
     /*  78128 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78133 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78135 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78142 */   // (atomic_store (add:{ *:[i64] } GR64:{ *:[i64] }:$src, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (ADD64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mr),
     /*  78145 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78149 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  78153 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78156 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78162 */   GIR_RootConstrainSelectedInstOperands,
     /*  78163 */   // GIR_Coverage, 26002,
     /*  78163 */   GIR_EraseRootFromParent_Done,
     /*  78164 */ // Label 1699: @78164
     /*  78164 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(78258), // Rule ID 22441 //
     /*  78169 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78172 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78179 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78183 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78187 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78191 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78195 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78199 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78203 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78206 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78213 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78217 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78222 */   // MIs[0] dst
     /*  78222 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78227 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78229 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78236 */   // (atomic_store (and:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (AND64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mr),
     /*  78239 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78243 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  78247 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78250 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78256 */   GIR_RootConstrainSelectedInstOperands,
     /*  78257 */   // GIR_Coverage, 22441,
     /*  78257 */   GIR_EraseRootFromParent_Done,
     /*  78258 */ // Label 1700: @78258
     /*  78258 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(78352), // Rule ID 26006 //
     /*  78263 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78266 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78273 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78277 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78281 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78285 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78289 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78294 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78298 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78302 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78305 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78312 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78316 */   // MIs[0] dst
     /*  78316 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78321 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78323 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78330 */   // (atomic_store (and:{ *:[i64] } GR64:{ *:[i64] }:$src, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (AND64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mr),
     /*  78333 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78337 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  78341 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78344 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78350 */   GIR_RootConstrainSelectedInstOperands,
     /*  78351 */   // GIR_Coverage, 26006,
     /*  78351 */   GIR_EraseRootFromParent_Done,
     /*  78352 */ // Label 1701: @78352
     /*  78352 */ GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(78446), // Rule ID 22449 //
     /*  78357 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78360 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78367 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78371 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  78375 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78379 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78383 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78387 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78391 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78394 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78401 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78405 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78410 */   // MIs[0] dst
     /*  78410 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78415 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78417 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78424 */   // (atomic_store (or:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (OR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mr),
     /*  78427 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78431 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  78435 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78438 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78444 */   GIR_RootConstrainSelectedInstOperands,
     /*  78445 */   // GIR_Coverage, 22449,
     /*  78445 */   GIR_EraseRootFromParent_Done,
     /*  78446 */ // Label 1702: @78446
     /*  78446 */ GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(78540), // Rule ID 26010 //
     /*  78451 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78454 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78461 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78465 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  78469 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78473 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78477 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78482 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78486 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78490 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78493 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78500 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78504 */   // MIs[0] dst
     /*  78504 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78509 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78511 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78518 */   // (atomic_store (or:{ *:[i64] } GR64:{ *:[i64] }:$src, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (OR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mr),
     /*  78521 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78525 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  78529 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78532 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78538 */   GIR_RootConstrainSelectedInstOperands,
     /*  78539 */   // GIR_Coverage, 26010,
     /*  78539 */   GIR_EraseRootFromParent_Done,
     /*  78540 */ // Label 1703: @78540
     /*  78540 */ GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(78634), // Rule ID 22465 //
     /*  78545 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78548 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78555 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78559 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  78563 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78567 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78571 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78575 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78579 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78582 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78589 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78593 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78598 */   // MIs[0] dst
     /*  78598 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78603 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78605 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78612 */   // (atomic_store (sub:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (SUB64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mr),
     /*  78615 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78619 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  78623 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78626 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78632 */   GIR_RootConstrainSelectedInstOperands,
     /*  78633 */   // GIR_Coverage, 22465,
     /*  78633 */   GIR_EraseRootFromParent_Done,
     /*  78634 */ // Label 1704: @78634
     /*  78634 */ GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(78728), // Rule ID 22457 //
     /*  78639 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78642 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78649 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78653 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78657 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78661 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78665 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78669 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78673 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78676 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78683 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78687 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78692 */   // MIs[0] dst
     /*  78692 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78697 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78699 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78706 */   // (atomic_store (xor:{ *:[i64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>, GR64:{ *:[i64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (XOR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mr),
     /*  78709 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78713 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src
     /*  78717 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78720 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78726 */   GIR_RootConstrainSelectedInstOperands,
     /*  78727 */   // GIR_Coverage, 22457,
     /*  78727 */   GIR_EraseRootFromParent_Done,
     /*  78728 */ // Label 1705: @78728
     /*  78728 */ GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(78822), // Rule ID 26014 //
     /*  78733 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78736 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78743 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78747 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78751 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78755 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78759 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78764 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78768 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78772 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  78775 */   GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  78782 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78786 */   // MIs[0] dst
     /*  78786 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78791 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78793 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78800 */   // (atomic_store (xor:{ *:[i64] } GR64:{ *:[i64] }:$src, (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_load_64>>), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (XOR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  78800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mr),
     /*  78803 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  78807 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  78811 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78814 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78820 */   GIR_RootConstrainSelectedInstOperands,
     /*  78821 */   // GIR_Coverage, 26014,
     /*  78821 */   GIR_EraseRootFromParent_Done,
     /*  78822 */ // Label 1706: @78822
     /*  78822 */ GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(78933), // Rule ID 837 //
     /*  78827 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  78830 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78834 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78838 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHL),
     /*  78842 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78846 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78850 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  78854 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78858 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78862 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  78865 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78869 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78873 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78878 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  78883 */   // MIs[0] src1
     /*  78883 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78888 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78890 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  78897 */   // (st (fshl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHLD64mrCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  78897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  78901 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78907 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // CL
     /*  78911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64mrCL),
     /*  78914 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  78918 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  78922 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  78925 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  78931 */   GIR_RootConstrainSelectedInstOperands,
     /*  78932 */   // GIR_Coverage, 837,
     /*  78932 */   GIR_EraseRootFromParent_Done,
     /*  78933 */ // Label 1707: @78933
     /*  78933 */ GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(79044), // Rule ID 861 //
     /*  78938 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  78941 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  78945 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  78949 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSHR),
     /*  78953 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  78957 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  78961 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s8,
     /*  78965 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  78970 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78974 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  78978 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  78981 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  78985 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  78989 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  78994 */   // MIs[0] src1
     /*  78994 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  78999 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79001 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79008 */   // (st (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHRD64mrCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79008 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  79012 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79018 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // CL
     /*  79022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64mrCL),
     /*  79025 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79029 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  79033 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79036 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79042 */   GIR_RootConstrainSelectedInstOperands,
     /*  79043 */   // GIR_Coverage, 861,
     /*  79043 */   GIR_EraseRootFromParent_Done,
     /*  79044 */ // Label 1708: @79044
     /*  79044 */ GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(79132), // Rule ID 412 //
     /*  79049 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79052 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79056 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79060 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  79064 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79068 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79072 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79076 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79080 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79083 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79087 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79091 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79096 */   // MIs[0] src1
     /*  79096 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79101 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79103 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79110 */   // (st (add:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mr),
     /*  79113 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79117 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  79121 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79124 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79130 */   GIR_RootConstrainSelectedInstOperands,
     /*  79131 */   // GIR_Coverage, 412,
     /*  79131 */   GIR_EraseRootFromParent_Done,
     /*  79132 */ // Label 1709: @79132
     /*  79132 */ GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(79220), // Rule ID 23222 //
     /*  79137 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79140 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79144 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79148 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  79152 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79156 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79160 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79165 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79169 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79173 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79176 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79180 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79184 */   // MIs[0] src1
     /*  79184 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79189 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79191 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79198 */   // (st (add:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ADD64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64mr),
     /*  79201 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79205 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  79209 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79212 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79218 */   GIR_RootConstrainSelectedInstOperands,
     /*  79219 */   // GIR_Coverage, 23222,
     /*  79219 */   GIR_EraseRootFromParent_Done,
     /*  79220 */ // Label 1710: @79220
     /*  79220 */ GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(79308), // Rule ID 304 //
     /*  79225 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79228 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79232 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79236 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79240 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79244 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79248 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79252 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79256 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79259 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79263 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79267 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79272 */   // MIs[0] src1
     /*  79272 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79277 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79279 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79286 */   // (st (and:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mr),
     /*  79289 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79293 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  79297 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79300 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79306 */   GIR_RootConstrainSelectedInstOperands,
     /*  79307 */   // GIR_Coverage, 304,
     /*  79307 */   GIR_EraseRootFromParent_Done,
     /*  79308 */ // Label 1711: @79308
     /*  79308 */ GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(79396), // Rule ID 23186 //
     /*  79313 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79316 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79320 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79324 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79328 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79332 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79336 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79341 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79345 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79349 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79352 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79356 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79360 */   // MIs[0] src1
     /*  79360 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79365 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79367 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79374 */   // (st (and:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (AND64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AND64mr),
     /*  79377 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79381 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  79385 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79388 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79394 */   GIR_RootConstrainSelectedInstOperands,
     /*  79395 */   // GIR_Coverage, 23186,
     /*  79395 */   GIR_EraseRootFromParent_Done,
     /*  79396 */ // Label 1712: @79396
     /*  79396 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(79497), // Rule ID 751 //
     /*  79401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  79404 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79407 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79411 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79415 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ASHR),
     /*  79419 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79423 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  79427 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79431 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79435 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79438 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79442 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79446 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  79451 */   // MIs[0] src1
     /*  79451 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79456 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79458 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79465 */   // (st (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SAR64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  79465 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  79469 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79475 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  79479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64mCL),
     /*  79482 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79486 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79489 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79495 */   GIR_RootConstrainSelectedInstOperands,
     /*  79496 */   // GIR_Coverage, 751,
     /*  79496 */   GIR_EraseRootFromParent_Done,
     /*  79497 */ // Label 1713: @79497
     /*  79497 */ GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(79598), // Rule ID 719 //
     /*  79502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  79505 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79508 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79512 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79516 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  79520 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79524 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  79528 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79532 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79536 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79539 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79543 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79547 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  79552 */   // MIs[0] src1
     /*  79552 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79557 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79559 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79566 */   // (st (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHR64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  79566 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  79570 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79576 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  79580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64mCL),
     /*  79583 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79587 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79590 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79596 */   GIR_RootConstrainSelectedInstOperands,
     /*  79597 */   // GIR_Coverage, 719,
     /*  79597 */   GIR_EraseRootFromParent_Done,
     /*  79598 */ // Label 1714: @79598
     /*  79598 */ GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(79686), // Rule ID 340 //
     /*  79603 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79606 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79610 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79614 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  79618 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79622 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79626 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79630 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79634 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79637 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79641 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79645 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79650 */   // MIs[0] src1
     /*  79650 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79655 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79657 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79664 */   // (st (or:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mr),
     /*  79667 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79671 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  79675 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79678 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79684 */   GIR_RootConstrainSelectedInstOperands,
     /*  79685 */   // GIR_Coverage, 340,
     /*  79685 */   GIR_EraseRootFromParent_Done,
     /*  79686 */ // Label 1715: @79686
     /*  79686 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(79774), // Rule ID 23198 //
     /*  79691 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79694 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79698 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79702 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  79706 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79710 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  79714 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  79719 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79723 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79727 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79730 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79734 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79738 */   // MIs[0] src1
     /*  79738 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79743 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79745 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79752 */   // (st (or:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (OR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  79752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::OR64mr),
     /*  79755 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79759 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  79763 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79766 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79772 */   GIR_RootConstrainSelectedInstOperands,
     /*  79773 */   // GIR_Coverage, 23198,
     /*  79773 */   GIR_EraseRootFromParent_Done,
     /*  79774 */ // Label 1716: @79774
     /*  79774 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(79875), // Rule ID 783 //
     /*  79779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  79782 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79785 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79789 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79793 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  79797 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79801 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  79805 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79809 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79813 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79816 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79820 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79824 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  79829 */   // MIs[0] src1
     /*  79829 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79834 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79836 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79843 */   // (st (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROL64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  79843 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  79847 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79853 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  79857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64mCL),
     /*  79860 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79864 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79867 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79873 */   GIR_RootConstrainSelectedInstOperands,
     /*  79874 */   // GIR_Coverage, 783,
     /*  79874 */   GIR_EraseRootFromParent_Done,
     /*  79875 */ // Label 1717: @79875
     /*  79875 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(79976), // Rule ID 815 //
     /*  79880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  79883 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79886 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79890 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79894 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /*  79898 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  79902 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  79906 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79910 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  79914 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79917 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  79921 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  79925 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  79930 */   // MIs[0] src1
     /*  79930 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  79935 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79937 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  79944 */   // (st (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ROR64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  79944 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  79948 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79954 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  79958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64mCL),
     /*  79961 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  79965 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  79968 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  79974 */   GIR_RootConstrainSelectedInstOperands,
     /*  79975 */   // GIR_Coverage, 815,
     /*  79975 */   GIR_EraseRootFromParent_Done,
     /*  79976 */ // Label 1718: @79976
     /*  79976 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(80077), // Rule ID 687 //
     /*  79981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /*  79984 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  79987 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  79991 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  79995 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  79999 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80003 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s8,
     /*  80007 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80011 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80015 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80018 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80022 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80026 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /*  80031 */   // MIs[0] src1
     /*  80031 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80036 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80038 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80045 */   // (st (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] }), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SHL64mCL:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /*  80045 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  80049 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80055 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // CL
     /*  80059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64mCL),
     /*  80062 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80066 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80069 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80075 */   GIR_RootConstrainSelectedInstOperands,
     /*  80076 */   // GIR_Coverage, 687,
     /*  80076 */   GIR_EraseRootFromParent_Done,
     /*  80077 */ // Label 1719: @80077
     /*  80077 */ GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(80165), // Rule ID 448 //
     /*  80082 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80085 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80089 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80093 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  80097 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80101 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  80105 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80109 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80113 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80116 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80120 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80124 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80129 */   // MIs[0] src1
     /*  80129 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80134 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80136 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80143 */   // (st (sub:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SUB64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  80143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB64mr),
     /*  80146 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80150 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  80154 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80157 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80163 */   GIR_RootConstrainSelectedInstOperands,
     /*  80164 */   // GIR_Coverage, 448,
     /*  80164 */   GIR_EraseRootFromParent_Done,
     /*  80165 */ // Label 1720: @80165
     /*  80165 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(80253), // Rule ID 376 //
     /*  80170 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80173 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80177 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80181 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  80185 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80189 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  80193 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80197 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80201 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80204 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80208 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80212 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80217 */   // MIs[0] src1
     /*  80217 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80222 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80224 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80231 */   // (st (xor:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  80231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mr),
     /*  80234 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80238 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // src2
     /*  80242 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80245 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80251 */   GIR_RootConstrainSelectedInstOperands,
     /*  80252 */   // GIR_Coverage, 376,
     /*  80252 */   GIR_EraseRootFromParent_Done,
     /*  80253 */ // Label 1721: @80253
     /*  80253 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(80341), // Rule ID 23210 //
     /*  80258 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80261 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80265 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80269 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  80273 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80277 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  80281 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80286 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  80290 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  80294 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80297 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /*  80301 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /*  80305 */   // MIs[0] src1
     /*  80305 */   GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  80310 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80312 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80319 */   // (st (xor:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>), addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (XOR64mr:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  80319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XOR64mr),
     /*  80322 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  80326 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src2
     /*  80330 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  80333 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /*  80339 */   GIR_RootConstrainSelectedInstOperands,
     /*  80340 */   // GIR_Coverage, 23210,
     /*  80340 */   GIR_EraseRootFromParent_Done,
     /*  80341 */ // Label 1722: @80341
     /*  80341 */ GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(80398), // Rule ID 22509 //
     /*  80346 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  80349 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  80356 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80360 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  80364 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /*  80368 */   // MIs[1] Operand 1
     /*  80368 */   // No operand predicates
     /*  80368 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80372 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80374 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80381 */   // (atomic_store (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (MOV64mi32 addr:{ *:[iPTR] }:$dst, (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src)
     /*  80381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64mi32),
     /*  80384 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80388 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src
     /*  80391 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80396 */   GIR_RootConstrainSelectedInstOperands,
     /*  80397 */   // GIR_Coverage, 22509,
     /*  80397 */   GIR_EraseRootFromParent_Done,
     /*  80398 */ // Label 1723: @80398
     /*  80398 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(80464), // Rule ID 22521 //
     /*  80403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  80406 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  80409 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  80416 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80420 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  80424 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80428 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  80433 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80437 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80439 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80446 */   // (atomic_store (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (MOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  80446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSDmr),
     /*  80449 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80453 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  80457 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80462 */   GIR_RootConstrainSelectedInstOperands,
     /*  80463 */   // GIR_Coverage, 22521,
     /*  80463 */   GIR_EraseRootFromParent_Done,
     /*  80464 */ // Label 1724: @80464
     /*  80464 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(80530), // Rule ID 22522 //
     /*  80469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  80472 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  80475 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  80482 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80486 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  80490 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80494 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  80499 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80503 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80505 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80512 */   // (atomic_store (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (VMOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  80512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDmr),
     /*  80515 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80519 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  80523 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80528 */   GIR_RootConstrainSelectedInstOperands,
     /*  80529 */   // GIR_Coverage, 22522,
     /*  80529 */   GIR_EraseRootFromParent_Done,
     /*  80530 */ // Label 1725: @80530
     /*  80530 */ GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(80596), // Rule ID 22523 //
     /*  80535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  80538 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  80541 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  80548 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80552 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  80556 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80560 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  80565 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80569 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80571 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80578 */   // (atomic_store (bitconvert:{ *:[i64] } FR64:{ *:[f64] }:$src), addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (VMOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  80578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDmr),
     /*  80581 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80585 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /*  80589 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80594 */   GIR_RootConstrainSelectedInstOperands,
     /*  80595 */   // GIR_Coverage, 22523,
     /*  80595 */   GIR_EraseRootFromParent_Done,
     /*  80596 */ // Label 1726: @80596
     /*  80596 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(80659), // Rule ID 54 //
     /*  80601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /*  80604 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80607 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80611 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80615 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  80619 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80623 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80628 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80632 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80634 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80641 */   // (st (bswap:{ *:[i64] } GR64:{ *:[i64] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE64mr addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src1)
     /*  80641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE64mr),
     /*  80644 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80648 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  80652 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80657 */   GIR_RootConstrainSelectedInstOperands,
     /*  80658 */   // GIR_Coverage, 54,
     /*  80658 */   GIR_EraseRootFromParent_Done,
     /*  80659 */ // Label 1727: @80659
     /*  80659 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(80722), // Rule ID 60 //
     /*  80664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /*  80667 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80670 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80674 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /*  80678 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /*  80682 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  80686 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80691 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80695 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80697 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80704 */   // (st (bswap:{ *:[i64] } GR64:{ *:[i64] }:$src1), addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVBE64mr_EVEX addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src1)
     /*  80704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE64mr_EVEX),
     /*  80707 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80711 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /*  80715 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  80720 */   GIR_RootConstrainSelectedInstOperands,
     /*  80721 */   // GIR_Coverage, 60,
     /*  80721 */   GIR_EraseRootFromParent_Done,
     /*  80722 */ // Label 1728: @80722
     /*  80722 */ GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(80767), // Rule ID 22513 //
     /*  80727 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  80730 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  80737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80741 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80745 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80752 */   // (atomic_store GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_atomic_store_64>>  =>  (MOV64mr addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  80752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64mr),
     /*  80755 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80759 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  80761 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80765 */   GIR_RootConstrainSelectedInstOperands,
     /*  80766 */   // GIR_Coverage, 22513,
     /*  80766 */   GIR_EraseRootFromParent_Done,
     /*  80767 */ // Label 1729: @80767
     /*  80767 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(80809), // Rule ID 35 //
     /*  80772 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80775 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  80783 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80787 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80794 */   // (st GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOV64mr addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /*  80794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64mr),
     /*  80797 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80801 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  80803 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80807 */   GIR_RootConstrainSelectedInstOperands,
     /*  80808 */   // GIR_Coverage, 35,
     /*  80808 */   GIR_EraseRootFromParent_Done,
     /*  80809 */ // Label 1730: @80809
     /*  80809 */ GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(80864), // Rule ID 1095 //
     /*  80814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /*  80817 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80820 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80824 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  80831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /*  80835 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80839 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80846 */   // (st RFP64:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstoref32>>  =>  (ST_Fp64m32:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP64:{ *:[f64] }:$src)
     /*  80846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp64m32),
     /*  80849 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  80853 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  80855 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  80858 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80862 */   GIR_RootConstrainSelectedInstOperands,
     /*  80863 */   // GIR_Coverage, 1095,
     /*  80863 */   GIR_EraseRootFromParent_Done,
     /*  80864 */ // Label 1731: @80864
     /*  80864 */ GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(80912), // Rule ID 1096 //
     /*  80869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /*  80872 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80875 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /*  80883 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80887 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80894 */   // (st RFP64:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST_Fp64m:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP64:{ *:[f64] }:$src)
     /*  80894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp64m),
     /*  80897 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  80901 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  80903 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  80906 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80910 */   GIR_RootConstrainSelectedInstOperands,
     /*  80911 */   // GIR_Coverage, 1096,
     /*  80911 */   GIR_EraseRootFromParent_Done,
     /*  80912 */ // Label 1732: @80912
     /*  80912 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(80957), // Rule ID 1691 //
     /*  80917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /*  80920 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80923 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  80931 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80935 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80942 */   // (st FR64:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  80942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDmr),
     /*  80945 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80949 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  80951 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  80955 */   GIR_RootConstrainSelectedInstOperands,
     /*  80956 */   // GIR_Coverage, 1691,
     /*  80956 */   GIR_EraseRootFromParent_Done,
     /*  80957 */ // Label 1733: @80957
     /*  80957 */ GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(81002), // Rule ID 1693 //
     /*  80962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  80965 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  80968 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  80972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /*  80976 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  80980 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  80987 */   // (st FR64:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVSDmr addr:{ *:[iPTR] }:$dst, FR64:{ *:[f64] }:$src)
     /*  80987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSDmr),
     /*  80990 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  80994 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  80996 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81000 */   GIR_RootConstrainSelectedInstOperands,
     /*  81001 */   // GIR_Coverage, 1693,
     /*  81001 */   GIR_EraseRootFromParent_Done,
     /*  81002 */ // Label 1734: @81002
     /*  81002 */ GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(81047), // Rule ID 4615 //
     /*  81007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  81010 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81013 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /*  81021 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81025 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81032 */   // (st FR64X:{ *:[f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVSDZmr addr:{ *:[iPTR] }:$dst, FR64X:{ *:[f64] }:$src)
     /*  81032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVSDZmr),
     /*  81035 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81039 */   GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81041 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81045 */   GIR_RootConstrainSelectedInstOperands,
     /*  81046 */   // GIR_Coverage, 4615,
     /*  81046 */   GIR_EraseRootFromParent_Done,
     /*  81047 */ // Label 1735: @81047
     /*  81047 */ GIM_Reject,
     /*  81048 */ // Label 1477: @81048
     /*  81048 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(81206),
     /*  81053 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81056 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(81108), // Rule ID 1097 //
     /*  81061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  81064 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  81075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  81079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81090 */     // (st RFP80:{ *:[f80] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstoref32>>  =>  (ST_Fp80m32:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP80:{ *:[f80] }:$src)
     /*  81090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp80m32),
     /*  81093 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  81097 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  81102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81106 */     GIR_RootConstrainSelectedInstOperands,
     /*  81107 */     // GIR_Coverage, 1097,
     /*  81107 */     GIR_EraseRootFromParent_Done,
     /*  81108 */   // Label 1737: @81108
     /*  81108 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(81160), // Rule ID 1098 //
     /*  81113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  81116 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  81127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  81131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81142 */     // (st RFP80:{ *:[f80] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstoref64>>  =>  (ST_Fp80m64:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP80:{ *:[f80] }:$src)
     /*  81142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_Fp80m64),
     /*  81145 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  81149 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  81154 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81158 */     GIR_RootConstrainSelectedInstOperands,
     /*  81159 */     // GIR_Coverage, 1098,
     /*  81159 */     GIR_EraseRootFromParent_Done,
     /*  81160 */   // Label 1738: @81160
     /*  81160 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(81205), // Rule ID 1099 //
     /*  81165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /*  81168 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /*  81176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81187 */     // (st RFP80:{ *:[f80] }:$src, addr:{ *:[iPTR] }:$op)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST_FpP80m:{ *:[i16] } addr:{ *:[iPTR] }:$op, RFP80:{ *:[f80] }:$src)
     /*  81187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ST_FpP80m),
     /*  81190 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // op
     /*  81194 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /*  81199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81203 */     GIR_RootConstrainSelectedInstOperands,
     /*  81204 */     // GIR_Coverage, 1099,
     /*  81204 */     GIR_EraseRootFromParent_Done,
     /*  81205 */   // Label 1739: @81205
     /*  81205 */   GIM_Reject,
     /*  81206 */ // Label 1736: @81206
     /*  81206 */ GIM_Reject,
     /*  81207 */ // Label 1478: @81207
     /*  81207 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(81460),
     /*  81212 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81215 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81219 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(81261), // Rule ID 23139 //
     /*  81224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoAVX),
     /*  81227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81235 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81246 */     // (st VR128:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[f128] }:$src)
     /*  81246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  81249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81253 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81259 */     GIR_RootConstrainSelectedInstOperands,
     /*  81260 */     // GIR_Coverage, 23139,
     /*  81260 */     GIR_EraseRootFromParent_Done,
     /*  81261 */   // Label 1741: @81261
     /*  81261 */   GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(81299), // Rule ID 23140 //
     /*  81266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoAVX),
     /*  81269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81284 */     // (st VR128:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[f128] }:$src)
     /*  81284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  81287 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81291 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81297 */     GIR_RootConstrainSelectedInstOperands,
     /*  81298 */     // GIR_Coverage, 23140,
     /*  81298 */     GIR_EraseRootFromParent_Done,
     /*  81299 */   // Label 1742: @81299
     /*  81299 */   GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(81341), // Rule ID 23143 //
     /*  81304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81315 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81326 */     // (st VR128:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[f128] }:$src)
     /*  81326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSmr),
     /*  81329 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81333 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81339 */     GIR_RootConstrainSelectedInstOperands,
     /*  81340 */     // GIR_Coverage, 23143,
     /*  81340 */     GIR_EraseRootFromParent_Done,
     /*  81341 */   // Label 1743: @81341
     /*  81341 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(81379), // Rule ID 23144 //
     /*  81346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81364 */     // (st VR128:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[f128] }:$src)
     /*  81364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSmr),
     /*  81367 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81371 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81377 */     GIR_RootConstrainSelectedInstOperands,
     /*  81378 */     // GIR_Coverage, 23144,
     /*  81378 */     GIR_EraseRootFromParent_Done,
     /*  81379 */   // Label 1744: @81379
     /*  81379 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(81421), // Rule ID 23147 //
     /*  81384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  81387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  81391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81395 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81406 */     // (st VR128X:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[f128] }:$src)
     /*  81406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128mr),
     /*  81409 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81413 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81419 */     GIR_RootConstrainSelectedInstOperands,
     /*  81420 */     // GIR_Coverage, 23147,
     /*  81420 */     GIR_EraseRootFromParent_Done,
     /*  81421 */   // Label 1745: @81421
     /*  81421 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(81459), // Rule ID 23148 //
     /*  81426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  81429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  81433 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81444 */     // (st VR128X:{ *:[f128] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[f128] }:$src)
     /*  81444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128mr),
     /*  81447 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81451 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81457 */     GIR_RootConstrainSelectedInstOperands,
     /*  81458 */     // GIR_Coverage, 23148,
     /*  81458 */     GIR_EraseRootFromParent_Done,
     /*  81459 */   // Label 1746: @81459
     /*  81459 */   GIM_Reject,
     /*  81460 */ // Label 1740: @81460
     /*  81460 */ GIM_Reject,
     /*  81461 */ // Label 1479: @81461
     /*  81461 */ GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(81954),
     /*  81466 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81469 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81473 */   GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(81515), // Rule ID 1715 //
     /*  81478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81489 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81500 */     // (st VR128:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2f64] }:$src)
     /*  81500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDmr),
     /*  81503 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81507 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81513 */     GIR_RootConstrainSelectedInstOperands,
     /*  81514 */     // GIR_Coverage, 1715,
     /*  81514 */     GIR_EraseRootFromParent_Done,
     /*  81515 */   // Label 1748: @81515
     /*  81515 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(81553), // Rule ID 1717 //
     /*  81520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81538 */     // (st VR128:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2f64] }:$src)
     /*  81538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDmr),
     /*  81541 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81545 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81551 */     GIR_RootConstrainSelectedInstOperands,
     /*  81552 */     // GIR_Coverage, 1717,
     /*  81552 */     GIR_EraseRootFromParent_Done,
     /*  81553 */   // Label 1749: @81553
     /*  81553 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(81595), // Rule ID 1723 //
     /*  81558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  81561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81569 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81580 */     // (st VR128:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2f64] }:$src)
     /*  81580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPDmr),
     /*  81583 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81587 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81593 */     GIR_RootConstrainSelectedInstOperands,
     /*  81594 */     // GIR_Coverage, 1723,
     /*  81594 */     GIR_EraseRootFromParent_Done,
     /*  81595 */   // Label 1750: @81595
     /*  81595 */   GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(81633), // Rule ID 1725 //
     /*  81600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  81603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81618 */     // (st VR128:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2f64] }:$src)
     /*  81618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPDmr),
     /*  81621 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81625 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81627 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81631 */     GIR_RootConstrainSelectedInstOperands,
     /*  81632 */     // GIR_Coverage, 1725,
     /*  81632 */     GIR_EraseRootFromParent_Done,
     /*  81633 */   // Label 1751: @81633
     /*  81633 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(81675), // Rule ID 2519 //
     /*  81638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81649 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81660 */     // (st VR128:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src)
     /*  81660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  81663 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81667 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81673 */     GIR_RootConstrainSelectedInstOperands,
     /*  81674 */     // GIR_Coverage, 2519,
     /*  81674 */     GIR_EraseRootFromParent_Done,
     /*  81675 */   // Label 1752: @81675
     /*  81675 */   GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(81713), // Rule ID 2520 //
     /*  81680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81698 */     // (st VR128:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src)
     /*  81698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  81701 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81705 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81711 */     GIR_RootConstrainSelectedInstOperands,
     /*  81712 */     // GIR_Coverage, 2520,
     /*  81712 */     GIR_EraseRootFromParent_Done,
     /*  81713 */   // Label 1753: @81713
     /*  81713 */   GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(81755), // Rule ID 4495 //
     /*  81718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  81721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  81725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81729 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81740 */     // (st VR128X:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v2f64] }:$src)
     /*  81740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ128mr),
     /*  81743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81747 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81753 */     GIR_RootConstrainSelectedInstOperands,
     /*  81754 */     // GIR_Coverage, 4495,
     /*  81754 */     GIR_EraseRootFromParent_Done,
     /*  81755 */   // Label 1754: @81755
     /*  81755 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(81793), // Rule ID 4519 //
     /*  81760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  81763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  81767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81778 */     // (st VR128X:{ *:[v2f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v2f64] }:$src)
     /*  81778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZ128mr),
     /*  81781 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81785 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81791 */     GIR_RootConstrainSelectedInstOperands,
     /*  81792 */     // GIR_Coverage, 4519,
     /*  81792 */     GIR_EraseRootFromParent_Done,
     /*  81793 */   // Label 1755: @81793
     /*  81793 */   GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(81835), // Rule ID 4549 //
     /*  81798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  81801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  81805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81809 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81820 */     // (st VR128X:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v2i64] }:$src)
     /*  81820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128mr),
     /*  81823 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81827 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81833 */     GIR_RootConstrainSelectedInstOperands,
     /*  81834 */     // GIR_Coverage, 4549,
     /*  81834 */     GIR_EraseRootFromParent_Done,
     /*  81835 */   // Label 1756: @81835
     /*  81835 */   GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(81873), // Rule ID 4591 //
     /*  81840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  81843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  81847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81858 */     // (st VR128X:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v2i64] }:$src)
     /*  81858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128mr),
     /*  81861 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81865 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81867 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81871 */     GIR_RootConstrainSelectedInstOperands,
     /*  81872 */     // GIR_Coverage, 4591,
     /*  81872 */     GIR_EraseRootFromParent_Done,
     /*  81873 */   // Label 1757: @81873
     /*  81873 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(81915), // Rule ID 17946 //
     /*  81878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  81881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81889 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81900 */     // (st VR128:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src)
     /*  81900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  81903 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81907 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81913 */     GIR_RootConstrainSelectedInstOperands,
     /*  81914 */     // GIR_Coverage, 17946,
     /*  81914 */     GIR_EraseRootFromParent_Done,
     /*  81915 */   // Label 1758: @81915
     /*  81915 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(81953), // Rule ID 17950 //
     /*  81920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  81923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81938 */     // (st VR128:{ *:[v2i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src)
     /*  81938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  81941 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  81945 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  81947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  81951 */     GIR_RootConstrainSelectedInstOperands,
     /*  81952 */     // GIR_Coverage, 17950,
     /*  81952 */     GIR_EraseRootFromParent_Done,
     /*  81953 */   // Label 1759: @81953
     /*  81953 */   GIM_Reject,
     /*  81954 */ // Label 1747: @81954
     /*  81954 */ GIM_Reject,
     /*  81955 */ // Label 1480: @81955
     /*  81955 */ GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(82448),
     /*  81960 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  81963 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  81967 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(82009), // Rule ID 1714 //
     /*  81972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  81975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  81979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  81983 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  81987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  81994 */     // (st VR128:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4f32] }:$src)
     /*  81994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSmr),
     /*  81997 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82001 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82007 */     GIR_RootConstrainSelectedInstOperands,
     /*  82008 */     // GIR_Coverage, 1714,
     /*  82008 */     GIR_EraseRootFromParent_Done,
     /*  82009 */   // Label 1761: @82009
     /*  82009 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(82047), // Rule ID 1716 //
     /*  82014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82032 */     // (st VR128:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4f32] }:$src)
     /*  82032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSmr),
     /*  82035 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82039 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82045 */     GIR_RootConstrainSelectedInstOperands,
     /*  82046 */     // GIR_Coverage, 1716,
     /*  82046 */     GIR_EraseRootFromParent_Done,
     /*  82047 */   // Label 1762: @82047
     /*  82047 */   GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(82089), // Rule ID 1722 //
     /*  82052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82063 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82074 */     // (st VR128:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4f32] }:$src)
     /*  82074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  82077 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82081 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82087 */     GIR_RootConstrainSelectedInstOperands,
     /*  82088 */     // GIR_Coverage, 1722,
     /*  82088 */     GIR_EraseRootFromParent_Done,
     /*  82089 */   // Label 1763: @82089
     /*  82089 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(82127), // Rule ID 1724 //
     /*  82094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82112 */     // (st VR128:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4f32] }:$src)
     /*  82112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  82115 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82119 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82125 */     GIR_RootConstrainSelectedInstOperands,
     /*  82126 */     // GIR_Coverage, 1724,
     /*  82126 */     GIR_EraseRootFromParent_Done,
     /*  82127 */   // Label 1764: @82127
     /*  82127 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(82169), // Rule ID 4477 //
     /*  82132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82143 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82154 */     // (st VR128X:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v4f32] }:$src)
     /*  82154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128mr),
     /*  82157 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82161 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82167 */     GIR_RootConstrainSelectedInstOperands,
     /*  82168 */     // GIR_Coverage, 4477,
     /*  82168 */     GIR_EraseRootFromParent_Done,
     /*  82169 */   // Label 1765: @82169
     /*  82169 */   GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(82207), // Rule ID 4507 //
     /*  82174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82192 */     // (st VR128X:{ *:[v4f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v4f32] }:$src)
     /*  82192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128mr),
     /*  82195 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82199 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82205 */     GIR_RootConstrainSelectedInstOperands,
     /*  82206 */     // GIR_Coverage, 4507,
     /*  82206 */     GIR_EraseRootFromParent_Done,
     /*  82207 */   // Label 1766: @82207
     /*  82207 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(82249), // Rule ID 17947 //
     /*  82212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82223 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82234 */     // (st VR128:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src)
     /*  82234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  82237 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82241 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82247 */     GIR_RootConstrainSelectedInstOperands,
     /*  82248 */     // GIR_Coverage, 17947,
     /*  82248 */     GIR_EraseRootFromParent_Done,
     /*  82249 */   // Label 1767: @82249
     /*  82249 */   GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(82287), // Rule ID 17951 //
     /*  82254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82272 */     // (st VR128:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src)
     /*  82272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  82275 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82279 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82281 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82285 */     GIR_RootConstrainSelectedInstOperands,
     /*  82286 */     // GIR_Coverage, 17951,
     /*  82286 */     GIR_EraseRootFromParent_Done,
     /*  82287 */   // Label 1768: @82287
     /*  82287 */   GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(82329), // Rule ID 18326 //
     /*  82292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82303 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82314 */     // (st VR128:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src)
     /*  82314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  82317 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82321 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82327 */     GIR_RootConstrainSelectedInstOperands,
     /*  82328 */     // GIR_Coverage, 18326,
     /*  82328 */     GIR_EraseRootFromParent_Done,
     /*  82329 */   // Label 1769: @82329
     /*  82329 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(82367), // Rule ID 18330 //
     /*  82334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82352 */     // (st VR128:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src)
     /*  82352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  82355 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82359 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82365 */     GIR_RootConstrainSelectedInstOperands,
     /*  82366 */     // GIR_Coverage, 18330,
     /*  82366 */     GIR_EraseRootFromParent_Done,
     /*  82367 */   // Label 1770: @82367
     /*  82367 */   GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(82409), // Rule ID 19819 //
     /*  82372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  82375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82383 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82394 */     // (st VR128X:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v4i32] }:$src)
     /*  82394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128mr),
     /*  82397 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82401 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82407 */     GIR_RootConstrainSelectedInstOperands,
     /*  82408 */     // GIR_Coverage, 19819,
     /*  82408 */     GIR_EraseRootFromParent_Done,
     /*  82409 */   // Label 1771: @82409
     /*  82409 */   GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(82447), // Rule ID 19823 //
     /*  82414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  82417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  82421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82432 */     // (st VR128X:{ *:[v4i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v4i32] }:$src)
     /*  82432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128mr),
     /*  82435 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82439 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82445 */     GIR_RootConstrainSelectedInstOperands,
     /*  82446 */     // GIR_Coverage, 19823,
     /*  82446 */     GIR_EraseRootFromParent_Done,
     /*  82447 */   // Label 1772: @82447
     /*  82447 */   GIM_Reject,
     /*  82448 */ // Label 1760: @82448
     /*  82448 */ GIM_Reject,
     /*  82449 */ // Label 1481: @82449
     /*  82449 */ GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(82782),
     /*  82454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  82457 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  82461 */   GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(82503), // Rule ID 1719 //
     /*  82466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  82473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82477 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82488 */     // (st VR256:{ *:[v4f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4f64] }:$src)
     /*  82488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDYmr),
     /*  82491 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82495 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82501 */     GIR_RootConstrainSelectedInstOperands,
     /*  82502 */     // GIR_Coverage, 1719,
     /*  82502 */     GIR_EraseRootFromParent_Done,
     /*  82503 */   // Label 1774: @82503
     /*  82503 */   GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(82541), // Rule ID 1721 //
     /*  82508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  82515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82526 */     // (st VR256:{ *:[v4f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4f64] }:$src)
     /*  82526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDYmr),
     /*  82529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82533 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82539 */     GIR_RootConstrainSelectedInstOperands,
     /*  82540 */     // GIR_Coverage, 1721,
     /*  82540 */     GIR_EraseRootFromParent_Done,
     /*  82541 */   // Label 1775: @82541
     /*  82541 */   GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(82583), // Rule ID 4494 //
     /*  82546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  82553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82557 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82568 */     // (st VR256X:{ *:[v4f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v4f64] }:$src)
     /*  82568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ256mr),
     /*  82571 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82575 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82581 */     GIR_RootConstrainSelectedInstOperands,
     /*  82582 */     // GIR_Coverage, 4494,
     /*  82582 */     GIR_EraseRootFromParent_Done,
     /*  82583 */   // Label 1776: @82583
     /*  82583 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(82621), // Rule ID 4518 //
     /*  82588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  82595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82606 */     // (st VR256X:{ *:[v4f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v4f64] }:$src)
     /*  82606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZ256mr),
     /*  82609 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82613 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82619 */     GIR_RootConstrainSelectedInstOperands,
     /*  82620 */     // GIR_Coverage, 4518,
     /*  82620 */     GIR_EraseRootFromParent_Done,
     /*  82621 */   // Label 1777: @82621
     /*  82621 */   GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(82663), // Rule ID 4548 //
     /*  82626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  82633 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82637 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82648 */     // (st VR256X:{ *:[v4i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v4i64] }:$src)
     /*  82648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256mr),
     /*  82651 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82655 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82661 */     GIR_RootConstrainSelectedInstOperands,
     /*  82662 */     // GIR_Coverage, 4548,
     /*  82662 */     GIR_EraseRootFromParent_Done,
     /*  82663 */   // Label 1778: @82663
     /*  82663 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(82701), // Rule ID 4590 //
     /*  82668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  82671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  82675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82686 */     // (st VR256X:{ *:[v4i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v4i64] }:$src)
     /*  82686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256mr),
     /*  82689 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82693 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82699 */     GIR_RootConstrainSelectedInstOperands,
     /*  82700 */     // GIR_Coverage, 4590,
     /*  82700 */     GIR_EraseRootFromParent_Done,
     /*  82701 */   // Label 1779: @82701
     /*  82701 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(82743), // Rule ID 17922 //
     /*  82706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  82713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82717 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82728 */     // (st VR256:{ *:[v4i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src)
     /*  82728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  82731 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82735 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82737 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82741 */     GIR_RootConstrainSelectedInstOperands,
     /*  82742 */     // GIR_Coverage, 17922,
     /*  82742 */     GIR_EraseRootFromParent_Done,
     /*  82743 */   // Label 1780: @82743
     /*  82743 */   GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(82781), // Rule ID 17926 //
     /*  82748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  82755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82766 */     // (st VR256:{ *:[v4i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src)
     /*  82766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  82769 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82773 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82779 */     GIR_RootConstrainSelectedInstOperands,
     /*  82780 */     // GIR_Coverage, 17926,
     /*  82780 */     GIR_EraseRootFromParent_Done,
     /*  82781 */   // Label 1781: @82781
     /*  82781 */   GIM_Reject,
     /*  82782 */ // Label 1773: @82782
     /*  82782 */ GIM_Reject,
     /*  82783 */ // Label 1482: @82783
     /*  82783 */ GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(82864),
     /*  82788 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  82791 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  82795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /*  82799 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82803 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(82833), // Rule ID 4395 //
     /*  82808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_NoEGPR),
     /*  82811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82818 */     // (st VK8:{ *:[v8i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVBmk addr:{ *:[iPTR] }:$dst, VK8:{ *:[v8i1] }:$src)
     /*  82818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBmk),
     /*  82821 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82825 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82831 */     GIR_RootConstrainSelectedInstOperands,
     /*  82832 */     // GIR_Coverage, 4395,
     /*  82832 */     GIR_EraseRootFromParent_Done,
     /*  82833 */   // Label 1783: @82833
     /*  82833 */   GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(82863), // Rule ID 4397 //
     /*  82838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEGPR_In64BitMode),
     /*  82841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82848 */     // (st VK8:{ *:[v8i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVBmk_EVEX addr:{ *:[iPTR] }:$dst, VK8:{ *:[v8i1] }:$src)
     /*  82848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBmk_EVEX),
     /*  82851 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82855 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82861 */     GIR_RootConstrainSelectedInstOperands,
     /*  82862 */     // GIR_Coverage, 4397,
     /*  82862 */     GIR_EraseRootFromParent_Done,
     /*  82863 */   // Label 1784: @82863
     /*  82863 */   GIM_Reject,
     /*  82864 */ // Label 1782: @82864
     /*  82864 */ GIM_Reject,
     /*  82865 */ // Label 1483: @82865
     /*  82865 */ GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(83438),
     /*  82870 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  82873 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  82877 */   GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(82919), // Rule ID 17932 //
     /*  82882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82893 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82904 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  82904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSmr),
     /*  82907 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82911 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82917 */     GIR_RootConstrainSelectedInstOperands,
     /*  82918 */     // GIR_Coverage, 17932,
     /*  82918 */     GIR_EraseRootFromParent_Done,
     /*  82919 */   // Label 1786: @82919
     /*  82919 */   GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(82957), // Rule ID 17933 //
     /*  82924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  82927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82942 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  82942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSmr),
     /*  82945 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82949 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82955 */     GIR_RootConstrainSelectedInstOperands,
     /*  82956 */     // GIR_Coverage, 17933,
     /*  82956 */     GIR_EraseRootFromParent_Done,
     /*  82957 */   // Label 1787: @82957
     /*  82957 */   GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(82999), // Rule ID 17948 //
     /*  82962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  82965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  82969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  82973 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  82977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  82984 */     // (st VR128:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8i16] }:$src)
     /*  82984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  82987 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  82991 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  82993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  82997 */     GIR_RootConstrainSelectedInstOperands,
     /*  82998 */     // GIR_Coverage, 17948,
     /*  82998 */     GIR_EraseRootFromParent_Done,
     /*  82999 */   // Label 1788: @82999
     /*  82999 */   GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(83037), // Rule ID 17952 //
     /*  83004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  83007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83022 */     // (st VR128:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8i16] }:$src)
     /*  83022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  83025 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83029 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83035 */     GIR_RootConstrainSelectedInstOperands,
     /*  83036 */     // GIR_Coverage, 17952,
     /*  83036 */     GIR_EraseRootFromParent_Done,
     /*  83037 */   // Label 1789: @83037
     /*  83037 */   GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(83079), // Rule ID 17956 //
     /*  83042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  83045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83053 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83064 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  83067 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83071 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83077 */     GIR_RootConstrainSelectedInstOperands,
     /*  83078 */     // GIR_Coverage, 17956,
     /*  83078 */     GIR_EraseRootFromParent_Done,
     /*  83079 */   // Label 1790: @83079
     /*  83079 */   GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(83117), // Rule ID 17957 //
     /*  83084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /*  83087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83102 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  83105 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83109 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83115 */     GIR_RootConstrainSelectedInstOperands,
     /*  83116 */     // GIR_Coverage, 17957,
     /*  83116 */     GIR_EraseRootFromParent_Done,
     /*  83117 */   // Label 1791: @83117
     /*  83117 */   GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(83159), // Rule ID 18327 //
     /*  83122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83133 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83144 */     // (st VR128:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8i16] }:$src)
     /*  83144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  83147 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83151 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83157 */     GIR_RootConstrainSelectedInstOperands,
     /*  83158 */     // GIR_Coverage, 18327,
     /*  83158 */     GIR_EraseRootFromParent_Done,
     /*  83159 */   // Label 1792: @83159
     /*  83159 */   GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(83201), // Rule ID 18328 //
     /*  83164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83186 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  83189 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83193 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83199 */     GIR_RootConstrainSelectedInstOperands,
     /*  83200 */     // GIR_Coverage, 18328,
     /*  83200 */     GIR_EraseRootFromParent_Done,
     /*  83201 */   // Label 1793: @83201
     /*  83201 */   GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(83239), // Rule ID 18331 //
     /*  83206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83224 */     // (st VR128:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8i16] }:$src)
     /*  83224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  83227 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83231 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83237 */     GIR_RootConstrainSelectedInstOperands,
     /*  83238 */     // GIR_Coverage, 18331,
     /*  83238 */     GIR_EraseRootFromParent_Done,
     /*  83239 */   // Label 1794: @83239
     /*  83239 */   GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(83277), // Rule ID 18332 //
     /*  83244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  83251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83262 */     // (st VR128:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v8f16] }:$src)
     /*  83262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  83265 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83269 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83275 */     GIR_RootConstrainSelectedInstOperands,
     /*  83276 */     // GIR_Coverage, 18332,
     /*  83276 */     GIR_EraseRootFromParent_Done,
     /*  83277 */   // Label 1795: @83277
     /*  83277 */   GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(83319), // Rule ID 19820 //
     /*  83282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  83289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83293 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83304 */     // (st VR128X:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v8i16] }:$src)
     /*  83304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128mr),
     /*  83307 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83311 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83317 */     GIR_RootConstrainSelectedInstOperands,
     /*  83318 */     // GIR_Coverage, 19820,
     /*  83318 */     GIR_EraseRootFromParent_Done,
     /*  83319 */   // Label 1796: @83319
     /*  83319 */   GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(83361), // Rule ID 19821 //
     /*  83324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  83331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83335 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83346 */     // (st VR128X:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v8f16] }:$src)
     /*  83346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128mr),
     /*  83349 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83353 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83359 */     GIR_RootConstrainSelectedInstOperands,
     /*  83360 */     // GIR_Coverage, 19821,
     /*  83360 */     GIR_EraseRootFromParent_Done,
     /*  83361 */   // Label 1797: @83361
     /*  83361 */   GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(83399), // Rule ID 19824 //
     /*  83366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  83373 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83384 */     // (st VR128X:{ *:[v8i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v8i16] }:$src)
     /*  83384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128mr),
     /*  83387 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83391 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83397 */     GIR_RootConstrainSelectedInstOperands,
     /*  83398 */     // GIR_Coverage, 19824,
     /*  83398 */     GIR_EraseRootFromParent_Done,
     /*  83399 */   // Label 1798: @83399
     /*  83399 */   GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(83437), // Rule ID 19825 //
     /*  83404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  83411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83422 */     // (st VR128X:{ *:[v8f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v8f16] }:$src)
     /*  83422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ128mr),
     /*  83425 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83429 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83435 */     GIR_RootConstrainSelectedInstOperands,
     /*  83436 */     // GIR_Coverage, 19825,
     /*  83436 */     GIR_EraseRootFromParent_Done,
     /*  83437 */   // Label 1799: @83437
     /*  83437 */   GIM_Reject,
     /*  83438 */ // Label 1785: @83438
     /*  83438 */ GIM_Reject,
     /*  83439 */ // Label 1484: @83439
     /*  83439 */ GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(83772),
     /*  83444 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  83447 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83451 */   GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(83493), // Rule ID 1718 //
     /*  83456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83467 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83478 */     // (st VR256:{ *:[v8f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8f32] }:$src)
     /*  83478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  83481 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83485 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83491 */     GIR_RootConstrainSelectedInstOperands,
     /*  83492 */     // GIR_Coverage, 1718,
     /*  83492 */     GIR_EraseRootFromParent_Done,
     /*  83493 */   // Label 1801: @83493
     /*  83493 */   GIM_Try, /*On fail goto*//*Label 1802*/ GIMT_Encode4(83531), // Rule ID 1720 //
     /*  83498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83516 */     // (st VR256:{ *:[v8f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8f32] }:$src)
     /*  83516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  83519 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83523 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83529 */     GIR_RootConstrainSelectedInstOperands,
     /*  83530 */     // GIR_Coverage, 1720,
     /*  83530 */     GIR_EraseRootFromParent_Done,
     /*  83531 */   // Label 1802: @83531
     /*  83531 */   GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(83573), // Rule ID 4476 //
     /*  83536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  83539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  83543 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83547 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83558 */     // (st VR256X:{ *:[v8f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v8f32] }:$src)
     /*  83558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256mr),
     /*  83561 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83565 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83571 */     GIR_RootConstrainSelectedInstOperands,
     /*  83572 */     // GIR_Coverage, 4476,
     /*  83572 */     GIR_EraseRootFromParent_Done,
     /*  83573 */   // Label 1803: @83573
     /*  83573 */   GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(83611), // Rule ID 4506 //
     /*  83578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /*  83581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  83585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83596 */     // (st VR256X:{ *:[v8f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v8f32] }:$src)
     /*  83596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ256mr),
     /*  83599 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83603 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83609 */     GIR_RootConstrainSelectedInstOperands,
     /*  83610 */     // GIR_Coverage, 4506,
     /*  83610 */     GIR_EraseRootFromParent_Done,
     /*  83611 */   // Label 1804: @83611
     /*  83611 */   GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(83653), // Rule ID 17923 //
     /*  83616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83627 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83638 */     // (st VR256:{ *:[v8i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src)
     /*  83638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  83641 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83645 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83651 */     GIR_RootConstrainSelectedInstOperands,
     /*  83652 */     // GIR_Coverage, 17923,
     /*  83652 */     GIR_EraseRootFromParent_Done,
     /*  83653 */   // Label 1805: @83653
     /*  83653 */   GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(83691), // Rule ID 17927 //
     /*  83658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  83661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  83665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83676 */     // (st VR256:{ *:[v8i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src)
     /*  83676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  83679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83683 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83689 */     GIR_RootConstrainSelectedInstOperands,
     /*  83690 */     // GIR_Coverage, 17927,
     /*  83690 */     GIR_EraseRootFromParent_Done,
     /*  83691 */   // Label 1806: @83691
     /*  83691 */   GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(83733), // Rule ID 19835 //
     /*  83696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  83703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83707 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83718 */     // (st VR256X:{ *:[v8i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v8i32] }:$src)
     /*  83718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256mr),
     /*  83721 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83725 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83731 */     GIR_RootConstrainSelectedInstOperands,
     /*  83732 */     // GIR_Coverage, 19835,
     /*  83732 */     GIR_EraseRootFromParent_Done,
     /*  83733 */   // Label 1807: @83733
     /*  83733 */   GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(83771), // Rule ID 19839 //
     /*  83738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  83741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  83745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83756 */     // (st VR256X:{ *:[v8i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v8i32] }:$src)
     /*  83756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256mr),
     /*  83759 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83763 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83769 */     GIR_RootConstrainSelectedInstOperands,
     /*  83770 */     // GIR_Coverage, 19839,
     /*  83770 */     GIR_EraseRootFromParent_Done,
     /*  83771 */   // Label 1808: @83771
     /*  83771 */   GIM_Reject,
     /*  83772 */ // Label 1800: @83772
     /*  83772 */ GIM_Reject,
     /*  83773 */ // Label 1485: @83773
     /*  83773 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(83946),
     /*  83778 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  83781 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83785 */   GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(83827), // Rule ID 4493 //
     /*  83790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  83793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  83797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83801 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83812 */     // (st VR512:{ *:[v8f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPDZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v8f64] }:$src)
     /*  83812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZmr),
     /*  83815 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83819 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83825 */     GIR_RootConstrainSelectedInstOperands,
     /*  83826 */     // GIR_Coverage, 4493,
     /*  83826 */     GIR_EraseRootFromParent_Done,
     /*  83827 */   // Label 1810: @83827
     /*  83827 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(83865), // Rule ID 4517 //
     /*  83832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  83835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  83839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83850 */     // (st VR512:{ *:[v8f64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPDZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v8f64] }:$src)
     /*  83850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPDZmr),
     /*  83853 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83857 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83863 */     GIR_RootConstrainSelectedInstOperands,
     /*  83864 */     // GIR_Coverage, 4517,
     /*  83864 */     GIR_EraseRootFromParent_Done,
     /*  83865 */   // Label 1811: @83865
     /*  83865 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(83907), // Rule ID 4547 //
     /*  83870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  83873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  83877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83881 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  83885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83892 */     // (st VR512:{ *:[v8i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v8i64] }:$src)
     /*  83892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zmr),
     /*  83895 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83899 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83905 */     GIR_RootConstrainSelectedInstOperands,
     /*  83906 */     // GIR_Coverage, 4547,
     /*  83906 */     GIR_EraseRootFromParent_Done,
     /*  83907 */   // Label 1812: @83907
     /*  83907 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(83945), // Rule ID 4589 //
     /*  83912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  83915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  83919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83930 */     // (st VR512:{ *:[v8i64] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v8i64] }:$src)
     /*  83930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zmr),
     /*  83933 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83937 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83943 */     GIR_RootConstrainSelectedInstOperands,
     /*  83944 */     // GIR_Coverage, 4589,
     /*  83944 */     GIR_EraseRootFromParent_Done,
     /*  83945 */   // Label 1813: @83945
     /*  83945 */   GIM_Reject,
     /*  83946 */ // Label 1809: @83946
     /*  83946 */ GIM_Reject,
     /*  83947 */ // Label 1486: @83947
     /*  83947 */ GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(84028),
     /*  83952 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  83955 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  83959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /*  83963 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  83967 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(83997), // Rule ID 4399 //
     /*  83972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoEGPR),
     /*  83975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  83982 */     // (st VK16:{ *:[v16i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVWmk addr:{ *:[iPTR] }:$dst, VK16:{ *:[v16i1] }:$src)
     /*  83982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWmk),
     /*  83985 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  83989 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  83991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  83995 */     GIR_RootConstrainSelectedInstOperands,
     /*  83996 */     // GIR_Coverage, 4399,
     /*  83996 */     GIR_EraseRootFromParent_Done,
     /*  83997 */   // Label 1815: @83997
     /*  83997 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(84027), // Rule ID 4401 //
     /*  84002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEGPR_In64BitMode),
     /*  84005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84012 */     // (st VK16:{ *:[v16i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVWmk_EVEX addr:{ *:[iPTR] }:$dst, VK16:{ *:[v16i1] }:$src)
     /*  84012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWmk_EVEX),
     /*  84015 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84019 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84025 */     GIR_RootConstrainSelectedInstOperands,
     /*  84026 */     // GIR_Coverage, 4401,
     /*  84026 */     GIR_EraseRootFromParent_Done,
     /*  84027 */   // Label 1816: @84027
     /*  84027 */   GIM_Reject,
     /*  84028 */ // Label 1814: @84028
     /*  84028 */ GIM_Reject,
     /*  84029 */ // Label 1487: @84029
     /*  84029 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(84282),
     /*  84034 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84037 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84041 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(84083), // Rule ID 17949 //
     /*  84046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  84049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  84053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84057 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84068 */     // (st VR128:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (MOVAPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v16i8] }:$src)
     /*  84068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVAPSmr),
     /*  84071 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84075 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84081 */     GIR_RootConstrainSelectedInstOperands,
     /*  84082 */     // GIR_Coverage, 17949,
     /*  84082 */     GIR_EraseRootFromParent_Done,
     /*  84083 */   // Label 1818: @84083
     /*  84083 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(84121), // Rule ID 17953 //
     /*  84088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  84091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  84095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84106 */     // (st VR128:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (MOVUPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v16i8] }:$src)
     /*  84106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVUPSmr),
     /*  84109 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84113 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84119 */     GIR_RootConstrainSelectedInstOperands,
     /*  84120 */     // GIR_Coverage, 17953,
     /*  84120 */     GIR_EraseRootFromParent_Done,
     /*  84121 */   // Label 1819: @84121
     /*  84121 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(84163), // Rule ID 18329 //
     /*  84126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  84133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84148 */     // (st VR128:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQAmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v16i8] }:$src)
     /*  84148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQAmr),
     /*  84151 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84155 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84161 */     GIR_RootConstrainSelectedInstOperands,
     /*  84162 */     // GIR_Coverage, 18329,
     /*  84162 */     GIR_EraseRootFromParent_Done,
     /*  84163 */   // Label 1820: @84163
     /*  84163 */   GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(84201), // Rule ID 18333 //
     /*  84168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  84175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84186 */     // (st VR128:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQUmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v16i8] }:$src)
     /*  84186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQUmr),
     /*  84189 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84193 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84199 */     GIR_RootConstrainSelectedInstOperands,
     /*  84200 */     // GIR_Coverage, 18333,
     /*  84200 */     GIR_EraseRootFromParent_Done,
     /*  84201 */   // Label 1821: @84201
     /*  84201 */   GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(84243), // Rule ID 19822 //
     /*  84206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  84213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84217 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84228 */     // (st VR128X:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v16i8] }:$src)
     /*  84228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128mr),
     /*  84231 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84235 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84241 */     GIR_RootConstrainSelectedInstOperands,
     /*  84242 */     // GIR_Coverage, 19822,
     /*  84242 */     GIR_EraseRootFromParent_Done,
     /*  84243 */   // Label 1822: @84243
     /*  84243 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(84281), // Rule ID 19826 //
     /*  84248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  84255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84266 */     // (st VR128X:{ *:[v16i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z128mr addr:{ *:[iPTR] }:$dst, VR128X:{ *:[v16i8] }:$src)
     /*  84266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z128mr),
     /*  84269 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84273 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84279 */     GIR_RootConstrainSelectedInstOperands,
     /*  84280 */     // GIR_Coverage, 19826,
     /*  84280 */     GIR_EraseRootFromParent_Done,
     /*  84281 */   // Label 1823: @84281
     /*  84281 */   GIM_Reject,
     /*  84282 */ // Label 1817: @84282
     /*  84282 */ GIM_Reject,
     /*  84283 */ // Label 1488: @84283
     /*  84283 */ GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(84616),
     /*  84288 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84291 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84295 */   GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(84337), // Rule ID 17924 //
     /*  84300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84311 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84322 */     // (st VR256:{ *:[v16i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v16i16] }:$src)
     /*  84322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  84325 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84329 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84335 */     GIR_RootConstrainSelectedInstOperands,
     /*  84336 */     // GIR_Coverage, 17924,
     /*  84336 */     GIR_EraseRootFromParent_Done,
     /*  84337 */   // Label 1825: @84337
     /*  84337 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(84375), // Rule ID 17928 //
     /*  84342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84360 */     // (st VR256:{ *:[v16i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v16i16] }:$src)
     /*  84360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  84363 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84367 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84373 */     GIR_RootConstrainSelectedInstOperands,
     /*  84374 */     // GIR_Coverage, 17928,
     /*  84374 */     GIR_EraseRootFromParent_Done,
     /*  84375 */   // Label 1826: @84375
     /*  84375 */   GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(84417), // Rule ID 17936 //
     /*  84380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84391 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84402 */     // (st VR256:{ *:[v16f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v16f16] }:$src)
     /*  84402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  84405 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84409 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84415 */     GIR_RootConstrainSelectedInstOperands,
     /*  84416 */     // GIR_Coverage, 17936,
     /*  84416 */     GIR_EraseRootFromParent_Done,
     /*  84417 */   // Label 1827: @84417
     /*  84417 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(84455), // Rule ID 17937 //
     /*  84422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84440 */     // (st VR256:{ *:[v16f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v16f16] }:$src)
     /*  84440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  84443 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84447 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84453 */     GIR_RootConstrainSelectedInstOperands,
     /*  84454 */     // GIR_Coverage, 17937,
     /*  84454 */     GIR_EraseRootFromParent_Done,
     /*  84455 */   // Label 1828: @84455
     /*  84455 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(84497), // Rule ID 19836 //
     /*  84460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84471 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84482 */     // (st VR256X:{ *:[v16i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v16i16] }:$src)
     /*  84482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256mr),
     /*  84485 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84489 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84495 */     GIR_RootConstrainSelectedInstOperands,
     /*  84496 */     // GIR_Coverage, 19836,
     /*  84496 */     GIR_EraseRootFromParent_Done,
     /*  84497 */   // Label 1829: @84497
     /*  84497 */   GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(84539), // Rule ID 19837 //
     /*  84502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84513 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84524 */     // (st VR256X:{ *:[v16f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v16f16] }:$src)
     /*  84524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256mr),
     /*  84527 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84531 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84537 */     GIR_RootConstrainSelectedInstOperands,
     /*  84538 */     // GIR_Coverage, 19837,
     /*  84538 */     GIR_EraseRootFromParent_Done,
     /*  84539 */   // Label 1830: @84539
     /*  84539 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(84577), // Rule ID 19840 //
     /*  84544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84562 */     // (st VR256X:{ *:[v16i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v16i16] }:$src)
     /*  84562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256mr),
     /*  84565 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84569 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84575 */     GIR_RootConstrainSelectedInstOperands,
     /*  84576 */     // GIR_Coverage, 19840,
     /*  84576 */     GIR_EraseRootFromParent_Done,
     /*  84577 */   // Label 1831: @84577
     /*  84577 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(84615), // Rule ID 19841 //
     /*  84582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84600 */     // (st VR256X:{ *:[v16f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZ256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v16f16] }:$src)
     /*  84600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZ256mr),
     /*  84603 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84607 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84613 */     GIR_RootConstrainSelectedInstOperands,
     /*  84614 */     // GIR_Coverage, 19841,
     /*  84614 */     GIR_EraseRootFromParent_Done,
     /*  84615 */   // Label 1832: @84615
     /*  84615 */   GIM_Reject,
     /*  84616 */ // Label 1824: @84616
     /*  84616 */ GIM_Reject,
     /*  84617 */ // Label 1489: @84617
     /*  84617 */ GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(84790),
     /*  84622 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84625 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84629 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(84671), // Rule ID 4475 //
     /*  84634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  84637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  84641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84645 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84656 */     // (st VR512:{ *:[v16f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v16f32] }:$src)
     /*  84656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZmr),
     /*  84659 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84663 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84665 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84669 */     GIR_RootConstrainSelectedInstOperands,
     /*  84670 */     // GIR_Coverage, 4475,
     /*  84670 */     GIR_EraseRootFromParent_Done,
     /*  84671 */   // Label 1834: @84671
     /*  84671 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(84709), // Rule ID 4505 //
     /*  84676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  84679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  84683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84694 */     // (st VR512:{ *:[v16f32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v16f32] }:$src)
     /*  84694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZmr),
     /*  84697 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84701 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84707 */     GIR_RootConstrainSelectedInstOperands,
     /*  84708 */     // GIR_Coverage, 4505,
     /*  84708 */     GIR_EraseRootFromParent_Done,
     /*  84709 */   // Label 1835: @84709
     /*  84709 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(84751), // Rule ID 19803 //
     /*  84714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  84717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  84721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84736 */     // (st VR512:{ *:[v16i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v16i32] }:$src)
     /*  84736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zmr),
     /*  84739 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84743 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84749 */     GIR_RootConstrainSelectedInstOperands,
     /*  84750 */     // GIR_Coverage, 19803,
     /*  84750 */     GIR_EraseRootFromParent_Done,
     /*  84751 */   // Label 1836: @84751
     /*  84751 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(84789), // Rule ID 19807 //
     /*  84756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  84759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  84763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84774 */     // (st VR512:{ *:[v16i32] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v16i32] }:$src)
     /*  84774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zmr),
     /*  84777 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84781 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84787 */     GIR_RootConstrainSelectedInstOperands,
     /*  84788 */     // GIR_Coverage, 19807,
     /*  84788 */     GIR_EraseRootFromParent_Done,
     /*  84789 */   // Label 1837: @84789
     /*  84789 */   GIM_Reject,
     /*  84790 */ // Label 1833: @84790
     /*  84790 */ GIM_Reject,
     /*  84791 */ // Label 1490: @84791
     /*  84791 */ GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(84872),
     /*  84796 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84799 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /*  84807 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84811 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(84841), // Rule ID 4403 //
     /*  84816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_NoEGPR),
     /*  84819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84826 */     // (st VK32:{ *:[v32i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVDmk addr:{ *:[iPTR] }:$dst, VK32:{ *:[v32i1] }:$src)
     /*  84826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDmk),
     /*  84829 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84833 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84839 */     GIR_RootConstrainSelectedInstOperands,
     /*  84840 */     // GIR_Coverage, 4403,
     /*  84840 */     GIR_EraseRootFromParent_Done,
     /*  84841 */   // Label 1839: @84841
     /*  84841 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(84871), // Rule ID 4407 //
     /*  84846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEGPR_In64BitMode),
     /*  84849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84856 */     // (st VK32:{ *:[v32i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVDmk_EVEX addr:{ *:[iPTR] }:$dst, VK32:{ *:[v32i1] }:$src)
     /*  84856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVDmk_EVEX),
     /*  84859 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84863 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84869 */     GIR_RootConstrainSelectedInstOperands,
     /*  84870 */     // GIR_Coverage, 4407,
     /*  84870 */     GIR_EraseRootFromParent_Done,
     /*  84871 */   // Label 1840: @84871
     /*  84871 */   GIM_Reject,
     /*  84872 */ // Label 1838: @84872
     /*  84872 */ GIM_Reject,
     /*  84873 */ // Label 1491: @84873
     /*  84873 */ GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(85046),
     /*  84878 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  84881 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  84885 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(84927), // Rule ID 17925 //
     /*  84890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84901 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84912 */     // (st VR256:{ *:[v32i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v32i8] }:$src)
     /*  84912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSYmr),
     /*  84915 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84919 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84925 */     GIR_RootConstrainSelectedInstOperands,
     /*  84926 */     // GIR_Coverage, 17925,
     /*  84926 */     GIR_EraseRootFromParent_Done,
     /*  84927 */   // Label 1842: @84927
     /*  84927 */   GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(84965), // Rule ID 17929 //
     /*  84932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /*  84935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  84939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84950 */     // (st VR256:{ *:[v32i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v32i8] }:$src)
     /*  84950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSYmr),
     /*  84953 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84957 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  84959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  84963 */     GIR_RootConstrainSelectedInstOperands,
     /*  84964 */     // GIR_Coverage, 17929,
     /*  84964 */     GIR_EraseRootFromParent_Done,
     /*  84965 */   // Label 1843: @84965
     /*  84965 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(85007), // Rule ID 19838 //
     /*  84970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  84973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  84977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  84981 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  84985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  84992 */     // (st VR256X:{ *:[v32i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v32i8] }:$src)
     /*  84992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256mr),
     /*  84995 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  84999 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85005 */     GIR_RootConstrainSelectedInstOperands,
     /*  85006 */     // GIR_Coverage, 19838,
     /*  85006 */     GIR_EraseRootFromParent_Done,
     /*  85007 */   // Label 1844: @85007
     /*  85007 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(85045), // Rule ID 19842 //
     /*  85012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /*  85015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  85019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85030 */     // (st VR256X:{ *:[v32i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Z256mr addr:{ *:[iPTR] }:$dst, VR256X:{ *:[v32i8] }:$src)
     /*  85030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Z256mr),
     /*  85033 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85037 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85039 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85043 */     GIR_RootConstrainSelectedInstOperands,
     /*  85044 */     // GIR_Coverage, 19842,
     /*  85044 */     GIR_EraseRootFromParent_Done,
     /*  85045 */   // Label 1845: @85045
     /*  85045 */   GIM_Reject,
     /*  85046 */ // Label 1841: @85046
     /*  85046 */ GIM_Reject,
     /*  85047 */ // Label 1492: @85047
     /*  85047 */ GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(85220),
     /*  85052 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  85055 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85059 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(85101), // Rule ID 19804 //
     /*  85064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85075 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  85079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85086 */     // (st VR512:{ *:[v32i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v32i16] }:$src)
     /*  85086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zmr),
     /*  85089 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85093 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85099 */     GIR_RootConstrainSelectedInstOperands,
     /*  85100 */     // GIR_Coverage, 19804,
     /*  85100 */     GIR_EraseRootFromParent_Done,
     /*  85101 */   // Label 1847: @85101
     /*  85101 */   GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(85143), // Rule ID 19805 //
     /*  85106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85117 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  85121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85128 */     // (st VR512:{ *:[v32f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVAPSZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v32f16] }:$src)
     /*  85128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZmr),
     /*  85131 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85135 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85141 */     GIR_RootConstrainSelectedInstOperands,
     /*  85142 */     // GIR_Coverage, 19805,
     /*  85142 */     GIR_EraseRootFromParent_Done,
     /*  85143 */   // Label 1848: @85143
     /*  85143 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(85181), // Rule ID 19808 //
     /*  85148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85166 */     // (st VR512:{ *:[v32i16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v32i16] }:$src)
     /*  85166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zmr),
     /*  85169 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85173 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85179 */     GIR_RootConstrainSelectedInstOperands,
     /*  85180 */     // GIR_Coverage, 19808,
     /*  85180 */     GIR_EraseRootFromParent_Done,
     /*  85181 */   // Label 1849: @85181
     /*  85181 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(85219), // Rule ID 19809 //
     /*  85186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85204 */     // (st VR512:{ *:[v32f16] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVUPSZmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v32f16] }:$src)
     /*  85204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVUPSZmr),
     /*  85207 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85211 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85217 */     GIR_RootConstrainSelectedInstOperands,
     /*  85218 */     // GIR_Coverage, 19809,
     /*  85218 */     GIR_EraseRootFromParent_Done,
     /*  85219 */   // Label 1850: @85219
     /*  85219 */   GIM_Reject,
     /*  85220 */ // Label 1846: @85220
     /*  85220 */ GIM_Reject,
     /*  85221 */ // Label 1493: @85221
     /*  85221 */ GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(85302),
     /*  85226 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  85229 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /*  85237 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85241 */   GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(85271), // Rule ID 4405 //
     /*  85246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_NoEGPR),
     /*  85249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85256 */     // (st VK64:{ *:[v64i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVQmk addr:{ *:[iPTR] }:$dst, VK64:{ *:[v64i1] }:$src)
     /*  85256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQmk),
     /*  85259 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85263 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85269 */     GIR_RootConstrainSelectedInstOperands,
     /*  85270 */     // GIR_Coverage, 4405,
     /*  85270 */     GIR_EraseRootFromParent_Done,
     /*  85271 */   // Label 1852: @85271
     /*  85271 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(85301), // Rule ID 4409 //
     /*  85276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEGPR_In64BitMode),
     /*  85279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85286 */     // (st VK64:{ *:[v64i1] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (KMOVQmk_EVEX addr:{ *:[iPTR] }:$dst, VK64:{ *:[v64i1] }:$src)
     /*  85286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVQmk_EVEX),
     /*  85289 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85293 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85299 */     GIR_RootConstrainSelectedInstOperands,
     /*  85300 */     // GIR_Coverage, 4409,
     /*  85300 */     GIR_EraseRootFromParent_Done,
     /*  85301 */   // Label 1853: @85301
     /*  85301 */   GIM_Reject,
     /*  85302 */ // Label 1851: @85302
     /*  85302 */ GIM_Reject,
     /*  85303 */ // Label 1494: @85303
     /*  85303 */ GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(85396),
     /*  85308 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  85311 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  85315 */   GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(85357), // Rule ID 19806 //
     /*  85320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85331 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedstore),
     /*  85335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85342 */     // (st VR512:{ *:[v64i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>><<P:Predicate_alignedstore>>  =>  (VMOVDQA64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v64i8] }:$src)
     /*  85342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zmr),
     /*  85345 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85349 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85355 */     GIR_RootConstrainSelectedInstOperands,
     /*  85356 */     // GIR_Coverage, 19806,
     /*  85356 */     GIR_EraseRootFromParent_Done,
     /*  85357 */   // Label 1855: @85357
     /*  85357 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(85395), // Rule ID 19810 //
     /*  85362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /*  85365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  85369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85380 */     // (st VR512:{ *:[v64i8] }:$src, addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (VMOVDQU64Zmr addr:{ *:[iPTR] }:$dst, VR512:{ *:[v64i8] }:$src)
     /*  85380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU64Zmr),
     /*  85383 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /*  85387 */     GIR_RootToRootCopy, /*OpIdx*/0, // src
     /*  85389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85393 */     GIR_RootConstrainSelectedInstOperands,
     /*  85394 */     // GIR_Coverage, 19810,
     /*  85394 */     GIR_EraseRootFromParent_Done,
     /*  85395 */   // Label 1856: @85395
     /*  85395 */   GIM_Reject,
     /*  85396 */ // Label 1854: @85396
     /*  85396 */ GIM_Reject,
     /*  85397 */ // Label 1495: @85397
     /*  85397 */ GIM_Reject,
     /*  85398 */ // Label 14: @85398
     /*  85398 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 1861*/ GIMT_Encode4(85633),
     /*  85409 */ /*GILLT_s8*//*Label 1857*/ GIMT_Encode4(85425),
     /*  85413 */ /*GILLT_s16*//*Label 1858*/ GIMT_Encode4(85477),
     /*  85417 */ /*GILLT_s32*//*Label 1859*/ GIMT_Encode4(85529),
     /*  85421 */ /*GILLT_s64*//*Label 1860*/ GIMT_Encode4(85581),
     /*  85425 */ // Label 1857: @85425
     /*  85425 */ GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(85476), // Rule ID 45 //
     /*  85430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  85433 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  85440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  85444 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  85452 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85459 */   // (atomic_swap:{ *:[i8] } addr:{ *:[iPTR] }:$ptr, GR8:{ *:[i8] }:$val)<<P:Predicate_atomic_swap_i8>>  =>  (XCHG8rm:{ *:[i8] } GR8:{ *:[i8] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XCHG8rm),
     /*  85462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85464 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85466 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85470 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85474 */   GIR_RootConstrainSelectedInstOperands,
     /*  85475 */   // GIR_Coverage, 45,
     /*  85475 */   GIR_EraseRootFromParent_Done,
     /*  85476 */ // Label 1862: @85476
     /*  85476 */ GIM_Reject,
     /*  85477 */ // Label 1858: @85477
     /*  85477 */ GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(85528), // Rule ID 46 //
     /*  85482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  85485 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  85492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  85496 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  85504 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85511 */   // (atomic_swap:{ *:[i16] } addr:{ *:[iPTR] }:$ptr, GR16:{ *:[i16] }:$val)<<P:Predicate_atomic_swap_i16>>  =>  (XCHG16rm:{ *:[i16] } GR16:{ *:[i16] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XCHG16rm),
     /*  85514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85516 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85518 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85522 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85526 */   GIR_RootConstrainSelectedInstOperands,
     /*  85527 */   // GIR_Coverage, 46,
     /*  85527 */   GIR_EraseRootFromParent_Done,
     /*  85528 */ // Label 1863: @85528
     /*  85528 */ GIM_Reject,
     /*  85529 */ // Label 1859: @85529
     /*  85529 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(85580), // Rule ID 47 //
     /*  85534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  85537 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  85544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  85548 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  85556 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85563 */   // (atomic_swap:{ *:[i32] } addr:{ *:[iPTR] }:$ptr, GR32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_i32>>  =>  (XCHG32rm:{ *:[i32] } GR32:{ *:[i32] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XCHG32rm),
     /*  85566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85568 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85570 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85574 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85578 */   GIR_RootConstrainSelectedInstOperands,
     /*  85579 */   // GIR_Coverage, 47,
     /*  85579 */   GIR_EraseRootFromParent_Done,
     /*  85580 */ // Label 1864: @85580
     /*  85580 */ GIM_Reject,
     /*  85581 */ // Label 1860: @85581
     /*  85581 */ GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(85632), // Rule ID 48 //
     /*  85586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  85589 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  85596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  85600 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  85608 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85615 */   // (atomic_swap:{ *:[i64] } addr:{ *:[iPTR] }:$ptr, GR64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_i64>>  =>  (XCHG64rm:{ *:[i64] } GR64:{ *:[i64] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XCHG64rm),
     /*  85618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85620 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85622 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85626 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85630 */   GIR_RootConstrainSelectedInstOperands,
     /*  85631 */   // GIR_Coverage, 48,
     /*  85631 */   GIR_EraseRootFromParent_Done,
     /*  85632 */ // Label 1865: @85632
     /*  85632 */ GIM_Reject,
     /*  85633 */ // Label 1861: @85633
     /*  85633 */ GIM_Reject,
     /*  85634 */ // Label 15: @85634
     /*  85634 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 1870*/ GIMT_Encode4(85881),
     /*  85645 */ /*GILLT_s8*//*Label 1866*/ GIMT_Encode4(85661),
     /*  85649 */ /*GILLT_s16*//*Label 1867*/ GIMT_Encode4(85716),
     /*  85653 */ /*GILLT_s32*//*Label 1868*/ GIMT_Encode4(85771),
     /*  85657 */ /*GILLT_s64*//*Label 1869*/ GIMT_Encode4(85826),
     /*  85661 */ // Label 1866: @85661
     /*  85661 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(85715), // Rule ID 17297 //
     /*  85666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /*  85669 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  85676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  85680 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  85688 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85695 */   // (atomic_load_add:{ *:[i8] } addr:{ *:[iPTR] }:$ptr, GR8:{ *:[i8] }:$val)<<P:Predicate_atomic_load_add_i8>>  =>  (LXADD8:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LXADD8),
     /*  85698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85700 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85702 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85706 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  85709 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85713 */   GIR_RootConstrainSelectedInstOperands,
     /*  85714 */   // GIR_Coverage, 17297,
     /*  85714 */   GIR_EraseRootFromParent_Done,
     /*  85715 */ // Label 1871: @85715
     /*  85715 */ GIM_Reject,
     /*  85716 */ // Label 1867: @85716
     /*  85716 */ GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(85770), // Rule ID 17298 //
     /*  85721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /*  85724 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  85731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  85735 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  85743 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85750 */   // (atomic_load_add:{ *:[i16] } addr:{ *:[iPTR] }:$ptr, GR16:{ *:[i16] }:$val)<<P:Predicate_atomic_load_add_i16>>  =>  (LXADD16:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LXADD16),
     /*  85753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85755 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85757 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85761 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  85764 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85768 */   GIR_RootConstrainSelectedInstOperands,
     /*  85769 */   // GIR_Coverage, 17298,
     /*  85769 */   GIR_EraseRootFromParent_Done,
     /*  85770 */ // Label 1872: @85770
     /*  85770 */ GIM_Reject,
     /*  85771 */ // Label 1868: @85771
     /*  85771 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(85825), // Rule ID 17299 //
     /*  85776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  85779 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  85786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  85790 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  85798 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85805 */   // (atomic_load_add:{ *:[i32] } addr:{ *:[iPTR] }:$ptr, GR32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_i32>>  =>  (LXADD32:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LXADD32),
     /*  85808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85810 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85812 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85816 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  85819 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85823 */   GIR_RootConstrainSelectedInstOperands,
     /*  85824 */   // GIR_Coverage, 17299,
     /*  85824 */   GIR_EraseRootFromParent_Done,
     /*  85825 */ // Label 1873: @85825
     /*  85825 */ GIM_Reject,
     /*  85826 */ // Label 1869: @85826
     /*  85826 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(85880), // Rule ID 17300 //
     /*  85831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  85834 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  85841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  85845 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  85849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  85853 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85860 */   // (atomic_load_add:{ *:[i64] } addr:{ *:[iPTR] }:$ptr, GR64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_i64>>  =>  (LXADD64:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$val, addr:{ *:[iPTR] }:$ptr)
     /*  85860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LXADD64),
     /*  85863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85865 */   GIR_RootToRootCopy, /*OpIdx*/2, // val
     /*  85867 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // ptr
     /*  85871 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /*  85874 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85878 */   GIR_RootConstrainSelectedInstOperands,
     /*  85879 */   // GIR_Coverage, 17300,
     /*  85879 */   GIR_EraseRootFromParent_Done,
     /*  85880 */ // Label 1874: @85880
     /*  85880 */ GIM_Reject,
     /*  85881 */ // Label 1870: @85881
     /*  85881 */ GIM_Reject,
     /*  85882 */ // Label 16: @85882
     /*  85882 */ GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(86037),
     /*  85887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  85890 */   GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(85940), // Rule ID 156 //
     /*  85895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPREFETCHI_In64BitMode),
     /*  85898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  85901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  85904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  85908 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  85912 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 3,
     /*  85916 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  85920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85927 */     // (prefetch addr:{ *:[iPTR] }:$src, 0:{ *:[i32] }, 3:{ *:[i32] }, 0:{ *:[i32] })  =>  (PREFETCHIT0 addr:{ *:[iPTR] }:$src)
     /*  85927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHIT0),
     /*  85930 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  85934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85938 */     GIR_RootConstrainSelectedInstOperands,
     /*  85939 */     // GIR_Coverage, 156,
     /*  85939 */     GIR_EraseRootFromParent_Done,
     /*  85940 */   // Label 1876: @85940
     /*  85940 */   GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(85990), // Rule ID 157 //
     /*  85945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPREFETCHI_In64BitMode),
     /*  85948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  85951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  85954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  85958 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  85962 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 2,
     /*  85966 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /*  85970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  85977 */     // (prefetch addr:{ *:[iPTR] }:$src, 0:{ *:[i32] }, 2:{ *:[i32] }, 0:{ *:[i32] })  =>  (PREFETCHIT1 addr:{ *:[iPTR] }:$src)
     /*  85977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHIT1),
     /*  85980 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  85984 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  85988 */     GIR_RootConstrainSelectedInstOperands,
     /*  85989 */     // GIR_Coverage, 157,
     /*  85989 */     GIR_EraseRootFromParent_Done,
     /*  85990 */   // Label 1877: @85990
     /*  85990 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(86036), // Rule ID 16982 //
     /*  85995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPrefetchW),
     /*  85998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  86001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  86005 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /*  86009 */     // MIs[0] Operand 2
     /*  86009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  86012 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86023 */     // (prefetch addr:{ *:[iPTR] }:$addr, 1:{ *:[i32] }, (timm:{ *:[i32] })<<P:Predicate_PrefetchWLevel>>, 1:{ *:[i32] })  =>  (PREFETCHW addr:{ *:[iPTR] }:$addr)
     /*  86023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHW),
     /*  86026 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // addr
     /*  86030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86034 */     GIR_RootConstrainSelectedInstOperands,
     /*  86035 */     // GIR_Coverage, 16982,
     /*  86035 */     GIR_EraseRootFromParent_Done,
     /*  86036 */   // Label 1878: @86036
     /*  86036 */   GIM_Reject,
     /*  86037 */ // Label 1875: @86037
     /*  86037 */ GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(86200),
     /*  86042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  86045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  86048 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  86052 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  86055 */   GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(86091), // Rule ID 2504 //
     /*  86060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSEPrefetch),
     /*  86063 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 3,
     /*  86067 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86078 */     // (prefetch addr:{ *:[iPTR] }:$src, (timm:{ *:[i32] }), 3:{ *:[i32] }, 1:{ *:[i32] })  =>  (PREFETCHT0 addr:{ *:[iPTR] }:$src)
     /*  86078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHT0),
     /*  86081 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86089 */     GIR_RootConstrainSelectedInstOperands,
     /*  86090 */     // GIR_Coverage, 2504,
     /*  86090 */     GIR_EraseRootFromParent_Done,
     /*  86091 */   // Label 1880: @86091
     /*  86091 */   GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(86127), // Rule ID 2505 //
     /*  86096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSEPrefetch),
     /*  86099 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 2,
     /*  86103 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86114 */     // (prefetch addr:{ *:[iPTR] }:$src, (timm:{ *:[i32] }), 2:{ *:[i32] }, 1:{ *:[i32] })  =>  (PREFETCHT1 addr:{ *:[iPTR] }:$src)
     /*  86114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHT1),
     /*  86117 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86125 */     GIR_RootConstrainSelectedInstOperands,
     /*  86126 */     // GIR_Coverage, 2505,
     /*  86126 */     GIR_EraseRootFromParent_Done,
     /*  86127 */   // Label 1881: @86127
     /*  86127 */   GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(86163), // Rule ID 2506 //
     /*  86132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSEPrefetch),
     /*  86135 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  86139 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86150 */     // (prefetch addr:{ *:[iPTR] }:$src, (timm:{ *:[i32] }), 1:{ *:[i32] }, 1:{ *:[i32] })  =>  (PREFETCHT2 addr:{ *:[iPTR] }:$src)
     /*  86150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHT2),
     /*  86153 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86161 */     GIR_RootConstrainSelectedInstOperands,
     /*  86162 */     // GIR_Coverage, 2506,
     /*  86162 */     GIR_EraseRootFromParent_Done,
     /*  86163 */   // Label 1882: @86163
     /*  86163 */   GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(86199), // Rule ID 2507 //
     /*  86168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSEPrefetch),
     /*  86171 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /*  86175 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 1,
     /*  86179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/0, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86186 */     // (prefetch addr:{ *:[iPTR] }:$src, (timm:{ *:[i32] }), 0:{ *:[i32] }, 1:{ *:[i32] })  =>  (PREFETCHNTA addr:{ *:[iPTR] }:$src)
     /*  86186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHNTA),
     /*  86189 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  86197 */     GIR_RootConstrainSelectedInstOperands,
     /*  86198 */     // GIR_Coverage, 2507,
     /*  86198 */     GIR_EraseRootFromParent_Done,
     /*  86199 */   // Label 1883: @86199
     /*  86199 */   GIM_Reject,
     /*  86200 */ // Label 1879: @86200
     /*  86200 */ GIM_Reject,
     /*  86201 */ // Label 17: @86201
     /*  86201 */ GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(88530),
     /*  86206 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  86209 */   GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(86276), // Rule ID 1529 //
     /*  86214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubwd),
     /*  86222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  86225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86240 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86243 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86247 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86260 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14949:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBWDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  86260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBWDrm),
     /*  86263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86265 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86274 */     GIR_RootConstrainSelectedInstOperands,
     /*  86275 */     // GIR_Coverage, 1529,
     /*  86275 */     GIR_EraseRootFromParent_Done,
     /*  86276 */   // Label 1885: @86276
     /*  86276 */   GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(86343), // Rule ID 1531 //
     /*  86281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubdq),
     /*  86289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  86292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  86295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86307 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86310 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86314 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86320 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86327 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14948:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBDQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  86327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBDQrm),
     /*  86330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86332 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86336 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86341 */     GIR_RootConstrainSelectedInstOperands,
     /*  86342 */     // GIR_Coverage, 1531,
     /*  86342 */     GIR_EraseRootFromParent_Done,
     /*  86343 */   // Label 1886: @86343
     /*  86343 */   GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(86410), // Rule ID 1533 //
     /*  86348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubbw),
     /*  86356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  86359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  86362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86374 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86377 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86381 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86387 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86394 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14947:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBBWrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  86394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBBWrm),
     /*  86397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86408 */     GIR_RootConstrainSelectedInstOperands,
     /*  86409 */     // GIR_Coverage, 1533,
     /*  86409 */     GIR_EraseRootFromParent_Done,
     /*  86410 */   // Label 1887: @86410
     /*  86410 */   GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(86477), // Rule ID 1535 //
     /*  86415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddwq),
     /*  86423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  86426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86441 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86444 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86448 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86454 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86461 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14946:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDWQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  86461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDWQrm),
     /*  86464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86466 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86475 */     GIR_RootConstrainSelectedInstOperands,
     /*  86476 */     // GIR_Coverage, 1535,
     /*  86476 */     GIR_EraseRootFromParent_Done,
     /*  86477 */   // Label 1888: @86477
     /*  86477 */   GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(86544), // Rule ID 1537 //
     /*  86482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddwd),
     /*  86490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  86493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86508 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86511 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86515 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86521 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86528 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14945:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDWDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  86528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDWDrm),
     /*  86531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86533 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86542 */     GIR_RootConstrainSelectedInstOperands,
     /*  86543 */     // GIR_Coverage, 1537,
     /*  86543 */     GIR_EraseRootFromParent_Done,
     /*  86544 */   // Label 1889: @86544
     /*  86544 */   GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(86611), // Rule ID 1539 //
     /*  86549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadduwq),
     /*  86557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  86560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86575 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86578 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86582 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86588 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86595 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14944:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUWQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  86595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUWQrm),
     /*  86598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86600 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86609 */     GIR_RootConstrainSelectedInstOperands,
     /*  86610 */     // GIR_Coverage, 1539,
     /*  86610 */     GIR_EraseRootFromParent_Done,
     /*  86611 */   // Label 1890: @86611
     /*  86611 */   GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(86678), // Rule ID 1541 //
     /*  86616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadduwd),
     /*  86624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  86627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86642 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86645 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86649 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86655 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86662 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14943:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUWDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  86662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUWDrm),
     /*  86665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86667 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86676 */     GIR_RootConstrainSelectedInstOperands,
     /*  86677 */     // GIR_Coverage, 1541,
     /*  86677 */     GIR_EraseRootFromParent_Done,
     /*  86678 */   // Label 1891: @86678
     /*  86678 */   GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(86745), // Rule ID 1543 //
     /*  86683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddudq),
     /*  86691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  86694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  86697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86709 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86712 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86716 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86729 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14942:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUDQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  86729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUDQrm),
     /*  86732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86734 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86743 */     GIR_RootConstrainSelectedInstOperands,
     /*  86744 */     // GIR_Coverage, 1543,
     /*  86744 */     GIR_EraseRootFromParent_Done,
     /*  86745 */   // Label 1892: @86745
     /*  86745 */   GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(86812), // Rule ID 1545 //
     /*  86750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubw),
     /*  86758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  86761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  86764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86776 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86779 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86783 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86796 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14941:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUBWrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  86796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBWrm),
     /*  86799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86801 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86805 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86810 */     GIR_RootConstrainSelectedInstOperands,
     /*  86811 */     // GIR_Coverage, 1545,
     /*  86811 */     GIR_EraseRootFromParent_Done,
     /*  86812 */   // Label 1893: @86812
     /*  86812 */   GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(86879), // Rule ID 1547 //
     /*  86817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubq),
     /*  86825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  86828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  86831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86843 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86846 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86850 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86863 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14940:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUBQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  86863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBQrm),
     /*  86866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86868 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86877 */     GIR_RootConstrainSelectedInstOperands,
     /*  86878 */     // GIR_Coverage, 1547,
     /*  86878 */     GIR_EraseRootFromParent_Done,
     /*  86879 */   // Label 1894: @86879
     /*  86879 */   GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(86946), // Rule ID 1549 //
     /*  86884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubd),
     /*  86892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  86895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  86898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86910 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86913 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86917 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86923 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86930 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14939:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDUBDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  86930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBDrm),
     /*  86933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86935 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  86939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86944 */     GIR_RootConstrainSelectedInstOperands,
     /*  86945 */     // GIR_Coverage, 1549,
     /*  86945 */     GIR_EraseRootFromParent_Done,
     /*  86946 */   // Label 1895: @86946
     /*  86946 */   GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(87013), // Rule ID 1551 //
     /*  86951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  86954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadddq),
     /*  86959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  86962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  86965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  86969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86977 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  86980 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  86984 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  86997 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14938:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDDQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  86997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDDQrm),
     /*  87000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87002 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87011 */     GIR_RootConstrainSelectedInstOperands,
     /*  87012 */     // GIR_Coverage, 1551,
     /*  87012 */     GIR_EraseRootFromParent_Done,
     /*  87013 */   // Label 1896: @87013
     /*  87013 */   GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(87080), // Rule ID 1553 //
     /*  87018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbw),
     /*  87026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87044 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87047 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87051 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87057 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87064 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14937:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDBWrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /*  87064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBWrm),
     /*  87067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87078 */     GIR_RootConstrainSelectedInstOperands,
     /*  87079 */     // GIR_Coverage, 1553,
     /*  87079 */     GIR_EraseRootFromParent_Done,
     /*  87080 */   // Label 1897: @87080
     /*  87080 */   GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(87147), // Rule ID 1555 //
     /*  87085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbq),
     /*  87093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87111 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87114 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87118 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87124 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87131 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14936:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDBQrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /*  87131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBQrm),
     /*  87134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87136 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87145 */     GIR_RootConstrainSelectedInstOperands,
     /*  87146 */     // GIR_Coverage, 1555,
     /*  87146 */     GIR_EraseRootFromParent_Done,
     /*  87147 */   // Label 1898: @87147
     /*  87147 */   GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(87214), // Rule ID 1557 //
     /*  87152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbd),
     /*  87160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87178 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87181 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87185 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87191 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87198 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14935:{ *:[iPTR] }, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDBDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /*  87198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBDrm),
     /*  87201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87203 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87212 */     GIR_RootConstrainSelectedInstOperands,
     /*  87213 */     // GIR_Coverage, 1557,
     /*  87213 */     GIR_EraseRootFromParent_Done,
     /*  87214 */   // Label 1899: @87214
     /*  87214 */   GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(87281), // Rule ID 1563 //
     /*  87219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ps),
     /*  87227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  87233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87245 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87248 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87252 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87258 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87265 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14927:{ *:[iPTR] }, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFRCZPSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /*  87265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPSrm),
     /*  87268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87270 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87274 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87279 */     GIR_RootConstrainSelectedInstOperands,
     /*  87280 */     // GIR_Coverage, 1563,
     /*  87280 */     GIR_EraseRootFromParent_Done,
     /*  87281 */   // Label 1900: @87281
     /*  87281 */   GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(87348), // Rule ID 1565 //
     /*  87286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ps_256),
     /*  87294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  87297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  87300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  87304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87312 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87315 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87319 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87325 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87332 */     // (intrinsic_wo_chain:{ *:[v8f32] } 14928:{ *:[iPTR] }, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFRCZPSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /*  87332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPSYrm),
     /*  87335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87337 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87346 */     GIR_RootConstrainSelectedInstOperands,
     /*  87347 */     // GIR_Coverage, 1565,
     /*  87347 */     GIR_EraseRootFromParent_Done,
     /*  87348 */   // Label 1901: @87348
     /*  87348 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(87415), // Rule ID 1571 //
     /*  87353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_pd),
     /*  87361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  87367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87379 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87382 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87386 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87392 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87399 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14925:{ *:[iPTR] }, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFRCZPDrm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /*  87399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPDrm),
     /*  87402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87413 */     GIR_RootConstrainSelectedInstOperands,
     /*  87414 */     // GIR_Coverage, 1571,
     /*  87414 */     GIR_EraseRootFromParent_Done,
     /*  87415 */   // Label 1902: @87415
     /*  87415 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(87482), // Rule ID 1573 //
     /*  87420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_pd_256),
     /*  87428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  87431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  87434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  87438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87446 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87449 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87453 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87459 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87466 */     // (intrinsic_wo_chain:{ *:[v4f64] } 14926:{ *:[iPTR] }, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFRCZPDYrm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /*  87466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPDYrm),
     /*  87469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87471 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /*  87475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87480 */     GIR_RootConstrainSelectedInstOperands,
     /*  87481 */     // GIR_Coverage, 1573,
     /*  87481 */     GIR_EraseRootFromParent_Done,
     /*  87482 */   // Label 1903: @87482
     /*  87482 */   GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(87549), // Rule ID 3363 //
     /*  87487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX),
     /*  87490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesimc),
     /*  87495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  87501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87513 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  87516 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  87520 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87526 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  87533 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13300:{ *:[iPTR] }, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESIMCrm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)
     /*  87533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESIMCrm),
     /*  87536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87538 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  87542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87547 */     GIR_RootConstrainSelectedInstOperands,
     /*  87548 */     // GIR_Coverage, 3363,
     /*  87548 */     GIR_EraseRootFromParent_Done,
     /*  87549 */   // Label 1904: @87549
     /*  87549 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(87585), // Rule ID 1528 //
     /*  87554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubwd),
     /*  87562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87576 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14949:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHSUBWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src)
     /*  87576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBWDrr),
     /*  87579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87581 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87583 */     GIR_RootConstrainSelectedInstOperands,
     /*  87584 */     // GIR_Coverage, 1528,
     /*  87584 */     GIR_EraseRootFromParent_Done,
     /*  87585 */   // Label 1905: @87585
     /*  87585 */   GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(87621), // Rule ID 1530 //
     /*  87590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubdq),
     /*  87598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  87604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87612 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14948:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src)  =>  (VPHSUBDQrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src)
     /*  87612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBDQrr),
     /*  87615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87617 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87619 */     GIR_RootConstrainSelectedInstOperands,
     /*  87620 */     // GIR_Coverage, 1530,
     /*  87620 */     GIR_EraseRootFromParent_Done,
     /*  87621 */   // Label 1906: @87621
     /*  87621 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(87657), // Rule ID 1532 //
     /*  87626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphsubbw),
     /*  87634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87648 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14947:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHSUBBWrr:{ *:[v8i16] } VR128:{ *:[v16i8] }:$src)
     /*  87648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBBWrr),
     /*  87651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87653 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87655 */     GIR_RootConstrainSelectedInstOperands,
     /*  87656 */     // GIR_Coverage, 1532,
     /*  87656 */     GIR_EraseRootFromParent_Done,
     /*  87657 */   // Label 1907: @87657
     /*  87657 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(87693), // Rule ID 1534 //
     /*  87662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddwq),
     /*  87670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87684 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14946:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHADDWQrr:{ *:[v2i64] } VR128:{ *:[v8i16] }:$src)
     /*  87684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDWQrr),
     /*  87687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87689 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87691 */     GIR_RootConstrainSelectedInstOperands,
     /*  87692 */     // GIR_Coverage, 1534,
     /*  87692 */     GIR_EraseRootFromParent_Done,
     /*  87693 */   // Label 1908: @87693
     /*  87693 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(87729), // Rule ID 1536 //
     /*  87698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddwd),
     /*  87706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87720 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14945:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHADDWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src)
     /*  87720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDWDrr),
     /*  87723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87725 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87727 */     GIR_RootConstrainSelectedInstOperands,
     /*  87728 */     // GIR_Coverage, 1536,
     /*  87728 */     GIR_EraseRootFromParent_Done,
     /*  87729 */   // Label 1909: @87729
     /*  87729 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(87765), // Rule ID 1538 //
     /*  87734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadduwq),
     /*  87742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87756 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14944:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHADDUWQrr:{ *:[v2i64] } VR128:{ *:[v8i16] }:$src)
     /*  87756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUWQrr),
     /*  87759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87761 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87763 */     GIR_RootConstrainSelectedInstOperands,
     /*  87764 */     // GIR_Coverage, 1538,
     /*  87764 */     GIR_EraseRootFromParent_Done,
     /*  87765 */   // Label 1910: @87765
     /*  87765 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(87801), // Rule ID 1540 //
     /*  87770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadduwd),
     /*  87778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  87784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87792 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14943:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src)  =>  (VPHADDUWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src)
     /*  87792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUWDrr),
     /*  87795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87797 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87799 */     GIR_RootConstrainSelectedInstOperands,
     /*  87800 */     // GIR_Coverage, 1540,
     /*  87800 */     GIR_EraseRootFromParent_Done,
     /*  87801 */   // Label 1911: @87801
     /*  87801 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(87837), // Rule ID 1542 //
     /*  87806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddudq),
     /*  87814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  87820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87828 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14942:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src)  =>  (VPHADDUDQrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src)
     /*  87828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUDQrr),
     /*  87831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87833 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87835 */     GIR_RootConstrainSelectedInstOperands,
     /*  87836 */     // GIR_Coverage, 1542,
     /*  87836 */     GIR_EraseRootFromParent_Done,
     /*  87837 */   // Label 1912: @87837
     /*  87837 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(87873), // Rule ID 1544 //
     /*  87842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubw),
     /*  87850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87864 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14941:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDUBWrr:{ *:[v8i16] } VR128:{ *:[v16i8] }:$src)
     /*  87864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBWrr),
     /*  87867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87869 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87871 */     GIR_RootConstrainSelectedInstOperands,
     /*  87872 */     // GIR_Coverage, 1544,
     /*  87872 */     GIR_EraseRootFromParent_Done,
     /*  87873 */   // Label 1913: @87873
     /*  87873 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(87909), // Rule ID 1546 //
     /*  87878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubq),
     /*  87886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87900 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14940:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDUBQrr:{ *:[v2i64] } VR128:{ *:[v16i8] }:$src)
     /*  87900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBQrr),
     /*  87903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87905 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87907 */     GIR_RootConstrainSelectedInstOperands,
     /*  87908 */     // GIR_Coverage, 1546,
     /*  87908 */     GIR_EraseRootFromParent_Done,
     /*  87909 */   // Label 1914: @87909
     /*  87909 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(87945), // Rule ID 1548 //
     /*  87914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddubd),
     /*  87922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  87925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  87928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87936 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14939:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDUBDrr:{ *:[v4i32] } VR128:{ *:[v16i8] }:$src)
     /*  87936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDUBDrr),
     /*  87939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87941 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87943 */     GIR_RootConstrainSelectedInstOperands,
     /*  87944 */     // GIR_Coverage, 1548,
     /*  87944 */     GIR_EraseRootFromParent_Done,
     /*  87945 */   // Label 1915: @87945
     /*  87945 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(87981), // Rule ID 1550 //
     /*  87950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphadddq),
     /*  87958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  87961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  87964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  87972 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14938:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src)  =>  (VPHADDDQrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src)
     /*  87972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDDQrr),
     /*  87975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87977 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  87979 */     GIR_RootConstrainSelectedInstOperands,
     /*  87980 */     // GIR_Coverage, 1550,
     /*  87980 */     GIR_EraseRootFromParent_Done,
     /*  87981 */   // Label 1916: @87981
     /*  87981 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(88017), // Rule ID 1552 //
     /*  87986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  87989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbw),
     /*  87994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  87997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88008 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14937:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDBWrr:{ *:[v8i16] } VR128:{ *:[v16i8] }:$src)
     /*  88008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBWrr),
     /*  88011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88013 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88015 */     GIR_RootConstrainSelectedInstOperands,
     /*  88016 */     // GIR_Coverage, 1552,
     /*  88016 */     GIR_EraseRootFromParent_Done,
     /*  88017 */   // Label 1917: @88017
     /*  88017 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(88053), // Rule ID 1554 //
     /*  88022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbq),
     /*  88030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88044 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14936:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDBQrr:{ *:[v2i64] } VR128:{ *:[v16i8] }:$src)
     /*  88044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBQrr),
     /*  88047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88049 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88051 */     GIR_RootConstrainSelectedInstOperands,
     /*  88052 */     // GIR_Coverage, 1554,
     /*  88052 */     GIR_EraseRootFromParent_Done,
     /*  88053 */   // Label 1918: @88053
     /*  88053 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(88089), // Rule ID 1556 //
     /*  88058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vphaddbd),
     /*  88066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88080 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14935:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src)  =>  (VPHADDBDrr:{ *:[v4i32] } VR128:{ *:[v16i8] }:$src)
     /*  88080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDBDrr),
     /*  88083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88085 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88087 */     GIR_RootConstrainSelectedInstOperands,
     /*  88088 */     // GIR_Coverage, 1556,
     /*  88088 */     GIR_EraseRootFromParent_Done,
     /*  88089 */   // Label 1919: @88089
     /*  88089 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(88125), // Rule ID 1558 //
     /*  88094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ss),
     /*  88102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88116 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14930:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (VFRCZSSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /*  88116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZSSrr),
     /*  88119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88121 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88123 */     GIR_RootConstrainSelectedInstOperands,
     /*  88124 */     // GIR_Coverage, 1558,
     /*  88124 */     GIR_EraseRootFromParent_Done,
     /*  88125 */   // Label 1920: @88125
     /*  88125 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(88161), // Rule ID 1562 //
     /*  88130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ps),
     /*  88138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88152 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14927:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (VFRCZPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /*  88152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPSrr),
     /*  88155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88157 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88159 */     GIR_RootConstrainSelectedInstOperands,
     /*  88160 */     // GIR_Coverage, 1562,
     /*  88160 */     GIR_EraseRootFromParent_Done,
     /*  88161 */   // Label 1921: @88161
     /*  88161 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(88197), // Rule ID 1564 //
     /*  88166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_ps_256),
     /*  88174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  88177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  88180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  88184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  88188 */     // (intrinsic_wo_chain:{ *:[v8f32] } 14928:{ *:[iPTR] }, VR256:{ *:[v8f32] }:$src)  =>  (VFRCZPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)
     /*  88188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPSYrr),
     /*  88191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88193 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88195 */     GIR_RootConstrainSelectedInstOperands,
     /*  88196 */     // GIR_Coverage, 1564,
     /*  88196 */     GIR_EraseRootFromParent_Done,
     /*  88197 */   // Label 1922: @88197
     /*  88197 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(88233), // Rule ID 1566 //
     /*  88202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_sd),
     /*  88210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88224 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14929:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src)  =>  (VFRCZSDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /*  88224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZSDrr),
     /*  88227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88229 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88231 */     GIR_RootConstrainSelectedInstOperands,
     /*  88232 */     // GIR_Coverage, 1566,
     /*  88232 */     GIR_EraseRootFromParent_Done,
     /*  88233 */   // Label 1923: @88233
     /*  88233 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(88269), // Rule ID 1570 //
     /*  88238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_pd),
     /*  88246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88260 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14925:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src)  =>  (VFRCZPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /*  88260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPDrr),
     /*  88263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88265 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88267 */     GIR_RootConstrainSelectedInstOperands,
     /*  88268 */     // GIR_Coverage, 1570,
     /*  88268 */     GIR_EraseRootFromParent_Done,
     /*  88269 */   // Label 1924: @88269
     /*  88269 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(88305), // Rule ID 1572 //
     /*  88274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  88277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vfrcz_pd_256),
     /*  88282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  88285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  88288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  88292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  88296 */     // (intrinsic_wo_chain:{ *:[v4f64] } 14926:{ *:[iPTR] }, VR256:{ *:[v4f64] }:$src)  =>  (VFRCZPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)
     /*  88296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFRCZPDYrr),
     /*  88299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88301 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88303 */     GIR_RootConstrainSelectedInstOperands,
     /*  88304 */     // GIR_Coverage, 1572,
     /*  88304 */     GIR_EraseRootFromParent_Done,
     /*  88305 */   // Label 1925: @88305
     /*  88305 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(88341), // Rule ID 3362 //
     /*  88310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX),
     /*  88313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesimc),
     /*  88318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88332 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13300:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1)  =>  (VAESIMCrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1)
     /*  88332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESIMCrr),
     /*  88335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88337 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  88339 */     GIR_RootConstrainSelectedInstOperands,
     /*  88340 */     // GIR_Coverage, 3362,
     /*  88340 */     GIR_EraseRootFromParent_Done,
     /*  88341 */   // Label 1926: @88341
     /*  88341 */   GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(88377), // Rule ID 3364 //
     /*  88346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  88349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesimc),
     /*  88354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88368 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13300:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1)  =>  (AESIMCrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1)
     /*  88368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESIMCrr),
     /*  88371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88373 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  88375 */     GIR_RootConstrainSelectedInstOperands,
     /*  88376 */     // GIR_Coverage, 3364,
     /*  88376 */     GIR_EraseRootFromParent_Done,
     /*  88377 */   // Label 1927: @88377
     /*  88377 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(88415), // Rule ID 18265 //
     /*  88382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  88385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse_rsqrt_ss),
     /*  88390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88404 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14635:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (RSQRTSSr_Int:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src, VR128:{ *:[v4f32] }:$src)
     /*  88404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RSQRTSSr_Int),
     /*  88407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88409 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88411 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88413 */     GIR_RootConstrainSelectedInstOperands,
     /*  88414 */     // GIR_Coverage, 18265,
     /*  88414 */     GIR_EraseRootFromParent_Done,
     /*  88415 */   // Label 1928: @88415
     /*  88415 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(88453), // Rule ID 18269 //
     /*  88420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  88423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse_rsqrt_ss),
     /*  88428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88442 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14635:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (VRSQRTSSr_Int:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src, VR128:{ *:[v4f32] }:$src)
     /*  88442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VRSQRTSSr_Int),
     /*  88445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88447 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88449 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88451 */     GIR_RootConstrainSelectedInstOperands,
     /*  88452 */     // GIR_Coverage, 18269,
     /*  88452 */     GIR_EraseRootFromParent_Done,
     /*  88453 */   // Label 1929: @88453
     /*  88453 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(88491), // Rule ID 18285 //
     /*  88458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /*  88461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse_rcp_ss),
     /*  88466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88480 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14633:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (RCPSSr_Int:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src, VR128:{ *:[v4f32] }:$src)
     /*  88480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RCPSSr_Int),
     /*  88483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88485 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88487 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88489 */     GIR_RootConstrainSelectedInstOperands,
     /*  88490 */     // GIR_Coverage, 18285,
     /*  88490 */     GIR_EraseRootFromParent_Done,
     /*  88491 */   // Label 1930: @88491
     /*  88491 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(88529), // Rule ID 18289 //
     /*  88496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  88499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse_rcp_ss),
     /*  88504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88518 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14633:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src)  =>  (VRCPSSr_Int:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src, VR128:{ *:[v4f32] }:$src)
     /*  88518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VRCPSSr_Int),
     /*  88521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88523 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88525 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  88527 */     GIR_RootConstrainSelectedInstOperands,
     /*  88528 */     // GIR_Coverage, 18289,
     /*  88528 */     GIR_EraseRootFromParent_Done,
     /*  88529 */   // Label 1931: @88529
     /*  88529 */   GIM_Reject,
     /*  88530 */ // Label 1884: @88530
     /*  88530 */ GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(95311),
     /*  88535 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  88538 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(88610), // Rule ID 3367 //
     /*  88543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX),
     /*  88546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aeskeygenassist),
     /*  88551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  88554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  88557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  88565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88569 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88572 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88576 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88580 */     // MIs[0] src2
     /*  88580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  88583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  88592 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13301:{ *:[iPTR] }, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src2)  =>  (VAESKEYGENASSIST128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1, (timm:{ *:[i8] }):$src2)
     /*  88592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESKEYGENASSIST128rm),
     /*  88595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /*  88601 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  88603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88608 */     GIR_RootConstrainSelectedInstOperands,
     /*  88609 */     // GIR_Coverage, 3367,
     /*  88609 */     GIR_EraseRootFromParent_Done,
     /*  88610 */   // Label 1933: @88610
     /*  88610 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(88686), // Rule ID 16789 //
     /*  88615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  88618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4128),
     /*  88623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  88632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  88636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  88640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  88644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88648 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88651 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88655 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88661 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  88668 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14904:{ *:[iPTR] }, VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4Z128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  88668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Z128rm),
     /*  88671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88673 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  88675 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  88679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88684 */     GIR_RootConstrainSelectedInstOperands,
     /*  88685 */     // GIR_Coverage, 16789,
     /*  88685 */     GIR_EraseRootFromParent_Done,
     /*  88686 */   // Label 1934: @88686
     /*  88686 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(88762), // Rule ID 16791 //
     /*  88691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  88694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4256),
     /*  88699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  88702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  88705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  88708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  88712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  88716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  88720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88724 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88727 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88731 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88737 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  88744 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14905:{ *:[iPTR] }, VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4Z256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  88744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Z256rm),
     /*  88747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88749 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  88751 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  88755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88760 */     GIR_RootConstrainSelectedInstOperands,
     /*  88761 */     // GIR_Coverage, 16791,
     /*  88761 */     GIR_EraseRootFromParent_Done,
     /*  88762 */   // Label 1935: @88762
     /*  88762 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(88838), // Rule ID 16795 //
     /*  88767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  88770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4128),
     /*  88775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  88778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  88781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  88784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  88788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  88792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  88796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88800 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88803 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88807 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88813 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  88820 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14907:{ *:[iPTR] }, VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4Z128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  88820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Z128rm),
     /*  88823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88825 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  88827 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  88831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88836 */     GIR_RootConstrainSelectedInstOperands,
     /*  88837 */     // GIR_Coverage, 16795,
     /*  88837 */     GIR_EraseRootFromParent_Done,
     /*  88838 */   // Label 1936: @88838
     /*  88838 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(88914), // Rule ID 16797 //
     /*  88843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  88846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4256),
     /*  88851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  88854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  88857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  88860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  88864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  88868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  88872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88876 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88879 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88883 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  88896 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14908:{ *:[iPTR] }, VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4Z256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  88896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Z256rm),
     /*  88899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88901 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  88903 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  88907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88912 */     GIR_RootConstrainSelectedInstOperands,
     /*  88913 */     // GIR_Coverage, 16797,
     /*  88913 */     GIR_EraseRootFromParent_Done,
     /*  88914 */   // Label 1937: @88914
     /*  88914 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(88990), // Rule ID 3022 //
     /*  88919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  88922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_b_128),
     /*  88927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  88930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  88933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  88936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  88944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  88948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88952 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  88955 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  88959 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88965 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  88972 */     // (intrinsic_wo_chain:{ *:[v16i8] } 14773:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  88972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNBrm),
     /*  88975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88977 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  88979 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  88983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88988 */     GIR_RootConstrainSelectedInstOperands,
     /*  88989 */     // GIR_Coverage, 3022,
     /*  88989 */     GIR_EraseRootFromParent_Done,
     /*  88990 */   // Label 1938: @88990
     /*  88990 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(89066), // Rule ID 3024 //
     /*  88995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  88998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_w_128),
     /*  89003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89028 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89031 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89035 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89048 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14777:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNWrm),
     /*  89051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89053 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89055 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89064 */     GIR_RootConstrainSelectedInstOperands,
     /*  89065 */     // GIR_Coverage, 3024,
     /*  89065 */     GIR_EraseRootFromParent_Done,
     /*  89066 */   // Label 1939: @89066
     /*  89066 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(89142), // Rule ID 3026 //
     /*  89071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  89074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_d_128),
     /*  89079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  89082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  89085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  89088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89104 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89107 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89111 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89124 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14775:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNDrm),
     /*  89127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89129 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89131 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89140 */     GIR_RootConstrainSelectedInstOperands,
     /*  89141 */     // GIR_Coverage, 3026,
     /*  89141 */     GIR_EraseRootFromParent_Done,
     /*  89142 */   // Label 1940: @89142
     /*  89142 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(89218), // Rule ID 3028 //
     /*  89147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  89150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phadd_sw_128),
     /*  89155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89180 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89183 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89187 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89200 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14757:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDSWrm),
     /*  89203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89205 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89207 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89216 */     GIR_RootConstrainSelectedInstOperands,
     /*  89217 */     // GIR_Coverage, 3028,
     /*  89217 */     GIR_EraseRootFromParent_Done,
     /*  89218 */   // Label 1941: @89218
     /*  89218 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(89294), // Rule ID 3030 //
     /*  89223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  89226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phsub_sw_128),
     /*  89231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  89234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  89237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  89240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  89248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89256 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89259 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89263 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89276 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14763:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBSWrm),
     /*  89279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89281 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89283 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89292 */     GIR_RootConstrainSelectedInstOperands,
     /*  89293 */     // GIR_Coverage, 3030,
     /*  89293 */     GIR_EraseRootFromParent_Done,
     /*  89294 */   // Label 1942: @89294
     /*  89294 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(89370), // Rule ID 3046 //
     /*  89299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_b),
     /*  89307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s8,
     /*  89310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  89313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /*  89316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89332 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89335 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89339 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89345 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89352 */     // (intrinsic_wo_chain:{ *:[v32i8] } 13664:{ *:[iPTR] }, VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNBYrm),
     /*  89355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89357 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89359 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89368 */     GIR_RootConstrainSelectedInstOperands,
     /*  89369 */     // GIR_Coverage, 3046,
     /*  89369 */     GIR_EraseRootFromParent_Done,
     /*  89370 */   // Label 1943: @89370
     /*  89370 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(89446), // Rule ID 3048 //
     /*  89375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_w),
     /*  89383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  89386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  89389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  89392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89408 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89411 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89415 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89421 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89428 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13666:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNWYrm),
     /*  89431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89433 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89435 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89444 */     GIR_RootConstrainSelectedInstOperands,
     /*  89445 */     // GIR_Coverage, 3048,
     /*  89445 */     GIR_EraseRootFromParent_Done,
     /*  89446 */   // Label 1944: @89446
     /*  89446 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(89522), // Rule ID 3050 //
     /*  89451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_d),
     /*  89459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  89462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  89465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  89468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89484 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89487 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89491 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89497 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89504 */     // (intrinsic_wo_chain:{ *:[v8i32] } 13665:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSIGNDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNDYrm),
     /*  89507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89509 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89511 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89520 */     GIR_RootConstrainSelectedInstOperands,
     /*  89521 */     // GIR_Coverage, 3050,
     /*  89521 */     GIR_EraseRootFromParent_Done,
     /*  89522 */   // Label 1945: @89522
     /*  89522 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(89598), // Rule ID 3052 //
     /*  89527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_phadd_sw),
     /*  89535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  89538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  89541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  89544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89560 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89563 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89567 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89573 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89580 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13651:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHADDSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDSWYrm),
     /*  89583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89585 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89587 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89591 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89596 */     GIR_RootConstrainSelectedInstOperands,
     /*  89597 */     // GIR_Coverage, 3052,
     /*  89597 */     GIR_EraseRootFromParent_Done,
     /*  89598 */   // Label 1946: @89598
     /*  89598 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(89674), // Rule ID 3054 //
     /*  89603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  89606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_phsub_sw),
     /*  89611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  89614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  89617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  89620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  89628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89636 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89639 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89643 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89649 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89656 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13654:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPHSUBSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBSWYrm),
     /*  89659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89661 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89663 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89672 */     GIR_RootConstrainSelectedInstOperands,
     /*  89673 */     // GIR_Coverage, 3054,
     /*  89673 */     GIR_EraseRootFromParent_Done,
     /*  89674 */   // Label 1947: @89674
     /*  89674 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(89750), // Rule ID 3309 //
     /*  89679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  89682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_8),
     /*  89687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  89690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  89693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /*  89696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  89700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  89704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89712 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89715 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89719 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89725 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89732 */     // (intrinsic_wo_chain:{ *:[i32] } 14731:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m8:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m8),
     /*  89735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89737 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89739 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89748 */     GIR_RootConstrainSelectedInstOperands,
     /*  89749 */     // GIR_Coverage, 3309,
     /*  89749 */     GIR_EraseRootFromParent_Done,
     /*  89750 */   // Label 1948: @89750
     /*  89750 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(89826), // Rule ID 3311 //
     /*  89755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  89758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_16),
     /*  89763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  89766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  89769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  89772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  89776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  89780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89788 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89791 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89795 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89808 */     // (intrinsic_wo_chain:{ *:[i32] } 14729:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m16:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m16),
     /*  89811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89813 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89815 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89824 */     GIR_RootConstrainSelectedInstOperands,
     /*  89825 */     // GIR_Coverage, 3311,
     /*  89825 */     GIR_EraseRootFromParent_Done,
     /*  89826 */   // Label 1949: @89826
     /*  89826 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(89902), // Rule ID 3313 //
     /*  89831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  89834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_32),
     /*  89839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  89842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  89845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  89848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  89852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  89856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89864 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89867 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89871 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89877 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89884 */     // (intrinsic_wo_chain:{ *:[i32] } 14730:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m32:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m32),
     /*  89887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89889 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89891 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89900 */     GIR_RootConstrainSelectedInstOperands,
     /*  89901 */     // GIR_Coverage, 3313,
     /*  89901 */     GIR_EraseRootFromParent_Done,
     /*  89902 */   // Label 1950: @89902
     /*  89902 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(89978), // Rule ID 3315 //
     /*  89907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  89910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_64_64),
     /*  89915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  89918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  89921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  89924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  89928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  89932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  89936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  89940 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  89943 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  89947 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  89951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  89953 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  89960 */     // (intrinsic_wo_chain:{ *:[i64] } 14732:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r64m64:{ *:[i64] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  89960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r64m64),
     /*  89963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  89965 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  89967 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  89971 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  89976 */     GIR_RootConstrainSelectedInstOperands,
     /*  89977 */     // GIR_Coverage, 3315,
     /*  89977 */     GIR_EraseRootFromParent_Done,
     /*  89978 */   // Label 1951: @89978
     /*  89978 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(90054), // Rule ID 3317 //
     /*  89983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  89986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_8),
     /*  89991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  89994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  89997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /*  90000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90016 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90019 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90023 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90036 */     // (intrinsic_wo_chain:{ *:[i32] } 14731:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m8_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m8_EVEX),
     /*  90039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90041 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90043 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90047 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90052 */     GIR_RootConstrainSelectedInstOperands,
     /*  90053 */     // GIR_Coverage, 3317,
     /*  90053 */     GIR_EraseRootFromParent_Done,
     /*  90054 */   // Label 1952: @90054
     /*  90054 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(90130), // Rule ID 3319 //
     /*  90059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  90062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_16),
     /*  90067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  90070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  90073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  90076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90092 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90095 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90099 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90112 */     // (intrinsic_wo_chain:{ *:[i32] } 14729:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m16_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m16_EVEX),
     /*  90115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90117 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90128 */     GIR_RootConstrainSelectedInstOperands,
     /*  90129 */     // GIR_Coverage, 3319,
     /*  90129 */     GIR_EraseRootFromParent_Done,
     /*  90130 */   // Label 1953: @90130
     /*  90130 */   GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(90206), // Rule ID 3321 //
     /*  90135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  90138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_32),
     /*  90143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  90146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  90149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  90152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  90160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90168 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90171 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90175 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90188 */     // (intrinsic_wo_chain:{ *:[i32] } 14730:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r32m32_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32m32_EVEX),
     /*  90191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90193 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90195 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90204 */     GIR_RootConstrainSelectedInstOperands,
     /*  90205 */     // GIR_Coverage, 3321,
     /*  90205 */     GIR_EraseRootFromParent_Done,
     /*  90206 */   // Label 1954: @90206
     /*  90206 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(90282), // Rule ID 3323 //
     /*  90211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  90214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_64_64),
     /*  90219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  90222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  90225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  90228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  90232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  90236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90244 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90247 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90251 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90257 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90264 */     // (intrinsic_wo_chain:{ *:[i64] } 14732:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CRC32r64m64_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r64m64_EVEX),
     /*  90267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90269 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90271 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90280 */     GIR_RootConstrainSelectedInstOperands,
     /*  90281 */     // GIR_Coverage, 3323,
     /*  90281 */     GIR_EraseRootFromParent_Done,
     /*  90282 */   // Label 1955: @90282
     /*  90282 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(90358), // Rule ID 3339 //
     /*  90287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  90290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  90295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  90298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  90301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  90304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90320 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90323 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90327 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90333 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90340 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13294:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCrm),
     /*  90343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90345 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90347 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90356 */     GIR_RootConstrainSelectedInstOperands,
     /*  90357 */     // GIR_Coverage, 3339,
     /*  90357 */     GIR_EraseRootFromParent_Done,
     /*  90358 */   // Label 1956: @90358
     /*  90358 */   GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(90434), // Rule ID 3341 //
     /*  90363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  90366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  90371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  90374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  90377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  90380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90396 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90399 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90403 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90416 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13297:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTrm),
     /*  90419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90421 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90423 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90432 */     GIR_RootConstrainSelectedInstOperands,
     /*  90433 */     // GIR_Coverage, 3341,
     /*  90433 */     GIR_EraseRootFromParent_Done,
     /*  90434 */   // Label 1957: @90434
     /*  90434 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(90510), // Rule ID 3343 //
     /*  90439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  90442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  90447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  90450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  90453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  90456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90472 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90475 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90479 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90485 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90492 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13288:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECrm),
     /*  90495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90497 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90499 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90508 */     GIR_RootConstrainSelectedInstOperands,
     /*  90509 */     // GIR_Coverage, 3343,
     /*  90509 */     GIR_EraseRootFromParent_Done,
     /*  90510 */   // Label 1958: @90510
     /*  90510 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(90586), // Rule ID 3345 //
     /*  90515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  90518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  90523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  90526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  90529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  90532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90548 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90551 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90555 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90561 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90568 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13291:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTrm),
     /*  90571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90573 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90575 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90584 */     GIR_RootConstrainSelectedInstOperands,
     /*  90585 */     // GIR_Coverage, 3345,
     /*  90585 */     GIR_EraseRootFromParent_Done,
     /*  90586 */   // Label 1959: @90586
     /*  90586 */   GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(90662), // Rule ID 3347 //
     /*  90591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  90594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_256),
     /*  90599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  90602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  90605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  90608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90624 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90627 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90631 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90637 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90644 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13295:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCYrm),
     /*  90647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90649 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90651 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90660 */     GIR_RootConstrainSelectedInstOperands,
     /*  90661 */     // GIR_Coverage, 3347,
     /*  90661 */     GIR_EraseRootFromParent_Done,
     /*  90662 */   // Label 1960: @90662
     /*  90662 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(90738), // Rule ID 3349 //
     /*  90667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  90670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_256),
     /*  90675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  90678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  90681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  90684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90700 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90703 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90707 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90713 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90720 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13298:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTYrm),
     /*  90723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90725 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90727 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90736 */     GIR_RootConstrainSelectedInstOperands,
     /*  90737 */     // GIR_Coverage, 3349,
     /*  90737 */     GIR_EraseRootFromParent_Done,
     /*  90738 */   // Label 1961: @90738
     /*  90738 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(90814), // Rule ID 3351 //
     /*  90743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  90746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_256),
     /*  90751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  90754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  90757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  90760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90776 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90779 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90783 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90796 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13289:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECYrm),
     /*  90799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90801 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90803 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90812 */     GIR_RootConstrainSelectedInstOperands,
     /*  90813 */     // GIR_Coverage, 3351,
     /*  90813 */     GIR_EraseRootFromParent_Done,
     /*  90814 */   // Label 1962: @90814
     /*  90814 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(90890), // Rule ID 3353 //
     /*  90819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  90822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_256),
     /*  90827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  90830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  90833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  90836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90852 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90855 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90859 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90865 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90872 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13292:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTYrm),
     /*  90875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90877 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90879 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90888 */     GIR_RootConstrainSelectedInstOperands,
     /*  90889 */     // GIR_Coverage, 3353,
     /*  90889 */     GIR_EraseRootFromParent_Done,
     /*  90890 */   // Label 1963: @90890
     /*  90890 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(90966), // Rule ID 3564 //
     /*  90895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  90898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4128),
     /*  90903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  90906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  90909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  90912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  90920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  90924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  90928 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  90931 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  90935 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  90939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  90941 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  90948 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14904:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4rm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  90948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4rm),
     /*  90951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  90953 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  90955 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  90959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  90964 */     GIR_RootConstrainSelectedInstOperands,
     /*  90965 */     // GIR_Coverage, 3564,
     /*  90965 */     GIR_EraseRootFromParent_Done,
     /*  90966 */   // Label 1964: @90966
     /*  90966 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(91042), // Rule ID 3566 //
     /*  90971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  90974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4256),
     /*  90979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  90982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  90985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  90988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  90996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91004 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91007 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91011 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91024 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14905:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4Yrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Yrm),
     /*  91027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91029 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91031 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91040 */     GIR_RootConstrainSelectedInstOperands,
     /*  91041 */     // GIR_Coverage, 3566,
     /*  91041 */     GIR_EraseRootFromParent_Done,
     /*  91042 */   // Label 1965: @91042
     /*  91042 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(91118), // Rule ID 3568 //
     /*  91047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  91050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4128),
     /*  91055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  91058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  91061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  91064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  91068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  91072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91080 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91083 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91087 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91093 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91100 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14907:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4rm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4rm),
     /*  91103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91105 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91107 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91116 */     GIR_RootConstrainSelectedInstOperands,
     /*  91117 */     // GIR_Coverage, 3568,
     /*  91117 */     GIR_EraseRootFromParent_Done,
     /*  91118 */   // Label 1966: @91118
     /*  91118 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(91194), // Rule ID 3570 //
     /*  91123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  91126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4256),
     /*  91131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  91134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  91137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  91140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  91148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91156 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91159 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91163 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91169 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91176 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14908:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4Yrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Yrm),
     /*  91179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91181 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91183 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91192 */     GIR_RootConstrainSelectedInstOperands,
     /*  91193 */     // GIR_Coverage, 3570,
     /*  91193 */     GIR_EraseRootFromParent_Done,
     /*  91194 */   // Label 1967: @91194
     /*  91194 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(91270), // Rule ID 14060 //
     /*  91199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  91207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  91210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  91213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  91216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91232 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91235 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91239 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91245 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91252 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13294:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZ128rm),
     /*  91255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91257 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91259 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91263 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91268 */     GIR_RootConstrainSelectedInstOperands,
     /*  91269 */     // GIR_Coverage, 14060,
     /*  91269 */     GIR_EraseRootFromParent_Done,
     /*  91270 */   // Label 1968: @91270
     /*  91270 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(91346), // Rule ID 14062 //
     /*  91275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_256),
     /*  91283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  91286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  91289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  91292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91308 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91311 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91315 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91321 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91328 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13295:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZ256rm),
     /*  91331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91333 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91335 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91344 */     GIR_RootConstrainSelectedInstOperands,
     /*  91345 */     // GIR_Coverage, 14062,
     /*  91345 */     GIR_EraseRootFromParent_Done,
     /*  91346 */   // Label 1969: @91346
     /*  91346 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(91422), // Rule ID 14064 //
     /*  91351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  91354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_512),
     /*  91359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  91362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  91365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  91368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91384 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91387 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91391 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91397 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91404 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13296:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZrm),
     /*  91407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91409 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91411 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91420 */     GIR_RootConstrainSelectedInstOperands,
     /*  91421 */     // GIR_Coverage, 14064,
     /*  91421 */     GIR_EraseRootFromParent_Done,
     /*  91422 */   // Label 1970: @91422
     /*  91422 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(91498), // Rule ID 14066 //
     /*  91427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  91435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  91438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  91441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  91444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91460 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91463 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91467 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91480 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13297:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZ128rm),
     /*  91483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91485 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91487 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91496 */     GIR_RootConstrainSelectedInstOperands,
     /*  91497 */     // GIR_Coverage, 14066,
     /*  91497 */     GIR_EraseRootFromParent_Done,
     /*  91498 */   // Label 1971: @91498
     /*  91498 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(91574), // Rule ID 14068 //
     /*  91503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_256),
     /*  91511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  91514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  91517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  91520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91536 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91539 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91543 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91549 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91556 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13298:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZ256rm),
     /*  91559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91561 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91563 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91572 */     GIR_RootConstrainSelectedInstOperands,
     /*  91573 */     // GIR_Coverage, 14068,
     /*  91573 */     GIR_EraseRootFromParent_Done,
     /*  91574 */   // Label 1972: @91574
     /*  91574 */   GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(91650), // Rule ID 14070 //
     /*  91579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  91582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_512),
     /*  91587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  91590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  91593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  91596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91612 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91615 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91619 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91625 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91632 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13299:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESENCLASTZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZrm),
     /*  91635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91637 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91639 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91648 */     GIR_RootConstrainSelectedInstOperands,
     /*  91649 */     // GIR_Coverage, 14070,
     /*  91649 */     GIR_EraseRootFromParent_Done,
     /*  91650 */   // Label 1973: @91650
     /*  91650 */   GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(91726), // Rule ID 14072 //
     /*  91655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  91663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  91666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  91669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  91672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91688 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91691 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91695 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91708 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13288:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZ128rm),
     /*  91711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91713 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91715 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91724 */     GIR_RootConstrainSelectedInstOperands,
     /*  91725 */     // GIR_Coverage, 14072,
     /*  91725 */     GIR_EraseRootFromParent_Done,
     /*  91726 */   // Label 1974: @91726
     /*  91726 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(91802), // Rule ID 14074 //
     /*  91731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_256),
     /*  91739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  91742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  91745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  91748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91764 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91767 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91771 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91777 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91784 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13289:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZ256rm),
     /*  91787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91789 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91791 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91800 */     GIR_RootConstrainSelectedInstOperands,
     /*  91801 */     // GIR_Coverage, 14074,
     /*  91801 */     GIR_EraseRootFromParent_Done,
     /*  91802 */   // Label 1975: @91802
     /*  91802 */   GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(91878), // Rule ID 14076 //
     /*  91807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  91810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_512),
     /*  91815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  91818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  91821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  91824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  91832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91840 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91843 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91847 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91860 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13290:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZrm),
     /*  91863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91865 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91867 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91876 */     GIR_RootConstrainSelectedInstOperands,
     /*  91877 */     // GIR_Coverage, 14076,
     /*  91877 */     GIR_EraseRootFromParent_Done,
     /*  91878 */   // Label 1976: @91878
     /*  91878 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(91954), // Rule ID 14078 //
     /*  91883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  91891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  91894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  91897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  91900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  91908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91916 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91919 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91923 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  91927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  91929 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  91936 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13291:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  91936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZ128rm),
     /*  91939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  91941 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  91943 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  91947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  91952 */     GIR_RootConstrainSelectedInstOperands,
     /*  91953 */     // GIR_Coverage, 14078,
     /*  91953 */     GIR_EraseRootFromParent_Done,
     /*  91954 */   // Label 1977: @91954
     /*  91954 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(92030), // Rule ID 14080 //
     /*  91959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  91962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_256),
     /*  91967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  91970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  91973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  91976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  91984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  91988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  91992 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  91995 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  91999 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92005 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92012 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13292:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZ256rm),
     /*  92015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92017 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92019 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92028 */     GIR_RootConstrainSelectedInstOperands,
     /*  92029 */     // GIR_Coverage, 14080,
     /*  92029 */     GIR_EraseRootFromParent_Done,
     /*  92030 */   // Label 1978: @92030
     /*  92030 */   GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(92106), // Rule ID 14082 //
     /*  92035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  92038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_512),
     /*  92043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  92046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  92049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  92052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92068 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92071 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92075 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92081 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92088 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13293:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VAESDECLASTZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZrm),
     /*  92091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92093 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92095 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92104 */     GIR_RootConstrainSelectedInstOperands,
     /*  92105 */     // GIR_Coverage, 14082,
     /*  92105 */     GIR_EraseRootFromParent_Done,
     /*  92106 */   // Label 1979: @92106
     /*  92106 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(92182), // Rule ID 16793 //
     /*  92111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasSM4),
     /*  92114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4512),
     /*  92119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /*  92122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  92125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /*  92128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92144 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92147 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92151 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92164 */     // (intrinsic_wo_chain:{ *:[v16i32] } 14906:{ *:[iPTR] }, VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4KEY4Zrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Zrm),
     /*  92167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92169 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92171 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92180 */     GIR_RootConstrainSelectedInstOperands,
     /*  92181 */     // GIR_Coverage, 16793,
     /*  92181 */     GIR_EraseRootFromParent_Done,
     /*  92182 */   // Label 1980: @92182
     /*  92182 */   GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(92258), // Rule ID 16799 //
     /*  92187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasSM4),
     /*  92190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4512),
     /*  92195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /*  92198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  92201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /*  92204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  92212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  92216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  92220 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  92223 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  92227 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  92231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  92233 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  92240 */     // (intrinsic_wo_chain:{ *:[v16i32] } 14909:{ *:[iPTR] }, VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM4RNDS4Zrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /*  92240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Zrm),
     /*  92243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92245 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92247 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  92251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  92256 */     GIR_RootConstrainSelectedInstOperands,
     /*  92257 */     // GIR_Coverage, 16799,
     /*  92257 */     GIR_EraseRootFromParent_Done,
     /*  92258 */   // Label 1981: @92258
     /*  92258 */   GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(92299), // Rule ID 3366 //
     /*  92263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX),
     /*  92266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aeskeygenassist),
     /*  92271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  92274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  92277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92285 */     // MIs[0] src2
     /*  92285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  92288 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13301:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (timm:{ *:[i8] }):$src2)  =>  (VAESKEYGENASSIST128rr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (timm:{ *:[i8] }):$src2)
     /*  92288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESKEYGENASSIST128rr),
     /*  92291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92293 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92295 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92297 */     GIR_RootConstrainSelectedInstOperands,
     /*  92298 */     // GIR_Coverage, 3366,
     /*  92298 */     GIR_EraseRootFromParent_Done,
     /*  92299 */   // Label 1982: @92299
     /*  92299 */   GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(92340), // Rule ID 3368 //
     /*  92304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  92307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aeskeygenassist),
     /*  92312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  92315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  92318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92326 */     // MIs[0] src2
     /*  92326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  92329 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13301:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (timm:{ *:[i8] }):$src2)  =>  (AESKEYGENASSIST128rr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (timm:{ *:[i8] }):$src2)
     /*  92329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESKEYGENASSIST128rr),
     /*  92332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92334 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92336 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92338 */     GIR_RootConstrainSelectedInstOperands,
     /*  92339 */     // GIR_Coverage, 3368,
     /*  92339 */     GIR_EraseRootFromParent_Done,
     /*  92340 */   // Label 1983: @92340
     /*  92340 */   GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(92385), // Rule ID 16788 //
     /*  92345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  92348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4128),
     /*  92353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  92356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  92359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  92362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92374 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14904:{ *:[iPTR] }, VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VSM4KEY4Z128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  92374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Z128rr),
     /*  92377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92379 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92381 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92383 */     GIR_RootConstrainSelectedInstOperands,
     /*  92384 */     // GIR_Coverage, 16788,
     /*  92384 */     GIR_EraseRootFromParent_Done,
     /*  92385 */   // Label 1984: @92385
     /*  92385 */   GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(92430), // Rule ID 16790 //
     /*  92390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  92393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4256),
     /*  92398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  92401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  92404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  92407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92419 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14905:{ *:[iPTR] }, VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VSM4KEY4Z256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  92419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Z256rr),
     /*  92422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92424 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92426 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92428 */     GIR_RootConstrainSelectedInstOperands,
     /*  92429 */     // GIR_Coverage, 16790,
     /*  92429 */     GIR_EraseRootFromParent_Done,
     /*  92430 */   // Label 1985: @92430
     /*  92430 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(92475), // Rule ID 16794 //
     /*  92435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  92438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4128),
     /*  92443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  92446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  92449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  92452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  92464 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14907:{ *:[iPTR] }, VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VSM4RNDS4Z128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /*  92464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Z128rr),
     /*  92467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92469 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92471 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92473 */     GIR_RootConstrainSelectedInstOperands,
     /*  92474 */     // GIR_Coverage, 16794,
     /*  92474 */     GIR_EraseRootFromParent_Done,
     /*  92475 */   // Label 1986: @92475
     /*  92475 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(92520), // Rule ID 16796 //
     /*  92480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasSM4),
     /*  92483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4256),
     /*  92488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  92491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  92494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  92497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  92509 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14908:{ *:[iPTR] }, VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VSM4RNDS4Z256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /*  92509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Z256rr),
     /*  92512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92514 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92516 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92518 */     GIR_RootConstrainSelectedInstOperands,
     /*  92519 */     // GIR_Coverage, 16796,
     /*  92519 */     GIR_EraseRootFromParent_Done,
     /*  92520 */   // Label 1987: @92520
     /*  92520 */   GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(92565), // Rule ID 3021 //
     /*  92525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  92528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_b_128),
     /*  92533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  92536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  92539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  92542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92554 */     // (intrinsic_wo_chain:{ *:[v16i8] } 14773:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPSIGNBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  92554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNBrr),
     /*  92557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92559 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92561 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92563 */     GIR_RootConstrainSelectedInstOperands,
     /*  92564 */     // GIR_Coverage, 3021,
     /*  92564 */     GIR_EraseRootFromParent_Done,
     /*  92565 */   // Label 1988: @92565
     /*  92565 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(92610), // Rule ID 3023 //
     /*  92570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  92573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_w_128),
     /*  92578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  92581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  92584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  92587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92599 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14777:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPSIGNWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  92599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNWrr),
     /*  92602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92604 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92606 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92608 */     GIR_RootConstrainSelectedInstOperands,
     /*  92609 */     // GIR_Coverage, 3023,
     /*  92609 */     GIR_EraseRootFromParent_Done,
     /*  92610 */   // Label 1989: @92610
     /*  92610 */   GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(92655), // Rule ID 3025 //
     /*  92615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  92618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_d_128),
     /*  92623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  92626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  92629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  92632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92644 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14775:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPSIGNDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  92644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNDrr),
     /*  92647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92649 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92651 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92653 */     GIR_RootConstrainSelectedInstOperands,
     /*  92654 */     // GIR_Coverage, 3025,
     /*  92654 */     GIR_EraseRootFromParent_Done,
     /*  92655 */   // Label 1990: @92655
     /*  92655 */   GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(92700), // Rule ID 3027 //
     /*  92660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  92663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phadd_sw_128),
     /*  92668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  92671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  92674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  92677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92689 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14757:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPHADDSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  92689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDSWrr),
     /*  92692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92694 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92696 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92698 */     GIR_RootConstrainSelectedInstOperands,
     /*  92699 */     // GIR_Coverage, 3027,
     /*  92699 */     GIR_EraseRootFromParent_Done,
     /*  92700 */   // Label 1991: @92700
     /*  92700 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(92745), // Rule ID 3029 //
     /*  92705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  92708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phsub_sw_128),
     /*  92713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  92716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  92719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  92722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92734 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14763:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPHSUBSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  92734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBSWrr),
     /*  92737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92739 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92741 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92743 */     GIR_RootConstrainSelectedInstOperands,
     /*  92744 */     // GIR_Coverage, 3029,
     /*  92744 */     GIR_EraseRootFromParent_Done,
     /*  92745 */   // Label 1992: @92745
     /*  92745 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(92790), // Rule ID 3045 //
     /*  92750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  92753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_b),
     /*  92758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s8,
     /*  92761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /*  92764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /*  92767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92779 */     // (intrinsic_wo_chain:{ *:[v32i8] } 13664:{ *:[iPTR] }, VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPSIGNBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /*  92779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNBYrr),
     /*  92782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92784 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92786 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92788 */     GIR_RootConstrainSelectedInstOperands,
     /*  92789 */     // GIR_Coverage, 3045,
     /*  92789 */     GIR_EraseRootFromParent_Done,
     /*  92790 */   // Label 1993: @92790
     /*  92790 */   GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(92835), // Rule ID 3047 //
     /*  92795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  92798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_w),
     /*  92803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  92806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  92809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  92812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92824 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13666:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPSIGNWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  92824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNWYrr),
     /*  92827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92829 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92831 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92833 */     GIR_RootConstrainSelectedInstOperands,
     /*  92834 */     // GIR_Coverage, 3047,
     /*  92834 */     GIR_EraseRootFromParent_Done,
     /*  92835 */   // Label 1994: @92835
     /*  92835 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(92880), // Rule ID 3049 //
     /*  92840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  92843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_psign_d),
     /*  92848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  92851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  92854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  92857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92869 */     // (intrinsic_wo_chain:{ *:[v8i32] } 13665:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPSIGNDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  92869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSIGNDYrr),
     /*  92872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92874 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92876 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92878 */     GIR_RootConstrainSelectedInstOperands,
     /*  92879 */     // GIR_Coverage, 3049,
     /*  92879 */     GIR_EraseRootFromParent_Done,
     /*  92880 */   // Label 1995: @92880
     /*  92880 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(92925), // Rule ID 3051 //
     /*  92885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  92888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_phadd_sw),
     /*  92893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  92896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  92899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  92902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92914 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13651:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPHADDSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  92914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHADDSWYrr),
     /*  92917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92919 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92921 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92923 */     GIR_RootConstrainSelectedInstOperands,
     /*  92924 */     // GIR_Coverage, 3051,
     /*  92924 */     GIR_EraseRootFromParent_Done,
     /*  92925 */   // Label 1996: @92925
     /*  92925 */   GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(92970), // Rule ID 3053 //
     /*  92930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /*  92933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_phsub_sw),
     /*  92938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /*  92941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /*  92944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /*  92947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  92959 */     // (intrinsic_wo_chain:{ *:[v16i16] } 13654:{ *:[iPTR] }, VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPHSUBSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /*  92959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPHSUBSWYrr),
     /*  92962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  92964 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  92966 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  92968 */     GIR_RootConstrainSelectedInstOperands,
     /*  92969 */     // GIR_Coverage, 3053,
     /*  92969 */     GIR_EraseRootFromParent_Done,
     /*  92970 */   // Label 1997: @92970
     /*  92970 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(93015), // Rule ID 3063 //
     /*  92975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  92978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_b_128),
     /*  92983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /*  92986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  92989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  92992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  92996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93004 */     // (intrinsic_wo_chain:{ *:[v16i8] } 14773:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PSIGNBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /*  93004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PSIGNBrr),
     /*  93007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93009 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93011 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93013 */     GIR_RootConstrainSelectedInstOperands,
     /*  93014 */     // GIR_Coverage, 3063,
     /*  93014 */     GIR_EraseRootFromParent_Done,
     /*  93015 */   // Label 1998: @93015
     /*  93015 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(93060), // Rule ID 3065 //
     /*  93020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  93023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_w_128),
     /*  93028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  93031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  93034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  93037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93049 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14777:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PSIGNWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  93049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PSIGNWrr),
     /*  93052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93054 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93056 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93058 */     GIR_RootConstrainSelectedInstOperands,
     /*  93059 */     // GIR_Coverage, 3065,
     /*  93059 */     GIR_EraseRootFromParent_Done,
     /*  93060 */   // Label 1999: @93060
     /*  93060 */   GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(93105), // Rule ID 3067 //
     /*  93065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  93068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_psign_d_128),
     /*  93073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93094 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14775:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PSIGNDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  93094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PSIGNDrr),
     /*  93097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93099 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93101 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93103 */     GIR_RootConstrainSelectedInstOperands,
     /*  93104 */     // GIR_Coverage, 3067,
     /*  93104 */     GIR_EraseRootFromParent_Done,
     /*  93105 */   // Label 2000: @93105
     /*  93105 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(93150), // Rule ID 3071 //
     /*  93110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  93113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phadd_sw_128),
     /*  93118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  93121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  93124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  93127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93139 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14757:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PHADDSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  93139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PHADDSWrr),
     /*  93142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93144 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93146 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93148 */     GIR_RootConstrainSelectedInstOperands,
     /*  93149 */     // GIR_Coverage, 3071,
     /*  93149 */     GIR_EraseRootFromParent_Done,
     /*  93150 */   // Label 2001: @93150
     /*  93150 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(93195), // Rule ID 3073 //
     /*  93155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /*  93158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_ssse3_phsub_sw_128),
     /*  93163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  93166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  93169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  93172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93184 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14763:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PHSUBSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /*  93184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PHSUBSWrr),
     /*  93187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93189 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93191 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93193 */     GIR_RootConstrainSelectedInstOperands,
     /*  93194 */     // GIR_Coverage, 3073,
     /*  93194 */     GIR_EraseRootFromParent_Done,
     /*  93195 */   // Label 2002: @93195
     /*  93195 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(93240), // Rule ID 3308 //
     /*  93200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  93203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_8),
     /*  93208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /*  93217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  93229 */     // (intrinsic_wo_chain:{ *:[i32] } 14731:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (CRC32r32r8:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  93229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r8),
     /*  93232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93234 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93236 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93238 */     GIR_RootConstrainSelectedInstOperands,
     /*  93239 */     // GIR_Coverage, 3308,
     /*  93239 */     GIR_EraseRootFromParent_Done,
     /*  93240 */   // Label 2003: @93240
     /*  93240 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(93285), // Rule ID 3310 //
     /*  93245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  93248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_16),
     /*  93253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  93262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  93274 */     // (intrinsic_wo_chain:{ *:[i32] } 14729:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (CRC32r32r16:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  93274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r16),
     /*  93277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93279 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93281 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93283 */     GIR_RootConstrainSelectedInstOperands,
     /*  93284 */     // GIR_Coverage, 3310,
     /*  93284 */     GIR_EraseRootFromParent_Done,
     /*  93285 */   // Label 2004: @93285
     /*  93285 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(93330), // Rule ID 3312 //
     /*  93290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  93293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_32),
     /*  93298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93319 */     // (intrinsic_wo_chain:{ *:[i32] } 14730:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (CRC32r32r32:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  93319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r32),
     /*  93322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93324 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93326 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93328 */     GIR_RootConstrainSelectedInstOperands,
     /*  93329 */     // GIR_Coverage, 3312,
     /*  93329 */     GIR_EraseRootFromParent_Done,
     /*  93330 */   // Label 2005: @93330
     /*  93330 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(93375), // Rule ID 3314 //
     /*  93335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_NoEGPR),
     /*  93338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_64_64),
     /*  93343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  93346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  93349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  93352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93364 */     // (intrinsic_wo_chain:{ *:[i64] } 14732:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (CRC32r64r64:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  93364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r64r64),
     /*  93367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93369 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93371 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93373 */     GIR_RootConstrainSelectedInstOperands,
     /*  93374 */     // GIR_Coverage, 3314,
     /*  93374 */     GIR_EraseRootFromParent_Done,
     /*  93375 */   // Label 2006: @93375
     /*  93375 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(93420), // Rule ID 3316 //
     /*  93380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  93383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_8),
     /*  93388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /*  93397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /*  93409 */     // (intrinsic_wo_chain:{ *:[i32] } 14731:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (CRC32r32r8_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)
     /*  93409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r8_EVEX),
     /*  93412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93414 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93416 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93418 */     GIR_RootConstrainSelectedInstOperands,
     /*  93419 */     // GIR_Coverage, 3316,
     /*  93419 */     GIR_EraseRootFromParent_Done,
     /*  93420 */   // Label 2007: @93420
     /*  93420 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(93465), // Rule ID 3318 //
     /*  93425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  93428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_16),
     /*  93433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  93442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /*  93454 */     // (intrinsic_wo_chain:{ *:[i32] } 14729:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR16:{ *:[i16] }:$src2)  =>  (CRC32r32r16_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR16:{ *:[i16] }:$src2)
     /*  93454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r16_EVEX),
     /*  93457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93459 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93461 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93463 */     GIR_RootConstrainSelectedInstOperands,
     /*  93464 */     // GIR_Coverage, 3318,
     /*  93464 */     GIR_EraseRootFromParent_Done,
     /*  93465 */   // Label 2008: @93465
     /*  93465 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(93510), // Rule ID 3320 //
     /*  93470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  93473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_32_32),
     /*  93478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  93481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  93484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  93487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /*  93499 */     // (intrinsic_wo_chain:{ *:[i32] } 14730:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)  =>  (CRC32r32r32_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /*  93499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r32r32_EVEX),
     /*  93502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93504 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93506 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93508 */     GIR_RootConstrainSelectedInstOperands,
     /*  93509 */     // GIR_Coverage, 3320,
     /*  93509 */     GIR_EraseRootFromParent_Done,
     /*  93510 */   // Label 2009: @93510
     /*  93510 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(93555), // Rule ID 3322 //
     /*  93515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC32_HasEGPR_In64BitMode),
     /*  93518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse42_crc32_64_64),
     /*  93523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  93526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  93529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  93532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /*  93544 */     // (intrinsic_wo_chain:{ *:[i64] } 14732:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (CRC32r64r64_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /*  93544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CRC32r64r64_EVEX),
     /*  93547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93549 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93551 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93553 */     GIR_RootConstrainSelectedInstOperands,
     /*  93554 */     // GIR_Coverage, 3322,
     /*  93554 */     GIR_EraseRootFromParent_Done,
     /*  93555 */   // Label 2010: @93555
     /*  93555 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(93600), // Rule ID 3326 //
     /*  93560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  93563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha1nexte),
     /*  93568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93589 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14601:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA1NEXTErr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  93589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA1NEXTErr),
     /*  93592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93594 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93596 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93598 */     GIR_RootConstrainSelectedInstOperands,
     /*  93599 */     // GIR_Coverage, 3326,
     /*  93599 */     GIR_EraseRootFromParent_Done,
     /*  93600 */   // Label 2011: @93600
     /*  93600 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(93645), // Rule ID 3328 //
     /*  93605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  93608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha1msg1),
     /*  93613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93634 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14599:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA1MSG1rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  93634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA1MSG1rr),
     /*  93637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93639 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93641 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93643 */     GIR_RootConstrainSelectedInstOperands,
     /*  93644 */     // GIR_Coverage, 3328,
     /*  93644 */     GIR_EraseRootFromParent_Done,
     /*  93645 */   // Label 2012: @93645
     /*  93645 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(93690), // Rule ID 3330 //
     /*  93650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  93653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha1msg2),
     /*  93658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93679 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14600:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA1MSG2rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  93679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA1MSG2rr),
     /*  93682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93684 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93686 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93688 */     GIR_RootConstrainSelectedInstOperands,
     /*  93689 */     // GIR_Coverage, 3330,
     /*  93689 */     GIR_EraseRootFromParent_Done,
     /*  93690 */   // Label 2013: @93690
     /*  93690 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(93735), // Rule ID 3334 //
     /*  93695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  93698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha256msg1),
     /*  93703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93724 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14603:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA256MSG1rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  93724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA256MSG1rr),
     /*  93727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93729 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93731 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93733 */     GIR_RootConstrainSelectedInstOperands,
     /*  93734 */     // GIR_Coverage, 3334,
     /*  93734 */     GIR_EraseRootFromParent_Done,
     /*  93735 */   // Label 2014: @93735
     /*  93735 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(93780), // Rule ID 3336 //
     /*  93740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  93743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha256msg2),
     /*  93748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  93751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  93754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  93757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93769 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14604:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (SHA256MSG2rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  93769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA256MSG2rr),
     /*  93772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93774 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93776 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93778 */     GIR_RootConstrainSelectedInstOperands,
     /*  93779 */     // GIR_Coverage, 3336,
     /*  93779 */     GIR_EraseRootFromParent_Done,
     /*  93780 */   // Label 2015: @93780
     /*  93780 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(93825), // Rule ID 3338 //
     /*  93785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  93788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  93793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  93796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  93799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  93802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93814 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13294:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VAESENCrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  93814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCrr),
     /*  93817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93819 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93821 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93823 */     GIR_RootConstrainSelectedInstOperands,
     /*  93824 */     // GIR_Coverage, 3338,
     /*  93824 */     GIR_EraseRootFromParent_Done,
     /*  93825 */   // Label 2016: @93825
     /*  93825 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(93870), // Rule ID 3340 //
     /*  93830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  93833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  93838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  93841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  93844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  93847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93859 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13297:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VAESENCLASTrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  93859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTrr),
     /*  93862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93864 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93866 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93868 */     GIR_RootConstrainSelectedInstOperands,
     /*  93869 */     // GIR_Coverage, 3340,
     /*  93869 */     GIR_EraseRootFromParent_Done,
     /*  93870 */   // Label 2017: @93870
     /*  93870 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(93915), // Rule ID 3342 //
     /*  93875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  93878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  93883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  93886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  93889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  93892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93904 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13288:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VAESDECrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  93904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECrr),
     /*  93907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93909 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93911 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93913 */     GIR_RootConstrainSelectedInstOperands,
     /*  93914 */     // GIR_Coverage, 3342,
     /*  93914 */     GIR_EraseRootFromParent_Done,
     /*  93915 */   // Label 2018: @93915
     /*  93915 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(93960), // Rule ID 3344 //
     /*  93920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_HasAVX_NoVLX_Or_NoVAES),
     /*  93923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  93928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  93931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  93934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  93937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  93949 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13291:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VAESDECLASTrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  93949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTrr),
     /*  93952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93954 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  93956 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  93958 */     GIR_RootConstrainSelectedInstOperands,
     /*  93959 */     // GIR_Coverage, 3344,
     /*  93959 */     GIR_EraseRootFromParent_Done,
     /*  93960 */   // Label 2019: @93960
     /*  93960 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(94005), // Rule ID 3346 //
     /*  93965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  93968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_256),
     /*  93973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  93976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  93979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  93982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  93994 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13295:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VAESENCYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  93994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCYrr),
     /*  93997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93999 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94001 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94003 */     GIR_RootConstrainSelectedInstOperands,
     /*  94004 */     // GIR_Coverage, 3346,
     /*  94004 */     GIR_EraseRootFromParent_Done,
     /*  94005 */   // Label 2020: @94005
     /*  94005 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(94050), // Rule ID 3348 //
     /*  94010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  94013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_256),
     /*  94018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94039 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13298:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VAESENCLASTYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  94039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTYrr),
     /*  94042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94044 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94046 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94048 */     GIR_RootConstrainSelectedInstOperands,
     /*  94049 */     // GIR_Coverage, 3348,
     /*  94049 */     GIR_EraseRootFromParent_Done,
     /*  94050 */   // Label 2021: @94050
     /*  94050 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(94095), // Rule ID 3350 //
     /*  94055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  94058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_256),
     /*  94063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94084 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13289:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VAESDECYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  94084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECYrr),
     /*  94087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94089 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94091 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94093 */     GIR_RootConstrainSelectedInstOperands,
     /*  94094 */     // GIR_Coverage, 3350,
     /*  94094 */     GIR_EraseRootFromParent_Done,
     /*  94095 */   // Label 2022: @94095
     /*  94095 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(94140), // Rule ID 3352 //
     /*  94100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_NoVLX),
     /*  94103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_256),
     /*  94108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94129 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13292:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VAESDECLASTYrr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  94129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTYrr),
     /*  94132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94134 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94136 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94138 */     GIR_RootConstrainSelectedInstOperands,
     /*  94139 */     // GIR_Coverage, 3352,
     /*  94139 */     GIR_EraseRootFromParent_Done,
     /*  94140 */   // Label 2023: @94140
     /*  94140 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(94185), // Rule ID 3354 //
     /*  94145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  94148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  94153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94174 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13294:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (AESENCrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESENCrr),
     /*  94177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94179 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94181 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94183 */     GIR_RootConstrainSelectedInstOperands,
     /*  94184 */     // GIR_Coverage, 3354,
     /*  94184 */     GIR_EraseRootFromParent_Done,
     /*  94185 */   // Label 2024: @94185
     /*  94185 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(94230), // Rule ID 3356 //
     /*  94190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  94193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  94198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94219 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13297:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (AESENCLASTrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESENCLASTrr),
     /*  94222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94224 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94226 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94228 */     GIR_RootConstrainSelectedInstOperands,
     /*  94229 */     // GIR_Coverage, 3356,
     /*  94229 */     GIR_EraseRootFromParent_Done,
     /*  94230 */   // Label 2025: @94230
     /*  94230 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(94275), // Rule ID 3358 //
     /*  94235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  94238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  94243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94264 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13288:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (AESDECrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESDECrr),
     /*  94267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94269 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94271 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94273 */     GIR_RootConstrainSelectedInstOperands,
     /*  94274 */     // GIR_Coverage, 3358,
     /*  94274 */     GIR_EraseRootFromParent_Done,
     /*  94275 */   // Label 2026: @94275
     /*  94275 */   GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(94320), // Rule ID 3360 //
     /*  94280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES_NoAVX),
     /*  94283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  94288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94309 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13291:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (AESDECLASTrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AESDECLASTrr),
     /*  94312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94314 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94316 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94318 */     GIR_RootConstrainSelectedInstOperands,
     /*  94319 */     // GIR_Coverage, 3360,
     /*  94319 */     GIR_EraseRootFromParent_Done,
     /*  94320 */   // Label 2027: @94320
     /*  94320 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(94365), // Rule ID 3377 //
     /*  94325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE4A),
     /*  94328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse4a_extrq),
     /*  94333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  94342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94354 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14747:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src, VR128:{ *:[v16i8] }:$mask)  =>  (EXTRQ:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src, VR128:{ *:[v16i8] }:$mask)
     /*  94354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::EXTRQ),
     /*  94357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94359 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  94361 */     GIR_RootToRootCopy, /*OpIdx*/3, // mask
     /*  94363 */     GIR_RootConstrainSelectedInstOperands,
     /*  94364 */     // GIR_Coverage, 3377,
     /*  94364 */     GIR_EraseRootFromParent_Done,
     /*  94365 */   // Label 2028: @94365
     /*  94365 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(94410), // Rule ID 3379 //
     /*  94370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE4A),
     /*  94373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse4a_insertq),
     /*  94378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94399 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14749:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src, VR128:{ *:[v2i64] }:$mask)  =>  (INSERTQ:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src, VR128:{ *:[v2i64] }:$mask)
     /*  94399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INSERTQ),
     /*  94402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94404 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /*  94406 */     GIR_RootToRootCopy, /*OpIdx*/3, // mask
     /*  94408 */     GIR_RootConstrainSelectedInstOperands,
     /*  94409 */     // GIR_Coverage, 3379,
     /*  94409 */     GIR_EraseRootFromParent_Done,
     /*  94410 */   // Label 2029: @94410
     /*  94410 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(94455), // Rule ID 3554 //
     /*  94415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA512),
     /*  94418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsha512msg1),
     /*  94423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94444 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14898:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VSHA512MSG1rr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /*  94444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSHA512MSG1rr),
     /*  94447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94449 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94451 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94453 */     GIR_RootConstrainSelectedInstOperands,
     /*  94454 */     // GIR_Coverage, 3554,
     /*  94454 */     GIR_EraseRootFromParent_Done,
     /*  94455 */   // Label 2030: @94455
     /*  94455 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(94500), // Rule ID 3555 //
     /*  94460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA512),
     /*  94463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsha512msg2),
     /*  94468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94489 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14899:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VSHA512MSG2rr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /*  94489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSHA512MSG2rr),
     /*  94492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94494 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94496 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94498 */     GIR_RootConstrainSelectedInstOperands,
     /*  94499 */     // GIR_Coverage, 3555,
     /*  94499 */     GIR_EraseRootFromParent_Done,
     /*  94500 */   // Label 2031: @94500
     /*  94500 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(94545), // Rule ID 3563 //
     /*  94505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  94508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4128),
     /*  94513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  94516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94534 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14904:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VSM4KEY4rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  94534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4rr),
     /*  94537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94539 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94541 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94543 */     GIR_RootConstrainSelectedInstOperands,
     /*  94544 */     // GIR_Coverage, 3563,
     /*  94544 */     GIR_EraseRootFromParent_Done,
     /*  94545 */   // Label 2032: @94545
     /*  94545 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(94590), // Rule ID 3565 //
     /*  94550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  94553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4256),
     /*  94558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  94561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  94564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  94567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94579 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14905:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VSM4KEY4Yrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  94579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Yrr),
     /*  94582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94584 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94586 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94588 */     GIR_RootConstrainSelectedInstOperands,
     /*  94589 */     // GIR_Coverage, 3565,
     /*  94589 */     GIR_EraseRootFromParent_Done,
     /*  94590 */   // Label 2033: @94590
     /*  94590 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(94635), // Rule ID 3567 //
     /*  94595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  94598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4128),
     /*  94603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  94606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  94609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  94612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  94624 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14907:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VSM4RNDS4rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  94624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4rr),
     /*  94627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94629 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94631 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94633 */     GIR_RootConstrainSelectedInstOperands,
     /*  94634 */     // GIR_Coverage, 3567,
     /*  94634 */     GIR_EraseRootFromParent_Done,
     /*  94635 */   // Label 2034: @94635
     /*  94635 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(94680), // Rule ID 3569 //
     /*  94640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /*  94643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4256),
     /*  94648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  94651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  94654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  94657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  94669 */     // (intrinsic_wo_chain:{ *:[v8i32] } 14908:{ *:[iPTR] }, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VSM4RNDS4Yrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /*  94669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Yrr),
     /*  94672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94674 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94676 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94678 */     GIR_RootConstrainSelectedInstOperands,
     /*  94679 */     // GIR_Coverage, 3569,
     /*  94679 */     GIR_EraseRootFromParent_Done,
     /*  94680 */   // Label 2035: @94680
     /*  94680 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(94725), // Rule ID 14059 //
     /*  94685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  94688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc),
     /*  94693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  94706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  94710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  94714 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13294:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VAESENCZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  94714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZ128rr),
     /*  94717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94719 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94721 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94723 */     GIR_RootConstrainSelectedInstOperands,
     /*  94724 */     // GIR_Coverage, 14059,
     /*  94724 */     GIR_EraseRootFromParent_Done,
     /*  94725 */   // Label 2036: @94725
     /*  94725 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(94770), // Rule ID 14061 //
     /*  94730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  94733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_256),
     /*  94738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  94751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  94755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  94759 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13295:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VAESENCZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  94759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZ256rr),
     /*  94762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94764 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94766 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94768 */     GIR_RootConstrainSelectedInstOperands,
     /*  94769 */     // GIR_Coverage, 14061,
     /*  94769 */     GIR_EraseRootFromParent_Done,
     /*  94770 */   // Label 2037: @94770
     /*  94770 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(94815), // Rule ID 14063 //
     /*  94775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  94778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenc_512),
     /*  94783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  94786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  94789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  94792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  94796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  94800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  94804 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13296:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VAESENCZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  94804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCZrr),
     /*  94807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94809 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94811 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94813 */     GIR_RootConstrainSelectedInstOperands,
     /*  94814 */     // GIR_Coverage, 14063,
     /*  94814 */     GIR_EraseRootFromParent_Done,
     /*  94815 */   // Label 2038: @94815
     /*  94815 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(94860), // Rule ID 14065 //
     /*  94820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  94823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast),
     /*  94828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  94841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  94845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  94849 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13297:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VAESENCLASTZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  94849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZ128rr),
     /*  94852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94854 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94856 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94858 */     GIR_RootConstrainSelectedInstOperands,
     /*  94859 */     // GIR_Coverage, 14065,
     /*  94859 */     GIR_EraseRootFromParent_Done,
     /*  94860 */   // Label 2039: @94860
     /*  94860 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(94905), // Rule ID 14067 //
     /*  94865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  94868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_256),
     /*  94873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  94876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  94879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  94882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  94886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  94890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  94894 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13298:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VAESENCLASTZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  94894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZ256rr),
     /*  94897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94899 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94901 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94903 */     GIR_RootConstrainSelectedInstOperands,
     /*  94904 */     // GIR_Coverage, 14067,
     /*  94904 */     GIR_EraseRootFromParent_Done,
     /*  94905 */   // Label 2040: @94905
     /*  94905 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(94950), // Rule ID 14069 //
     /*  94910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  94913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesenclast_512),
     /*  94918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  94921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  94924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  94927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  94931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  94935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  94939 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13299:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VAESENCLASTZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  94939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESENCLASTZrr),
     /*  94942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94944 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94946 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94948 */     GIR_RootConstrainSelectedInstOperands,
     /*  94949 */     // GIR_Coverage, 14069,
     /*  94949 */     GIR_EraseRootFromParent_Done,
     /*  94950 */   // Label 2041: @94950
     /*  94950 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(94995), // Rule ID 14071 //
     /*  94955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  94958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec),
     /*  94963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  94966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  94969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  94972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  94976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  94980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  94984 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13288:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VAESDECZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  94984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZ128rr),
     /*  94987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94989 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  94991 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  94993 */     GIR_RootConstrainSelectedInstOperands,
     /*  94994 */     // GIR_Coverage, 14071,
     /*  94994 */     GIR_EraseRootFromParent_Done,
     /*  94995 */   // Label 2042: @94995
     /*  94995 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(95040), // Rule ID 14073 //
     /*  95000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_256),
     /*  95008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  95011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  95014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  95017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95029 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13289:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VAESDECZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  95029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZ256rr),
     /*  95032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95034 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95036 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95038 */     GIR_RootConstrainSelectedInstOperands,
     /*  95039 */     // GIR_Coverage, 14073,
     /*  95039 */     GIR_EraseRootFromParent_Done,
     /*  95040 */   // Label 2043: @95040
     /*  95040 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(95085), // Rule ID 14075 //
     /*  95045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  95048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdec_512),
     /*  95053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  95056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  95059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  95062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95074 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13290:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VAESDECZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  95074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECZrr),
     /*  95077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95079 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95081 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95083 */     GIR_RootConstrainSelectedInstOperands,
     /*  95084 */     // GIR_Coverage, 14075,
     /*  95084 */     GIR_EraseRootFromParent_Done,
     /*  95085 */   // Label 2044: @95085
     /*  95085 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(95130), // Rule ID 14077 //
     /*  95090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast),
     /*  95098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  95119 */     // (intrinsic_wo_chain:{ *:[v2i64] } 13291:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VAESDECLASTZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /*  95119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZ128rr),
     /*  95122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95124 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95126 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95128 */     GIR_RootConstrainSelectedInstOperands,
     /*  95129 */     // GIR_Coverage, 14077,
     /*  95129 */     GIR_EraseRootFromParent_Done,
     /*  95130 */   // Label 2045: @95130
     /*  95130 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(95175), // Rule ID 14079 //
     /*  95135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVAES_HasVLX),
     /*  95138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_256),
     /*  95143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  95146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  95149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  95152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  95164 */     // (intrinsic_wo_chain:{ *:[v4i64] } 13292:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VAESDECLASTZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /*  95164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZ256rr),
     /*  95167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95169 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95171 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95173 */     GIR_RootConstrainSelectedInstOperands,
     /*  95174 */     // GIR_Coverage, 14079,
     /*  95174 */     GIR_EraseRootFromParent_Done,
     /*  95175 */   // Label 2046: @95175
     /*  95175 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(95220), // Rule ID 14081 //
     /*  95180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVAES),
     /*  95183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_aesni_aesdeclast_512),
     /*  95188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  95191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  95194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  95197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95209 */     // (intrinsic_wo_chain:{ *:[v8i64] } 13293:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VAESDECLASTZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /*  95209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VAESDECLASTZrr),
     /*  95212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95214 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95216 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95218 */     GIR_RootConstrainSelectedInstOperands,
     /*  95219 */     // GIR_Coverage, 14081,
     /*  95219 */     GIR_EraseRootFromParent_Done,
     /*  95220 */   // Label 2047: @95220
     /*  95220 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(95265), // Rule ID 16792 //
     /*  95225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasSM4),
     /*  95228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4key4512),
     /*  95233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /*  95236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  95239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /*  95242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95254 */     // (intrinsic_wo_chain:{ *:[v16i32] } 14906:{ *:[iPTR] }, VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VSM4KEY4Zrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  95254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4KEY4Zrr),
     /*  95257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95259 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95261 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95263 */     GIR_RootConstrainSelectedInstOperands,
     /*  95264 */     // GIR_Coverage, 16792,
     /*  95264 */     GIR_EraseRootFromParent_Done,
     /*  95265 */   // Label 2048: @95265
     /*  95265 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(95310), // Rule ID 16798 //
     /*  95270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasSM4),
     /*  95273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm4rnds4512),
     /*  95278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /*  95281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /*  95284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /*  95287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95299 */     // (intrinsic_wo_chain:{ *:[v16i32] } 14909:{ *:[iPTR] }, VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VSM4RNDS4Zrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /*  95299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM4RNDS4Zrr),
     /*  95302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95304 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95306 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  95308 */     GIR_RootConstrainSelectedInstOperands,
     /*  95309 */     // GIR_Coverage, 16798,
     /*  95309 */     GIR_EraseRootFromParent_Done,
     /*  95310 */   // Label 2049: @95310
     /*  95310 */   GIM_Reject,
     /*  95311 */ // Label 1932: @95311
     /*  95311 */ GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(99897),
     /*  95316 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  95319 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(95400), // Rule ID 23531 //
     /*  95324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dpps),
     /*  95332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  95335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  95338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  95341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  95349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95353 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95356 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95360 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95368 */     // MIs[0] src3
     /*  95368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95373 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95380 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14716:{ *:[iPTR] }, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, (timm:{ *:[i8] }):$src3)  =>  (VDPPSrmi:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSrmi),
     /*  95383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95385 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  95387 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95391 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95398 */     GIR_RootConstrainSelectedInstOperands,
     /*  95399 */     // GIR_Coverage, 23531,
     /*  95399 */     GIR_EraseRootFromParent_Done,
     /*  95400 */   // Label 2051: @95400
     /*  95400 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(95481), // Rule ID 23532 //
     /*  95405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dppd),
     /*  95413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  95430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95434 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95437 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95441 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95449 */     // MIs[0] src3
     /*  95449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95454 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95461 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14715:{ *:[iPTR] }, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, (timm:{ *:[i8] }):$src3)  =>  (VDPPDrmi:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPDrmi),
     /*  95464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95466 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  95468 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95472 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95479 */     GIR_RootConstrainSelectedInstOperands,
     /*  95480 */     // GIR_Coverage, 23532,
     /*  95480 */     GIR_EraseRootFromParent_Done,
     /*  95481 */   // Label 2052: @95481
     /*  95481 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(95562), // Rule ID 23533 //
     /*  95486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_dp_ps_256),
     /*  95494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  95497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  95500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  95503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  95507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  95511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95515 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95518 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95522 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  95530 */     // MIs[0] src3
     /*  95530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95535 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95542 */     // (intrinsic_wo_chain:{ *:[v8f32] } 13326:{ *:[iPTR] }, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, (timm:{ *:[i8] }):$src3)  =>  (VDPPSYrmi:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSYrmi),
     /*  95545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95547 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  95549 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95553 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95560 */     GIR_RootConstrainSelectedInstOperands,
     /*  95561 */     // GIR_Coverage, 23533,
     /*  95561 */     GIR_EraseRootFromParent_Done,
     /*  95562 */   // Label 2053: @95562
     /*  95562 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(95643), // Rule ID 3253 //
     /*  95567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dpps),
     /*  95575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  95578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  95581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  95584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  95596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95600 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95603 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95607 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95611 */     // MIs[0] src3
     /*  95611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95616 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95623 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14716:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VDPPSrmi:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSrmi),
     /*  95626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95628 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95630 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95634 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95641 */     GIR_RootConstrainSelectedInstOperands,
     /*  95642 */     // GIR_Coverage, 3253,
     /*  95642 */     GIR_EraseRootFromParent_Done,
     /*  95643 */   // Label 2054: @95643
     /*  95643 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(95724), // Rule ID 3255 //
     /*  95648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dppd),
     /*  95656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  95677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95681 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95684 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95688 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95692 */     // MIs[0] src3
     /*  95692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95697 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95704 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14715:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VDPPDrmi:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPDrmi),
     /*  95707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95709 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95711 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95715 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95722 */     GIR_RootConstrainSelectedInstOperands,
     /*  95723 */     // GIR_Coverage, 3255,
     /*  95723 */     GIR_EraseRootFromParent_Done,
     /*  95724 */   // Label 2055: @95724
     /*  95724 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(95805), // Rule ID 3257 //
     /*  95729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  95732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_dp_ps_256),
     /*  95737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  95740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  95743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  95746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  95750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  95754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  95758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95762 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95765 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95769 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95773 */     // MIs[0] src3
     /*  95773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95778 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95785 */     // (intrinsic_wo_chain:{ *:[v8f32] } 13326:{ *:[iPTR] }, VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VDPPSYrmi:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSYrmi),
     /*  95788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95790 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95792 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95796 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95803 */     GIR_RootConstrainSelectedInstOperands,
     /*  95804 */     // GIR_Coverage, 3257,
     /*  95804 */     GIR_EraseRootFromParent_Done,
     /*  95805 */   // Label 2056: @95805
     /*  95805 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(95886), // Rule ID 3373 //
     /*  95810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_HasPCLMUL_NoVLX_Or_NoVPCLMULQDQ),
     /*  95813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  95818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  95821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  95824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  95827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  95835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  95839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95843 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95846 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95850 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95854 */     // MIs[0] src3
     /*  95854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95866 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14567:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQrmi:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQrmi),
     /*  95869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95871 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95873 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95877 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95884 */     GIR_RootConstrainSelectedInstOperands,
     /*  95885 */     // GIR_Coverage, 3373,
     /*  95885 */     GIR_EraseRootFromParent_Done,
     /*  95886 */   // Label 2057: @95886
     /*  95886 */   GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(95967), // Rule ID 3375 //
     /*  95891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPCLMULQDQ_NoVLX),
     /*  95894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_256),
     /*  95899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  95902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  95905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  95908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  95912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  95916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  95920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  95924 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  95927 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  95931 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  95935 */     // MIs[0] src3
     /*  95935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  95938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  95940 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  95947 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14568:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQYrmi:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  95947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQYrmi),
     /*  95950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  95952 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  95954 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  95958 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  95960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  95965 */     GIR_RootConstrainSelectedInstOperands,
     /*  95966 */     // GIR_Coverage, 3375,
     /*  95966 */     GIR_EraseRootFromParent_Done,
     /*  95967 */   // Label 2058: @95967
     /*  95967 */   GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(96048), // Rule ID 14084 //
     /*  95972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVPCLMULQDQ),
     /*  95975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_512),
     /*  95980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  95983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  95986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  95989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  95997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96005 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96008 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96012 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96016 */     // MIs[0] src3
     /*  96016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96021 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96028 */     // (intrinsic_wo_chain:{ *:[v8i64] } 14569:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZrmi:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZrmi),
     /*  96031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96033 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96035 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96039 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96046 */     GIR_RootConstrainSelectedInstOperands,
     /*  96047 */     // GIR_Coverage, 14084,
     /*  96047 */     GIR_EraseRootFromParent_Done,
     /*  96048 */   // Label 2059: @96048
     /*  96048 */   GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(96129), // Rule ID 14086 //
     /*  96053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPCLMULQDQ),
     /*  96056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  96061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  96064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  96067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  96070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  96074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  96078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96086 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96089 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96093 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96097 */     // MIs[0] src3
     /*  96097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96109 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14567:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZ128rmi:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZ128rmi),
     /*  96112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96114 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96116 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96120 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96127 */     GIR_RootConstrainSelectedInstOperands,
     /*  96128 */     // GIR_Coverage, 14086,
     /*  96128 */     GIR_EraseRootFromParent_Done,
     /*  96129 */   // Label 2060: @96129
     /*  96129 */   GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(96210), // Rule ID 14088 //
     /*  96134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPCLMULQDQ),
     /*  96137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_256),
     /*  96142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  96145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  96148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  96151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  96155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  96159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  96163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96167 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96170 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96174 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96178 */     // MIs[0] src3
     /*  96178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  96181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96183 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96190 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14568:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZ256rmi:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  96190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZ256rmi),
     /*  96193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96195 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  96197 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96201 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96208 */     GIR_RootConstrainSelectedInstOperands,
     /*  96209 */     // GIR_Coverage, 14088,
     /*  96209 */     GIR_EraseRootFromParent_Done,
     /*  96210 */   // Label 2061: @96210
     /*  96210 */   GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(96295), // Rule ID 23333 //
     /*  96215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcswd),
     /*  96223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  96235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96247 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96250 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96254 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96275 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14961:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  96275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSWDrm),
     /*  96278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96280 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96282 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96286 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96293 */     GIR_RootConstrainSelectedInstOperands,
     /*  96294 */     // GIR_Coverage, 23333,
     /*  96294 */     GIR_EraseRootFromParent_Done,
     /*  96295 */   // Label 2062: @96295
     /*  96295 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(96380), // Rule ID 23334 //
     /*  96300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcsswd),
     /*  96308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  96320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96332 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96335 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96339 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96353 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96360 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14960:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  96360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSSWDrm),
     /*  96363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96365 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96367 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96371 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96378 */     GIR_RootConstrainSelectedInstOperands,
     /*  96379 */     // GIR_Coverage, 23334,
     /*  96379 */     GIR_EraseRootFromParent_Done,
     /*  96380 */   // Label 2063: @96380
     /*  96380 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(96465), // Rule ID 23335 //
     /*  96385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsww),
     /*  96393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  96405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96417 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96420 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96424 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96438 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96445 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14959:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSWWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  96445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrm),
     /*  96448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96450 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96452 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96456 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96458 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96463 */     GIR_RootConstrainSelectedInstOperands,
     /*  96464 */     // GIR_Coverage, 23335,
     /*  96464 */     GIR_EraseRootFromParent_Done,
     /*  96465 */   // Label 2064: @96465
     /*  96465 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(96550), // Rule ID 23336 //
     /*  96470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacswd),
     /*  96478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  96490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96502 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96505 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96509 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96523 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96530 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14958:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  96530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWDrm),
     /*  96533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96535 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96537 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96541 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96543 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96548 */     GIR_RootConstrainSelectedInstOperands,
     /*  96549 */     // GIR_Coverage, 23336,
     /*  96549 */     GIR_EraseRootFromParent_Done,
     /*  96550 */   // Label 2065: @96550
     /*  96550 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(96635), // Rule ID 23337 //
     /*  96555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssww),
     /*  96563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  96566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  96575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96587 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96590 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96594 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96608 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96615 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14957:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSSWWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  96615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWWrm),
     /*  96618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96620 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96622 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96626 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96633 */     GIR_RootConstrainSelectedInstOperands,
     /*  96634 */     // GIR_Coverage, 23337,
     /*  96634 */     GIR_EraseRootFromParent_Done,
     /*  96635 */   // Label 2066: @96635
     /*  96635 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(96720), // Rule ID 23338 //
     /*  96640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsswd),
     /*  96648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  96654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  96657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  96660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96672 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96675 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96679 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96693 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96700 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14956:{ *:[iPTR] }, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  96700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWDrm),
     /*  96703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96705 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96707 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96711 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96718 */     GIR_RootConstrainSelectedInstOperands,
     /*  96719 */     // GIR_Coverage, 23338,
     /*  96719 */     GIR_EraseRootFromParent_Done,
     /*  96720 */   // Label 2067: @96720
     /*  96720 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(96805), // Rule ID 23339 //
     /*  96725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdql),
     /*  96733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  96736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  96739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  96742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  96745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96757 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96760 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96764 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96778 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96785 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14955:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQLrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  96785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQLrm),
     /*  96788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96790 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96792 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96796 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96803 */     GIR_RootConstrainSelectedInstOperands,
     /*  96804 */     // GIR_Coverage, 23339,
     /*  96804 */     GIR_EraseRootFromParent_Done,
     /*  96805 */   // Label 2068: @96805
     /*  96805 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(96890), // Rule ID 23340 //
     /*  96810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdqh),
     /*  96818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  96821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  96824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  96827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  96830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96842 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96845 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96849 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96870 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14954:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQHrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  96870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQHrm),
     /*  96873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96875 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96877 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96881 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96888 */     GIR_RootConstrainSelectedInstOperands,
     /*  96889 */     // GIR_Coverage, 23340,
     /*  96889 */     GIR_EraseRootFromParent_Done,
     /*  96890 */   // Label 2069: @96890
     /*  96890 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(96975), // Rule ID 23341 //
     /*  96895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdd),
     /*  96903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  96906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  96909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  96912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  96915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  96923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  96927 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  96930 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  96934 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  96938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  96946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  96948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  96955 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14953:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  96955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDDrm),
     /*  96958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  96960 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  96962 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  96966 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  96968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  96973 */     GIR_RootConstrainSelectedInstOperands,
     /*  96974 */     // GIR_Coverage, 23341,
     /*  96974 */     GIR_EraseRootFromParent_Done,
     /*  96975 */   // Label 2070: @96975
     /*  96975 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(97060), // Rule ID 23342 //
     /*  96980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  96983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdql),
     /*  96988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  96991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  96994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  96997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  97000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  97008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97012 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97015 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97019 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97033 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97040 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14952:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQLrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  97040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQLrm),
     /*  97043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97045 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97047 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97051 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97053 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97058 */     GIR_RootConstrainSelectedInstOperands,
     /*  97059 */     // GIR_Coverage, 23342,
     /*  97059 */     GIR_EraseRootFromParent_Done,
     /*  97060 */   // Label 2071: @97060
     /*  97060 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(97145), // Rule ID 23343 //
     /*  97065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdqh),
     /*  97073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  97076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  97085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  97093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97097 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97100 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97104 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97118 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97125 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14951:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQHrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  97125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQHrm),
     /*  97128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97130 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97132 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97136 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97138 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97143 */     GIR_RootConstrainSelectedInstOperands,
     /*  97144 */     // GIR_Coverage, 23343,
     /*  97144 */     GIR_EraseRootFromParent_Done,
     /*  97145 */   // Label 2072: @97145
     /*  97145 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(97230), // Rule ID 23344 //
     /*  97150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdd),
     /*  97158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  97178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97182 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97185 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97189 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97203 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97210 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14950:{ *:[iPTR] }, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrm),
     /*  97213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97215 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /*  97217 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97221 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97228 */     GIR_RootConstrainSelectedInstOperands,
     /*  97229 */     // GIR_Coverage, 23344,
     /*  97229 */     GIR_EraseRootFromParent_Done,
     /*  97230 */   // Label 2073: @97230
     /*  97230 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(97315), // Rule ID 1619 //
     /*  97235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcswd),
     /*  97243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97271 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97274 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97278 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97288 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97295 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14961:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSWDrm),
     /*  97298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97300 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97302 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97306 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97313 */     GIR_RootConstrainSelectedInstOperands,
     /*  97314 */     // GIR_Coverage, 1619,
     /*  97314 */     GIR_EraseRootFromParent_Done,
     /*  97315 */   // Label 2074: @97315
     /*  97315 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(97400), // Rule ID 1621 //
     /*  97320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcsswd),
     /*  97328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97356 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97359 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97363 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97373 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97380 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14960:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSSWDrm),
     /*  97383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97385 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97387 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97391 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97398 */     GIR_RootConstrainSelectedInstOperands,
     /*  97399 */     // GIR_Coverage, 1621,
     /*  97399 */     GIR_EraseRootFromParent_Done,
     /*  97400 */   // Label 2075: @97400
     /*  97400 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(97485), // Rule ID 1623 //
     /*  97405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsww),
     /*  97413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  97416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  97425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97441 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97444 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97448 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97458 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97465 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14959:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSWWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  97465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrm),
     /*  97468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97470 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97472 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97476 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97483 */     GIR_RootConstrainSelectedInstOperands,
     /*  97484 */     // GIR_Coverage, 1623,
     /*  97484 */     GIR_EraseRootFromParent_Done,
     /*  97485 */   // Label 2076: @97485
     /*  97485 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(97570), // Rule ID 1625 //
     /*  97490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacswd),
     /*  97498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97526 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97529 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97533 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97543 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97550 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14958:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWDrm),
     /*  97553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97555 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97557 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97561 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97568 */     GIR_RootConstrainSelectedInstOperands,
     /*  97569 */     // GIR_Coverage, 1625,
     /*  97569 */     GIR_EraseRootFromParent_Done,
     /*  97570 */   // Label 2077: @97570
     /*  97570 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(97655), // Rule ID 1627 //
     /*  97575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssww),
     /*  97583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  97586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  97595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97611 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97614 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97618 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97628 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97635 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14957:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSSWWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  97635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWWrm),
     /*  97638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97640 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97642 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97646 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97653 */     GIR_RootConstrainSelectedInstOperands,
     /*  97654 */     // GIR_Coverage, 1627,
     /*  97654 */     GIR_EraseRootFromParent_Done,
     /*  97655 */   // Label 2078: @97655
     /*  97655 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(97740), // Rule ID 1629 //
     /*  97660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsswd),
     /*  97668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  97674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  97677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97696 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97699 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97703 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97713 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97720 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14956:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSWDrm:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWDrm),
     /*  97723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97725 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97727 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97731 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97738 */     GIR_RootConstrainSelectedInstOperands,
     /*  97739 */     // GIR_Coverage, 1629,
     /*  97739 */     GIR_EraseRootFromParent_Done,
     /*  97740 */   // Label 2079: @97740
     /*  97740 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(97825), // Rule ID 1631 //
     /*  97745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdql),
     /*  97753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  97756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  97765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97781 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97784 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97788 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97798 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97805 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14955:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQLrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  97805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQLrm),
     /*  97808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97810 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97812 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97816 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97823 */     GIR_RootConstrainSelectedInstOperands,
     /*  97824 */     // GIR_Coverage, 1631,
     /*  97824 */     GIR_EraseRootFromParent_Done,
     /*  97825 */   // Label 2080: @97825
     /*  97825 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(97910), // Rule ID 1633 //
     /*  97830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdqh),
     /*  97838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  97841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  97850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97866 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97869 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97873 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97883 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97890 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14954:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQHrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  97890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQHrm),
     /*  97893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97895 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97897 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97901 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97908 */     GIR_RootConstrainSelectedInstOperands,
     /*  97909 */     // GIR_Coverage, 1633,
     /*  97909 */     GIR_EraseRootFromParent_Done,
     /*  97910 */   // Label 2081: @97910
     /*  97910 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(97995), // Rule ID 1635 //
     /*  97915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  97918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdd),
     /*  97923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  97926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  97929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  97932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  97935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  97947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  97951 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  97954 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  97958 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  97962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  97966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  97968 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  97975 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14953:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  97975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDDrm),
     /*  97978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97980 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  97982 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  97986 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  97988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  97993 */     GIR_RootConstrainSelectedInstOperands,
     /*  97994 */     // GIR_Coverage, 1635,
     /*  97994 */     GIR_EraseRootFromParent_Done,
     /*  97995 */   // Label 2082: @97995
     /*  97995 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(98080), // Rule ID 1637 //
     /*  98000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  98003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdql),
     /*  98008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  98020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98036 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98039 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98043 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98060 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14952:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQLrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  98060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQLrm),
     /*  98063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98065 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98067 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98071 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98078 */     GIR_RootConstrainSelectedInstOperands,
     /*  98079 */     // GIR_Coverage, 1637,
     /*  98079 */     GIR_EraseRootFromParent_Done,
     /*  98080 */   // Label 2083: @98080
     /*  98080 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(98165), // Rule ID 1639 //
     /*  98085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  98088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdqh),
     /*  98093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  98105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98121 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98124 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98128 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98138 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98145 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14951:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQHrm:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  98145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQHrm),
     /*  98148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98150 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98152 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98156 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98163 */     GIR_RootConstrainSelectedInstOperands,
     /*  98164 */     // GIR_Coverage, 1639,
     /*  98164 */     GIR_EraseRootFromParent_Done,
     /*  98165 */   // Label 2084: @98165
     /*  98165 */   GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(98250), // Rule ID 1641 //
     /*  98170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  98173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdd),
     /*  98178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  98190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  98202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98206 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98209 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98213 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98223 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98230 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14950:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSDDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  98230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrm),
     /*  98233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98235 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98237 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /*  98241 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98248 */     GIR_RootConstrainSelectedInstOperands,
     /*  98249 */     // GIR_Coverage, 1641,
     /*  98249 */     GIR_EraseRootFromParent_Done,
     /*  98250 */   // Label 2085: @98250
     /*  98250 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(98335), // Rule ID 3558 //
     /*  98255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /*  98258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3msg1),
     /*  98263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  98275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  98291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98295 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98298 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98302 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98308 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98315 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14901:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM3MSG1rm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /*  98315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3MSG1rm),
     /*  98318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98320 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98322 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98324 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /*  98328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98333 */     GIR_RootConstrainSelectedInstOperands,
     /*  98334 */     // GIR_Coverage, 3558,
     /*  98334 */     GIR_EraseRootFromParent_Done,
     /*  98335 */   // Label 2086: @98335
     /*  98335 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(98420), // Rule ID 3560 //
     /*  98340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /*  98343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3msg2),
     /*  98348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  98360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  98376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  98380 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98383 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  98387 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  98391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  98393 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  98400 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14902:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSM3MSG2rm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /*  98400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3MSG2rm),
     /*  98403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98405 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98407 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98409 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /*  98413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  98418 */     GIR_RootConstrainSelectedInstOperands,
     /*  98419 */     // GIR_Coverage, 3560,
     /*  98419 */     GIR_EraseRootFromParent_Done,
     /*  98420 */   // Label 2087: @98420
     /*  98420 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(98470), // Rule ID 3252 //
     /*  98425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  98428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dpps),
     /*  98433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98454 */     // MIs[0] src3
     /*  98454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98457 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14716:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VDPPSrri:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSrri),
     /*  98460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98462 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98464 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98466 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98468 */     GIR_RootConstrainSelectedInstOperands,
     /*  98469 */     // GIR_Coverage, 3252,
     /*  98469 */     GIR_EraseRootFromParent_Done,
     /*  98470 */   // Label 2088: @98470
     /*  98470 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(98520), // Rule ID 3254 //
     /*  98475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  98478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dppd),
     /*  98483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  98489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98504 */     // MIs[0] src3
     /*  98504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98507 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14715:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VDPPDrri:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPDrri),
     /*  98510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98512 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98514 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98516 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98518 */     GIR_RootConstrainSelectedInstOperands,
     /*  98519 */     // GIR_Coverage, 3254,
     /*  98519 */     GIR_EraseRootFromParent_Done,
     /*  98520 */   // Label 2089: @98520
     /*  98520 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(98570), // Rule ID 3256 //
     /*  98525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /*  98528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_dp_ps_256),
     /*  98533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /*  98536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /*  98539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /*  98542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  98546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  98550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  98554 */     // MIs[0] src3
     /*  98554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98557 */     // (intrinsic_wo_chain:{ *:[v8f32] } 13326:{ *:[iPTR] }, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VDPPSYrri:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDPPSYrri),
     /*  98560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98562 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98564 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98566 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98568 */     GIR_RootConstrainSelectedInstOperands,
     /*  98569 */     // GIR_Coverage, 3256,
     /*  98569 */     GIR_EraseRootFromParent_Done,
     /*  98570 */   // Label 2090: @98570
     /*  98570 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(98620), // Rule ID 3262 //
     /*  98575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /*  98578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dpps),
     /*  98583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98604 */     // MIs[0] src3
     /*  98604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98607 */     // (intrinsic_wo_chain:{ *:[v4f32] } 14716:{ *:[iPTR] }, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (DPPSrri:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DPPSrri),
     /*  98610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98612 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98614 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98616 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98618 */     GIR_RootConstrainSelectedInstOperands,
     /*  98619 */     // GIR_Coverage, 3262,
     /*  98619 */     GIR_EraseRootFromParent_Done,
     /*  98620 */   // Label 2091: @98620
     /*  98620 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(98670), // Rule ID 3264 //
     /*  98625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /*  98628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse41_dppd),
     /*  98633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  98639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98654 */     // MIs[0] src3
     /*  98654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98657 */     // (intrinsic_wo_chain:{ *:[v2f64] } 14715:{ *:[iPTR] }, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (DPPDrri:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DPPDrri),
     /*  98660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98662 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98664 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98666 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98668 */     GIR_RootConstrainSelectedInstOperands,
     /*  98669 */     // GIR_Coverage, 3264,
     /*  98669 */     GIR_EraseRootFromParent_Done,
     /*  98670 */   // Label 2092: @98670
     /*  98670 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(98720), // Rule ID 3324 //
     /*  98675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  98678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha1rnds4),
     /*  98683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  98686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  98689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  98692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98704 */     // MIs[0] src3
     /*  98704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98707 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14602:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (SHA1RNDS4rri:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA1RNDS4rri),
     /*  98710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98712 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98714 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98716 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98718 */     GIR_RootConstrainSelectedInstOperands,
     /*  98719 */     // GIR_Coverage, 3324,
     /*  98719 */     GIR_EraseRootFromParent_Done,
     /*  98720 */   // Label 2093: @98720
     /*  98720 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(98770), // Rule ID 3370 //
     /*  98725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPCLMUL_NoAVX),
     /*  98728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  98733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  98739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98754 */     // MIs[0] src3
     /*  98754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98757 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14567:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (PCLMULQDQrri:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PCLMULQDQrri),
     /*  98760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98762 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98764 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98766 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98768 */     GIR_RootConstrainSelectedInstOperands,
     /*  98769 */     // GIR_Coverage, 3370,
     /*  98769 */     GIR_EraseRootFromParent_Done,
     /*  98770 */   // Label 2094: @98770
     /*  98770 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(98820), // Rule ID 3372 //
     /*  98775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_HasPCLMUL_NoVLX_Or_NoVPCLMULQDQ),
     /*  98778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  98783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  98789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  98804 */     // MIs[0] src3
     /*  98804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98807 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14567:{ *:[iPTR] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQrri:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQrri),
     /*  98810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98812 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98814 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98816 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98818 */     GIR_RootConstrainSelectedInstOperands,
     /*  98819 */     // GIR_Coverage, 3372,
     /*  98819 */     GIR_EraseRootFromParent_Done,
     /*  98820 */   // Label 2095: @98820
     /*  98820 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(98870), // Rule ID 3374 //
     /*  98825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPCLMULQDQ_NoVLX),
     /*  98828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_256),
     /*  98833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  98836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  98839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  98842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  98846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  98850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  98854 */     // MIs[0] src3
     /*  98854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98857 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14568:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQYrri:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQYrri),
     /*  98860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98862 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98864 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98866 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98868 */     GIR_RootConstrainSelectedInstOperands,
     /*  98869 */     // GIR_Coverage, 3374,
     /*  98869 */     GIR_EraseRootFromParent_Done,
     /*  98870 */   // Label 2096: @98870
     /*  98870 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(98920), // Rule ID 14083 //
     /*  98875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVPCLMULQDQ),
     /*  98878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_512),
     /*  98883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /*  98886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /*  98889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /*  98892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  98896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  98900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /*  98904 */     // MIs[0] src3
     /*  98904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98907 */     // (intrinsic_wo_chain:{ *:[v8i64] } 14569:{ *:[iPTR] }, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZrri:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZrri),
     /*  98910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98912 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98914 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98916 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98918 */     GIR_RootConstrainSelectedInstOperands,
     /*  98919 */     // GIR_Coverage, 14083,
     /*  98919 */     GIR_EraseRootFromParent_Done,
     /*  98920 */   // Label 2097: @98920
     /*  98920 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(98970), // Rule ID 14085 //
     /*  98925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPCLMULQDQ),
     /*  98928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq),
     /*  98933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  98936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  98939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  98942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  98946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  98950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /*  98954 */     // MIs[0] src3
     /*  98954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  98957 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14567:{ *:[iPTR] }, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZ128rri:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  98957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZ128rri),
     /*  98960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98962 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  98964 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  98966 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  98968 */     GIR_RootConstrainSelectedInstOperands,
     /*  98969 */     // GIR_Coverage, 14085,
     /*  98969 */     GIR_EraseRootFromParent_Done,
     /*  98970 */   // Label 2098: @98970
     /*  98970 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(99020), // Rule ID 14087 //
     /*  98975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPCLMULQDQ),
     /*  98978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_pclmulqdq_256),
     /*  98983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  98986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  98989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  98992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  98996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  99000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /*  99004 */     // MIs[0] src3
     /*  99004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  99007 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14568:{ *:[iPTR] }, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2, (timm:{ *:[i8] }):$src3)  =>  (VPCLMULQDQZ256rri:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2, (timm:{ *:[i8] }):$src3)
     /*  99007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCLMULQDQZ256rri),
     /*  99010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99012 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99014 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99016 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99018 */     GIR_RootConstrainSelectedInstOperands,
     /*  99019 */     // GIR_Coverage, 14087,
     /*  99019 */     GIR_EraseRootFromParent_Done,
     /*  99020 */   // Label 2099: @99020
     /*  99020 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(99074), // Rule ID 1618 //
     /*  99025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcswd),
     /*  99033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99061 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14961:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSWDrr),
     /*  99064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99066 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99068 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99070 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99072 */     GIR_RootConstrainSelectedInstOperands,
     /*  99073 */     // GIR_Coverage, 1618,
     /*  99073 */     GIR_EraseRootFromParent_Done,
     /*  99074 */   // Label 2100: @99074
     /*  99074 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(99128), // Rule ID 1620 //
     /*  99079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmadcsswd),
     /*  99087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99115 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14960:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMADCSSWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMADCSSWDrr),
     /*  99118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99120 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99122 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99124 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99126 */     GIR_RootConstrainSelectedInstOperands,
     /*  99127 */     // GIR_Coverage, 1620,
     /*  99127 */     GIR_EraseRootFromParent_Done,
     /*  99128 */   // Label 2101: @99128
     /*  99128 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(99182), // Rule ID 1622 //
     /*  99133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsww),
     /*  99141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  99144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  99153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99169 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14959:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSWWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  99169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWWrr),
     /*  99172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99174 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99176 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99178 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99180 */     GIR_RootConstrainSelectedInstOperands,
     /*  99181 */     // GIR_Coverage, 1622,
     /*  99181 */     GIR_EraseRootFromParent_Done,
     /*  99182 */   // Label 2102: @99182
     /*  99182 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(99236), // Rule ID 1624 //
     /*  99187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacswd),
     /*  99195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99223 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14958:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSWDrr),
     /*  99226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99228 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99230 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99232 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99234 */     GIR_RootConstrainSelectedInstOperands,
     /*  99235 */     // GIR_Coverage, 1624,
     /*  99235 */     GIR_EraseRootFromParent_Done,
     /*  99236 */   // Label 2103: @99236
     /*  99236 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(99290), // Rule ID 1626 //
     /*  99241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssww),
     /*  99249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /*  99252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /*  99261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99277 */     // (intrinsic_wo_chain:{ *:[v8i16] } 14957:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)  =>  (VPMACSSWWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v8i16] }:$src3)
     /*  99277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWWrr),
     /*  99280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99282 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99284 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99286 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99288 */     GIR_RootConstrainSelectedInstOperands,
     /*  99289 */     // GIR_Coverage, 1626,
     /*  99289 */     GIR_EraseRootFromParent_Done,
     /*  99290 */   // Label 2104: @99290
     /*  99290 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(99344), // Rule ID 1628 //
     /*  99295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsswd),
     /*  99303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  99309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  99312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99331 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14956:{ *:[iPTR] }, VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSWDrr:{ *:[v4i32] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSWDrr),
     /*  99334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99336 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99338 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99340 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99342 */     GIR_RootConstrainSelectedInstOperands,
     /*  99343 */     // GIR_Coverage, 1628,
     /*  99343 */     GIR_EraseRootFromParent_Done,
     /*  99344 */   // Label 2105: @99344
     /*  99344 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(99398), // Rule ID 1630 //
     /*  99349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdql),
     /*  99357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  99369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99385 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14955:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQLrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  99385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQLrr),
     /*  99388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99390 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99392 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99394 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99396 */     GIR_RootConstrainSelectedInstOperands,
     /*  99397 */     // GIR_Coverage, 1630,
     /*  99397 */     GIR_EraseRootFromParent_Done,
     /*  99398 */   // Label 2106: @99398
     /*  99398 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(99452), // Rule ID 1632 //
     /*  99403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdqh),
     /*  99411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  99423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99439 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14954:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSSDQHrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  99439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDQHrr),
     /*  99442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99444 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99446 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99448 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99450 */     GIR_RootConstrainSelectedInstOperands,
     /*  99451 */     // GIR_Coverage, 1632,
     /*  99451 */     GIR_EraseRootFromParent_Done,
     /*  99452 */   // Label 2107: @99452
     /*  99452 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(99506), // Rule ID 1634 //
     /*  99457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacssdd),
     /*  99465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99493 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14953:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSSDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSSDDrr),
     /*  99496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99498 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99500 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99502 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99504 */     GIR_RootConstrainSelectedInstOperands,
     /*  99505 */     // GIR_Coverage, 1634,
     /*  99505 */     GIR_EraseRootFromParent_Done,
     /*  99506 */   // Label 2108: @99506
     /*  99506 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(99560), // Rule ID 1636 //
     /*  99511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdql),
     /*  99519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  99531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99547 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14952:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQLrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  99547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQLrr),
     /*  99550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99552 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99554 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99556 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99558 */     GIR_RootConstrainSelectedInstOperands,
     /*  99559 */     // GIR_Coverage, 1636,
     /*  99559 */     GIR_EraseRootFromParent_Done,
     /*  99560 */   // Label 2109: @99560
     /*  99560 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(99614), // Rule ID 1638 //
     /*  99565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdqh),
     /*  99573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /*  99576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  99585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99601 */     // (intrinsic_wo_chain:{ *:[v2i64] } 14951:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VPMACSDQHrr:{ *:[v2i64] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  99601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDQHrr),
     /*  99604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99606 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99608 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99610 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99612 */     GIR_RootConstrainSelectedInstOperands,
     /*  99613 */     // GIR_Coverage, 1638,
     /*  99613 */     GIR_EraseRootFromParent_Done,
     /*  99614 */   // Label 2110: @99614
     /*  99614 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(99668), // Rule ID 1640 //
     /*  99619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /*  99622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xop_vpmacsdd),
     /*  99627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99655 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14950:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VPMACSDDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMACSDDrr),
     /*  99658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99660 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99662 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99664 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99666 */     GIR_RootConstrainSelectedInstOperands,
     /*  99667 */     // GIR_Coverage, 1640,
     /*  99667 */     GIR_EraseRootFromParent_Done,
     /*  99668 */   // Label 2111: @99668
     /*  99668 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(99734), // Rule ID 3332 //
     /*  99673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA),
     /*  99676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sha256rnds2),
     /*  99681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99709 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14605:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, XMM0:{ *:[v4i32] })  =>  (SHA256RNDS2rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /*  99709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  99713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::XMM0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // XMM0
     /*  99723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHA256RNDS2rr),
     /*  99726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99728 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99730 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99732 */     GIR_RootConstrainSelectedInstOperands,
     /*  99733 */     // GIR_Coverage, 3332,
     /*  99733 */     GIR_EraseRootFromParent_Done,
     /*  99734 */   // Label 2112: @99734
     /*  99734 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(99788), // Rule ID 3556 //
     /*  99739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA512),
     /*  99742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsha512rnds2),
     /*  99747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /*  99750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /*  99753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /*  99756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /*  99759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  99763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  99767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /*  99771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99775 */     // (intrinsic_wo_chain:{ *:[v4i64] } 14900:{ *:[iPTR] }, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2, VR128:{ *:[v2i64] }:$src3)  =>  (VSHA512RNDS2rr:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2, VR128:{ *:[v2i64] }:$src3)
     /*  99775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSHA512RNDS2rr),
     /*  99778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99780 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99782 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99784 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99786 */     GIR_RootConstrainSelectedInstOperands,
     /*  99787 */     // GIR_Coverage, 3556,
     /*  99787 */     GIR_EraseRootFromParent_Done,
     /*  99788 */   // Label 2113: @99788
     /*  99788 */   GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(99842), // Rule ID 3557 //
     /*  99793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /*  99796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3msg1),
     /*  99801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99829 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14901:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VSM3MSG1rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3MSG1rr),
     /*  99832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99834 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99836 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99838 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99840 */     GIR_RootConstrainSelectedInstOperands,
     /*  99841 */     // GIR_Coverage, 3557,
     /*  99841 */     GIR_EraseRootFromParent_Done,
     /*  99842 */   // Label 2114: @99842
     /*  99842 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(99896), // Rule ID 3559 //
     /*  99847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /*  99850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3msg2),
     /*  99855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99883 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14902:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)  =>  (VSM3MSG2rr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3)
     /*  99883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3MSG2rr),
     /*  99886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99888 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99890 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99892 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /*  99894 */     GIR_RootConstrainSelectedInstOperands,
     /*  99895 */     // GIR_Coverage, 3559,
     /*  99895 */     GIR_EraseRootFromParent_Done,
     /*  99896 */   // Label 2115: @99896
     /*  99896 */   GIM_Reject,
     /*  99897 */ // Label 2050: @99897
     /*  99897 */ GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(100026),
     /*  99902 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  99905 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vsm3rnds2),
     /*  99910 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /*  99913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  99916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  99919 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /*  99922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99930 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /*  99934 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(99995), // Rule ID 3562 //
     /*  99939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /*  99942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  99946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  99950 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99953 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /*  99957 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  99961 */     // MIs[0] src4
     /*  99961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  99964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  99966 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /*  99973 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14903:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (timm:{ *:[i32] }):$src4)  =>  (VSM3RNDS2rmi:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, addr:{ *:[iPTR] }:$src3, (timm:{ *:[i32] }):$src4)
     /*  99973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3RNDS2rmi),
     /*  99976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99978 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /*  99980 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /*  99982 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /*  99986 */     GIR_RootToRootCopy, /*OpIdx*/5, // src4
     /*  99988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  99993 */     GIR_RootConstrainSelectedInstOperands,
     /*  99994 */     // GIR_Coverage, 3562,
     /*  99994 */     GIR_EraseRootFromParent_Done,
     /*  99995 */   // Label 2117: @99995
     /*  99995 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(100025), // Rule ID 3561 //
     /* 100000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM3),
     /* 100003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 100007 */     // MIs[0] src4
     /* 100007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 100010 */     // (intrinsic_wo_chain:{ *:[v4i32] } 14903:{ *:[iPTR] }, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3, (timm:{ *:[i32] }):$src4)  =>  (VSM3RNDS2rri:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2, VR128:{ *:[v4i32] }:$src3, (timm:{ *:[i32] }):$src4)
     /* 100010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSM3RNDS2rri),
     /* 100013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 100015 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 100017 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 100019 */     GIR_RootToRootCopy, /*OpIdx*/4, // src3
     /* 100021 */     GIR_RootToRootCopy, /*OpIdx*/5, // src4
     /* 100023 */     GIR_RootConstrainSelectedInstOperands,
     /* 100024 */     // GIR_Coverage, 3561,
     /* 100024 */     GIR_EraseRootFromParent_Done,
     /* 100025 */   // Label 2118: @100025
     /* 100025 */   GIM_Reject,
     /* 100026 */ // Label 2116: @100026
     /* 100026 */ GIM_Reject,
     /* 100027 */ // Label 18: @100027
     /* 100027 */ GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(100586),
     /* 100032 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 100035 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(100057), // Rule ID 149 //
     /* 100040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSERIALIZE),
     /* 100043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_serialize),
     /* 100048 */     // (intrinsic_void 14597:{ *:[iPTR] })  =>  (SERIALIZE)
     /* 100048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SERIALIZE),
     /* 100051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100055 */     GIR_RootConstrainSelectedInstOperands,
     /* 100056 */     // GIR_Coverage, 149,
     /* 100056 */     GIR_EraseRootFromParent_Done,
     /* 100057 */   // Label 2120: @100057
     /* 100057 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(100079), // Rule ID 150 //
     /* 100062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTSXLDTRK),
     /* 100065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsusldtrk),
     /* 100070 */     // (intrinsic_void 14985:{ *:[iPTR] })  =>  (XSUSLDTRK)
     /* 100070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSUSLDTRK),
     /* 100073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100077 */     GIR_RootConstrainSelectedInstOperands,
     /* 100078 */     // GIR_Coverage, 150,
     /* 100078 */     GIR_EraseRootFromParent_Done,
     /* 100079 */   // Label 2121: @100079
     /* 100079 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(100101), // Rule ID 151 //
     /* 100084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTSXLDTRK),
     /* 100087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xresldtrk),
     /* 100092 */     // (intrinsic_void 14971:{ *:[iPTR] })  =>  (XRESLDTRK)
     /* 100092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRESLDTRK),
     /* 100095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100099 */     GIR_RootConstrainSelectedInstOperands,
     /* 100100 */     // GIR_Coverage, 151,
     /* 100100 */     GIR_EraseRootFromParent_Done,
     /* 100101 */   // Label 2122: @100101
     /* 100101 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(100123), // Rule ID 152 //
     /* 100106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUINTR_In64BitMode),
     /* 100109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_clui),
     /* 100114 */     // (intrinsic_void 14455:{ *:[iPTR] })  =>  (CLUI)
     /* 100114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLUI),
     /* 100117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100121 */     GIR_RootConstrainSelectedInstOperands,
     /* 100122 */     // GIR_Coverage, 152,
     /* 100122 */     GIR_EraseRootFromParent_Done,
     /* 100123 */   // Label 2123: @100123
     /* 100123 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(100145), // Rule ID 153 //
     /* 100128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUINTR_In64BitMode),
     /* 100131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_stui),
     /* 100136 */     // (intrinsic_void 14779:{ *:[iPTR] })  =>  (STUI)
     /* 100136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::STUI),
     /* 100139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100143 */     GIR_RootConstrainSelectedInstOperands,
     /* 100144 */     // GIR_Coverage, 153,
     /* 100144 */     GIR_EraseRootFromParent_Done,
     /* 100145 */   // Label 2124: @100145
     /* 100145 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(100164), // Rule ID 2509 //
     /* 100150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_pause),
     /* 100155 */     // (intrinsic_void 14674:{ *:[iPTR] })  =>  (PAUSE)
     /* 100155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PAUSE),
     /* 100158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100162 */     GIR_RootConstrainSelectedInstOperands,
     /* 100163 */     // GIR_Coverage, 2509,
     /* 100163 */     GIR_EraseRootFromParent_Done,
     /* 100164 */   // Label 2125: @100164
     /* 100164 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(100186), // Rule ID 2510 //
     /* 100169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE1),
     /* 100172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_sfence),
     /* 100177 */     // (intrinsic_void 14636:{ *:[iPTR] })  =>  (SFENCE)
     /* 100177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SFENCE),
     /* 100180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100184 */     GIR_RootConstrainSelectedInstOperands,
     /* 100185 */     // GIR_Coverage, 2510,
     /* 100185 */     GIR_EraseRootFromParent_Done,
     /* 100186 */   // Label 2126: @100186
     /* 100186 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(100208), // Rule ID 2511 //
     /* 100191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE2),
     /* 100194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_lfence),
     /* 100199 */     // (intrinsic_void 14663:{ *:[iPTR] })  =>  (LFENCE)
     /* 100199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LFENCE),
     /* 100202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100206 */     GIR_RootConstrainSelectedInstOperands,
     /* 100207 */     // GIR_Coverage, 2511,
     /* 100207 */     GIR_EraseRootFromParent_Done,
     /* 100208 */   // Label 2127: @100208
     /* 100208 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(100230), // Rule ID 2512 //
     /* 100213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMFence),
     /* 100216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_mfence),
     /* 100221 */     // (intrinsic_void 14667:{ *:[iPTR] })  =>  (MFENCE)
     /* 100221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MFENCE),
     /* 100224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100228 */     GIR_RootConstrainSelectedInstOperands,
     /* 100229 */     // GIR_Coverage, 2512,
     /* 100229 */     GIR_EraseRootFromParent_Done,
     /* 100230 */   // Label 2128: @100230
     /* 100230 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(100296), // Rule ID 3426 //
     /* 100235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 100238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_vzeroall),
     /* 100243 */     // (intrinsic_void 13369:{ *:[iPTR] })  =>  (VZEROALL)
     /* 100243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VZEROALL),
     /* 100246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM0*/0,
     /* 100249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM1*/1,
     /* 100252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM2*/2,
     /* 100255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM3*/3,
     /* 100258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM4*/4,
     /* 100261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM5*/5,
     /* 100264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM6*/6,
     /* 100267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM7*/7,
     /* 100270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM8*/8,
     /* 100273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM9*/9,
     /* 100276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM10*/10,
     /* 100279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM11*/11,
     /* 100282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM12*/12,
     /* 100285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM13*/13,
     /* 100288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM14*/14,
     /* 100291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM15*/15,
     /* 100294 */     GIR_RootConstrainSelectedInstOperands,
     /* 100295 */     // GIR_Coverage, 3426,
     /* 100295 */     GIR_EraseRootFromParent_Done,
     /* 100296 */   // Label 2129: @100296
     /* 100296 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(100362), // Rule ID 3427 //
     /* 100301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 100304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_vzeroupper),
     /* 100309 */     // (intrinsic_void 13370:{ *:[iPTR] })  =>  (VZEROUPPER)
     /* 100309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VZEROUPPER),
     /* 100312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM0*/0,
     /* 100315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM1*/1,
     /* 100318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM2*/2,
     /* 100321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM3*/3,
     /* 100324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM4*/4,
     /* 100327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM5*/5,
     /* 100330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM6*/6,
     /* 100333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM7*/7,
     /* 100336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM8*/8,
     /* 100339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM9*/9,
     /* 100342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM10*/10,
     /* 100345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM11*/11,
     /* 100348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM12*/12,
     /* 100351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM13*/13,
     /* 100354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM14*/14,
     /* 100357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::YMM15*/15,
     /* 100360 */     GIR_RootConstrainSelectedInstOperands,
     /* 100361 */     // GIR_Coverage, 3427,
     /* 100361 */     GIR_EraseRootFromParent_Done,
     /* 100362 */   // Label 2130: @100362
     /* 100362 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(100432), // Rule ID 16801 //
     /* 100367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMMX),
     /* 100370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_mmx_emms),
     /* 100375 */     // (intrinsic_void 14490:{ *:[iPTR] })  =>  (MMX_EMMS:{ *:[x86mmx] })
     /* 100375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MMX_EMMS),
     /* 100378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM0*/0,
     /* 100381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM1*/1,
     /* 100384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM2*/2,
     /* 100387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM3*/3,
     /* 100390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM4*/4,
     /* 100393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM5*/5,
     /* 100396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM6*/6,
     /* 100399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MM7*/7,
     /* 100402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST0*/8,
     /* 100405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST1*/9,
     /* 100408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST2*/10,
     /* 100411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST3*/11,
     /* 100414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST4*/12,
     /* 100417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST5*/13,
     /* 100420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST6*/14,
     /* 100423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ST7*/15,
     /* 100426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100430 */     GIR_RootConstrainSelectedInstOperands,
     /* 100431 */     // GIR_Coverage, 16801,
     /* 100431 */     GIR_EraseRootFromParent_Done,
     /* 100432 */   // Label 2131: @100432
     /* 100432 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(100454), // Rule ID 16984 //
     /* 100437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRTM),
     /* 100440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xend),
     /* 100445 */     // (intrinsic_void 14923:{ *:[iPTR] })  =>  (XEND)
     /* 100445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XEND),
     /* 100448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100452 */     GIR_RootConstrainSelectedInstOperands,
     /* 100453 */     // GIR_Coverage, 16984,
     /* 100453 */     GIR_EraseRootFromParent_Done,
     /* 100454 */   // Label 2132: @100454
     /* 100454 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(100500), // Rule ID 16996 //
     /* 100459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_In64BitMode),
     /* 100462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tilerelease),
     /* 100467 */     // (intrinsic_void 14849:{ *:[iPTR] })  =>  (TILERELEASE:{ *:[x86amx] })
     /* 100467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TILERELEASE),
     /* 100470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM0*/0,
     /* 100473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM1*/1,
     /* 100476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM2*/2,
     /* 100479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM3*/3,
     /* 100482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM4*/4,
     /* 100485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM5*/5,
     /* 100488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM6*/6,
     /* 100491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM7*/7,
     /* 100494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100498 */     GIR_RootConstrainSelectedInstOperands,
     /* 100499 */     // GIR_Coverage, 16996,
     /* 100499 */     GIR_EraseRootFromParent_Done,
     /* 100500 */   // Label 2133: @100500
     /* 100500 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(100519), // Rule ID 17085 //
     /* 100505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wbinvd),
     /* 100510 */     // (intrinsic_void 14910:{ *:[iPTR] })  =>  (WBINVD)
     /* 100510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WBINVD),
     /* 100513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100517 */     GIR_RootConstrainSelectedInstOperands,
     /* 100518 */     // GIR_Coverage, 17085,
     /* 100518 */     GIR_EraseRootFromParent_Done,
     /* 100519 */   // Label 2134: @100519
     /* 100519 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(100541), // Rule ID 17086 //
     /* 100524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasWBNOINVD),
     /* 100527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wbnoinvd),
     /* 100532 */     // (intrinsic_void 14911:{ *:[iPTR] })  =>  (WBNOINVD)
     /* 100532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WBNOINVD),
     /* 100535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100539 */     GIR_RootConstrainSelectedInstOperands,
     /* 100540 */     // GIR_Coverage, 17086,
     /* 100540 */     GIR_EraseRootFromParent_Done,
     /* 100541 */   // Label 2135: @100541
     /* 100541 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(100563), // Rule ID 17091 //
     /* 100546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_saveprevssp),
     /* 100551 */     // (intrinsic_void 14592:{ *:[iPTR] })  =>  (SAVEPREVSSP)
     /* 100551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAVEPREVSSP),
     /* 100554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 100557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100561 */     GIR_RootConstrainSelectedInstOperands,
     /* 100562 */     // GIR_Coverage, 17091,
     /* 100562 */     GIR_EraseRootFromParent_Done,
     /* 100563 */   // Label 2136: @100563
     /* 100563 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(100585), // Rule ID 17101 //
     /* 100568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_setssbsy),
     /* 100573 */     // (intrinsic_void 14598:{ *:[iPTR] })  =>  (SETSSBSY)
     /* 100573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SETSSBSY),
     /* 100576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 100579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100583 */     GIR_RootConstrainSelectedInstOperands,
     /* 100584 */     // GIR_Coverage, 17101,
     /* 100584 */     GIR_EraseRootFromParent_Done,
     /* 100585 */   // Label 2137: @100585
     /* 100585 */   GIM_Reject,
     /* 100586 */ // Label 2119: @100586
     /* 100586 */ GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(102474),
     /* 100591 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 100594 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(100652), // Rule ID 17129 //
     /* 100599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPTWRITE_In64BitMode),
     /* 100602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ptwrite64),
     /* 100607 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 100610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 100614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 100618 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100621 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 100625 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 100629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100631 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100638 */     // (intrinsic_void 14572:{ *:[iPTR] }, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (PTWRITE64m addr:{ *:[iPTR] }:$dst)
     /* 100638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTWRITE64m),
     /* 100641 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 100645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 100650 */     GIR_RootConstrainSelectedInstOperands,
     /* 100651 */     // GIR_Coverage, 17129,
     /* 100651 */     GIR_EraseRootFromParent_Done,
     /* 100652 */   // Label 2139: @100652
     /* 100652 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(100710), // Rule ID 17128 //
     /* 100657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPTWRITE),
     /* 100660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ptwrite32),
     /* 100665 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 100668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 100672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 100676 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100679 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 100683 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 100687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 100689 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100696 */     // (intrinsic_void 14571:{ *:[iPTR] }, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$dst)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (PTWRITEm addr:{ *:[iPTR] }:$dst)
     /* 100696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTWRITEm),
     /* 100699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 100703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 100708 */     GIR_RootConstrainSelectedInstOperands,
     /* 100709 */     // GIR_Coverage, 17128,
     /* 100709 */     GIR_EraseRootFromParent_Done,
     /* 100710 */   // Label 2140: @100710
     /* 100710 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(100747), // Rule ID 162 //
     /* 100715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCLFLUSHOPT),
     /* 100718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_clflushopt),
     /* 100723 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100734 */     // (intrinsic_void 14453:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLFLUSHOPT addr:{ *:[iPTR] }:$src)
     /* 100734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLFLUSHOPT),
     /* 100737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 100741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100745 */     GIR_RootConstrainSelectedInstOperands,
     /* 100746 */     // GIR_Coverage, 162,
     /* 100746 */     GIR_EraseRootFromParent_Done,
     /* 100747 */   // Label 2141: @100747
     /* 100747 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(100784), // Rule ID 163 //
     /* 100752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCLWB),
     /* 100755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_clwb),
     /* 100760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100771 */     // (intrinsic_void 14456:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLWB addr:{ *:[iPTR] }:$src)
     /* 100771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLWB),
     /* 100774 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 100778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100782 */     GIR_RootConstrainSelectedInstOperands,
     /* 100783 */     // GIR_Coverage, 163,
     /* 100783 */     GIR_EraseRootFromParent_Done,
     /* 100784 */   // Label 2142: @100784
     /* 100784 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(100821), // Rule ID 164 //
     /* 100789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCLDEMOTE),
     /* 100792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_cldemote),
     /* 100797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100808 */     // (intrinsic_void 14452:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLDEMOTE addr:{ *:[iPTR] }:$src)
     /* 100808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLDEMOTE),
     /* 100811 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 100815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100819 */     GIR_RootConstrainSelectedInstOperands,
     /* 100820 */     // GIR_Coverage, 164,
     /* 100820 */     GIR_EraseRootFromParent_Done,
     /* 100821 */   // Label 2143: @100821
     /* 100821 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(100858), // Rule ID 169 //
     /* 100826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS),
     /* 100829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_prefetchrs),
     /* 100834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100845 */     // (intrinsic_void 14570:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (PREFETCHRST2 addr:{ *:[iPTR] }:$src)
     /* 100845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PREFETCHRST2),
     /* 100848 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 100852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100856 */     GIR_RootConstrainSelectedInstOperands,
     /* 100857 */     // GIR_Coverage, 169,
     /* 100857 */     GIR_EraseRootFromParent_Done,
     /* 100858 */   // Label 2144: @100858
     /* 100858 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(100895), // Rule ID 1132 //
     /* 100863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFXSR),
     /* 100866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_fxsave),
     /* 100871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100882 */     // (intrinsic_void 14476:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst)  =>  (FXSAVE addr:{ *:[iPTR] }:$dst)
     /* 100882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::FXSAVE),
     /* 100885 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 100889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100893 */     GIR_RootConstrainSelectedInstOperands,
     /* 100894 */     // GIR_Coverage, 1132,
     /* 100894 */     GIR_EraseRootFromParent_Done,
     /* 100895 */   // Label 2145: @100895
     /* 100895 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(100932), // Rule ID 1133 //
     /* 100900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFXSR_In64BitMode),
     /* 100903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_fxsave64),
     /* 100908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100919 */     // (intrinsic_void 14477:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst)  =>  (FXSAVE64 addr:{ *:[iPTR] }:$dst)
     /* 100919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::FXSAVE64),
     /* 100922 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 100926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100930 */     GIR_RootConstrainSelectedInstOperands,
     /* 100931 */     // GIR_Coverage, 1133,
     /* 100931 */     GIR_EraseRootFromParent_Done,
     /* 100932 */   // Label 2146: @100932
     /* 100932 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(100975), // Rule ID 1134 //
     /* 100937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFXSR),
     /* 100940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_fxrstor),
     /* 100945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100956 */     // (intrinsic_void 14474:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (FXRSTOR:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /* 100956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::FXRSTOR),
     /* 100959 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 100963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 100966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPCW*/1,
     /* 100969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100973 */     GIR_RootConstrainSelectedInstOperands,
     /* 100974 */     // GIR_Coverage, 1134,
     /* 100974 */     GIR_EraseRootFromParent_Done,
     /* 100975 */   // Label 2147: @100975
     /* 100975 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(101018), // Rule ID 1135 //
     /* 100980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFXSR_In64BitMode),
     /* 100983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_fxrstor64),
     /* 100988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 100999 */     // (intrinsic_void 14475:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (FXRSTOR64:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /* 100999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::FXRSTOR64),
     /* 101002 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 101009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPCW*/1,
     /* 101012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101016 */     GIR_RootConstrainSelectedInstOperands,
     /* 101017 */     // GIR_Coverage, 1135,
     /* 101017 */     GIR_EraseRootFromParent_Done,
     /* 101018 */   // Label 2148: @101018
     /* 101018 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(101055), // Rule ID 2508 //
     /* 101023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCLFLUSH),
     /* 101026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_clflush),
     /* 101031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101042 */     // (intrinsic_void 14644:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLFLUSH addr:{ *:[iPTR] }:$src)
     /* 101042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLFLUSH),
     /* 101045 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101053 */     GIR_RootConstrainSelectedInstOperands,
     /* 101054 */     // GIR_Coverage, 2508,
     /* 101054 */     GIR_EraseRootFromParent_Done,
     /* 101055 */   // Label 2149: @101055
     /* 101055 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(101095), // Rule ID 2513 //
     /* 101060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 101063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_ldmxcsr),
     /* 101068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101079 */     // (intrinsic_void 14625:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VLDMXCSR addr:{ *:[iPTR] }:$src)
     /* 101079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VLDMXCSR),
     /* 101082 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MXCSR*/0,
     /* 101089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101093 */     GIR_RootConstrainSelectedInstOperands,
     /* 101094 */     // GIR_Coverage, 2513,
     /* 101094 */     GIR_EraseRootFromParent_Done,
     /* 101095 */   // Label 2150: @101095
     /* 101095 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(101132), // Rule ID 2514 //
     /* 101100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 101103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_stmxcsr),
     /* 101108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101119 */     // (intrinsic_void 14637:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst)  =>  (VSTMXCSR addr:{ *:[iPTR] }:$dst)
     /* 101119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSTMXCSR),
     /* 101122 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 101126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101130 */     GIR_RootConstrainSelectedInstOperands,
     /* 101131 */     // GIR_Coverage, 2514,
     /* 101131 */     GIR_EraseRootFromParent_Done,
     /* 101132 */   // Label 2151: @101132
     /* 101132 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(101169), // Rule ID 2515 //
     /* 101137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_ldmxcsr),
     /* 101142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101153 */     // (intrinsic_void 14625:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (LDMXCSR addr:{ *:[iPTR] }:$src)
     /* 101153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LDMXCSR),
     /* 101156 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::MXCSR*/0,
     /* 101163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101167 */     GIR_RootConstrainSelectedInstOperands,
     /* 101168 */     // GIR_Coverage, 2515,
     /* 101168 */     GIR_EraseRootFromParent_Done,
     /* 101169 */   // Label 2152: @101169
     /* 101169 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(101203), // Rule ID 2516 //
     /* 101174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse_stmxcsr),
     /* 101179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101190 */     // (intrinsic_void 14637:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst)  =>  (STMXCSR addr:{ *:[iPTR] }:$dst)
     /* 101190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::STMXCSR),
     /* 101193 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 101197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101201 */     GIR_RootConstrainSelectedInstOperands,
     /* 101202 */     // GIR_Coverage, 2516,
     /* 101202 */     GIR_EraseRootFromParent_Done,
     /* 101203 */   // Label 2153: @101203
     /* 101203 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(101264), // Rule ID 16992 //
     /* 101208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_In64BitMode_NoEGPR),
     /* 101211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ldtilecfg),
     /* 101216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101227 */     // (intrinsic_void 14482:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (LDTILECFG:{ *:[x86amx] } addr:{ *:[iPTR] }:$src)
     /* 101227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LDTILECFG),
     /* 101230 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM0*/0,
     /* 101237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM1*/1,
     /* 101240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM2*/2,
     /* 101243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM3*/3,
     /* 101246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM4*/4,
     /* 101249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM5*/5,
     /* 101252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM6*/6,
     /* 101255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM7*/7,
     /* 101258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101262 */     GIR_RootConstrainSelectedInstOperands,
     /* 101263 */     // GIR_Coverage, 16992,
     /* 101263 */     GIR_EraseRootFromParent_Done,
     /* 101264 */   // Label 2154: @101264
     /* 101264 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(101301), // Rule ID 16993 //
     /* 101269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_In64BitMode_NoEGPR),
     /* 101272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sttilecfg),
     /* 101277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101288 */     // (intrinsic_void 14778:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (STTILECFG addr:{ *:[iPTR] }:$src)
     /* 101288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::STTILECFG),
     /* 101291 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101299 */     GIR_RootConstrainSelectedInstOperands,
     /* 101300 */     // GIR_Coverage, 16993,
     /* 101300 */     GIR_EraseRootFromParent_Done,
     /* 101301 */   // Label 2155: @101301
     /* 101301 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(101362), // Rule ID 16994 //
     /* 101306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_HasEGPR_In64BitMode),
     /* 101309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ldtilecfg),
     /* 101314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101325 */     // (intrinsic_void 14482:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (LDTILECFG_EVEX:{ *:[x86amx] } addr:{ *:[iPTR] }:$src)
     /* 101325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LDTILECFG_EVEX),
     /* 101328 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM0*/0,
     /* 101335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM1*/1,
     /* 101338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM2*/2,
     /* 101341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM3*/3,
     /* 101344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM4*/4,
     /* 101347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM5*/5,
     /* 101350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM6*/6,
     /* 101353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::TMM7*/7,
     /* 101356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101360 */     GIR_RootConstrainSelectedInstOperands,
     /* 101361 */     // GIR_Coverage, 16994,
     /* 101361 */     GIR_EraseRootFromParent_Done,
     /* 101362 */   // Label 2156: @101362
     /* 101362 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(101399), // Rule ID 16995 //
     /* 101367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_HasEGPR_In64BitMode),
     /* 101370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sttilecfg),
     /* 101375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101386 */     // (intrinsic_void 14778:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (STTILECFG_EVEX addr:{ *:[iPTR] }:$src)
     /* 101386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::STTILECFG_EVEX),
     /* 101389 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101397 */     GIR_RootConstrainSelectedInstOperands,
     /* 101398 */     // GIR_Coverage, 16995,
     /* 101398 */     GIR_EraseRootFromParent_Done,
     /* 101399 */   // Label 2157: @101399
     /* 101399 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(101436), // Rule ID 17092 //
     /* 101404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_rstorssp),
     /* 101409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101420 */     // (intrinsic_void 14591:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (RSTORSSP addr:{ *:[iPTR] }:$src)
     /* 101420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RSTORSSP),
     /* 101423 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 101430 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101434 */     GIR_RootConstrainSelectedInstOperands,
     /* 101435 */     // GIR_Coverage, 17092,
     /* 101435 */     GIR_EraseRootFromParent_Done,
     /* 101436 */   // Label 2158: @101436
     /* 101436 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(101473), // Rule ID 17102 //
     /* 101441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_clrssbsy),
     /* 101446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 101457 */     // (intrinsic_void 14454:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (CLRSSBSY addr:{ *:[iPTR] }:$src)
     /* 101457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CLRSSBSY),
     /* 101460 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 101464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 101467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101471 */     GIR_RootConstrainSelectedInstOperands,
     /* 101472 */     // GIR_Coverage, 17102,
     /* 101472 */     GIR_EraseRootFromParent_Done,
     /* 101473 */   // Label 2159: @101473
     /* 101473 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(101503), // Rule ID 17074 //
     /* 101478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_int),
     /* 101483 */     // MIs[0] Operand 1
     /* 101483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(3),
     /* 101494 */     // (intrinsic_void 14480:{ *:[iPTR] }, 3:{ *:[i8] })  =>  (INT3)
     /* 101494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INT3),
     /* 101497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101501 */     GIR_RootConstrainSelectedInstOperands,
     /* 101502 */     // GIR_Coverage, 17074,
     /* 101502 */     GIR_EraseRootFromParent_Done,
     /* 101503 */   // Label 2160: @101503
     /* 101503 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(101530), // Rule ID 16986 //
     /* 101508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRTM),
     /* 101511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xabort),
     /* 101516 */     // MIs[0] imm
     /* 101516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 101519 */     // (intrinsic_void 14921:{ *:[iPTR] }, (timm:{ *:[i8] }):$imm)  =>  (XABORT (timm:{ *:[i8] }):$imm)
     /* 101519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XABORT),
     /* 101522 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 101524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101528 */     GIR_RootConstrainSelectedInstOperands,
     /* 101529 */     // GIR_Coverage, 16986,
     /* 101529 */     GIR_EraseRootFromParent_Done,
     /* 101530 */   // Label 2161: @101530
     /* 101530 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(101557), // Rule ID 16998 //
     /* 101535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTILE_In64BitMode),
     /* 101538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tilezero),
     /* 101543 */     // MIs[0] src
     /* 101543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 101546 */     // (intrinsic_void 14852:{ *:[iPTR] }, (timm:{ *:[i8] }):$src)  =>  (PTILEZERO (timm:{ *:[i8] }):$src)
     /* 101546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTILEZERO),
     /* 101549 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 101551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101555 */     GIR_RootConstrainSelectedInstOperands,
     /* 101556 */     // GIR_Coverage, 16998,
     /* 101556 */     GIR_EraseRootFromParent_Done,
     /* 101557 */   // Label 2162: @101557
     /* 101557 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(101581), // Rule ID 17076 //
     /* 101562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_int),
     /* 101567 */     // MIs[0] trap
     /* 101567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 101570 */     // (intrinsic_void 14480:{ *:[iPTR] }, (timm:{ *:[i8] }):$trap)  =>  (INT (timm:{ *:[i8] }):$trap)
     /* 101570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INT),
     /* 101573 */     GIR_RootToRootCopy, /*OpIdx*/1, // trap
     /* 101575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101579 */     GIR_RootConstrainSelectedInstOperands,
     /* 101580 */     // GIR_Coverage, 17076,
     /* 101580 */     GIR_EraseRootFromParent_Done,
     /* 101581 */   // Label 2163: @101581
     /* 101581 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(101615), // Rule ID 1 //
     /* 101586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode),
     /* 101589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_flags_read_u32),
     /* 101594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 101597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101601 */     // (intrinsic_w_chain:{ *:[i32] } 14466:{ *:[iPTR] })  =>  (RDFLAGS32:{ *:[i32] }:{ *:[i32] })
     /* 101601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDFLAGS32),
     /* 101604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ESP*/0,
     /* 101609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101613 */     GIR_RootConstrainSelectedInstOperands,
     /* 101614 */     // GIR_Coverage, 1,
     /* 101614 */     GIR_EraseRootFromParent_Done,
     /* 101615 */   // Label 2164: @101615
     /* 101615 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(101649), // Rule ID 2 //
     /* 101620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 101623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_flags_read_u64),
     /* 101628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 101631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 101635 */     // (intrinsic_w_chain:{ *:[i64] } 14467:{ *:[iPTR] })  =>  (RDFLAGS64:{ *:[i64] }:{ *:[i32] })
     /* 101635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDFLAGS64),
     /* 101638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ESP*/0,
     /* 101643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101647 */     GIR_RootConstrainSelectedInstOperands,
     /* 101648 */     // GIR_Coverage, 2,
     /* 101648 */     GIR_EraseRootFromParent_Done,
     /* 101649 */   // Label 2165: @101649
     /* 101649 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(101680), // Rule ID 115 //
     /* 101654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 101657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_slwpcb),
     /* 101662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 101665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101669 */     // (intrinsic_w_chain:{ *:[i32] } 14606:{ *:[iPTR] })  =>  (SLWPCB:{ *:[i32] })
     /* 101669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SLWPCB),
     /* 101672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101678 */     GIR_RootConstrainSelectedInstOperands,
     /* 101679 */     // GIR_Coverage, 115,
     /* 101679 */     GIR_EraseRootFromParent_Done,
     /* 101680 */   // Label 2166: @101680
     /* 101680 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(101711), // Rule ID 117 //
     /* 101685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 101688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_slwpcb),
     /* 101693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 101696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 101700 */     // (intrinsic_w_chain:{ *:[i64] } 14606:{ *:[iPTR] })  =>  (SLWPCB64:{ *:[i64] })
     /* 101700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SLWPCB64),
     /* 101703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101709 */     GIR_RootConstrainSelectedInstOperands,
     /* 101710 */     // GIR_Coverage, 117,
     /* 101710 */     GIR_EraseRootFromParent_Done,
     /* 101711 */   // Label 2167: @101711
     /* 101711 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(101742), // Rule ID 16983 //
     /* 101716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRTM),
     /* 101719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_xbegin),
     /* 101724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 101727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101731 */     // (intrinsic_w_chain:{ *:[i32] } 14922:{ *:[iPTR] })  =>  (XBEGIN:{ *:[i32] })
     /* 101731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XBEGIN),
     /* 101734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101740 */     GIR_RootConstrainSelectedInstOperands,
     /* 101741 */     // GIR_Coverage, 16983,
     /* 101741 */     GIR_EraseRootFromParent_Done,
     /* 101742 */   // Label 2168: @101742
     /* 101742 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(101773), // Rule ID 17118 //
     /* 101747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 101750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdfsbase_32),
     /* 101755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 101758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101762 */     // (intrinsic_w_chain:{ *:[i32] } 14573:{ *:[iPTR] })  =>  (RDFSBASE:{ *:[i32] })
     /* 101762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDFSBASE),
     /* 101765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101771 */     GIR_RootConstrainSelectedInstOperands,
     /* 101772 */     // GIR_Coverage, 17118,
     /* 101772 */     GIR_EraseRootFromParent_Done,
     /* 101773 */   // Label 2169: @101773
     /* 101773 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(101804), // Rule ID 17119 //
     /* 101778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 101781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdfsbase_64),
     /* 101786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 101789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 101793 */     // (intrinsic_w_chain:{ *:[i64] } 14574:{ *:[iPTR] })  =>  (RDFSBASE64:{ *:[i64] })
     /* 101793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDFSBASE64),
     /* 101796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101802 */     GIR_RootConstrainSelectedInstOperands,
     /* 101803 */     // GIR_Coverage, 17119,
     /* 101803 */     GIR_EraseRootFromParent_Done,
     /* 101804 */   // Label 2170: @101804
     /* 101804 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(101835), // Rule ID 17120 //
     /* 101809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 101812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdgsbase_32),
     /* 101817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 101820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101824 */     // (intrinsic_w_chain:{ *:[i32] } 14575:{ *:[iPTR] })  =>  (RDGSBASE:{ *:[i32] })
     /* 101824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDGSBASE),
     /* 101827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101833 */     GIR_RootConstrainSelectedInstOperands,
     /* 101834 */     // GIR_Coverage, 17120,
     /* 101834 */     GIR_EraseRootFromParent_Done,
     /* 101835 */   // Label 2171: @101835
     /* 101835 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(101866), // Rule ID 17121 //
     /* 101840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 101843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdgsbase_64),
     /* 101848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 101851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 101855 */     // (intrinsic_w_chain:{ *:[i64] } 14576:{ *:[iPTR] })  =>  (RDGSBASE64:{ *:[i64] })
     /* 101855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDGSBASE64),
     /* 101858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101864 */     GIR_RootConstrainSelectedInstOperands,
     /* 101865 */     // GIR_Coverage, 17121,
     /* 101865 */     GIR_EraseRootFromParent_Done,
     /* 101866 */   // Label 2172: @101866
     /* 101866 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(101897), // Rule ID 17127 //
     /* 101871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDPID_Not64BitMode),
     /* 101874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdpid),
     /* 101879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 101882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101886 */     // (intrinsic_w_chain:{ *:[i32] } 14577:{ *:[iPTR] })  =>  (RDPID32:{ *:[i32] })
     /* 101886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDPID32),
     /* 101889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101895 */     GIR_RootConstrainSelectedInstOperands,
     /* 101896 */     // GIR_Coverage, 17127,
     /* 101896 */     GIR_EraseRootFromParent_Done,
     /* 101897 */   // Label 2173: @101897
     /* 101897 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(101954), // Rule ID 22380 //
     /* 101902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDPID_In64BitMode),
     /* 101905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdpid),
     /* 101910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 101913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101917 */     // (intrinsic_w_chain:{ *:[i32] } 14577:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[i32] } (RDPID64:{ *:[i64] }), sub_32bit:{ *:[i32] })
     /* 101917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 101920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::RDPID64),
     /* 101924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 101929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 101931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 101934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101936 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_32bit),
     /* 101943 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /* 101948 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 101953 */     // GIR_Coverage, 22380,
     /* 101953 */     GIR_EraseRootFromParent_Done,
     /* 101954 */   // Label 2174: @101954
     /* 101954 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(101994), // Rule ID 3 //
     /* 101959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode),
     /* 101962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_flags_write_u32),
     /* 101967 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 101970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 101974 */     // (intrinsic_void 14468:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (WRFLAGS32:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /* 101974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRFLAGS32),
     /* 101977 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 101979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::ESP*/0,
     /* 101982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/1,
     /* 101985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::DF*/2,
     /* 101988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101992 */     GIR_RootConstrainSelectedInstOperands,
     /* 101993 */     // GIR_Coverage, 3,
     /* 101993 */     GIR_EraseRootFromParent_Done,
     /* 101994 */   // Label 2175: @101994
     /* 101994 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(102034), // Rule ID 4 //
     /* 101999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 102002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_flags_write_u64),
     /* 102007 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102014 */     // (intrinsic_void 14469:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (WRFLAGS64:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 102014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRFLAGS64),
     /* 102017 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::RSP*/0,
     /* 102022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/1,
     /* 102025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::DF*/2,
     /* 102028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102032 */     GIR_RootConstrainSelectedInstOperands,
     /* 102033 */     // GIR_Coverage, 4,
     /* 102033 */     GIR_EraseRootFromParent_Done,
     /* 102034 */   // Label 2176: @102034
     /* 102034 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(102065), // Rule ID 154 //
     /* 102039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUINTR_In64BitMode),
     /* 102042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_senduipi),
     /* 102047 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102054 */     // (intrinsic_void 14596:{ *:[iPTR] }, GR64:{ *:[i64] }:$arg)  =>  (SENDUIPI GR64:{ *:[i64] }:$arg)
     /* 102054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SENDUIPI),
     /* 102057 */     GIR_RootToRootCopy, /*OpIdx*/1, // arg
     /* 102059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102063 */     GIR_RootConstrainSelectedInstOperands,
     /* 102064 */     // GIR_Coverage, 154,
     /* 102064 */     GIR_EraseRootFromParent_Done,
     /* 102065 */   // Label 2177: @102065
     /* 102065 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(102096), // Rule ID 17087 //
     /* 102070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_incsspd),
     /* 102075 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102082 */     // (intrinsic_void 14478:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (INCSSPD GR32:{ *:[i32] }:$src)
     /* 102082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INCSSPD),
     /* 102085 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 102090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102094 */     GIR_RootConstrainSelectedInstOperands,
     /* 102095 */     // GIR_Coverage, 17087,
     /* 102095 */     GIR_EraseRootFromParent_Done,
     /* 102096 */   // Label 2178: @102096
     /* 102096 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(102127), // Rule ID 17088 //
     /* 102101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_incsspq),
     /* 102106 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102113 */     // (intrinsic_void 14479:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (INCSSPQ GR64:{ *:[i64] }:$src)
     /* 102113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INCSSPQ),
     /* 102116 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::SSP*/0,
     /* 102121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102125 */     GIR_RootConstrainSelectedInstOperands,
     /* 102126 */     // GIR_Coverage, 17088,
     /* 102126 */     GIR_EraseRootFromParent_Done,
     /* 102127 */   // Label 2179: @102127
     /* 102127 */   GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(102158), // Rule ID 17122 //
     /* 102132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrfsbase_32),
     /* 102140 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102147 */     // (intrinsic_void 14912:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (WRFSBASE GR32:{ *:[i32] }:$src)
     /* 102147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRFSBASE),
     /* 102150 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102156 */     GIR_RootConstrainSelectedInstOperands,
     /* 102157 */     // GIR_Coverage, 17122,
     /* 102157 */     GIR_EraseRootFromParent_Done,
     /* 102158 */   // Label 2180: @102158
     /* 102158 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(102189), // Rule ID 17123 //
     /* 102163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrfsbase_64),
     /* 102171 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102178 */     // (intrinsic_void 14913:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (WRFSBASE64 GR64:{ *:[i64] }:$src)
     /* 102178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRFSBASE64),
     /* 102181 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102187 */     GIR_RootConstrainSelectedInstOperands,
     /* 102188 */     // GIR_Coverage, 17123,
     /* 102188 */     GIR_EraseRootFromParent_Done,
     /* 102189 */   // Label 2181: @102189
     /* 102189 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(102220), // Rule ID 17124 //
     /* 102194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrgsbase_32),
     /* 102202 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102209 */     // (intrinsic_void 14914:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (WRGSBASE GR32:{ *:[i32] }:$src)
     /* 102209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRGSBASE),
     /* 102212 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102218 */     GIR_RootConstrainSelectedInstOperands,
     /* 102219 */     // GIR_Coverage, 17124,
     /* 102219 */     GIR_EraseRootFromParent_Done,
     /* 102220 */   // Label 2182: @102220
     /* 102220 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(102251), // Rule ID 17125 //
     /* 102225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFSGSBase_In64BitMode),
     /* 102228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrgsbase_64),
     /* 102233 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102240 */     // (intrinsic_void 14915:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (WRGSBASE64 GR64:{ *:[i64] }:$src)
     /* 102240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRGSBASE64),
     /* 102243 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102249 */     GIR_RootConstrainSelectedInstOperands,
     /* 102250 */     // GIR_Coverage, 17125,
     /* 102250 */     GIR_EraseRootFromParent_Done,
     /* 102251 */   // Label 2183: @102251
     /* 102251 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(102282), // Rule ID 17130 //
     /* 102256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPTWRITE),
     /* 102259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ptwrite32),
     /* 102264 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 102267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102271 */     // (intrinsic_void 14571:{ *:[iPTR] }, GR32:{ *:[i32] }:$dst)  =>  (PTWRITEr GR32:{ *:[i32] }:$dst)
     /* 102271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTWRITEr),
     /* 102274 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 102276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102280 */     GIR_RootConstrainSelectedInstOperands,
     /* 102281 */     // GIR_Coverage, 17130,
     /* 102281 */     GIR_EraseRootFromParent_Done,
     /* 102282 */   // Label 2184: @102282
     /* 102282 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(102313), // Rule ID 17131 //
     /* 102287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPTWRITE_In64BitMode),
     /* 102290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ptwrite64),
     /* 102295 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 102298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102302 */     // (intrinsic_void 14572:{ *:[iPTR] }, GR64:{ *:[i64] }:$dst)  =>  (PTWRITE64r GR64:{ *:[i64] }:$dst)
     /* 102302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTWRITE64r),
     /* 102305 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 102307 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102311 */     GIR_RootConstrainSelectedInstOperands,
     /* 102312 */     // GIR_Coverage, 17131,
     /* 102312 */     GIR_EraseRootFromParent_Done,
     /* 102313 */   // Label 2185: @102313
     /* 102313 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(102345), // Rule ID 114 //
     /* 102318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 102321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_llwpcb),
     /* 102326 */     // MIs[0] src
     /* 102326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 102330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102334 */     // (intrinsic_void 14484:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (LLWPCB GR32:{ *:[i32] }:$src)
     /* 102334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LLWPCB),
     /* 102337 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102343 */     GIR_RootConstrainSelectedInstOperands,
     /* 102344 */     // GIR_Coverage, 114,
     /* 102344 */     GIR_EraseRootFromParent_Done,
     /* 102345 */   // Label 2186: @102345
     /* 102345 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(102377), // Rule ID 116 //
     /* 102350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 102353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_llwpcb),
     /* 102358 */     // MIs[0] src
     /* 102358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102366 */     // (intrinsic_void 14484:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (LLWPCB64 GR64:{ *:[i64] }:$src)
     /* 102366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LLWPCB64),
     /* 102369 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102375 */     GIR_RootConstrainSelectedInstOperands,
     /* 102376 */     // GIR_Coverage, 116,
     /* 102376 */     GIR_EraseRootFromParent_Done,
     /* 102377 */   // Label 2187: @102377
     /* 102377 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(102409), // Rule ID 126 //
     /* 102382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasWAITPKG_Not64BitMode),
     /* 102385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_umonitor),
     /* 102390 */     // MIs[0] src
     /* 102390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/16,
     /* 102394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 102398 */     // (intrinsic_void 14869:{ *:[iPTR] }, GR16:{ *:[i16] }:$src)  =>  (UMONITOR16 GR16:{ *:[i16] }:$src)
     /* 102398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UMONITOR16),
     /* 102401 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102407 */     GIR_RootConstrainSelectedInstOperands,
     /* 102408 */     // GIR_Coverage, 126,
     /* 102408 */     GIR_EraseRootFromParent_Done,
     /* 102409 */   // Label 2188: @102409
     /* 102409 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(102441), // Rule ID 127 //
     /* 102414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasWAITPKG),
     /* 102417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_umonitor),
     /* 102422 */     // MIs[0] src
     /* 102422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 102426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102430 */     // (intrinsic_void 14869:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (UMONITOR32 GR32:{ *:[i32] }:$src)
     /* 102430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UMONITOR32),
     /* 102433 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102439 */     GIR_RootConstrainSelectedInstOperands,
     /* 102440 */     // GIR_Coverage, 127,
     /* 102440 */     GIR_EraseRootFromParent_Done,
     /* 102441 */   // Label 2189: @102441
     /* 102441 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(102473), // Rule ID 128 //
     /* 102446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasWAITPKG_In64BitMode),
     /* 102449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_umonitor),
     /* 102454 */     // MIs[0] src
     /* 102454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102462 */     // (intrinsic_void 14869:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (UMONITOR64 GR64:{ *:[i64] }:$src)
     /* 102462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UMONITOR64),
     /* 102465 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 102467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102471 */     GIR_RootConstrainSelectedInstOperands,
     /* 102472 */     // GIR_Coverage, 128,
     /* 102472 */     GIR_EraseRootFromParent_Done,
     /* 102473 */   // Label 2190: @102473
     /* 102473 */   GIM_Reject,
     /* 102474 */ // Label 2138: @102474
     /* 102474 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(105468),
     /* 102479 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 102482 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(102528), // Rule ID 165 //
     /* 102487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS_In64BitMode_NoEGPR),
     /* 102490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrsqi),
     /* 102495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 102498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 102502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102513 */     // (intrinsic_w_chain:{ *:[i8] } 14564:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS8rm:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /* 102513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS8rm),
     /* 102516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102518 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102522 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102526 */     GIR_RootConstrainSelectedInstOperands,
     /* 102527 */     // GIR_Coverage, 165,
     /* 102527 */     GIR_EraseRootFromParent_Done,
     /* 102528 */   // Label 2192: @102528
     /* 102528 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(102574), // Rule ID 166 //
     /* 102533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS_In64BitMode_NoEGPR),
     /* 102536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrshi),
     /* 102541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 102544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 102548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102559 */     // (intrinsic_w_chain:{ *:[i16] } 14563:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS16rm:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /* 102559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS16rm),
     /* 102562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102564 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102572 */     GIR_RootConstrainSelectedInstOperands,
     /* 102573 */     // GIR_Coverage, 166,
     /* 102573 */     GIR_EraseRootFromParent_Done,
     /* 102574 */   // Label 2193: @102574
     /* 102574 */   GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(102620), // Rule ID 167 //
     /* 102579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS_In64BitMode_NoEGPR),
     /* 102582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrssi),
     /* 102587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 102590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102605 */     // (intrinsic_w_chain:{ *:[i32] } 14565:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 102605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS32rm),
     /* 102608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102610 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102618 */     GIR_RootConstrainSelectedInstOperands,
     /* 102619 */     // GIR_Coverage, 167,
     /* 102619 */     GIR_EraseRootFromParent_Done,
     /* 102620 */   // Label 2194: @102620
     /* 102620 */   GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(102666), // Rule ID 168 //
     /* 102625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVRS_In64BitMode_NoEGPR),
     /* 102628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrsdi),
     /* 102633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 102636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102651 */     // (intrinsic_w_chain:{ *:[i64] } 14562:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 102651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS64rm),
     /* 102654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102656 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102664 */     GIR_RootConstrainSelectedInstOperands,
     /* 102665 */     // GIR_Coverage, 168,
     /* 102665 */     GIR_EraseRootFromParent_Done,
     /* 102666 */   // Label 2195: @102666
     /* 102666 */   GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(102712), // Rule ID 170 //
     /* 102671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVRS_In64BitMode),
     /* 102674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrsqi),
     /* 102679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 102682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 102686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102697 */     // (intrinsic_w_chain:{ *:[i8] } 14564:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS8rm_EVEX:{ *:[i8] } addr:{ *:[iPTR] }:$src)
     /* 102697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS8rm_EVEX),
     /* 102700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102702 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102710 */     GIR_RootConstrainSelectedInstOperands,
     /* 102711 */     // GIR_Coverage, 170,
     /* 102711 */     GIR_EraseRootFromParent_Done,
     /* 102712 */   // Label 2196: @102712
     /* 102712 */   GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(102758), // Rule ID 171 //
     /* 102717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVRS_In64BitMode),
     /* 102720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrshi),
     /* 102725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 102728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 102732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102743 */     // (intrinsic_w_chain:{ *:[i16] } 14563:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS16rm_EVEX:{ *:[i16] } addr:{ *:[iPTR] }:$src)
     /* 102743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS16rm_EVEX),
     /* 102746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102748 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102756 */     GIR_RootConstrainSelectedInstOperands,
     /* 102757 */     // GIR_Coverage, 171,
     /* 102757 */     GIR_EraseRootFromParent_Done,
     /* 102758 */   // Label 2197: @102758
     /* 102758 */   GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(102804), // Rule ID 172 //
     /* 102763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVRS_In64BitMode),
     /* 102766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrssi),
     /* 102771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 102774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 102778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102789 */     // (intrinsic_w_chain:{ *:[i32] } 14565:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 102789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS32rm_EVEX),
     /* 102792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102802 */     GIR_RootConstrainSelectedInstOperands,
     /* 102803 */     // GIR_Coverage, 172,
     /* 102803 */     GIR_EraseRootFromParent_Done,
     /* 102804 */   // Label 2198: @102804
     /* 102804 */   GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(102850), // Rule ID 173 //
     /* 102809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVRS_In64BitMode),
     /* 102812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_movrsdi),
     /* 102817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 102820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 102824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102835 */     // (intrinsic_w_chain:{ *:[i64] } 14562:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (MOVRS64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 102835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVRS64rm_EVEX),
     /* 102838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102840 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102848 */     GIR_RootConstrainSelectedInstOperands,
     /* 102849 */     // GIR_Coverage, 173,
     /* 102849 */     GIR_EraseRootFromParent_Done,
     /* 102850 */   // Label 2199: @102850
     /* 102850 */   GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(102896), // Rule ID 2950 //
     /* 102855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 102858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse3_ldu_dq),
     /* 102863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 102866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 102870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102881 */     // (intrinsic_w_chain:{ *:[v16i8] } 14710:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VLDDQUrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /* 102881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VLDDQUrm),
     /* 102884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102886 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102894 */     GIR_RootConstrainSelectedInstOperands,
     /* 102895 */     // GIR_Coverage, 2950,
     /* 102895 */     GIR_EraseRootFromParent_Done,
     /* 102896 */   // Label 2200: @102896
     /* 102896 */   GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(102942), // Rule ID 2951 //
     /* 102901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 102904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_ldu_dq_256),
     /* 102909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s8,
     /* 102912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 102916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102927 */     // (intrinsic_w_chain:{ *:[v32i8] } 13331:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VLDDQUYrm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /* 102927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VLDDQUYrm),
     /* 102930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102932 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102940 */     GIR_RootConstrainSelectedInstOperands,
     /* 102941 */     // GIR_Coverage, 2951,
     /* 102941 */     GIR_EraseRootFromParent_Done,
     /* 102942 */   // Label 2201: @102942
     /* 102942 */   GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(102988), // Rule ID 2952 //
     /* 102947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE3),
     /* 102950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_sse3_ldu_dq),
     /* 102955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 102958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 102962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 102966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 102973 */     // (intrinsic_w_chain:{ *:[v16i8] } 14710:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (LDDQUrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /* 102973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LDDQUrm),
     /* 102976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102978 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 102982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102986 */     GIR_RootConstrainSelectedInstOperands,
     /* 102987 */     // GIR_Coverage, 2952,
     /* 102987 */     GIR_EraseRootFromParent_Done,
     /* 102988 */   // Label 2202: @102988
     /* 102988 */   GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(103034), // Rule ID 3542 //
     /* 102993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 102996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vbcstnebf162ps128),
     /* 103001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103019 */     // (intrinsic_w_chain:{ *:[v4f32] } 14873:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VBCSTNEBF162PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VBCSTNEBF162PSrm),
     /* 103022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103024 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103032 */     GIR_RootConstrainSelectedInstOperands,
     /* 103033 */     // GIR_Coverage, 3542,
     /* 103033 */     GIR_EraseRootFromParent_Done,
     /* 103034 */   // Label 2203: @103034
     /* 103034 */   GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(103080), // Rule ID 3543 //
     /* 103039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vbcstnebf162ps256),
     /* 103047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103065 */     // (intrinsic_w_chain:{ *:[v8f32] } 14874:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VBCSTNEBF162PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VBCSTNEBF162PSYrm),
     /* 103068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103070 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103078 */     GIR_RootConstrainSelectedInstOperands,
     /* 103079 */     // GIR_Coverage, 3543,
     /* 103079 */     GIR_EraseRootFromParent_Done,
     /* 103080 */   // Label 2204: @103080
     /* 103080 */   GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(103126), // Rule ID 3544 //
     /* 103085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vbcstnesh2ps128),
     /* 103093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103111 */     // (intrinsic_w_chain:{ *:[v4f32] } 14875:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VBCSTNESH2PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VBCSTNESH2PSrm),
     /* 103114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103116 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103124 */     GIR_RootConstrainSelectedInstOperands,
     /* 103125 */     // GIR_Coverage, 3544,
     /* 103125 */     GIR_EraseRootFromParent_Done,
     /* 103126 */   // Label 2205: @103126
     /* 103126 */   GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(103172), // Rule ID 3545 //
     /* 103131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vbcstnesh2ps256),
     /* 103139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103157 */     // (intrinsic_w_chain:{ *:[v8f32] } 14876:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VBCSTNESH2PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VBCSTNESH2PSYrm),
     /* 103160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103162 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103170 */     GIR_RootConstrainSelectedInstOperands,
     /* 103171 */     // GIR_Coverage, 3545,
     /* 103171 */     GIR_EraseRootFromParent_Done,
     /* 103172 */   // Label 2206: @103172
     /* 103172 */   GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(103218), // Rule ID 3546 //
     /* 103177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneebf162ps128),
     /* 103185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103203 */     // (intrinsic_w_chain:{ *:[v4f32] } 14877:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEEBF162PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEEBF162PSrm),
     /* 103206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103208 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103216 */     GIR_RootConstrainSelectedInstOperands,
     /* 103217 */     // GIR_Coverage, 3546,
     /* 103217 */     GIR_EraseRootFromParent_Done,
     /* 103218 */   // Label 2207: @103218
     /* 103218 */   GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(103264), // Rule ID 3547 //
     /* 103223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneebf162ps256),
     /* 103231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103249 */     // (intrinsic_w_chain:{ *:[v8f32] } 14878:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEEBF162PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEEBF162PSYrm),
     /* 103252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103254 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103262 */     GIR_RootConstrainSelectedInstOperands,
     /* 103263 */     // GIR_Coverage, 3547,
     /* 103263 */     GIR_EraseRootFromParent_Done,
     /* 103264 */   // Label 2208: @103264
     /* 103264 */   GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(103310), // Rule ID 3548 //
     /* 103269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneeph2ps128),
     /* 103277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103295 */     // (intrinsic_w_chain:{ *:[v4f32] } 14879:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEEPH2PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEEPH2PSrm),
     /* 103298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103308 */     GIR_RootConstrainSelectedInstOperands,
     /* 103309 */     // GIR_Coverage, 3548,
     /* 103309 */     GIR_EraseRootFromParent_Done,
     /* 103310 */   // Label 2209: @103310
     /* 103310 */   GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(103356), // Rule ID 3549 //
     /* 103315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneeph2ps256),
     /* 103323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103341 */     // (intrinsic_w_chain:{ *:[v8f32] } 14880:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEEPH2PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEEPH2PSYrm),
     /* 103344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103346 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103354 */     GIR_RootConstrainSelectedInstOperands,
     /* 103355 */     // GIR_Coverage, 3549,
     /* 103355 */     GIR_EraseRootFromParent_Done,
     /* 103356 */   // Label 2210: @103356
     /* 103356 */   GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(103402), // Rule ID 3550 //
     /* 103361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneobf162ps128),
     /* 103369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103387 */     // (intrinsic_w_chain:{ *:[v4f32] } 14881:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEOBF162PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEOBF162PSrm),
     /* 103390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103392 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103396 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103400 */     GIR_RootConstrainSelectedInstOperands,
     /* 103401 */     // GIR_Coverage, 3550,
     /* 103401 */     GIR_EraseRootFromParent_Done,
     /* 103402 */   // Label 2211: @103402
     /* 103402 */   GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(103448), // Rule ID 3551 //
     /* 103407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneobf162ps256),
     /* 103415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103433 */     // (intrinsic_w_chain:{ *:[v8f32] } 14882:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEOBF162PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEOBF162PSYrm),
     /* 103436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103438 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103446 */     GIR_RootConstrainSelectedInstOperands,
     /* 103447 */     // GIR_Coverage, 3551,
     /* 103447 */     GIR_EraseRootFromParent_Done,
     /* 103448 */   // Label 2212: @103448
     /* 103448 */   GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(103494), // Rule ID 3552 //
     /* 103453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneoph2ps128),
     /* 103461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 103468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103479 */     // (intrinsic_w_chain:{ *:[v4f32] } 14883:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEOPH2PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 103479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEOPH2PSrm),
     /* 103482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103484 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103488 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103492 */     GIR_RootConstrainSelectedInstOperands,
     /* 103493 */     // GIR_Coverage, 3552,
     /* 103493 */     GIR_EraseRootFromParent_Done,
     /* 103494 */   // Label 2213: @103494
     /* 103494 */   GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(103540), // Rule ID 3553 //
     /* 103499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVXNECONVERT),
     /* 103502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_vcvtneoph2ps256),
     /* 103507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 103514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103525 */     // (intrinsic_w_chain:{ *:[v8f32] } 14884:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VCVTNEOPH2PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 103525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTNEOPH2PSYrm),
     /* 103528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103530 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103538 */     GIR_RootConstrainSelectedInstOperands,
     /* 103539 */     // GIR_Coverage, 3553,
     /* 103539 */     GIR_EraseRootFromParent_Done,
     /* 103540 */   // Label 2214: @103540
     /* 103540 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(103586), // Rule ID 16752 //
     /* 103545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode),
     /* 103548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsb512),
     /* 103553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v64s8,
     /* 103556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 103560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103571 */     // (intrinsic_w_chain:{ *:[v64i8] } 13587:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSBZm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src)
     /* 103571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSBZm),
     /* 103574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103576 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103584 */     GIR_RootConstrainSelectedInstOperands,
     /* 103585 */     // GIR_Coverage, 16752,
     /* 103585 */     GIR_EraseRootFromParent_Done,
     /* 103586 */   // Label 2215: @103586
     /* 103586 */   GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(103632), // Rule ID 16755 //
     /* 103591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 103594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsb128),
     /* 103599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 103602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 103606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103617 */     // (intrinsic_w_chain:{ *:[v16i8] } 13585:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSBZ128m:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /* 103617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSBZ128m),
     /* 103620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103622 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103626 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103630 */     GIR_RootConstrainSelectedInstOperands,
     /* 103631 */     // GIR_Coverage, 16755,
     /* 103631 */     GIR_EraseRootFromParent_Done,
     /* 103632 */   // Label 2216: @103632
     /* 103632 */   GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(103678), // Rule ID 16758 //
     /* 103637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 103640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsb256),
     /* 103645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s8,
     /* 103648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 103652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103663 */     // (intrinsic_w_chain:{ *:[v32i8] } 13586:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSBZ256m:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /* 103663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSBZ256m),
     /* 103666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103668 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103676 */     GIR_RootConstrainSelectedInstOperands,
     /* 103677 */     // GIR_Coverage, 16758,
     /* 103677 */     GIR_EraseRootFromParent_Done,
     /* 103678 */   // Label 2217: @103678
     /* 103678 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(103724), // Rule ID 16761 //
     /* 103683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode),
     /* 103686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsw512),
     /* 103691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 103694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 103698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103709 */     // (intrinsic_w_chain:{ *:[v32i16] } 13596:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSWZm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /* 103709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSWZm),
     /* 103712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103714 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103722 */     GIR_RootConstrainSelectedInstOperands,
     /* 103723 */     // GIR_Coverage, 16761,
     /* 103723 */     GIR_EraseRootFromParent_Done,
     /* 103724 */   // Label 2218: @103724
     /* 103724 */   GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(103770), // Rule ID 16764 //
     /* 103729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 103732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsw128),
     /* 103737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 103740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 103744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103755 */     // (intrinsic_w_chain:{ *:[v8i16] } 13594:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSWZ128m:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /* 103755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSWZ128m),
     /* 103758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103760 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103768 */     GIR_RootConstrainSelectedInstOperands,
     /* 103769 */     // GIR_Coverage, 16764,
     /* 103769 */     GIR_EraseRootFromParent_Done,
     /* 103770 */   // Label 2219: @103770
     /* 103770 */   GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(103816), // Rule ID 16767 //
     /* 103775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 103778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsw256),
     /* 103783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s16,
     /* 103786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 103790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103801 */     // (intrinsic_w_chain:{ *:[v16i16] } 13595:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSWZ256m:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 103801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSWZ256m),
     /* 103804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103806 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103814 */     GIR_RootConstrainSelectedInstOperands,
     /* 103815 */     // GIR_Coverage, 16767,
     /* 103815 */     GIR_EraseRootFromParent_Done,
     /* 103816 */   // Label 2220: @103816
     /* 103816 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(103862), // Rule ID 16770 //
     /* 103821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode),
     /* 103824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsd512),
     /* 103829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 103832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 103836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103847 */     // (intrinsic_w_chain:{ *:[v16i32] } 13590:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSDZm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 103847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSDZm),
     /* 103850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103852 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103860 */     GIR_RootConstrainSelectedInstOperands,
     /* 103861 */     // GIR_Coverage, 16770,
     /* 103861 */     GIR_EraseRootFromParent_Done,
     /* 103862 */   // Label 2221: @103862
     /* 103862 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(103908), // Rule ID 16773 //
     /* 103867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 103870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsd128),
     /* 103875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 103878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 103882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103893 */     // (intrinsic_w_chain:{ *:[v4i32] } 13588:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSDZ128m:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /* 103893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSDZ128m),
     /* 103896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103898 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103906 */     GIR_RootConstrainSelectedInstOperands,
     /* 103907 */     // GIR_Coverage, 16773,
     /* 103907 */     GIR_EraseRootFromParent_Done,
     /* 103908 */   // Label 2222: @103908
     /* 103908 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(103954), // Rule ID 16776 //
     /* 103913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 103916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsd256),
     /* 103921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 103924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 103928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103939 */     // (intrinsic_w_chain:{ *:[v8i32] } 13589:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSDZ256m:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 103939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSDZ256m),
     /* 103942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103944 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103952 */     GIR_RootConstrainSelectedInstOperands,
     /* 103953 */     // GIR_Coverage, 16776,
     /* 103953 */     GIR_EraseRootFromParent_Done,
     /* 103954 */   // Label 2223: @103954
     /* 103954 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(104000), // Rule ID 16779 //
     /* 103959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_512_HasMOVRS_In64BitMode),
     /* 103962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsq512),
     /* 103967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s64,
     /* 103970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 103974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 103978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 103985 */     // (intrinsic_w_chain:{ *:[v8i64] } 13593:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSQZm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 103985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSQZm),
     /* 103988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103990 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 103994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103998 */     GIR_RootConstrainSelectedInstOperands,
     /* 103999 */     // GIR_Coverage, 16779,
     /* 103999 */     GIR_EraseRootFromParent_Done,
     /* 104000 */   // Label 2224: @104000
     /* 104000 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(104046), // Rule ID 16782 //
     /* 104005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 104008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsq128),
     /* 104013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 104016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 104020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104031 */     // (intrinsic_w_chain:{ *:[v2i64] } 13591:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSQZ128m:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)
     /* 104031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSQZ128m),
     /* 104034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104036 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104044 */     GIR_RootConstrainSelectedInstOperands,
     /* 104045 */     // GIR_Coverage, 16782,
     /* 104045 */     GIR_EraseRootFromParent_Done,
     /* 104046 */   // Label 2225: @104046
     /* 104046 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(104092), // Rule ID 16785 //
     /* 104051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX10_2_HasMOVRS_In64BitMode),
     /* 104054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx10_vmovrsq256),
     /* 104059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /* 104062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 104066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104077 */     // (intrinsic_w_chain:{ *:[v4i64] } 13592:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src)  =>  (VMOVRSQZ256m:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 104077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVRSQZ256m),
     /* 104080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104082 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104090 */     GIR_RootConstrainSelectedInstOperands,
     /* 104091 */     // GIR_Coverage, 16785,
     /* 104091 */     GIR_EraseRootFromParent_Done,
     /* 104092 */   // Label 2226: @104092
     /* 104092 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(104138), // Rule ID 17093 //
     /* 104097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoEGPR),
     /* 104100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrssd),
     /* 104105 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104123 */     // (intrinsic_void 14917:{ *:[iPTR] }, GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRSSD addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRSSD),
     /* 104126 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104130 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104136 */     GIR_RootConstrainSelectedInstOperands,
     /* 104137 */     // GIR_Coverage, 17093,
     /* 104137 */     GIR_EraseRootFromParent_Done,
     /* 104138 */   // Label 2227: @104138
     /* 104138 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(104184), // Rule ID 17094 //
     /* 104143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoEGPR),
     /* 104146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrssq),
     /* 104151 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 104154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104169 */     // (intrinsic_void 14918:{ *:[iPTR] }, GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRSSQ addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRSSQ),
     /* 104172 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104176 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104182 */     GIR_RootConstrainSelectedInstOperands,
     /* 104183 */     // GIR_Coverage, 17094,
     /* 104183 */     GIR_EraseRootFromParent_Done,
     /* 104184 */   // Label 2228: @104184
     /* 104184 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(104230), // Rule ID 17095 //
     /* 104189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoEGPR),
     /* 104192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrussd),
     /* 104197 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104215 */     // (intrinsic_void 14919:{ *:[iPTR] }, GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRUSSD addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRUSSD),
     /* 104218 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104222 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104228 */     GIR_RootConstrainSelectedInstOperands,
     /* 104229 */     // GIR_Coverage, 17095,
     /* 104229 */     GIR_EraseRootFromParent_Done,
     /* 104230 */   // Label 2229: @104230
     /* 104230 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(104276), // Rule ID 17096 //
     /* 104235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoEGPR),
     /* 104238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrussq),
     /* 104243 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 104246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104261 */     // (intrinsic_void 14920:{ *:[iPTR] }, GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRUSSQ addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRUSSQ),
     /* 104264 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104268 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104274 */     GIR_RootConstrainSelectedInstOperands,
     /* 104275 */     // GIR_Coverage, 17096,
     /* 104275 */     GIR_EraseRootFromParent_Done,
     /* 104276 */   // Label 2230: @104276
     /* 104276 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(104322), // Rule ID 17097 //
     /* 104281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_In64BitMode),
     /* 104284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrssd),
     /* 104289 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104307 */     // (intrinsic_void 14917:{ *:[iPTR] }, GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRSSD_EVEX addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRSSD_EVEX),
     /* 104310 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104314 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104320 */     GIR_RootConstrainSelectedInstOperands,
     /* 104321 */     // GIR_Coverage, 17097,
     /* 104321 */     GIR_EraseRootFromParent_Done,
     /* 104322 */   // Label 2231: @104322
     /* 104322 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(104368), // Rule ID 17098 //
     /* 104327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_In64BitMode),
     /* 104330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrssq),
     /* 104335 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 104338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104353 */     // (intrinsic_void 14918:{ *:[iPTR] }, GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRSSQ_EVEX addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRSSQ_EVEX),
     /* 104356 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104360 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104366 */     GIR_RootConstrainSelectedInstOperands,
     /* 104367 */     // GIR_Coverage, 17098,
     /* 104367 */     GIR_EraseRootFromParent_Done,
     /* 104368 */   // Label 2232: @104368
     /* 104368 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(104414), // Rule ID 17099 //
     /* 104373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_In64BitMode),
     /* 104376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrussd),
     /* 104381 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104399 */     // (intrinsic_void 14919:{ *:[iPTR] }, GR32:{ *:[i32] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRUSSD_EVEX addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRUSSD_EVEX),
     /* 104402 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104406 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104412 */     GIR_RootConstrainSelectedInstOperands,
     /* 104413 */     // GIR_Coverage, 17099,
     /* 104413 */     GIR_EraseRootFromParent_Done,
     /* 104414 */   // Label 2233: @104414
     /* 104414 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(104460), // Rule ID 17100 //
     /* 104419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_In64BitMode),
     /* 104422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_wrussq),
     /* 104427 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 104430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104445 */     // (intrinsic_void 14920:{ *:[iPTR] }, GR64:{ *:[i64] }:$src, addr:{ *:[iPTR] }:$dst)  =>  (WRUSSQ_EVEX addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::WRUSSQ_EVEX),
     /* 104448 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104452 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 104454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104458 */     GIR_RootConstrainSelectedInstOperands,
     /* 104459 */     // GIR_Coverage, 17100,
     /* 104459 */     GIR_EraseRootFromParent_Done,
     /* 104460 */   // Label 2234: @104460
     /* 104460 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(104506), // Rule ID 17126 //
     /* 104465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasINVPCID_Not64BitMode),
     /* 104468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_invpcid),
     /* 104473 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104491 */     // (intrinsic_void 14481:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)  =>  (INVPCID32 GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 104491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INVPCID32),
     /* 104494 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 104496 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 104500 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104504 */     GIR_RootConstrainSelectedInstOperands,
     /* 104505 */     // GIR_Coverage, 17126,
     /* 104505 */     GIR_EraseRootFromParent_Done,
     /* 104506 */   // Label 2235: @104506
     /* 104506 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(104598), // Rule ID 22378 //
     /* 104511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasINVPCID_NoEGPR),
     /* 104514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_invpcid),
     /* 104519 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104537 */     // (intrinsic_void 14481:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)  =>  (INVPCID64 (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1), sub_32bit:{ *:[i32] }), addr:{ *:[iPTR] }:$src2)
     /* 104537 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 104540 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(X86::MOV32rr),
     /* 104544 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104549 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 104553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 104555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 104558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104567 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 104570 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 104573 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/6,
     /* 104576 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 104581 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 104586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INVPCID64),
     /* 104589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104592 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 104596 */     GIR_RootConstrainSelectedInstOperands,
     /* 104597 */     // GIR_Coverage, 22378,
     /* 104597 */     GIR_EraseRootFromParent_Done,
     /* 104598 */   // Label 2236: @104598
     /* 104598 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(104690), // Rule ID 22379 //
     /* 104603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasINVPCID),
     /* 104606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_invpcid),
     /* 104611 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 104614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104629 */     // (intrinsic_void 14481:{ *:[iPTR] }, GR32:{ *:[i32] }:$src1, addr:{ *:[iPTR] }:$src2)  =>  (INVPCID64_EVEX (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1), sub_32bit:{ *:[i32] }), addr:{ *:[iPTR] }:$src2)
     /* 104629 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 104632 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(X86::MOV32rr),
     /* 104636 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104641 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 104645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 104647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 104650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104659 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 104662 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 104665 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/6,
     /* 104668 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 104673 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 104678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INVPCID64_EVEX),
     /* 104681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104684 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 104688 */     GIR_RootConstrainSelectedInstOperands,
     /* 104689 */     // GIR_Coverage, 22379,
     /* 104689 */     GIR_EraseRootFromParent_Done,
     /* 104690 */   // Label 2237: @104690
     /* 104690 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(104736), // Rule ID 131 //
     /* 104695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVDIRI_NoEGPR),
     /* 104698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_directstore32),
     /* 104703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 104706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104721 */     // (intrinsic_void 14460:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)  =>  (MOVDIRI32 addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIRI32),
     /* 104724 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104728 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 104730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104734 */     GIR_RootConstrainSelectedInstOperands,
     /* 104735 */     // GIR_Coverage, 131,
     /* 104735 */     GIR_EraseRootFromParent_Done,
     /* 104736 */   // Label 2238: @104736
     /* 104736 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(104782), // Rule ID 132 //
     /* 104741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVDIRI_In64BitMode_NoEGPR),
     /* 104744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_directstore64),
     /* 104749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 104752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104767 */     // (intrinsic_void 14461:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)  =>  (MOVDIRI64 addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIRI64),
     /* 104770 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104774 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 104776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104780 */     GIR_RootConstrainSelectedInstOperands,
     /* 104781 */     // GIR_Coverage, 132,
     /* 104781 */     GIR_EraseRootFromParent_Done,
     /* 104782 */   // Label 2239: @104782
     /* 104782 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(104828), // Rule ID 133 //
     /* 104787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVDIRI_In64BitMode),
     /* 104790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_directstore32),
     /* 104795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 104798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104813 */     // (intrinsic_void 14460:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)  =>  (MOVDIRI32_EVEX addr:{ *:[iPTR] }:$dst, GR32:{ *:[i32] }:$src)
     /* 104813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIRI32_EVEX),
     /* 104816 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104820 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 104822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104826 */     GIR_RootConstrainSelectedInstOperands,
     /* 104827 */     // GIR_Coverage, 133,
     /* 104827 */     GIR_EraseRootFromParent_Done,
     /* 104828 */   // Label 2240: @104828
     /* 104828 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(104874), // Rule ID 134 //
     /* 104833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVDIRI_In64BitMode),
     /* 104836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_directstore64),
     /* 104841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 104844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104859 */     // (intrinsic_void 14461:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)  =>  (MOVDIRI64_EVEX addr:{ *:[iPTR] }:$dst, GR64:{ *:[i64] }:$src)
     /* 104859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIRI64_EVEX),
     /* 104862 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 104866 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 104868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104872 */     GIR_RootConstrainSelectedInstOperands,
     /* 104873 */     // GIR_Coverage, 134,
     /* 104873 */     GIR_EraseRootFromParent_Done,
     /* 104874 */   // Label 2241: @104874
     /* 104874 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(104921), // Rule ID 135 //
     /* 104879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVDIR64B_NoEGPR),
     /* 104882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_movdir64b),
     /* 104887 */     // MIs[0] dst
     /* 104887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 104891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104906 */     // (intrinsic_void 14561:{ *:[iPTR] }, GR32:{ *:[i32] }:$dst, addr:{ *:[iPTR] }:$src)  =>  (MOVDIR64B32 GR32:{ *:[i32] }:$dst, addr:{ *:[iPTR] }:$src)
     /* 104906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIR64B32),
     /* 104909 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 104911 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104919 */     GIR_RootConstrainSelectedInstOperands,
     /* 104920 */     // GIR_Coverage, 135,
     /* 104920 */     GIR_EraseRootFromParent_Done,
     /* 104921 */   // Label 2242: @104921
     /* 104921 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(104968), // Rule ID 136 //
     /* 104926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVDIR64B_In64BitMode_NoEGPR),
     /* 104929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_movdir64b),
     /* 104934 */     // MIs[0] dst
     /* 104934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 104942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 104953 */     // (intrinsic_void 14561:{ *:[iPTR] }, GR64:{ *:[i64] }:$dst, addr:{ *:[iPTR] }:$src)  =>  (MOVDIR64B64 GR64:{ *:[i64] }:$dst, addr:{ *:[iPTR] }:$src)
     /* 104953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIR64B64),
     /* 104956 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 104958 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 104962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104966 */     GIR_RootConstrainSelectedInstOperands,
     /* 104967 */     // GIR_Coverage, 136,
     /* 104967 */     GIR_EraseRootFromParent_Done,
     /* 104968 */   // Label 2243: @104968
     /* 104968 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(105015), // Rule ID 137 //
     /* 104973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVDIR64B_In64BitMode),
     /* 104976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_movdir64b),
     /* 104981 */     // MIs[0] dst
     /* 104981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /* 104985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 104989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 104993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105000 */     // (intrinsic_void 14561:{ *:[iPTR] }, GR32:{ *:[i32] }:$dst, addr:{ *:[iPTR] }:$src)  =>  (MOVDIR64B32_EVEX GR32:{ *:[i32] }:$dst, addr:{ *:[iPTR] }:$src)
     /* 105000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIR64B32_EVEX),
     /* 105003 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105005 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 105009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105013 */     GIR_RootConstrainSelectedInstOperands,
     /* 105014 */     // GIR_Coverage, 137,
     /* 105014 */     GIR_EraseRootFromParent_Done,
     /* 105015 */   // Label 2244: @105015
     /* 105015 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(105062), // Rule ID 138 //
     /* 105020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVDIR64B_In64BitMode),
     /* 105023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_movdir64b),
     /* 105028 */     // MIs[0] dst
     /* 105028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105047 */     // (intrinsic_void 14561:{ *:[iPTR] }, GR64:{ *:[i64] }:$dst, addr:{ *:[iPTR] }:$src)  =>  (MOVDIR64B64_EVEX GR64:{ *:[i64] }:$dst, addr:{ *:[iPTR] }:$src)
     /* 105047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVDIR64B64_EVEX),
     /* 105050 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105052 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 105056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105060 */     GIR_RootConstrainSelectedInstOperands,
     /* 105061 */     // GIR_Coverage, 138,
     /* 105061 */     GIR_EraseRootFromParent_Done,
     /* 105062 */   // Label 2245: @105062
     /* 105062 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(105094), // Rule ID 17024 //
     /* 105067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTRANSPOSE_In64BitMode),
     /* 105070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttransposed),
     /* 105075 */     // MIs[0] dst
     /* 105075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 105078 */     // MIs[0] src
     /* 105078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 105081 */     // (intrinsic_void 14867:{ *:[iPTR] }, (timm:{ *:[i8] }):$dst, (timm:{ *:[i8] }):$src)  =>  (PTTRANSPOSED (timm:{ *:[i8] }):$dst, (timm:{ *:[i8] }):$src)
     /* 105081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTRANSPOSED),
     /* 105084 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105086 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105092 */     GIR_RootConstrainSelectedInstOperands,
     /* 105093 */     // GIR_Coverage, 17024,
     /* 105093 */     GIR_EraseRootFromParent_Done,
     /* 105094 */   // Label 2246: @105094
     /* 105094 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(105126), // Rule ID 17036 //
     /* 105099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode),
     /* 105102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tconjtfp16),
     /* 105107 */     // MIs[0] dst
     /* 105107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 105110 */     // MIs[0] src
     /* 105110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 105113 */     // (intrinsic_void 14806:{ *:[iPTR] }, (timm:{ *:[i8] }):$dst, (timm:{ *:[i8] }):$src)  =>  (PTCONJTFP16 (timm:{ *:[i8] }):$dst, (timm:{ *:[i8] }):$src)
     /* 105113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCONJTFP16),
     /* 105116 */     GIR_RootToRootCopy, /*OpIdx*/1, // dst
     /* 105118 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105124 */     GIR_RootConstrainSelectedInstOperands,
     /* 105125 */     // GIR_Coverage, 17036,
     /* 105125 */     GIR_EraseRootFromParent_Done,
     /* 105126 */   // Label 2247: @105126
     /* 105126 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(105169), // Rule ID 17151 //
     /* 105131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::asan_check_memaccess),
     /* 105136 */     // MIs[0] addr
     /* 105136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64PLTSafeRegClassID),
     /* 105144 */     // MIs[0] accessinfo
     /* 105144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 105147 */     // (intrinsic_void 9:{ *:[iPTR] }, GR64PLTSafe:{ *:[i64] }:$addr, (timm:{ *:[i32] }):$accessinfo)  =>  (ASAN_CHECK_MEMACCESS:{ *:[i64] } GR64PLTSafe:{ *:[i64] }:$addr, (timm:{ *:[i32] }):$accessinfo)
     /* 105147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ASAN_CHECK_MEMACCESS),
     /* 105150 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 105152 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 105154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::R10*/0,
     /* 105157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::R11*/1,
     /* 105160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/2,
     /* 105163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105167 */     GIR_RootConstrainSelectedInstOperands,
     /* 105168 */     // GIR_Coverage, 17151,
     /* 105168 */     GIR_EraseRootFromParent_Done,
     /* 105169 */   // Label 2248: @105169
     /* 105169 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(105209), // Rule ID 17077 //
     /* 105174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUSERMSR_NoEGPR),
     /* 105177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_urdmsr),
     /* 105182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 105185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105196 */     // (intrinsic_w_chain:{ *:[i64] } 14871:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (URDMSRrr:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 105196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::URDMSRrr),
     /* 105199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105201 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105207 */     GIR_RootConstrainSelectedInstOperands,
     /* 105208 */     // GIR_Coverage, 17077,
     /* 105208 */     GIR_EraseRootFromParent_Done,
     /* 105209 */   // Label 2249: @105209
     /* 105209 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(105249), // Rule ID 17081 //
     /* 105214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasUSERMSR_In64BitMode),
     /* 105217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_urdmsr),
     /* 105222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 105225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105236 */     // (intrinsic_w_chain:{ *:[i64] } 14871:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (URDMSRrr_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 105236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::URDMSRrr_EVEX),
     /* 105239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105241 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105247 */     GIR_RootConstrainSelectedInstOperands,
     /* 105248 */     // GIR_Coverage, 17081,
     /* 105248 */     GIR_EraseRootFromParent_Done,
     /* 105249 */   // Label 2250: @105249
     /* 105249 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(105286), // Rule ID 17089 //
     /* 105254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdsspd),
     /* 105259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 105262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105273 */     // (intrinsic_w_chain:{ *:[i32] } 14587:{ *:[iPTR] }, GR32:{ *:[i32] }:$src)  =>  (RDSSPD:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /* 105273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDSSPD),
     /* 105276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105278 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105284 */     GIR_RootConstrainSelectedInstOperands,
     /* 105285 */     // GIR_Coverage, 17089,
     /* 105285 */     GIR_EraseRootFromParent_Done,
     /* 105286 */   // Label 2251: @105286
     /* 105286 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(105323), // Rule ID 17090 //
     /* 105291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_rdsspq),
     /* 105296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 105299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105310 */     // (intrinsic_w_chain:{ *:[i64] } 14588:{ *:[iPTR] }, GR64:{ *:[i64] }:$src)  =>  (RDSSPQ:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 105310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RDSSPQ),
     /* 105313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105315 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 105317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105321 */     GIR_RootConstrainSelectedInstOperands,
     /* 105322 */     // GIR_Coverage, 17090,
     /* 105322 */     GIR_EraseRootFromParent_Done,
     /* 105323 */   // Label 2252: @105323
     /* 105323 */   GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(105387), // Rule ID 3085 //
     /* 105328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSE3),
     /* 105331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse3_mwait),
     /* 105336 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 105339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32_ArgRef_and_GR32_CBRegClassID),
     /* 105346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 105350 */     // (intrinsic_void 14712:{ *:[iPTR] }, ECX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (MWAITrr)
     /* 105350 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105354 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105360 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // EAX
     /* 105364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 105368 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::ECX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 105374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // ECX
     /* 105378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MWAITrr),
     /* 105381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105385 */     GIR_RootConstrainSelectedInstOperands,
     /* 105386 */     // GIR_Coverage, 3085,
     /* 105386 */     GIR_EraseRootFromParent_Done,
     /* 105387 */   // Label 2253: @105387
     /* 105387 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(105427), // Rule ID 17079 //
     /* 105392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasUSERMSR_NoEGPR),
     /* 105395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_uwrmsr),
     /* 105400 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 105403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105414 */     // (intrinsic_void 14872:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (UWRMSRrr GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 105414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UWRMSRrr),
     /* 105417 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 105419 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 105421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105425 */     GIR_RootConstrainSelectedInstOperands,
     /* 105426 */     // GIR_Coverage, 17079,
     /* 105426 */     GIR_EraseRootFromParent_Done,
     /* 105427 */   // Label 2254: @105427
     /* 105427 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(105467), // Rule ID 17083 //
     /* 105432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasUSERMSR_In64BitMode),
     /* 105435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_uwrmsr),
     /* 105440 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 105443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 105446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105454 */     // (intrinsic_void 14872:{ *:[iPTR] }, GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)  =>  (UWRMSRrr_EVEX GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 105454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::UWRMSRrr_EVEX),
     /* 105457 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 105459 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 105461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105465 */     GIR_RootConstrainSelectedInstOperands,
     /* 105466 */     // GIR_Coverage, 17083,
     /* 105466 */     GIR_EraseRootFromParent_Done,
     /* 105467 */   // Label 2255: @105467
     /* 105467 */   GIM_Reject,
     /* 105468 */ // Label 2191: @105468
     /* 105468 */ GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(109013),
     /* 105473 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 105476 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(105548), // Rule ID 123 //
     /* 105481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 105484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_lwpval32),
     /* 105489 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 105492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 105499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 105503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 105507 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105510 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 105514 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 105518 */     // MIs[0] cntl
     /* 105518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 105521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 105523 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105530 */     // (intrinsic_void 14488:{ *:[iPTR] }, GR32:{ *:[i32] }:$src0, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (timm:{ *:[i32] }):$cntl)  =>  (LWPVAL32rmi GR32:{ *:[i32] }:$src0, addr:{ *:[iPTR] }:$src1, (timm:{ *:[i32] }):$cntl)
     /* 105530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LWPVAL32rmi),
     /* 105533 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 105535 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 105539 */     GIR_RootToRootCopy, /*OpIdx*/3, // cntl
     /* 105541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 105546 */     GIR_RootConstrainSelectedInstOperands,
     /* 105547 */     // GIR_Coverage, 123,
     /* 105547 */     GIR_EraseRootFromParent_Done,
     /* 105548 */   // Label 2257: @105548
     /* 105548 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(105620), // Rule ID 125 //
     /* 105553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 105556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_lwpval64),
     /* 105561 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 105564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 105567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 105571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 105575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 105579 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105582 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 105586 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 105590 */     // MIs[0] cntl
     /* 105590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 105593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 105595 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105602 */     // (intrinsic_void 14489:{ *:[iPTR] }, GR64:{ *:[i64] }:$src0, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (timm:{ *:[i32] }):$cntl)  =>  (LWPVAL64rmi GR64:{ *:[i64] }:$src0, addr:{ *:[iPTR] }:$src1, (timm:{ *:[i32] }):$cntl)
     /* 105602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LWPVAL64rmi),
     /* 105605 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 105607 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 105611 */     GIR_RootToRootCopy, /*OpIdx*/3, // cntl
     /* 105613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 105618 */     GIR_RootConstrainSelectedInstOperands,
     /* 105619 */     // GIR_Coverage, 125,
     /* 105619 */     GIR_EraseRootFromParent_Done,
     /* 105620 */   // Label 2258: @105620
     /* 105620 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(105675), // Rule ID 3386 //
     /* 105625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 105628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_maskload_ps),
     /* 105633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 105636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 105639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105658 */     // (intrinsic_w_chain:{ *:[v4f32] } 13334:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src1)  =>  (VMASKMOVPSrm:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 105658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPSrm),
     /* 105661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105663 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 105665 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 105669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105673 */     GIR_RootConstrainSelectedInstOperands,
     /* 105674 */     // GIR_Coverage, 3386,
     /* 105674 */     GIR_EraseRootFromParent_Done,
     /* 105675 */   // Label 2259: @105675
     /* 105675 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(105730), // Rule ID 3387 //
     /* 105680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 105683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_maskload_ps_256),
     /* 105688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 105691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 105694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 105698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 105706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105713 */     // (intrinsic_w_chain:{ *:[v8f32] } 13335:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8i32] }:$src1)  =>  (VMASKMOVPSYrm:{ *:[v8f32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 105713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPSYrm),
     /* 105716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105718 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 105720 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 105724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105728 */     GIR_RootConstrainSelectedInstOperands,
     /* 105729 */     // GIR_Coverage, 3387,
     /* 105729 */     GIR_EraseRootFromParent_Done,
     /* 105730 */   // Label 2260: @105730
     /* 105730 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(105785), // Rule ID 3390 //
     /* 105735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 105738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_maskload_pd),
     /* 105743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 105746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 105749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105768 */     // (intrinsic_w_chain:{ *:[v2f64] } 13332:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src1)  =>  (VMASKMOVPDrm:{ *:[v2f64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 105768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPDrm),
     /* 105771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105773 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 105775 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 105779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105783 */     GIR_RootConstrainSelectedInstOperands,
     /* 105784 */     // GIR_Coverage, 3390,
     /* 105784 */     GIR_EraseRootFromParent_Done,
     /* 105785 */   // Label 2261: @105785
     /* 105785 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(105840), // Rule ID 3391 //
     /* 105790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 105793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx_maskload_pd_256),
     /* 105798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /* 105801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 105804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 105808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 105816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105823 */     // (intrinsic_w_chain:{ *:[v4f64] } 13333:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4i64] }:$src1)  =>  (VMASKMOVPDYrm:{ *:[v4f64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 105823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPDYrm),
     /* 105826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105828 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 105830 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 105834 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105838 */     GIR_RootConstrainSelectedInstOperands,
     /* 105839 */     // GIR_Coverage, 3391,
     /* 105839 */     GIR_EraseRootFromParent_Done,
     /* 105840 */   // Label 2262: @105840
     /* 105840 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(105895), // Rule ID 3464 //
     /* 105845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 105848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_maskload_d),
     /* 105853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 105856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 105859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105878 */     // (intrinsic_w_chain:{ *:[v4i32] } 13632:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4i32] }:$src1)  =>  (VPMASKMOVDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 105878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVDrm),
     /* 105881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105883 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 105885 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 105889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105893 */     GIR_RootConstrainSelectedInstOperands,
     /* 105894 */     // GIR_Coverage, 3464,
     /* 105894 */     GIR_EraseRootFromParent_Done,
     /* 105895 */   // Label 2263: @105895
     /* 105895 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(105950), // Rule ID 3465 //
     /* 105900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 105903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_maskload_d_256),
     /* 105908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s32,
     /* 105911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 105914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 105918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 105926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105933 */     // (intrinsic_w_chain:{ *:[v8i32] } 13633:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8i32] }:$src1)  =>  (VPMASKMOVDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 105933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVDYrm),
     /* 105936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105938 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 105940 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 105944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105948 */     GIR_RootConstrainSelectedInstOperands,
     /* 105949 */     // GIR_Coverage, 3465,
     /* 105949 */     GIR_EraseRootFromParent_Done,
     /* 105950 */   // Label 2264: @105950
     /* 105950 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(106005), // Rule ID 3468 //
     /* 105955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 105958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_maskload_q),
     /* 105963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 105966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 105969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 105977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 105981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 105988 */     // (intrinsic_w_chain:{ *:[v2i64] } 13634:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2i64] }:$src1)  =>  (VPMASKMOVQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 105988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVQrm),
     /* 105991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 105993 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 105995 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 105999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106003 */     GIR_RootConstrainSelectedInstOperands,
     /* 106004 */     // GIR_Coverage, 3468,
     /* 106004 */     GIR_EraseRootFromParent_Done,
     /* 106005 */   // Label 2265: @106005
     /* 106005 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(106060), // Rule ID 3469 //
     /* 106010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_avx2_maskload_q_256),
     /* 106018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s64,
     /* 106021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 106024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 106032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106043 */     // (intrinsic_w_chain:{ *:[v4i64] } 13635:{ *:[iPTR] }, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4i64] }:$src1)  =>  (VPMASKMOVQYrm:{ *:[v4i64] } VR256:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 106043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVQYrm),
     /* 106046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 106048 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 106050 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 106054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106058 */     GIR_RootConstrainSelectedInstOperands,
     /* 106059 */     // GIR_Coverage, 3469,
     /* 106059 */     GIR_EraseRootFromParent_Done,
     /* 106060 */   // Label 2266: @106060
     /* 106060 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(106115), // Rule ID 3388 //
     /* 106065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_maskstore_ps),
     /* 106073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 106076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 106079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106098 */     // (intrinsic_void 13338:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VMASKMOVPSmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 106098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPSmr),
     /* 106101 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106105 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106107 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106113 */     GIR_RootConstrainSelectedInstOperands,
     /* 106114 */     // GIR_Coverage, 3388,
     /* 106114 */     GIR_EraseRootFromParent_Done,
     /* 106115 */   // Label 2267: @106115
     /* 106115 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(106170), // Rule ID 3389 //
     /* 106120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_maskstore_ps_256),
     /* 106128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 106131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 106134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106153 */     // (intrinsic_void 13339:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VMASKMOVPSYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 106153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPSYmr),
     /* 106156 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106160 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106162 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106168 */     GIR_RootConstrainSelectedInstOperands,
     /* 106169 */     // GIR_Coverage, 3389,
     /* 106169 */     GIR_EraseRootFromParent_Done,
     /* 106170 */   // Label 2268: @106170
     /* 106170 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(106225), // Rule ID 3392 //
     /* 106175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_maskstore_pd),
     /* 106183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 106186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 106189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106208 */     // (intrinsic_void 13336:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VMASKMOVPDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 106208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPDmr),
     /* 106211 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106215 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106217 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106223 */     GIR_RootConstrainSelectedInstOperands,
     /* 106224 */     // GIR_Coverage, 3392,
     /* 106224 */     GIR_EraseRootFromParent_Done,
     /* 106225 */   // Label 2269: @106225
     /* 106225 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(106280), // Rule ID 3393 //
     /* 106230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 106233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx_maskstore_pd_256),
     /* 106238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 106241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 106244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106263 */     // (intrinsic_void 13337:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VMASKMOVPDYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 106263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVPDYmr),
     /* 106266 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106270 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106272 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106274 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106278 */     GIR_RootConstrainSelectedInstOperands,
     /* 106279 */     // GIR_Coverage, 3393,
     /* 106279 */     GIR_EraseRootFromParent_Done,
     /* 106280 */   // Label 2270: @106280
     /* 106280 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(106335), // Rule ID 3466 //
     /* 106285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx2_maskstore_d),
     /* 106293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 106296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 106299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106318 */     // (intrinsic_void 13636:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMASKMOVDmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 106318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVDmr),
     /* 106321 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106325 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106327 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106333 */     GIR_RootConstrainSelectedInstOperands,
     /* 106334 */     // GIR_Coverage, 3466,
     /* 106334 */     GIR_EraseRootFromParent_Done,
     /* 106335 */   // Label 2271: @106335
     /* 106335 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(106390), // Rule ID 3467 //
     /* 106340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx2_maskstore_d_256),
     /* 106348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 106351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 106354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106373 */     // (intrinsic_void 13637:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMASKMOVDYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 106373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVDYmr),
     /* 106376 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106380 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106382 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106388 */     GIR_RootConstrainSelectedInstOperands,
     /* 106389 */     // GIR_Coverage, 3467,
     /* 106389 */     GIR_EraseRootFromParent_Done,
     /* 106390 */   // Label 2272: @106390
     /* 106390 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(106445), // Rule ID 3470 //
     /* 106395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx2_maskstore_q),
     /* 106403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 106406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 106409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 106421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106428 */     // (intrinsic_void 13638:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPMASKMOVQmr addr:{ *:[iPTR] }:$dst, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /* 106428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVQmr),
     /* 106431 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106435 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106437 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106443 */     GIR_RootConstrainSelectedInstOperands,
     /* 106444 */     // GIR_Coverage, 3470,
     /* 106444 */     GIR_EraseRootFromParent_Done,
     /* 106445 */   // Label 2273: @106445
     /* 106445 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(106500), // Rule ID 3471 //
     /* 106450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2),
     /* 106453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_avx2_maskstore_q_256),
     /* 106458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 106461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 106464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 106476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106483 */     // (intrinsic_void 13639:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)  =>  (VPMASKMOVQYmr addr:{ *:[iPTR] }:$dst, VR256:{ *:[v4i64] }:$src1, VR256:{ *:[v4i64] }:$src2)
     /* 106483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMASKMOVQYmr),
     /* 106486 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106490 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 106492 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 106494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106498 */     GIR_RootConstrainSelectedInstOperands,
     /* 106499 */     // GIR_Coverage, 3471,
     /* 106499 */     GIR_EraseRootFromParent_Done,
     /* 106500 */   // Label 2274: @106500
     /* 106500 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(106579), // Rule ID 17104 //
     /* 106505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE),
     /* 106508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsave),
     /* 106513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 106516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 106519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 106527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 106531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106538 */     // (intrinsic_void 14976:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVE addr:{ *:[iPTR] }:$dst)
     /* 106538 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106542 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106548 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 106552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106556 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 106566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVE),
     /* 106569 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106577 */     GIR_RootConstrainSelectedInstOperands,
     /* 106578 */     // GIR_Coverage, 17104,
     /* 106578 */     GIR_EraseRootFromParent_Done,
     /* 106579 */   // Label 2275: @106579
     /* 106579 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(106658), // Rule ID 17105 //
     /* 106584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE_In64BitMode),
     /* 106587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsave64),
     /* 106592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 106595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 106598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 106606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 106610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106617 */     // (intrinsic_void 14977:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVE64 addr:{ *:[iPTR] }:$dst)
     /* 106617 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106621 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106627 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 106631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106635 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106641 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 106645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVE64),
     /* 106648 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106656 */     GIR_RootConstrainSelectedInstOperands,
     /* 106657 */     // GIR_Coverage, 17105,
     /* 106657 */     GIR_EraseRootFromParent_Done,
     /* 106658 */   // Label 2276: @106658
     /* 106658 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(106737), // Rule ID 17106 //
     /* 106663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE),
     /* 106666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xrstor),
     /* 106671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 106674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 106677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 106685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 106689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106696 */     // (intrinsic_void 14972:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XRSTOR addr:{ *:[iPTR] }:$dst)
     /* 106696 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106700 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106706 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 106710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 106724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRSTOR),
     /* 106727 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106735 */     GIR_RootConstrainSelectedInstOperands,
     /* 106736 */     // GIR_Coverage, 17106,
     /* 106736 */     GIR_EraseRootFromParent_Done,
     /* 106737 */   // Label 2277: @106737
     /* 106737 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(106816), // Rule ID 17107 //
     /* 106742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE_In64BitMode),
     /* 106745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xrstor64),
     /* 106750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 106753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 106756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 106764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 106768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106775 */     // (intrinsic_void 14973:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XRSTOR64 addr:{ *:[iPTR] }:$dst)
     /* 106775 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106779 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106785 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 106789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 106803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRSTOR64),
     /* 106806 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106814 */     GIR_RootConstrainSelectedInstOperands,
     /* 106815 */     // GIR_Coverage, 17107,
     /* 106815 */     GIR_EraseRootFromParent_Done,
     /* 106816 */   // Label 2278: @106816
     /* 106816 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(106895), // Rule ID 17108 //
     /* 106821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVEOPT),
     /* 106824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsaveopt),
     /* 106829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 106832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 106835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 106843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 106847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106854 */     // (intrinsic_void 14980:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVEOPT addr:{ *:[iPTR] }:$dst)
     /* 106854 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106858 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106864 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 106868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106872 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106878 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 106882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVEOPT),
     /* 106885 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106893 */     GIR_RootConstrainSelectedInstOperands,
     /* 106894 */     // GIR_Coverage, 17108,
     /* 106894 */     GIR_EraseRootFromParent_Done,
     /* 106895 */   // Label 2279: @106895
     /* 106895 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(106974), // Rule ID 17109 //
     /* 106900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVEOPT_In64BitMode),
     /* 106903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsaveopt64),
     /* 106908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 106911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 106914 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 106922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 106926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 106933 */     // (intrinsic_void 14981:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVEOPT64 addr:{ *:[iPTR] }:$dst)
     /* 106933 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106937 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106943 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 106947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 106951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 106961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVEOPT64),
     /* 106964 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 106968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106972 */     GIR_RootConstrainSelectedInstOperands,
     /* 106973 */     // GIR_Coverage, 17109,
     /* 106973 */     GIR_EraseRootFromParent_Done,
     /* 106974 */   // Label 2280: @106974
     /* 106974 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(107053), // Rule ID 17110 //
     /* 106979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVEC),
     /* 106982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsavec),
     /* 106987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 106990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 106993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107012 */     // (intrinsic_void 14978:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVEC addr:{ *:[iPTR] }:$dst)
     /* 107012 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107016 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107022 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107030 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107036 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVEC),
     /* 107043 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107047 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107051 */     GIR_RootConstrainSelectedInstOperands,
     /* 107052 */     // GIR_Coverage, 17110,
     /* 107052 */     GIR_EraseRootFromParent_Done,
     /* 107053 */   // Label 2281: @107053
     /* 107053 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(107132), // Rule ID 17111 //
     /* 107058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVEC_In64BitMode),
     /* 107061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsavec64),
     /* 107066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107072 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107091 */     // (intrinsic_void 14979:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVEC64 addr:{ *:[iPTR] }:$dst)
     /* 107091 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107095 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107101 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107109 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVEC64),
     /* 107122 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107130 */     GIR_RootConstrainSelectedInstOperands,
     /* 107131 */     // GIR_Coverage, 17111,
     /* 107131 */     GIR_EraseRootFromParent_Done,
     /* 107132 */   // Label 2282: @107132
     /* 107132 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(107211), // Rule ID 17112 //
     /* 107137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVES),
     /* 107140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsaves),
     /* 107145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107170 */     // (intrinsic_void 14982:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVES addr:{ *:[iPTR] }:$dst)
     /* 107170 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107174 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107180 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107188 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107194 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVES),
     /* 107201 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107209 */     GIR_RootConstrainSelectedInstOperands,
     /* 107210 */     // GIR_Coverage, 17112,
     /* 107210 */     GIR_EraseRootFromParent_Done,
     /* 107211 */   // Label 2283: @107211
     /* 107211 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(107290), // Rule ID 17113 //
     /* 107216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVE_In64BitMode),
     /* 107219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsaves64),
     /* 107224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107249 */     // (intrinsic_void 14983:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSAVES64 addr:{ *:[iPTR] }:$dst)
     /* 107249 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107253 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107259 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107267 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSAVES64),
     /* 107280 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107288 */     GIR_RootConstrainSelectedInstOperands,
     /* 107289 */     // GIR_Coverage, 17113,
     /* 107289 */     GIR_EraseRootFromParent_Done,
     /* 107290 */   // Label 2284: @107290
     /* 107290 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(107369), // Rule ID 17114 //
     /* 107295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVES),
     /* 107298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xrstors),
     /* 107303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107328 */     // (intrinsic_void 14974:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XRSTORS addr:{ *:[iPTR] }:$dst)
     /* 107328 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107332 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107338 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107346 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRSTORS),
     /* 107359 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107367 */     GIR_RootConstrainSelectedInstOperands,
     /* 107368 */     // GIR_Coverage, 17114,
     /* 107368 */     GIR_EraseRootFromParent_Done,
     /* 107369 */   // Label 2285: @107369
     /* 107369 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(107448), // Rule ID 17115 //
     /* 107374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXSAVES_In64BitMode),
     /* 107377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xrstors64),
     /* 107382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 107385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 107388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 107396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 107400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 107407 */     // (intrinsic_void 14975:{ *:[iPTR] }, addr:{ *:[iPTR] }:$dst, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XRSTORS64 addr:{ *:[iPTR] }:$dst)
     /* 107407 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107411 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107417 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 107421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 107425 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 107435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XRSTORS64),
     /* 107438 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // dst
     /* 107442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107446 */     GIR_RootConstrainSelectedInstOperands,
     /* 107447 */     // GIR_Coverage, 17115,
     /* 107447 */     GIR_EraseRootFromParent_Done,
     /* 107448 */   // Label 2286: @107448
     /* 107448 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(107485), // Rule ID 17003 //
     /* 107453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXINT8_In64BitMode),
     /* 107456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbssd),
     /* 107461 */     // MIs[0] src1
     /* 107461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107464 */     // MIs[0] src2
     /* 107464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107467 */     // MIs[0] src3
     /* 107467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107470 */     // (intrinsic_void 14824:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBSSD (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBSSD),
     /* 107473 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107475 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107477 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107483 */     GIR_RootConstrainSelectedInstOperands,
     /* 107484 */     // GIR_Coverage, 17003,
     /* 107484 */     GIR_EraseRootFromParent_Done,
     /* 107485 */   // Label 2287: @107485
     /* 107485 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(107522), // Rule ID 17004 //
     /* 107490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXINT8_In64BitMode),
     /* 107493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbsud),
     /* 107498 */     // MIs[0] src1
     /* 107498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107501 */     // MIs[0] src2
     /* 107501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107504 */     // MIs[0] src3
     /* 107504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107507 */     // (intrinsic_void 14826:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBSUD (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBSUD),
     /* 107510 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107512 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107514 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107520 */     GIR_RootConstrainSelectedInstOperands,
     /* 107521 */     // GIR_Coverage, 17004,
     /* 107521 */     GIR_EraseRootFromParent_Done,
     /* 107522 */   // Label 2288: @107522
     /* 107522 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(107559), // Rule ID 17005 //
     /* 107527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXINT8_In64BitMode),
     /* 107530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbusd),
     /* 107535 */     // MIs[0] src1
     /* 107535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107538 */     // MIs[0] src2
     /* 107538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107541 */     // MIs[0] src3
     /* 107541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107544 */     // (intrinsic_void 14828:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBUSD (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBUSD),
     /* 107547 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107549 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107551 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107557 */     GIR_RootConstrainSelectedInstOperands,
     /* 107558 */     // GIR_Coverage, 17005,
     /* 107558 */     GIR_EraseRootFromParent_Done,
     /* 107559 */   // Label 2289: @107559
     /* 107559 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(107596), // Rule ID 17006 //
     /* 107564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXINT8_In64BitMode),
     /* 107567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbuud),
     /* 107572 */     // MIs[0] src1
     /* 107572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107575 */     // MIs[0] src2
     /* 107575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107578 */     // MIs[0] src3
     /* 107578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107581 */     // (intrinsic_void 14830:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBUUD (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBUUD),
     /* 107584 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107586 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107588 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107594 */     GIR_RootConstrainSelectedInstOperands,
     /* 107595 */     // GIR_Coverage, 17006,
     /* 107595 */     GIR_EraseRootFromParent_Done,
     /* 107596 */   // Label 2290: @107596
     /* 107596 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(107633), // Rule ID 17008 //
     /* 107601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXBF16_In64BitMode),
     /* 107604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbf16ps),
     /* 107609 */     // MIs[0] src1
     /* 107609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107612 */     // MIs[0] src2
     /* 107612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107615 */     // MIs[0] src3
     /* 107615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107618 */     // (intrinsic_void 14818:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBF16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBF16PS),
     /* 107621 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107623 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107625 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107627 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107631 */     GIR_RootConstrainSelectedInstOperands,
     /* 107632 */     // GIR_Coverage, 17008,
     /* 107632 */     GIR_EraseRootFromParent_Done,
     /* 107633 */   // Label 2291: @107633
     /* 107633 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(107670), // Rule ID 17010 //
     /* 107638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP16_In64BitMode),
     /* 107641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpfp16ps),
     /* 107646 */     // MIs[0] src1
     /* 107646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107649 */     // MIs[0] src2
     /* 107649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107652 */     // MIs[0] src3
     /* 107652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107655 */     // (intrinsic_void 14832:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPFP16PS),
     /* 107658 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107660 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107662 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107668 */     GIR_RootConstrainSelectedInstOperands,
     /* 107669 */     // GIR_Coverage, 17010,
     /* 107669 */     GIR_EraseRootFromParent_Done,
     /* 107670 */   // Label 2292: @107670
     /* 107670 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(107707), // Rule ID 17013 //
     /* 107675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_In64BitMode),
     /* 107678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tcmmimfp16ps),
     /* 107683 */     // MIs[0] src1
     /* 107683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107686 */     // MIs[0] src2
     /* 107686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107689 */     // MIs[0] src3
     /* 107689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107692 */     // (intrinsic_void 14800:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTCMMIMFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCMMIMFP16PS),
     /* 107695 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107697 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107699 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107705 */     GIR_RootConstrainSelectedInstOperands,
     /* 107706 */     // GIR_Coverage, 17013,
     /* 107706 */     GIR_EraseRootFromParent_Done,
     /* 107707 */   // Label 2293: @107707
     /* 107707 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(107744), // Rule ID 17014 //
     /* 107712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_In64BitMode),
     /* 107715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tcmmrlfp16ps),
     /* 107720 */     // MIs[0] src1
     /* 107720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107723 */     // MIs[0] src2
     /* 107723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107726 */     // MIs[0] src3
     /* 107726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107729 */     // (intrinsic_void 14802:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTCMMRLFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCMMRLFP16PS),
     /* 107732 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107734 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107736 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107742 */     GIR_RootConstrainSelectedInstOperands,
     /* 107743 */     // GIR_Coverage, 17014,
     /* 107743 */     GIR_EraseRootFromParent_Done,
     /* 107744 */   // Label 2294: @107744
     /* 107744 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(107781), // Rule ID 17015 //
     /* 107749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP8_In64BitMode),
     /* 107752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbf8ps),
     /* 107757 */     // MIs[0] src1
     /* 107757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107760 */     // MIs[0] src2
     /* 107760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107763 */     // MIs[0] src3
     /* 107763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107766 */     // (intrinsic_void 14820:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBF8PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBF8PS),
     /* 107769 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107771 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107773 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107779 */     GIR_RootConstrainSelectedInstOperands,
     /* 107780 */     // GIR_Coverage, 17015,
     /* 107780 */     GIR_EraseRootFromParent_Done,
     /* 107781 */   // Label 2295: @107781
     /* 107781 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(107818), // Rule ID 17016 //
     /* 107786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP8_In64BitMode),
     /* 107789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdpbhf8ps),
     /* 107794 */     // MIs[0] src1
     /* 107794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107797 */     // MIs[0] src2
     /* 107797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107800 */     // MIs[0] src3
     /* 107800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107803 */     // (intrinsic_void 14822:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPBHF8PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPBHF8PS),
     /* 107806 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107808 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107810 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107816 */     GIR_RootConstrainSelectedInstOperands,
     /* 107817 */     // GIR_Coverage, 17016,
     /* 107817 */     GIR_EraseRootFromParent_Done,
     /* 107818 */   // Label 2296: @107818
     /* 107818 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(107855), // Rule ID 17017 //
     /* 107823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP8_In64BitMode),
     /* 107826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdphbf8ps),
     /* 107831 */     // MIs[0] src1
     /* 107831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107834 */     // MIs[0] src2
     /* 107834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107837 */     // MIs[0] src3
     /* 107837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107840 */     // (intrinsic_void 14834:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPHBF8PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPHBF8PS),
     /* 107843 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107845 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107847 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107853 */     GIR_RootConstrainSelectedInstOperands,
     /* 107854 */     // GIR_Coverage, 17017,
     /* 107854 */     GIR_EraseRootFromParent_Done,
     /* 107855 */   // Label 2297: @107855
     /* 107855 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(107892), // Rule ID 17018 //
     /* 107860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP8_In64BitMode),
     /* 107863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tdphf8ps),
     /* 107868 */     // MIs[0] src1
     /* 107868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107871 */     // MIs[0] src2
     /* 107871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107874 */     // MIs[0] src3
     /* 107874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107877 */     // (intrinsic_void 14836:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTDPHF8PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTDPHF8PS),
     /* 107880 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107882 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107884 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107890 */     GIR_RootConstrainSelectedInstOperands,
     /* 107891 */     // GIR_Coverage, 17018,
     /* 107891 */     GIR_EraseRootFromParent_Done,
     /* 107892 */   // Label 2298: @107892
     /* 107892 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(107929), // Rule ID 17026 //
     /* 107897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXBF16_HasAMXTRANSPOSE_In64BitMode),
     /* 107900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttdpbf16ps),
     /* 107905 */     // MIs[0] src1
     /* 107905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107908 */     // MIs[0] src2
     /* 107908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107911 */     // MIs[0] src3
     /* 107911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107914 */     // (intrinsic_void 14861:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTDPBF16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTDPBF16PS),
     /* 107917 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107919 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107921 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107927 */     GIR_RootConstrainSelectedInstOperands,
     /* 107928 */     // GIR_Coverage, 17026,
     /* 107928 */     GIR_EraseRootFromParent_Done,
     /* 107929 */   // Label 2299: @107929
     /* 107929 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(107966), // Rule ID 17028 //
     /* 107934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXFP16_HasAMXTRANSPOSE_In64BitMode),
     /* 107937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttdpfp16ps),
     /* 107942 */     // MIs[0] src1
     /* 107942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107945 */     // MIs[0] src2
     /* 107945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107948 */     // MIs[0] src3
     /* 107948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107951 */     // (intrinsic_void 14863:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTDPFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTDPFP16PS),
     /* 107954 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107956 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107958 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107964 */     GIR_RootConstrainSelectedInstOperands,
     /* 107965 */     // GIR_Coverage, 17028,
     /* 107965 */     GIR_EraseRootFromParent_Done,
     /* 107966 */   // Label 2300: @107966
     /* 107966 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(108003), // Rule ID 17033 //
     /* 107971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode),
     /* 107974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttcmmimfp16ps),
     /* 107979 */     // MIs[0] src1
     /* 107979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 107982 */     // MIs[0] src2
     /* 107982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 107985 */     // MIs[0] src3
     /* 107985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 107988 */     // (intrinsic_void 14857:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTCMMIMFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 107988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTCMMIMFP16PS),
     /* 107991 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 107993 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 107995 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 107997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108001 */     GIR_RootConstrainSelectedInstOperands,
     /* 108002 */     // GIR_Coverage, 17033,
     /* 108002 */     GIR_EraseRootFromParent_Done,
     /* 108003 */   // Label 2301: @108003
     /* 108003 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(108040), // Rule ID 17034 //
     /* 108008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode),
     /* 108011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttcmmrlfp16ps),
     /* 108016 */     // MIs[0] src1
     /* 108016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108019 */     // MIs[0] src2
     /* 108019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108022 */     // MIs[0] src3
     /* 108022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108025 */     // (intrinsic_void 14859:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTCMMRLFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTCMMRLFP16PS),
     /* 108028 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108030 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108032 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108038 */     GIR_RootConstrainSelectedInstOperands,
     /* 108039 */     // GIR_Coverage, 17034,
     /* 108039 */     GIR_EraseRootFromParent_Done,
     /* 108040 */   // Label 2302: @108040
     /* 108040 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(108077), // Rule ID 17035 //
     /* 108045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXCOMPLEX_HasAMXTRANSPOSE_In64BitMode),
     /* 108048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tconjtcmmimfp16ps),
     /* 108053 */     // MIs[0] src1
     /* 108053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108056 */     // MIs[0] src2
     /* 108056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108059 */     // MIs[0] src3
     /* 108059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108062 */     // (intrinsic_void 14804:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTCONJTCMMIMFP16PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCONJTCMMIMFP16PS),
     /* 108065 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108067 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108069 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108075 */     GIR_RootConstrainSelectedInstOperands,
     /* 108076 */     // GIR_Coverage, 17035,
     /* 108076 */     GIR_EraseRootFromParent_Done,
     /* 108077 */   // Label 2303: @108077
     /* 108077 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(108114), // Rule ID 17054 //
     /* 108082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTF32_In64BitMode),
     /* 108085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_tmmultf32ps),
     /* 108090 */     // MIs[0] src1
     /* 108090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108093 */     // MIs[0] src2
     /* 108093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108096 */     // MIs[0] src3
     /* 108096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108099 */     // (intrinsic_void 14854:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTMMULTF32PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTMMULTF32PS),
     /* 108102 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108104 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108106 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108112 */     GIR_RootConstrainSelectedInstOperands,
     /* 108113 */     // GIR_Coverage, 17054,
     /* 108113 */     GIR_EraseRootFromParent_Done,
     /* 108114 */   // Label 2304: @108114
     /* 108114 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(108151), // Rule ID 17056 //
     /* 108119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXTF32_HasAMXTRANSPOSE_In64BitMode),
     /* 108122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_ttmmultf32ps),
     /* 108127 */     // MIs[0] src1
     /* 108127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 108130 */     // MIs[0] src2
     /* 108130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108133 */     // MIs[0] src3
     /* 108133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108136 */     // (intrinsic_void 14865:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)  =>  (PTTMMULTF32PS (timm:{ *:[i8] }):$src1, (timm:{ *:[i8] }):$src2, (timm:{ *:[i8] }):$src3)
     /* 108136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTTMMULTF32PS),
     /* 108139 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 108141 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 108143 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 108145 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108149 */     GIR_RootConstrainSelectedInstOperands,
     /* 108150 */     // GIR_Coverage, 17056,
     /* 108150 */     GIR_EraseRootFromParent_Done,
     /* 108151 */   // Label 2305: @108151
     /* 108151 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(108204), // Rule ID 17037 //
     /* 108156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowd2ps),
     /* 108164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 108167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108174 */     // MIs[0] src1
     /* 108174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 108181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108185 */     // MIs[1] Operand 1
     /* 108185 */     // No operand predicates
     /* 108185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108187 */     // (intrinsic_w_chain:{ *:[v16f32] } 14808:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)  =>  (PTCVTROWD2PSrri:{ *:[v16f32] } (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)
     /* 108187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWD2PSrri),
     /* 108190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108192 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 108197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108202 */     GIR_RootConstrainSelectedInstOperands,
     /* 108203 */     // GIR_Coverage, 17037,
     /* 108203 */     GIR_EraseRootFromParent_Done,
     /* 108204 */   // Label 2306: @108204
     /* 108204 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(108257), // Rule ID 17046 //
     /* 108209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowps2phh),
     /* 108217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 108220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108227 */     // MIs[0] src1
     /* 108227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 108234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108238 */     // MIs[1] Operand 1
     /* 108238 */     // No operand predicates
     /* 108238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108240 */     // (intrinsic_w_chain:{ *:[v32f16] } 14814:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)  =>  (PTCVTROWPS2PHHrri:{ *:[v32f16] } (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)
     /* 108240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWPS2PHHrri),
     /* 108243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108245 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 108250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108255 */     GIR_RootConstrainSelectedInstOperands,
     /* 108256 */     // GIR_Coverage, 17046,
     /* 108256 */     GIR_EraseRootFromParent_Done,
     /* 108257 */   // Label 2307: @108257
     /* 108257 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(108310), // Rule ID 17048 //
     /* 108262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowps2phl),
     /* 108270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 108273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108280 */     // MIs[0] src1
     /* 108280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 108287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108291 */     // MIs[1] Operand 1
     /* 108291 */     // No operand predicates
     /* 108291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108293 */     // (intrinsic_w_chain:{ *:[v32f16] } 14816:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)  =>  (PTCVTROWPS2PHLrri:{ *:[v32f16] } (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)
     /* 108293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWPS2PHLrri),
     /* 108296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108298 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 108303 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108308 */     GIR_RootConstrainSelectedInstOperands,
     /* 108309 */     // GIR_Coverage, 17048,
     /* 108309 */     GIR_EraseRootFromParent_Done,
     /* 108310 */   // Label 2308: @108310
     /* 108310 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(108363), // Rule ID 17049 //
     /* 108315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tilemovrow),
     /* 108323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 108326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108333 */     // MIs[0] src1
     /* 108333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 108340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 108344 */     // MIs[1] Operand 1
     /* 108344 */     // No operand predicates
     /* 108344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 108346 */     // (intrinsic_w_chain:{ *:[v16i32] } 14847:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)  =>  (PTILEMOVROWrri:{ *:[v16i32] } (timm:{ *:[i8] }):$src1, (imm:{ *:[i32] }):$src2)
     /* 108346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTILEMOVROWrri),
     /* 108349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108351 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 108356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 108361 */     GIR_RootConstrainSelectedInstOperands,
     /* 108362 */     // GIR_Coverage, 17049,
     /* 108362 */     GIR_EraseRootFromParent_Done,
     /* 108363 */   // Label 2309: @108363
     /* 108363 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(108408), // Rule ID 17038 //
     /* 108368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowd2ps),
     /* 108376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 108379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108386 */     // MIs[0] src1
     /* 108386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108393 */     // (intrinsic_w_chain:{ *:[v16f32] } 14808:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)  =>  (PTCVTROWD2PSrre:{ *:[v16f32] } (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)
     /* 108393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWD2PSrre),
     /* 108396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108398 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108400 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 108402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108406 */     GIR_RootConstrainSelectedInstOperands,
     /* 108407 */     // GIR_Coverage, 17038,
     /* 108407 */     GIR_EraseRootFromParent_Done,
     /* 108408 */   // Label 2310: @108408
     /* 108408 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(108453), // Rule ID 17045 //
     /* 108413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowps2phh),
     /* 108421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 108424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108431 */     // MIs[0] src1
     /* 108431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108438 */     // (intrinsic_w_chain:{ *:[v32f16] } 14814:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)  =>  (PTCVTROWPS2PHHrre:{ *:[v32f16] } (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)
     /* 108438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWPS2PHHrre),
     /* 108441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108443 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108445 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 108447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108451 */     GIR_RootConstrainSelectedInstOperands,
     /* 108452 */     // GIR_Coverage, 17045,
     /* 108452 */     GIR_EraseRootFromParent_Done,
     /* 108453 */   // Label 2311: @108453
     /* 108453 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(108498), // Rule ID 17047 //
     /* 108458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tcvtrowps2phl),
     /* 108466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v32s16,
     /* 108469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108476 */     // MIs[0] src1
     /* 108476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108483 */     // (intrinsic_w_chain:{ *:[v32f16] } 14816:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)  =>  (PTCVTROWPS2PHLrre:{ *:[v32f16] } (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)
     /* 108483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTCVTROWPS2PHLrre),
     /* 108486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108488 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108490 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 108492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108496 */     GIR_RootConstrainSelectedInstOperands,
     /* 108497 */     // GIR_Coverage, 17047,
     /* 108497 */     GIR_EraseRootFromParent_Done,
     /* 108498 */   // Label 2312: @108498
     /* 108498 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(108543), // Rule ID 17050 //
     /* 108503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAMXAVX512_HasAVX10_2_512_In64BitMode),
     /* 108506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::x86_tilemovrow),
     /* 108511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s32,
     /* 108514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 108521 */     // MIs[0] src1
     /* 108521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 108524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108528 */     // (intrinsic_w_chain:{ *:[v16i32] } 14847:{ *:[iPTR] }, (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)  =>  (PTILEMOVROWrre:{ *:[v16i32] } (timm:{ *:[i8] }):$src1, GR32:{ *:[i32] }:$src2)
     /* 108528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::PTILEMOVROWrre),
     /* 108531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 108533 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108535 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 108537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108541 */     GIR_RootConstrainSelectedInstOperands,
     /* 108542 */     // GIR_Coverage, 17050,
     /* 108542 */     GIR_EraseRootFromParent_Done,
     /* 108543 */   // Label 2313: @108543
     /* 108543 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(108588), // Rule ID 122 //
     /* 108548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 108551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_lwpval32),
     /* 108556 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 108559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 108562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108570 */     // MIs[0] cntl
     /* 108570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108573 */     // (intrinsic_void 14488:{ *:[iPTR] }, GR32:{ *:[i32] }:$src0, GR32:{ *:[i32] }:$src1, (timm:{ *:[i32] }):$cntl)  =>  (LWPVAL32rri GR32:{ *:[i32] }:$src0, GR32:{ *:[i32] }:$src1, (timm:{ *:[i32] }):$cntl)
     /* 108573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LWPVAL32rri),
     /* 108576 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 108578 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108580 */     GIR_RootToRootCopy, /*OpIdx*/3, // cntl
     /* 108582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108586 */     GIR_RootConstrainSelectedInstOperands,
     /* 108587 */     // GIR_Coverage, 122,
     /* 108587 */     GIR_EraseRootFromParent_Done,
     /* 108588 */   // Label 2314: @108588
     /* 108588 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(108633), // Rule ID 124 //
     /* 108593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLWP),
     /* 108596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_lwpval64),
     /* 108601 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 108604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 108607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 108611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108615 */     // MIs[0] cntl
     /* 108615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 108618 */     // (intrinsic_void 14489:{ *:[iPTR] }, GR64:{ *:[i64] }:$src0, GR32:{ *:[i32] }:$src1, (timm:{ *:[i32] }):$cntl)  =>  (LWPVAL64rri GR64:{ *:[i64] }:$src0, GR32:{ *:[i32] }:$src1, (timm:{ *:[i32] }):$cntl)
     /* 108618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LWPVAL64rri),
     /* 108621 */     GIR_RootToRootCopy, /*OpIdx*/1, // src0
     /* 108623 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 108625 */     GIR_RootToRootCopy, /*OpIdx*/3, // cntl
     /* 108627 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108631 */     GIR_RootConstrainSelectedInstOperands,
     /* 108632 */     // GIR_Coverage, 124,
     /* 108632 */     GIR_EraseRootFromParent_Done,
     /* 108633 */   // Label 2315: @108633
     /* 108633 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(108715), // Rule ID 17103 //
     /* 108638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_xsetbv),
     /* 108643 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 108646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 108649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32_ArgRef_and_GR32_CBRegClassID),
     /* 108656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32_AD_and_GR32_ArgRefRegClassID),
     /* 108660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 108664 */     // (intrinsic_void 14984:{ *:[iPTR] }, ECX:{ *:[i32] }, EDX:{ *:[i32] }, EAX:{ *:[i32] })  =>  (XSETBV)
     /* 108664 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108668 */     GIR_AddRegister, /*InsnID*/3, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108674 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // EAX
     /* 108678 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108682 */     GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EDX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108688 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // EDX
     /* 108692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108696 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::ECX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // ECX
     /* 108706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::XSETBV),
     /* 108709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108713 */     GIR_RootConstrainSelectedInstOperands,
     /* 108714 */     // GIR_Coverage, 17103,
     /* 108714 */     GIR_EraseRootFromParent_Done,
     /* 108715 */   // Label 2316: @108715
     /* 108715 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(108764), // Rule ID 17292 //
     /* 108720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMWAITX),
     /* 108723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_mwaitx),
     /* 108728 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 108731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 108734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 108737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 108749 */     // (intrinsic_void 14566:{ *:[iPTR] }, GR32:{ *:[i32] }:$ecx, GR32:{ *:[i32] }:$eax, GR32:{ *:[i32] }:$ebx)  =>  (MWAITX GR32:{ *:[i32] }:$ecx, GR32:{ *:[i32] }:$eax, GR32:{ *:[i32] }:$ebx)
     /* 108749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MWAITX),
     /* 108752 */     GIR_RootToRootCopy, /*OpIdx*/1, // ecx
     /* 108754 */     GIR_RootToRootCopy, /*OpIdx*/2, // eax
     /* 108756 */     GIR_RootToRootCopy, /*OpIdx*/3, // ebx
     /* 108758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108762 */     GIR_RootConstrainSelectedInstOperands,
     /* 108763 */     // GIR_Coverage, 17292,
     /* 108763 */     GIR_EraseRootFromParent_Done,
     /* 108764 */   // Label 2317: @108764
     /* 108764 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(108826), // Rule ID 2902 //
     /* 108769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_In64BitMode),
     /* 108772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_maskmov_dqu),
     /* 108777 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 108780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 108783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 108787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 108791 */     // MIs[0] Operand 3
     /* 108791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 108795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR64_with_sub_32bit_in_GR32_DIBP_and_GR32_SIDIRegClassID),
     /* 108799 */     // (intrinsic_void 14664:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask, RDI:{ *:[i64] })  =>  (VMASKMOVDQU64 VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask)
     /* 108799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::RDI), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // RDI
     /* 108813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVDQU64),
     /* 108816 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 108818 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 108820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108824 */     GIR_RootConstrainSelectedInstOperands,
     /* 108825 */     // GIR_Coverage, 2902,
     /* 108825 */     GIR_EraseRootFromParent_Done,
     /* 108826 */   // Label 2318: @108826
     /* 108826 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(108888), // Rule ID 2903 //
     /* 108831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX),
     /* 108834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_maskmov_dqu),
     /* 108839 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 108842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 108845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 108849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 108853 */     // MIs[0] Operand 3
     /* 108853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/32,
     /* 108857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_DIBP_and_GR32_SIDIRegClassID),
     /* 108861 */     // (intrinsic_void 14664:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask, EDI:{ *:[i32] })  =>  (VMASKMOVDQU VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask)
     /* 108861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDI), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // EDI
     /* 108875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMASKMOVDQU),
     /* 108878 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 108880 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 108882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108886 */     GIR_RootConstrainSelectedInstOperands,
     /* 108887 */     // GIR_Coverage, 2903,
     /* 108887 */     GIR_EraseRootFromParent_Done,
     /* 108888 */   // Label 2319: @108888
     /* 108888 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(108950), // Rule ID 2904 //
     /* 108893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode_UseSSE2),
     /* 108896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_maskmov_dqu),
     /* 108901 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 108904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 108907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 108911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 108915 */     // MIs[0] Operand 3
     /* 108915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 108919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR64_with_sub_32bit_in_GR32_DIBP_and_GR32_SIDIRegClassID),
     /* 108923 */     // (intrinsic_void 14664:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask, RDI:{ *:[i64] })  =>  (MASKMOVDQU64 VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask)
     /* 108923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::RDI), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // RDI
     /* 108937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MASKMOVDQU64),
     /* 108940 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 108942 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 108944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108948 */     GIR_RootConstrainSelectedInstOperands,
     /* 108949 */     // GIR_Coverage, 2904,
     /* 108949 */     GIR_EraseRootFromParent_Done,
     /* 108950 */   // Label 2320: @108950
     /* 108950 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(109012), // Rule ID 2905 //
     /* 108955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 108958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_sse2_maskmov_dqu),
     /* 108963 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 108966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 108969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 108973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 108977 */     // MIs[0] Operand 3
     /* 108977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/32,
     /* 108981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR32_DIBP_and_GR32_SIDIRegClassID),
     /* 108985 */     // (intrinsic_void 14664:{ *:[iPTR] }, VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask, EDI:{ *:[i32] })  =>  (MASKMOVDQU VR128:{ *:[v16i8] }:$src, VR128:{ *:[v16i8] }:$mask)
     /* 108985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 108989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::EDI), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // EDI
     /* 108999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MASKMOVDQU),
     /* 109002 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 109004 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 109006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109010 */     GIR_RootConstrainSelectedInstOperands,
     /* 109011 */     // GIR_Coverage, 2905,
     /* 109011 */     GIR_EraseRootFromParent_Done,
     /* 109012 */   // Label 2321: @109012
     /* 109012 */   GIM_Reject,
     /* 109013 */ // Label 2256: @109013
     /* 109013 */ GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(109101), // Rule ID 16987 //
     /* 109018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasKL),
     /* 109021 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 109024 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::x86_loadiwkey),
     /* 109029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 109032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 109035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 109038 */   GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 109041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109049 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 109053 */   GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(X86::GR32_ADRegClassID),
     /* 109057 */   // (intrinsic_void 14485:{ *:[iPTR] }, XMM0:{ *:[v2i64] }, VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2, EAX:{ *:[i32] })  =>  (LOADIWKEY:{ *:[i32] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /* 109057 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109061 */   GIR_AddRegister, /*InsnID*/2, GIMT_Encode2(X86::EAX), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109067 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/4, // EAX
     /* 109071 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109075 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::XMM0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109081 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // XMM0
     /* 109085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LOADIWKEY),
     /* 109088 */   GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 109090 */   GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 109092 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 109095 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109099 */   GIR_RootConstrainSelectedInstOperands,
     /* 109100 */   // GIR_Coverage, 16987,
     /* 109100 */   GIR_EraseRootFromParent_Done,
     /* 109101 */ // Label 2322: @109101
     /* 109101 */ GIM_Reject,
     /* 109102 */ // Label 19: @109102
     /* 109102 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2326*/ GIMT_Encode4(109536),
     /* 109113 */ /*GILLT_s16*//*Label 2323*/ GIMT_Encode4(109125),
     /* 109117 */ /*GILLT_s32*//*Label 2324*/ GIMT_Encode4(109183),
     /* 109121 */ /*GILLT_s64*//*Label 2325*/ GIMT_Encode4(109358),
     /* 109125 */ // Label 2323: @109125
     /* 109125 */ GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(109182), // Rule ID 22587 //
     /* 109130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 109133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 109137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109141 */   // (anyext:{ *:[i16] } GR8:{ *:[i8] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_16bit:{ *:[i32] })
     /* 109141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 109148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109153 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 109157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109164 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 109171 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 109176 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 109181 */   // GIR_Coverage, 22587,
     /* 109181 */   GIR_EraseRootFromParent_Done,
     /* 109182 */ // Label 2327: @109182
     /* 109182 */ GIM_Reject,
     /* 109183 */ // Label 2324: @109183
     /* 109183 */ GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(109229), // Rule ID 19436 //
     /* 109188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109195 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 109199 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 109203 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 109207 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 109212 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109214 */   // (anyext:{ *:[i32] } (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src))  =>  (COPY_TO_REGCLASS:{ *:[i32] } VK16:{ *:[v16i1] }:$src, GR32:{ *:[i32] })
     /* 109214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109219 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 109223 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /* 109228 */   // GIR_Coverage, 19436,
     /* 109228 */   GIR_EraseRootFromParent_Done,
     /* 109229 */ // Label 2328: @109229
     /* 109229 */ GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(109275), // Rule ID 19439 //
     /* 109234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 109237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109241 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 109245 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 109249 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 109253 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 109258 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109260 */   // (anyext:{ *:[i32] } (bitconvert:{ *:[i8] } VK8:{ *:[v8i1] }:$src))  =>  (COPY_TO_REGCLASS:{ *:[i32] } VK8:{ *:[v8i1] }:$src, GR32:{ *:[i32] })
     /* 109260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109265 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 109269 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /* 109274 */   // GIR_Coverage, 19439,
     /* 109274 */   GIR_EraseRootFromParent_Done,
     /* 109275 */ // Label 2329: @109275
     /* 109275 */ GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(109298), // Rule ID 22588 //
     /* 109280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 109283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109291 */   // (anyext:{ *:[i32] } GR8:{ *:[i8] }:$src)  =>  (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /* 109291 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 109296 */   GIR_RootConstrainSelectedInstOperands,
     /* 109297 */   // GIR_Coverage, 22588,
     /* 109297 */   GIR_Done,
     /* 109298 */ // Label 2330: @109298
     /* 109298 */ GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(109357), // Rule ID 22589 //
     /* 109303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 109310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 109314 */   // (anyext:{ *:[i32] } GR16:{ *:[i16] }:$src)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR16:{ *:[i16] }:$src, sub_16bit:{ *:[i32] })
     /* 109314 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109317 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 109321 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109326 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 109331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109333 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109336 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 109338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 109341 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 109346 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 109351 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 109356 */   // GIR_Coverage, 22589,
     /* 109356 */   GIR_EraseRootFromParent_Done,
     /* 109357 */ // Label 2331: @109357
     /* 109357 */ GIM_Reject,
     /* 109358 */ // Label 2325: @109358
     /* 109358 */ GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(109417), // Rule ID 22590 //
     /* 109363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 109366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 109370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109374 */   // (anyext:{ *:[i64] } GR8:{ *:[i8] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_32bit:{ *:[i32] })
     /* 109374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 109381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109386 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 109390 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 109395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109400 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 109406 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 109411 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 109416 */   // GIR_Coverage, 22590,
     /* 109416 */   GIR_EraseRootFromParent_Done,
     /* 109417 */ // Label 2332: @109417
     /* 109417 */ GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(109476), // Rule ID 22591 //
     /* 109422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 109429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 109433 */   // (anyext:{ *:[i64] } GR16:{ *:[i16] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rr16:{ *:[i32] } GR16:{ *:[i16] }:$src), sub_32bit:{ *:[i32] })
     /* 109433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr16),
     /* 109440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109445 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 109449 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 109454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 109459 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 109465 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 109470 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 109475 */   // GIR_Coverage, 22591,
     /* 109475 */   GIR_EraseRootFromParent_Done,
     /* 109476 */ // Label 2333: @109476
     /* 109476 */ GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(109535), // Rule ID 22592 //
     /* 109481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 109484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 109488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109492 */   // (anyext:{ *:[i64] } GR32:{ *:[i32] }:$src)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR32:{ *:[i32] }:$src, sub_32bit:{ *:[i32] })
     /* 109492 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 109495 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 109499 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109504 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 109506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 109509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109511 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 109514 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 109516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 109519 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 109524 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR64RegClassID),
     /* 109529 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 109534 */   // GIR_Coverage, 22592,
     /* 109534 */   GIR_EraseRootFromParent_Done,
     /* 109535 */ // Label 2334: @109535
     /* 109535 */ GIM_Reject,
     /* 109536 */ // Label 2326: @109536
     /* 109536 */ GIM_Reject,
     /* 109537 */ // Label 20: @109537
     /* 109537 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 2343*/ GIMT_Encode4(110625),
     /* 109548 */ /*GILLT_s8*//*Label 2335*/ GIMT_Encode4(109632),
     /* 109552 */ /*GILLT_s16*//*Label 2336*/ GIMT_Encode4(109916), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109584 */ /*GILLT_v4s32*//*Label 2337*/ GIMT_Encode4(109955), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109596 */ /*GILLT_v8s16*//*Label 2338*/ GIMT_Encode4(110095),
     /* 109600 */ /*GILLT_v8s32*//*Label 2339*/ GIMT_Encode4(110258), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109612 */ /*GILLT_v16s8*//*Label 2340*/ GIMT_Encode4(110285),
     /* 109616 */ /*GILLT_v16s16*//*Label 2341*/ GIMT_Encode4(110571), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 109628 */ /*GILLT_v32s8*//*Label 2342*/ GIMT_Encode4(110598),
     /* 109632 */ // Label 2335: @109632
     /* 109632 */ GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(109707), // Rule ID 19431 //
     /* 109637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109644 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 109648 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 109652 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 109656 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 109661 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 109663 */   // (trunc:{ *:[i8] } (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src))  =>  (EXTRACT_SUBREG:{ *:[i8] } (COPY_TO_REGCLASS:{ *:[i32] } VK16:{ *:[v16i1] }:$src, GR32:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /* 109663 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109666 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109670 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109675 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 109679 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR32RegClassID),
     /* 109684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109689 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /* 109696 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 109701 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 109706 */   // GIR_Coverage, 19431,
     /* 109706 */   GIR_EraseRootFromParent_Done,
     /* 109707 */ // Label 2344: @109707
     /* 109707 */ GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(109770), // Rule ID 22649 //
     /* 109712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode),
     /* 109715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 109718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 109722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109726 */   // (trunc:{ *:[i8] } GR32:{ *:[i32] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } (COPY_TO_REGCLASS:{ *:[i32] } GR32:{ *:[i32] }:$src, GR32_ABCD:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /* 109726 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 109729 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109733 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109738 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 109742 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR32_ABCDRegClassID),
     /* 109747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109752 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /* 109759 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 109764 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32_ABCDRegClassID),
     /* 109769 */   // GIR_Coverage, 22649,
     /* 109769 */   GIR_EraseRootFromParent_Done,
     /* 109770 */ // Label 2345: @109770
     /* 109770 */ GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(109833), // Rule ID 22650 //
     /* 109775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode),
     /* 109778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 109785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 109789 */   // (trunc:{ *:[i8] } GR16:{ *:[i16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } (COPY_TO_REGCLASS:{ *:[i16] } GR16:{ *:[i16] }:$src, GR16_ABCD:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /* 109789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 109792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 109801 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 109805 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16_ABCDRegClassID),
     /* 109810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109815 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /* 109822 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 109827 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR16_ABCDRegClassID),
     /* 109832 */   // GIR_Coverage, 22650,
     /* 109832 */   GIR_EraseRootFromParent_Done,
     /* 109833 */ // Label 2346: @109833
     /* 109833 */ GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(109874), // Rule ID 22654 //
     /* 109838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 109841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 109844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109852 */   // (trunc:{ *:[i8] } GR32:{ *:[i32] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } GR32:{ *:[i32] }:$src, sub_8bit:{ *:[i32] })
     /* 109852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109857 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src
     /* 109863 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 109868 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 109873 */   // GIR_Coverage, 22654,
     /* 109873 */   GIR_EraseRootFromParent_Done,
     /* 109874 */ // Label 2347: @109874
     /* 109874 */ GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(109915), // Rule ID 22655 //
     /* 109879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 109882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 109885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 109889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 109893 */   // (trunc:{ *:[i8] } GR16:{ *:[i16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i8] } GR16:{ *:[i16] }:$src, sub_8bit:{ *:[i32] })
     /* 109893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109898 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src
     /* 109904 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 109909 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /* 109914 */   // GIR_Coverage, 22655,
     /* 109914 */   GIR_EraseRootFromParent_Done,
     /* 109915 */ // Label 2348: @109915
     /* 109915 */ GIM_Reject,
     /* 109916 */ // Label 2336: @109916
     /* 109916 */ GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(109954), // Rule ID 22648 //
     /* 109921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 109924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 109928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 109932 */   // (trunc:{ *:[i16] } GR32:{ *:[i32] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } GR32:{ *:[i32] }:$src, sub_16bit:{ *:[i32] })
     /* 109932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 109935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 109937 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(4), // src
     /* 109943 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 109948 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 109953 */   // GIR_Coverage, 22648,
     /* 109953 */   GIR_EraseRootFromParent_Done,
     /* 109954 */ // Label 2349: @109954
     /* 109954 */ GIM_Reject,
     /* 109955 */ // Label 2337: @109955
     /* 109955 */ GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(110094),
     /* 109960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 109963 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(109986), // Rule ID 12261 //
     /* 109968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 109971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 109975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 109979 */     // (trunc:{ *:[v4i32] } VR256X:{ *:[v4i64] }:$src)  =>  (VPMOVQDZ256rr:{ *:[v4i32] } VR256X:{ *:[v4i64] }:$src)
     /* 109979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVQDZ256rr),
     /* 109984 */     GIR_RootConstrainSelectedInstOperands,
     /* 109985 */     // GIR_Coverage, 12261,
     /* 109985 */     GIR_Done,
     /* 109986 */   // Label 2351: @109986
     /* 109986 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(110093), // Rule ID 21556 //
     /* 109991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 109994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 109998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110002 */     // (trunc:{ *:[v4i32] } VR256X:{ *:[v4i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPMOVQDZrr:{ *:[v8i32] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 110002 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 110005 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 110009 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 110016 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 110019 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 110023 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110028 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 110031 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110035 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 110038 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 110043 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 110048 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 110056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVQDZrr),
     /* 110060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110065 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 110068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110075 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 110082 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 110087 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110092 */     // GIR_Coverage, 21556,
     /* 110092 */     GIR_EraseRootFromParent_Done,
     /* 110093 */   // Label 2352: @110093
     /* 110093 */   GIM_Reject,
     /* 110094 */ // Label 2350: @110094
     /* 110094 */ GIM_Reject,
     /* 110095 */ // Label 2338: @110095
     /* 110095 */ GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(110121), // Rule ID 12237 //
     /* 110100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 110103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 110106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110114 */   // (trunc:{ *:[v8i16] } VR512:{ *:[v8i64] }:$src)  =>  (VPMOVQWZrr:{ *:[v8i16] } VR512:{ *:[v8i64] }:$src)
     /* 110114 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVQWZrr),
     /* 110119 */   GIR_RootConstrainSelectedInstOperands,
     /* 110120 */   // GIR_Coverage, 12237,
     /* 110120 */   GIR_Done,
     /* 110121 */ // Label 2353: @110121
     /* 110121 */ GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(110147), // Rule ID 12315 //
     /* 110126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 110129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 110132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110140 */   // (trunc:{ *:[v8i16] } VR256X:{ *:[v8i32] }:$src)  =>  (VPMOVDWZ256rr:{ *:[v8i16] } VR256X:{ *:[v8i32] }:$src)
     /* 110140 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZ256rr),
     /* 110145 */   GIR_RootConstrainSelectedInstOperands,
     /* 110146 */   // GIR_Coverage, 12315,
     /* 110146 */   GIR_Done,
     /* 110147 */ // Label 2354: @110147
     /* 110147 */ GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(110257), // Rule ID 21555 //
     /* 110152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 110155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 110158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 110162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110166 */   // (trunc:{ *:[v8i16] } VR256X:{ *:[v8i32] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VPMOVDWZrr:{ *:[v16i16] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 110166 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 110169 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 110173 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110178 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 110180 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 110183 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 110187 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110192 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 110195 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110199 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 110202 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 110207 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 110212 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110217 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 110220 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZrr),
     /* 110224 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110229 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 110232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110239 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 110246 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 110251 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110256 */   // GIR_Coverage, 21555,
     /* 110256 */   GIR_EraseRootFromParent_Done,
     /* 110257 */ // Label 2355: @110257
     /* 110257 */ GIM_Reject,
     /* 110258 */ // Label 2339: @110258
     /* 110258 */ GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(110284), // Rule ID 12264 //
     /* 110263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 110266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 110269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110277 */   // (trunc:{ *:[v8i32] } VR512:{ *:[v8i64] }:$src)  =>  (VPMOVQDZrr:{ *:[v8i32] } VR512:{ *:[v8i64] }:$src)
     /* 110277 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVQDZrr),
     /* 110282 */   GIR_RootConstrainSelectedInstOperands,
     /* 110283 */   // GIR_Coverage, 12264,
     /* 110283 */   GIR_Done,
     /* 110284 */ // Label 2356: @110284
     /* 110284 */ GIM_Reject,
     /* 110285 */ // Label 2340: @110285
     /* 110285 */ GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(110361), // Rule ID 21649 //
     /* 110290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoBWI),
     /* 110293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 110296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110300 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 110304 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 110308 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110311 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 110315 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 110319 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 110321 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 110328 */   // (trunc:{ *:[v16i8] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVDBZrr:{ *:[v16i8] } (VPMOVZXWDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src))
     /* 110328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 110331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZrm),
     /* 110335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110340 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src
     /* 110344 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 110349 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDBZrr),
     /* 110354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110356 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110359 */   GIR_RootConstrainSelectedInstOperands,
     /* 110360 */   // GIR_Coverage, 21649,
     /* 110360 */   GIR_EraseRootFromParent_Done,
     /* 110361 */ // Label 2357: @110361
     /* 110361 */ GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(110387), // Rule ID 12291 //
     /* 110366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 110369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 110372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110380 */   // (trunc:{ *:[v16i8] } VR512:{ *:[v16i32] }:$src)  =>  (VPMOVDBZrr:{ *:[v16i8] } VR512:{ *:[v16i32] }:$src)
     /* 110380 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVDBZrr),
     /* 110385 */   GIR_RootConstrainSelectedInstOperands,
     /* 110386 */   // GIR_Coverage, 12291,
     /* 110386 */   GIR_Done,
     /* 110387 */ // Label 2358: @110387
     /* 110387 */ GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(110413), // Rule ID 12342 //
     /* 110392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 110395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 110398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110406 */   // (trunc:{ *:[v16i8] } VR256X:{ *:[v16i16] }:$src)  =>  (VPMOVWBZ256rr:{ *:[v16i8] } VR256X:{ *:[v16i16] }:$src)
     /* 110406 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVWBZ256rr),
     /* 110411 */   GIR_RootConstrainSelectedInstOperands,
     /* 110412 */   // GIR_Coverage, 12342,
     /* 110412 */   GIR_Done,
     /* 110413 */ // Label 2359: @110413
     /* 110413 */ GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(110523), // Rule ID 21557 //
     /* 110418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 110421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 110424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 110428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110432 */   // (trunc:{ *:[v16i8] } VR256X:{ *:[v16i16] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VPMOVWBZrr:{ *:[v32i8] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 110432 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 110435 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 110439 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110444 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 110446 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 110449 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 110453 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110458 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 110461 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110465 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 110468 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 110473 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 110478 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110483 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s8,
     /* 110486 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVWBZrr),
     /* 110490 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110495 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 110498 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110505 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 110512 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 110517 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256XRegClassID),
     /* 110522 */   // GIR_Coverage, 21557,
     /* 110522 */   GIR_EraseRootFromParent_Done,
     /* 110523 */ // Label 2360: @110523
     /* 110523 */ GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(110570), // Rule ID 21648 //
     /* 110528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_NoBWI),
     /* 110531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 110534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 110538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110542 */   // (trunc:{ *:[v16i8] } VR256X:{ *:[v16i16] }:$src)  =>  (VPMOVDBZrr:{ *:[v16i8] } (VPMOVZXWDZrr:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src))
     /* 110542 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 110545 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZrr),
     /* 110549 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110554 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 110558 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDBZrr),
     /* 110563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110565 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110568 */   GIR_RootConstrainSelectedInstOperands,
     /* 110569 */   // GIR_Coverage, 21648,
     /* 110569 */   GIR_EraseRootFromParent_Done,
     /* 110570 */ // Label 2361: @110570
     /* 110570 */ GIM_Reject,
     /* 110571 */ // Label 2341: @110571
     /* 110571 */ GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(110597), // Rule ID 12318 //
     /* 110576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 110579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 110582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110590 */   // (trunc:{ *:[v16i16] } VR512:{ *:[v16i32] }:$src)  =>  (VPMOVDWZrr:{ *:[v16i16] } VR512:{ *:[v16i32] }:$src)
     /* 110590 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZrr),
     /* 110595 */   GIR_RootConstrainSelectedInstOperands,
     /* 110596 */   // GIR_Coverage, 12318,
     /* 110596 */   GIR_Done,
     /* 110597 */ // Label 2362: @110597
     /* 110597 */ GIM_Reject,
     /* 110598 */ // Label 2342: @110598
     /* 110598 */ GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(110624), // Rule ID 12345 //
     /* 110603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 110606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 110609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 110613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 110617 */   // (trunc:{ *:[v32i8] } VR512:{ *:[v32i16] }:$src)  =>  (VPMOVWBZrr:{ *:[v32i8] } VR512:{ *:[v32i16] }:$src)
     /* 110617 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVWBZrr),
     /* 110622 */   GIR_RootConstrainSelectedInstOperands,
     /* 110623 */   // GIR_Coverage, 12345,
     /* 110623 */   GIR_Done,
     /* 110624 */ // Label 2363: @110624
     /* 110624 */ GIM_Reject,
     /* 110625 */ // Label 2343: @110625
     /* 110625 */ GIM_Reject,
     /* 110626 */ // Label 21: @110626
     /* 110626 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 2368*/ GIMT_Encode4(111231),
     /* 110637 */ /*GILLT_s8*//*Label 2364*/ GIMT_Encode4(110653),
     /* 110641 */ /*GILLT_s16*//*Label 2365*/ GIMT_Encode4(110735),
     /* 110645 */ /*GILLT_s32*//*Label 2366*/ GIMT_Encode4(110935),
     /* 110649 */ /*GILLT_s64*//*Label 2367*/ GIMT_Encode4(111077),
     /* 110653 */ // Label 2364: @110653
     /* 110653 */ GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(110734),
     /* 110658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 110662 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(110718), // Rule ID 22383 //
     /* 110667 */     // MIs[0] Operand 1
     /* 110667 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(0),
     /* 110678 */     // 0:{ *:[i8] }  =>  (EXTRACT_SUBREG:{ *:[i8] } (MOV32r0:{ *:[i32] }:{ *:[i32] }), sub_8bit:{ *:[i32] })
     /* 110678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r0),
     /* 110685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110690 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 110693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110700 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_8bit),
     /* 110707 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 110712 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 110717 */     // GIR_Coverage, 22383,
     /* 110717 */     GIR_EraseRootFromParent_Done,
     /* 110718 */   // Label 2370: @110718
     /* 110718 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(110733), // Rule ID 19 //
     /* 110723 */     // MIs[0] Operand 1
     /* 110723 */     // No operand predicates
     /* 110723 */     // (imm:{ *:[i8] }):$src  =>  (MOV8ri:{ *:[i8] } (imm:{ *:[i8] }):$src)
     /* 110723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV8ri),
     /* 110726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 110731 */     GIR_RootConstrainSelectedInstOperands,
     /* 110732 */     // GIR_Coverage, 19,
     /* 110732 */     GIR_EraseRootFromParent_Done,
     /* 110733 */   // Label 2371: @110733
     /* 110733 */   GIM_Reject,
     /* 110734 */ // Label 2369: @110734
     /* 110734 */ GIM_Reject,
     /* 110735 */ // Label 2365: @110735
     /* 110735 */ GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(110934),
     /* 110740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 110744 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(110800), // Rule ID 22384 //
     /* 110749 */     // MIs[0] Operand 1
     /* 110749 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(0),
     /* 110760 */     // 0:{ *:[i16] }  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOV32r0:{ *:[i32] }:{ *:[i32] }), sub_16bit:{ *:[i32] })
     /* 110760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r0),
     /* 110767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110772 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 110775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110782 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 110789 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 110794 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 110799 */     // GIR_Coverage, 22384,
     /* 110799 */     GIR_EraseRootFromParent_Done,
     /* 110800 */   // Label 2373: @110800
     /* 110800 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(110859), // Rule ID 22386 //
     /* 110805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode_OptForSize),
     /* 110808 */     // MIs[0] Operand 1
     /* 110808 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(1),
     /* 110819 */     // 1:{ *:[i16] }  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOV32r1:{ *:[i32] }:{ *:[i32] }), sub_16bit:{ *:[i32] })
     /* 110819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r1),
     /* 110826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110831 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 110834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110841 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 110848 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 110853 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 110858 */     // GIR_Coverage, 22386,
     /* 110858 */     GIR_EraseRootFromParent_Done,
     /* 110859 */   // Label 2374: @110859
     /* 110859 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(110918), // Rule ID 22387 //
     /* 110864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode_OptForSize),
     /* 110867 */     // MIs[0] Operand 1
     /* 110867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(-1),
     /* 110878 */     // -1:{ *:[i16] }  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOV32r_1:{ *:[i32] }:{ *:[i32] }), sub_16bit:{ *:[i32] })
     /* 110878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r_1),
     /* 110885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110890 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 110893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 110898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110900 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 110907 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 110912 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 110917 */     // GIR_Coverage, 22387,
     /* 110917 */     GIR_EraseRootFromParent_Done,
     /* 110918 */   // Label 2375: @110918
     /* 110918 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(110933), // Rule ID 20 //
     /* 110923 */     // MIs[0] Operand 1
     /* 110923 */     // No operand predicates
     /* 110923 */     // (imm:{ *:[i16] }):$src  =>  (MOV16ri:{ *:[i16] } (imm:{ *:[i16] }):$src)
     /* 110923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV16ri),
     /* 110926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 110931 */     GIR_RootConstrainSelectedInstOperands,
     /* 110932 */     // GIR_Coverage, 20,
     /* 110932 */     GIR_EraseRootFromParent_Done,
     /* 110933 */   // Label 2376: @110933
     /* 110933 */   GIM_Reject,
     /* 110934 */ // Label 2372: @110934
     /* 110934 */ GIM_Reject,
     /* 110935 */ // Label 2366: @110935
     /* 110935 */ GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(110965), // Rule ID 17152 //
     /* 110940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 110944 */   // MIs[0] Operand 1
     /* 110944 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(0),
     /* 110955 */   // 0:{ *:[i32] }  =>  (MOV32r0:{ *:[i32] }:{ *:[i32] })
     /* 110955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32r0),
     /* 110958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110960 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 110963 */   GIR_RootConstrainSelectedInstOperands,
     /* 110964 */   // GIR_Coverage, 17152,
     /* 110964 */   GIR_EraseRootFromParent_Done,
     /* 110965 */ // Label 2377: @110965
     /* 110965 */ GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(110998), // Rule ID 17153 //
     /* 110970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode_OptForSize),
     /* 110973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 110977 */   // MIs[0] Operand 1
     /* 110977 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(1),
     /* 110988 */   // 1:{ *:[i32] }  =>  (MOV32r1:{ *:[i32] }:{ *:[i32] })
     /* 110988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32r1),
     /* 110991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110993 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 110996 */   GIR_RootConstrainSelectedInstOperands,
     /* 110997 */   // GIR_Coverage, 17153,
     /* 110997 */   GIR_EraseRootFromParent_Done,
     /* 110998 */ // Label 2378: @110998
     /* 110998 */ GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(111031), // Rule ID 17154 //
     /* 111003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_Not64BitMode_OptForSize),
     /* 111006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111010 */   // MIs[0] Operand 1
     /* 111010 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(-1),
     /* 111021 */   // -1:{ *:[i32] }  =>  (MOV32r_1:{ *:[i32] }:{ *:[i32] })
     /* 111021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32r_1),
     /* 111024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111026 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 111029 */   GIR_RootConstrainSelectedInstOperands,
     /* 111030 */   // GIR_Coverage, 17154,
     /* 111030 */   GIR_EraseRootFromParent_Done,
     /* 111031 */ // Label 2379: @111031
     /* 111031 */ GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(111057), // Rule ID 17155 //
     /* 111036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotWin64WithoutFP_OptForMinSize),
     /* 111039 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i32immSExt8),
     /* 111043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111047 */   // MIs[0] Operand 1
     /* 111047 */   // No operand predicates
     /* 111047 */   // (imm:{ *:[i32] })<<P:Predicate_i32immSExt8>>:$src  =>  (MOV32ImmSExti8:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /* 111047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32ImmSExti8),
     /* 111050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111052 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111055 */   GIR_RootConstrainSelectedInstOperands,
     /* 111056 */   // GIR_Coverage, 17155,
     /* 111056 */   GIR_EraseRootFromParent_Done,
     /* 111057 */ // Label 2380: @111057
     /* 111057 */ GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(111076), // Rule ID 21 //
     /* 111062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111066 */   // MIs[0] Operand 1
     /* 111066 */   // No operand predicates
     /* 111066 */   // (imm:{ *:[i32] }):$src  =>  (MOV32ri:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /* 111066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32ri),
     /* 111069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111071 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111074 */   GIR_RootConstrainSelectedInstOperands,
     /* 111075 */   // GIR_Coverage, 21,
     /* 111075 */   GIR_EraseRootFromParent_Done,
     /* 111076 */ // Label 2381: @111076
     /* 111076 */ GIM_Reject,
     /* 111077 */ // Label 2367: @111077
     /* 111077 */ GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(111139), // Rule ID 22385 //
     /* 111082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111086 */   // MIs[0] Operand 1
     /* 111086 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/1, GIMT_Encode8(0),
     /* 111097 */   // 0:{ *:[i64] }  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32r0:{ *:[i32] }:{ *:[i32] }), sub_32bit:{ *:[i32] })
     /* 111097 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111100 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32r0),
     /* 111104 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111109 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 111112 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111122 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 111128 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 111133 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 111138 */   // GIR_Coverage, 22385,
     /* 111138 */   GIR_EraseRootFromParent_Done,
     /* 111139 */ // Label 2382: @111139
     /* 111139 */ GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(111165), // Rule ID 17156 //
     /* 111144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotWin64WithoutFP_OptForMinSize),
     /* 111147 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt8),
     /* 111151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111155 */   // MIs[0] Operand 1
     /* 111155 */   // No operand predicates
     /* 111155 */   // (imm:{ *:[i64] })<<P:Predicate_i64immSExt8>>:$src  =>  (MOV64ImmSExti8:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 111155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64ImmSExti8),
     /* 111158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111160 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111163 */   GIR_RootConstrainSelectedInstOperands,
     /* 111164 */   // GIR_Coverage, 17156,
     /* 111164 */   GIR_EraseRootFromParent_Done,
     /* 111165 */ // Label 2383: @111165
     /* 111165 */ GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(111188), // Rule ID 17157 //
     /* 111170 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immZExt32),
     /* 111174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111178 */   // MIs[0] Operand 1
     /* 111178 */   // No operand predicates
     /* 111178 */   // (imm:{ *:[i64] })<<P:Predicate_i64immZExt32>>:$src  =>  (MOV32ri64:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 111178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV32ri64),
     /* 111181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111183 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111186 */   GIR_RootConstrainSelectedInstOperands,
     /* 111187 */   // GIR_Coverage, 17157,
     /* 111187 */   GIR_EraseRootFromParent_Done,
     /* 111188 */ // Label 2384: @111188
     /* 111188 */ GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(111211), // Rule ID 22 //
     /* 111193 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64immSExt32),
     /* 111197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111201 */   // MIs[0] Operand 1
     /* 111201 */   // No operand predicates
     /* 111201 */   // (imm:{ *:[i64] })<<P:Predicate_i64immSExt32>>:$src  =>  (MOV64ri32:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 111201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64ri32),
     /* 111204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111206 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111209 */   GIR_RootConstrainSelectedInstOperands,
     /* 111210 */   // GIR_Coverage, 22,
     /* 111210 */   GIR_EraseRootFromParent_Done,
     /* 111211 */ // Label 2385: @111211
     /* 111211 */ GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(111230), // Rule ID 23 //
     /* 111216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111220 */   // MIs[0] Operand 1
     /* 111220 */   // No operand predicates
     /* 111220 */   // (imm:{ *:[i64] }):$src  =>  (MOV64ri:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 111220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOV64ri),
     /* 111223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111225 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 111228 */   GIR_RootConstrainSelectedInstOperands,
     /* 111229 */   // GIR_Coverage, 23,
     /* 111229 */   GIR_EraseRootFromParent_Done,
     /* 111230 */ // Label 2386: @111230
     /* 111230 */ GIM_Reject,
     /* 111231 */ // Label 2368: @111231
     /* 111231 */ GIM_Reject,
     /* 111232 */ // Label 22: @111232
     /* 111232 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(6), /*)*//*default:*//*Label 2390*/ GIMT_Encode4(111684),
     /* 111243 */ /*GILLT_s32*//*Label 2387*/ GIMT_Encode4(111255),
     /* 111247 */ /*GILLT_s64*//*Label 2388*/ GIMT_Encode4(111400),
     /* 111251 */ /*GILLT_s80*//*Label 2389*/ GIMT_Encode4(111545),
     /* 111255 */ // Label 2387: @111255
     /* 111255 */ GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(111281), // Rule ID 1115 //
     /* 111260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 111263 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 111267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 111271 */   // MIs[0] Operand 1
     /* 111271 */   // No operand predicates
     /* 111271 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>  =>  (LD_Fp032:{ *:[f32] }:{ *:[i16] })
     /* 111271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp032),
     /* 111274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111276 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111279 */   GIR_RootConstrainSelectedInstOperands,
     /* 111280 */   // GIR_Coverage, 1115,
     /* 111280 */   GIR_EraseRootFromParent_Done,
     /* 111281 */ // Label 2391: @111281
     /* 111281 */ GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(111307), // Rule ID 1116 //
     /* 111286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 111289 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm1),
     /* 111293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 111297 */   // MIs[0] Operand 1
     /* 111297 */   // No operand predicates
     /* 111297 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm1>>  =>  (LD_Fp132:{ *:[f32] }:{ *:[i16] })
     /* 111297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp132),
     /* 111300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111302 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111305 */   GIR_RootConstrainSelectedInstOperands,
     /* 111306 */   // GIR_Coverage, 1116,
     /* 111306 */   GIR_EraseRootFromParent_Done,
     /* 111307 */ // Label 2392: @111307
     /* 111307 */ GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(111353), // Rule ID 17719 //
     /* 111312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 111315 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg0),
     /* 111319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 111323 */   // MIs[0] Operand 1
     /* 111323 */   // No operand predicates
     /* 111323 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimmneg0>>  =>  (CHS_Fp32:{ *:[f32] }:{ *:[i16] } (LD_Fp032:{ *:[f32] }:{ *:[i16] }))
     /* 111323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp032),
     /* 111330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111335 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111338 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp32),
     /* 111343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111345 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111348 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111351 */   GIR_RootConstrainSelectedInstOperands,
     /* 111352 */   // GIR_Coverage, 17719,
     /* 111352 */   GIR_EraseRootFromParent_Done,
     /* 111353 */ // Label 2393: @111353
     /* 111353 */ GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(111399), // Rule ID 17720 //
     /* 111358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 111361 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg1),
     /* 111365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 111369 */   // MIs[0] Operand 1
     /* 111369 */   // No operand predicates
     /* 111369 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimmneg1>>  =>  (CHS_Fp32:{ *:[f32] }:{ *:[i16] } (LD_Fp132:{ *:[f32] }:{ *:[i16] }))
     /* 111369 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111372 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp132),
     /* 111376 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111381 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111384 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp32),
     /* 111389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111391 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111394 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111397 */   GIR_RootConstrainSelectedInstOperands,
     /* 111398 */   // GIR_Coverage, 17720,
     /* 111398 */   GIR_EraseRootFromParent_Done,
     /* 111399 */ // Label 2394: @111399
     /* 111399 */ GIM_Reject,
     /* 111400 */ // Label 2388: @111400
     /* 111400 */ GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(111426), // Rule ID 1117 //
     /* 111405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 111408 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 111412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 111416 */   // MIs[0] Operand 1
     /* 111416 */   // No operand predicates
     /* 111416 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>  =>  (LD_Fp064:{ *:[f64] }:{ *:[i16] })
     /* 111416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp064),
     /* 111419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111421 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111424 */   GIR_RootConstrainSelectedInstOperands,
     /* 111425 */   // GIR_Coverage, 1117,
     /* 111425 */   GIR_EraseRootFromParent_Done,
     /* 111426 */ // Label 2395: @111426
     /* 111426 */ GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(111452), // Rule ID 1118 //
     /* 111431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 111434 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm1),
     /* 111438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 111442 */   // MIs[0] Operand 1
     /* 111442 */   // No operand predicates
     /* 111442 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm1>>  =>  (LD_Fp164:{ *:[f64] }:{ *:[i16] })
     /* 111442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp164),
     /* 111445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111447 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111450 */   GIR_RootConstrainSelectedInstOperands,
     /* 111451 */   // GIR_Coverage, 1118,
     /* 111451 */   GIR_EraseRootFromParent_Done,
     /* 111452 */ // Label 2396: @111452
     /* 111452 */ GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(111498), // Rule ID 17721 //
     /* 111457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 111460 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg0),
     /* 111464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 111468 */   // MIs[0] Operand 1
     /* 111468 */   // No operand predicates
     /* 111468 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimmneg0>>  =>  (CHS_Fp64:{ *:[f64] }:{ *:[i16] } (LD_Fp064:{ *:[f64] }:{ *:[i16] }))
     /* 111468 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 111471 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp064),
     /* 111475 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111480 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111483 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp64),
     /* 111488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111490 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111493 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111496 */   GIR_RootConstrainSelectedInstOperands,
     /* 111497 */   // GIR_Coverage, 17721,
     /* 111497 */   GIR_EraseRootFromParent_Done,
     /* 111498 */ // Label 2397: @111498
     /* 111498 */ GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(111544), // Rule ID 17722 //
     /* 111503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 111506 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg1),
     /* 111510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 111514 */   // MIs[0] Operand 1
     /* 111514 */   // No operand predicates
     /* 111514 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimmneg1>>  =>  (CHS_Fp64:{ *:[f64] }:{ *:[i16] } (LD_Fp164:{ *:[f64] }:{ *:[i16] }))
     /* 111514 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 111517 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp164),
     /* 111521 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111526 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111529 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp64),
     /* 111534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111536 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111539 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111542 */   GIR_RootConstrainSelectedInstOperands,
     /* 111543 */   // GIR_Coverage, 17722,
     /* 111543 */   GIR_EraseRootFromParent_Done,
     /* 111544 */ // Label 2398: @111544
     /* 111544 */ GIM_Reject,
     /* 111545 */ // Label 2389: @111545
     /* 111545 */ GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(111571), // Rule ID 1119 //
     /* 111550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 111553 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 111557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 111561 */   // MIs[0] Operand 1
     /* 111561 */   // No operand predicates
     /* 111561 */   // (fpimm:{ *:[f80] })<<P:Predicate_fpimm0>>  =>  (LD_Fp080:{ *:[f80] }:{ *:[i16] })
     /* 111561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp080),
     /* 111564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111566 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111569 */   GIR_RootConstrainSelectedInstOperands,
     /* 111570 */   // GIR_Coverage, 1119,
     /* 111570 */   GIR_EraseRootFromParent_Done,
     /* 111571 */ // Label 2399: @111571
     /* 111571 */ GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(111597), // Rule ID 1120 //
     /* 111576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 111579 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm1),
     /* 111583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 111587 */   // MIs[0] Operand 1
     /* 111587 */   // No operand predicates
     /* 111587 */   // (fpimm:{ *:[f80] })<<P:Predicate_fpimm1>>  =>  (LD_Fp180:{ *:[f80] }:{ *:[i16] })
     /* 111587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LD_Fp180),
     /* 111590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111592 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111595 */   GIR_RootConstrainSelectedInstOperands,
     /* 111596 */   // GIR_Coverage, 1120,
     /* 111596 */   GIR_EraseRootFromParent_Done,
     /* 111597 */ // Label 2400: @111597
     /* 111597 */ GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(111640), // Rule ID 17723 //
     /* 111602 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg0),
     /* 111606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 111610 */   // MIs[0] Operand 1
     /* 111610 */   // No operand predicates
     /* 111610 */   // (fpimm:{ *:[f80] })<<P:Predicate_fpimmneg0>>  =>  (CHS_Fp80:{ *:[f80] }:{ *:[i16] } (LD_Fp080:{ *:[f80] }:{ *:[i16] }))
     /* 111610 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s80,
     /* 111613 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp080),
     /* 111617 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111622 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111625 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp80),
     /* 111630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111632 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111635 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111638 */   GIR_RootConstrainSelectedInstOperands,
     /* 111639 */   // GIR_Coverage, 17723,
     /* 111639 */   GIR_EraseRootFromParent_Done,
     /* 111640 */ // Label 2401: @111640
     /* 111640 */ GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(111683), // Rule ID 17724 //
     /* 111645 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimmneg1),
     /* 111649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 111653 */   // MIs[0] Operand 1
     /* 111653 */   // No operand predicates
     /* 111653 */   // (fpimm:{ *:[f80] })<<P:Predicate_fpimmneg1>>  =>  (CHS_Fp80:{ *:[f80] }:{ *:[i16] } (LD_Fp180:{ *:[f80] }:{ *:[i16] }))
     /* 111653 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s80,
     /* 111656 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::LD_Fp180),
     /* 111660 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111665 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::FPSW*/0,
     /* 111668 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CHS_Fp80),
     /* 111673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111675 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111678 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 111681 */   GIR_RootConstrainSelectedInstOperands,
     /* 111682 */   // GIR_Coverage, 17724,
     /* 111682 */   GIR_EraseRootFromParent_Done,
     /* 111683 */ // Label 2402: @111683
     /* 111683 */ GIM_Reject,
     /* 111684 */ // Label 2390: @111684
     /* 111684 */ GIM_Reject,
     /* 111685 */ // Label 23: @111685
     /* 111685 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(25), /*)*//*default:*//*Label 2418*/ GIMT_Encode4(113356),
     /* 111696 */ /*GILLT_s16*//*Label 2403*/ GIMT_Encode4(111788),
     /* 111700 */ /*GILLT_s32*//*Label 2404*/ GIMT_Encode4(111846),
     /* 111704 */ /*GILLT_s64*//*Label 2405*/ GIMT_Encode4(111893), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 111720 */ /*GILLT_v2s64*//*Label 2406*/ GIMT_Encode4(111966), GIMT_Encode4(0),
     /* 111728 */ /*GILLT_v4s32*//*Label 2407*/ GIMT_Encode4(111993),
     /* 111732 */ /*GILLT_v4s64*//*Label 2408*/ GIMT_Encode4(112020), GIMT_Encode4(0),
     /* 111740 */ /*GILLT_v8s16*//*Label 2409*/ GIMT_Encode4(112217),
     /* 111744 */ /*GILLT_v8s32*//*Label 2410*/ GIMT_Encode4(112286),
     /* 111748 */ /*GILLT_v8s64*//*Label 2411*/ GIMT_Encode4(112483), GIMT_Encode4(0),
     /* 111756 */ /*GILLT_v16s8*//*Label 2412*/ GIMT_Encode4(112680),
     /* 111760 */ /*GILLT_v16s16*//*Label 2413*/ GIMT_Encode4(112749),
     /* 111764 */ /*GILLT_v16s32*//*Label 2414*/ GIMT_Encode4(112993), GIMT_Encode4(0),
     /* 111772 */ /*GILLT_v32s8*//*Label 2415*/ GIMT_Encode4(113190),
     /* 111776 */ /*GILLT_v32s16*//*Label 2416*/ GIMT_Encode4(113217), GIMT_Encode4(0),
     /* 111784 */ /*GILLT_v64s8*//*Label 2417*/ GIMT_Encode4(113329),
     /* 111788 */ // Label 2403: @111788
     /* 111788 */ GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(111845), // Rule ID 22644 //
     /* 111793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 111796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 111800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 111804 */   // (sext:{ *:[i16] } GR8:{ *:[i8] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVSX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_16bit:{ *:[i32] })
     /* 111804 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111807 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr8),
     /* 111811 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111816 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 111820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 111825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111827 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 111834 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 111839 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 111844 */   // GIR_Coverage, 22644,
     /* 111844 */   GIR_EraseRootFromParent_Done,
     /* 111845 */ // Label 2419: @111845
     /* 111845 */ GIM_Reject,
     /* 111846 */ // Label 2404: @111846
     /* 111846 */ GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(111869), // Rule ID 614 //
     /* 111851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 111854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 111862 */   // (sext:{ *:[i32] } GR8:{ *:[i8] }:$src)  =>  (MOVSX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /* 111862 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr8),
     /* 111867 */   GIR_RootConstrainSelectedInstOperands,
     /* 111868 */   // GIR_Coverage, 614,
     /* 111868 */   GIR_Done,
     /* 111869 */ // Label 2420: @111869
     /* 111869 */ GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(111892), // Rule ID 616 //
     /* 111874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 111877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 111885 */   // (sext:{ *:[i32] } GR16:{ *:[i16] }:$src)  =>  (MOVSX32rr16:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /* 111885 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr16),
     /* 111890 */   GIR_RootConstrainSelectedInstOperands,
     /* 111891 */   // GIR_Coverage, 616,
     /* 111891 */   GIR_Done,
     /* 111892 */ // Label 2421: @111892
     /* 111892 */ GIM_Reject,
     /* 111893 */ // Label 2405: @111893
     /* 111893 */ GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(111916), // Rule ID 622 //
     /* 111898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 111901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 111909 */   // (sext:{ *:[i64] } GR8:{ *:[i8] }:$src)  =>  (MOVSX64rr8:{ *:[i64] } GR8:{ *:[i8] }:$src)
     /* 111909 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX64rr8),
     /* 111914 */   GIR_RootConstrainSelectedInstOperands,
     /* 111915 */   // GIR_Coverage, 622,
     /* 111915 */   GIR_Done,
     /* 111916 */ // Label 2422: @111916
     /* 111916 */ GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(111939), // Rule ID 624 //
     /* 111921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 111924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 111932 */   // (sext:{ *:[i64] } GR16:{ *:[i16] }:$src)  =>  (MOVSX64rr16:{ *:[i64] } GR16:{ *:[i16] }:$src)
     /* 111932 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX64rr16),
     /* 111937 */   GIR_RootConstrainSelectedInstOperands,
     /* 111938 */   // GIR_Coverage, 624,
     /* 111938 */   GIR_Done,
     /* 111939 */ // Label 2423: @111939
     /* 111939 */ GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(111965), // Rule ID 626 //
     /* 111944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_In64BitMode),
     /* 111947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 111950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 111954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 111958 */   // (sext:{ *:[i64] } GR32:{ *:[i32] }:$src)  =>  (MOVSX64rr32:{ *:[i64] } GR32:{ *:[i32] }:$src)
     /* 111958 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVSX64rr32),
     /* 111963 */   GIR_RootConstrainSelectedInstOperands,
     /* 111964 */   // GIR_Coverage, 626,
     /* 111964 */   GIR_Done,
     /* 111965 */ // Label 2424: @111965
     /* 111965 */ GIM_Reject,
     /* 111966 */ // Label 2406: @111966
     /* 111966 */ GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(111992), // Rule ID 12593 //
     /* 111971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 111974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /* 111977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 111981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 111985 */   // (sext:{ *:[v2i64] } VK2:{ *:[v2i1] }:$src)  =>  (VPMOVM2QZ128rk:{ *:[v2i64] } VK2:{ *:[v2i1] }:$src)
     /* 111985 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2QZ128rk),
     /* 111990 */   GIR_RootConstrainSelectedInstOperands,
     /* 111991 */   // GIR_Coverage, 12593,
     /* 111991 */   GIR_Done,
     /* 111992 */ // Label 2425: @111992
     /* 111992 */ GIM_Reject,
     /* 111993 */ // Label 2407: @111993
     /* 111993 */ GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(112019), // Rule ID 12590 //
     /* 111998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 112001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 112004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 112012 */   // (sext:{ *:[v4i32] } VK4:{ *:[v4i1] }:$src)  =>  (VPMOVM2DZ128rk:{ *:[v4i32] } VK4:{ *:[v4i1] }:$src)
     /* 112012 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZ128rk),
     /* 112017 */   GIR_RootConstrainSelectedInstOperands,
     /* 112018 */   // GIR_Coverage, 12590,
     /* 112018 */   GIR_Done,
     /* 112019 */ // Label 2426: @112019
     /* 112019 */ GIM_Reject,
     /* 112020 */ // Label 2408: @112020
     /* 112020 */ GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(112079), // Rule ID 18389 //
     /* 112025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 112028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112035 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112039 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112043 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112046 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112050 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112054 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112056 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112063 */   // (sext:{ *:[v4i64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXDQYrm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 112063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQYrm),
     /* 112066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112068 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112072 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112077 */   GIR_RootConstrainSelectedInstOperands,
     /* 112078 */   // GIR_Coverage, 18389,
     /* 112078 */   GIR_EraseRootFromParent_Done,
     /* 112079 */ // Label 2427: @112079
     /* 112079 */ GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(112138), // Rule ID 21584 //
     /* 112084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 112087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112094 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112098 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112102 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112105 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112109 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112113 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112115 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112122 */   // (sext:{ *:[v4i64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXDQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 112122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQZ256rm),
     /* 112125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112127 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112131 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112136 */   GIR_RootConstrainSelectedInstOperands,
     /* 112137 */   // GIR_Coverage, 21584,
     /* 112137 */   GIR_EraseRootFromParent_Done,
     /* 112138 */ // Label 2428: @112138
     /* 112138 */ GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(112164), // Rule ID 12570 //
     /* 112143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 112146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112157 */   // (sext:{ *:[v4i64] } VR128X:{ *:[v4i32] }:$src)  =>  (VPMOVSXDQZ256rr:{ *:[v4i64] } VR128X:{ *:[v4i32] }:$src)
     /* 112157 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQZ256rr),
     /* 112162 */   GIR_RootConstrainSelectedInstOperands,
     /* 112163 */   // GIR_Coverage, 12570,
     /* 112163 */   GIR_Done,
     /* 112164 */ // Label 2429: @112164
     /* 112164 */ GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(112190), // Rule ID 12592 //
     /* 112169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 112172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 112175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 112183 */   // (sext:{ *:[v4i64] } VK4:{ *:[v4i1] }:$src)  =>  (VPMOVM2QZ256rk:{ *:[v4i64] } VK4:{ *:[v4i1] }:$src)
     /* 112183 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2QZ256rk),
     /* 112188 */   GIR_RootConstrainSelectedInstOperands,
     /* 112189 */   // GIR_Coverage, 12592,
     /* 112189 */   GIR_Done,
     /* 112190 */ // Label 2430: @112190
     /* 112190 */ GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(112216), // Rule ID 18377 //
     /* 112195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 112198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 112201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 112209 */   // (sext:{ *:[v4i64] } VR128:{ *:[v4i32] }:$src)  =>  (VPMOVSXDQYrr:{ *:[v4i64] } VR128:{ *:[v4i32] }:$src)
     /* 112209 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQYrr),
     /* 112214 */   GIR_RootConstrainSelectedInstOperands,
     /* 112215 */   // GIR_Coverage, 18377,
     /* 112215 */   GIR_Done,
     /* 112216 */ // Label 2431: @112216
     /* 112216 */ GIM_Reject,
     /* 112217 */ // Label 2409: @112217
     /* 112217 */ GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(112285),
     /* 112222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 112225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 112233 */   GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(112248), // Rule ID 12587 //
     /* 112238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 112241 */     // (sext:{ *:[v8i16] } VK8:{ *:[v8i1] }:$src)  =>  (VPMOVM2WZ128rk:{ *:[v8i16] } VK8:{ *:[v8i1] }:$src)
     /* 112241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2WZ128rk),
     /* 112246 */     GIR_RootConstrainSelectedInstOperands,
     /* 112247 */     // GIR_Coverage, 12587,
     /* 112247 */     GIR_Done,
     /* 112248 */   // Label 2433: @112248
     /* 112248 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(112284), // Rule ID 21660 //
     /* 112253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX_NoBWI),
     /* 112256 */     // (sext:{ *:[v8i16] } VK8:{ *:[v8i1] }:$src)  =>  (VPMOVDWZ256rr:{ *:[v8i16] } (VPMOVM2DZ256rk:{ *:[v8i32] } VK8:{ *:[v8i1] }:$src))
     /* 112256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 112259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZ256rk),
     /* 112263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112268 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 112272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZ256rr),
     /* 112277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112282 */     GIR_RootConstrainSelectedInstOperands,
     /* 112283 */     // GIR_Coverage, 21660,
     /* 112283 */     GIR_EraseRootFromParent_Done,
     /* 112284 */   // Label 2434: @112284
     /* 112284 */   GIM_Reject,
     /* 112285 */ // Label 2432: @112285
     /* 112285 */ GIM_Reject,
     /* 112286 */ // Label 2410: @112286
     /* 112286 */ GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(112345), // Rule ID 18385 //
     /* 112291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 112294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112301 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112305 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112309 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112312 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112316 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112320 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112322 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112329 */   // (sext:{ *:[v8i32] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXWDYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 112329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDYrm),
     /* 112332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112334 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112338 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112343 */   GIR_RootConstrainSelectedInstOperands,
     /* 112344 */   // GIR_Coverage, 18385,
     /* 112344 */   GIR_EraseRootFromParent_Done,
     /* 112345 */ // Label 2435: @112345
     /* 112345 */ GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(112404), // Rule ID 21583 //
     /* 112350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 112353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112360 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112364 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112368 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112371 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112375 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112379 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112381 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112388 */   // (sext:{ *:[v8i32] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXWDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 112388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDZ256rm),
     /* 112391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112393 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112397 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112402 */   GIR_RootConstrainSelectedInstOperands,
     /* 112403 */   // GIR_Coverage, 21583,
     /* 112403 */   GIR_EraseRootFromParent_Done,
     /* 112404 */ // Label 2436: @112404
     /* 112404 */ GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(112430), // Rule ID 12534 //
     /* 112409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 112412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112423 */   // (sext:{ *:[v8i32] } VR128X:{ *:[v8i16] }:$src)  =>  (VPMOVSXWDZ256rr:{ *:[v8i32] } VR128X:{ *:[v8i16] }:$src)
     /* 112423 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDZ256rr),
     /* 112428 */   GIR_RootConstrainSelectedInstOperands,
     /* 112429 */   // GIR_Coverage, 12534,
     /* 112429 */   GIR_Done,
     /* 112430 */ // Label 2437: @112430
     /* 112430 */ GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(112456), // Rule ID 12589 //
     /* 112435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 112438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 112441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 112449 */   // (sext:{ *:[v8i32] } VK8:{ *:[v8i1] }:$src)  =>  (VPMOVM2DZ256rk:{ *:[v8i32] } VK8:{ *:[v8i1] }:$src)
     /* 112449 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZ256rk),
     /* 112454 */   GIR_RootConstrainSelectedInstOperands,
     /* 112455 */   // GIR_Coverage, 12589,
     /* 112455 */   GIR_Done,
     /* 112456 */ // Label 2438: @112456
     /* 112456 */ GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(112482), // Rule ID 18375 //
     /* 112461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 112464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 112475 */   // (sext:{ *:[v8i32] } VR128:{ *:[v8i16] }:$src)  =>  (VPMOVSXWDYrr:{ *:[v8i32] } VR128:{ *:[v8i16] }:$src)
     /* 112475 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDYrr),
     /* 112480 */   GIR_RootConstrainSelectedInstOperands,
     /* 112481 */   // GIR_Coverage, 18375,
     /* 112481 */   GIR_Done,
     /* 112482 */ // Label 2439: @112482
     /* 112482 */ GIM_Reject,
     /* 112483 */ // Label 2411: @112483
     /* 112483 */ GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(112542), // Rule ID 21588 //
     /* 112488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 112491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112498 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112502 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112506 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112509 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112513 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112517 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112519 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112526 */   // (sext:{ *:[v8i64] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXWQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 112526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWQZrm),
     /* 112529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112531 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112535 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112540 */   GIR_RootConstrainSelectedInstOperands,
     /* 112541 */   // GIR_Coverage, 21588,
     /* 112541 */   GIR_EraseRootFromParent_Done,
     /* 112542 */ // Label 2440: @112542
     /* 112542 */ GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(112601), // Rule ID 21589 //
     /* 112547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 112550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 112553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112557 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112561 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112565 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112568 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112572 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112576 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112578 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112585 */   // (sext:{ *:[v8i64] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXDQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 112585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQZrm),
     /* 112588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112590 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112594 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112599 */   GIR_RootConstrainSelectedInstOperands,
     /* 112600 */   // GIR_Coverage, 21589,
     /* 112600 */   GIR_EraseRootFromParent_Done,
     /* 112601 */ // Label 2441: @112601
     /* 112601 */ GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(112627), // Rule ID 12558 //
     /* 112606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 112609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112620 */   // (sext:{ *:[v8i64] } VR128X:{ *:[v8i16] }:$src)  =>  (VPMOVSXWQZrr:{ *:[v8i64] } VR128X:{ *:[v8i16] }:$src)
     /* 112620 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWQZrr),
     /* 112625 */   GIR_RootConstrainSelectedInstOperands,
     /* 112626 */   // GIR_Coverage, 12558,
     /* 112626 */   GIR_Done,
     /* 112627 */ // Label 2442: @112627
     /* 112627 */ GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(112653), // Rule ID 12576 //
     /* 112632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 112635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 112638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112646 */   // (sext:{ *:[v8i64] } VR256X:{ *:[v8i32] }:$src)  =>  (VPMOVSXDQZrr:{ *:[v8i64] } VR256X:{ *:[v8i32] }:$src)
     /* 112646 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXDQZrr),
     /* 112651 */   GIR_RootConstrainSelectedInstOperands,
     /* 112652 */   // GIR_Coverage, 12576,
     /* 112652 */   GIR_Done,
     /* 112653 */ // Label 2443: @112653
     /* 112653 */ GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(112679), // Rule ID 12591 //
     /* 112658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 112661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 112664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 112668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 112672 */   // (sext:{ *:[v8i64] } VK8:{ *:[v8i1] }:$src)  =>  (VPMOVM2QZrk:{ *:[v8i64] } VK8:{ *:[v8i1] }:$src)
     /* 112672 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2QZrk),
     /* 112677 */   GIR_RootConstrainSelectedInstOperands,
     /* 112678 */   // GIR_Coverage, 12591,
     /* 112678 */   GIR_Done,
     /* 112679 */ // Label 2444: @112679
     /* 112679 */ GIM_Reject,
     /* 112680 */ // Label 2412: @112680
     /* 112680 */ GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(112748),
     /* 112685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 112688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 112696 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(112711), // Rule ID 12584 //
     /* 112701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 112704 */     // (sext:{ *:[v16i8] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVM2BZ128rk:{ *:[v16i8] } VK16:{ *:[v16i1] }:$src)
     /* 112704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2BZ128rk),
     /* 112709 */     GIR_RootConstrainSelectedInstOperands,
     /* 112710 */     // GIR_Coverage, 12584,
     /* 112710 */     GIR_Done,
     /* 112711 */   // Label 2446: @112711
     /* 112711 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(112747), // Rule ID 21658 //
     /* 112716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_NoBWI),
     /* 112719 */     // (sext:{ *:[v16i8] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVDBZrr:{ *:[v16i8] } (VPMOVM2DZrk:{ *:[v16i32] } VK16:{ *:[v16i1] }:$src))
     /* 112719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 112722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZrk),
     /* 112726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 112735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDBZrr),
     /* 112740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112745 */     GIR_RootConstrainSelectedInstOperands,
     /* 112746 */     // GIR_Coverage, 21658,
     /* 112746 */     GIR_EraseRootFromParent_Done,
     /* 112747 */   // Label 2447: @112747
     /* 112747 */   GIM_Reject,
     /* 112748 */ // Label 2445: @112748
     /* 112748 */ GIM_Reject,
     /* 112749 */ // Label 2413: @112749
     /* 112749 */ GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(112808), // Rule ID 18379 //
     /* 112754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 112757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 112760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112764 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112768 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112772 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112775 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112779 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112783 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112785 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112792 */   // (sext:{ *:[v16i16] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXBWYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 112792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWYrm),
     /* 112795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112797 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112801 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112806 */   GIR_RootConstrainSelectedInstOperands,
     /* 112807 */   // GIR_Coverage, 18379,
     /* 112807 */   GIR_EraseRootFromParent_Done,
     /* 112808 */ // Label 2448: @112808
     /* 112808 */ GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(112867), // Rule ID 21582 //
     /* 112813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 112816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 112819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112823 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 112827 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 112831 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112834 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 112838 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 112842 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112844 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 112851 */   // (sext:{ *:[v16i16] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXBWZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 112851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWZ256rm),
     /* 112854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112856 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 112860 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112865 */   GIR_RootConstrainSelectedInstOperands,
     /* 112866 */   // GIR_Coverage, 21582,
     /* 112866 */   GIR_EraseRootFromParent_Done,
     /* 112867 */ // Label 2449: @112867
     /* 112867 */ GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(112893), // Rule ID 12480 //
     /* 112872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 112875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 112878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 112886 */   // (sext:{ *:[v16i16] } VR128X:{ *:[v16i8] }:$src)  =>  (VPMOVSXBWZ256rr:{ *:[v16i16] } VR128X:{ *:[v16i8] }:$src)
     /* 112886 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWZ256rr),
     /* 112891 */   GIR_RootConstrainSelectedInstOperands,
     /* 112892 */   // GIR_Coverage, 12480,
     /* 112892 */   GIR_Done,
     /* 112893 */ // Label 2450: @112893
     /* 112893 */ GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(112919), // Rule ID 12586 //
     /* 112898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 112901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 112904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 112912 */   // (sext:{ *:[v16i16] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVM2WZ256rk:{ *:[v16i16] } VK16:{ *:[v16i1] }:$src)
     /* 112912 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2WZ256rk),
     /* 112917 */   GIR_RootConstrainSelectedInstOperands,
     /* 112918 */   // GIR_Coverage, 12586,
     /* 112918 */   GIR_Done,
     /* 112919 */ // Label 2451: @112919
     /* 112919 */ GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(112945), // Rule ID 18372 //
     /* 112924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 112927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 112930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 112934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 112938 */   // (sext:{ *:[v16i16] } VR128:{ *:[v16i8] }:$src)  =>  (VPMOVSXBWYrr:{ *:[v16i16] } VR128:{ *:[v16i8] }:$src)
     /* 112938 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWYrr),
     /* 112943 */   GIR_RootConstrainSelectedInstOperands,
     /* 112944 */   // GIR_Coverage, 18372,
     /* 112944 */   GIR_Done,
     /* 112945 */ // Label 2452: @112945
     /* 112945 */ GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(112992), // Rule ID 21659 //
     /* 112950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_NoBWI),
     /* 112953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 112956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 112960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 112964 */   // (sext:{ *:[v16i16] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVDWZrr:{ *:[v16i16] } (VPMOVM2DZrk:{ *:[v16i32] } VK16:{ *:[v16i1] }:$src))
     /* 112964 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 112967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZrk),
     /* 112971 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112976 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 112980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVDWZrr),
     /* 112985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112990 */   GIR_RootConstrainSelectedInstOperands,
     /* 112991 */   // GIR_Coverage, 21659,
     /* 112991 */   GIR_EraseRootFromParent_Done,
     /* 112992 */ // Label 2453: @112992
     /* 112992 */ GIM_Reject,
     /* 112993 */ // Label 2414: @112993
     /* 112993 */ GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(113052), // Rule ID 21586 //
     /* 112998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 113001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 113004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113008 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113012 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 113016 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113019 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 113023 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 113027 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113029 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 113036 */   // (sext:{ *:[v16i32] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXBDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 113036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBDZrm),
     /* 113039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113041 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 113045 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113050 */   GIR_RootConstrainSelectedInstOperands,
     /* 113051 */   // GIR_Coverage, 21586,
     /* 113051 */   GIR_EraseRootFromParent_Done,
     /* 113052 */ // Label 2454: @113052
     /* 113052 */ GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(113111), // Rule ID 21587 //
     /* 113057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 113060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 113063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113067 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113071 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 113075 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113078 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 113082 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 113086 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113088 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 113095 */   // (sext:{ *:[v16i32] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXWDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 113095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDZrm),
     /* 113098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113100 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 113104 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113109 */   GIR_RootConstrainSelectedInstOperands,
     /* 113110 */   // GIR_Coverage, 21587,
     /* 113110 */   GIR_EraseRootFromParent_Done,
     /* 113111 */ // Label 2455: @113111
     /* 113111 */ GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(113137), // Rule ID 12504 //
     /* 113116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 113119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 113122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 113130 */   // (sext:{ *:[v16i32] } VR128X:{ *:[v16i8] }:$src)  =>  (VPMOVSXBDZrr:{ *:[v16i32] } VR128X:{ *:[v16i8] }:$src)
     /* 113130 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBDZrr),
     /* 113135 */   GIR_RootConstrainSelectedInstOperands,
     /* 113136 */   // GIR_Coverage, 12504,
     /* 113136 */   GIR_Done,
     /* 113137 */ // Label 2456: @113137
     /* 113137 */ GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(113163), // Rule ID 12540 //
     /* 113142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 113145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 113148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113156 */   // (sext:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src)  =>  (VPMOVSXWDZrr:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src)
     /* 113156 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXWDZrr),
     /* 113161 */   GIR_RootConstrainSelectedInstOperands,
     /* 113162 */   // GIR_Coverage, 12540,
     /* 113162 */   GIR_Done,
     /* 113163 */ // Label 2457: @113163
     /* 113163 */ GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(113189), // Rule ID 12588 //
     /* 113168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 113171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 113174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 113182 */   // (sext:{ *:[v16i32] } VK16:{ *:[v16i1] }:$src)  =>  (VPMOVM2DZrk:{ *:[v16i32] } VK16:{ *:[v16i1] }:$src)
     /* 113182 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2DZrk),
     /* 113187 */   GIR_RootConstrainSelectedInstOperands,
     /* 113188 */   // GIR_Coverage, 12588,
     /* 113188 */   GIR_Done,
     /* 113189 */ // Label 2458: @113189
     /* 113189 */ GIM_Reject,
     /* 113190 */ // Label 2415: @113190
     /* 113190 */ GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(113216), // Rule ID 12583 //
     /* 113195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 113198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 113201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 113209 */   // (sext:{ *:[v32i8] } VK32:{ *:[v32i1] }:$src)  =>  (VPMOVM2BZ256rk:{ *:[v32i8] } VK32:{ *:[v32i1] }:$src)
     /* 113209 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2BZ256rk),
     /* 113214 */   GIR_RootConstrainSelectedInstOperands,
     /* 113215 */   // GIR_Coverage, 12583,
     /* 113215 */   GIR_Done,
     /* 113216 */ // Label 2459: @113216
     /* 113216 */ GIM_Reject,
     /* 113217 */ // Label 2416: @113217
     /* 113217 */ GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(113276), // Rule ID 21585 //
     /* 113222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 113225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 113228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113232 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113236 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 113240 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113243 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 113247 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 113251 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113253 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 113260 */   // (sext:{ *:[v32i16] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVSXBWZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /* 113260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWZrm),
     /* 113263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113265 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 113269 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113274 */   GIR_RootConstrainSelectedInstOperands,
     /* 113275 */   // GIR_Coverage, 21585,
     /* 113275 */   GIR_EraseRootFromParent_Done,
     /* 113276 */ // Label 2460: @113276
     /* 113276 */ GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(113302), // Rule ID 12486 //
     /* 113281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 113284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 113287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 113295 */   // (sext:{ *:[v32i16] } VR256X:{ *:[v32i8] }:$src)  =>  (VPMOVSXBWZrr:{ *:[v32i16] } VR256X:{ *:[v32i8] }:$src)
     /* 113295 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVSXBWZrr),
     /* 113300 */   GIR_RootConstrainSelectedInstOperands,
     /* 113301 */   // GIR_Coverage, 12486,
     /* 113301 */   GIR_Done,
     /* 113302 */ // Label 2461: @113302
     /* 113302 */ GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(113328), // Rule ID 12585 //
     /* 113307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 113310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 113313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 113321 */   // (sext:{ *:[v32i16] } VK32:{ *:[v32i1] }:$src)  =>  (VPMOVM2WZrk:{ *:[v32i16] } VK32:{ *:[v32i1] }:$src)
     /* 113321 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2WZrk),
     /* 113326 */   GIR_RootConstrainSelectedInstOperands,
     /* 113327 */   // GIR_Coverage, 12585,
     /* 113327 */   GIR_Done,
     /* 113328 */ // Label 2462: @113328
     /* 113328 */ GIM_Reject,
     /* 113329 */ // Label 2417: @113329
     /* 113329 */ GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(113355), // Rule ID 12582 //
     /* 113334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 113337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 113340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 113344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 113348 */   // (sext:{ *:[v64i8] } VK64:{ *:[v64i1] }:$src)  =>  (VPMOVM2BZrk:{ *:[v64i8] } VK64:{ *:[v64i1] }:$src)
     /* 113348 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVM2BZrk),
     /* 113353 */   GIR_RootConstrainSelectedInstOperands,
     /* 113354 */   // GIR_Coverage, 12582,
     /* 113354 */   GIR_Done,
     /* 113355 */ // Label 2463: @113355
     /* 113355 */ GIM_Reject,
     /* 113356 */ // Label 2418: @113356
     /* 113356 */ GIM_Reject,
     /* 113357 */ // Label 24: @113357
     /* 113357 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2466*/ GIMT_Encode4(113598),
     /* 113368 */ /*GILLT_s16*//*Label 2464*/ GIMT_Encode4(113376),
     /* 113372 */ /*GILLT_s32*//*Label 2465*/ GIMT_Encode4(113472),
     /* 113376 */ // Label 2464: @113376
     /* 113376 */ GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(113471), // Rule ID 22640 //
     /* 113381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 113384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 113388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 113392 */   // MIs[0] Operand 2
     /* 113392 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 113403 */   // (sext_inreg:{ *:[i16] } GR16:{ *:[i16] }:$src, i8:{ *:[Other] })  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVSX32rr8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i8] } GR16:{ *:[i16] }:$src, sub_8bit:{ *:[i32] })), sub_16bit:{ *:[i32] })
     /* 113403 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s8,
     /* 113406 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113410 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113415 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src
     /* 113421 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 113426 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::GR16RegClassID),
     /* 113431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 113434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr8),
     /* 113438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113443 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 113446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 113448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113453 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 113460 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 113465 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 113470 */   // GIR_Coverage, 22640,
     /* 113470 */   GIR_EraseRootFromParent_Done,
     /* 113471 */ // Label 2467: @113471
     /* 113471 */ GIM_Reject,
     /* 113472 */ // Label 2465: @113472
     /* 113472 */ GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(113597),
     /* 113477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 113480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 113484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 113488 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(113542), // Rule ID 22638 //
     /* 113493 */     // MIs[0] Operand 2
     /* 113493 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 113504 */     // (sext_inreg:{ *:[i32] } GR32:{ *:[i32] }:$src, i16:{ *:[Other] })  =>  (MOVSX32rr16:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i16] } GR32:{ *:[i32] }:$src, sub_16bit:{ *:[i32] }))
     /* 113504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113516 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(4), // src
     /* 113522 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 113527 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 113532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr16),
     /* 113535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113540 */     GIR_RootConstrainSelectedInstOperands,
     /* 113541 */     // GIR_Coverage, 22638,
     /* 113541 */     GIR_EraseRootFromParent_Done,
     /* 113542 */   // Label 2469: @113542
     /* 113542 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(113596), // Rule ID 22639 //
     /* 113547 */     // MIs[0] Operand 2
     /* 113547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 113558 */     // (sext_inreg:{ *:[i32] } GR32:{ *:[i32] }:$src, i8:{ *:[Other] })  =>  (MOVSX32rr8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i8] } GR32:{ *:[i32] }:$src, sub_8bit:{ *:[i32] }))
     /* 113558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 113561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113570 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(1), // src
     /* 113576 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR8RegClassID),
     /* 113581 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 113586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVSX32rr8),
     /* 113589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113594 */     GIR_RootConstrainSelectedInstOperands,
     /* 113595 */     // GIR_Coverage, 22639,
     /* 113595 */     GIR_EraseRootFromParent_Done,
     /* 113596 */   // Label 2470: @113596
     /* 113596 */   GIM_Reject,
     /* 113597 */ // Label 2468: @113597
     /* 113597 */ GIM_Reject,
     /* 113598 */ // Label 2466: @113598
     /* 113598 */ GIM_Reject,
     /* 113599 */ // Label 25: @113599
     /* 113599 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 2480*/ GIMT_Encode4(115582),
     /* 113610 */ /*GILLT_s16*//*Label 2471*/ GIMT_Encode4(113694),
     /* 113614 */ /*GILLT_s32*//*Label 2472*/ GIMT_Encode4(113752),
     /* 113618 */ /*GILLT_s64*//*Label 2473*/ GIMT_Encode4(114104), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 113646 */ /*GILLT_v4s64*//*Label 2474*/ GIMT_Encode4(114651), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 113658 */ /*GILLT_v8s32*//*Label 2475*/ GIMT_Encode4(114819),
     /* 113662 */ /*GILLT_v8s64*//*Label 2476*/ GIMT_Encode4(114987), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 113674 */ /*GILLT_v16s16*//*Label 2477*/ GIMT_Encode4(115158),
     /* 113678 */ /*GILLT_v16s32*//*Label 2478*/ GIMT_Encode4(115326), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 113690 */ /*GILLT_v32s16*//*Label 2479*/ GIMT_Encode4(115497),
     /* 113694 */ // Label 2471: @113694
     /* 113694 */ GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(113751), // Rule ID 22646 //
     /* 113699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 113702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 113706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 113710 */   // (zext:{ *:[i16] } GR8:{ *:[i8] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i16] } (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_16bit:{ *:[i32] })
     /* 113710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 113713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 113717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113722 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 113726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 113728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113733 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_16bit),
     /* 113740 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR16RegClassID),
     /* 113745 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::GR32RegClassID),
     /* 113750 */   // GIR_Coverage, 22646,
     /* 113750 */   GIR_EraseRootFromParent_Done,
     /* 113751 */ // Label 2481: @113751
     /* 113751 */ GIM_Reject,
     /* 113752 */ // Label 2472: @113752
     /* 113752 */ GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(113875), // Rule ID 22970 //
     /* 113757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasZU),
     /* 113760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 113763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 113767 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113771 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 113775 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 113779 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 113783 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 113787 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 113791 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113794 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 113798 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 113802 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 113806 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 113810 */   // MIs[3] Operand 1
     /* 113810 */   // No operand predicates
     /* 113810 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 113812 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 113819 */   // (zext:{ *:[i32] } (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i16] }):$src2))  =>  (SUBREG_TO_REG:{ *:[i32] } 0:{ *:[i32] }, (IMULZU16rmi:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2), sub_16bit:{ *:[i32] })
     /* 113819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::IMULZU16rmi),
     /* 113826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113831 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src1
     /* 113835 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // src2
     /* 113838 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 113841 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 113848 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 113850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 113853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113858 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 113864 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 113869 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 113874 */   // GIR_Coverage, 22970,
     /* 113874 */   GIR_EraseRootFromParent_Done,
     /* 113875 */ // Label 2482: @113875
     /* 113875 */ GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(113970), // Rule ID 22969 //
     /* 113880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasZU),
     /* 113883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 113886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 113890 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113894 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 113898 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 113902 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 113906 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 113911 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 113915 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 113919 */   // MIs[2] Operand 1
     /* 113919 */   // No operand predicates
     /* 113919 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 113921 */   // (zext:{ *:[i32] } (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2))  =>  (SUBREG_TO_REG:{ *:[i32] } 0:{ *:[i32] }, (IMULZU16rri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2), sub_16bit:{ *:[i32] })
     /* 113921 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113924 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::IMULZU16rri),
     /* 113928 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113933 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 113937 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // src2
     /* 113940 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 113943 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 113945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 113948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 113950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 113953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 113959 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBPRegClassID),
     /* 113964 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 113969 */   // GIR_Coverage, 22969,
     /* 113969 */   GIR_EraseRootFromParent_Done,
     /* 113970 */ // Label 2483: @113970
     /* 113970 */ GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(114012), // Rule ID 19434 //
     /* 113975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 113978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 113982 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 113986 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 113990 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 113994 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 113999 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114001 */   // (zext:{ *:[i32] } (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src))  =>  (KMOVWrk:{ *:[i32] } VK16:{ *:[v16i1] }:$src)
     /* 114001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVWrk),
     /* 114004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114006 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 114010 */   GIR_RootConstrainSelectedInstOperands,
     /* 114011 */   // GIR_Coverage, 19434,
     /* 114011 */   GIR_EraseRootFromParent_Done,
     /* 114012 */ // Label 2484: @114012
     /* 114012 */ GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(114057), // Rule ID 19437 //
     /* 114017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 114020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 114023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 114027 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114031 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 114035 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 114039 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 114044 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114046 */   // (zext:{ *:[i32] } (bitconvert:{ *:[i8] } VK8:{ *:[v8i1] }:$src))  =>  (KMOVBrk:{ *:[i32] } VK8:{ *:[v8i1] }:$src)
     /* 114046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::KMOVBrk),
     /* 114049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114051 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 114055 */   GIR_RootConstrainSelectedInstOperands,
     /* 114056 */   // GIR_Coverage, 19437,
     /* 114056 */   GIR_EraseRootFromParent_Done,
     /* 114057 */ // Label 2485: @114057
     /* 114057 */ GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(114080), // Rule ID 618 //
     /* 114062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 114065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 114069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 114073 */   // (zext:{ *:[i32] } GR8:{ *:[i8] }:$src)  =>  (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src)
     /* 114073 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 114078 */   GIR_RootConstrainSelectedInstOperands,
     /* 114079 */   // GIR_Coverage, 618,
     /* 114079 */   GIR_Done,
     /* 114080 */ // Label 2486: @114080
     /* 114080 */ GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(114103), // Rule ID 620 //
     /* 114085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 114092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 114096 */   // (zext:{ *:[i32] } GR16:{ *:[i16] }:$src)  =>  (MOVZX32rr16:{ *:[i32] } GR16:{ *:[i16] }:$src)
     /* 114096 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr16),
     /* 114101 */   GIR_RootConstrainSelectedInstOperands,
     /* 114102 */   // GIR_Coverage, 620,
     /* 114102 */   GIR_Done,
     /* 114103 */ // Label 2487: @114103
     /* 114103 */ GIM_Reject,
     /* 114104 */ // Label 2473: @114104
     /* 114104 */ GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(114227), // Rule ID 22972 //
     /* 114109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasZU),
     /* 114112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114119 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114123 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 114127 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 114131 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 114135 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 114139 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 114143 */   GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114146 */   GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 114150 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 114154 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 114158 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114162 */   // MIs[3] Operand 1
     /* 114162 */   // No operand predicates
     /* 114162 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 114164 */   GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 114171 */   // (zext:{ *:[i64] } (mul:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i16] }):$src2))  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (IMULZU16rmi:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i16] }):$src2), sub_16bit:{ *:[i32] })
     /* 114171 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114174 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::IMULZU16rmi),
     /* 114178 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114183 */   GIR_ComplexRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), // src1
     /* 114187 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // src2
     /* 114190 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 114193 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 114200 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114210 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 114216 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114221 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 114226 */   // GIR_Coverage, 22972,
     /* 114226 */   GIR_EraseRootFromParent_Done,
     /* 114227 */ // Label 2488: @114227
     /* 114227 */ GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(114322), // Rule ID 22971 //
     /* 114232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasZU),
     /* 114235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114242 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114246 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 114250 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 114254 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 114258 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 114263 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 114267 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114271 */   // MIs[2] Operand 1
     /* 114271 */   // No operand predicates
     /* 114271 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 114273 */   // (zext:{ *:[i64] } (mul:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2))  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (IMULZU16rri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i16] }):$src2), sub_16bit:{ *:[i32] })
     /* 114273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::IMULZU16rri),
     /* 114280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114285 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src1
     /* 114289 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // src2
     /* 114292 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for X86::EFLAGS*/0,
     /* 114295 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114305 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 114311 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114316 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR16RegClassID),
     /* 114321 */   // GIR_Coverage, 22971,
     /* 114321 */   GIR_EraseRootFromParent_Done,
     /* 114322 */ // Label 2489: @114322
     /* 114322 */ GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(114396), // Rule ID 19435 //
     /* 114327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114334 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114338 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 114342 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 114346 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 114351 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114353 */   // (zext:{ *:[i64] } (bitconvert:{ *:[i16] } VK16:{ *:[v16i1] }:$src))  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (KMOVWrk:{ *:[i32] } VK16:{ *:[v16i1] }:$src), sub_32bit:{ *:[i32] })
     /* 114353 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114356 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVWrk),
     /* 114360 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114365 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 114369 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114379 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114385 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114390 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114395 */   // GIR_Coverage, 19435,
     /* 114395 */   GIR_EraseRootFromParent_Done,
     /* 114396 */ // Label 2490: @114396
     /* 114396 */ GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(114473), // Rule ID 19438 //
     /* 114401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 114404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 114407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114411 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114415 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 114419 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 114423 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 114428 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114430 */   // (zext:{ *:[i64] } (bitconvert:{ *:[i8] } VK8:{ *:[v8i1] }:$src))  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (KMOVBrk:{ *:[i32] } VK8:{ *:[v8i1] }:$src), sub_32bit:{ *:[i32] })
     /* 114430 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114433 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KMOVBrk),
     /* 114437 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114442 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // src
     /* 114446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114462 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114467 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114472 */   // GIR_Coverage, 19438,
     /* 114472 */   GIR_EraseRootFromParent_Done,
     /* 114473 */ // Label 2491: @114473
     /* 114473 */ GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(114532), // Rule ID 17589 //
     /* 114478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 114481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 114489 */   // (zext:{ *:[i64] } GR8:{ *:[i8] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rr8:{ *:[i32] } GR8:{ *:[i8] }:$src), sub_32bit:{ *:[i32] })
     /* 114489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr8),
     /* 114496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114501 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 114505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114515 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114521 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114526 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114531 */   // GIR_Coverage, 17589,
     /* 114531 */   GIR_EraseRootFromParent_Done,
     /* 114532 */ // Label 2492: @114532
     /* 114532 */ GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(114591), // Rule ID 17591 //
     /* 114537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 114540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 114548 */   // (zext:{ *:[i64] } GR16:{ *:[i16] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVZX32rr16:{ *:[i32] } GR16:{ *:[i16] }:$src), sub_32bit:{ *:[i32] })
     /* 114548 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114551 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOVZX32rr16),
     /* 114555 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114560 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 114564 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114580 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114585 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114590 */   // GIR_Coverage, 17591,
     /* 114590 */   GIR_EraseRootFromParent_Done,
     /* 114591 */ // Label 2493: @114591
     /* 114591 */ GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(114650), // Rule ID 17593 //
     /* 114596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 114599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 114603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 114607 */   // (zext:{ *:[i64] } GR32:{ *:[i32] }:$src)  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOV32rr:{ *:[i32] } GR32:{ *:[i32] }:$src), sub_32bit:{ *:[i32] })
     /* 114607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::MOV32rr),
     /* 114614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114619 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 114623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 114625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 114628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 114633 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 114639 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::GR64RegClassID),
     /* 114644 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(X86::GR32RegClassID),
     /* 114649 */   // GIR_Coverage, 17593,
     /* 114649 */   GIR_EraseRootFromParent_Done,
     /* 114650 */ // Label 2494: @114650
     /* 114650 */ GIM_Reject,
     /* 114651 */ // Label 2474: @114651
     /* 114651 */ GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(114818),
     /* 114656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114659 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(114715), // Rule ID 18412 //
     /* 114664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 114667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 114671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 114679 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114682 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 114686 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 114690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114692 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 114699 */     // (zext:{ *:[v4i64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXDQYrm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 114699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQYrm),
     /* 114702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114704 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 114708 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114713 */     GIR_RootConstrainSelectedInstOperands,
     /* 114714 */     // GIR_Coverage, 18412,
     /* 114714 */     GIR_EraseRootFromParent_Done,
     /* 114715 */   // Label 2496: @114715
     /* 114715 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(114771), // Rule ID 21617 //
     /* 114720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 114723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 114727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 114735 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114738 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 114742 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 114746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114748 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 114755 */     // (zext:{ *:[v4i64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXDQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)
     /* 114755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQZ256rm),
     /* 114758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114760 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 114764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114769 */     GIR_RootConstrainSelectedInstOperands,
     /* 114770 */     // GIR_Coverage, 21617,
     /* 114770 */     GIR_EraseRootFromParent_Done,
     /* 114771 */   // Label 2497: @114771
     /* 114771 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(114794), // Rule ID 12462 //
     /* 114776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 114779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 114783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 114787 */     // (zext:{ *:[v4i64] } VR128X:{ *:[v4i32] }:$src)  =>  (VPMOVZXDQZ256rr:{ *:[v4i64] } VR128X:{ *:[v4i32] }:$src)
     /* 114787 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQZ256rr),
     /* 114792 */     GIR_RootConstrainSelectedInstOperands,
     /* 114793 */     // GIR_Coverage, 12462,
     /* 114793 */     GIR_Done,
     /* 114794 */   // Label 2498: @114794
     /* 114794 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(114817), // Rule ID 18400 //
     /* 114799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 114802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 114806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 114810 */     // (zext:{ *:[v4i64] } VR128:{ *:[v4i32] }:$src)  =>  (VPMOVZXDQYrr:{ *:[v4i64] } VR128:{ *:[v4i32] }:$src)
     /* 114810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQYrr),
     /* 114815 */     GIR_RootConstrainSelectedInstOperands,
     /* 114816 */     // GIR_Coverage, 18400,
     /* 114816 */     GIR_Done,
     /* 114817 */   // Label 2499: @114817
     /* 114817 */   GIM_Reject,
     /* 114818 */ // Label 2495: @114818
     /* 114818 */ GIM_Reject,
     /* 114819 */ // Label 2475: @114819
     /* 114819 */ GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(114986),
     /* 114824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114827 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(114883), // Rule ID 18408 //
     /* 114832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 114835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 114839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 114847 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114850 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 114854 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 114858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114860 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 114867 */     // (zext:{ *:[v8i32] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXWDYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 114867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDYrm),
     /* 114870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114872 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 114876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114881 */     GIR_RootConstrainSelectedInstOperands,
     /* 114882 */     // GIR_Coverage, 18408,
     /* 114882 */     GIR_EraseRootFromParent_Done,
     /* 114883 */   // Label 2501: @114883
     /* 114883 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(114939), // Rule ID 21616 //
     /* 114888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 114891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 114895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 114899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 114903 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114906 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 114910 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 114914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114916 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 114923 */     // (zext:{ *:[v8i32] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXWDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 114923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZ256rm),
     /* 114926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 114928 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 114932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114937 */     GIR_RootConstrainSelectedInstOperands,
     /* 114938 */     // GIR_Coverage, 21616,
     /* 114938 */     GIR_EraseRootFromParent_Done,
     /* 114939 */   // Label 2502: @114939
     /* 114939 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(114962), // Rule ID 12426 //
     /* 114944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 114947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 114951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 114955 */     // (zext:{ *:[v8i32] } VR128X:{ *:[v8i16] }:$src)  =>  (VPMOVZXWDZ256rr:{ *:[v8i32] } VR128X:{ *:[v8i16] }:$src)
     /* 114955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZ256rr),
     /* 114960 */     GIR_RootConstrainSelectedInstOperands,
     /* 114961 */     // GIR_Coverage, 12426,
     /* 114961 */     GIR_Done,
     /* 114962 */   // Label 2503: @114962
     /* 114962 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(114985), // Rule ID 18398 //
     /* 114967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 114970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 114974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 114978 */     // (zext:{ *:[v8i32] } VR128:{ *:[v8i16] }:$src)  =>  (VPMOVZXWDYrr:{ *:[v8i32] } VR128:{ *:[v8i16] }:$src)
     /* 114978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDYrr),
     /* 114983 */     GIR_RootConstrainSelectedInstOperands,
     /* 114984 */     // GIR_Coverage, 18398,
     /* 114984 */     GIR_Done,
     /* 114985 */   // Label 2504: @114985
     /* 114985 */   GIM_Reject,
     /* 114986 */ // Label 2500: @114986
     /* 114986 */ GIM_Reject,
     /* 114987 */ // Label 2476: @114987
     /* 114987 */ GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(115046), // Rule ID 21621 //
     /* 114992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 114995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115002 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115006 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115010 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115013 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115017 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115021 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115023 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115030 */   // (zext:{ *:[v8i64] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXWQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 115030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWQZrm),
     /* 115033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115035 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115039 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115044 */   GIR_RootConstrainSelectedInstOperands,
     /* 115045 */   // GIR_Coverage, 21621,
     /* 115045 */   GIR_EraseRootFromParent_Done,
     /* 115046 */ // Label 2505: @115046
     /* 115046 */ GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(115105), // Rule ID 21622 //
     /* 115051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 115057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115061 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115065 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115069 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115072 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115076 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115080 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115082 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115089 */   // (zext:{ *:[v8i64] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXDQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)
     /* 115089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQZrm),
     /* 115092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115094 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115098 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115103 */   GIR_RootConstrainSelectedInstOperands,
     /* 115104 */   // GIR_Coverage, 21622,
     /* 115104 */   GIR_EraseRootFromParent_Done,
     /* 115105 */ // Label 2506: @115105
     /* 115105 */ GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(115131), // Rule ID 12450 //
     /* 115110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 115116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 115124 */   // (zext:{ *:[v8i64] } VR128X:{ *:[v8i16] }:$src)  =>  (VPMOVZXWQZrr:{ *:[v8i64] } VR128X:{ *:[v8i16] }:$src)
     /* 115124 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWQZrr),
     /* 115129 */   GIR_RootConstrainSelectedInstOperands,
     /* 115130 */   // GIR_Coverage, 12450,
     /* 115130 */   GIR_Done,
     /* 115131 */ // Label 2507: @115131
     /* 115131 */ GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(115157), // Rule ID 12468 //
     /* 115136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 115142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115150 */   // (zext:{ *:[v8i64] } VR256X:{ *:[v8i32] }:$src)  =>  (VPMOVZXDQZrr:{ *:[v8i64] } VR256X:{ *:[v8i32] }:$src)
     /* 115150 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXDQZrr),
     /* 115155 */   GIR_RootConstrainSelectedInstOperands,
     /* 115156 */   // GIR_Coverage, 12468,
     /* 115156 */   GIR_Done,
     /* 115157 */ // Label 2508: @115157
     /* 115157 */ GIM_Reject,
     /* 115158 */ // Label 2477: @115158
     /* 115158 */ GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(115325),
     /* 115163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 115166 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(115222), // Rule ID 18402 //
     /* 115171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 115174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 115178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115186 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115189 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115193 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115206 */     // (zext:{ *:[v16i16] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXBWYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 115206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWYrm),
     /* 115209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115211 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115220 */     GIR_RootConstrainSelectedInstOperands,
     /* 115221 */     // GIR_Coverage, 18402,
     /* 115221 */     GIR_EraseRootFromParent_Done,
     /* 115222 */   // Label 2510: @115222
     /* 115222 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(115278), // Rule ID 21615 //
     /* 115227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 115230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115242 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115245 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115249 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115262 */     // (zext:{ *:[v16i16] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXBWZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 115262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWZ256rm),
     /* 115265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115267 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115276 */     GIR_RootConstrainSelectedInstOperands,
     /* 115277 */     // GIR_Coverage, 21615,
     /* 115277 */     GIR_EraseRootFromParent_Done,
     /* 115278 */   // Label 2511: @115278
     /* 115278 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(115301), // Rule ID 12372 //
     /* 115283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 115286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 115294 */     // (zext:{ *:[v16i16] } VR128X:{ *:[v16i8] }:$src)  =>  (VPMOVZXBWZ256rr:{ *:[v16i16] } VR128X:{ *:[v16i8] }:$src)
     /* 115294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWZ256rr),
     /* 115299 */     GIR_RootConstrainSelectedInstOperands,
     /* 115300 */     // GIR_Coverage, 12372,
     /* 115300 */     GIR_Done,
     /* 115301 */   // Label 2512: @115301
     /* 115301 */   GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(115324), // Rule ID 18395 //
     /* 115306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 115309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 115313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 115317 */     // (zext:{ *:[v16i16] } VR128:{ *:[v16i8] }:$src)  =>  (VPMOVZXBWYrr:{ *:[v16i16] } VR128:{ *:[v16i8] }:$src)
     /* 115317 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWYrr),
     /* 115322 */     GIR_RootConstrainSelectedInstOperands,
     /* 115323 */     // GIR_Coverage, 18395,
     /* 115323 */     GIR_Done,
     /* 115324 */   // Label 2513: @115324
     /* 115324 */   GIM_Reject,
     /* 115325 */ // Label 2509: @115325
     /* 115325 */ GIM_Reject,
     /* 115326 */ // Label 2478: @115326
     /* 115326 */ GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(115385), // Rule ID 21619 //
     /* 115331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 115337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115341 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115345 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115349 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115352 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115356 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115360 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115362 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115369 */   // (zext:{ *:[v16i32] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXBDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 115369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBDZrm),
     /* 115372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115374 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115378 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115383 */   GIR_RootConstrainSelectedInstOperands,
     /* 115384 */   // GIR_Coverage, 21619,
     /* 115384 */   GIR_EraseRootFromParent_Done,
     /* 115385 */ // Label 2514: @115385
     /* 115385 */ GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(115444), // Rule ID 21620 //
     /* 115390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 115396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115400 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115404 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115408 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115411 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115415 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115419 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115421 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115428 */   // (zext:{ *:[v16i32] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXWDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)
     /* 115428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZrm),
     /* 115431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115433 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115437 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115442 */   GIR_RootConstrainSelectedInstOperands,
     /* 115443 */   // GIR_Coverage, 21620,
     /* 115443 */   GIR_EraseRootFromParent_Done,
     /* 115444 */ // Label 2515: @115444
     /* 115444 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(115470), // Rule ID 12396 //
     /* 115449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 115455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 115463 */   // (zext:{ *:[v16i32] } VR128X:{ *:[v16i8] }:$src)  =>  (VPMOVZXBDZrr:{ *:[v16i32] } VR128X:{ *:[v16i8] }:$src)
     /* 115463 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBDZrr),
     /* 115468 */   GIR_RootConstrainSelectedInstOperands,
     /* 115469 */   // GIR_Coverage, 12396,
     /* 115469 */   GIR_Done,
     /* 115470 */ // Label 2516: @115470
     /* 115470 */ GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(115496), // Rule ID 12432 //
     /* 115475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 115478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 115481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115489 */   // (zext:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src)  =>  (VPMOVZXWDZrr:{ *:[v16i32] } VR256X:{ *:[v16i16] }:$src)
     /* 115489 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXWDZrr),
     /* 115494 */   GIR_RootConstrainSelectedInstOperands,
     /* 115495 */   // GIR_Coverage, 12432,
     /* 115495 */   GIR_Done,
     /* 115496 */ // Label 2517: @115496
     /* 115496 */ GIM_Reject,
     /* 115497 */ // Label 2479: @115497
     /* 115497 */ GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(115581),
     /* 115502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 115505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 115509 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(115561), // Rule ID 21618 //
     /* 115514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 115517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115525 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115528 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 115532 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115538 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115545 */     // (zext:{ *:[v32i16] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMOVZXBWZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)
     /* 115545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWZrm),
     /* 115548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115550 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 115554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115559 */     GIR_RootConstrainSelectedInstOperands,
     /* 115560 */     // GIR_Coverage, 21618,
     /* 115560 */     GIR_EraseRootFromParent_Done,
     /* 115561 */   // Label 2519: @115561
     /* 115561 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(115580), // Rule ID 12378 //
     /* 115566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 115569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 115573 */     // (zext:{ *:[v32i16] } VR256X:{ *:[v32i8] }:$src)  =>  (VPMOVZXBWZrr:{ *:[v32i16] } VR256X:{ *:[v32i8] }:$src)
     /* 115573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMOVZXBWZrr),
     /* 115578 */     GIR_RootConstrainSelectedInstOperands,
     /* 115579 */     // GIR_Coverage, 12378,
     /* 115579 */     GIR_Done,
     /* 115580 */   // Label 2520: @115580
     /* 115580 */   GIM_Reject,
     /* 115581 */ // Label 2518: @115581
     /* 115581 */ GIM_Reject,
     /* 115582 */ // Label 2480: @115582
     /* 115582 */ GIM_Reject,
     /* 115583 */ // Label 26: @115583
     /* 115583 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 2525*/ GIMT_Encode4(117866),
     /* 115594 */ /*GILLT_s8*//*Label 2521*/ GIMT_Encode4(115610),
     /* 115598 */ /*GILLT_s16*//*Label 2522*/ GIMT_Encode4(115985),
     /* 115602 */ /*GILLT_s32*//*Label 2523*/ GIMT_Encode4(116360),
     /* 115606 */ /*GILLT_s64*//*Label 2524*/ GIMT_Encode4(117113),
     /* 115610 */ // Label 2521: @115610
     /* 115610 */ GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(115984),
     /* 115615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 115618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 115621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 115625 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(115692), // Rule ID 672 //
     /* 115630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 115633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115641 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115644 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115648 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 115652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 115656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115660 */     // MIs[2] Operand 1
     /* 115660 */     // No operand predicates
     /* 115660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115662 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115669 */     // (shl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (SHL8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 115669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8mi_ND),
     /* 115672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115674 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 115678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 115681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 115684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115690 */     GIR_RootConstrainSelectedInstOperands,
     /* 115691 */     // GIR_Coverage, 672,
     /* 115691 */     GIR_EraseRootFromParent_Done,
     /* 115692 */   // Label 2527: @115692
     /* 115692 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(115765), // Rule ID 688 //
     /* 115697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 115700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 115704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 115708 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115711 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 115715 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 115719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 115723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115725 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 115732 */     // (shl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (SHL8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 115732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115736 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 115746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8mCL_ND),
     /* 115749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115751 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 115755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 115758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115763 */     GIR_RootConstrainSelectedInstOperands,
     /* 115764 */     // GIR_Coverage, 688,
     /* 115764 */     GIR_EraseRootFromParent_Done,
     /* 115765 */   // Label 2528: @115765
     /* 115765 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(115795), // Rule ID 22671 //
     /* 115770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 115773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 115777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 115781 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, 1:{ *:[i8] })  =>  (ADD8rr:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src1)
     /* 115781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rr),
     /* 115784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115786 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 115788 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 115790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 115793 */     GIR_RootConstrainSelectedInstOperands,
     /* 115794 */     // GIR_Coverage, 22671,
     /* 115794 */     GIR_EraseRootFromParent_Done,
     /* 115795 */   // Label 2529: @115795
     /* 115795 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(115825), // Rule ID 22675 //
     /* 115800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 115803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 115807 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 115811 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, 1:{ *:[i8] })  =>  (ADD8rr_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, GR8:{ *:[i8] }:$src1)
     /* 115811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD8rr_ND),
     /* 115814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115816 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 115818 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 115820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 115823 */     GIR_RootConstrainSelectedInstOperands,
     /* 115824 */     // GIR_Coverage, 22675,
     /* 115824 */     GIR_EraseRootFromParent_Done,
     /* 115825 */   // Label 2530: @115825
     /* 115825 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(115862), // Rule ID 660 //
     /* 115830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 115833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 115837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 115841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115845 */     // MIs[1] Operand 1
     /* 115845 */     // No operand predicates
     /* 115845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115847 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 115847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8ri),
     /* 115850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115852 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 115854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 115857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 115860 */     GIR_RootConstrainSelectedInstOperands,
     /* 115861 */     // GIR_Coverage, 660,
     /* 115861 */     GIR_EraseRootFromParent_Done,
     /* 115862 */   // Label 2531: @115862
     /* 115862 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(115899), // Rule ID 664 //
     /* 115867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 115870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 115874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 115878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115882 */     // MIs[1] Operand 1
     /* 115882 */     // No operand predicates
     /* 115882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115884 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 115884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8ri_ND),
     /* 115887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115889 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 115891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 115894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 115897 */     GIR_RootConstrainSelectedInstOperands,
     /* 115898 */     // GIR_Coverage, 664,
     /* 115898 */     GIR_EraseRootFromParent_Done,
     /* 115899 */   // Label 2532: @115899
     /* 115899 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(115941), // Rule ID 676 //
     /* 115904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 115907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 115911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 115915 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SHL8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 115915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 115929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8rCL),
     /* 115932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115934 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 115936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 115939 */     GIR_RootConstrainSelectedInstOperands,
     /* 115940 */     // GIR_Coverage, 676,
     /* 115940 */     GIR_EraseRootFromParent_Done,
     /* 115941 */   // Label 2533: @115941
     /* 115941 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(115983), // Rule ID 680 //
     /* 115946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 115949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 115953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 115957 */     // (shl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SHL8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 115957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115961 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115967 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 115971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL8rCL_ND),
     /* 115974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 115976 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 115978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 115981 */     GIR_RootConstrainSelectedInstOperands,
     /* 115982 */     // GIR_Coverage, 680,
     /* 115982 */     GIR_EraseRootFromParent_Done,
     /* 115983 */   // Label 2534: @115983
     /* 115983 */   GIM_Reject,
     /* 115984 */ // Label 2526: @115984
     /* 115984 */ GIM_Reject,
     /* 115985 */ // Label 2522: @115985
     /* 115985 */ GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(116359),
     /* 115990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 115993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 115996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116000 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(116067), // Rule ID 673 //
     /* 116005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116016 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116019 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116023 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 116027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 116031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116035 */     // MIs[2] Operand 1
     /* 116035 */     // No operand predicates
     /* 116035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116044 */     // (shl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (SHL16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16mi_ND),
     /* 116047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116049 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 116056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116065 */     GIR_RootConstrainSelectedInstOperands,
     /* 116066 */     // GIR_Coverage, 673,
     /* 116066 */     GIR_EraseRootFromParent_Done,
     /* 116067 */   // Label 2536: @116067
     /* 116067 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(116140), // Rule ID 689 //
     /* 116072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116083 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116086 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116090 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 116094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116100 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116107 */     // (shl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (SHL16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 116107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16mCL_ND),
     /* 116124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116126 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116138 */     GIR_RootConstrainSelectedInstOperands,
     /* 116139 */     // GIR_Coverage, 689,
     /* 116139 */     GIR_EraseRootFromParent_Done,
     /* 116140 */   // Label 2537: @116140
     /* 116140 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(116170), // Rule ID 22672 //
     /* 116145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116152 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 116156 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, 1:{ *:[i8] })  =>  (ADD16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src1)
     /* 116156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rr),
     /* 116159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116161 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116163 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116168 */     GIR_RootConstrainSelectedInstOperands,
     /* 116169 */     // GIR_Coverage, 22672,
     /* 116169 */     GIR_EraseRootFromParent_Done,
     /* 116170 */   // Label 2538: @116170
     /* 116170 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(116200), // Rule ID 22676 //
     /* 116175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 116178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116182 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 116186 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, 1:{ *:[i8] })  =>  (ADD16rr_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, GR16:{ *:[i16] }:$src1)
     /* 116186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD16rr_ND),
     /* 116189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116191 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116193 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116198 */     GIR_RootConstrainSelectedInstOperands,
     /* 116199 */     // GIR_Coverage, 22676,
     /* 116199 */     GIR_EraseRootFromParent_Done,
     /* 116200 */   // Label 2539: @116200
     /* 116200 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(116237), // Rule ID 661 //
     /* 116205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 116216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116220 */     // MIs[1] Operand 1
     /* 116220 */     // No operand predicates
     /* 116220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116222 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16ri),
     /* 116225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116227 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 116232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116235 */     GIR_RootConstrainSelectedInstOperands,
     /* 116236 */     // GIR_Coverage, 661,
     /* 116236 */     GIR_EraseRootFromParent_Done,
     /* 116237 */   // Label 2540: @116237
     /* 116237 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(116274), // Rule ID 665 //
     /* 116242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 116253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116257 */     // MIs[1] Operand 1
     /* 116257 */     // No operand predicates
     /* 116257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116259 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16ri_ND),
     /* 116262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116264 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 116269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116272 */     GIR_RootConstrainSelectedInstOperands,
     /* 116273 */     // GIR_Coverage, 665,
     /* 116273 */     GIR_EraseRootFromParent_Done,
     /* 116274 */   // Label 2541: @116274
     /* 116274 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(116316), // Rule ID 677 //
     /* 116279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116290 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SHL16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 116290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16rCL),
     /* 116307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116314 */     GIR_RootConstrainSelectedInstOperands,
     /* 116315 */     // GIR_Coverage, 677,
     /* 116315 */     GIR_EraseRootFromParent_Done,
     /* 116316 */   // Label 2542: @116316
     /* 116316 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(116358), // Rule ID 681 //
     /* 116321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 116328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116332 */     // (shl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SHL16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 116332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116336 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL16rCL_ND),
     /* 116349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116351 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116356 */     GIR_RootConstrainSelectedInstOperands,
     /* 116357 */     // GIR_Coverage, 681,
     /* 116357 */     GIR_EraseRootFromParent_Done,
     /* 116358 */   // Label 2543: @116358
     /* 116358 */   GIM_Reject,
     /* 116359 */ // Label 2535: @116359
     /* 116359 */ GIM_Reject,
     /* 116360 */ // Label 2523: @116360
     /* 116360 */ GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(117112),
     /* 116365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 116368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 116371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 116375 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(116442), // Rule ID 674 //
     /* 116380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116391 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116394 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116398 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 116402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 116406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116410 */     // MIs[2] Operand 1
     /* 116410 */     // No operand predicates
     /* 116410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116412 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116419 */     // (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (SHL32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32mi_ND),
     /* 116422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116424 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 116431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116440 */     GIR_RootConstrainSelectedInstOperands,
     /* 116441 */     // GIR_Coverage, 674,
     /* 116441 */     GIR_EraseRootFromParent_Done,
     /* 116442 */   // Label 2545: @116442
     /* 116442 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(116515), // Rule ID 690 //
     /* 116447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116458 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116461 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116465 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 116469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 116473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116475 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116482 */     // (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (SHL32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 116482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 116486 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 116496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32mCL_ND),
     /* 116499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116501 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116513 */     GIR_RootConstrainSelectedInstOperands,
     /* 116514 */     // GIR_Coverage, 690,
     /* 116514 */     GIR_EraseRootFromParent_Done,
     /* 116515 */   // Label 2546: @116515
     /* 116515 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(116625), // Rule ID 17671 //
     /* 116520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 116523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116531 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116534 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116538 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 116542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116548 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116555 */     // (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SHLX32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 116555 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 116558 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 116562 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 116569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 116576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116581 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 116584 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 116588 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 116591 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 116596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 116601 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 116606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX32rm),
     /* 116609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116611 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116618 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116623 */     GIR_RootConstrainSelectedInstOperands,
     /* 116624 */     // GIR_Coverage, 17671,
     /* 116624 */     GIR_EraseRootFromParent_Done,
     /* 116625 */   // Label 2547: @116625
     /* 116625 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(116735), // Rule ID 17703 //
     /* 116630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 116633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 116637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 116641 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116644 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 116648 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 116652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116658 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 116665 */     // (shl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SHLX32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 116665 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 116668 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 116672 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 116679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 116686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116691 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 116694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 116698 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 116701 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 116706 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 116711 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 116716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX32rm_EVEX),
     /* 116719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116721 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 116725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116728 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116733 */     GIR_RootConstrainSelectedInstOperands,
     /* 116734 */     // GIR_Coverage, 17703,
     /* 116734 */     GIR_EraseRootFromParent_Done,
     /* 116735 */   // Label 2548: @116735
     /* 116735 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(116765), // Rule ID 22673 //
     /* 116740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 116747 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 116751 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, 1:{ *:[i8] })  =>  (ADD32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src1)
     /* 116751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rr),
     /* 116754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116756 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116758 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116763 */     GIR_RootConstrainSelectedInstOperands,
     /* 116764 */     // GIR_Coverage, 22673,
     /* 116764 */     GIR_EraseRootFromParent_Done,
     /* 116765 */   // Label 2549: @116765
     /* 116765 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(116795), // Rule ID 22677 //
     /* 116770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 116773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 116777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 116781 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, 1:{ *:[i8] })  =>  (ADD32rr_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src1)
     /* 116781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD32rr_ND),
     /* 116784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116786 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116788 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116793 */     GIR_RootConstrainSelectedInstOperands,
     /* 116794 */     // GIR_Coverage, 22677,
     /* 116794 */     GIR_EraseRootFromParent_Done,
     /* 116795 */   // Label 2550: @116795
     /* 116795 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(116832), // Rule ID 662 //
     /* 116800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 116803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 116807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 116811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116815 */     // MIs[1] Operand 1
     /* 116815 */     // No operand predicates
     /* 116815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116817 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32ri),
     /* 116820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116822 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 116827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116830 */     GIR_RootConstrainSelectedInstOperands,
     /* 116831 */     // GIR_Coverage, 662,
     /* 116831 */     GIR_EraseRootFromParent_Done,
     /* 116832 */   // Label 2551: @116832
     /* 116832 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(116869), // Rule ID 666 //
     /* 116837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 116840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 116844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 116848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116852 */     // MIs[1] Operand 1
     /* 116852 */     // No operand predicates
     /* 116852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116854 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 116854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32ri_ND),
     /* 116857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116859 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 116864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 116867 */     GIR_RootConstrainSelectedInstOperands,
     /* 116868 */     // GIR_Coverage, 666,
     /* 116868 */     GIR_EraseRootFromParent_Done,
     /* 116869 */   // Label 2552: @116869
     /* 116869 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(116948), // Rule ID 17667 //
     /* 116874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 116877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 116881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116885 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHLX32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 116885 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 116888 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 116892 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 116899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 116906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116911 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 116914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 116918 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 116921 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 116926 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 116931 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 116936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX32rr),
     /* 116939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 116941 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 116943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116946 */     GIR_RootConstrainSelectedInstOperands,
     /* 116947 */     // GIR_Coverage, 17667,
     /* 116947 */     GIR_EraseRootFromParent_Done,
     /* 116948 */   // Label 2553: @116948
     /* 116948 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(117027), // Rule ID 17699 //
     /* 116953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 116956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 116960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 116964 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHLX32rr_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 116964 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 116967 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 116971 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 116978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 116981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 116985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116990 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 116993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 116997 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117000 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 117005 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 117010 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX32rr_EVEX),
     /* 117018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117020 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117025 */     GIR_RootConstrainSelectedInstOperands,
     /* 117026 */     // GIR_Coverage, 17699,
     /* 117026 */     GIR_EraseRootFromParent_Done,
     /* 117027 */   // Label 2554: @117027
     /* 117027 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(117069), // Rule ID 678 //
     /* 117032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 117035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 117043 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHL32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 117043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 117057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32rCL),
     /* 117060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117062 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117067 */     GIR_RootConstrainSelectedInstOperands,
     /* 117068 */     // GIR_Coverage, 678,
     /* 117068 */     GIR_EraseRootFromParent_Done,
     /* 117069 */   // Label 2555: @117069
     /* 117069 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(117111), // Rule ID 682 //
     /* 117074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 117081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 117085 */     // (shl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHL32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 117085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 117099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL32rCL_ND),
     /* 117102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117104 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117109 */     GIR_RootConstrainSelectedInstOperands,
     /* 117110 */     // GIR_Coverage, 682,
     /* 117110 */     GIR_EraseRootFromParent_Done,
     /* 117111 */   // Label 2556: @117111
     /* 117111 */   GIM_Reject,
     /* 117112 */ // Label 2544: @117112
     /* 117112 */ GIM_Reject,
     /* 117113 */ // Label 2524: @117113
     /* 117113 */ GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(117865),
     /* 117118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 117121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 117124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117128 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(117195), // Rule ID 675 //
     /* 117133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117144 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117147 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 117151 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 117159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117163 */     // MIs[2] Operand 1
     /* 117163 */     // No operand predicates
     /* 117163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 117165 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 117172 */     // (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (SHL64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 117172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64mi_ND),
     /* 117175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117177 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 117184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 117193 */     GIR_RootConstrainSelectedInstOperands,
     /* 117194 */     // GIR_Coverage, 675,
     /* 117194 */     GIR_EraseRootFromParent_Done,
     /* 117195 */   // Label 2558: @117195
     /* 117195 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(117268), // Rule ID 691 //
     /* 117200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117211 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117214 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 117218 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 117226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117228 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 117235 */     // (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (SHL64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 117235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 117249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64mCL_ND),
     /* 117252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117254 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117261 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117266 */     GIR_RootConstrainSelectedInstOperands,
     /* 117267 */     // GIR_Coverage, 691,
     /* 117267 */     GIR_EraseRootFromParent_Done,
     /* 117268 */   // Label 2559: @117268
     /* 117268 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(117378), // Rule ID 17672 //
     /* 117273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 117276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117284 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117287 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 117291 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117301 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 117308 */     // (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SHLX64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 117308 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 117311 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117315 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117334 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117337 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117341 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117344 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117349 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117354 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX64rm),
     /* 117362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117364 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117376 */     GIR_RootConstrainSelectedInstOperands,
     /* 117377 */     // GIR_Coverage, 17672,
     /* 117377 */     GIR_EraseRootFromParent_Done,
     /* 117378 */   // Label 2560: @117378
     /* 117378 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(117488), // Rule ID 17704 //
     /* 117383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 117386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117394 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117397 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 117401 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 117418 */     // (shl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SHLX64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 117418 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 117421 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117425 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117444 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117447 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117451 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117454 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117459 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117464 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX64rm_EVEX),
     /* 117472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117474 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117486 */     GIR_RootConstrainSelectedInstOperands,
     /* 117487 */     // GIR_Coverage, 17704,
     /* 117487 */     GIR_EraseRootFromParent_Done,
     /* 117488 */   // Label 2561: @117488
     /* 117488 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(117518), // Rule ID 22674 //
     /* 117493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 117496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117500 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 117504 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, 1:{ *:[i8] })  =>  (ADD64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src1)
     /* 117504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rr),
     /* 117507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117509 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117511 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117516 */     GIR_RootConstrainSelectedInstOperands,
     /* 117517 */     // GIR_Coverage, 22674,
     /* 117517 */     GIR_EraseRootFromParent_Done,
     /* 117518 */   // Label 2562: @117518
     /* 117518 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(117548), // Rule ID 22678 //
     /* 117523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 117526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117530 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 117534 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, 1:{ *:[i8] })  =>  (ADD64rr_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src1)
     /* 117534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD64rr_ND),
     /* 117537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117539 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117541 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117546 */     GIR_RootConstrainSelectedInstOperands,
     /* 117547 */     // GIR_Coverage, 22678,
     /* 117547 */     GIR_EraseRootFromParent_Done,
     /* 117548 */   // Label 2563: @117548
     /* 117548 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(117585), // Rule ID 663 //
     /* 117553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 117556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 117564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117568 */     // MIs[1] Operand 1
     /* 117568 */     // No operand predicates
     /* 117568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117570 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 117570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64ri),
     /* 117573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117575 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 117580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117583 */     GIR_RootConstrainSelectedInstOperands,
     /* 117584 */     // GIR_Coverage, 663,
     /* 117584 */     GIR_EraseRootFromParent_Done,
     /* 117585 */   // Label 2564: @117585
     /* 117585 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(117622), // Rule ID 667 //
     /* 117590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 117601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117605 */     // MIs[1] Operand 1
     /* 117605 */     // No operand predicates
     /* 117605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117607 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHL64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 117607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64ri_ND),
     /* 117610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117612 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 117617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117620 */     GIR_RootConstrainSelectedInstOperands,
     /* 117621 */     // GIR_Coverage, 667,
     /* 117621 */     GIR_EraseRootFromParent_Done,
     /* 117622 */   // Label 2565: @117622
     /* 117622 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(117701), // Rule ID 17668 //
     /* 117627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 117630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117638 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHLX64rr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 117638 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 117641 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117645 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117664 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117671 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117674 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117679 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX64rr),
     /* 117692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117694 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117699 */     GIR_RootConstrainSelectedInstOperands,
     /* 117700 */     // GIR_Coverage, 17668,
     /* 117700 */     GIR_EraseRootFromParent_Done,
     /* 117701 */   // Label 2566: @117701
     /* 117701 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(117780), // Rule ID 17700 //
     /* 117706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 117709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117717 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHLX64rr_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 117717 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 117720 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 117724 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 117731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 117738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117743 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 117746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 117750 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 117753 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117758 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 117763 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 117768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLX64rr_EVEX),
     /* 117771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117773 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117778 */     GIR_RootConstrainSelectedInstOperands,
     /* 117779 */     // GIR_Coverage, 17700,
     /* 117779 */     GIR_EraseRootFromParent_Done,
     /* 117780 */   // Label 2567: @117780
     /* 117780 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(117822), // Rule ID 679 //
     /* 117785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 117788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 117796 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHL64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 117796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117800 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117806 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 117810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64rCL),
     /* 117813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117815 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117820 */     GIR_RootConstrainSelectedInstOperands,
     /* 117821 */     // GIR_Coverage, 679,
     /* 117821 */     GIR_EraseRootFromParent_Done,
     /* 117822 */   // Label 2568: @117822
     /* 117822 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(117864), // Rule ID 683 //
     /* 117827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 117834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 117838 */     // (shl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHL64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 117838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117842 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117848 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 117852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHL64rCL_ND),
     /* 117855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117857 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 117859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117862 */     GIR_RootConstrainSelectedInstOperands,
     /* 117863 */     // GIR_Coverage, 683,
     /* 117863 */     GIR_EraseRootFromParent_Done,
     /* 117864 */   // Label 2569: @117864
     /* 117864 */   GIM_Reject,
     /* 117865 */ // Label 2557: @117865
     /* 117865 */ GIM_Reject,
     /* 117866 */ // Label 2525: @117866
     /* 117866 */ GIM_Reject,
     /* 117867 */ // Label 27: @117867
     /* 117867 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 2574*/ GIMT_Encode4(119910),
     /* 117878 */ /*GILLT_s8*//*Label 2570*/ GIMT_Encode4(117894),
     /* 117882 */ /*GILLT_s16*//*Label 2571*/ GIMT_Encode4(118209),
     /* 117886 */ /*GILLT_s32*//*Label 2572*/ GIMT_Encode4(118524),
     /* 117890 */ /*GILLT_s64*//*Label 2573*/ GIMT_Encode4(119217),
     /* 117894 */ // Label 2570: @117894
     /* 117894 */ GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(118208),
     /* 117899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 117902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 117905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 117909 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(117976), // Rule ID 704 //
     /* 117914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117925 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117928 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117932 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 117936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 117940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 117944 */     // MIs[2] Operand 1
     /* 117944 */     // No operand predicates
     /* 117944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 117946 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 117953 */     // (srl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (SHR8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 117953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8mi_ND),
     /* 117956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 117958 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 117962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 117965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 117968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 117974 */     GIR_RootConstrainSelectedInstOperands,
     /* 117975 */     // GIR_Coverage, 704,
     /* 117975 */     GIR_EraseRootFromParent_Done,
     /* 117976 */   // Label 2576: @117976
     /* 117976 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(118049), // Rule ID 720 //
     /* 117981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 117984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 117988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 117992 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117995 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 117999 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 118003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118009 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118016 */     // (srl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (SHR8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 118016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118020 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118026 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8mCL_ND),
     /* 118033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118035 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118047 */     GIR_RootConstrainSelectedInstOperands,
     /* 118048 */     // GIR_Coverage, 720,
     /* 118048 */     GIR_EraseRootFromParent_Done,
     /* 118049 */   // Label 2577: @118049
     /* 118049 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(118086), // Rule ID 692 //
     /* 118054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118069 */     // MIs[1] Operand 1
     /* 118069 */     // No operand predicates
     /* 118069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118071 */     // (srl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8ri),
     /* 118074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118076 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118084 */     GIR_RootConstrainSelectedInstOperands,
     /* 118085 */     // GIR_Coverage, 692,
     /* 118085 */     GIR_EraseRootFromParent_Done,
     /* 118086 */   // Label 2578: @118086
     /* 118086 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(118123), // Rule ID 696 //
     /* 118091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118106 */     // MIs[1] Operand 1
     /* 118106 */     // No operand predicates
     /* 118106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118108 */     // (srl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8ri_ND),
     /* 118111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118113 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118121 */     GIR_RootConstrainSelectedInstOperands,
     /* 118122 */     // GIR_Coverage, 696,
     /* 118122 */     GIR_EraseRootFromParent_Done,
     /* 118123 */   // Label 2579: @118123
     /* 118123 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(118165), // Rule ID 708 //
     /* 118128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118139 */     // (srl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SHR8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 118139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8rCL),
     /* 118156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118158 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118163 */     GIR_RootConstrainSelectedInstOperands,
     /* 118164 */     // GIR_Coverage, 708,
     /* 118164 */     GIR_EraseRootFromParent_Done,
     /* 118165 */   // Label 2580: @118165
     /* 118165 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(118207), // Rule ID 712 //
     /* 118170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118181 */     // (srl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SHR8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 118181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR8rCL_ND),
     /* 118198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118200 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118205 */     GIR_RootConstrainSelectedInstOperands,
     /* 118206 */     // GIR_Coverage, 712,
     /* 118206 */     GIR_EraseRootFromParent_Done,
     /* 118207 */   // Label 2581: @118207
     /* 118207 */   GIM_Reject,
     /* 118208 */ // Label 2575: @118208
     /* 118208 */ GIM_Reject,
     /* 118209 */ // Label 2571: @118209
     /* 118209 */ GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(118523),
     /* 118214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 118217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 118220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118224 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(118291), // Rule ID 705 //
     /* 118229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118240 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118243 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118247 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 118251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 118255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118259 */     // MIs[2] Operand 1
     /* 118259 */     // No operand predicates
     /* 118259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 118261 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118268 */     // (srl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (SHR16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16mi_ND),
     /* 118271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118273 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 118280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 118289 */     GIR_RootConstrainSelectedInstOperands,
     /* 118290 */     // GIR_Coverage, 705,
     /* 118290 */     GIR_EraseRootFromParent_Done,
     /* 118291 */   // Label 2583: @118291
     /* 118291 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(118364), // Rule ID 721 //
     /* 118296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118307 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118310 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118314 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 118318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118324 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118331 */     // (srl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (SHR16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 118331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16mCL_ND),
     /* 118348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118350 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118362 */     GIR_RootConstrainSelectedInstOperands,
     /* 118363 */     // GIR_Coverage, 721,
     /* 118363 */     GIR_EraseRootFromParent_Done,
     /* 118364 */   // Label 2584: @118364
     /* 118364 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(118401), // Rule ID 693 //
     /* 118369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118384 */     // MIs[1] Operand 1
     /* 118384 */     // No operand predicates
     /* 118384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118386 */     // (srl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16ri),
     /* 118389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118391 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118399 */     GIR_RootConstrainSelectedInstOperands,
     /* 118400 */     // GIR_Coverage, 693,
     /* 118400 */     GIR_EraseRootFromParent_Done,
     /* 118401 */   // Label 2585: @118401
     /* 118401 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(118438), // Rule ID 697 //
     /* 118406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118421 */     // MIs[1] Operand 1
     /* 118421 */     // No operand predicates
     /* 118421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118423 */     // (srl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16ri_ND),
     /* 118426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118428 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118436 */     GIR_RootConstrainSelectedInstOperands,
     /* 118437 */     // GIR_Coverage, 697,
     /* 118437 */     GIR_EraseRootFromParent_Done,
     /* 118438 */   // Label 2586: @118438
     /* 118438 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(118480), // Rule ID 709 //
     /* 118443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118454 */     // (srl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SHR16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 118454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118458 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16rCL),
     /* 118471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118473 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118478 */     GIR_RootConstrainSelectedInstOperands,
     /* 118479 */     // GIR_Coverage, 709,
     /* 118479 */     GIR_EraseRootFromParent_Done,
     /* 118480 */   // Label 2587: @118480
     /* 118480 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(118522), // Rule ID 713 //
     /* 118485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 118492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118496 */     // (srl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SHR16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 118496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118500 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR16rCL_ND),
     /* 118513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118515 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118520 */     GIR_RootConstrainSelectedInstOperands,
     /* 118521 */     // GIR_Coverage, 713,
     /* 118521 */     GIR_EraseRootFromParent_Done,
     /* 118522 */   // Label 2588: @118522
     /* 118522 */   GIM_Reject,
     /* 118523 */ // Label 2582: @118523
     /* 118523 */ GIM_Reject,
     /* 118524 */ // Label 2572: @118524
     /* 118524 */ GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(119216),
     /* 118529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 118532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 118535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 118539 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(118606), // Rule ID 706 //
     /* 118544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118555 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118558 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118562 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 118566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 118570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118574 */     // MIs[2] Operand 1
     /* 118574 */     // No operand predicates
     /* 118574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 118576 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118583 */     // (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (SHR32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32mi_ND),
     /* 118586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118588 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 118595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118598 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 118604 */     GIR_RootConstrainSelectedInstOperands,
     /* 118605 */     // GIR_Coverage, 706,
     /* 118605 */     GIR_EraseRootFromParent_Done,
     /* 118606 */   // Label 2590: @118606
     /* 118606 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(118679), // Rule ID 722 //
     /* 118611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118622 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118625 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118629 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 118633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 118637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118639 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118646 */     // (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (SHR32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 118646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118650 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 118660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32mCL_ND),
     /* 118663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118665 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118677 */     GIR_RootConstrainSelectedInstOperands,
     /* 118678 */     // GIR_Coverage, 722,
     /* 118678 */     GIR_EraseRootFromParent_Done,
     /* 118679 */   // Label 2591: @118679
     /* 118679 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(118789), // Rule ID 17663 //
     /* 118684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 118687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118695 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118698 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118702 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 118706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118712 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118719 */     // (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SHRX32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 118719 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 118722 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 118726 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 118733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 118736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 118740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118745 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 118748 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 118752 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 118755 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 118760 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 118765 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 118770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX32rm),
     /* 118773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118775 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118787 */     GIR_RootConstrainSelectedInstOperands,
     /* 118788 */     // GIR_Coverage, 17663,
     /* 118788 */     GIR_EraseRootFromParent_Done,
     /* 118789 */   // Label 2592: @118789
     /* 118789 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(118899), // Rule ID 17695 //
     /* 118794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 118797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 118801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 118805 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118808 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 118812 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 118816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118822 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 118829 */     // (srl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SHRX32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 118829 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 118832 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 118836 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 118843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 118846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 118850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118855 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 118858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 118862 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 118865 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 118870 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 118875 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 118880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX32rm_EVEX),
     /* 118883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118885 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 118889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118897 */     GIR_RootConstrainSelectedInstOperands,
     /* 118898 */     // GIR_Coverage, 17695,
     /* 118898 */     GIR_EraseRootFromParent_Done,
     /* 118899 */   // Label 2593: @118899
     /* 118899 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(118936), // Rule ID 694 //
     /* 118904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 118907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 118911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118919 */     // MIs[1] Operand 1
     /* 118919 */     // No operand predicates
     /* 118919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118921 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32ri),
     /* 118924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118926 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118934 */     GIR_RootConstrainSelectedInstOperands,
     /* 118935 */     // GIR_Coverage, 694,
     /* 118935 */     GIR_EraseRootFromParent_Done,
     /* 118936 */   // Label 2594: @118936
     /* 118936 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(118973), // Rule ID 698 //
     /* 118941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 118944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 118948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 118952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118956 */     // MIs[1] Operand 1
     /* 118956 */     // No operand predicates
     /* 118956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118958 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 118958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32ri_ND),
     /* 118961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 118963 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 118965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 118968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 118971 */     GIR_RootConstrainSelectedInstOperands,
     /* 118972 */     // GIR_Coverage, 698,
     /* 118972 */     GIR_EraseRootFromParent_Done,
     /* 118973 */   // Label 2595: @118973
     /* 118973 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(119052), // Rule ID 17659 //
     /* 118978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 118981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 118985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 118989 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHRX32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 118989 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 118992 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 118996 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119015 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119022 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119025 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119030 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119035 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX32rr),
     /* 119043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119045 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119050 */     GIR_RootConstrainSelectedInstOperands,
     /* 119051 */     // GIR_Coverage, 17659,
     /* 119051 */     GIR_EraseRootFromParent_Done,
     /* 119052 */   // Label 2596: @119052
     /* 119052 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(119131), // Rule ID 17691 //
     /* 119057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 119060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 119064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119068 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHRX32rr_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119068 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 119071 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119075 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119094 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119101 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119104 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119109 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 119114 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX32rr_EVEX),
     /* 119122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119124 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119129 */     GIR_RootConstrainSelectedInstOperands,
     /* 119130 */     // GIR_Coverage, 17691,
     /* 119130 */     GIR_EraseRootFromParent_Done,
     /* 119131 */   // Label 2597: @119131
     /* 119131 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(119173), // Rule ID 710 //
     /* 119136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 119139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 119143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 119147 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHR32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 119147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 119161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32rCL),
     /* 119164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119166 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119171 */     GIR_RootConstrainSelectedInstOperands,
     /* 119172 */     // GIR_Coverage, 710,
     /* 119172 */     GIR_EraseRootFromParent_Done,
     /* 119173 */   // Label 2598: @119173
     /* 119173 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(119215), // Rule ID 714 //
     /* 119178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 119185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 119189 */     // (srl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHR32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 119189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 119203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR32rCL_ND),
     /* 119206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119208 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119213 */     GIR_RootConstrainSelectedInstOperands,
     /* 119214 */     // GIR_Coverage, 714,
     /* 119214 */     GIR_EraseRootFromParent_Done,
     /* 119215 */   // Label 2599: @119215
     /* 119215 */   GIM_Reject,
     /* 119216 */ // Label 2589: @119216
     /* 119216 */ GIM_Reject,
     /* 119217 */ // Label 2573: @119217
     /* 119217 */ GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(119909),
     /* 119222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 119225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 119228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119232 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(119299), // Rule ID 707 //
     /* 119237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119248 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119251 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 119255 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 119263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119267 */     // MIs[2] Operand 1
     /* 119267 */     // No operand predicates
     /* 119267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 119269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119276 */     // (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (SHR64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 119276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64mi_ND),
     /* 119279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119281 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 119288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 119297 */     GIR_RootConstrainSelectedInstOperands,
     /* 119298 */     // GIR_Coverage, 707,
     /* 119298 */     GIR_EraseRootFromParent_Done,
     /* 119299 */   // Label 2601: @119299
     /* 119299 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(119372), // Rule ID 723 //
     /* 119304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119315 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119318 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 119322 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 119330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119332 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119339 */     // (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (SHR64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 119339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 119353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64mCL_ND),
     /* 119356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119358 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119365 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119370 */     GIR_RootConstrainSelectedInstOperands,
     /* 119371 */     // GIR_Coverage, 723,
     /* 119371 */     GIR_EraseRootFromParent_Done,
     /* 119372 */   // Label 2602: @119372
     /* 119372 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(119482), // Rule ID 17664 //
     /* 119377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 119380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119388 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119391 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 119395 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119405 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119412 */     // (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SHRX64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119412 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 119415 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119419 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119438 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119445 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119448 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119453 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119458 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX64rm),
     /* 119466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119468 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119480 */     GIR_RootConstrainSelectedInstOperands,
     /* 119481 */     // GIR_Coverage, 17664,
     /* 119481 */     GIR_EraseRootFromParent_Done,
     /* 119482 */   // Label 2603: @119482
     /* 119482 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(119592), // Rule ID 17696 //
     /* 119487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 119490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119498 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119501 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 119505 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119522 */     // (srl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SHRX64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119522 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 119525 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119529 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119548 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119555 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119563 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119568 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX64rm_EVEX),
     /* 119576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119578 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 119582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119590 */     GIR_RootConstrainSelectedInstOperands,
     /* 119591 */     // GIR_Coverage, 17696,
     /* 119591 */     GIR_EraseRootFromParent_Done,
     /* 119592 */   // Label 2604: @119592
     /* 119592 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(119629), // Rule ID 695 //
     /* 119597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 119600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 119608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119612 */     // MIs[1] Operand 1
     /* 119612 */     // No operand predicates
     /* 119612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119614 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 119614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64ri),
     /* 119617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119619 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 119624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119627 */     GIR_RootConstrainSelectedInstOperands,
     /* 119628 */     // GIR_Coverage, 695,
     /* 119628 */     GIR_EraseRootFromParent_Done,
     /* 119629 */   // Label 2605: @119629
     /* 119629 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(119666), // Rule ID 699 //
     /* 119634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 119645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119649 */     // MIs[1] Operand 1
     /* 119649 */     // No operand predicates
     /* 119649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119651 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SHR64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 119651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64ri_ND),
     /* 119654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119656 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 119661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119664 */     GIR_RootConstrainSelectedInstOperands,
     /* 119665 */     // GIR_Coverage, 699,
     /* 119665 */     GIR_EraseRootFromParent_Done,
     /* 119666 */   // Label 2606: @119666
     /* 119666 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(119745), // Rule ID 17660 //
     /* 119671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 119674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119682 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHRX64rr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119682 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 119685 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119689 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119708 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119715 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119728 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX64rr),
     /* 119736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119738 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119743 */     GIR_RootConstrainSelectedInstOperands,
     /* 119744 */     // GIR_Coverage, 17660,
     /* 119744 */     GIR_EraseRootFromParent_Done,
     /* 119745 */   // Label 2607: @119745
     /* 119745 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(119824), // Rule ID 17692 //
     /* 119750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 119753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119761 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SHRX64rr_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 119761 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 119764 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 119768 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 119775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 119782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119787 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 119790 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 119794 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 119797 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119802 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 119807 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 119812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRX64rr_EVEX),
     /* 119815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119817 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119822 */     GIR_RootConstrainSelectedInstOperands,
     /* 119823 */     // GIR_Coverage, 17692,
     /* 119823 */     GIR_EraseRootFromParent_Done,
     /* 119824 */   // Label 2608: @119824
     /* 119824 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(119866), // Rule ID 711 //
     /* 119829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 119832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 119840 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHR64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 119840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 119854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64rCL),
     /* 119857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119859 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119864 */     GIR_RootConstrainSelectedInstOperands,
     /* 119865 */     // GIR_Coverage, 711,
     /* 119865 */     GIR_EraseRootFromParent_Done,
     /* 119866 */   // Label 2609: @119866
     /* 119866 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(119908), // Rule ID 715 //
     /* 119871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 119878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 119882 */     // (srl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHR64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 119882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119886 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 119896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHR64rCL_ND),
     /* 119899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 119901 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 119903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 119906 */     GIR_RootConstrainSelectedInstOperands,
     /* 119907 */     // GIR_Coverage, 715,
     /* 119907 */     GIR_EraseRootFromParent_Done,
     /* 119908 */   // Label 2610: @119908
     /* 119908 */   GIM_Reject,
     /* 119909 */ // Label 2600: @119909
     /* 119909 */ GIM_Reject,
     /* 119910 */ // Label 2574: @119910
     /* 119910 */ GIM_Reject,
     /* 119911 */ // Label 28: @119911
     /* 119911 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(5), /*)*//*default:*//*Label 2615*/ GIMT_Encode4(121954),
     /* 119922 */ /*GILLT_s8*//*Label 2611*/ GIMT_Encode4(119938),
     /* 119926 */ /*GILLT_s16*//*Label 2612*/ GIMT_Encode4(120253),
     /* 119930 */ /*GILLT_s32*//*Label 2613*/ GIMT_Encode4(120568),
     /* 119934 */ /*GILLT_s64*//*Label 2614*/ GIMT_Encode4(121261),
     /* 119938 */ // Label 2611: @119938
     /* 119938 */ GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(120252),
     /* 119943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 119946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 119949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 119953 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(120020), // Rule ID 736 //
     /* 119958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 119961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 119965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 119969 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119972 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 119976 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 119980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 119984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119988 */     // MIs[2] Operand 1
     /* 119988 */     // No operand predicates
     /* 119988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 119990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 119997 */     // (sra:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (SAR8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 119997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8mi_ND),
     /* 120000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120002 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 120009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 120018 */     GIR_RootConstrainSelectedInstOperands,
     /* 120019 */     // GIR_Coverage, 736,
     /* 120019 */     GIR_EraseRootFromParent_Done,
     /* 120020 */   // Label 2617: @120020
     /* 120020 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(120093), // Rule ID 752 //
     /* 120025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120036 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120039 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120043 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 120047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120060 */     // (sra:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (SAR8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 120060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8mCL_ND),
     /* 120077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120079 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120091 */     GIR_RootConstrainSelectedInstOperands,
     /* 120092 */     // GIR_Coverage, 752,
     /* 120092 */     GIR_EraseRootFromParent_Done,
     /* 120093 */   // Label 2618: @120093
     /* 120093 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(120130), // Rule ID 724 //
     /* 120098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120113 */     // MIs[1] Operand 1
     /* 120113 */     // No operand predicates
     /* 120113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120115 */     // (sra:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8ri),
     /* 120118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120120 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 120125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120128 */     GIR_RootConstrainSelectedInstOperands,
     /* 120129 */     // GIR_Coverage, 724,
     /* 120129 */     GIR_EraseRootFromParent_Done,
     /* 120130 */   // Label 2619: @120130
     /* 120130 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(120167), // Rule ID 728 //
     /* 120135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120150 */     // MIs[1] Operand 1
     /* 120150 */     // No operand predicates
     /* 120150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120152 */     // (sra:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8ri_ND),
     /* 120155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120157 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 120162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120165 */     GIR_RootConstrainSelectedInstOperands,
     /* 120166 */     // GIR_Coverage, 728,
     /* 120166 */     GIR_EraseRootFromParent_Done,
     /* 120167 */   // Label 2620: @120167
     /* 120167 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(120209), // Rule ID 740 //
     /* 120172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120183 */     // (sra:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SAR8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 120183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120187 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120193 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8rCL),
     /* 120200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120202 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120207 */     GIR_RootConstrainSelectedInstOperands,
     /* 120208 */     // GIR_Coverage, 740,
     /* 120208 */     GIR_EraseRootFromParent_Done,
     /* 120209 */   // Label 2621: @120209
     /* 120209 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(120251), // Rule ID 744 //
     /* 120214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120225 */     // (sra:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (SAR8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 120225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR8rCL_ND),
     /* 120242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120244 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120249 */     GIR_RootConstrainSelectedInstOperands,
     /* 120250 */     // GIR_Coverage, 744,
     /* 120250 */     GIR_EraseRootFromParent_Done,
     /* 120251 */   // Label 2622: @120251
     /* 120251 */   GIM_Reject,
     /* 120252 */ // Label 2616: @120252
     /* 120252 */ GIM_Reject,
     /* 120253 */ // Label 2612: @120253
     /* 120253 */ GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(120567),
     /* 120258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 120261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 120264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120268 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(120335), // Rule ID 737 //
     /* 120273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120284 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120287 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120291 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 120295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 120299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120303 */     // MIs[2] Operand 1
     /* 120303 */     // No operand predicates
     /* 120303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 120305 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120312 */     // (sra:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (SAR16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16mi_ND),
     /* 120315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120317 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 120324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 120333 */     GIR_RootConstrainSelectedInstOperands,
     /* 120334 */     // GIR_Coverage, 737,
     /* 120334 */     GIR_EraseRootFromParent_Done,
     /* 120335 */   // Label 2624: @120335
     /* 120335 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(120408), // Rule ID 753 //
     /* 120340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120351 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120354 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120358 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 120362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120368 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120375 */     // (sra:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (SAR16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 120375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16mCL_ND),
     /* 120392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120394 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120406 */     GIR_RootConstrainSelectedInstOperands,
     /* 120407 */     // GIR_Coverage, 753,
     /* 120407 */     GIR_EraseRootFromParent_Done,
     /* 120408 */   // Label 2625: @120408
     /* 120408 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(120445), // Rule ID 725 //
     /* 120413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120428 */     // MIs[1] Operand 1
     /* 120428 */     // No operand predicates
     /* 120428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120430 */     // (sra:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16ri),
     /* 120433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120435 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 120440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120443 */     GIR_RootConstrainSelectedInstOperands,
     /* 120444 */     // GIR_Coverage, 725,
     /* 120444 */     GIR_EraseRootFromParent_Done,
     /* 120445 */   // Label 2626: @120445
     /* 120445 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(120482), // Rule ID 729 //
     /* 120450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120465 */     // MIs[1] Operand 1
     /* 120465 */     // No operand predicates
     /* 120465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120467 */     // (sra:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16ri_ND),
     /* 120470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120472 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 120477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120480 */     GIR_RootConstrainSelectedInstOperands,
     /* 120481 */     // GIR_Coverage, 729,
     /* 120481 */     GIR_EraseRootFromParent_Done,
     /* 120482 */   // Label 2627: @120482
     /* 120482 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(120524), // Rule ID 741 //
     /* 120487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120498 */     // (sra:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SAR16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 120498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120502 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16rCL),
     /* 120515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120517 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120522 */     GIR_RootConstrainSelectedInstOperands,
     /* 120523 */     // GIR_Coverage, 741,
     /* 120523 */     GIR_EraseRootFromParent_Done,
     /* 120524 */   // Label 2628: @120524
     /* 120524 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(120566), // Rule ID 745 //
     /* 120529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 120536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120540 */     // (sra:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (SAR16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 120540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120544 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120550 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR16rCL_ND),
     /* 120557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120559 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120564 */     GIR_RootConstrainSelectedInstOperands,
     /* 120565 */     // GIR_Coverage, 745,
     /* 120565 */     GIR_EraseRootFromParent_Done,
     /* 120566 */   // Label 2629: @120566
     /* 120566 */   GIM_Reject,
     /* 120567 */ // Label 2623: @120567
     /* 120567 */ GIM_Reject,
     /* 120568 */ // Label 2613: @120568
     /* 120568 */ GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(121260),
     /* 120573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 120576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 120579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 120583 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(120650), // Rule ID 738 //
     /* 120588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120599 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120602 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120606 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 120610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 120614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120618 */     // MIs[2] Operand 1
     /* 120618 */     // No operand predicates
     /* 120618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 120620 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120627 */     // (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (SAR32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32mi_ND),
     /* 120630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120632 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 120639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 120648 */     GIR_RootConstrainSelectedInstOperands,
     /* 120649 */     // GIR_Coverage, 738,
     /* 120649 */     GIR_EraseRootFromParent_Done,
     /* 120650 */   // Label 2631: @120650
     /* 120650 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(120723), // Rule ID 754 //
     /* 120655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120666 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120669 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120673 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 120677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 120681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120683 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120690 */     // (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (SAR32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 120690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120694 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 120704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32mCL_ND),
     /* 120707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120709 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120721 */     GIR_RootConstrainSelectedInstOperands,
     /* 120722 */     // GIR_Coverage, 754,
     /* 120722 */     GIR_EraseRootFromParent_Done,
     /* 120723 */   // Label 2632: @120723
     /* 120723 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(120833), // Rule ID 17655 //
     /* 120728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 120731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120739 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120742 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120746 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 120750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120756 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120763 */     // (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SARX32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 120763 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 120766 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 120770 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 120777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 120784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120789 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 120792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 120796 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 120799 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 120804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 120809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 120814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX32rm),
     /* 120817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120819 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120831 */     GIR_RootConstrainSelectedInstOperands,
     /* 120832 */     // GIR_Coverage, 17655,
     /* 120832 */     GIR_EraseRootFromParent_Done,
     /* 120833 */   // Label 2633: @120833
     /* 120833 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(120943), // Rule ID 17687 //
     /* 120838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 120841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 120845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 120849 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120852 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 120856 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 120860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 120864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120866 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 120873 */     // (sra:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR8:{ *:[i8] }:$src2)  =>  (SARX32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 120873 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 120876 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 120880 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 120887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 120894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120899 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 120902 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 120906 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 120909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 120914 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 120919 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 120924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX32rm_EVEX),
     /* 120927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120929 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 120933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120941 */     GIR_RootConstrainSelectedInstOperands,
     /* 120942 */     // GIR_Coverage, 17687,
     /* 120942 */     GIR_EraseRootFromParent_Done,
     /* 120943 */   // Label 2634: @120943
     /* 120943 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(120980), // Rule ID 726 //
     /* 120948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 120951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 120955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120963 */     // MIs[1] Operand 1
     /* 120963 */     // No operand predicates
     /* 120963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120965 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 120965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32ri),
     /* 120968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 120970 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 120972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 120975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 120978 */     GIR_RootConstrainSelectedInstOperands,
     /* 120979 */     // GIR_Coverage, 726,
     /* 120979 */     GIR_EraseRootFromParent_Done,
     /* 120980 */   // Label 2635: @120980
     /* 120980 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(121017), // Rule ID 730 //
     /* 120985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 120988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 120992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 120996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121000 */     // MIs[1] Operand 1
     /* 121000 */     // No operand predicates
     /* 121000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121002 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 121002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32ri_ND),
     /* 121005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121007 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 121012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121015 */     GIR_RootConstrainSelectedInstOperands,
     /* 121016 */     // GIR_Coverage, 730,
     /* 121016 */     GIR_EraseRootFromParent_Done,
     /* 121017 */   // Label 2636: @121017
     /* 121017 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(121096), // Rule ID 17651 //
     /* 121022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 121025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121033 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SARX32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121033 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 121036 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121040 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121059 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121062 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121066 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121069 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121074 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121079 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX32rr),
     /* 121087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121089 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121094 */     GIR_RootConstrainSelectedInstOperands,
     /* 121095 */     // GIR_Coverage, 17651,
     /* 121095 */     GIR_EraseRootFromParent_Done,
     /* 121096 */   // Label 2637: @121096
     /* 121096 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(121175), // Rule ID 17683 //
     /* 121101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 121104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121112 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SARX32rr_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src1, (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121112 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 121115 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121119 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121138 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121145 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121148 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::LOW32_ADDR_ACCESS_RBP_with_sub_8bitRegClassID),
     /* 121158 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX32rr_EVEX),
     /* 121166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121168 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121173 */     GIR_RootConstrainSelectedInstOperands,
     /* 121174 */     // GIR_Coverage, 17683,
     /* 121174 */     GIR_EraseRootFromParent_Done,
     /* 121175 */   // Label 2638: @121175
     /* 121175 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(121217), // Rule ID 742 //
     /* 121180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 121183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 121191 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SAR32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 121191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 121205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32rCL),
     /* 121208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121210 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121215 */     GIR_RootConstrainSelectedInstOperands,
     /* 121216 */     // GIR_Coverage, 742,
     /* 121216 */     GIR_EraseRootFromParent_Done,
     /* 121217 */   // Label 2639: @121217
     /* 121217 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(121259), // Rule ID 746 //
     /* 121222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 121225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 121233 */     // (sra:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SAR32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 121233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121237 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 121247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR32rCL_ND),
     /* 121250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121252 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121257 */     GIR_RootConstrainSelectedInstOperands,
     /* 121258 */     // GIR_Coverage, 746,
     /* 121258 */     GIR_EraseRootFromParent_Done,
     /* 121259 */   // Label 2640: @121259
     /* 121259 */   GIM_Reject,
     /* 121260 */ // Label 2630: @121260
     /* 121260 */ GIM_Reject,
     /* 121261 */ // Label 2614: @121261
     /* 121261 */ GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(121953),
     /* 121266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 121269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 121272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 121276 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(121343), // Rule ID 739 //
     /* 121281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 121284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121292 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121295 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 121299 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 121307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121311 */     // MIs[2] Operand 1
     /* 121311 */     // No operand predicates
     /* 121311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 121313 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121320 */     // (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (SAR64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 121320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64mi_ND),
     /* 121323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121325 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 121332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 121341 */     GIR_RootConstrainSelectedInstOperands,
     /* 121342 */     // GIR_Coverage, 739,
     /* 121342 */     GIR_EraseRootFromParent_Done,
     /* 121343 */   // Label 2642: @121343
     /* 121343 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(121416), // Rule ID 755 //
     /* 121348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 121351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121359 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121362 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 121366 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 121374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121376 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121383 */     // (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (SAR64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 121383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121387 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 121397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64mCL_ND),
     /* 121400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121402 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121414 */     GIR_RootConstrainSelectedInstOperands,
     /* 121415 */     // GIR_Coverage, 755,
     /* 121415 */     GIR_EraseRootFromParent_Done,
     /* 121416 */   // Label 2643: @121416
     /* 121416 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(121526), // Rule ID 17656 //
     /* 121421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 121424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121432 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121435 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 121439 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121449 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121456 */     // (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SARX64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121456 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 121459 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121463 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 121473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121482 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121489 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121492 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121497 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121502 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX64rm),
     /* 121510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121512 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121524 */     GIR_RootConstrainSelectedInstOperands,
     /* 121525 */     // GIR_Coverage, 17656,
     /* 121525 */     GIR_EraseRootFromParent_Done,
     /* 121526 */   // Label 2644: @121526
     /* 121526 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(121636), // Rule ID 17688 //
     /* 121531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 121534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 121538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 121542 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121545 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 121549 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 121553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121559 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 121566 */     // (sra:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR8:{ *:[i8] }:$src2)  =>  (SARX64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121566 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 121569 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121573 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 121583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121592 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121599 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121602 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121607 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121612 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX64rm_EVEX),
     /* 121620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121622 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 121626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121634 */     GIR_RootConstrainSelectedInstOperands,
     /* 121635 */     // GIR_Coverage, 17688,
     /* 121635 */     GIR_EraseRootFromParent_Done,
     /* 121636 */   // Label 2645: @121636
     /* 121636 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(121673), // Rule ID 727 //
     /* 121641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 121644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 121648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 121652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121656 */     // MIs[1] Operand 1
     /* 121656 */     // No operand predicates
     /* 121656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121658 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 121658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64ri),
     /* 121661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121663 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 121668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121671 */     GIR_RootConstrainSelectedInstOperands,
     /* 121672 */     // GIR_Coverage, 727,
     /* 121672 */     GIR_EraseRootFromParent_Done,
     /* 121673 */   // Label 2646: @121673
     /* 121673 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(121710), // Rule ID 731 //
     /* 121678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 121681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 121685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 121689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121693 */     // MIs[1] Operand 1
     /* 121693 */     // No operand predicates
     /* 121693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121695 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (SAR64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 121695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64ri_ND),
     /* 121698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121700 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 121705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121708 */     GIR_RootConstrainSelectedInstOperands,
     /* 121709 */     // GIR_Coverage, 731,
     /* 121709 */     GIR_EraseRootFromParent_Done,
     /* 121710 */   // Label 2647: @121710
     /* 121710 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(121789), // Rule ID 17652 //
     /* 121715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 121718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 121722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121726 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SARX64rr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121726 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 121729 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121733 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 121743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121752 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121759 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121767 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121772 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX64rr),
     /* 121780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121782 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121787 */     GIR_RootConstrainSelectedInstOperands,
     /* 121788 */     // GIR_Coverage, 17652,
     /* 121788 */     GIR_EraseRootFromParent_Done,
     /* 121789 */   // Label 2648: @121789
     /* 121789 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(121868), // Rule ID 17684 //
     /* 121794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 121797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 121801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 121805 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR8:{ *:[i8] }:$src2)  =>  (SARX64rr_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src1, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GR8:{ *:[i8] }:$src2, sub_8bit:{ *:[i32] }))
     /* 121805 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 121808 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 121812 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 121819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 121822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 121826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121831 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 121834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 121838 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 121841 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121846 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::GR64_with_sub_8bitRegClassID),
     /* 121851 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(X86::GR8RegClassID),
     /* 121856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SARX64rr_EVEX),
     /* 121859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121861 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121866 */     GIR_RootConstrainSelectedInstOperands,
     /* 121867 */     // GIR_Coverage, 17684,
     /* 121867 */     GIR_EraseRootFromParent_Done,
     /* 121868 */   // Label 2649: @121868
     /* 121868 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(121910), // Rule ID 743 //
     /* 121873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 121876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 121880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 121884 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SAR64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 121884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121888 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 121898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64rCL),
     /* 121901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121903 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121908 */     GIR_RootConstrainSelectedInstOperands,
     /* 121909 */     // GIR_Coverage, 743,
     /* 121909 */     GIR_EraseRootFromParent_Done,
     /* 121910 */   // Label 2650: @121910
     /* 121910 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(121952), // Rule ID 747 //
     /* 121915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 121918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 121922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 121926 */     // (sra:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SAR64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 121926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121930 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 121940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SAR64rCL_ND),
     /* 121943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 121945 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 121947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 121950 */     GIR_RootConstrainSelectedInstOperands,
     /* 121951 */     // GIR_Coverage, 747,
     /* 121951 */     GIR_EraseRootFromParent_Done,
     /* 121952 */   // Label 2651: @121952
     /* 121952 */   GIM_Reject,
     /* 121953 */ // Label 2641: @121953
     /* 121953 */ GIM_Reject,
     /* 121954 */ // Label 2615: @121954
     /* 121954 */ GIM_Reject,
     /* 121955 */ // Label 29: @121955
     /* 121955 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2654*/ GIMT_Encode4(122682),
     /* 121966 */ /*GILLT_s32*//*Label 2652*/ GIMT_Encode4(121974),
     /* 121970 */ /*GILLT_s64*//*Label 2653*/ GIMT_Encode4(122328),
     /* 121974 */ // Label 2652: @121974
     /* 121974 */ GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(122327),
     /* 121979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 121982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 121985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /* 121988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 121992 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(122065), // Rule ID 839 //
     /* 121997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 122004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122008 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122011 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122015 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 122019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 122027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122031 */     // MIs[2] Operand 1
     /* 122031 */     // No operand predicates
     /* 122031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 122033 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122040 */     // (fshl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD32mri8_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32mri8_ND),
     /* 122043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122045 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122049 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src3
     /* 122054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 122063 */     GIR_RootConstrainSelectedInstOperands,
     /* 122064 */     // GIR_Coverage, 839,
     /* 122064 */     GIR_EraseRootFromParent_Done,
     /* 122065 */   // Label 2656: @122065
     /* 122065 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(122144), // Rule ID 842 //
     /* 122070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 122077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122081 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122084 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122088 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 122092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122109 */     // (fshl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, GR32:{ *:[i32] }:$src2, CL:{ *:[i8] })  =>  (SHLD32mrCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 122109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32mrCL_ND),
     /* 122126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122128 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122132 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 122142 */     GIR_RootConstrainSelectedInstOperands,
     /* 122143 */     // GIR_Coverage, 842,
     /* 122143 */     GIR_EraseRootFromParent_Done,
     /* 122144 */   // Label 2657: @122144
     /* 122144 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(122187), // Rule ID 821 //
     /* 122149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122168 */     // MIs[1] Operand 1
     /* 122168 */     // No operand predicates
     /* 122168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122170 */     // (fshl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD32rri8:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32rri8),
     /* 122173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122175 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122177 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122185 */     GIR_RootConstrainSelectedInstOperands,
     /* 122186 */     // GIR_Coverage, 821,
     /* 122186 */     GIR_EraseRootFromParent_Done,
     /* 122187 */   // Label 2658: @122187
     /* 122187 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(122230), // Rule ID 827 //
     /* 122192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122211 */     // MIs[1] Operand 1
     /* 122211 */     // No operand predicates
     /* 122211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122213 */     // (fshl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD32rri8_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32rri8_ND),
     /* 122216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122218 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122220 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122228 */     GIR_RootConstrainSelectedInstOperands,
     /* 122229 */     // GIR_Coverage, 827,
     /* 122229 */     GIR_EraseRootFromParent_Done,
     /* 122230 */   // Label 2659: @122230
     /* 122230 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(122278), // Rule ID 824 //
     /* 122235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122250 */     // (fshl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, CL:{ *:[i8] })  =>  (SHLD32rrCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 122250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122254 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122260 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32rrCL),
     /* 122267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122269 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122271 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122276 */     GIR_RootConstrainSelectedInstOperands,
     /* 122277 */     // GIR_Coverage, 824,
     /* 122277 */     GIR_EraseRootFromParent_Done,
     /* 122278 */   // Label 2660: @122278
     /* 122278 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(122326), // Rule ID 830 //
     /* 122283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122298 */     // (fshl:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, CL:{ *:[i8] })  =>  (SHLD32rrCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 122298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122302 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD32rrCL_ND),
     /* 122315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122317 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122319 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122324 */     GIR_RootConstrainSelectedInstOperands,
     /* 122325 */     // GIR_Coverage, 830,
     /* 122325 */     GIR_EraseRootFromParent_Done,
     /* 122326 */   // Label 2661: @122326
     /* 122326 */   GIM_Reject,
     /* 122327 */ // Label 2655: @122327
     /* 122327 */ GIM_Reject,
     /* 122328 */ // Label 2653: @122328
     /* 122328 */ GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(122681),
     /* 122333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 122336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 122339 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /* 122342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122346 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(122419), // Rule ID 840 //
     /* 122351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 122358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122362 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122365 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 122369 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 122381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122385 */     // MIs[2] Operand 1
     /* 122385 */     // No operand predicates
     /* 122385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 122387 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122394 */     // (fshl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD64mri8_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64mri8_ND),
     /* 122397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122403 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src3
     /* 122408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 122417 */     GIR_RootConstrainSelectedInstOperands,
     /* 122418 */     // GIR_Coverage, 840,
     /* 122418 */     GIR_EraseRootFromParent_Done,
     /* 122419 */   // Label 2663: @122419
     /* 122419 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(122498), // Rule ID 843 //
     /* 122424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 122431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122435 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122438 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 122442 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122456 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122463 */     // (fshl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, GR64:{ *:[i64] }:$src2, CL:{ *:[i8] })  =>  (SHLD64mrCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 122463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122467 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64mrCL_ND),
     /* 122480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122482 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122486 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 122496 */     GIR_RootConstrainSelectedInstOperands,
     /* 122497 */     // GIR_Coverage, 843,
     /* 122497 */     GIR_EraseRootFromParent_Done,
     /* 122498 */   // Label 2664: @122498
     /* 122498 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(122541), // Rule ID 822 //
     /* 122503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122522 */     // MIs[1] Operand 1
     /* 122522 */     // No operand predicates
     /* 122522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122524 */     // (fshl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD64rri8:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64rri8),
     /* 122527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122529 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122531 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122539 */     GIR_RootConstrainSelectedInstOperands,
     /* 122540 */     // GIR_Coverage, 822,
     /* 122540 */     GIR_EraseRootFromParent_Done,
     /* 122541 */   // Label 2665: @122541
     /* 122541 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(122584), // Rule ID 828 //
     /* 122546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122565 */     // MIs[1] Operand 1
     /* 122565 */     // No operand predicates
     /* 122565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122567 */     // (fshl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)  =>  (SHLD64rri8_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64rri8_ND),
     /* 122570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122572 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122574 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122582 */     GIR_RootConstrainSelectedInstOperands,
     /* 122583 */     // GIR_Coverage, 828,
     /* 122583 */     GIR_EraseRootFromParent_Done,
     /* 122584 */   // Label 2666: @122584
     /* 122584 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(122632), // Rule ID 825 //
     /* 122589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122604 */     // (fshl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, CL:{ *:[i8] })  =>  (SHLD64rrCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 122604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122608 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64rrCL),
     /* 122621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122623 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122625 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122630 */     GIR_RootConstrainSelectedInstOperands,
     /* 122631 */     // GIR_Coverage, 825,
     /* 122631 */     GIR_EraseRootFromParent_Done,
     /* 122632 */   // Label 2667: @122632
     /* 122632 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(122680), // Rule ID 831 //
     /* 122637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 122648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122652 */     // (fshl:{ *:[i64] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, CL:{ *:[i8] })  =>  (SHLD64rrCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 122652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122656 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122662 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLD64rrCL_ND),
     /* 122669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122671 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 122673 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 122675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122678 */     GIR_RootConstrainSelectedInstOperands,
     /* 122679 */     // GIR_Coverage, 831,
     /* 122679 */     GIR_EraseRootFromParent_Done,
     /* 122680 */   // Label 2668: @122680
     /* 122680 */   GIM_Reject,
     /* 122681 */ // Label 2662: @122681
     /* 122681 */ GIM_Reject,
     /* 122682 */ // Label 2654: @122682
     /* 122682 */ GIM_Reject,
     /* 122683 */ // Label 30: @122683
     /* 122683 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2671*/ GIMT_Encode4(123370),
     /* 122694 */ /*GILLT_s32*//*Label 2669*/ GIMT_Encode4(122702),
     /* 122698 */ /*GILLT_s64*//*Label 2670*/ GIMT_Encode4(123036),
     /* 122702 */ // Label 2669: @122702
     /* 122702 */ GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(123035),
     /* 122707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 122710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 122713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /* 122716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122724 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(122793), // Rule ID 863 //
     /* 122729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 122736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122740 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122743 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122747 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 122751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 122755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122759 */     // MIs[2] Operand 1
     /* 122759 */     // No operand predicates
     /* 122759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 122761 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122768 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src3)  =>  (SHRD32mri8_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32mri8_ND),
     /* 122771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122773 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122777 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 122779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src3
     /* 122782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 122791 */     GIR_RootConstrainSelectedInstOperands,
     /* 122792 */     // GIR_Coverage, 863,
     /* 122792 */     GIR_EraseRootFromParent_Done,
     /* 122793 */   // Label 2673: @122793
     /* 122793 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(122868), // Rule ID 866 //
     /* 122798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 122805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 122809 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122812 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 122816 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 122820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122826 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 122833 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (SHRD32mrCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 122833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32mrCL_ND),
     /* 122850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122852 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 122856 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 122858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122861 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 122866 */     GIR_RootConstrainSelectedInstOperands,
     /* 122867 */     // GIR_Coverage, 866,
     /* 122867 */     GIR_EraseRootFromParent_Done,
     /* 122868 */   // Label 2674: @122868
     /* 122868 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(122907), // Rule ID 845 //
     /* 122873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122888 */     // MIs[1] Operand 1
     /* 122888 */     // No operand predicates
     /* 122888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122890 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src3)  =>  (SHRD32rri8:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32rri8),
     /* 122893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122895 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 122897 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 122899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122905 */     GIR_RootConstrainSelectedInstOperands,
     /* 122906 */     // GIR_Coverage, 845,
     /* 122906 */     GIR_EraseRootFromParent_Done,
     /* 122907 */   // Label 2675: @122907
     /* 122907 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(122946), // Rule ID 851 //
     /* 122912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 122923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122927 */     // MIs[1] Operand 1
     /* 122927 */     // No operand predicates
     /* 122927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122929 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src3)  =>  (SHRD32rri8_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 122929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32rri8_ND),
     /* 122932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122934 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 122936 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 122938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 122941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122944 */     GIR_RootConstrainSelectedInstOperands,
     /* 122945 */     // GIR_Coverage, 851,
     /* 122945 */     GIR_EraseRootFromParent_Done,
     /* 122946 */   // Label 2676: @122946
     /* 122946 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(122990), // Rule ID 848 //
     /* 122951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 122954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 122958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 122962 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHRD32rrCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 122962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 122966 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122972 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 122976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32rrCL),
     /* 122979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 122981 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 122983 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 122985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 122988 */     GIR_RootConstrainSelectedInstOperands,
     /* 122989 */     // GIR_Coverage, 848,
     /* 122989 */     GIR_EraseRootFromParent_Done,
     /* 122990 */   // Label 2677: @122990
     /* 122990 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(123034), // Rule ID 854 //
     /* 122995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 122998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 123002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123006 */     // (fshr:{ *:[i32] } GR32:{ *:[i32] }:$src2, GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (SHRD32rrCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, GR32:{ *:[i32] }:$src2)
     /* 123006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123010 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123016 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD32rrCL_ND),
     /* 123023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123025 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123027 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123032 */     GIR_RootConstrainSelectedInstOperands,
     /* 123033 */     // GIR_Coverage, 854,
     /* 123033 */     GIR_EraseRootFromParent_Done,
     /* 123034 */   // Label 2678: @123034
     /* 123034 */   GIM_Reject,
     /* 123035 */ // Label 2672: @123035
     /* 123035 */ GIM_Reject,
     /* 123036 */ // Label 2670: @123036
     /* 123036 */ GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(123369),
     /* 123041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 123044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 123047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s8,
     /* 123050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123058 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(123127), // Rule ID 864 //
     /* 123063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 123070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123074 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123077 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 123081 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 123089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123093 */     // MIs[2] Operand 1
     /* 123093 */     // No operand predicates
     /* 123093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 123095 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123102 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src3)  =>  (SHRD64mri8_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 123102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64mri8_ND),
     /* 123105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123107 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123111 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src3
     /* 123116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123119 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 123125 */     GIR_RootConstrainSelectedInstOperands,
     /* 123126 */     // GIR_Coverage, 864,
     /* 123126 */     GIR_EraseRootFromParent_Done,
     /* 123127 */   // Label 2680: @123127
     /* 123127 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(123202), // Rule ID 867 //
     /* 123132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 123139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123143 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123146 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 123150 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123160 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123167 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (SHRD64mrCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 123167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123171 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123177 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64mrCL_ND),
     /* 123184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123186 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123190 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 123200 */     GIR_RootConstrainSelectedInstOperands,
     /* 123201 */     // GIR_Coverage, 867,
     /* 123201 */     GIR_EraseRootFromParent_Done,
     /* 123202 */   // Label 2681: @123202
     /* 123202 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(123241), // Rule ID 846 //
     /* 123207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 123210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 123218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123222 */     // MIs[1] Operand 1
     /* 123222 */     // No operand predicates
     /* 123222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123224 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src3)  =>  (SHRD64rri8:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 123224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64rri8),
     /* 123227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123229 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123231 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 123236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123239 */     GIR_RootConstrainSelectedInstOperands,
     /* 123240 */     // GIR_Coverage, 846,
     /* 123240 */     GIR_EraseRootFromParent_Done,
     /* 123241 */   // Label 2682: @123241
     /* 123241 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(123280), // Rule ID 852 //
     /* 123246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 123257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123261 */     // MIs[1] Operand 1
     /* 123261 */     // No operand predicates
     /* 123261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123263 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src3)  =>  (SHRD64rri8_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2, (imm:{ *:[i8] }):$src3)
     /* 123263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64rri8_ND),
     /* 123266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123268 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123270 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src3
     /* 123275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123278 */     GIR_RootConstrainSelectedInstOperands,
     /* 123279 */     // GIR_Coverage, 852,
     /* 123279 */     GIR_EraseRootFromParent_Done,
     /* 123280 */   // Label 2683: @123280
     /* 123280 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(123324), // Rule ID 849 //
     /* 123285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 123288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123296 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHRD64rrCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 123296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123300 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123306 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64rrCL),
     /* 123313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123315 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123317 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123322 */     GIR_RootConstrainSelectedInstOperands,
     /* 123323 */     // GIR_Coverage, 849,
     /* 123323 */     GIR_EraseRootFromParent_Done,
     /* 123324 */   // Label 2684: @123324
     /* 123324 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(123368), // Rule ID 855 //
     /* 123329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 123336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123340 */     // (fshr:{ *:[i64] } GR64:{ *:[i64] }:$src2, GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (SHRD64rrCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, GR64:{ *:[i64] }:$src2)
     /* 123340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // CL
     /* 123354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRD64rrCL_ND),
     /* 123357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123359 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 123361 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 123363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123366 */     GIR_RootConstrainSelectedInstOperands,
     /* 123367 */     // GIR_Coverage, 855,
     /* 123367 */     GIR_EraseRootFromParent_Done,
     /* 123368 */   // Label 2685: @123368
     /* 123368 */   GIM_Reject,
     /* 123369 */ // Label 2679: @123369
     /* 123369 */ GIM_Reject,
     /* 123370 */ // Label 2671: @123370
     /* 123370 */ GIM_Reject,
     /* 123371 */ // Label 31: @123371
     /* 123371 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(20), /*)*//*default:*//*Label 2696*/ GIMT_Encode4(126868),
     /* 123382 */ /*GILLT_s8*//*Label 2686*/ GIMT_Encode4(123458),
     /* 123386 */ /*GILLT_s16*//*Label 2687*/ GIMT_Encode4(123888),
     /* 123390 */ /*GILLT_s32*//*Label 2688*/ GIMT_Encode4(124318),
     /* 123394 */ /*GILLT_s64*//*Label 2689*/ GIMT_Encode4(124981), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123410 */ /*GILLT_v2s64*//*Label 2690*/ GIMT_Encode4(125644), GIMT_Encode4(0),
     /* 123418 */ /*GILLT_v4s32*//*Label 2691*/ GIMT_Encode4(125911),
     /* 123422 */ /*GILLT_v4s64*//*Label 2692*/ GIMT_Encode4(126178), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123434 */ /*GILLT_v8s32*//*Label 2693*/ GIMT_Encode4(126429),
     /* 123438 */ /*GILLT_v8s64*//*Label 2694*/ GIMT_Encode4(126680), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 123454 */ /*GILLT_v16s32*//*Label 2695*/ GIMT_Encode4(126774),
     /* 123458 */ // Label 2686: @123458
     /* 123458 */ GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(123887),
     /* 123463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 123466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 123469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 123473 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(123532), // Rule ID 17623 //
     /* 123478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 123481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123489 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123492 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123496 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 123500 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 123504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123506 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123513 */     // (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 7:{ *:[i8] })  =>  (ROL8m1_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 123513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8m1_ND),
     /* 123516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123518 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 123522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 123530 */     GIR_RootConstrainSelectedInstOperands,
     /* 123531 */     // GIR_Coverage, 17623,
     /* 123531 */     GIR_EraseRootFromParent_Done,
     /* 123532 */   // Label 2698: @123532
     /* 123532 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(123599), // Rule ID 800 //
     /* 123537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123548 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123551 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123555 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 123559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 123563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123567 */     // MIs[2] Operand 1
     /* 123567 */     // No operand predicates
     /* 123567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 123569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123576 */     // (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (ROR8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 123576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8mi_ND),
     /* 123579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123581 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 123588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123591 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 123597 */     GIR_RootConstrainSelectedInstOperands,
     /* 123598 */     // GIR_Coverage, 800,
     /* 123598 */     GIR_EraseRootFromParent_Done,
     /* 123599 */   // Label 2699: @123599
     /* 123599 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(123672), // Rule ID 816 //
     /* 123604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123615 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123618 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123622 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 123626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123632 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123639 */     // (rotr:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (ROR8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 123639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 123653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8mCL_ND),
     /* 123656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123658 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 123662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123665 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 123670 */     GIR_RootConstrainSelectedInstOperands,
     /* 123671 */     // GIR_Coverage, 816,
     /* 123671 */     GIR_EraseRootFromParent_Done,
     /* 123672 */   // Label 2700: @123672
     /* 123672 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(123700), // Rule ID 17599 //
     /* 123677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 123680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 123684 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 123688 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, 7:{ *:[i8] })  =>  (ROL8r1:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 123688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8r1),
     /* 123691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123693 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 123695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123698 */     GIR_RootConstrainSelectedInstOperands,
     /* 123699 */     // GIR_Coverage, 17599,
     /* 123699 */     GIR_EraseRootFromParent_Done,
     /* 123700 */   // Label 2701: @123700
     /* 123700 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(123728), // Rule ID 17607 //
     /* 123705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 123708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 123712 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 123716 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, 7:{ *:[i8] })  =>  (ROL8r1_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 123716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8r1_ND),
     /* 123719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123721 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 123723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123726 */     GIR_RootConstrainSelectedInstOperands,
     /* 123727 */     // GIR_Coverage, 17607,
     /* 123727 */     GIR_EraseRootFromParent_Done,
     /* 123728 */   // Label 2702: @123728
     /* 123728 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(123765), // Rule ID 788 //
     /* 123733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 123736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 123740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 123744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123748 */     // MIs[1] Operand 1
     /* 123748 */     // No operand predicates
     /* 123748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123750 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 123750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8ri),
     /* 123753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123755 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 123757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 123760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123763 */     GIR_RootConstrainSelectedInstOperands,
     /* 123764 */     // GIR_Coverage, 788,
     /* 123764 */     GIR_EraseRootFromParent_Done,
     /* 123765 */   // Label 2703: @123765
     /* 123765 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(123802), // Rule ID 792 //
     /* 123770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 123777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 123781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123785 */     // MIs[1] Operand 1
     /* 123785 */     // No operand predicates
     /* 123785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123787 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 123787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8ri_ND),
     /* 123790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123792 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 123794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 123797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123800 */     GIR_RootConstrainSelectedInstOperands,
     /* 123801 */     // GIR_Coverage, 792,
     /* 123801 */     GIR_EraseRootFromParent_Done,
     /* 123802 */   // Label 2704: @123802
     /* 123802 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(123844), // Rule ID 804 //
     /* 123807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 123810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 123814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123818 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (ROR8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 123818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123822 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 123832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8rCL),
     /* 123835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123837 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 123839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123842 */     GIR_RootConstrainSelectedInstOperands,
     /* 123843 */     // GIR_Coverage, 804,
     /* 123843 */     GIR_EraseRootFromParent_Done,
     /* 123844 */   // Label 2705: @123844
     /* 123844 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(123886), // Rule ID 808 //
     /* 123849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 123856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 123860 */     // (rotr:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (ROR8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 123860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 123864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 123870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 123874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8rCL_ND),
     /* 123877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123879 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 123881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123884 */     GIR_RootConstrainSelectedInstOperands,
     /* 123885 */     // GIR_Coverage, 808,
     /* 123885 */     GIR_EraseRootFromParent_Done,
     /* 123886 */   // Label 2706: @123886
     /* 123886 */   GIM_Reject,
     /* 123887 */ // Label 2697: @123887
     /* 123887 */ GIM_Reject,
     /* 123888 */ // Label 2687: @123888
     /* 123888 */ GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(124317),
     /* 123893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 123896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 123899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 123903 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(123962), // Rule ID 17624 //
     /* 123908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 123911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123919 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123922 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123926 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 123930 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 123934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 123936 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 123943 */     // (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 15:{ *:[i8] })  =>  (ROL16m1_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 123943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16m1_ND),
     /* 123946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 123948 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 123952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 123955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 123960 */     GIR_RootConstrainSelectedInstOperands,
     /* 123961 */     // GIR_Coverage, 17624,
     /* 123961 */     GIR_EraseRootFromParent_Done,
     /* 123962 */   // Label 2708: @123962
     /* 123962 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(124029), // Rule ID 801 //
     /* 123967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 123970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 123974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 123978 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123981 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 123985 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 123989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 123993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 123997 */     // MIs[2] Operand 1
     /* 123997 */     // No operand predicates
     /* 123997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 123999 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124006 */     // (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (ROR16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16mi_ND),
     /* 124009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124011 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 124015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 124018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 124027 */     GIR_RootConstrainSelectedInstOperands,
     /* 124028 */     // GIR_Coverage, 801,
     /* 124028 */     GIR_EraseRootFromParent_Done,
     /* 124029 */   // Label 2709: @124029
     /* 124029 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(124102), // Rule ID 817 //
     /* 124034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124045 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124048 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124052 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 124056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124062 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124069 */     // (rotr:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (ROR16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 124069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16mCL_ND),
     /* 124086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124088 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 124092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 124100 */     GIR_RootConstrainSelectedInstOperands,
     /* 124101 */     // GIR_Coverage, 817,
     /* 124101 */     GIR_EraseRootFromParent_Done,
     /* 124102 */   // Label 2710: @124102
     /* 124102 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(124130), // Rule ID 17600 //
     /* 124107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124114 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 124118 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, 15:{ *:[i8] })  =>  (ROL16r1:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 124118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16r1),
     /* 124121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124123 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124128 */     GIR_RootConstrainSelectedInstOperands,
     /* 124129 */     // GIR_Coverage, 17600,
     /* 124129 */     GIR_EraseRootFromParent_Done,
     /* 124130 */   // Label 2711: @124130
     /* 124130 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(124158), // Rule ID 17608 //
     /* 124135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 124138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124142 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 124146 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, 15:{ *:[i8] })  =>  (ROL16r1_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 124146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16r1_ND),
     /* 124149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124151 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124156 */     GIR_RootConstrainSelectedInstOperands,
     /* 124157 */     // GIR_Coverage, 17608,
     /* 124157 */     GIR_EraseRootFromParent_Done,
     /* 124158 */   // Label 2712: @124158
     /* 124158 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(124195), // Rule ID 789 //
     /* 124163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124178 */     // MIs[1] Operand 1
     /* 124178 */     // No operand predicates
     /* 124178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124180 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16ri),
     /* 124183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124185 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 124190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124193 */     GIR_RootConstrainSelectedInstOperands,
     /* 124194 */     // GIR_Coverage, 789,
     /* 124194 */     GIR_EraseRootFromParent_Done,
     /* 124195 */   // Label 2713: @124195
     /* 124195 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(124232), // Rule ID 793 //
     /* 124200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124215 */     // MIs[1] Operand 1
     /* 124215 */     // No operand predicates
     /* 124215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124217 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16ri_ND),
     /* 124220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124222 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 124227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124230 */     GIR_RootConstrainSelectedInstOperands,
     /* 124231 */     // GIR_Coverage, 793,
     /* 124231 */     GIR_EraseRootFromParent_Done,
     /* 124232 */   // Label 2714: @124232
     /* 124232 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(124274), // Rule ID 805 //
     /* 124237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124248 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (ROR16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 124248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124252 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124258 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16rCL),
     /* 124265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124267 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124272 */     GIR_RootConstrainSelectedInstOperands,
     /* 124273 */     // GIR_Coverage, 805,
     /* 124273 */     GIR_EraseRootFromParent_Done,
     /* 124274 */   // Label 2715: @124274
     /* 124274 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(124316), // Rule ID 809 //
     /* 124279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 124286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124290 */     // (rotr:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (ROR16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 124290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16rCL_ND),
     /* 124307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124314 */     GIR_RootConstrainSelectedInstOperands,
     /* 124315 */     // GIR_Coverage, 809,
     /* 124315 */     GIR_EraseRootFromParent_Done,
     /* 124316 */   // Label 2716: @124316
     /* 124316 */   GIM_Reject,
     /* 124317 */ // Label 2707: @124317
     /* 124317 */ GIM_Reject,
     /* 124318 */ // Label 2688: @124318
     /* 124318 */ GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(124980),
     /* 124323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 124326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 124329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124333 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(124392), // Rule ID 17625 //
     /* 124338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 124341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124349 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124352 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124356 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124360 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 124364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124366 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124373 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 31:{ *:[i8] })  =>  (ROL32m1_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 124373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32m1_ND),
     /* 124376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124378 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 124382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124385 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 124390 */     GIR_RootConstrainSelectedInstOperands,
     /* 124391 */     // GIR_Coverage, 17625,
     /* 124391 */     GIR_EraseRootFromParent_Done,
     /* 124392 */   // Label 2718: @124392
     /* 124392 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(124459), // Rule ID 802 //
     /* 124397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124408 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124411 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124415 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 124423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124427 */     // MIs[2] Operand 1
     /* 124427 */     // No operand predicates
     /* 124427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 124429 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124436 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (ROR32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32mi_ND),
     /* 124439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124441 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 124445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 124448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 124457 */     GIR_RootConstrainSelectedInstOperands,
     /* 124458 */     // GIR_Coverage, 802,
     /* 124458 */     GIR_EraseRootFromParent_Done,
     /* 124459 */   // Label 2719: @124459
     /* 124459 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(124523), // Rule ID 17647 //
     /* 124464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 124467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124475 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124478 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124482 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 124490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124494 */     // MIs[2] Operand 1
     /* 124494 */     // No operand predicates
     /* 124494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 124496 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124503 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$shamt)  =>  (RORX32mi:{ *:[i32] } addr:{ *:[iPTR] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 124503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX32mi),
     /* 124506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124508 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 124512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 124515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 124521 */     GIR_RootConstrainSelectedInstOperands,
     /* 124522 */     // GIR_Coverage, 17647,
     /* 124522 */     GIR_EraseRootFromParent_Done,
     /* 124523 */   // Label 2720: @124523
     /* 124523 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(124587), // Rule ID 17679 //
     /* 124528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 124531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124539 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124542 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124546 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 124554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124558 */     // MIs[2] Operand 1
     /* 124558 */     // No operand predicates
     /* 124558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 124560 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124567 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$shamt)  =>  (RORX32mi_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 124567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX32mi_EVEX),
     /* 124570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124572 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 124576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 124579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 124585 */     GIR_RootConstrainSelectedInstOperands,
     /* 124586 */     // GIR_Coverage, 17679,
     /* 124586 */     GIR_EraseRootFromParent_Done,
     /* 124587 */   // Label 2721: @124587
     /* 124587 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(124660), // Rule ID 818 //
     /* 124592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 124599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 124603 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124606 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 124610 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 124614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124620 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 124627 */     // (rotr:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (ROR32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 124627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32mCL_ND),
     /* 124644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124646 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 124650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 124658 */     GIR_RootConstrainSelectedInstOperands,
     /* 124659 */     // GIR_Coverage, 818,
     /* 124659 */     GIR_EraseRootFromParent_Done,
     /* 124660 */   // Label 2722: @124660
     /* 124660 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(124694), // Rule ID 17643 //
     /* 124665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 124668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124680 */     // MIs[1] Operand 1
     /* 124680 */     // No operand predicates
     /* 124680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124682 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src, (imm:{ *:[i8] }):$shamt)  =>  (RORX32ri:{ *:[i32] } GR32:{ *:[i32] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 124682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX32ri),
     /* 124685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124687 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 124689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 124692 */     GIR_RootConstrainSelectedInstOperands,
     /* 124693 */     // GIR_Coverage, 17643,
     /* 124693 */     GIR_EraseRootFromParent_Done,
     /* 124694 */   // Label 2723: @124694
     /* 124694 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(124728), // Rule ID 17675 //
     /* 124699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 124702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124714 */     // MIs[1] Operand 1
     /* 124714 */     // No operand predicates
     /* 124714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124716 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src, (imm:{ *:[i8] }):$shamt)  =>  (RORX32ri_EVEX:{ *:[i32] } GR32:{ *:[i32] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 124716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX32ri_EVEX),
     /* 124719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124721 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 124723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 124726 */     GIR_RootConstrainSelectedInstOperands,
     /* 124727 */     // GIR_Coverage, 17675,
     /* 124727 */     GIR_EraseRootFromParent_Done,
     /* 124728 */   // Label 2724: @124728
     /* 124728 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(124765), // Rule ID 870 //
     /* 124733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFastSHLDRotate),
     /* 124736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124748 */     // MIs[1] Operand 1
     /* 124748 */     // No operand predicates
     /* 124748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124750 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$shamt)  =>  (SHRDROT32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$shamt)
     /* 124750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRDROT32ri),
     /* 124753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124755 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 124760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124763 */     GIR_RootConstrainSelectedInstOperands,
     /* 124764 */     // GIR_Coverage, 870,
     /* 124764 */     GIR_EraseRootFromParent_Done,
     /* 124765 */   // Label 2725: @124765
     /* 124765 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(124793), // Rule ID 17601 //
     /* 124770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 124781 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, 31:{ *:[i8] })  =>  (ROL32r1:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 124781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32r1),
     /* 124784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124786 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124791 */     GIR_RootConstrainSelectedInstOperands,
     /* 124792 */     // GIR_Coverage, 17601,
     /* 124792 */     GIR_EraseRootFromParent_Done,
     /* 124793 */   // Label 2726: @124793
     /* 124793 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(124821), // Rule ID 17609 //
     /* 124798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 124801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 124809 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, 31:{ *:[i8] })  =>  (ROL32r1_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 124809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32r1_ND),
     /* 124812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124814 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124819 */     GIR_RootConstrainSelectedInstOperands,
     /* 124820 */     // GIR_Coverage, 17609,
     /* 124820 */     GIR_EraseRootFromParent_Done,
     /* 124821 */   // Label 2727: @124821
     /* 124821 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(124858), // Rule ID 790 //
     /* 124826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124841 */     // MIs[1] Operand 1
     /* 124841 */     // No operand predicates
     /* 124841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124843 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32ri),
     /* 124846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124848 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 124853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124856 */     GIR_RootConstrainSelectedInstOperands,
     /* 124857 */     // GIR_Coverage, 790,
     /* 124857 */     GIR_EraseRootFromParent_Done,
     /* 124858 */   // Label 2728: @124858
     /* 124858 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(124895), // Rule ID 794 //
     /* 124863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 124874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 124878 */     // MIs[1] Operand 1
     /* 124878 */     // No operand predicates
     /* 124878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 124880 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 124880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32ri_ND),
     /* 124883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124885 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 124890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124893 */     GIR_RootConstrainSelectedInstOperands,
     /* 124894 */     // GIR_Coverage, 794,
     /* 124894 */     GIR_EraseRootFromParent_Done,
     /* 124895 */   // Label 2729: @124895
     /* 124895 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(124937), // Rule ID 806 //
     /* 124900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 124903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124911 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (ROR32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 124911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32rCL),
     /* 124928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124930 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124935 */     GIR_RootConstrainSelectedInstOperands,
     /* 124936 */     // GIR_Coverage, 806,
     /* 124936 */     GIR_EraseRootFromParent_Done,
     /* 124937 */   // Label 2730: @124937
     /* 124937 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(124979), // Rule ID 810 //
     /* 124942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 124945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 124949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 124953 */     // (rotr:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (ROR32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 124953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 124957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 124967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32rCL_ND),
     /* 124970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 124972 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 124974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 124977 */     GIR_RootConstrainSelectedInstOperands,
     /* 124978 */     // GIR_Coverage, 810,
     /* 124978 */     GIR_EraseRootFromParent_Done,
     /* 124979 */   // Label 2731: @124979
     /* 124979 */   GIM_Reject,
     /* 124980 */ // Label 2717: @124980
     /* 124980 */ GIM_Reject,
     /* 124981 */ // Label 2689: @124981
     /* 124981 */ GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(125643),
     /* 124986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 124989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 124992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 124996 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(125055), // Rule ID 17626 //
     /* 125001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 125004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125012 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125015 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125019 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125023 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 125027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125036 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 63:{ *:[i8] })  =>  (ROL64m1_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 125036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64m1_ND),
     /* 125039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125041 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 125045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 125053 */     GIR_RootConstrainSelectedInstOperands,
     /* 125054 */     // GIR_Coverage, 17626,
     /* 125054 */     GIR_EraseRootFromParent_Done,
     /* 125055 */   // Label 2733: @125055
     /* 125055 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(125122), // Rule ID 803 //
     /* 125060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125071 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125074 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125078 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 125086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125090 */     // MIs[2] Operand 1
     /* 125090 */     // No operand predicates
     /* 125090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 125092 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125099 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (ROR64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 125099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64mi_ND),
     /* 125102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125104 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 125108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 125111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 125120 */     GIR_RootConstrainSelectedInstOperands,
     /* 125121 */     // GIR_Coverage, 803,
     /* 125121 */     GIR_EraseRootFromParent_Done,
     /* 125122 */   // Label 2734: @125122
     /* 125122 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(125186), // Rule ID 17648 //
     /* 125127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 125130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125138 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125141 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125145 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 125153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125157 */     // MIs[2] Operand 1
     /* 125157 */     // No operand predicates
     /* 125157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 125159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125166 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$shamt)  =>  (RORX64mi:{ *:[i64] } addr:{ *:[iPTR] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX64mi),
     /* 125169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125171 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 125175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 125178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 125184 */     GIR_RootConstrainSelectedInstOperands,
     /* 125185 */     // GIR_Coverage, 17648,
     /* 125185 */     GIR_EraseRootFromParent_Done,
     /* 125186 */   // Label 2735: @125186
     /* 125186 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(125250), // Rule ID 17680 //
     /* 125191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 125194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125202 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125205 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125209 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 125217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125221 */     // MIs[2] Operand 1
     /* 125221 */     // No operand predicates
     /* 125221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 125223 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125230 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$shamt)  =>  (RORX64mi_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX64mi_EVEX),
     /* 125233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125235 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 125239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 125242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 125248 */     GIR_RootConstrainSelectedInstOperands,
     /* 125249 */     // GIR_Coverage, 17680,
     /* 125249 */     GIR_EraseRootFromParent_Done,
     /* 125250 */   // Label 2736: @125250
     /* 125250 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(125323), // Rule ID 819 //
     /* 125255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 125262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125266 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125269 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125273 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 125281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125283 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125290 */     // (rotr:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (ROR64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 125290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 125294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 125304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64mCL_ND),
     /* 125307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125309 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 125313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 125321 */     GIR_RootConstrainSelectedInstOperands,
     /* 125322 */     // GIR_Coverage, 819,
     /* 125322 */     GIR_EraseRootFromParent_Done,
     /* 125323 */   // Label 2737: @125323
     /* 125323 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(125357), // Rule ID 17644 //
     /* 125328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_NoEGPR),
     /* 125331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125343 */     // MIs[1] Operand 1
     /* 125343 */     // No operand predicates
     /* 125343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125345 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src, (imm:{ *:[i8] }):$shamt)  =>  (RORX64ri:{ *:[i64] } GR64:{ *:[i64] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX64ri),
     /* 125348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125350 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 125352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 125355 */     GIR_RootConstrainSelectedInstOperands,
     /* 125356 */     // GIR_Coverage, 17644,
     /* 125356 */     GIR_EraseRootFromParent_Done,
     /* 125357 */   // Label 2738: @125357
     /* 125357 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(125391), // Rule ID 17676 //
     /* 125362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI2_HasEGPR),
     /* 125365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125377 */     // MIs[1] Operand 1
     /* 125377 */     // No operand predicates
     /* 125377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125379 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src, (imm:{ *:[i8] }):$shamt)  =>  (RORX64ri_EVEX:{ *:[i64] } GR64:{ *:[i64] }:$src, (imm:{ *:[i8] }):$shamt)
     /* 125379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::RORX64ri_EVEX),
     /* 125382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125384 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 125386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 125389 */     GIR_RootConstrainSelectedInstOperands,
     /* 125390 */     // GIR_Coverage, 17676,
     /* 125390 */     GIR_EraseRootFromParent_Done,
     /* 125391 */   // Label 2739: @125391
     /* 125391 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(125428), // Rule ID 871 //
     /* 125396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFastSHLDRotate),
     /* 125399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125411 */     // MIs[1] Operand 1
     /* 125411 */     // No operand predicates
     /* 125411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125413 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$shamt)  =>  (SHRDROT64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$shamt)
     /* 125413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHRDROT64ri),
     /* 125416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125418 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 125423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125426 */     GIR_RootConstrainSelectedInstOperands,
     /* 125427 */     // GIR_Coverage, 871,
     /* 125427 */     GIR_EraseRootFromParent_Done,
     /* 125428 */   // Label 2740: @125428
     /* 125428 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(125456), // Rule ID 17602 //
     /* 125433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 125436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125440 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 125444 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, 63:{ *:[i8] })  =>  (ROL64r1:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 125444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64r1),
     /* 125447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125449 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125454 */     GIR_RootConstrainSelectedInstOperands,
     /* 125455 */     // GIR_Coverage, 17602,
     /* 125455 */     GIR_EraseRootFromParent_Done,
     /* 125456 */   // Label 2741: @125456
     /* 125456 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(125484), // Rule ID 17610 //
     /* 125461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 125464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125468 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 125472 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, 63:{ *:[i8] })  =>  (ROL64r1_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 125472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64r1_ND),
     /* 125475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125477 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125482 */     GIR_RootConstrainSelectedInstOperands,
     /* 125483 */     // GIR_Coverage, 17610,
     /* 125483 */     GIR_EraseRootFromParent_Done,
     /* 125484 */   // Label 2742: @125484
     /* 125484 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(125521), // Rule ID 791 //
     /* 125489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 125492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125504 */     // MIs[1] Operand 1
     /* 125504 */     // No operand predicates
     /* 125504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125506 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 125506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64ri),
     /* 125509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125511 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 125516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125519 */     GIR_RootConstrainSelectedInstOperands,
     /* 125520 */     // GIR_Coverage, 791,
     /* 125520 */     GIR_EraseRootFromParent_Done,
     /* 125521 */   // Label 2743: @125521
     /* 125521 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(125558), // Rule ID 795 //
     /* 125526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 125541 */     // MIs[1] Operand 1
     /* 125541 */     // No operand predicates
     /* 125541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125543 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROR64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 125543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64ri_ND),
     /* 125546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125548 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 125553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125556 */     GIR_RootConstrainSelectedInstOperands,
     /* 125557 */     // GIR_Coverage, 795,
     /* 125557 */     GIR_EraseRootFromParent_Done,
     /* 125558 */   // Label 2744: @125558
     /* 125558 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(125600), // Rule ID 807 //
     /* 125563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 125566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 125574 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (ROR64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 125574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 125578 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125584 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 125588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64rCL),
     /* 125591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125593 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125598 */     GIR_RootConstrainSelectedInstOperands,
     /* 125599 */     // GIR_Coverage, 807,
     /* 125599 */     GIR_EraseRootFromParent_Done,
     /* 125600 */   // Label 2745: @125600
     /* 125600 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(125642), // Rule ID 811 //
     /* 125605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 125608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 125612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 125616 */     // (rotr:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (ROR64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 125616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 125620 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125626 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 125630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64rCL_ND),
     /* 125633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125635 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 125640 */     GIR_RootConstrainSelectedInstOperands,
     /* 125641 */     // GIR_Coverage, 811,
     /* 125641 */     GIR_EraseRootFromParent_Done,
     /* 125642 */   // Label 2746: @125642
     /* 125642 */   GIM_Reject,
     /* 125643 */ // Label 2732: @125643
     /* 125643 */ GIM_Reject,
     /* 125644 */ // Label 2690: @125644
     /* 125644 */ GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(125910),
     /* 125649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 125652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 125655 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(125717), // Rule ID 8004 //
     /* 125660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 125663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125679 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125682 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125686 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125692 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125699 */     // (rotr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 125699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVQZ128rm),
     /* 125702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125704 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125706 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 125710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 125715 */     GIR_RootConstrainSelectedInstOperands,
     /* 125716 */     // GIR_Coverage, 8004,
     /* 125716 */     GIR_EraseRootFromParent_Done,
     /* 125717 */   // Label 2748: @125717
     /* 125717 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(125744), // Rule ID 8001 //
     /* 125722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 125725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125737 */     // (rotr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPRORVQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 125737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVQZ128rr),
     /* 125742 */     GIR_RootConstrainSelectedInstOperands,
     /* 125743 */     // GIR_Coverage, 8001,
     /* 125743 */     GIR_Done,
     /* 125744 */   // Label 2749: @125744
     /* 125744 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(125909), // Rule ID 20803 //
     /* 125749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 125752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 125756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125764 */     // (rotr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPRORVQZrr:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 125764 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 125767 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 125771 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 125778 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 125781 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 125785 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125790 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 125793 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 125797 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 125800 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 125805 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 125810 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 125815 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 125818 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 125822 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 125829 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 125832 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 125836 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125841 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 125844 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 125848 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 125851 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 125856 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 125861 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 125866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 125869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPRORVQZrr),
     /* 125873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125878 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 125881 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 125884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 125889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125891 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 125898 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 125903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 125908 */     // GIR_Coverage, 20803,
     /* 125908 */     GIR_EraseRootFromParent_Done,
     /* 125909 */   // Label 2750: @125909
     /* 125909 */   GIM_Reject,
     /* 125910 */ // Label 2747: @125910
     /* 125910 */ GIM_Reject,
     /* 125911 */ // Label 2691: @125911
     /* 125911 */ GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(126177),
     /* 125916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 125919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 125922 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(125984), // Rule ID 7977 //
     /* 125927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 125930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 125942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 125946 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125949 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 125953 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 125957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 125959 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 125966 */     // (rotr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 125966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVDZ128rm),
     /* 125969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 125971 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 125973 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 125977 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 125982 */     GIR_RootConstrainSelectedInstOperands,
     /* 125983 */     // GIR_Coverage, 7977,
     /* 125983 */     GIR_EraseRootFromParent_Done,
     /* 125984 */   // Label 2752: @125984
     /* 125984 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(126011), // Rule ID 7974 //
     /* 125989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 125992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 125996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126004 */     // (rotr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPRORVDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 126004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVDZ128rr),
     /* 126009 */     GIR_RootConstrainSelectedInstOperands,
     /* 126010 */     // GIR_Coverage, 7974,
     /* 126010 */     GIR_Done,
     /* 126011 */   // Label 2753: @126011
     /* 126011 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(126176), // Rule ID 20805 //
     /* 126016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 126019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 126023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 126031 */     // (rotr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPRORVDZrr:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 126031 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 126034 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126038 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 126045 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 126048 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126052 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126057 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 126060 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 126064 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 126067 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126072 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126077 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 126082 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 126085 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126089 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 126096 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 126099 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126103 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126108 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 126111 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 126115 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 126118 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126123 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126128 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 126133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 126136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPRORVDZrr),
     /* 126140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126145 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 126148 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 126151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 126156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126158 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 126165 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 126170 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126175 */     // GIR_Coverage, 20805,
     /* 126175 */     GIR_EraseRootFromParent_Done,
     /* 126176 */   // Label 2754: @126176
     /* 126176 */   GIM_Reject,
     /* 126177 */ // Label 2751: @126177
     /* 126177 */ GIM_Reject,
     /* 126178 */ // Label 2692: @126178
     /* 126178 */ GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(126428),
     /* 126183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 126186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 126189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126197 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(126251), // Rule ID 7995 //
     /* 126202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 126209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 126213 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126216 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 126220 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 126224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126226 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 126233 */     // (rotr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 126233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVQZ256rm),
     /* 126236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126238 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126240 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 126244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 126249 */     GIR_RootConstrainSelectedInstOperands,
     /* 126250 */     // GIR_Coverage, 7995,
     /* 126250 */     GIR_EraseRootFromParent_Done,
     /* 126251 */   // Label 2756: @126251
     /* 126251 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(126270), // Rule ID 7992 //
     /* 126256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126263 */     // (rotr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPRORVQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 126263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVQZ256rr),
     /* 126268 */     GIR_RootConstrainSelectedInstOperands,
     /* 126269 */     // GIR_Coverage, 7992,
     /* 126269 */     GIR_Done,
     /* 126270 */   // Label 2757: @126270
     /* 126270 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(126427), // Rule ID 20804 //
     /* 126275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 126278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126282 */     // (rotr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPRORVQZrr:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 126282 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 126285 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126289 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 126296 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 126299 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126303 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126308 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 126311 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 126315 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 126318 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126323 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126328 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126333 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 126336 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126340 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 126347 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 126350 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126354 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126359 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 126362 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 126366 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 126369 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126374 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126379 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 126387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPRORVQZrr),
     /* 126391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126396 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 126399 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 126402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 126407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126409 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 126416 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126421 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126426 */     // GIR_Coverage, 20804,
     /* 126426 */     GIR_EraseRootFromParent_Done,
     /* 126427 */   // Label 2758: @126427
     /* 126427 */   GIM_Reject,
     /* 126428 */ // Label 2755: @126428
     /* 126428 */ GIM_Reject,
     /* 126429 */ // Label 2693: @126429
     /* 126429 */ GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(126679),
     /* 126434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 126437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 126440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126448 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(126502), // Rule ID 7968 //
     /* 126453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 126460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 126464 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126467 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 126471 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 126475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126477 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 126484 */     // (rotr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 126484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVDZ256rm),
     /* 126487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126489 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126491 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 126495 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 126500 */     GIR_RootConstrainSelectedInstOperands,
     /* 126501 */     // GIR_Coverage, 7968,
     /* 126501 */     GIR_EraseRootFromParent_Done,
     /* 126502 */   // Label 2760: @126502
     /* 126502 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(126521), // Rule ID 7965 //
     /* 126507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 126510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126514 */     // (rotr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPRORVDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 126514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVDZ256rr),
     /* 126519 */     GIR_RootConstrainSelectedInstOperands,
     /* 126520 */     // GIR_Coverage, 7965,
     /* 126520 */     GIR_Done,
     /* 126521 */   // Label 2761: @126521
     /* 126521 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(126678), // Rule ID 20806 //
     /* 126526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 126529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 126533 */     // (rotr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPRORVDZrr:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 126533 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 126536 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126540 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 126547 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 126550 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126554 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126559 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 126562 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 126566 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 126569 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126574 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126579 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126584 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 126587 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 126591 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 126598 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 126601 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 126605 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126610 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 126613 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 126617 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 126620 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 126625 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126630 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 126638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPRORVDZrr),
     /* 126642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 126647 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 126650 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 126653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 126655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 126658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126660 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 126667 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 126672 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 126677 */     // GIR_Coverage, 20806,
     /* 126677 */     GIR_EraseRootFromParent_Done,
     /* 126678 */   // Label 2762: @126678
     /* 126678 */   GIM_Reject,
     /* 126679 */ // Label 2759: @126679
     /* 126679 */ GIM_Reject,
     /* 126680 */ // Label 2694: @126680
     /* 126680 */ GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(126773),
     /* 126685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 126688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 126691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 126695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 126699 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(126753), // Rule ID 7986 //
     /* 126704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 126707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 126711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 126715 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126718 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 126722 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 126726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 126735 */     // (rotr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 126735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVQZrm),
     /* 126738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126740 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126742 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 126746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 126751 */     GIR_RootConstrainSelectedInstOperands,
     /* 126752 */     // GIR_Coverage, 7986,
     /* 126752 */     GIR_EraseRootFromParent_Done,
     /* 126753 */   // Label 2764: @126753
     /* 126753 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(126772), // Rule ID 7983 //
     /* 126758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 126761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 126765 */     // (rotr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPRORVQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 126765 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVQZrr),
     /* 126770 */     GIR_RootConstrainSelectedInstOperands,
     /* 126771 */     // GIR_Coverage, 7983,
     /* 126771 */     GIR_Done,
     /* 126772 */   // Label 2765: @126772
     /* 126772 */   GIM_Reject,
     /* 126773 */ // Label 2763: @126773
     /* 126773 */ GIM_Reject,
     /* 126774 */ // Label 2695: @126774
     /* 126774 */ GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(126867),
     /* 126779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 126782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 126785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 126789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 126793 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(126847), // Rule ID 7959 //
     /* 126798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 126801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 126805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 126809 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126812 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 126816 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 126820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 126822 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 126829 */     // (rotr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPRORVDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 126829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPRORVDZrm),
     /* 126832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 126834 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 126836 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 126840 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 126845 */     GIR_RootConstrainSelectedInstOperands,
     /* 126846 */     // GIR_Coverage, 7959,
     /* 126846 */     GIR_EraseRootFromParent_Done,
     /* 126847 */   // Label 2767: @126847
     /* 126847 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(126866), // Rule ID 7956 //
     /* 126852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 126855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 126859 */     // (rotr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPRORVDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 126859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPRORVDZrr),
     /* 126864 */     GIR_RootConstrainSelectedInstOperands,
     /* 126865 */     // GIR_Coverage, 7956,
     /* 126865 */     GIR_Done,
     /* 126866 */   // Label 2768: @126866
     /* 126866 */   GIM_Reject,
     /* 126867 */ // Label 2766: @126867
     /* 126867 */ GIM_Reject,
     /* 126868 */ // Label 2696: @126868
     /* 126868 */ GIM_Reject,
     /* 126869 */ // Label 32: @126869
     /* 126869 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(20), /*)*//*default:*//*Label 2781*/ GIMT_Encode4(130588),
     /* 126880 */ /*GILLT_s8*//*Label 2769*/ GIMT_Encode4(126956),
     /* 126884 */ /*GILLT_s16*//*Label 2770*/ GIMT_Encode4(127386),
     /* 126888 */ /*GILLT_s32*//*Label 2771*/ GIMT_Encode4(127816),
     /* 126892 */ /*GILLT_s64*//*Label 2772*/ GIMT_Encode4(128283), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 126908 */ /*GILLT_v2s64*//*Label 2773*/ GIMT_Encode4(128750), GIMT_Encode4(0),
     /* 126916 */ /*GILLT_v4s32*//*Label 2774*/ GIMT_Encode4(129168),
     /* 126920 */ /*GILLT_v4s64*//*Label 2775*/ GIMT_Encode4(129586), GIMT_Encode4(0),
     /* 126928 */ /*GILLT_v8s16*//*Label 2776*/ GIMT_Encode4(129837),
     /* 126932 */ /*GILLT_v8s32*//*Label 2777*/ GIMT_Encode4(129993),
     /* 126936 */ /*GILLT_v8s64*//*Label 2778*/ GIMT_Encode4(130244), GIMT_Encode4(0),
     /* 126944 */ /*GILLT_v16s8*//*Label 2779*/ GIMT_Encode4(130338), GIMT_Encode4(0),
     /* 126952 */ /*GILLT_v16s32*//*Label 2780*/ GIMT_Encode4(130494),
     /* 126956 */ // Label 2769: @126956
     /* 126956 */ GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(127385),
     /* 126961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 126964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 126967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 126971 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(127030), // Rule ID 17619 //
     /* 126976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 126979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 126983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 126987 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 126990 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 126994 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 126998 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 127002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127004 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127011 */     // (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, 7:{ *:[i8] })  =>  (ROR8m1_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 127011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8m1_ND),
     /* 127014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127016 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 127020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127028 */     GIR_RootConstrainSelectedInstOperands,
     /* 127029 */     // GIR_Coverage, 17619,
     /* 127029 */     GIR_EraseRootFromParent_Done,
     /* 127030 */   // Label 2783: @127030
     /* 127030 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(127097), // Rule ID 768 //
     /* 127035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127046 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127049 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127053 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 127057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 127061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127065 */     // MIs[2] Operand 1
     /* 127065 */     // No operand predicates
     /* 127065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 127067 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127074 */     // (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, (imm:{ *:[i8] }):$src2)  =>  (ROL8mi_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8mi_ND),
     /* 127077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127079 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 127083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 127086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 127095 */     GIR_RootConstrainSelectedInstOperands,
     /* 127096 */     // GIR_Coverage, 768,
     /* 127096 */     GIR_EraseRootFromParent_Done,
     /* 127097 */   // Label 2784: @127097
     /* 127097 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(127170), // Rule ID 784 //
     /* 127102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127113 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127116 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127120 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi8),
     /* 127124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127130 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127137 */     // (rotl:{ *:[i8] } (ld:{ *:[i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi8>>, CL:{ *:[i8] })  =>  (ROL8mCL_ND:{ *:[i8] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 127137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127141 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127147 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8mCL_ND),
     /* 127154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127156 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 127160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127168 */     GIR_RootConstrainSelectedInstOperands,
     /* 127169 */     // GIR_Coverage, 784,
     /* 127169 */     GIR_EraseRootFromParent_Done,
     /* 127170 */   // Label 2785: @127170
     /* 127170 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(127198), // Rule ID 17595 //
     /* 127175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127182 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 127186 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, 7:{ *:[i8] })  =>  (ROR8r1:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 127186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8r1),
     /* 127189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127191 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127196 */     GIR_RootConstrainSelectedInstOperands,
     /* 127197 */     // GIR_Coverage, 17595,
     /* 127197 */     GIR_EraseRootFromParent_Done,
     /* 127198 */   // Label 2786: @127198
     /* 127198 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(127226), // Rule ID 17603 //
     /* 127203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 127206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127210 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 7,
     /* 127214 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, 7:{ *:[i8] })  =>  (ROR8r1_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 127214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR8r1_ND),
     /* 127217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127219 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127224 */     GIR_RootConstrainSelectedInstOperands,
     /* 127225 */     // GIR_Coverage, 17603,
     /* 127225 */     GIR_EraseRootFromParent_Done,
     /* 127226 */   // Label 2787: @127226
     /* 127226 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(127263), // Rule ID 756 //
     /* 127231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 127242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127246 */     // MIs[1] Operand 1
     /* 127246 */     // No operand predicates
     /* 127246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127248 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL8ri:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8ri),
     /* 127251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127253 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 127258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127261 */     GIR_RootConstrainSelectedInstOperands,
     /* 127262 */     // GIR_Coverage, 756,
     /* 127262 */     GIR_EraseRootFromParent_Done,
     /* 127263 */   // Label 2788: @127263
     /* 127263 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(127300), // Rule ID 760 //
     /* 127268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 127279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127283 */     // MIs[1] Operand 1
     /* 127283 */     // No operand predicates
     /* 127283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127285 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL8ri_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8ri_ND),
     /* 127288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127290 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 127295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127298 */     GIR_RootConstrainSelectedInstOperands,
     /* 127299 */     // GIR_Coverage, 760,
     /* 127299 */     GIR_EraseRootFromParent_Done,
     /* 127300 */   // Label 2789: @127300
     /* 127300 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(127342), // Rule ID 772 //
     /* 127305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127316 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (ROL8rCL:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 127316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127320 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127326 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8rCL),
     /* 127333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127335 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127340 */     GIR_RootConstrainSelectedInstOperands,
     /* 127341 */     // GIR_Coverage, 772,
     /* 127341 */     GIR_EraseRootFromParent_Done,
     /* 127342 */   // Label 2790: @127342
     /* 127342 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(127384), // Rule ID 776 //
     /* 127347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR8RegClassID),
     /* 127354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127358 */     // (rotl:{ *:[i8] } GR8:{ *:[i8] }:$src1, CL:{ *:[i8] })  =>  (ROL8rCL_ND:{ *:[i8] }:{ *:[i32] } GR8:{ *:[i8] }:$src1)
     /* 127358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127362 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL8rCL_ND),
     /* 127375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127377 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127382 */     GIR_RootConstrainSelectedInstOperands,
     /* 127383 */     // GIR_Coverage, 776,
     /* 127383 */     GIR_EraseRootFromParent_Done,
     /* 127384 */   // Label 2791: @127384
     /* 127384 */   GIM_Reject,
     /* 127385 */ // Label 2782: @127385
     /* 127385 */ GIM_Reject,
     /* 127386 */ // Label 2770: @127386
     /* 127386 */ GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(127815),
     /* 127391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 127394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 127397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127401 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(127460), // Rule ID 17620 //
     /* 127406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 127409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127417 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127420 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127424 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 127428 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 127432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127434 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127441 */     // (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, 15:{ *:[i8] })  =>  (ROR16m1_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 127441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16m1_ND),
     /* 127444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127446 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 127450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127458 */     GIR_RootConstrainSelectedInstOperands,
     /* 127459 */     // GIR_Coverage, 17620,
     /* 127459 */     GIR_EraseRootFromParent_Done,
     /* 127460 */   // Label 2793: @127460
     /* 127460 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(127527), // Rule ID 769 //
     /* 127465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127476 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127479 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127483 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 127487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 127491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127495 */     // MIs[2] Operand 1
     /* 127495 */     // No operand predicates
     /* 127495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 127497 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127504 */     // (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, (imm:{ *:[i8] }):$src2)  =>  (ROL16mi_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16mi_ND),
     /* 127507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127509 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 127513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 127516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 127525 */     GIR_RootConstrainSelectedInstOperands,
     /* 127526 */     // GIR_Coverage, 769,
     /* 127526 */     GIR_EraseRootFromParent_Done,
     /* 127527 */   // Label 2794: @127527
     /* 127527 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(127600), // Rule ID 785 //
     /* 127532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127543 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127546 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127550 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 127554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127560 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127567 */     // (rotl:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>, CL:{ *:[i8] })  =>  (ROL16mCL_ND:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 127567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127571 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16mCL_ND),
     /* 127584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127586 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 127590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127598 */     GIR_RootConstrainSelectedInstOperands,
     /* 127599 */     // GIR_Coverage, 785,
     /* 127599 */     GIR_EraseRootFromParent_Done,
     /* 127600 */   // Label 2795: @127600
     /* 127600 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(127628), // Rule ID 17596 //
     /* 127605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127612 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 127616 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, 15:{ *:[i8] })  =>  (ROR16r1:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 127616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16r1),
     /* 127619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127621 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127626 */     GIR_RootConstrainSelectedInstOperands,
     /* 127627 */     // GIR_Coverage, 17596,
     /* 127627 */     GIR_EraseRootFromParent_Done,
     /* 127628 */   // Label 2796: @127628
     /* 127628 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(127656), // Rule ID 17604 //
     /* 127633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 127636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 15,
     /* 127644 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, 15:{ *:[i8] })  =>  (ROR16r1_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 127644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR16r1_ND),
     /* 127647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127649 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127654 */     GIR_RootConstrainSelectedInstOperands,
     /* 127655 */     // GIR_Coverage, 17604,
     /* 127655 */     GIR_EraseRootFromParent_Done,
     /* 127656 */   // Label 2797: @127656
     /* 127656 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(127693), // Rule ID 757 //
     /* 127661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 127672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127676 */     // MIs[1] Operand 1
     /* 127676 */     // No operand predicates
     /* 127676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127678 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16ri),
     /* 127681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127683 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 127688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127691 */     GIR_RootConstrainSelectedInstOperands,
     /* 127692 */     // GIR_Coverage, 757,
     /* 127692 */     GIR_EraseRootFromParent_Done,
     /* 127693 */   // Label 2798: @127693
     /* 127693 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(127730), // Rule ID 761 //
     /* 127698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 127709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127713 */     // MIs[1] Operand 1
     /* 127713 */     // No operand predicates
     /* 127713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127715 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL16ri_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16ri_ND),
     /* 127718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127720 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 127725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127728 */     GIR_RootConstrainSelectedInstOperands,
     /* 127729 */     // GIR_Coverage, 761,
     /* 127729 */     GIR_EraseRootFromParent_Done,
     /* 127730 */   // Label 2799: @127730
     /* 127730 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(127772), // Rule ID 773 //
     /* 127735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 127738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127746 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (ROL16rCL:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 127746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127750 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16rCL),
     /* 127763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127765 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127770 */     GIR_RootConstrainSelectedInstOperands,
     /* 127771 */     // GIR_Coverage, 773,
     /* 127771 */     GIR_EraseRootFromParent_Done,
     /* 127772 */   // Label 2800: @127772
     /* 127772 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(127814), // Rule ID 777 //
     /* 127777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 127784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127788 */     // (rotl:{ *:[i16] } GR16:{ *:[i16] }:$src1, CL:{ *:[i8] })  =>  (ROL16rCL_ND:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 127788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 127792 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 127798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 127802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16rCL_ND),
     /* 127805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127807 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 127809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127812 */     GIR_RootConstrainSelectedInstOperands,
     /* 127813 */     // GIR_Coverage, 777,
     /* 127813 */     GIR_EraseRootFromParent_Done,
     /* 127814 */   // Label 2801: @127814
     /* 127814 */   GIM_Reject,
     /* 127815 */ // Label 2792: @127815
     /* 127815 */ GIM_Reject,
     /* 127816 */ // Label 2771: @127816
     /* 127816 */ GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(128282),
     /* 127821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 127824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 127827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 127831 */   GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(127890), // Rule ID 17621 //
     /* 127836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 127839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127847 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127850 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127854 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 127858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 127862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127871 */     // (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, 31:{ *:[i8] })  =>  (ROR32m1_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 127871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32m1_ND),
     /* 127874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127876 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 127880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 127888 */     GIR_RootConstrainSelectedInstOperands,
     /* 127889 */     // GIR_Coverage, 17621,
     /* 127889 */     GIR_EraseRootFromParent_Done,
     /* 127890 */   // Label 2803: @127890
     /* 127890 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(127957), // Rule ID 770 //
     /* 127895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127906 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127909 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127913 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 127917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 127921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 127925 */     // MIs[2] Operand 1
     /* 127925 */     // No operand predicates
     /* 127925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 127927 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127934 */     // (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, (imm:{ *:[i8] }):$src2)  =>  (ROL32mi_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 127934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32mi_ND),
     /* 127937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 127939 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 127943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 127946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 127949 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 127955 */     GIR_RootConstrainSelectedInstOperands,
     /* 127956 */     // GIR_Coverage, 770,
     /* 127956 */     GIR_EraseRootFromParent_Done,
     /* 127957 */   // Label 2804: @127957
     /* 127957 */   GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(128030), // Rule ID 786 //
     /* 127962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 127965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 127969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 127973 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 127976 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 127980 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 127984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 127988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 127990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 127997 */     // (rotl:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>, CL:{ *:[i8] })  =>  (ROL32mCL_ND:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 127997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128001 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128007 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32mCL_ND),
     /* 128014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128016 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 128020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128028 */     GIR_RootConstrainSelectedInstOperands,
     /* 128029 */     // GIR_Coverage, 786,
     /* 128029 */     GIR_EraseRootFromParent_Done,
     /* 128030 */   // Label 2805: @128030
     /* 128030 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(128067), // Rule ID 868 //
     /* 128035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFastSHLDRotate),
     /* 128038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128050 */     // MIs[1] Operand 1
     /* 128050 */     // No operand predicates
     /* 128050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128052 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$shamt)  =>  (SHLDROT32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$shamt)
     /* 128052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLDROT32ri),
     /* 128055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128057 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 128062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128065 */     GIR_RootConstrainSelectedInstOperands,
     /* 128066 */     // GIR_Coverage, 868,
     /* 128066 */     GIR_EraseRootFromParent_Done,
     /* 128067 */   // Label 2806: @128067
     /* 128067 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(128095), // Rule ID 17597 //
     /* 128072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128079 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 128083 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, 31:{ *:[i8] })  =>  (ROR32r1:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 128083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32r1),
     /* 128086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128088 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128093 */     GIR_RootConstrainSelectedInstOperands,
     /* 128094 */     // GIR_Coverage, 17597,
     /* 128094 */     GIR_EraseRootFromParent_Done,
     /* 128095 */   // Label 2807: @128095
     /* 128095 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(128123), // Rule ID 17605 //
     /* 128100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 128103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128107 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 31,
     /* 128111 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, 31:{ *:[i8] })  =>  (ROR32r1_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 128111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR32r1_ND),
     /* 128114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128116 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128121 */     GIR_RootConstrainSelectedInstOperands,
     /* 128122 */     // GIR_Coverage, 17605,
     /* 128122 */     GIR_EraseRootFromParent_Done,
     /* 128123 */   // Label 2808: @128123
     /* 128123 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(128160), // Rule ID 758 //
     /* 128128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128143 */     // MIs[1] Operand 1
     /* 128143 */     // No operand predicates
     /* 128143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128145 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL32ri:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32ri),
     /* 128148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128150 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128158 */     GIR_RootConstrainSelectedInstOperands,
     /* 128159 */     // GIR_Coverage, 758,
     /* 128159 */     GIR_EraseRootFromParent_Done,
     /* 128160 */   // Label 2809: @128160
     /* 128160 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(128197), // Rule ID 762 //
     /* 128165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128180 */     // MIs[1] Operand 1
     /* 128180 */     // No operand predicates
     /* 128180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128182 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL32ri_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32ri_ND),
     /* 128185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128187 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128195 */     GIR_RootConstrainSelectedInstOperands,
     /* 128196 */     // GIR_Coverage, 762,
     /* 128196 */     GIR_EraseRootFromParent_Done,
     /* 128197 */   // Label 2810: @128197
     /* 128197 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(128239), // Rule ID 774 //
     /* 128202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128213 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (ROL32rCL:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 128213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128217 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32rCL),
     /* 128230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128232 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128237 */     GIR_RootConstrainSelectedInstOperands,
     /* 128238 */     // GIR_Coverage, 774,
     /* 128238 */     GIR_EraseRootFromParent_Done,
     /* 128239 */   // Label 2811: @128239
     /* 128239 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(128281), // Rule ID 778 //
     /* 128244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 128251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128255 */     // (rotl:{ *:[i32] } GR32:{ *:[i32] }:$src1, CL:{ *:[i8] })  =>  (ROL32rCL_ND:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 128255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL32rCL_ND),
     /* 128272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128274 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128279 */     GIR_RootConstrainSelectedInstOperands,
     /* 128280 */     // GIR_Coverage, 778,
     /* 128280 */     GIR_EraseRootFromParent_Done,
     /* 128281 */   // Label 2812: @128281
     /* 128281 */   GIM_Reject,
     /* 128282 */ // Label 2802: @128282
     /* 128282 */ GIM_Reject,
     /* 128283 */ // Label 2772: @128283
     /* 128283 */ GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(128749),
     /* 128288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 128291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 128294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128298 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(128357), // Rule ID 17622 //
     /* 128303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 128306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128314 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128317 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 128321 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128325 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 128329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128331 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128338 */     // (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 63:{ *:[i8] })  =>  (ROR64m1_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 128338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64m1_ND),
     /* 128341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128343 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 128347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128355 */     GIR_RootConstrainSelectedInstOperands,
     /* 128356 */     // GIR_Coverage, 17622,
     /* 128356 */     GIR_EraseRootFromParent_Done,
     /* 128357 */   // Label 2814: @128357
     /* 128357 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(128424), // Rule ID 771 //
     /* 128362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128373 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128376 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 128380 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 128388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128392 */     // MIs[2] Operand 1
     /* 128392 */     // No operand predicates
     /* 128392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 128394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128401 */     // (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i8] }):$src2)  =>  (ROL64mi_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64mi_ND),
     /* 128404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128406 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 128410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // src2
     /* 128413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 128422 */     GIR_RootConstrainSelectedInstOperands,
     /* 128423 */     // GIR_Coverage, 771,
     /* 128423 */     GIR_EraseRootFromParent_Done,
     /* 128424 */   // Label 2815: @128424
     /* 128424 */   GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(128497), // Rule ID 787 //
     /* 128429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128440 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128443 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 128447 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128457 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128464 */     // (rotl:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, CL:{ *:[i8] })  =>  (ROL64mCL_ND:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 128464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128468 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128474 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64mCL_ND),
     /* 128481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128483 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 128487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128490 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128495 */     GIR_RootConstrainSelectedInstOperands,
     /* 128496 */     // GIR_Coverage, 787,
     /* 128496 */     GIR_EraseRootFromParent_Done,
     /* 128497 */   // Label 2816: @128497
     /* 128497 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(128534), // Rule ID 869 //
     /* 128502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFastSHLDRotate),
     /* 128505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128517 */     // MIs[1] Operand 1
     /* 128517 */     // No operand predicates
     /* 128517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128519 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$shamt)  =>  (SHLDROT64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$shamt)
     /* 128519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SHLDROT64ri),
     /* 128522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128524 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // shamt
     /* 128529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128532 */     GIR_RootConstrainSelectedInstOperands,
     /* 128533 */     // GIR_Coverage, 869,
     /* 128533 */     GIR_EraseRootFromParent_Done,
     /* 128534 */   // Label 2817: @128534
     /* 128534 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(128562), // Rule ID 17598 //
     /* 128539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128546 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 128550 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, 63:{ *:[i8] })  =>  (ROR64r1:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 128550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64r1),
     /* 128553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128555 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128560 */     GIR_RootConstrainSelectedInstOperands,
     /* 128561 */     // GIR_Coverage, 17598,
     /* 128561 */     GIR_EraseRootFromParent_Done,
     /* 128562 */   // Label 2818: @128562
     /* 128562 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(128590), // Rule ID 17606 //
     /* 128567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD),
     /* 128570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128574 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /* 128578 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, 63:{ *:[i8] })  =>  (ROR64r1_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 128578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROR64r1_ND),
     /* 128581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128583 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128588 */     GIR_RootConstrainSelectedInstOperands,
     /* 128589 */     // GIR_Coverage, 17606,
     /* 128589 */     GIR_EraseRootFromParent_Done,
     /* 128590 */   // Label 2819: @128590
     /* 128590 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(128627), // Rule ID 759 //
     /* 128595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128610 */     // MIs[1] Operand 1
     /* 128610 */     // No operand predicates
     /* 128610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128612 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL64ri:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64ri),
     /* 128615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128617 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128625 */     GIR_RootConstrainSelectedInstOperands,
     /* 128626 */     // GIR_Coverage, 759,
     /* 128626 */     GIR_EraseRootFromParent_Done,
     /* 128627 */   // Label 2820: @128627
     /* 128627 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(128664), // Rule ID 763 //
     /* 128632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 128647 */     // MIs[1] Operand 1
     /* 128647 */     // No operand predicates
     /* 128647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128649 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)  =>  (ROL64ri_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1, (imm:{ *:[i8] }):$src2)
     /* 128649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64ri_ND),
     /* 128652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128654 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // src2
     /* 128659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128662 */     GIR_RootConstrainSelectedInstOperands,
     /* 128663 */     // GIR_Coverage, 763,
     /* 128663 */     GIR_EraseRootFromParent_Done,
     /* 128664 */   // Label 2821: @128664
     /* 128664 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(128706), // Rule ID 775 //
     /* 128669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD),
     /* 128672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128680 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (ROL64rCL:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 128680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128684 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64rCL),
     /* 128697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128699 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128704 */     GIR_RootConstrainSelectedInstOperands,
     /* 128705 */     // GIR_Coverage, 775,
     /* 128705 */     GIR_EraseRootFromParent_Done,
     /* 128706 */   // Label 2822: @128706
     /* 128706 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(128748), // Rule ID 779 //
     /* 128711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNDD_In64BitMode),
     /* 128714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 128718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::GR8_ABCD_LRegClassID),
     /* 128722 */     // (rotl:{ *:[i64] } GR64:{ *:[i64] }:$src1, CL:{ *:[i8] })  =>  (ROL64rCL_ND:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 128722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 128726 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(X86::CL), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128732 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // CL
     /* 128736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL64rCL_ND),
     /* 128739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128741 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 128746 */     GIR_RootConstrainSelectedInstOperands,
     /* 128747 */     // GIR_Coverage, 779,
     /* 128747 */     GIR_EraseRootFromParent_Done,
     /* 128748 */   // Label 2823: @128748
     /* 128748 */   GIM_Reject,
     /* 128749 */ // Label 2813: @128749
     /* 128749 */ GIM_Reject,
     /* 128750 */ // Label 2773: @128750
     /* 128750 */ GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(129167),
     /* 128755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 128758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 128761 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(128823), // Rule ID 1582 //
     /* 128766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 128769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 128773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 128777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128781 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128784 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 128788 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 128796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128798 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128805 */     // (rotl:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2i64] }:$src2)  =>  (VPROTQmr:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /* 128805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTQmr),
     /* 128808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128810 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 128814 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 128816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128821 */     GIR_RootConstrainSelectedInstOperands,
     /* 128822 */     // GIR_Coverage, 1582,
     /* 128822 */     GIR_EraseRootFromParent_Done,
     /* 128823 */   // Label 2825: @128823
     /* 128823 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(128885), // Rule ID 1581 //
     /* 128828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 128831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 128835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 128839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128847 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128850 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 128854 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128860 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128867 */     // (rotl:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROTQrm:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 128867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTQrm),
     /* 128870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128872 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128874 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 128878 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128883 */     GIR_RootConstrainSelectedInstOperands,
     /* 128884 */     // GIR_Coverage, 1581,
     /* 128884 */     GIR_EraseRootFromParent_Done,
     /* 128885 */   // Label 2826: @128885
     /* 128885 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(128947), // Rule ID 8058 //
     /* 128890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 128893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 128897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 128901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 128905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 128909 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 128912 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 128916 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 128920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 128922 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 128929 */     // (rotl:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 128929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVQZ128rm),
     /* 128932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 128934 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 128936 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 128940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 128945 */     GIR_RootConstrainSelectedInstOperands,
     /* 128946 */     // GIR_Coverage, 8058,
     /* 128946 */     GIR_EraseRootFromParent_Done,
     /* 128947 */   // Label 2827: @128947
     /* 128947 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(128974), // Rule ID 1580 //
     /* 128952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 128955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 128959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 128963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 128967 */     // (rotl:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)  =>  (VPROTQrr:{ *:[v2i64] } VR128:{ *:[v2i64] }:$src1, VR128:{ *:[v2i64] }:$src2)
     /* 128967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROTQrr),
     /* 128972 */     GIR_RootConstrainSelectedInstOperands,
     /* 128973 */     // GIR_Coverage, 1580,
     /* 128973 */     GIR_Done,
     /* 128974 */   // Label 2828: @128974
     /* 128974 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(129001), // Rule ID 8055 //
     /* 128979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 128982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 128986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 128990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 128994 */     // (rotl:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPROLVQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 128994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVQZ128rr),
     /* 128999 */     GIR_RootConstrainSelectedInstOperands,
     /* 129000 */     // GIR_Coverage, 8055,
     /* 129000 */     GIR_Done,
     /* 129001 */   // Label 2829: @129001
     /* 129001 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(129166), // Rule ID 20795 //
     /* 129006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 129009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 129013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129021 */     // (rotl:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPROLVQZrr:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 129021 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 129024 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129028 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 129035 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 129038 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129042 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129047 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 129050 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 129054 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 129057 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129062 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129067 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 129072 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 129075 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129079 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 129086 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 129089 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129093 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129098 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 129101 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 129105 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 129108 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129113 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129118 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 129123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 129126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPROLVQZrr),
     /* 129130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129135 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 129138 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 129141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 129146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129148 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 129155 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 129160 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129165 */     // GIR_Coverage, 20795,
     /* 129165 */     GIR_EraseRootFromParent_Done,
     /* 129166 */   // Label 2830: @129166
     /* 129166 */   GIM_Reject,
     /* 129167 */ // Label 2824: @129167
     /* 129167 */ GIM_Reject,
     /* 129168 */ // Label 2774: @129168
     /* 129168 */ GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(129585),
     /* 129173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 129176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 129179 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(129241), // Rule ID 1579 //
     /* 129184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 129195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129199 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129202 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129206 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129216 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129223 */     // (rotl:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src2)  =>  (VPROTDmr:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 129223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTDmr),
     /* 129226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129228 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 129232 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 129234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129239 */     GIR_RootConstrainSelectedInstOperands,
     /* 129240 */     // GIR_Coverage, 1579,
     /* 129240 */     GIR_EraseRootFromParent_Done,
     /* 129241 */   // Label 2832: @129241
     /* 129241 */   GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(129303), // Rule ID 1578 //
     /* 129246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 129261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129265 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129268 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129272 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129278 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129285 */     // (rotl:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROTDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 129285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTDrm),
     /* 129288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129290 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129292 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 129296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129301 */     GIR_RootConstrainSelectedInstOperands,
     /* 129302 */     // GIR_Coverage, 1578,
     /* 129302 */     GIR_EraseRootFromParent_Done,
     /* 129303 */   // Label 2833: @129303
     /* 129303 */   GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(129365), // Rule ID 8031 //
     /* 129308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 129323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129327 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129330 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129334 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129340 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129347 */     // (rotl:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 129347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVDZ128rm),
     /* 129350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129352 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129354 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 129358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129363 */     GIR_RootConstrainSelectedInstOperands,
     /* 129364 */     // GIR_Coverage, 8031,
     /* 129364 */     GIR_EraseRootFromParent_Done,
     /* 129365 */   // Label 2834: @129365
     /* 129365 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(129392), // Rule ID 1577 //
     /* 129370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129385 */     // (rotl:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPROTDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 129385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROTDrr),
     /* 129390 */     GIR_RootConstrainSelectedInstOperands,
     /* 129391 */     // GIR_Coverage, 1577,
     /* 129391 */     GIR_Done,
     /* 129392 */   // Label 2835: @129392
     /* 129392 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(129419), // Rule ID 8028 //
     /* 129397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129412 */     // (rotl:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPROLVDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 129412 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVDZ128rr),
     /* 129417 */     GIR_RootConstrainSelectedInstOperands,
     /* 129418 */     // GIR_Coverage, 8028,
     /* 129418 */     GIR_Done,
     /* 129419 */   // Label 2836: @129419
     /* 129419 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(129584), // Rule ID 20797 //
     /* 129424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 129427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 129431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 129439 */     // (rotl:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPROLVDZrr:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 129439 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 129442 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129446 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 129453 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 129456 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129460 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129465 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 129468 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 129472 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 129475 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129480 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129485 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 129490 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 129493 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129497 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 129504 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 129507 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129511 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129516 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 129519 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 129523 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 129526 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129531 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129536 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 129541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 129544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPROLVDZrr),
     /* 129548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129553 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 129556 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 129559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 129564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129566 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 129573 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 129578 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129583 */     // GIR_Coverage, 20797,
     /* 129583 */     GIR_EraseRootFromParent_Done,
     /* 129584 */   // Label 2837: @129584
     /* 129584 */   GIM_Reject,
     /* 129585 */ // Label 2831: @129585
     /* 129585 */ GIM_Reject,
     /* 129586 */ // Label 2775: @129586
     /* 129586 */ GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(129836),
     /* 129591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 129594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 129597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 129601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 129605 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(129659), // Rule ID 8049 //
     /* 129610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 129617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129621 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129624 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129628 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129634 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129641 */     // (rotl:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 129641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVQZ256rm),
     /* 129644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129646 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129648 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 129652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129657 */     GIR_RootConstrainSelectedInstOperands,
     /* 129658 */     // GIR_Coverage, 8049,
     /* 129658 */     GIR_EraseRootFromParent_Done,
     /* 129659 */   // Label 2839: @129659
     /* 129659 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(129678), // Rule ID 8046 //
     /* 129664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 129667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 129671 */     // (rotl:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPROLVQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 129671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVQZ256rr),
     /* 129676 */     GIR_RootConstrainSelectedInstOperands,
     /* 129677 */     // GIR_Coverage, 8046,
     /* 129677 */     GIR_Done,
     /* 129678 */   // Label 2840: @129678
     /* 129678 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(129835), // Rule ID 20796 //
     /* 129683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 129686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 129690 */     // (rotl:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPROLVQZrr:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 129690 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 129693 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129697 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 129704 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 129707 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129711 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129716 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 129719 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 129723 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 129726 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129731 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129736 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 129741 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 129744 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 129748 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 129755 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 129758 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 129762 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129767 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 129770 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 129774 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 129777 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 129782 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129787 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 129792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 129795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPROLVQZrr),
     /* 129799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129804 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 129807 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 129810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 129815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129817 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 129824 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 129829 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 129834 */     // GIR_Coverage, 20796,
     /* 129834 */     GIR_EraseRootFromParent_Done,
     /* 129835 */   // Label 2841: @129835
     /* 129835 */   GIM_Reject,
     /* 129836 */ // Label 2838: @129836
     /* 129836 */ GIM_Reject,
     /* 129837 */ // Label 2776: @129837
     /* 129837 */ GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(129992),
     /* 129842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 129845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 129848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129852 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(129910), // Rule ID 1585 //
     /* 129857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 129864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129868 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129871 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129875 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129885 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129892 */     // (rotl:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src2)  =>  (VPROTWmr:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 129892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTWmr),
     /* 129895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129897 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 129901 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 129903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129908 */     GIR_RootConstrainSelectedInstOperands,
     /* 129909 */     // GIR_Coverage, 1585,
     /* 129909 */     GIR_EraseRootFromParent_Done,
     /* 129910 */   // Label 2843: @129910
     /* 129910 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(129968), // Rule ID 1584 //
     /* 129915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 129926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 129930 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 129933 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 129937 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 129941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 129943 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 129950 */     // (rotl:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROTWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 129950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTWrm),
     /* 129953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 129955 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 129957 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 129961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 129966 */     GIR_RootConstrainSelectedInstOperands,
     /* 129967 */     // GIR_Coverage, 1584,
     /* 129967 */     GIR_EraseRootFromParent_Done,
     /* 129968 */   // Label 2844: @129968
     /* 129968 */   GIM_Try, /*On fail goto*//*Label 2845*/ GIMT_Encode4(129991), // Rule ID 1583 //
     /* 129973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 129976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 129984 */     // (rotl:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPROTWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 129984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROTWrr),
     /* 129989 */     GIR_RootConstrainSelectedInstOperands,
     /* 129990 */     // GIR_Coverage, 1583,
     /* 129990 */     GIR_Done,
     /* 129991 */   // Label 2845: @129991
     /* 129991 */   GIM_Reject,
     /* 129992 */ // Label 2842: @129992
     /* 129992 */ GIM_Reject,
     /* 129993 */ // Label 2777: @129993
     /* 129993 */ GIM_Try, /*On fail goto*//*Label 2846*/ GIMT_Encode4(130243),
     /* 129998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 130001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 130004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130012 */   GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(130066), // Rule ID 8022 //
     /* 130017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 130020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130028 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130031 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130035 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130048 */     // (rotl:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 130048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVDZ256rm),
     /* 130051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130053 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 130055 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 130059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130064 */     GIR_RootConstrainSelectedInstOperands,
     /* 130065 */     // GIR_Coverage, 8022,
     /* 130065 */     GIR_EraseRootFromParent_Done,
     /* 130066 */   // Label 2847: @130066
     /* 130066 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(130085), // Rule ID 8019 //
     /* 130071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 130074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130078 */     // (rotl:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPROLVDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 130078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVDZ256rr),
     /* 130083 */     GIR_RootConstrainSelectedInstOperands,
     /* 130084 */     // GIR_Coverage, 8019,
     /* 130084 */     GIR_Done,
     /* 130085 */   // Label 2848: @130085
     /* 130085 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(130242), // Rule ID 20798 //
     /* 130090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 130093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130097 */     // (rotl:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPROLVDZrr:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 130097 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 130100 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 130104 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 130111 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 130114 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 130118 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130123 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 130126 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 130130 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 130133 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 130138 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130143 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 130148 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 130151 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 130155 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 130162 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 130165 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 130169 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130174 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 130177 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 130181 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 130184 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 130189 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130194 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 130199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 130202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPROLVDZrr),
     /* 130206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130211 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 130214 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 130217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 130222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130224 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 130231 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 130236 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130241 */     // GIR_Coverage, 20798,
     /* 130241 */     GIR_EraseRootFromParent_Done,
     /* 130242 */   // Label 2849: @130242
     /* 130242 */   GIM_Reject,
     /* 130243 */ // Label 2846: @130243
     /* 130243 */ GIM_Reject,
     /* 130244 */ // Label 2778: @130244
     /* 130244 */ GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(130337),
     /* 130249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 130252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 130255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130263 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(130317), // Rule ID 8040 //
     /* 130268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 130271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130279 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130282 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130286 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130292 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130299 */     // (rotl:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 130299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVQZrm),
     /* 130302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130304 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 130306 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 130310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130315 */     GIR_RootConstrainSelectedInstOperands,
     /* 130316 */     // GIR_Coverage, 8040,
     /* 130316 */     GIR_EraseRootFromParent_Done,
     /* 130317 */   // Label 2851: @130317
     /* 130317 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(130336), // Rule ID 8037 //
     /* 130322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 130325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130329 */     // (rotl:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPROLVQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 130329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVQZrr),
     /* 130334 */     GIR_RootConstrainSelectedInstOperands,
     /* 130335 */     // GIR_Coverage, 8037,
     /* 130335 */     GIR_Done,
     /* 130336 */   // Label 2852: @130336
     /* 130336 */   GIM_Reject,
     /* 130337 */ // Label 2850: @130337
     /* 130337 */ GIM_Reject,
     /* 130338 */ // Label 2779: @130338
     /* 130338 */ GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(130493),
     /* 130343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 130346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 130349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130353 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(130411), // Rule ID 1576 //
     /* 130358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 130361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 130365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130369 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130372 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130376 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130386 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130393 */     // (rotl:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src2)  =>  (VPROTBmr:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 130393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTBmr),
     /* 130396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130398 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 130402 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 130404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130409 */     GIR_RootConstrainSelectedInstOperands,
     /* 130410 */     // GIR_Coverage, 1576,
     /* 130410 */     GIR_EraseRootFromParent_Done,
     /* 130411 */   // Label 2854: @130411
     /* 130411 */   GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(130469), // Rule ID 1575 //
     /* 130416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 130419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130431 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130434 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130438 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130444 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130451 */     // (rotl:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROTBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 130451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROTBrm),
     /* 130454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130456 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 130458 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 130462 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130467 */     GIR_RootConstrainSelectedInstOperands,
     /* 130468 */     // GIR_Coverage, 1575,
     /* 130468 */     GIR_EraseRootFromParent_Done,
     /* 130469 */   // Label 2855: @130469
     /* 130469 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(130492), // Rule ID 1574 //
     /* 130474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasXOP),
     /* 130477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 130485 */     // (rotl:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPROTBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 130485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROTBrr),
     /* 130490 */     GIR_RootConstrainSelectedInstOperands,
     /* 130491 */     // GIR_Coverage, 1574,
     /* 130491 */     GIR_Done,
     /* 130492 */   // Label 2856: @130492
     /* 130492 */   GIM_Reject,
     /* 130493 */ // Label 2853: @130493
     /* 130493 */ GIM_Reject,
     /* 130494 */ // Label 2780: @130494
     /* 130494 */ GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(130587),
     /* 130499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 130502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 130505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130513 */   GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(130567), // Rule ID 8013 //
     /* 130518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 130521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 130529 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 130532 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 130536 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 130540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130542 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 130549 */     // (rotl:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPROLVDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 130549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPROLVDZrm),
     /* 130552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130554 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 130556 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 130560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 130565 */     GIR_RootConstrainSelectedInstOperands,
     /* 130566 */     // GIR_Coverage, 8013,
     /* 130566 */     GIR_EraseRootFromParent_Done,
     /* 130567 */   // Label 2858: @130567
     /* 130567 */   GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(130586), // Rule ID 8010 //
     /* 130572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 130575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 130579 */     // (rotl:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPROLVDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 130579 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPROLVDZrr),
     /* 130584 */     GIR_RootConstrainSelectedInstOperands,
     /* 130585 */     // GIR_Coverage, 8010,
     /* 130585 */     GIR_Done,
     /* 130586 */   // Label 2859: @130586
     /* 130586 */   GIM_Reject,
     /* 130587 */ // Label 2857: @130587
     /* 130587 */ GIM_Reject,
     /* 130588 */ // Label 2781: @130588
     /* 130588 */ GIM_Reject,
     /* 130589 */ // Label 33: @130589
     /* 130589 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(24), /*)*//*default:*//*Label 2866*/ GIMT_Encode4(132245),
     /* 130600 */ /*GILLT_v2s1*//*Label 2860*/ GIMT_Encode4(130668), GIMT_Encode4(0),
     /* 130608 */ /*GILLT_v4s1*//*Label 2861*/ GIMT_Encode4(130829), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130620 */ /*GILLT_v8s1*//*Label 2862*/ GIMT_Encode4(131176), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130636 */ /*GILLT_v16s1*//*Label 2863*/ GIMT_Encode4(131573), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130652 */ /*GILLT_v32s1*//*Label 2864*/ GIMT_Encode4(131970), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 130664 */ /*GILLT_v64s1*//*Label 2865*/ GIMT_Encode4(132194),
     /* 130668 */ // Label 2860: @130668
     /* 130668 */ GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(130828),
     /* 130673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 130676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 130679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 130683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 130688 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 130692 */   GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(130723), // Rule ID 12605 //
     /* 130697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 130700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130704 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 130710 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 130712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130714 */     // (setcc:{ *:[v2i1] } immAllZerosV:{ *:[v2i64] }, VR128X:{ *:[v2i64] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVQ2MZ128kr:{ *:[v2i1] } VR128X:{ *:[v2i64] }:$src)
     /* 130714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZ128kr),
     /* 130717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130719 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 130721 */     GIR_RootConstrainSelectedInstOperands,
     /* 130722 */     // GIR_Coverage, 12605,
     /* 130722 */     GIR_EraseRootFromParent_Done,
     /* 130723 */   // Label 2868: @130723
     /* 130723 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(130827), // Rule ID 21657 //
     /* 130728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /* 130731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130735 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 130741 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 130743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130745 */     // (setcc:{ *:[v2i1] } immAllZerosV:{ *:[v2i64] }, VR128X:{ *:[v2i64] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } (VPMOVQ2MZkr:{ *:[v8i1] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] })), VK2:{ *:[i32] })
     /* 130745 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 130748 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 130752 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 130759 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 130762 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 130766 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130771 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 130774 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 130778 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 130781 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 130786 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 130791 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 130796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /* 130799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZkr),
     /* 130803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130808 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 130811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 130816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130821 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 130826 */     // GIR_Coverage, 21657,
     /* 130826 */     GIR_EraseRootFromParent_Done,
     /* 130827 */   // Label 2869: @130827
     /* 130827 */   GIM_Reject,
     /* 130828 */ // Label 2867: @130828
     /* 130828 */ GIM_Reject,
     /* 130829 */ // Label 2861: @130829
     /* 130829 */ GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(130879), // Rule ID 12602 //
     /* 130834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 130837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 130840 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 130843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 130847 */   // MIs[0] Operand 1
     /* 130847 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 130852 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130856 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 130862 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 130864 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 130868 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130870 */   // (setcc:{ *:[v4i1] } immAllZerosV:{ *:[v4i32] }, VR128X:{ *:[v4i32] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVD2MZ128kr:{ *:[v4i1] } VR128X:{ *:[v4i32] }:$src)
     /* 130870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZ128kr),
     /* 130873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130875 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 130877 */   GIR_RootConstrainSelectedInstOperands,
     /* 130878 */   // GIR_Coverage, 12602,
     /* 130878 */   GIR_EraseRootFromParent_Done,
     /* 130879 */ // Label 2870: @130879
     /* 130879 */ GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(130929), // Rule ID 12604 //
     /* 130884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 130887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 130890 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 130893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 130897 */   // MIs[0] Operand 1
     /* 130897 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 130902 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130906 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 130912 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 130914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 130918 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130920 */   // (setcc:{ *:[v4i1] } immAllZerosV:{ *:[v4i64] }, VR256X:{ *:[v4i64] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVQ2MZ256kr:{ *:[v4i1] } VR256X:{ *:[v4i64] }:$src)
     /* 130920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZ256kr),
     /* 130923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 130925 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 130927 */   GIR_RootConstrainSelectedInstOperands,
     /* 130928 */   // GIR_Coverage, 12604,
     /* 130928 */   GIR_EraseRootFromParent_Done,
     /* 130929 */ // Label 2871: @130929
     /* 130929 */ GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(131052), // Rule ID 21655 //
     /* 130934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /* 130937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 130940 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 130943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 130947 */   // MIs[0] Operand 1
     /* 130947 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 130952 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 130956 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 130962 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 130964 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 130968 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 130970 */   // (setcc:{ *:[v4i1] } immAllZerosV:{ *:[v4i32] }, VR128X:{ *:[v4i32] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (VPMOVD2MZkr:{ *:[v16i1] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src, sub_xmm:{ *:[i32] })), VK4:{ *:[i32] })
     /* 130970 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 130973 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 130977 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130982 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 130984 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 130987 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 130991 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130996 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 130999 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131003 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 131006 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131011 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131016 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 131021 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /* 131024 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZkr),
     /* 131028 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131033 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131036 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131043 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131046 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 131051 */   // GIR_Coverage, 21655,
     /* 131051 */   GIR_EraseRootFromParent_Done,
     /* 131052 */ // Label 2872: @131052
     /* 131052 */ GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(131175), // Rule ID 21656 //
     /* 131057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /* 131060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 131063 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 131066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 131070 */   // MIs[0] Operand 1
     /* 131070 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131075 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131079 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131085 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131087 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131091 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131093 */   // (setcc:{ *:[v4i1] } immAllZerosV:{ *:[v4i64] }, VR256X:{ *:[v4i64] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } (VPMOVQ2MZkr:{ *:[v8i1] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] })), VK4:{ *:[i32] })
     /* 131093 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 131096 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131100 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131107 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 131110 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131114 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131119 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131122 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131126 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 131129 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131134 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131139 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 131144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /* 131147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZkr),
     /* 131151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131156 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131169 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 131174 */   // GIR_Coverage, 21656,
     /* 131174 */   GIR_EraseRootFromParent_Done,
     /* 131175 */ // Label 2873: @131175
     /* 131175 */ GIM_Reject,
     /* 131176 */ // Label 2862: @131176
     /* 131176 */ GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(131226), // Rule ID 12599 //
     /* 131181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 131184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 131187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 131190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131194 */   // MIs[0] Operand 1
     /* 131194 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131199 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131203 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131209 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131211 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131215 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131217 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i16] }, VR128X:{ *:[v8i16] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVW2MZ128kr:{ *:[v8i1] } VR128X:{ *:[v8i16] }:$src)
     /* 131217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZ128kr),
     /* 131220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131222 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131224 */   GIR_RootConstrainSelectedInstOperands,
     /* 131225 */   // GIR_Coverage, 12599,
     /* 131225 */   GIR_EraseRootFromParent_Done,
     /* 131226 */ // Label 2874: @131226
     /* 131226 */ GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(131276), // Rule ID 12601 //
     /* 131231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 131234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 131237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 131240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131244 */   // MIs[0] Operand 1
     /* 131244 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131249 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131253 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131259 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131261 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131265 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131267 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i32] }, VR256X:{ *:[v8i32] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVD2MZ256kr:{ *:[v8i1] } VR256X:{ *:[v8i32] }:$src)
     /* 131267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZ256kr),
     /* 131270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131272 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131274 */   GIR_RootConstrainSelectedInstOperands,
     /* 131275 */   // GIR_Coverage, 12601,
     /* 131275 */   GIR_EraseRootFromParent_Done,
     /* 131276 */ // Label 2875: @131276
     /* 131276 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(131326), // Rule ID 12603 //
     /* 131281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 131284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 131287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 131290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131294 */   // MIs[0] Operand 1
     /* 131294 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131299 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131303 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131309 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 131315 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131317 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i64] }, VR512:{ *:[v8i64] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVQ2MZkr:{ *:[v8i1] } VR512:{ *:[v8i64] }:$src)
     /* 131317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVQ2MZkr),
     /* 131320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131322 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131324 */   GIR_RootConstrainSelectedInstOperands,
     /* 131325 */   // GIR_Coverage, 12603,
     /* 131325 */   GIR_EraseRootFromParent_Done,
     /* 131326 */ // Label 2876: @131326
     /* 131326 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(131449), // Rule ID 21653 //
     /* 131331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 131334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 131337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 131340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131344 */   // MIs[0] Operand 1
     /* 131344 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131349 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131353 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131359 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131361 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131365 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131367 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i16] }, VR128X:{ *:[v8i16] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (VPMOVW2MZkr:{ *:[v32i1] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src, sub_xmm:{ *:[i32] })), VK8:{ *:[i32] })
     /* 131367 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 131370 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131374 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131381 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 131384 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131388 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131393 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131396 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131400 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 131403 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131408 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131413 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 131418 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s1,
     /* 131421 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZkr),
     /* 131425 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131430 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131433 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131440 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131443 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 131448 */   // GIR_Coverage, 21653,
     /* 131448 */   GIR_EraseRootFromParent_Done,
     /* 131449 */ // Label 2877: @131449
     /* 131449 */ GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(131572), // Rule ID 21654 //
     /* 131454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasEVEX512_NoVLX),
     /* 131457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 131460 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 131463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 131467 */   // MIs[0] Operand 1
     /* 131467 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131472 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131476 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131482 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131484 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131488 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131490 */   // (setcc:{ *:[v8i1] } immAllZerosV:{ *:[v8i32] }, VR256X:{ *:[v8i32] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } (VPMOVD2MZkr:{ *:[v16i1] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src, sub_ymm:{ *:[i32] })), VK8:{ *:[i32] })
     /* 131490 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 131493 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131497 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131502 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131504 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 131507 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131511 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131516 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131519 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131523 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 131526 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131531 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131536 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 131541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /* 131544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZkr),
     /* 131548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131553 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131556 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131563 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131566 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 131571 */   // GIR_Coverage, 21654,
     /* 131571 */   GIR_EraseRootFromParent_Done,
     /* 131572 */ // Label 2878: @131572
     /* 131572 */ GIM_Reject,
     /* 131573 */ // Label 2863: @131573
     /* 131573 */ GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(131623), // Rule ID 12596 //
     /* 131578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 131581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 131584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 131587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 131591 */   // MIs[0] Operand 1
     /* 131591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131596 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131600 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131606 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131612 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131614 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i8] }, VR128X:{ *:[v16i8] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVB2MZ128kr:{ *:[v16i1] } VR128X:{ *:[v16i8] }:$src)
     /* 131614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZ128kr),
     /* 131617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131619 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131621 */   GIR_RootConstrainSelectedInstOperands,
     /* 131622 */   // GIR_Coverage, 12596,
     /* 131622 */   GIR_EraseRootFromParent_Done,
     /* 131623 */ // Label 2879: @131623
     /* 131623 */ GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(131673), // Rule ID 12598 //
     /* 131628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 131631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 131634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 131637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 131641 */   // MIs[0] Operand 1
     /* 131641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131646 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131650 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131656 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131658 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131662 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131664 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i16] }, VR256X:{ *:[v16i16] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVW2MZ256kr:{ *:[v16i1] } VR256X:{ *:[v16i16] }:$src)
     /* 131664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZ256kr),
     /* 131667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131669 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131671 */   GIR_RootConstrainSelectedInstOperands,
     /* 131672 */   // GIR_Coverage, 12598,
     /* 131672 */   GIR_EraseRootFromParent_Done,
     /* 131673 */ // Label 2880: @131673
     /* 131673 */ GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(131723), // Rule ID 12600 //
     /* 131678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 131681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 131684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 131687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 131691 */   // MIs[0] Operand 1
     /* 131691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131696 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131700 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131706 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131708 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 131712 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131714 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i32] }, VR512:{ *:[v16i32] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVD2MZkr:{ *:[v16i1] } VR512:{ *:[v16i32] }:$src)
     /* 131714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVD2MZkr),
     /* 131717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131719 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 131721 */   GIR_RootConstrainSelectedInstOperands,
     /* 131722 */   // GIR_Coverage, 12600,
     /* 131722 */   GIR_EraseRootFromParent_Done,
     /* 131723 */ // Label 2881: @131723
     /* 131723 */ GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(131846), // Rule ID 21651 //
     /* 131728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 131731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 131734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 131737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 131741 */   // MIs[0] Operand 1
     /* 131741 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131746 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131750 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131756 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131758 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 131762 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131764 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i8] }, VR128X:{ *:[v16i8] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } (VPMOVB2MZkr:{ *:[v64i1] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src, sub_xmm:{ *:[i32] })), VK16:{ *:[i32] })
     /* 131764 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 131767 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131771 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131776 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131778 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 131781 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131785 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131790 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131793 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131797 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 131800 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131805 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131810 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 131815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s1,
     /* 131818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZkr),
     /* 131822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131827 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131830 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131837 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131840 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 131845 */   // GIR_Coverage, 21651,
     /* 131845 */   GIR_EraseRootFromParent_Done,
     /* 131846 */ // Label 2882: @131846
     /* 131846 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(131969), // Rule ID 21652 //
     /* 131851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 131854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 131857 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 131860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 131864 */   // MIs[0] Operand 1
     /* 131864 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131869 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131873 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 131879 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 131881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 131885 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 131887 */   // (setcc:{ *:[v16i1] } immAllZerosV:{ *:[v16i16] }, VR256X:{ *:[v16i16] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } (VPMOVW2MZkr:{ *:[v32i1] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src, sub_ymm:{ *:[i32] })), VK16:{ *:[i32] })
     /* 131887 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 131890 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 131894 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 131901 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 131904 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 131908 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131913 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 131916 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 131920 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 131923 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 131928 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 131933 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 131938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s1,
     /* 131941 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZkr),
     /* 131945 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131950 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 131953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 131958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 131960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131963 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 131968 */   // GIR_Coverage, 21652,
     /* 131968 */   GIR_EraseRootFromParent_Done,
     /* 131969 */ // Label 2883: @131969
     /* 131969 */ GIM_Reject,
     /* 131970 */ // Label 2864: @131970
     /* 131970 */ GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(132020), // Rule ID 12595 //
     /* 131975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 131978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 131981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /* 131984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 131988 */   // MIs[0] Operand 1
     /* 131988 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 131993 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 131997 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132003 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 132009 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132011 */   // (setcc:{ *:[v32i1] } immAllZerosV:{ *:[v32i8] }, VR256X:{ *:[v32i8] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVB2MZ256kr:{ *:[v32i1] } VR256X:{ *:[v32i8] }:$src)
     /* 132011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZ256kr),
     /* 132014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132016 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 132018 */   GIR_RootConstrainSelectedInstOperands,
     /* 132019 */   // GIR_Coverage, 12595,
     /* 132019 */   GIR_EraseRootFromParent_Done,
     /* 132020 */ // Label 2884: @132020
     /* 132020 */ GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(132070), // Rule ID 12597 //
     /* 132025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 132028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 132031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 132034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 132038 */   // MIs[0] Operand 1
     /* 132038 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132043 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132047 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132053 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132055 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 132059 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132061 */   // (setcc:{ *:[v32i1] } immAllZerosV:{ *:[v32i16] }, VR512:{ *:[v32i16] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVW2MZkr:{ *:[v32i1] } VR512:{ *:[v32i16] }:$src)
     /* 132061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVW2MZkr),
     /* 132064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132066 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 132068 */   GIR_RootConstrainSelectedInstOperands,
     /* 132069 */   // GIR_Coverage, 12597,
     /* 132069 */   GIR_EraseRootFromParent_Done,
     /* 132070 */ // Label 2885: @132070
     /* 132070 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(132193), // Rule ID 21650 //
     /* 132075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 132078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 132081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /* 132084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 132088 */   // MIs[0] Operand 1
     /* 132088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132093 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132097 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132103 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132105 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 132109 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132111 */   // (setcc:{ *:[v32i1] } immAllZerosV:{ *:[v32i8] }, VR256X:{ *:[v32i8] }:$src, SETGT:{ *:[Other] })  =>  (COPY_TO_REGCLASS:{ *:[v32i1] } (VPMOVB2MZkr:{ *:[v64i1] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src, sub_ymm:{ *:[i32] })), VK32:{ *:[i32] })
     /* 132111 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 132114 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132118 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132123 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 132125 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 132128 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132132 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132137 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 132140 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src
     /* 132144 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 132147 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132152 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132157 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 132162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s1,
     /* 132165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZkr),
     /* 132169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132174 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 132177 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132184 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132187 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK32RegClassID),
     /* 132192 */   // GIR_Coverage, 21650,
     /* 132192 */   GIR_EraseRootFromParent_Done,
     /* 132193 */ // Label 2886: @132193
     /* 132193 */ GIM_Reject,
     /* 132194 */ // Label 2865: @132194
     /* 132194 */ GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(132244), // Rule ID 12594 //
     /* 132199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 132202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 132205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v64s8,
     /* 132208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 132212 */   // MIs[0] Operand 1
     /* 132212 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 132217 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 132221 */   GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132227 */   GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 132233 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132235 */   // (setcc:{ *:[v64i1] } immAllZerosV:{ *:[v64i8] }, VR512:{ *:[v64i8] }:$src, SETGT:{ *:[Other] })  =>  (VPMOVB2MZkr:{ *:[v64i1] } VR512:{ *:[v64i8] }:$src)
     /* 132235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMOVB2MZkr),
     /* 132238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132240 */   GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 132242 */   GIR_RootConstrainSelectedInstOperands,
     /* 132243 */   // GIR_Coverage, 12594,
     /* 132243 */   GIR_EraseRootFromParent_Done,
     /* 132244 */ // Label 2887: @132244
     /* 132244 */ GIM_Reject,
     /* 132245 */ // Label 2866: @132245
     /* 132245 */ GIM_Reject,
     /* 132246 */ // Label 34: @132246
     /* 132246 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 2900*/ GIMT_Encode4(139911),
     /* 132257 */ /*GILLT_v2s64*//*Label 2888*/ GIMT_Encode4(132325), GIMT_Encode4(0),
     /* 132265 */ /*GILLT_v4s32*//*Label 2889*/ GIMT_Encode4(133189),
     /* 132269 */ /*GILLT_v4s64*//*Label 2890*/ GIMT_Encode4(134053), GIMT_Encode4(0),
     /* 132277 */ /*GILLT_v8s16*//*Label 2891*/ GIMT_Encode4(134833),
     /* 132281 */ /*GILLT_v8s32*//*Label 2892*/ GIMT_Encode4(135991),
     /* 132285 */ /*GILLT_v8s64*//*Label 2893*/ GIMT_Encode4(136771), GIMT_Encode4(0),
     /* 132293 */ /*GILLT_v16s8*//*Label 2894*/ GIMT_Encode4(137152),
     /* 132297 */ /*GILLT_v16s16*//*Label 2895*/ GIMT_Encode4(137592),
     /* 132301 */ /*GILLT_v16s32*//*Label 2896*/ GIMT_Encode4(138662), GIMT_Encode4(0),
     /* 132309 */ /*GILLT_v32s8*//*Label 2897*/ GIMT_Encode4(139003),
     /* 132313 */ /*GILLT_v32s16*//*Label 2898*/ GIMT_Encode4(139407), GIMT_Encode4(0),
     /* 132321 */ /*GILLT_v64s8*//*Label 2899*/ GIMT_Encode4(139825),
     /* 132325 */ // Label 2888: @132325
     /* 132325 */ GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(133188),
     /* 132330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /* 132333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 132336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 132339 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(132384), // Rule ID 4488 //
     /* 132344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 132347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 132363 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132369 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132373 */     // (vselect:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src, immAllZerosV:{ *:[v2f64] })  =>  (VMOVAPDZ128rrkz:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src)
     /* 132373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ128rrkz),
     /* 132376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132378 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 132380 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 132382 */     GIR_RootConstrainSelectedInstOperands,
     /* 132383 */     // GIR_Coverage, 4488,
     /* 132383 */     GIR_EraseRootFromParent_Done,
     /* 132384 */   // Label 2902: @132384
     /* 132384 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(132429), // Rule ID 4542 //
     /* 132389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 132392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 132408 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132414 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132418 */     // (vselect:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src, immAllZerosV:{ *:[v2i64] })  =>  (VMOVDQA64Z128rrkz:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src)
     /* 132418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rrkz),
     /* 132421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132423 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 132425 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 132427 */     GIR_RootConstrainSelectedInstOperands,
     /* 132428 */     // GIR_Coverage, 4542,
     /* 132428 */     GIR_EraseRootFromParent_Done,
     /* 132429 */   // Label 2903: @132429
     /* 132429 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(132578), // Rule ID 19776 //
     /* 132434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 132437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 132441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 132453 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132459 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132463 */     // (vselect:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src1, immAllZerosV:{ *:[v2f64] })  =>  (EXTRACT_SUBREG:{ *:[v2f64] } (VMOVAPDZrrkz:{ *:[v8f64] } (COPY_TO_REGCLASS:{ *:[v8i1] } VK2WM:{ *:[v2i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR128X:{ *:[v2f64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 132463 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 132466 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132470 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 132477 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 132480 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132484 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132489 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 132492 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 132496 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 132499 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132504 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132509 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 132514 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s1,
     /* 132517 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132521 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132526 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 132530 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 132535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 132538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrkz),
     /* 132542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132547 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 132550 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 132553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132560 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 132567 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 132572 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132577 */     // GIR_Coverage, 19776,
     /* 132577 */     GIR_EraseRootFromParent_Done,
     /* 132578 */   // Label 2904: @132578
     /* 132578 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(132727), // Rule ID 19778 //
     /* 132583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 132586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 132590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 132602 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 132608 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 132610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 132612 */     // (vselect:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src1, immAllZerosV:{ *:[v2i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VMOVDQA64Zrrkz:{ *:[v8i64] } (COPY_TO_REGCLASS:{ *:[v8i1] } VK2WM:{ *:[v2i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 132612 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 132615 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132619 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 132626 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 132629 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132633 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132638 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 132641 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 132645 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 132648 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132653 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132658 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 132663 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s1,
     /* 132666 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132670 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132675 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 132679 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 132684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 132687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 132691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132696 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 132699 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 132702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132709 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 132716 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 132721 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132726 */     // GIR_Coverage, 19778,
     /* 132726 */     GIR_EraseRootFromParent_Done,
     /* 132727 */   // Label 2905: @132727
     /* 132727 */   GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(132764), // Rule ID 4490 //
     /* 132732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 132735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132751 */     // (vselect:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src0)  =>  (VMOVAPDZ128rrk:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src0, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src1)
     /* 132751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ128rrk),
     /* 132754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132756 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 132758 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 132760 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 132762 */     GIR_RootConstrainSelectedInstOperands,
     /* 132763 */     // GIR_Coverage, 4490,
     /* 132763 */     GIR_EraseRootFromParent_Done,
     /* 132764 */   // Label 2906: @132764
     /* 132764 */   GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(132801), // Rule ID 4544 //
     /* 132769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 132772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132788 */     // (vselect:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src0)  =>  (VMOVDQA64Z128rrk:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src0, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src1)
     /* 132788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z128rrk),
     /* 132791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132793 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 132795 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 132797 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 132799 */     GIR_RootConstrainSelectedInstOperands,
     /* 132800 */     // GIR_Coverage, 4544,
     /* 132800 */     GIR_EraseRootFromParent_Done,
     /* 132801 */   // Label 2907: @132801
     /* 132801 */   GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(132994), // Rule ID 19775 //
     /* 132806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 132809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 132813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 132817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 132825 */     // (vselect:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v2f64] } (VMOVAPDZrrk:{ *:[v8f64] } (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR128X:{ *:[v2f64] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v8i1] } VK2WM:{ *:[v2i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR128X:{ *:[v2f64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 132825 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /* 132828 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132832 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 132839 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 132842 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132846 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132851 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 132854 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 132858 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 132861 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132866 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132871 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 132876 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s1,
     /* 132879 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132883 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132888 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 132892 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 132897 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 132900 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 132904 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 132911 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 132914 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 132918 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132923 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 132926 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 132930 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 132933 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 132938 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132943 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 132948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 132951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrk),
     /* 132955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132960 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 132963 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 132966 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 132969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 132974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 132976 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 132983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 132988 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 132993 */     // GIR_Coverage, 19775,
     /* 132993 */     GIR_EraseRootFromParent_Done,
     /* 132994 */   // Label 2908: @132994
     /* 132994 */   GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(133187), // Rule ID 19777 //
     /* 132999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 133002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 133006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 133010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133018 */     // (vselect:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VMOVDQA64Zrrk:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v8i1] } VK2WM:{ *:[v2i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 133018 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /* 133021 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133025 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 133032 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 133035 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133039 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133044 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 133047 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 133051 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 133054 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133059 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133064 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133069 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s1,
     /* 133072 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133076 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133081 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133085 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 133090 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 133093 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133097 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 133104 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 133107 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133111 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133116 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 133119 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 133123 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 133126 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133131 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133136 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 133144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrk),
     /* 133148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133153 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 133156 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 133159 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 133162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133169 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 133176 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 133181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133186 */     // GIR_Coverage, 19777,
     /* 133186 */     GIR_EraseRootFromParent_Done,
     /* 133187 */   // Label 2909: @133187
     /* 133187 */   GIM_Reject,
     /* 133188 */ // Label 2901: @133188
     /* 133188 */ GIM_Reject,
     /* 133189 */ // Label 2889: @133189
     /* 133189 */ GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(134052),
     /* 133194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 133197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 133200 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 133203 */   GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(133248), // Rule ID 4470 //
     /* 133208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 133227 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 133233 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 133235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133237 */     // (vselect:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src, immAllZerosV:{ *:[v4f32] })  =>  (VMOVAPSZ128rrkz:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src)
     /* 133237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128rrkz),
     /* 133240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133242 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133244 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 133246 */     GIR_RootConstrainSelectedInstOperands,
     /* 133247 */     // GIR_Coverage, 4470,
     /* 133247 */     GIR_EraseRootFromParent_Done,
     /* 133248 */   // Label 2911: @133248
     /* 133248 */   GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(133293), // Rule ID 4528 //
     /* 133253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 133272 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 133278 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 133280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133282 */     // (vselect:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src, immAllZerosV:{ *:[v4i32] })  =>  (VMOVDQA32Z128rrkz:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src)
     /* 133282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Z128rrkz),
     /* 133285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133287 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133289 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 133291 */     GIR_RootConstrainSelectedInstOperands,
     /* 133292 */     // GIR_Coverage, 4528,
     /* 133292 */     GIR_EraseRootFromParent_Done,
     /* 133293 */   // Label 2912: @133293
     /* 133293 */   GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(133442), // Rule ID 19768 //
     /* 133298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 133301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 133305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 133317 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 133323 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 133325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133327 */     // (vselect:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src1, immAllZerosV:{ *:[v4f32] })  =>  (EXTRACT_SUBREG:{ *:[v4f32] } (VMOVAPSZrrkz:{ *:[v16f32] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4WM:{ *:[v4i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR128X:{ *:[v4f32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 133327 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 133330 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133334 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 133341 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 133344 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133348 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133353 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 133356 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 133360 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 133363 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133368 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133373 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133378 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 133381 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133385 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133390 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133394 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 133399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 133402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrkz),
     /* 133406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133411 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 133414 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 133417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133424 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 133431 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 133436 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133441 */     // GIR_Coverage, 19768,
     /* 133441 */     GIR_EraseRootFromParent_Done,
     /* 133442 */   // Label 2913: @133442
     /* 133442 */   GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(133591), // Rule ID 19770 //
     /* 133447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 133450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 133454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 133466 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 133472 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 133474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 133476 */     // (vselect:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src1, immAllZerosV:{ *:[v4i32] })  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VMOVDQA32Zrrkz:{ *:[v16i32] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK4WM:{ *:[v4i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 133476 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 133479 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133483 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 133490 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 133493 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133497 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133502 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 133505 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 133509 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 133512 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133517 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133522 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133527 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 133530 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133534 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133539 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133543 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 133548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 133551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 133555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133560 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 133563 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 133566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133573 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 133580 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 133585 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133590 */     // GIR_Coverage, 19770,
     /* 133590 */     GIR_EraseRootFromParent_Done,
     /* 133591 */   // Label 2914: @133591
     /* 133591 */   GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(133628), // Rule ID 4472 //
     /* 133596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133615 */     // (vselect:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src0)  =>  (VMOVAPSZ128rrk:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src0, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src1)
     /* 133615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ128rrk),
     /* 133618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133620 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 133622 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133624 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 133626 */     GIR_RootConstrainSelectedInstOperands,
     /* 133627 */     // GIR_Coverage, 4472,
     /* 133627 */     GIR_EraseRootFromParent_Done,
     /* 133628 */   // Label 2915: @133628
     /* 133628 */   GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(133665), // Rule ID 4529 //
     /* 133633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 133636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133652 */     // (vselect:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src0)  =>  (VMOVDQA32Z128rrk:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src0, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src1)
     /* 133652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Z128rrk),
     /* 133655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133657 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 133659 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 133661 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 133663 */     GIR_RootConstrainSelectedInstOperands,
     /* 133664 */     // GIR_Coverage, 4529,
     /* 133664 */     GIR_EraseRootFromParent_Done,
     /* 133665 */   // Label 2916: @133665
     /* 133665 */   GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(133858), // Rule ID 19767 //
     /* 133670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 133673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 133677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133689 */     // (vselect:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v4f32] } (VMOVAPSZrrk:{ *:[v16f32] } (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR128X:{ *:[v4f32] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4WM:{ *:[v4i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR128X:{ *:[v4f32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 133689 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v16s32,
     /* 133692 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133696 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 133703 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 133706 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133710 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133715 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 133718 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 133722 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 133725 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133730 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133735 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133740 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s1,
     /* 133743 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133747 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133752 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133756 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 133761 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 133764 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133768 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 133775 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 133778 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133782 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133787 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 133790 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 133794 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 133797 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133802 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133807 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 133815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrk),
     /* 133819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133824 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 133827 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 133830 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 133833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 133835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 133840 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 133847 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 133852 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133857 */     // GIR_Coverage, 19767,
     /* 133857 */     GIR_EraseRootFromParent_Done,
     /* 133858 */   // Label 2917: @133858
     /* 133858 */   GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(134051), // Rule ID 19769 //
     /* 133863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 133866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 133870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 133874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 133882 */     // (vselect:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VMOVDQA32Zrrk:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK4WM:{ *:[v4i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 133882 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v16s32,
     /* 133885 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133889 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 133896 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 133899 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133903 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133908 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 133911 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 133915 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 133918 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133923 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 133928 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 133933 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s1,
     /* 133936 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 133940 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133945 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 133949 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 133954 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 133957 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 133961 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 133968 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 133971 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 133975 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 133980 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 133983 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 133987 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 133990 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 133995 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134000 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 134005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 134008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrk),
     /* 134012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134017 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134020 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 134023 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 134026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134033 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 134040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 134045 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134050 */     // GIR_Coverage, 19769,
     /* 134050 */     GIR_EraseRootFromParent_Done,
     /* 134051 */   // Label 2918: @134051
     /* 134051 */   GIM_Reject,
     /* 134052 */ // Label 2910: @134052
     /* 134052 */ GIM_Reject,
     /* 134053 */ // Label 2890: @134053
     /* 134053 */ GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(134832),
     /* 134058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 134061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 134064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 134067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 134075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134079 */   GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(134112), // Rule ID 4483 //
     /* 134084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 134087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 134091 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134097 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 134099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 134101 */     // (vselect:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src, immAllZerosV:{ *:[v4f64] })  =>  (VMOVAPDZ256rrkz:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src)
     /* 134101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ256rrkz),
     /* 134104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134106 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134108 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 134110 */     GIR_RootConstrainSelectedInstOperands,
     /* 134111 */     // GIR_Coverage, 4483,
     /* 134111 */     GIR_EraseRootFromParent_Done,
     /* 134112 */   // Label 2920: @134112
     /* 134112 */   GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(134145), // Rule ID 4537 //
     /* 134117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 134120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 134124 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134130 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 134132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 134134 */     // (vselect:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src, immAllZerosV:{ *:[v4i64] })  =>  (VMOVDQA64Z256rrkz:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src)
     /* 134134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rrkz),
     /* 134137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134139 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134141 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 134143 */     GIR_RootConstrainSelectedInstOperands,
     /* 134144 */     // GIR_Coverage, 4537,
     /* 134144 */     GIR_EraseRootFromParent_Done,
     /* 134145 */   // Label 2921: @134145
     /* 134145 */   GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(134282), // Rule ID 19780 //
     /* 134150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 134157 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134163 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 134165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 134167 */     // (vselect:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src1, immAllZerosV:{ *:[v4f64] })  =>  (EXTRACT_SUBREG:{ *:[v4f64] } (VMOVAPDZrrkz:{ *:[v8f64] } (COPY_TO_REGCLASS:{ *:[v8i1] } VK4WM:{ *:[v4i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR256X:{ *:[v4f64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 134167 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 134170 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134174 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 134181 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 134184 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134188 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134193 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 134196 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 134200 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 134203 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134208 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134213 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134218 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s1,
     /* 134221 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134225 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134230 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 134234 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 134239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 134242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrkz),
     /* 134246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134251 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134254 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 134257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134264 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 134271 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134276 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134281 */     // GIR_Coverage, 19780,
     /* 134281 */     GIR_EraseRootFromParent_Done,
     /* 134282 */   // Label 2922: @134282
     /* 134282 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(134419), // Rule ID 19782 //
     /* 134287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 134294 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134300 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 134302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 134304 */     // (vselect:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src1, immAllZerosV:{ *:[v4i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VMOVDQA64Zrrkz:{ *:[v8i64] } (COPY_TO_REGCLASS:{ *:[v8i1] } VK4WM:{ *:[v4i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 134304 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 134307 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134311 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 134318 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 134321 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134325 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134330 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 134333 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 134337 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 134340 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134345 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134350 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134355 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s1,
     /* 134358 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134362 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134367 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 134371 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 134376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 134379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 134383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134388 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134391 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 134394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134401 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 134408 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134413 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134418 */     // GIR_Coverage, 19782,
     /* 134418 */     GIR_EraseRootFromParent_Done,
     /* 134419 */   // Label 2923: @134419
     /* 134419 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(134444), // Rule ID 4485 //
     /* 134424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 134427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134431 */     // (vselect:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src0)  =>  (VMOVAPDZ256rrk:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src0, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src1)
     /* 134431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZ256rrk),
     /* 134434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134436 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 134438 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134440 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 134442 */     GIR_RootConstrainSelectedInstOperands,
     /* 134443 */     // GIR_Coverage, 4485,
     /* 134443 */     GIR_EraseRootFromParent_Done,
     /* 134444 */   // Label 2924: @134444
     /* 134444 */   GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(134469), // Rule ID 4539 //
     /* 134449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 134452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134456 */     // (vselect:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src0)  =>  (VMOVDQA64Z256rrk:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src0, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src1)
     /* 134456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Z256rrk),
     /* 134459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134461 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 134463 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134465 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 134467 */     GIR_RootConstrainSelectedInstOperands,
     /* 134468 */     // GIR_Coverage, 4539,
     /* 134468 */     GIR_EraseRootFromParent_Done,
     /* 134469 */   // Label 2925: @134469
     /* 134469 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(134650), // Rule ID 19779 //
     /* 134474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134481 */     // (vselect:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v4f64] } (VMOVAPDZrrk:{ *:[v8f64] } (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR256X:{ *:[v4f64] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v8i1] } VK4WM:{ *:[v4i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8f64] } (IMPLICIT_DEF:{ *:[v8f64] }), VR256X:{ *:[v4f64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 134481 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /* 134484 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134488 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 134495 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 134498 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134502 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134507 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 134510 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 134514 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 134517 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134522 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134527 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134532 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s1,
     /* 134535 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134539 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134544 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 134548 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 134553 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 134556 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134560 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 134567 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 134570 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134574 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134579 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 134582 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 134586 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 134589 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134594 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134599 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 134607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrk),
     /* 134611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134616 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134619 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 134622 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 134625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134632 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 134639 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134644 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134649 */     // GIR_Coverage, 19779,
     /* 134649 */     GIR_EraseRootFromParent_Done,
     /* 134650 */   // Label 2926: @134650
     /* 134650 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(134831), // Rule ID 19781 //
     /* 134655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 134658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 134662 */     // (vselect:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VMOVDQA64Zrrk:{ *:[v8i64] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v8i1] } VK4WM:{ *:[v4i1] }:$mask, VK8WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 134662 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v8s64,
     /* 134665 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134669 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 134676 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 134679 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134683 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134688 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 134691 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 134695 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 134698 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134703 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134708 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134713 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s1,
     /* 134716 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134720 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134725 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 134729 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK8WMRegClassID),
     /* 134734 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 134737 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 134741 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 134748 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 134751 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 134755 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134760 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 134763 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 134767 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 134770 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 134775 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134780 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s64,
     /* 134788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrk),
     /* 134792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 134797 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 134800 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 134803 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 134806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 134808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 134811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134813 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 134820 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 134825 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 134830 */     // GIR_Coverage, 19781,
     /* 134830 */     GIR_EraseRootFromParent_Done,
     /* 134831 */   // Label 2927: @134831
     /* 134831 */   GIM_Reject,
     /* 134832 */ // Label 2919: @134832
     /* 134832 */ GIM_Reject,
     /* 134833 */ // Label 2891: @134833
     /* 134833 */ GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(135990),
     /* 134838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 134841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 134844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 134847 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(134926), // Rule ID 19866 //
     /* 134852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 134855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 134859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 134863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 134867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 134871 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 134874 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 134878 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 134882 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 134886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 134890 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134896 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 134898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 134900 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 134907 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, immAllZerosV:{ *:[v8f16] })  =>  (VMOVDQU16Z128rmkz:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 134907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rmkz),
     /* 134910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134912 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134914 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 134918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 134924 */     GIR_RootConstrainSelectedInstOperands,
     /* 134925 */     // GIR_Coverage, 19866,
     /* 134925 */     GIR_EraseRootFromParent_Done,
     /* 134926 */   // Label 2929: @134926
     /* 134926 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(135001), // Rule ID 19868 //
     /* 134931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 134934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 134938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 134942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 134946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 134950 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 134953 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 134957 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 134961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 134965 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 134971 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 134973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 134975 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 134982 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, immAllZerosV:{ *:[v8f16] })  =>  (VMOVDQU16Z128rmkz:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 134982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rmkz),
     /* 134985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 134987 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 134989 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 134993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 134999 */     GIR_RootConstrainSelectedInstOperands,
     /* 135000 */     // GIR_Coverage, 19868,
     /* 135000 */     GIR_EraseRootFromParent_Done,
     /* 135001 */   // Label 2930: @135001
     /* 135001 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(135073), // Rule ID 19865 //
     /* 135006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 135021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 135025 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 135028 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 135032 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 135036 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 135040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135046 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 135053 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, VR128X:{ *:[v8f16] }:$src0)  =>  (VMOVDQU16Z128rmk:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src0, VK8WM:{ *:[v8i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 135053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rmk),
     /* 135056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135058 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 135060 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135062 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 135066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 135071 */     GIR_RootConstrainSelectedInstOperands,
     /* 135072 */     // GIR_Coverage, 19865,
     /* 135072 */     GIR_EraseRootFromParent_Done,
     /* 135073 */   // Label 2931: @135073
     /* 135073 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(135141), // Rule ID 19867 //
     /* 135078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 135093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 135097 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 135100 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 135104 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 135108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135114 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 135121 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src0)  =>  (VMOVDQU16Z128rmk:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src0, VK8WM:{ *:[v8i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 135121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rmk),
     /* 135124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135126 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 135128 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135130 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 135134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 135139 */     GIR_RootConstrainSelectedInstOperands,
     /* 135140 */     // GIR_Coverage, 19867,
     /* 135140 */     GIR_EraseRootFromParent_Done,
     /* 135141 */   // Label 2932: @135141
     /* 135141 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(135186), // Rule ID 4570 //
     /* 135146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 135165 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135171 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 135173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135175 */     // (vselect:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src, immAllZerosV:{ *:[v8i16] })  =>  (VMOVDQU16Z128rrkz:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src)
     /* 135175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rrkz),
     /* 135178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135180 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135182 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 135184 */     GIR_RootConstrainSelectedInstOperands,
     /* 135185 */     // GIR_Coverage, 4570,
     /* 135185 */     GIR_EraseRootFromParent_Done,
     /* 135186 */   // Label 2933: @135186
     /* 135186 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(135335), // Rule ID 19788 //
     /* 135191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 135194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 135198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 135210 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135216 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 135218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135220 */     // (vselect:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src1, immAllZerosV:{ *:[v8i16] })  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VMOVDQU16Zrrkz:{ *:[v32i16] } (COPY_TO_REGCLASS:{ *:[v32i1] } VK8WM:{ *:[v8i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 135220 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s16,
     /* 135223 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135227 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 135234 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 135237 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135241 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135246 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 135249 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 135253 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 135256 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135261 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135266 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 135271 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s1,
     /* 135274 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135278 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135283 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 135287 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 135292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 135295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 135299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135304 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 135307 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 135310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 135312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135317 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 135324 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 135329 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135334 */     // GIR_Coverage, 19788,
     /* 135334 */     GIR_EraseRootFromParent_Done,
     /* 135335 */   // Label 2934: @135335
     /* 135335 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(135484), // Rule ID 19792 //
     /* 135340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 135343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 135347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 135359 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135365 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 135367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135369 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1, immAllZerosV:{ *:[v8f16] })  =>  (EXTRACT_SUBREG:{ *:[v8f16] } (VMOVDQU16Zrrkz:{ *:[v32f16] } (COPY_TO_REGCLASS:{ *:[v32i1] } VK8WM:{ *:[v8i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR128X:{ *:[v8f16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 135369 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s16,
     /* 135372 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135376 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 135383 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 135386 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135390 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135395 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 135398 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 135402 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 135405 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135410 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135415 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 135420 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s1,
     /* 135423 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135427 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135432 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 135436 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 135441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 135444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 135448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135453 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 135456 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 135459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 135461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135466 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 135473 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 135478 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135483 */     // GIR_Coverage, 19792,
     /* 135483 */     GIR_EraseRootFromParent_Done,
     /* 135484 */   // Label 2935: @135484
     /* 135484 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(135529), // Rule ID 19864 //
     /* 135489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 135508 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 135514 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 135516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 135518 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1, immAllZerosV:{ *:[v8f16] })  =>  (VMOVDQU16Z128rrkz:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1)
     /* 135518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rrkz),
     /* 135521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135523 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135525 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 135527 */     GIR_RootConstrainSelectedInstOperands,
     /* 135528 */     // GIR_Coverage, 19864,
     /* 135528 */     GIR_EraseRootFromParent_Done,
     /* 135529 */   // Label 2936: @135529
     /* 135529 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(135566), // Rule ID 4571 //
     /* 135534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135553 */     // (vselect:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src0)  =>  (VMOVDQU16Z128rrk:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src1)
     /* 135553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rrk),
     /* 135556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135558 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 135560 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135562 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 135564 */     GIR_RootConstrainSelectedInstOperands,
     /* 135565 */     // GIR_Coverage, 4571,
     /* 135565 */     GIR_EraseRootFromParent_Done,
     /* 135566 */   // Label 2937: @135566
     /* 135566 */   GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(135759), // Rule ID 19787 //
     /* 135571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 135574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 135578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135590 */     // (vselect:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VMOVDQU16Zrrk:{ *:[v32i16] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v32i1] } VK8WM:{ *:[v8i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 135590 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v32s16,
     /* 135593 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135597 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 135604 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v32s16,
     /* 135607 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135611 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135616 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 135619 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 135623 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 135626 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135631 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135636 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 135641 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s1,
     /* 135644 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135648 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135653 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 135657 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 135662 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 135665 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135669 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 135676 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 135679 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135683 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135688 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 135691 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 135695 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 135698 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135703 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135708 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 135713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 135716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 135720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135725 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 135728 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 135731 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 135734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 135736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135741 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 135748 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 135753 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135758 */     // GIR_Coverage, 19787,
     /* 135758 */     GIR_EraseRootFromParent_Done,
     /* 135759 */   // Label 2938: @135759
     /* 135759 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(135952), // Rule ID 19791 //
     /* 135764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 135767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 135771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135783 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v8f16] } (VMOVDQU16Zrrk:{ *:[v32f16] } (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR128X:{ *:[v8f16] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v32i1] } VK8WM:{ *:[v8i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR128X:{ *:[v8f16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 135783 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v32s16,
     /* 135786 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135790 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 135797 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v32s16,
     /* 135800 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135804 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135809 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 135812 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 135816 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 135819 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135824 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135829 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 135834 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s1,
     /* 135837 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135841 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135846 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 135850 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 135855 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 135858 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 135862 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 135869 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 135872 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 135876 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135881 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 135884 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 135888 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 135891 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 135896 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135901 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 135906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 135909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 135913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 135918 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 135921 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 135924 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 135927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 135929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 135932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135934 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 135941 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 135946 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 135951 */     // GIR_Coverage, 19791,
     /* 135951 */     GIR_EraseRootFromParent_Done,
     /* 135952 */   // Label 2939: @135952
     /* 135952 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(135989), // Rule ID 19863 //
     /* 135957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 135960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 135968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 135976 */     // (vselect:{ *:[v8f16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src0)  =>  (VMOVDQU16Z128rrk:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8f16] }:$src1)
     /* 135976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z128rrk),
     /* 135979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 135981 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 135983 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 135985 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 135987 */     GIR_RootConstrainSelectedInstOperands,
     /* 135988 */     // GIR_Coverage, 19863,
     /* 135988 */     GIR_EraseRootFromParent_Done,
     /* 135989 */   // Label 2940: @135989
     /* 135989 */   GIM_Reject,
     /* 135990 */ // Label 2928: @135990
     /* 135990 */ GIM_Reject,
     /* 135991 */ // Label 2892: @135991
     /* 135991 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(136770),
     /* 135996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 135999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 136002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 136005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 136013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136017 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(136050), // Rule ID 4465 //
     /* 136022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 136025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 136029 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136035 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 136037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 136039 */     // (vselect:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src, immAllZerosV:{ *:[v8f32] })  =>  (VMOVAPSZ256rrkz:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src)
     /* 136039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256rrkz),
     /* 136042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136044 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136046 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 136048 */     GIR_RootConstrainSelectedInstOperands,
     /* 136049 */     // GIR_Coverage, 4465,
     /* 136049 */     GIR_EraseRootFromParent_Done,
     /* 136050 */   // Label 2942: @136050
     /* 136050 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(136083), // Rule ID 4524 //
     /* 136055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 136058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 136062 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136068 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 136070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 136072 */     // (vselect:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src, immAllZerosV:{ *:[v8i32] })  =>  (VMOVDQA32Z256rrkz:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src)
     /* 136072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Z256rrkz),
     /* 136075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136077 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136079 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 136081 */     GIR_RootConstrainSelectedInstOperands,
     /* 136082 */     // GIR_Coverage, 4524,
     /* 136082 */     GIR_EraseRootFromParent_Done,
     /* 136083 */   // Label 2943: @136083
     /* 136083 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(136220), // Rule ID 19772 //
     /* 136088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 136091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 136095 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136101 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 136103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 136105 */     // (vselect:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src1, immAllZerosV:{ *:[v8f32] })  =>  (EXTRACT_SUBREG:{ *:[v8f32] } (VMOVAPSZrrkz:{ *:[v16f32] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8WM:{ *:[v8i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR256X:{ *:[v8f32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 136105 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 136108 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136112 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 136119 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 136122 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136126 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136131 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 136134 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 136138 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 136141 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136146 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136151 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136156 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 136159 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136163 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136168 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136172 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 136177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 136180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrkz),
     /* 136184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136189 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136192 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 136195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 136197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136202 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 136209 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136214 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136219 */     // GIR_Coverage, 19772,
     /* 136219 */     GIR_EraseRootFromParent_Done,
     /* 136220 */   // Label 2944: @136220
     /* 136220 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(136357), // Rule ID 19774 //
     /* 136225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 136228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 136232 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136238 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 136240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 136242 */     // (vselect:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src1, immAllZerosV:{ *:[v8i32] })  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VMOVDQA32Zrrkz:{ *:[v16i32] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8WM:{ *:[v8i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 136242 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s32,
     /* 136245 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136249 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 136256 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 136259 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136263 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136268 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 136271 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 136275 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 136278 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136283 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136288 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136293 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 136296 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136300 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136305 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136309 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 136314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 136317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 136321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136326 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136329 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 136332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 136334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136339 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 136346 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136351 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136356 */     // GIR_Coverage, 19774,
     /* 136356 */     GIR_EraseRootFromParent_Done,
     /* 136357 */   // Label 2945: @136357
     /* 136357 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(136382), // Rule ID 4467 //
     /* 136362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 136365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136369 */     // (vselect:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src0)  =>  (VMOVAPSZ256rrk:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src1)
     /* 136369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZ256rrk),
     /* 136372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136374 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 136376 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136378 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 136380 */     GIR_RootConstrainSelectedInstOperands,
     /* 136381 */     // GIR_Coverage, 4467,
     /* 136381 */     GIR_EraseRootFromParent_Done,
     /* 136382 */   // Label 2946: @136382
     /* 136382 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(136407), // Rule ID 4525 //
     /* 136387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 136390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136394 */     // (vselect:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src0)  =>  (VMOVDQA32Z256rrk:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src1)
     /* 136394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Z256rrk),
     /* 136397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136399 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 136401 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136403 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 136405 */     GIR_RootConstrainSelectedInstOperands,
     /* 136406 */     // GIR_Coverage, 4525,
     /* 136406 */     GIR_EraseRootFromParent_Done,
     /* 136407 */   // Label 2947: @136407
     /* 136407 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(136588), // Rule ID 19771 //
     /* 136412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 136415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136419 */     // (vselect:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v8f32] } (VMOVAPSZrrk:{ *:[v16f32] } (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR256X:{ *:[v8f32] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8WM:{ *:[v8i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16f32] } (IMPLICIT_DEF:{ *:[v16f32] }), VR256X:{ *:[v8f32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 136419 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v16s32,
     /* 136422 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136426 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 136433 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 136436 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136440 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136445 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 136448 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 136452 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 136455 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136460 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136465 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136470 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s1,
     /* 136473 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136477 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136482 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136486 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 136491 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 136494 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136498 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 136505 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 136508 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136512 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136517 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 136520 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 136524 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 136527 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136532 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136537 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 136545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrk),
     /* 136549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136554 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136557 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 136560 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 136563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 136565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136570 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 136577 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136587 */     // GIR_Coverage, 19771,
     /* 136587 */     GIR_EraseRootFromParent_Done,
     /* 136588 */   // Label 2948: @136588
     /* 136588 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(136769), // Rule ID 19773 //
     /* 136593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 136596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 136600 */     // (vselect:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VMOVDQA32Zrrk:{ *:[v16i32] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v16i1] } VK8WM:{ *:[v8i1] }:$mask, VK16WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 136600 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v16s32,
     /* 136603 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136607 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 136614 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s32,
     /* 136617 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136621 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136626 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 136629 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 136633 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 136636 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136641 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136646 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136651 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s1,
     /* 136654 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136658 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136663 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136667 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK16WMRegClassID),
     /* 136672 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 136675 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 136679 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 136686 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 136689 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 136693 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136698 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 136701 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 136705 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 136708 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 136713 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136718 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s32,
     /* 136726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrk),
     /* 136730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136735 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136738 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 136741 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 136744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 136746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136751 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 136758 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 136763 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 136768 */     // GIR_Coverage, 19773,
     /* 136768 */     GIR_EraseRootFromParent_Done,
     /* 136769 */   // Label 2949: @136769
     /* 136769 */   GIM_Reject,
     /* 136770 */ // Label 2941: @136770
     /* 136770 */ GIM_Reject,
     /* 136771 */ // Label 2893: @136771
     /* 136771 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(137151),
     /* 136776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 136779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 136782 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 136785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 136789 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(136858), // Rule ID 19765 //
     /* 136794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 136798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 136802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 136806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s1,
     /* 136810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 136815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 136819 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136825 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /* 136827 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 136831 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136837 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /* 136839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 136843 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 136845 */     // (vselect:{ *:[v8i64] } (xor:{ *:[v8i1] } VK8:{ *:[v8i1] }:$mask, immAllOnesV:{ *:[v8i1] }), immAllZerosV:{ *:[v8i64] }, VR512:{ *:[v8i64] }:$src)  =>  (VMOVDQA64Zrrkz:{ *:[v8i64] } VK8:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 136845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 136848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // mask
     /* 136854 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 136856 */     GIR_RootConstrainSelectedInstOperands,
     /* 136857 */     // GIR_Coverage, 19765,
     /* 136857 */     GIR_EraseRootFromParent_Done,
     /* 136858 */   // Label 2951: @136858
     /* 136858 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(136905), // Rule ID 3598 //
     /* 136863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 136866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 136870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 136874 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136880 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 136882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 136886 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136892 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 136894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 136896 */     // (vselect:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, immAllOnesV:{ *:[v8i64] }, immAllZerosV:{ *:[v8i64] })  =>  (AVX512_512_SEXT_MASK_64:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask)
     /* 136896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AVX512_512_SEXT_MASK_64),
     /* 136899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136901 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 136903 */     GIR_RootConstrainSelectedInstOperands,
     /* 136904 */     // GIR_Coverage, 3598,
     /* 136904 */     GIR_EraseRootFromParent_Done,
     /* 136905 */   // Label 2952: @136905
     /* 136905 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(137002), // Rule ID 19763 //
     /* 136910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 136914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 136918 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 136924 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 136926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 136930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 136932 */     // (vselect:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8i64] }, VR512:{ *:[v8i64] }:$src)  =>  (VMOVDQA64Zrrkz:{ *:[v8i64] } (COPY_TO_REGCLASS:{ *:[v8i1] } (KNOTWkk:{ *:[v16i1] } (COPY_TO_REGCLASS:{ *:[v16i1] } VK8:{ *:[v8i1] }:$mask, VK16:{ *:[i32] })), VK8:{ *:[i32] }), VR512:{ *:[v8i64] }:$src)
     /* 136932 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s1,
     /* 136935 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136939 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136944 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 136948 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 136953 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s1,
     /* 136956 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /* 136960 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136965 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 136968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 136970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s1,
     /* 136973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 136977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 136982 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 136985 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 136990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 136993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 136995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 136998 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 137000 */     GIR_RootConstrainSelectedInstOperands,
     /* 137001 */     // GIR_Coverage, 19763,
     /* 137001 */     GIR_EraseRootFromParent_Done,
     /* 137002 */   // Label 2953: @137002
     /* 137002 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(137043), // Rule ID 4478 //
     /* 137007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 137010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137022 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137028 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137032 */     // (vselect:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src, immAllZerosV:{ *:[v8f64] })  =>  (VMOVAPDZrrkz:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src)
     /* 137032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrkz),
     /* 137035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137037 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137039 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 137041 */     GIR_RootConstrainSelectedInstOperands,
     /* 137042 */     // GIR_Coverage, 4478,
     /* 137042 */     GIR_EraseRootFromParent_Done,
     /* 137043 */   // Label 2954: @137043
     /* 137043 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(137084), // Rule ID 4532 //
     /* 137048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 137051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137063 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137069 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137073 */     // (vselect:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src, immAllZerosV:{ *:[v8i64] })  =>  (VMOVDQA64Zrrkz:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 137073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrkz),
     /* 137076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137078 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137080 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 137082 */     GIR_RootConstrainSelectedInstOperands,
     /* 137083 */     // GIR_Coverage, 4532,
     /* 137083 */     GIR_EraseRootFromParent_Done,
     /* 137084 */   // Label 2955: @137084
     /* 137084 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(137117), // Rule ID 4480 //
     /* 137089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 137092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137104 */     // (vselect:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src0)  =>  (VMOVAPDZrrk:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src1)
     /* 137104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPDZrrk),
     /* 137107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137109 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 137111 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137113 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 137115 */     GIR_RootConstrainSelectedInstOperands,
     /* 137116 */     // GIR_Coverage, 4480,
     /* 137116 */     GIR_EraseRootFromParent_Done,
     /* 137117 */   // Label 2956: @137117
     /* 137117 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(137150), // Rule ID 4534 //
     /* 137122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 137125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 137129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 137137 */     // (vselect:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src0)  =>  (VMOVDQA64Zrrk:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src0, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src1)
     /* 137137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA64Zrrk),
     /* 137140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137142 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 137144 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137146 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 137148 */     GIR_RootConstrainSelectedInstOperands,
     /* 137149 */     // GIR_Coverage, 4534,
     /* 137149 */     GIR_EraseRootFromParent_Done,
     /* 137150 */   // Label 2957: @137150
     /* 137150 */   GIM_Reject,
     /* 137151 */ // Label 2950: @137151
     /* 137151 */ GIM_Reject,
     /* 137152 */ // Label 2894: @137152
     /* 137152 */ GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(137591),
     /* 137157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 137160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 137163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 137166 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(137211), // Rule ID 4558 //
     /* 137171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137190 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137196 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137200 */     // (vselect:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src, immAllZerosV:{ *:[v16i8] })  =>  (VMOVDQU8Z128rrkz:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src)
     /* 137200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Z128rrkz),
     /* 137203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137205 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137207 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 137209 */     GIR_RootConstrainSelectedInstOperands,
     /* 137210 */     // GIR_Coverage, 4558,
     /* 137210 */     GIR_EraseRootFromParent_Done,
     /* 137211 */   // Label 2959: @137211
     /* 137211 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(137360), // Rule ID 19784 //
     /* 137216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 137219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 137223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137235 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137241 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137245 */     // (vselect:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src1, immAllZerosV:{ *:[v16i8] })  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VMOVDQU8Zrrkz:{ *:[v64i8] } (COPY_TO_REGCLASS:{ *:[v64i1] } VK16WM:{ *:[v16i1] }:$mask, VK64WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 137245 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v64s8,
     /* 137248 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 137252 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 137259 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 137262 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 137266 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137271 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 137274 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 137278 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/11,
     /* 137281 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 137286 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137291 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 137296 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s1,
     /* 137299 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137303 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137308 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 137312 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK64WMRegClassID),
     /* 137317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 137320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrkz),
     /* 137324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137329 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 137332 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 137335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 137337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137342 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 137349 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 137354 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137359 */     // GIR_Coverage, 19784,
     /* 137359 */     GIR_EraseRootFromParent_Done,
     /* 137360 */   // Label 2960: @137360
     /* 137360 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(137397), // Rule ID 4559 //
     /* 137365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137384 */     // (vselect:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src0)  =>  (VMOVDQU8Z128rrk:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src1)
     /* 137384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Z128rrk),
     /* 137387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137389 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 137391 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137393 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 137395 */     GIR_RootConstrainSelectedInstOperands,
     /* 137396 */     // GIR_Coverage, 4559,
     /* 137396 */     GIR_EraseRootFromParent_Done,
     /* 137397 */   // Label 2961: @137397
     /* 137397 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(137590), // Rule ID 19783 //
     /* 137402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 137405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 137409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 137421 */     // (vselect:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VMOVDQU8Zrrk:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src0, sub_xmm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v64i1] } VK16WM:{ *:[v16i1] }:$mask, VK64WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 137421 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v64s8,
     /* 137424 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 137428 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 137435 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v64s8,
     /* 137438 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 137442 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137447 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 137450 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 137454 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/11,
     /* 137457 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 137462 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137467 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 137472 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v64s1,
     /* 137475 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137479 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137484 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 137488 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK64WMRegClassID),
     /* 137493 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 137496 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 137500 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 137507 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 137510 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 137514 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137519 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 137522 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 137526 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 137529 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 137534 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137539 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 137544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 137547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrk),
     /* 137551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137556 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 137559 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 137562 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 137565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 137567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137572 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 137579 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 137584 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137589 */     // GIR_Coverage, 19783,
     /* 137589 */     GIR_EraseRootFromParent_Done,
     /* 137590 */   // Label 2962: @137590
     /* 137590 */   GIM_Reject,
     /* 137591 */ // Label 2958: @137591
     /* 137591 */ GIM_Reject,
     /* 137592 */ // Label 2895: @137592
     /* 137592 */ GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(138661),
     /* 137597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 137600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 137603 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 137606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 137610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 137614 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(137685), // Rule ID 19856 //
     /* 137619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 137626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 137630 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 137633 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 137637 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 137641 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 137645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 137649 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137655 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 137657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 137659 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 137666 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, immAllZerosV:{ *:[v16f16] })  =>  (VMOVDQU16Z256rmkz:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 137666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rmkz),
     /* 137669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137671 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137673 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 137677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 137683 */     GIR_RootConstrainSelectedInstOperands,
     /* 137684 */     // GIR_Coverage, 19856,
     /* 137684 */     GIR_EraseRootFromParent_Done,
     /* 137685 */   // Label 2964: @137685
     /* 137685 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(137752), // Rule ID 19858 //
     /* 137690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 137697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 137701 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 137704 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 137708 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 137712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 137716 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137722 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 137724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 137726 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 137733 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, immAllZerosV:{ *:[v16f16] })  =>  (VMOVDQU16Z256rmkz:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 137733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rmkz),
     /* 137736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137738 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137740 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 137744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 137750 */     GIR_RootConstrainSelectedInstOperands,
     /* 137751 */     // GIR_Coverage, 19858,
     /* 137751 */     GIR_EraseRootFromParent_Done,
     /* 137752 */   // Label 2965: @137752
     /* 137752 */   GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(137816), // Rule ID 19855 //
     /* 137757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 137764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 137768 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 137771 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 137775 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 137779 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 137783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 137787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 137796 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, VR256X:{ *:[v16f16] }:$src0)  =>  (VMOVDQU16Z256rmk:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src0, VK16WM:{ *:[v16i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 137796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rmk),
     /* 137799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137801 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 137803 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137805 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 137809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 137814 */     GIR_RootConstrainSelectedInstOperands,
     /* 137815 */     // GIR_Coverage, 19855,
     /* 137815 */     GIR_EraseRootFromParent_Done,
     /* 137816 */   // Label 2966: @137816
     /* 137816 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(137876), // Rule ID 19857 //
     /* 137821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 137828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 137832 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 137835 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 137839 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 137843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 137847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137849 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 137856 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src0)  =>  (VMOVDQU16Z256rmk:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src0, VK16WM:{ *:[v16i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 137856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rmk),
     /* 137859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137861 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 137863 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137865 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 137869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 137874 */     GIR_RootConstrainSelectedInstOperands,
     /* 137875 */     // GIR_Coverage, 19857,
     /* 137875 */     GIR_EraseRootFromParent_Done,
     /* 137876 */   // Label 2967: @137876
     /* 137876 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(137913), // Rule ID 4566 //
     /* 137881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 137884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 137888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137892 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137898 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137902 */     // (vselect:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src, immAllZerosV:{ *:[v16i16] })  =>  (VMOVDQU16Z256rrkz:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src)
     /* 137902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rrkz),
     /* 137905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 137907 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 137909 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 137911 */     GIR_RootConstrainSelectedInstOperands,
     /* 137912 */     // GIR_Coverage, 4566,
     /* 137912 */     GIR_EraseRootFromParent_Done,
     /* 137913 */   // Label 2968: @137913
     /* 137913 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(138054), // Rule ID 19790 //
     /* 137918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 137921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 137925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 137929 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 137935 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 137937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 137939 */     // (vselect:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src1, immAllZerosV:{ *:[v16i16] })  =>  (EXTRACT_SUBREG:{ *:[v16i16] } (VMOVDQU16Zrrkz:{ *:[v32i16] } (COPY_TO_REGCLASS:{ *:[v32i1] } VK16WM:{ *:[v16i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 137939 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s16,
     /* 137942 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 137946 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 137953 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 137956 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 137960 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 137965 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 137968 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 137972 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 137975 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 137980 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 137985 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 137990 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s1,
     /* 137993 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 137997 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138002 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 138006 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 138011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 138014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 138018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138023 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 138026 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 138029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 138031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138036 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 138043 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138048 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138053 */     // GIR_Coverage, 19790,
     /* 138053 */     GIR_EraseRootFromParent_Done,
     /* 138054 */   // Label 2969: @138054
     /* 138054 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(138195), // Rule ID 19794 //
     /* 138059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 138062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 138070 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138076 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 138078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138080 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1, immAllZerosV:{ *:[v16f16] })  =>  (EXTRACT_SUBREG:{ *:[v16f16] } (VMOVDQU16Zrrkz:{ *:[v32f16] } (COPY_TO_REGCLASS:{ *:[v32i1] } VK16WM:{ *:[v16i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR256X:{ *:[v16f16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 138080 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s16,
     /* 138083 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138087 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 138094 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 138097 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138101 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138106 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 138109 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 138113 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 138116 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138121 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138126 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138131 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s1,
     /* 138134 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138138 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138143 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 138147 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 138152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 138155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 138159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138164 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 138167 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 138170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 138172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138177 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 138184 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138189 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138194 */     // GIR_Coverage, 19794,
     /* 138194 */     GIR_EraseRootFromParent_Done,
     /* 138195 */   // Label 2970: @138195
     /* 138195 */   GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(138232), // Rule ID 19854 //
     /* 138200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 138211 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138217 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 138219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138221 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1, immAllZerosV:{ *:[v16f16] })  =>  (VMOVDQU16Z256rrkz:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1)
     /* 138221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rrkz),
     /* 138224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138226 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138228 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 138230 */     GIR_RootConstrainSelectedInstOperands,
     /* 138231 */     // GIR_Coverage, 19854,
     /* 138231 */     GIR_EraseRootFromParent_Done,
     /* 138232 */   // Label 2971: @138232
     /* 138232 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(138261), // Rule ID 4567 //
     /* 138237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138248 */     // (vselect:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src0)  =>  (VMOVDQU16Z256rrk:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src1)
     /* 138248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rrk),
     /* 138251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138253 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 138255 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138257 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 138259 */     GIR_RootConstrainSelectedInstOperands,
     /* 138260 */     // GIR_Coverage, 4567,
     /* 138260 */     GIR_EraseRootFromParent_Done,
     /* 138261 */   // Label 2972: @138261
     /* 138261 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(138446), // Rule ID 19789 //
     /* 138266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 138269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138277 */     // (vselect:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v16i16] } (VMOVDQU16Zrrk:{ *:[v32i16] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v32i1] } VK16WM:{ *:[v16i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 138277 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v32s16,
     /* 138280 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138284 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 138291 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v32s16,
     /* 138294 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138298 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138303 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 138306 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 138310 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 138313 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138318 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138323 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138328 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s1,
     /* 138331 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138335 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138340 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 138344 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 138349 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 138352 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138356 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 138363 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 138366 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138370 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138375 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 138378 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 138382 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 138385 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138390 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138395 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 138403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 138407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138412 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 138415 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 138418 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 138421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 138423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138428 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 138435 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138440 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138445 */     // GIR_Coverage, 19789,
     /* 138445 */     GIR_EraseRootFromParent_Done,
     /* 138446 */   // Label 2973: @138446
     /* 138446 */   GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(138631), // Rule ID 19793 //
     /* 138451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 138454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138462 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v16f16] } (VMOVDQU16Zrrk:{ *:[v32f16] } (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR256X:{ *:[v16f16] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v32i1] } VK16WM:{ *:[v16i1] }:$mask, VK32WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v32f16] } (IMPLICIT_DEF:{ *:[v32f16] }), VR256X:{ *:[v16f16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 138462 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v32s16,
     /* 138465 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138469 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 138476 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v32s16,
     /* 138479 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138483 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138488 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 138491 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 138495 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 138498 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138503 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138508 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138513 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v32s1,
     /* 138516 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138520 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138525 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 138529 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK32WMRegClassID),
     /* 138534 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 138537 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 138541 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 138548 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 138551 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 138555 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138560 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 138563 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 138567 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 138570 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 138575 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138580 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s16,
     /* 138588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 138592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138597 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 138600 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 138603 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 138606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 138608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 138611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138613 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 138620 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 138625 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 138630 */     // GIR_Coverage, 19793,
     /* 138630 */     GIR_EraseRootFromParent_Done,
     /* 138631 */   // Label 2974: @138631
     /* 138631 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(138660), // Rule ID 19853 //
     /* 138636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 138639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 138647 */     // (vselect:{ *:[v16f16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src0)  =>  (VMOVDQU16Z256rrk:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16f16] }:$src1)
     /* 138647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Z256rrk),
     /* 138650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138652 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 138654 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138656 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 138658 */     GIR_RootConstrainSelectedInstOperands,
     /* 138659 */     // GIR_Coverage, 19853,
     /* 138659 */     GIR_EraseRootFromParent_Done,
     /* 138660 */   // Label 2975: @138660
     /* 138660 */   GIM_Reject,
     /* 138661 */ // Label 2963: @138661
     /* 138661 */ GIM_Reject,
     /* 138662 */ // Label 2896: @138662
     /* 138662 */ GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(139002),
     /* 138667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 138670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 138673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 138676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 138680 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(138749), // Rule ID 19766 //
     /* 138685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 138689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 138693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 138697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s1,
     /* 138701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 138706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 138710 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138716 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /* 138718 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 138722 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138728 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /* 138730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 138734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 138736 */     // (vselect:{ *:[v16i32] } (xor:{ *:[v16i1] } VK16:{ *:[v16i1] }:$mask, immAllOnesV:{ *:[v16i1] }), immAllZerosV:{ *:[v16i32] }, VR512:{ *:[v16i32] }:$src)  =>  (VMOVDQA32Zrrkz:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 138736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 138739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // mask
     /* 138745 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 138747 */     GIR_RootConstrainSelectedInstOperands,
     /* 138748 */     // GIR_Coverage, 19766,
     /* 138748 */     GIR_EraseRootFromParent_Done,
     /* 138749 */   // Label 2977: @138749
     /* 138749 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(138796), // Rule ID 3597 //
     /* 138754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 138757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 138761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 138765 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138771 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 138773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 138777 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138783 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 138785 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 138787 */     // (vselect:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, immAllOnesV:{ *:[v16i32] }, immAllZerosV:{ *:[v16i32] })  =>  (AVX512_512_SEXT_MASK_32:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask)
     /* 138787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::AVX512_512_SEXT_MASK_32),
     /* 138790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138792 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138794 */     GIR_RootConstrainSelectedInstOperands,
     /* 138795 */     // GIR_Coverage, 3597,
     /* 138795 */     GIR_EraseRootFromParent_Done,
     /* 138796 */   // Label 2978: @138796
     /* 138796 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(138853), // Rule ID 19764 //
     /* 138801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 138805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 138809 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138815 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 138817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 138821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138823 */     // (vselect:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16i32] }, VR512:{ *:[v16i32] }:$src)  =>  (VMOVDQA32Zrrkz:{ *:[v16i32] } (KNOTWkk:{ *:[v16i1] } VK16WM:{ *:[v16i1] }:$mask), VR512:{ *:[v16i32] }:$src)
     /* 138823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s1,
     /* 138826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::KNOTWkk),
     /* 138830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 138835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 138839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 138841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 138844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 138849 */     GIR_RootToRootCopy, /*OpIdx*/3, // src
     /* 138851 */     GIR_RootConstrainSelectedInstOperands,
     /* 138852 */     // GIR_Coverage, 19764,
     /* 138852 */     GIR_EraseRootFromParent_Done,
     /* 138853 */   // Label 2979: @138853
     /* 138853 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(138894), // Rule ID 4460 //
     /* 138858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 138861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 138865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 138869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 138873 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138879 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 138881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138883 */     // (vselect:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src, immAllZerosV:{ *:[v16f32] })  =>  (VMOVAPSZrrkz:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src)
     /* 138883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrkz),
     /* 138886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138888 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138890 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 138892 */     GIR_RootConstrainSelectedInstOperands,
     /* 138893 */     // GIR_Coverage, 4460,
     /* 138893 */     GIR_EraseRootFromParent_Done,
     /* 138894 */   // Label 2980: @138894
     /* 138894 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(138935), // Rule ID 4520 //
     /* 138899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 138902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 138906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 138910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 138914 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 138920 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 138922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 138924 */     // (vselect:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src, immAllZerosV:{ *:[v16i32] })  =>  (VMOVDQA32Zrrkz:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 138924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrkz),
     /* 138927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138929 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138931 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 138933 */     GIR_RootConstrainSelectedInstOperands,
     /* 138934 */     // GIR_Coverage, 4520,
     /* 138934 */     GIR_EraseRootFromParent_Done,
     /* 138935 */   // Label 2981: @138935
     /* 138935 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(138968), // Rule ID 4462 //
     /* 138940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 138943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 138947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 138951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 138955 */     // (vselect:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src0)  =>  (VMOVAPSZrrk:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src1)
     /* 138955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVAPSZrrk),
     /* 138958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138960 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 138962 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138964 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 138966 */     GIR_RootConstrainSelectedInstOperands,
     /* 138967 */     // GIR_Coverage, 4462,
     /* 138967 */     GIR_EraseRootFromParent_Done,
     /* 138968 */   // Label 2982: @138968
     /* 138968 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(139001), // Rule ID 4521 //
     /* 138973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 138976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 138980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 138984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 138988 */     // (vselect:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src0)  =>  (VMOVDQA32Zrrk:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src0, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src1)
     /* 138988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQA32Zrrk),
     /* 138991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 138993 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 138995 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 138997 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 138999 */     GIR_RootConstrainSelectedInstOperands,
     /* 139000 */     // GIR_Coverage, 4521,
     /* 139000 */     GIR_EraseRootFromParent_Done,
     /* 139001 */   // Label 2983: @139001
     /* 139001 */   GIM_Reject,
     /* 139002 */ // Label 2976: @139002
     /* 139002 */ GIM_Reject,
     /* 139003 */ // Label 2897: @139003
     /* 139003 */ GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(139406),
     /* 139008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 139011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 139014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /* 139017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 139021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32WMRegClassID),
     /* 139025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 139029 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(139062), // Rule ID 4554 //
     /* 139034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 139037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 139041 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139047 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139051 */     // (vselect:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src, immAllZerosV:{ *:[v32i8] })  =>  (VMOVDQU8Z256rrkz:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src)
     /* 139051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Z256rrkz),
     /* 139054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139056 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139058 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 139060 */     GIR_RootConstrainSelectedInstOperands,
     /* 139061 */     // GIR_Coverage, 4554,
     /* 139061 */     GIR_EraseRootFromParent_Done,
     /* 139062 */   // Label 2985: @139062
     /* 139062 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(139199), // Rule ID 19786 //
     /* 139067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 139070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 139074 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139080 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139084 */     // (vselect:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src1, immAllZerosV:{ *:[v32i8] })  =>  (EXTRACT_SUBREG:{ *:[v32i8] } (VMOVDQU8Zrrkz:{ *:[v64i8] } (COPY_TO_REGCLASS:{ *:[v64i1] } VK32WM:{ *:[v32i1] }:$mask, VK64WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 139084 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v64s8,
     /* 139087 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 139091 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 139098 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 139101 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 139105 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139110 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 139113 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 139117 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/12,
     /* 139120 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 139125 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139130 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139135 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s1,
     /* 139138 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 139142 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139147 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 139151 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VK64WMRegClassID),
     /* 139156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 139159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrkz),
     /* 139163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139168 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 139171 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 139174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 139176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 139179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139181 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 139188 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139193 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139198 */     // GIR_Coverage, 19786,
     /* 139198 */     GIR_EraseRootFromParent_Done,
     /* 139199 */   // Label 2986: @139199
     /* 139199 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(139224), // Rule ID 4555 //
     /* 139204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 139207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 139211 */     // (vselect:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src0)  =>  (VMOVDQU8Z256rrk:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src0, VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src1)
     /* 139211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Z256rrk),
     /* 139214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139216 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139218 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139220 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 139222 */     GIR_RootConstrainSelectedInstOperands,
     /* 139223 */     // GIR_Coverage, 4555,
     /* 139223 */     GIR_EraseRootFromParent_Done,
     /* 139224 */   // Label 2987: @139224
     /* 139224 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(139405), // Rule ID 19785 //
     /* 139229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasEVEX512_NoVLX),
     /* 139232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 139236 */     // (vselect:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src0)  =>  (EXTRACT_SUBREG:{ *:[v32i8] } (VMOVDQU8Zrrk:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src0, sub_ymm:{ *:[i32] }), (COPY_TO_REGCLASS:{ *:[v64i1] } VK32WM:{ *:[v32i1] }:$mask, VK64WM:{ *:[i32] }), (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 139236 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v64s8,
     /* 139239 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 139243 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 139250 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v64s8,
     /* 139253 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 139257 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139262 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 139265 */     GIR_Copy, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/2, // src1
     /* 139269 */     GIR_AddImm8, /*InsnID*/5, /*Imm*/12,
     /* 139272 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 139277 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139282 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139287 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v64s1,
     /* 139290 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 139294 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139299 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // mask
     /* 139303 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VK64WMRegClassID),
     /* 139308 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 139311 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 139315 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 139322 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 139325 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 139329 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139334 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 139337 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // src0
     /* 139341 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 139344 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 139349 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139354 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 139362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrk),
     /* 139366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139371 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 139374 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 139377 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/4,
     /* 139380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 139382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 139385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139387 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 139394 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 139399 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 139404 */     // GIR_Coverage, 19785,
     /* 139404 */     GIR_EraseRootFromParent_Done,
     /* 139405 */   // Label 2988: @139405
     /* 139405 */   GIM_Reject,
     /* 139406 */ // Label 2984: @139406
     /* 139406 */ GIM_Reject,
     /* 139407 */ // Label 2898: @139407
     /* 139407 */ GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(139824),
     /* 139412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 139415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 139418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 139421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32WMRegClassID),
     /* 139429 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(139500), // Rule ID 19846 //
     /* 139434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 139445 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139448 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 139452 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 139456 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 139460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 139464 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139470 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 139472 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 139474 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 139481 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, immAllZerosV:{ *:[v32f16] })  =>  (VMOVDQU16Zrmkz:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 139481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrmkz),
     /* 139484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139486 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139488 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 139492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 139498 */     GIR_RootConstrainSelectedInstOperands,
     /* 139499 */     // GIR_Coverage, 19846,
     /* 139499 */     GIR_EraseRootFromParent_Done,
     /* 139500 */   // Label 2990: @139500
     /* 139500 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(139567), // Rule ID 19848 //
     /* 139505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 139516 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139519 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 139523 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 139527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 139531 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139537 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /* 139539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 139541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 139548 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, immAllZerosV:{ *:[v32f16] })  =>  (VMOVDQU16Zrmkz:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 139548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrmkz),
     /* 139551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139553 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 139559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 139565 */     GIR_RootConstrainSelectedInstOperands,
     /* 139566 */     // GIR_Coverage, 19848,
     /* 139566 */     GIR_EraseRootFromParent_Done,
     /* 139567 */   // Label 2991: @139567
     /* 139567 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(139631), // Rule ID 19845 //
     /* 139572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 139583 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139586 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 139590 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 139594 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_alignedload),
     /* 139598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 139611 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>><<P:Predicate_alignedload>>, VR512:{ *:[v32f16] }:$src0)  =>  (VMOVDQU16Zrmk:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src0, VK32WM:{ *:[v32i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 139611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrmk),
     /* 139614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139616 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139618 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139620 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 139624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 139629 */     GIR_RootConstrainSelectedInstOperands,
     /* 139630 */     // GIR_Coverage, 19845,
     /* 139630 */     GIR_EraseRootFromParent_Done,
     /* 139631 */   // Label 2992: @139631
     /* 139631 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(139691), // Rule ID 19847 //
     /* 139636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 139647 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139650 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 139654 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 139658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139664 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 139671 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src0)  =>  (VMOVDQU16Zrmk:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src0, VK32WM:{ *:[v32i1] }:$mask, addr:{ *:[iPTR] }:$src)
     /* 139671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrmk),
     /* 139674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139676 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139678 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139680 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 139684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 139689 */     GIR_RootConstrainSelectedInstOperands,
     /* 139690 */     // GIR_Coverage, 19847,
     /* 139690 */     GIR_EraseRootFromParent_Done,
     /* 139691 */   // Label 2993: @139691
     /* 139691 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(139728), // Rule ID 4562 //
     /* 139696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 139707 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139713 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139717 */     // (vselect:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src, immAllZerosV:{ *:[v32i16] })  =>  (VMOVDQU16Zrrkz:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src)
     /* 139717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 139720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139722 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139724 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 139726 */     GIR_RootConstrainSelectedInstOperands,
     /* 139727 */     // GIR_Coverage, 4562,
     /* 139727 */     GIR_EraseRootFromParent_Done,
     /* 139728 */   // Label 2994: @139728
     /* 139728 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(139765), // Rule ID 19844 //
     /* 139733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 139744 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139750 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139754 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32f16] }:$src1, immAllZerosV:{ *:[v32f16] })  =>  (VMOVDQU16Zrrkz:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32f16] }:$src1)
     /* 139754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrkz),
     /* 139757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139759 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139761 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 139763 */     GIR_RootConstrainSelectedInstOperands,
     /* 139764 */     // GIR_Coverage, 19844,
     /* 139764 */     GIR_EraseRootFromParent_Done,
     /* 139765 */   // Label 2995: @139765
     /* 139765 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(139794), // Rule ID 4563 //
     /* 139770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139781 */     // (vselect:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src0)  =>  (VMOVDQU16Zrrk:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src0, VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src1)
     /* 139781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 139784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139786 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139788 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139790 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 139792 */     GIR_RootConstrainSelectedInstOperands,
     /* 139793 */     // GIR_Coverage, 4563,
     /* 139793 */     GIR_EraseRootFromParent_Done,
     /* 139794 */   // Label 2996: @139794
     /* 139794 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(139823), // Rule ID 19843 //
     /* 139799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139810 */     // (vselect:{ *:[v32f16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src0)  =>  (VMOVDQU16Zrrk:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src0, VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32f16] }:$src1)
     /* 139810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU16Zrrk),
     /* 139813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139815 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139817 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139819 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 139821 */     GIR_RootConstrainSelectedInstOperands,
     /* 139822 */     // GIR_Coverage, 19843,
     /* 139822 */     GIR_EraseRootFromParent_Done,
     /* 139823 */   // Label 2997: @139823
     /* 139823 */   GIM_Reject,
     /* 139824 */ // Label 2989: @139824
     /* 139824 */ GIM_Reject,
     /* 139825 */ // Label 2899: @139825
     /* 139825 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(139910),
     /* 139830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 139833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 139836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v64s8,
     /* 139839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64WMRegClassID),
     /* 139847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139851 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(139884), // Rule ID 4550 //
     /* 139856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 139863 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 139869 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 139871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139873 */     // (vselect:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src, immAllZerosV:{ *:[v64i8] })  =>  (VMOVDQU8Zrrkz:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src)
     /* 139873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrkz),
     /* 139876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139878 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139880 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 139882 */     GIR_RootConstrainSelectedInstOperands,
     /* 139883 */     // GIR_Coverage, 4550,
     /* 139883 */     GIR_EraseRootFromParent_Done,
     /* 139884 */   // Label 2999: @139884
     /* 139884 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(139909), // Rule ID 4551 //
     /* 139889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 139892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 139896 */     // (vselect:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src0)  =>  (VMOVDQU8Zrrk:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src0, VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src1)
     /* 139896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMOVDQU8Zrrk),
     /* 139899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 139901 */     GIR_RootToRootCopy, /*OpIdx*/3, // src0
     /* 139903 */     GIR_RootToRootCopy, /*OpIdx*/1, // mask
     /* 139905 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 139907 */     GIR_RootConstrainSelectedInstOperands,
     /* 139908 */     // GIR_Coverage, 4551,
     /* 139908 */     GIR_EraseRootFromParent_Done,
     /* 139909 */   // Label 3000: @139909
     /* 139909 */   GIM_Reject,
     /* 139910 */ // Label 2998: @139910
     /* 139910 */ GIM_Reject,
     /* 139911 */ // Label 2900: @139911
     /* 139911 */ GIM_Reject,
     /* 139912 */ // Label 35: @139912
     /* 139912 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(23), /*)*//*default:*//*Label 3004*/ GIMT_Encode4(140776),
     /* 139923 */ /*GILLT_v8s16*//*Label 3001*/ GIMT_Encode4(139963), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 139943 */ /*GILLT_v16s16*//*Label 3002*/ GIMT_Encode4(140305), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 139959 */ /*GILLT_v32s16*//*Label 3003*/ GIMT_Encode4(140620),
     /* 139963 */ // Label 3001: @139963
     /* 139963 */ GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(140304),
     /* 139968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 139971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 139974 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(140036), // Rule ID 23453 //
     /* 139979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 139982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 139986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 139990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 139994 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 139997 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140001 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140018 */     // (mulhu:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMULHUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWrm),
     /* 140021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140023 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140025 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140034 */     GIR_RootConstrainSelectedInstOperands,
     /* 140035 */     // GIR_Coverage, 23453,
     /* 140035 */     GIR_EraseRootFromParent_Done,
     /* 140036 */   // Label 3006: @140036
     /* 140036 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(140098), // Rule ID 23843 //
     /* 140041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140056 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140059 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140063 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140080 */     // (mulhu:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMULHUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ128rm),
     /* 140083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140085 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140087 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140096 */     GIR_RootConstrainSelectedInstOperands,
     /* 140097 */     // GIR_Coverage, 23843,
     /* 140097 */     GIR_EraseRootFromParent_Done,
     /* 140098 */   // Label 3007: @140098
     /* 140098 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(140160), // Rule ID 2576 //
     /* 140103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 140106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140122 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140125 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140129 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140142 */     // (mulhu:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWrm),
     /* 140145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140147 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 140149 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140158 */     GIR_RootConstrainSelectedInstOperands,
     /* 140159 */     // GIR_Coverage, 2576,
     /* 140159 */     GIR_EraseRootFromParent_Done,
     /* 140160 */   // Label 3008: @140160
     /* 140160 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(140222), // Rule ID 5061 //
     /* 140165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140184 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140187 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140191 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140197 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140204 */     // (mulhu:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ128rm),
     /* 140207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140209 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 140211 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140220 */     GIR_RootConstrainSelectedInstOperands,
     /* 140221 */     // GIR_Coverage, 5061,
     /* 140221 */     GIR_EraseRootFromParent_Done,
     /* 140222 */   // Label 3009: @140222
     /* 140222 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(140249), // Rule ID 2575 //
     /* 140227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 140230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140242 */     // (mulhu:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMULHUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 140242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWrr),
     /* 140247 */     GIR_RootConstrainSelectedInstOperands,
     /* 140248 */     // GIR_Coverage, 2575,
     /* 140248 */     GIR_Done,
     /* 140249 */   // Label 3010: @140249
     /* 140249 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(140276), // Rule ID 2577 //
     /* 140254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 140257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140269 */     // (mulhu:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMULHUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 140269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMULHUWrr),
     /* 140274 */     GIR_RootConstrainSelectedInstOperands,
     /* 140275 */     // GIR_Coverage, 2577,
     /* 140275 */     GIR_Done,
     /* 140276 */   // Label 3011: @140276
     /* 140276 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(140303), // Rule ID 5058 //
     /* 140281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140296 */     // (mulhu:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMULHUWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 140296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ128rr),
     /* 140301 */     GIR_RootConstrainSelectedInstOperands,
     /* 140302 */     // GIR_Coverage, 5058,
     /* 140302 */     GIR_Done,
     /* 140303 */   // Label 3012: @140303
     /* 140303 */   GIM_Reject,
     /* 140304 */ // Label 3005: @140304
     /* 140304 */ GIM_Reject,
     /* 140305 */ // Label 3002: @140305
     /* 140305 */ GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(140619),
     /* 140310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 140313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 140316 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(140378), // Rule ID 23455 //
     /* 140321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 140324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140336 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140339 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140343 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140353 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140360 */     // (mulhu:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMULHUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWYrm),
     /* 140363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140365 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140367 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140376 */     GIR_RootConstrainSelectedInstOperands,
     /* 140377 */     // GIR_Coverage, 23455,
     /* 140377 */     GIR_EraseRootFromParent_Done,
     /* 140378 */   // Label 3014: @140378
     /* 140378 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(140440), // Rule ID 23840 //
     /* 140383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140398 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140401 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140405 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140415 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140422 */     // (mulhu:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMULHUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ256rm),
     /* 140425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140427 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140429 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140433 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140438 */     GIR_RootConstrainSelectedInstOperands,
     /* 140439 */     // GIR_Coverage, 23840,
     /* 140439 */     GIR_EraseRootFromParent_Done,
     /* 140440 */   // Label 3015: @140440
     /* 140440 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(140502), // Rule ID 2580 //
     /* 140445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 140448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140464 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140467 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140471 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140477 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140484 */     // (mulhu:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWYrm),
     /* 140487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140489 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 140491 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140495 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140500 */     GIR_RootConstrainSelectedInstOperands,
     /* 140501 */     // GIR_Coverage, 2580,
     /* 140501 */     GIR_EraseRootFromParent_Done,
     /* 140502 */   // Label 3016: @140502
     /* 140502 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(140564), // Rule ID 5055 //
     /* 140507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140526 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140529 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140533 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140539 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140546 */     // (mulhu:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ256rm),
     /* 140549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140551 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 140553 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140562 */     GIR_RootConstrainSelectedInstOperands,
     /* 140563 */     // GIR_Coverage, 5055,
     /* 140563 */     GIR_EraseRootFromParent_Done,
     /* 140564 */   // Label 3017: @140564
     /* 140564 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(140591), // Rule ID 2579 //
     /* 140569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 140572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 140584 */     // (mulhu:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMULHUWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 140584 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWYrr),
     /* 140589 */     GIR_RootConstrainSelectedInstOperands,
     /* 140590 */     // GIR_Coverage, 2579,
     /* 140590 */     GIR_Done,
     /* 140591 */   // Label 3018: @140591
     /* 140591 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(140618), // Rule ID 5052 //
     /* 140596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 140611 */     // (mulhu:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMULHUWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 140611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZ256rr),
     /* 140616 */     GIR_RootConstrainSelectedInstOperands,
     /* 140617 */     // GIR_Coverage, 5052,
     /* 140617 */     GIR_Done,
     /* 140618 */   // Label 3019: @140618
     /* 140618 */   GIM_Reject,
     /* 140619 */ // Label 3013: @140619
     /* 140619 */ GIM_Reject,
     /* 140620 */ // Label 3003: @140620
     /* 140620 */ GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(140775),
     /* 140625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 140628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 140631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140635 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(140693), // Rule ID 23837 //
     /* 140640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140651 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140654 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140658 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140675 */     // (mulhu:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMULHUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZrm),
     /* 140678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140680 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140682 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140691 */     GIR_RootConstrainSelectedInstOperands,
     /* 140692 */     // GIR_Coverage, 23837,
     /* 140692 */     GIR_EraseRootFromParent_Done,
     /* 140693 */   // Label 3021: @140693
     /* 140693 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(140751), // Rule ID 5049 //
     /* 140698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140713 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140716 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140720 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140726 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140733 */     // (mulhu:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZrm),
     /* 140736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140738 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 140740 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140749 */     GIR_RootConstrainSelectedInstOperands,
     /* 140750 */     // GIR_Coverage, 5049,
     /* 140750 */     GIR_EraseRootFromParent_Done,
     /* 140751 */   // Label 3022: @140751
     /* 140751 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(140774), // Rule ID 5046 //
     /* 140756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 140759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 140767 */     // (mulhu:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMULHUWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 140767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHUWZrr),
     /* 140772 */     GIR_RootConstrainSelectedInstOperands,
     /* 140773 */     // GIR_Coverage, 5046,
     /* 140773 */     GIR_Done,
     /* 140774 */   // Label 3023: @140774
     /* 140774 */   GIM_Reject,
     /* 140775 */ // Label 3020: @140775
     /* 140775 */ GIM_Reject,
     /* 140776 */ // Label 3004: @140776
     /* 140776 */ GIM_Reject,
     /* 140777 */ // Label 36: @140777
     /* 140777 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(23), /*)*//*default:*//*Label 3027*/ GIMT_Encode4(141641),
     /* 140788 */ /*GILLT_v8s16*//*Label 3024*/ GIMT_Encode4(140828), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 140808 */ /*GILLT_v16s16*//*Label 3025*/ GIMT_Encode4(141170), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 140824 */ /*GILLT_v32s16*//*Label 3026*/ GIMT_Encode4(141485),
     /* 140828 */ // Label 3024: @140828
     /* 140828 */ GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(141169),
     /* 140833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 140836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 140839 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(140901), // Rule ID 23456 //
     /* 140844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 140847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140859 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140862 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140866 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140876 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140883 */     // (mulhs:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMULHWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWrm),
     /* 140886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140888 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140890 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140899 */     GIR_RootConstrainSelectedInstOperands,
     /* 140900 */     // GIR_Coverage, 23456,
     /* 140900 */     GIR_EraseRootFromParent_Done,
     /* 140901 */   // Label 3029: @140901
     /* 140901 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(140963), // Rule ID 23834 //
     /* 140906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 140909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 140917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140921 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140924 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140928 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 140936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140938 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 140945 */     // (mulhs:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMULHWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 140945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ128rm),
     /* 140948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 140950 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 140952 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 140956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 140961 */     GIR_RootConstrainSelectedInstOperands,
     /* 140962 */     // GIR_Coverage, 23834,
     /* 140962 */     GIR_EraseRootFromParent_Done,
     /* 140963 */   // Label 3030: @140963
     /* 140963 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(141025), // Rule ID 2582 //
     /* 140968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 140971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 140979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 140987 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 140990 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 140994 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 140998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141007 */     // (mulhs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWrm),
     /* 141010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141012 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141014 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141023 */     GIR_RootConstrainSelectedInstOperands,
     /* 141024 */     // GIR_Coverage, 2582,
     /* 141024 */     GIR_EraseRootFromParent_Done,
     /* 141025 */   // Label 3031: @141025
     /* 141025 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(141087), // Rule ID 5043 //
     /* 141030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141049 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141052 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141056 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141062 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141069 */     // (mulhs:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ128rm),
     /* 141072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141074 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141076 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141085 */     GIR_RootConstrainSelectedInstOperands,
     /* 141086 */     // GIR_Coverage, 5043,
     /* 141086 */     GIR_EraseRootFromParent_Done,
     /* 141087 */   // Label 3032: @141087
     /* 141087 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(141114), // Rule ID 2581 //
     /* 141092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 141095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141107 */     // (mulhs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMULHWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 141107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWrr),
     /* 141112 */     GIR_RootConstrainSelectedInstOperands,
     /* 141113 */     // GIR_Coverage, 2581,
     /* 141113 */     GIR_Done,
     /* 141114 */   // Label 3033: @141114
     /* 141114 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(141141), // Rule ID 2583 //
     /* 141119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 141122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141134 */     // (mulhs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMULHWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 141134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMULHWrr),
     /* 141139 */     GIR_RootConstrainSelectedInstOperands,
     /* 141140 */     // GIR_Coverage, 2583,
     /* 141140 */     GIR_Done,
     /* 141141 */   // Label 3034: @141141
     /* 141141 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(141168), // Rule ID 5040 //
     /* 141146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141161 */     // (mulhs:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMULHWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 141161 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ128rr),
     /* 141166 */     GIR_RootConstrainSelectedInstOperands,
     /* 141167 */     // GIR_Coverage, 5040,
     /* 141167 */     GIR_Done,
     /* 141168 */   // Label 3035: @141168
     /* 141168 */   GIM_Reject,
     /* 141169 */ // Label 3028: @141169
     /* 141169 */ GIM_Reject,
     /* 141170 */ // Label 3025: @141170
     /* 141170 */ GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(141484),
     /* 141175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 141178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 141181 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(141243), // Rule ID 23458 //
     /* 141186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 141189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141201 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141204 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141208 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141225 */     // (mulhs:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMULHWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWYrm),
     /* 141228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141230 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141232 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141236 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141241 */     GIR_RootConstrainSelectedInstOperands,
     /* 141242 */     // GIR_Coverage, 23458,
     /* 141242 */     GIR_EraseRootFromParent_Done,
     /* 141243 */   // Label 3037: @141243
     /* 141243 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(141305), // Rule ID 23831 //
     /* 141248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141263 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141266 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141270 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141280 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141287 */     // (mulhs:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMULHWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ256rm),
     /* 141290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141292 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141294 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141298 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141303 */     GIR_RootConstrainSelectedInstOperands,
     /* 141304 */     // GIR_Coverage, 23831,
     /* 141304 */     GIR_EraseRootFromParent_Done,
     /* 141305 */   // Label 3038: @141305
     /* 141305 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(141367), // Rule ID 2586 //
     /* 141310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 141313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141329 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141332 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141336 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141342 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141349 */     // (mulhs:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWYrm),
     /* 141352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141354 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141356 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141365 */     GIR_RootConstrainSelectedInstOperands,
     /* 141366 */     // GIR_Coverage, 2586,
     /* 141366 */     GIR_EraseRootFromParent_Done,
     /* 141367 */   // Label 3039: @141367
     /* 141367 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(141429), // Rule ID 5037 //
     /* 141372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141391 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141394 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141398 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141404 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141411 */     // (mulhs:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ256rm),
     /* 141414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141416 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141418 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141427 */     GIR_RootConstrainSelectedInstOperands,
     /* 141428 */     // GIR_Coverage, 5037,
     /* 141428 */     GIR_EraseRootFromParent_Done,
     /* 141429 */   // Label 3040: @141429
     /* 141429 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(141456), // Rule ID 2585 //
     /* 141434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 141437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 141449 */     // (mulhs:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMULHWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 141449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWYrr),
     /* 141454 */     GIR_RootConstrainSelectedInstOperands,
     /* 141455 */     // GIR_Coverage, 2585,
     /* 141455 */     GIR_Done,
     /* 141456 */   // Label 3041: @141456
     /* 141456 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(141483), // Rule ID 5034 //
     /* 141461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 141476 */     // (mulhs:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMULHWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 141476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWZ256rr),
     /* 141481 */     GIR_RootConstrainSelectedInstOperands,
     /* 141482 */     // GIR_Coverage, 5034,
     /* 141482 */     GIR_Done,
     /* 141483 */   // Label 3042: @141483
     /* 141483 */   GIM_Reject,
     /* 141484 */ // Label 3036: @141484
     /* 141484 */ GIM_Reject,
     /* 141485 */ // Label 3026: @141485
     /* 141485 */ GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(141640),
     /* 141490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 141493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 141496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141500 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(141558), // Rule ID 23828 //
     /* 141505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 141508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141516 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141519 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141523 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141533 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141540 */     // (mulhs:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMULHWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZrm),
     /* 141543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141545 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141547 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141556 */     GIR_RootConstrainSelectedInstOperands,
     /* 141557 */     // GIR_Coverage, 23828,
     /* 141557 */     GIR_EraseRootFromParent_Done,
     /* 141558 */   // Label 3044: @141558
     /* 141558 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(141616), // Rule ID 5031 //
     /* 141563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 141566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141578 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141581 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141585 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141591 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141598 */     // (mulhs:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMULHWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMULHWZrm),
     /* 141601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141603 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141605 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141614 */     GIR_RootConstrainSelectedInstOperands,
     /* 141615 */     // GIR_Coverage, 5031,
     /* 141615 */     GIR_EraseRootFromParent_Done,
     /* 141616 */   // Label 3045: @141616
     /* 141616 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(141639), // Rule ID 5028 //
     /* 141621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 141624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 141632 */     // (mulhs:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMULHWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 141632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMULHWZrr),
     /* 141637 */     GIR_RootConstrainSelectedInstOperands,
     /* 141638 */     // GIR_Coverage, 5028,
     /* 141638 */     GIR_Done,
     /* 141639 */   // Label 3046: @141639
     /* 141639 */   GIM_Reject,
     /* 141640 */ // Label 3043: @141640
     /* 141640 */ GIM_Reject,
     /* 141641 */ // Label 3027: @141641
     /* 141641 */ GIM_Reject,
     /* 141642 */ // Label 37: @141642
     /* 141642 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(25), /*)*//*default:*//*Label 3053*/ GIMT_Encode4(143327),
     /* 141653 */ /*GILLT_v8s16*//*Label 3047*/ GIMT_Encode4(141701), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 141669 */ /*GILLT_v16s8*//*Label 3048*/ GIMT_Encode4(142043),
     /* 141673 */ /*GILLT_v16s16*//*Label 3049*/ GIMT_Encode4(142385), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 141685 */ /*GILLT_v32s8*//*Label 3050*/ GIMT_Encode4(142700),
     /* 141689 */ /*GILLT_v32s16*//*Label 3051*/ GIMT_Encode4(143015), GIMT_Encode4(0),
     /* 141697 */ /*GILLT_v64s8*//*Label 3052*/ GIMT_Encode4(143171),
     /* 141701 */ // Label 3047: @141701
     /* 141701 */ GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(142042),
     /* 141706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 141709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 141712 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(141774), // Rule ID 23447 //
     /* 141717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 141720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141732 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141735 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141739 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141749 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141756 */     // (uaddsat:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPADDUSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWrm),
     /* 141759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141761 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141763 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141772 */     GIR_RootConstrainSelectedInstOperands,
     /* 141773 */     // GIR_Coverage, 23447,
     /* 141773 */     GIR_EraseRootFromParent_Done,
     /* 141774 */   // Label 3055: @141774
     /* 141774 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(141836), // Rule ID 23771 //
     /* 141779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 141790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141794 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141797 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141801 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141811 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141818 */     // (uaddsat:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPADDUSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ128rm),
     /* 141821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141823 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 141825 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141834 */     GIR_RootConstrainSelectedInstOperands,
     /* 141835 */     // GIR_Coverage, 23771,
     /* 141835 */     GIR_EraseRootFromParent_Done,
     /* 141836 */   // Label 3056: @141836
     /* 141836 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(141898), // Rule ID 2564 //
     /* 141841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 141844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141860 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141863 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141867 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141873 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141880 */     // (uaddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWrm),
     /* 141883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141885 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141887 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141896 */     GIR_RootConstrainSelectedInstOperands,
     /* 141897 */     // GIR_Coverage, 2564,
     /* 141897 */     GIR_EraseRootFromParent_Done,
     /* 141898 */   // Label 3057: @141898
     /* 141898 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(141960), // Rule ID 4899 //
     /* 141903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 141906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 141914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 141918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 141922 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 141925 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 141929 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 141933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 141935 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 141942 */     // (uaddsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 141942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ128rm),
     /* 141945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 141947 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 141949 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 141953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 141958 */     GIR_RootConstrainSelectedInstOperands,
     /* 141959 */     // GIR_Coverage, 4899,
     /* 141959 */     GIR_EraseRootFromParent_Done,
     /* 141960 */   // Label 3058: @141960
     /* 141960 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(141987), // Rule ID 2563 //
     /* 141965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 141968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141980 */     // (uaddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPADDUSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 141980 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWrr),
     /* 141985 */     GIR_RootConstrainSelectedInstOperands,
     /* 141986 */     // GIR_Coverage, 2563,
     /* 141986 */     GIR_Done,
     /* 141987 */   // Label 3059: @141987
     /* 141987 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(142014), // Rule ID 2565 //
     /* 141992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 141995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 141999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142007 */     // (uaddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PADDUSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 142007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDUSWrr),
     /* 142012 */     GIR_RootConstrainSelectedInstOperands,
     /* 142013 */     // GIR_Coverage, 2565,
     /* 142013 */     GIR_Done,
     /* 142014 */   // Label 3060: @142014
     /* 142014 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(142041), // Rule ID 4896 //
     /* 142019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142034 */     // (uaddsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPADDUSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 142034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ128rr),
     /* 142039 */     GIR_RootConstrainSelectedInstOperands,
     /* 142040 */     // GIR_Coverage, 4896,
     /* 142040 */     GIR_Done,
     /* 142041 */   // Label 3061: @142041
     /* 142041 */   GIM_Reject,
     /* 142042 */ // Label 3054: @142042
     /* 142042 */ GIM_Reject,
     /* 142043 */ // Label 3048: @142043
     /* 142043 */ GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(142384),
     /* 142048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 142051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 142054 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(142116), // Rule ID 23444 //
     /* 142059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 142062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142074 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142077 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142081 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142091 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142098 */     // (uaddsat:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPADDUSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBrm),
     /* 142101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142103 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142105 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142114 */     GIR_RootConstrainSelectedInstOperands,
     /* 142115 */     // GIR_Coverage, 23444,
     /* 142115 */     GIR_EraseRootFromParent_Done,
     /* 142116 */   // Label 3063: @142116
     /* 142116 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(142178), // Rule ID 23780 //
     /* 142121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142136 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142139 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142143 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142153 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142160 */     // (uaddsat:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPADDUSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ128rm),
     /* 142163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142165 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142167 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142176 */     GIR_RootConstrainSelectedInstOperands,
     /* 142177 */     // GIR_Coverage, 23780,
     /* 142177 */     GIR_EraseRootFromParent_Done,
     /* 142178 */   // Label 3064: @142178
     /* 142178 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(142240), // Rule ID 2558 //
     /* 142183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 142186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142202 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142205 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142209 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142215 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142222 */     // (uaddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBrm),
     /* 142225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142227 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142229 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142238 */     GIR_RootConstrainSelectedInstOperands,
     /* 142239 */     // GIR_Coverage, 2558,
     /* 142239 */     GIR_EraseRootFromParent_Done,
     /* 142240 */   // Label 3065: @142240
     /* 142240 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(142302), // Rule ID 4917 //
     /* 142245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142264 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142267 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142271 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142284 */     // (uaddsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ128rm),
     /* 142287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142289 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142291 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142300 */     GIR_RootConstrainSelectedInstOperands,
     /* 142301 */     // GIR_Coverage, 4917,
     /* 142301 */     GIR_EraseRootFromParent_Done,
     /* 142302 */   // Label 3066: @142302
     /* 142302 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(142329), // Rule ID 2557 //
     /* 142307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 142310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142322 */     // (uaddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPADDUSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 142322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBrr),
     /* 142327 */     GIR_RootConstrainSelectedInstOperands,
     /* 142328 */     // GIR_Coverage, 2557,
     /* 142328 */     GIR_Done,
     /* 142329 */   // Label 3067: @142329
     /* 142329 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(142356), // Rule ID 2559 //
     /* 142334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 142337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 142349 */     // (uaddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PADDUSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 142349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDUSBrr),
     /* 142354 */     GIR_RootConstrainSelectedInstOperands,
     /* 142355 */     // GIR_Coverage, 2559,
     /* 142355 */     GIR_Done,
     /* 142356 */   // Label 3068: @142356
     /* 142356 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(142383), // Rule ID 4914 //
     /* 142361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 142376 */     // (uaddsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPADDUSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 142376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ128rr),
     /* 142381 */     GIR_RootConstrainSelectedInstOperands,
     /* 142382 */     // GIR_Coverage, 4914,
     /* 142382 */     GIR_Done,
     /* 142383 */   // Label 3069: @142383
     /* 142383 */   GIM_Reject,
     /* 142384 */ // Label 3062: @142384
     /* 142384 */ GIM_Reject,
     /* 142385 */ // Label 3049: @142385
     /* 142385 */ GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(142699),
     /* 142390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 142393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 142396 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(142458), // Rule ID 23449 //
     /* 142401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 142404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142416 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142419 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142423 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142440 */     // (uaddsat:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPADDUSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWYrm),
     /* 142443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142445 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142447 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142456 */     GIR_RootConstrainSelectedInstOperands,
     /* 142457 */     // GIR_Coverage, 23449,
     /* 142457 */     GIR_EraseRootFromParent_Done,
     /* 142458 */   // Label 3071: @142458
     /* 142458 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(142520), // Rule ID 23768 //
     /* 142463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142478 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142481 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142485 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142495 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142502 */     // (uaddsat:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPADDUSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ256rm),
     /* 142505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142507 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142509 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142518 */     GIR_RootConstrainSelectedInstOperands,
     /* 142519 */     // GIR_Coverage, 23768,
     /* 142519 */     GIR_EraseRootFromParent_Done,
     /* 142520 */   // Label 3072: @142520
     /* 142520 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(142582), // Rule ID 2568 //
     /* 142525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 142528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142544 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142547 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142551 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142557 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142564 */     // (uaddsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWYrm),
     /* 142567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142569 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142571 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142580 */     GIR_RootConstrainSelectedInstOperands,
     /* 142581 */     // GIR_Coverage, 2568,
     /* 142581 */     GIR_EraseRootFromParent_Done,
     /* 142582 */   // Label 3073: @142582
     /* 142582 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(142644), // Rule ID 4893 //
     /* 142587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142606 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142609 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142613 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142619 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142626 */     // (uaddsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ256rm),
     /* 142629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142631 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142633 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142642 */     GIR_RootConstrainSelectedInstOperands,
     /* 142643 */     // GIR_Coverage, 4893,
     /* 142643 */     GIR_EraseRootFromParent_Done,
     /* 142644 */   // Label 3074: @142644
     /* 142644 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(142671), // Rule ID 2567 //
     /* 142649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 142652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142664 */     // (uaddsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPADDUSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 142664 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWYrr),
     /* 142669 */     GIR_RootConstrainSelectedInstOperands,
     /* 142670 */     // GIR_Coverage, 2567,
     /* 142670 */     GIR_Done,
     /* 142671 */   // Label 3075: @142671
     /* 142671 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(142698), // Rule ID 4890 //
     /* 142676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142691 */     // (uaddsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPADDUSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 142691 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZ256rr),
     /* 142696 */     GIR_RootConstrainSelectedInstOperands,
     /* 142697 */     // GIR_Coverage, 4890,
     /* 142697 */     GIR_Done,
     /* 142698 */   // Label 3076: @142698
     /* 142698 */   GIM_Reject,
     /* 142699 */ // Label 3070: @142699
     /* 142699 */ GIM_Reject,
     /* 142700 */ // Label 3050: @142700
     /* 142700 */ GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(143014),
     /* 142705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 142708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 142711 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(142773), // Rule ID 23446 //
     /* 142716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 142719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142731 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142734 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142738 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142748 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142755 */     // (uaddsat:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPADDUSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBYrm),
     /* 142758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142760 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142762 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142771 */     GIR_RootConstrainSelectedInstOperands,
     /* 142772 */     // GIR_Coverage, 23446,
     /* 142772 */     GIR_EraseRootFromParent_Done,
     /* 142773 */   // Label 3078: @142773
     /* 142773 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(142835), // Rule ID 23777 //
     /* 142778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 142789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142793 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142796 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142800 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142810 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142817 */     // (uaddsat:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPADDUSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ256rm),
     /* 142820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142822 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 142824 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142833 */     GIR_RootConstrainSelectedInstOperands,
     /* 142834 */     // GIR_Coverage, 23777,
     /* 142834 */     GIR_EraseRootFromParent_Done,
     /* 142835 */   // Label 3079: @142835
     /* 142835 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(142897), // Rule ID 2562 //
     /* 142840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 142843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142859 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142862 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142866 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142872 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142879 */     // (uaddsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBYrm),
     /* 142882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142884 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142886 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142895 */     GIR_RootConstrainSelectedInstOperands,
     /* 142896 */     // GIR_Coverage, 2562,
     /* 142896 */     GIR_EraseRootFromParent_Done,
     /* 142897 */   // Label 3080: @142897
     /* 142897 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(142959), // Rule ID 4911 //
     /* 142902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 142917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 142921 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 142924 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 142928 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 142932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 142934 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 142941 */     // (uaddsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 142941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ256rm),
     /* 142944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 142946 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 142948 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 142952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 142957 */     GIR_RootConstrainSelectedInstOperands,
     /* 142958 */     // GIR_Coverage, 4911,
     /* 142958 */     GIR_EraseRootFromParent_Done,
     /* 142959 */   // Label 3081: @142959
     /* 142959 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(142986), // Rule ID 2561 //
     /* 142964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 142967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 142979 */     // (uaddsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPADDUSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 142979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBYrr),
     /* 142984 */     GIR_RootConstrainSelectedInstOperands,
     /* 142985 */     // GIR_Coverage, 2561,
     /* 142985 */     GIR_Done,
     /* 142986 */   // Label 3082: @142986
     /* 142986 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(143013), // Rule ID 4908 //
     /* 142991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 142994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 142998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 143006 */     // (uaddsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPADDUSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 143006 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZ256rr),
     /* 143011 */     GIR_RootConstrainSelectedInstOperands,
     /* 143012 */     // GIR_Coverage, 4908,
     /* 143012 */     GIR_Done,
     /* 143013 */   // Label 3083: @143013
     /* 143013 */   GIM_Reject,
     /* 143014 */ // Label 3077: @143014
     /* 143014 */ GIM_Reject,
     /* 143015 */ // Label 3051: @143015
     /* 143015 */ GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(143170),
     /* 143020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 143023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 143026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143030 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(143088), // Rule ID 23765 //
     /* 143035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143046 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143049 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143053 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143063 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143070 */     // (uaddsat:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPADDUSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZrm),
     /* 143073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143075 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143077 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143086 */     GIR_RootConstrainSelectedInstOperands,
     /* 143087 */     // GIR_Coverage, 23765,
     /* 143087 */     GIR_EraseRootFromParent_Done,
     /* 143088 */   // Label 3085: @143088
     /* 143088 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(143146), // Rule ID 4887 //
     /* 143093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143108 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143111 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143115 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143121 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143128 */     // (uaddsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZrm),
     /* 143131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143133 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143135 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143144 */     GIR_RootConstrainSelectedInstOperands,
     /* 143145 */     // GIR_Coverage, 4887,
     /* 143145 */     GIR_EraseRootFromParent_Done,
     /* 143146 */   // Label 3086: @143146
     /* 143146 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(143169), // Rule ID 4884 //
     /* 143151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143162 */     // (uaddsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPADDUSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 143162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSWZrr),
     /* 143167 */     GIR_RootConstrainSelectedInstOperands,
     /* 143168 */     // GIR_Coverage, 4884,
     /* 143168 */     GIR_Done,
     /* 143169 */   // Label 3087: @143169
     /* 143169 */   GIM_Reject,
     /* 143170 */ // Label 3084: @143170
     /* 143170 */ GIM_Reject,
     /* 143171 */ // Label 3052: @143171
     /* 143171 */ GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(143326),
     /* 143176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 143179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 143182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143186 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(143244), // Rule ID 23774 //
     /* 143191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143202 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143205 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143209 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143219 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143226 */     // (uaddsat:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPADDUSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZrm),
     /* 143229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143231 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143233 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143242 */     GIR_RootConstrainSelectedInstOperands,
     /* 143243 */     // GIR_Coverage, 23774,
     /* 143243 */     GIR_EraseRootFromParent_Done,
     /* 143244 */   // Label 3089: @143244
     /* 143244 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(143302), // Rule ID 4905 //
     /* 143249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143264 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143267 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143271 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143284 */     // (uaddsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDUSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZrm),
     /* 143287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143289 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143291 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143300 */     GIR_RootConstrainSelectedInstOperands,
     /* 143301 */     // GIR_Coverage, 4905,
     /* 143301 */     GIR_EraseRootFromParent_Done,
     /* 143302 */   // Label 3090: @143302
     /* 143302 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(143325), // Rule ID 4902 //
     /* 143307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 143310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 143318 */     // (uaddsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPADDUSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 143318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDUSBZrr),
     /* 143323 */     GIR_RootConstrainSelectedInstOperands,
     /* 143324 */     // GIR_Coverage, 4902,
     /* 143324 */     GIR_Done,
     /* 143325 */   // Label 3091: @143325
     /* 143325 */   GIM_Reject,
     /* 143326 */ // Label 3088: @143326
     /* 143326 */ GIM_Reject,
     /* 143327 */ // Label 3053: @143327
     /* 143327 */ GIM_Reject,
     /* 143328 */ // Label 38: @143328
     /* 143328 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(25), /*)*//*default:*//*Label 3098*/ GIMT_Encode4(145013),
     /* 143339 */ /*GILLT_v8s16*//*Label 3092*/ GIMT_Encode4(143387), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 143355 */ /*GILLT_v16s8*//*Label 3093*/ GIMT_Encode4(143729),
     /* 143359 */ /*GILLT_v16s16*//*Label 3094*/ GIMT_Encode4(144071), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 143371 */ /*GILLT_v32s8*//*Label 3095*/ GIMT_Encode4(144386),
     /* 143375 */ /*GILLT_v32s16*//*Label 3096*/ GIMT_Encode4(144701), GIMT_Encode4(0),
     /* 143383 */ /*GILLT_v64s8*//*Label 3097*/ GIMT_Encode4(144857),
     /* 143387 */ // Label 3092: @143387
     /* 143387 */ GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(143728),
     /* 143392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 143395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143398 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(143460), // Rule ID 23441 //
     /* 143403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 143406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143418 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143421 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143425 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143435 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143442 */     // (saddsat:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPADDSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWrm),
     /* 143445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143447 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143449 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143458 */     GIR_RootConstrainSelectedInstOperands,
     /* 143459 */     // GIR_Coverage, 23441,
     /* 143459 */     GIR_EraseRootFromParent_Done,
     /* 143460 */   // Label 3100: @143460
     /* 143460 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(143522), // Rule ID 23753 //
     /* 143465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143480 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143483 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143487 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143497 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143504 */     // (saddsat:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPADDSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ128rm),
     /* 143507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143509 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143511 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143520 */     GIR_RootConstrainSelectedInstOperands,
     /* 143521 */     // GIR_Coverage, 23753,
     /* 143521 */     GIR_EraseRootFromParent_Done,
     /* 143522 */   // Label 3101: @143522
     /* 143522 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(143584), // Rule ID 2552 //
     /* 143527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 143530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143546 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143549 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143553 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143559 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143566 */     // (saddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWrm),
     /* 143569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143571 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143573 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143582 */     GIR_RootConstrainSelectedInstOperands,
     /* 143583 */     // GIR_Coverage, 2552,
     /* 143583 */     GIR_EraseRootFromParent_Done,
     /* 143584 */   // Label 3102: @143584
     /* 143584 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(143646), // Rule ID 4827 //
     /* 143589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143608 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143611 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143615 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143621 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143628 */     // (saddsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ128rm),
     /* 143631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143633 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143635 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143644 */     GIR_RootConstrainSelectedInstOperands,
     /* 143645 */     // GIR_Coverage, 4827,
     /* 143645 */     GIR_EraseRootFromParent_Done,
     /* 143646 */   // Label 3103: @143646
     /* 143646 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(143673), // Rule ID 2551 //
     /* 143651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 143654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143666 */     // (saddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPADDSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 143666 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWrr),
     /* 143671 */     GIR_RootConstrainSelectedInstOperands,
     /* 143672 */     // GIR_Coverage, 2551,
     /* 143672 */     GIR_Done,
     /* 143673 */   // Label 3104: @143673
     /* 143673 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(143700), // Rule ID 2553 //
     /* 143678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 143681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143693 */     // (saddsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PADDSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 143693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDSWrr),
     /* 143698 */     GIR_RootConstrainSelectedInstOperands,
     /* 143699 */     // GIR_Coverage, 2553,
     /* 143699 */     GIR_Done,
     /* 143700 */   // Label 3105: @143700
     /* 143700 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(143727), // Rule ID 4824 //
     /* 143705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143720 */     // (saddsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPADDSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 143720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ128rr),
     /* 143725 */     GIR_RootConstrainSelectedInstOperands,
     /* 143726 */     // GIR_Coverage, 4824,
     /* 143726 */     GIR_Done,
     /* 143727 */   // Label 3106: @143727
     /* 143727 */   GIM_Reject,
     /* 143728 */ // Label 3099: @143728
     /* 143728 */ GIM_Reject,
     /* 143729 */ // Label 3093: @143729
     /* 143729 */ GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(144070),
     /* 143734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 143737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 143740 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(143802), // Rule ID 23438 //
     /* 143745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 143748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143760 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143763 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143767 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143777 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143784 */     // (saddsat:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPADDSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBrm),
     /* 143787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143789 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143791 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143800 */     GIR_RootConstrainSelectedInstOperands,
     /* 143801 */     // GIR_Coverage, 23438,
     /* 143801 */     GIR_EraseRootFromParent_Done,
     /* 143802 */   // Label 3108: @143802
     /* 143802 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(143864), // Rule ID 23762 //
     /* 143807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 143818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143822 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143825 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143829 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143839 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143846 */     // (saddsat:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPADDSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ128rm),
     /* 143849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143851 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 143853 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143862 */     GIR_RootConstrainSelectedInstOperands,
     /* 143863 */     // GIR_Coverage, 23762,
     /* 143863 */     GIR_EraseRootFromParent_Done,
     /* 143864 */   // Label 3109: @143864
     /* 143864 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(143926), // Rule ID 2546 //
     /* 143869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 143872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 143880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143888 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143891 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143895 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143901 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143908 */     // (saddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBrm),
     /* 143911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143913 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143915 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143924 */     GIR_RootConstrainSelectedInstOperands,
     /* 143925 */     // GIR_Coverage, 2546,
     /* 143925 */     GIR_EraseRootFromParent_Done,
     /* 143926 */   // Label 3110: @143926
     /* 143926 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(143988), // Rule ID 4845 //
     /* 143931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 143934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 143942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 143946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 143950 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 143953 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 143957 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 143961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 143963 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 143970 */     // (saddsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 143970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ128rm),
     /* 143973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 143975 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 143977 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 143981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 143986 */     GIR_RootConstrainSelectedInstOperands,
     /* 143987 */     // GIR_Coverage, 4845,
     /* 143987 */     GIR_EraseRootFromParent_Done,
     /* 143988 */   // Label 3111: @143988
     /* 143988 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(144015), // Rule ID 2545 //
     /* 143993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 143996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144008 */     // (saddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPADDSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 144008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBrr),
     /* 144013 */     GIR_RootConstrainSelectedInstOperands,
     /* 144014 */     // GIR_Coverage, 2545,
     /* 144014 */     GIR_Done,
     /* 144015 */   // Label 3112: @144015
     /* 144015 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(144042), // Rule ID 2547 //
     /* 144020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 144023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 144035 */     // (saddsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PADDSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 144035 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PADDSBrr),
     /* 144040 */     GIR_RootConstrainSelectedInstOperands,
     /* 144041 */     // GIR_Coverage, 2547,
     /* 144041 */     GIR_Done,
     /* 144042 */   // Label 3113: @144042
     /* 144042 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(144069), // Rule ID 4842 //
     /* 144047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 144062 */     // (saddsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPADDSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 144062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ128rr),
     /* 144067 */     GIR_RootConstrainSelectedInstOperands,
     /* 144068 */     // GIR_Coverage, 4842,
     /* 144068 */     GIR_Done,
     /* 144069 */   // Label 3114: @144069
     /* 144069 */   GIM_Reject,
     /* 144070 */ // Label 3107: @144070
     /* 144070 */ GIM_Reject,
     /* 144071 */ // Label 3094: @144071
     /* 144071 */ GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(144385),
     /* 144076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 144079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 144082 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(144144), // Rule ID 23443 //
     /* 144087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144102 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144105 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144109 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144119 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144126 */     // (saddsat:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPADDSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWYrm),
     /* 144129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144131 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144133 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144142 */     GIR_RootConstrainSelectedInstOperands,
     /* 144143 */     // GIR_Coverage, 23443,
     /* 144143 */     GIR_EraseRootFromParent_Done,
     /* 144144 */   // Label 3116: @144144
     /* 144144 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(144206), // Rule ID 23750 //
     /* 144149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144164 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144167 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144171 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144188 */     // (saddsat:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPADDSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ256rm),
     /* 144191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144193 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144195 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144204 */     GIR_RootConstrainSelectedInstOperands,
     /* 144205 */     // GIR_Coverage, 23750,
     /* 144205 */     GIR_EraseRootFromParent_Done,
     /* 144206 */   // Label 3117: @144206
     /* 144206 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(144268), // Rule ID 2556 //
     /* 144211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144230 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144233 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144237 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144243 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144250 */     // (saddsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWYrm),
     /* 144253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144255 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144257 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144261 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144266 */     GIR_RootConstrainSelectedInstOperands,
     /* 144267 */     // GIR_Coverage, 2556,
     /* 144267 */     GIR_EraseRootFromParent_Done,
     /* 144268 */   // Label 3118: @144268
     /* 144268 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(144330), // Rule ID 4821 //
     /* 144273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144292 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144295 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144299 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144305 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144312 */     // (saddsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ256rm),
     /* 144315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144317 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144319 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144328 */     GIR_RootConstrainSelectedInstOperands,
     /* 144329 */     // GIR_Coverage, 4821,
     /* 144329 */     GIR_EraseRootFromParent_Done,
     /* 144330 */   // Label 3119: @144330
     /* 144330 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(144357), // Rule ID 2555 //
     /* 144335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144350 */     // (saddsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPADDSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 144350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWYrr),
     /* 144355 */     GIR_RootConstrainSelectedInstOperands,
     /* 144356 */     // GIR_Coverage, 2555,
     /* 144356 */     GIR_Done,
     /* 144357 */   // Label 3120: @144357
     /* 144357 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(144384), // Rule ID 4818 //
     /* 144362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144377 */     // (saddsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPADDSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 144377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWZ256rr),
     /* 144382 */     GIR_RootConstrainSelectedInstOperands,
     /* 144383 */     // GIR_Coverage, 4818,
     /* 144383 */     GIR_Done,
     /* 144384 */   // Label 3121: @144384
     /* 144384 */   GIM_Reject,
     /* 144385 */ // Label 3115: @144385
     /* 144385 */ GIM_Reject,
     /* 144386 */ // Label 3095: @144386
     /* 144386 */ GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(144700),
     /* 144391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 144394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 144397 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(144459), // Rule ID 23440 //
     /* 144402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144417 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144420 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144424 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144434 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144441 */     // (saddsat:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPADDSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBYrm),
     /* 144444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144446 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144448 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144457 */     GIR_RootConstrainSelectedInstOperands,
     /* 144458 */     // GIR_Coverage, 23440,
     /* 144458 */     GIR_EraseRootFromParent_Done,
     /* 144459 */   // Label 3123: @144459
     /* 144459 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(144521), // Rule ID 23759 //
     /* 144464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144479 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144482 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144486 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144496 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144503 */     // (saddsat:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPADDSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ256rm),
     /* 144506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144508 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144510 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144519 */     GIR_RootConstrainSelectedInstOperands,
     /* 144520 */     // GIR_Coverage, 23759,
     /* 144520 */     GIR_EraseRootFromParent_Done,
     /* 144521 */   // Label 3124: @144521
     /* 144521 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(144583), // Rule ID 2550 //
     /* 144526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144545 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144548 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144552 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144558 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144565 */     // (saddsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBYrm),
     /* 144568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144570 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144572 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144581 */     GIR_RootConstrainSelectedInstOperands,
     /* 144582 */     // GIR_Coverage, 2550,
     /* 144582 */     GIR_EraseRootFromParent_Done,
     /* 144583 */   // Label 3125: @144583
     /* 144583 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(144645), // Rule ID 4839 //
     /* 144588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144607 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144610 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144614 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144620 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144627 */     // (saddsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ256rm),
     /* 144630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144632 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144634 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144643 */     GIR_RootConstrainSelectedInstOperands,
     /* 144644 */     // GIR_Coverage, 4839,
     /* 144644 */     GIR_EraseRootFromParent_Done,
     /* 144645 */   // Label 3126: @144645
     /* 144645 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(144672), // Rule ID 2549 //
     /* 144650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 144653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 144665 */     // (saddsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPADDSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 144665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBYrr),
     /* 144670 */     GIR_RootConstrainSelectedInstOperands,
     /* 144671 */     // GIR_Coverage, 2549,
     /* 144671 */     GIR_Done,
     /* 144672 */   // Label 3127: @144672
     /* 144672 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(144699), // Rule ID 4836 //
     /* 144677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 144680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 144692 */     // (saddsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPADDSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 144692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBZ256rr),
     /* 144697 */     GIR_RootConstrainSelectedInstOperands,
     /* 144698 */     // GIR_Coverage, 4836,
     /* 144698 */     GIR_Done,
     /* 144699 */   // Label 3128: @144699
     /* 144699 */   GIM_Reject,
     /* 144700 */ // Label 3122: @144700
     /* 144700 */ GIM_Reject,
     /* 144701 */ // Label 3096: @144701
     /* 144701 */ GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(144856),
     /* 144706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 144709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 144712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 144716 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(144774), // Rule ID 23747 //
     /* 144721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 144724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144732 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144735 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144739 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 144747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144749 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144756 */     // (saddsat:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPADDSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZrm),
     /* 144759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144761 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144763 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144772 */     GIR_RootConstrainSelectedInstOperands,
     /* 144773 */     // GIR_Coverage, 23747,
     /* 144773 */     GIR_EraseRootFromParent_Done,
     /* 144774 */   // Label 3130: @144774
     /* 144774 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(144832), // Rule ID 4815 //
     /* 144779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 144782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 144786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144794 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144797 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144801 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144807 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144814 */     // (saddsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSWZrm),
     /* 144817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144819 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144821 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144830 */     GIR_RootConstrainSelectedInstOperands,
     /* 144831 */     // GIR_Coverage, 4815,
     /* 144831 */     GIR_EraseRootFromParent_Done,
     /* 144832 */   // Label 3131: @144832
     /* 144832 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(144855), // Rule ID 4812 //
     /* 144837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 144840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 144844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 144848 */     // (saddsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPADDSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 144848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSWZrr),
     /* 144853 */     GIR_RootConstrainSelectedInstOperands,
     /* 144854 */     // GIR_Coverage, 4812,
     /* 144854 */     GIR_Done,
     /* 144855 */   // Label 3132: @144855
     /* 144855 */   GIM_Reject,
     /* 144856 */ // Label 3129: @144856
     /* 144856 */ GIM_Reject,
     /* 144857 */ // Label 3097: @144857
     /* 144857 */ GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(145012),
     /* 144862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 144865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 144868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 144872 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(144930), // Rule ID 23756 //
     /* 144877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 144880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 144884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144888 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144891 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144895 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 144903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144905 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144912 */     // (saddsat:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPADDSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZrm),
     /* 144915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144917 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 144919 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144928 */     GIR_RootConstrainSelectedInstOperands,
     /* 144929 */     // GIR_Coverage, 23756,
     /* 144929 */     GIR_EraseRootFromParent_Done,
     /* 144930 */   // Label 3134: @144930
     /* 144930 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(144988), // Rule ID 4833 //
     /* 144935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 144938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 144942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 144946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 144950 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 144953 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 144957 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 144961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 144963 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 144970 */     // (saddsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPADDSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 144970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPADDSBZrm),
     /* 144973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 144975 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 144977 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 144981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 144986 */     GIR_RootConstrainSelectedInstOperands,
     /* 144987 */     // GIR_Coverage, 4833,
     /* 144987 */     GIR_EraseRootFromParent_Done,
     /* 144988 */   // Label 3135: @144988
     /* 144988 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(145011), // Rule ID 4830 //
     /* 144993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 144996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145004 */     // (saddsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPADDSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 145004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPADDSBZrr),
     /* 145009 */     GIR_RootConstrainSelectedInstOperands,
     /* 145010 */     // GIR_Coverage, 4830,
     /* 145010 */     GIR_Done,
     /* 145011 */   // Label 3136: @145011
     /* 145011 */   GIM_Reject,
     /* 145012 */ // Label 3133: @145012
     /* 145012 */ GIM_Reject,
     /* 145013 */ // Label 3098: @145013
     /* 145013 */ GIM_Reject,
     /* 145014 */ // Label 39: @145014
     /* 145014 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(25), /*)*//*default:*//*Label 3143*/ GIMT_Encode4(146079),
     /* 145025 */ /*GILLT_v8s16*//*Label 3137*/ GIMT_Encode4(145073), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 145041 */ /*GILLT_v16s8*//*Label 3138*/ GIMT_Encode4(145291),
     /* 145045 */ /*GILLT_v16s16*//*Label 3139*/ GIMT_Encode4(145509), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 145057 */ /*GILLT_v32s8*//*Label 3140*/ GIMT_Encode4(145700),
     /* 145061 */ /*GILLT_v32s16*//*Label 3141*/ GIMT_Encode4(145891), GIMT_Encode4(0),
     /* 145069 */ /*GILLT_v64s8*//*Label 3142*/ GIMT_Encode4(145985),
     /* 145073 */ // Label 3137: @145073
     /* 145073 */ GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(145290),
     /* 145078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 145081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145084 */   GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(145146), // Rule ID 2630 //
     /* 145089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 145092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145108 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145111 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145115 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145121 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145128 */     // (usubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWrm),
     /* 145131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145133 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145135 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145144 */     GIR_RootConstrainSelectedInstOperands,
     /* 145145 */     // GIR_Coverage, 2630,
     /* 145145 */     GIR_EraseRootFromParent_Done,
     /* 145146 */   // Label 3145: @145146
     /* 145146 */   GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(145208), // Rule ID 4935 //
     /* 145151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145170 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145173 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145177 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145183 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145190 */     // (usubsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZ128rm),
     /* 145193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145195 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145197 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145206 */     GIR_RootConstrainSelectedInstOperands,
     /* 145207 */     // GIR_Coverage, 4935,
     /* 145207 */     GIR_EraseRootFromParent_Done,
     /* 145208 */   // Label 3146: @145208
     /* 145208 */   GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(145235), // Rule ID 2629 //
     /* 145213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 145216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145228 */     // (usubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPSUBUSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 145228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWrr),
     /* 145233 */     GIR_RootConstrainSelectedInstOperands,
     /* 145234 */     // GIR_Coverage, 2629,
     /* 145234 */     GIR_Done,
     /* 145235 */   // Label 3147: @145235
     /* 145235 */   GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(145262), // Rule ID 2631 //
     /* 145240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 145243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145255 */     // (usubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PSUBUSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 145255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBUSWrr),
     /* 145260 */     GIR_RootConstrainSelectedInstOperands,
     /* 145261 */     // GIR_Coverage, 2631,
     /* 145261 */     GIR_Done,
     /* 145262 */   // Label 3148: @145262
     /* 145262 */   GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(145289), // Rule ID 4932 //
     /* 145267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145282 */     // (usubsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPSUBUSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 145282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZ128rr),
     /* 145287 */     GIR_RootConstrainSelectedInstOperands,
     /* 145288 */     // GIR_Coverage, 4932,
     /* 145288 */     GIR_Done,
     /* 145289 */   // Label 3149: @145289
     /* 145289 */   GIM_Reject,
     /* 145290 */ // Label 3144: @145290
     /* 145290 */ GIM_Reject,
     /* 145291 */ // Label 3138: @145291
     /* 145291 */ GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(145508),
     /* 145296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 145299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145302 */   GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(145364), // Rule ID 2624 //
     /* 145307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 145310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145326 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145329 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145333 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145346 */     // (usubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBrm),
     /* 145349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145351 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145353 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145357 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145362 */     GIR_RootConstrainSelectedInstOperands,
     /* 145363 */     // GIR_Coverage, 2624,
     /* 145363 */     GIR_EraseRootFromParent_Done,
     /* 145364 */   // Label 3151: @145364
     /* 145364 */   GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(145426), // Rule ID 4953 //
     /* 145369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145388 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145391 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145395 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145408 */     // (usubsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZ128rm),
     /* 145411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145413 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145415 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145419 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145424 */     GIR_RootConstrainSelectedInstOperands,
     /* 145425 */     // GIR_Coverage, 4953,
     /* 145425 */     GIR_EraseRootFromParent_Done,
     /* 145426 */   // Label 3152: @145426
     /* 145426 */   GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(145453), // Rule ID 2623 //
     /* 145431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 145434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145446 */     // (usubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPSUBUSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 145446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBrr),
     /* 145451 */     GIR_RootConstrainSelectedInstOperands,
     /* 145452 */     // GIR_Coverage, 2623,
     /* 145452 */     GIR_Done,
     /* 145453 */   // Label 3153: @145453
     /* 145453 */   GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(145480), // Rule ID 2625 //
     /* 145458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 145461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 145473 */     // (usubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PSUBUSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 145473 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBUSBrr),
     /* 145478 */     GIR_RootConstrainSelectedInstOperands,
     /* 145479 */     // GIR_Coverage, 2625,
     /* 145479 */     GIR_Done,
     /* 145480 */   // Label 3154: @145480
     /* 145480 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(145507), // Rule ID 4950 //
     /* 145485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 145500 */     // (usubsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPSUBUSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 145500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZ128rr),
     /* 145505 */     GIR_RootConstrainSelectedInstOperands,
     /* 145506 */     // GIR_Coverage, 4950,
     /* 145506 */     GIR_Done,
     /* 145507 */   // Label 3155: @145507
     /* 145507 */   GIM_Reject,
     /* 145508 */ // Label 3150: @145508
     /* 145508 */ GIM_Reject,
     /* 145509 */ // Label 3139: @145509
     /* 145509 */ GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(145699),
     /* 145514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 145517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 145520 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(145582), // Rule ID 2634 //
     /* 145525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 145528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145544 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145547 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145551 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145557 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145564 */     // (usubsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWYrm),
     /* 145567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145569 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145571 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145580 */     GIR_RootConstrainSelectedInstOperands,
     /* 145581 */     // GIR_Coverage, 2634,
     /* 145581 */     GIR_EraseRootFromParent_Done,
     /* 145582 */   // Label 3157: @145582
     /* 145582 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(145644), // Rule ID 4929 //
     /* 145587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145606 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145609 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145613 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145619 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145626 */     // (usubsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZ256rm),
     /* 145629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145631 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145633 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145642 */     GIR_RootConstrainSelectedInstOperands,
     /* 145643 */     // GIR_Coverage, 4929,
     /* 145643 */     GIR_EraseRootFromParent_Done,
     /* 145644 */   // Label 3158: @145644
     /* 145644 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(145671), // Rule ID 2633 //
     /* 145649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 145652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145664 */     // (usubsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPSUBUSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 145664 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWYrr),
     /* 145669 */     GIR_RootConstrainSelectedInstOperands,
     /* 145670 */     // GIR_Coverage, 2633,
     /* 145670 */     GIR_Done,
     /* 145671 */   // Label 3159: @145671
     /* 145671 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(145698), // Rule ID 4926 //
     /* 145676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145691 */     // (usubsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPSUBUSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 145691 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZ256rr),
     /* 145696 */     GIR_RootConstrainSelectedInstOperands,
     /* 145697 */     // GIR_Coverage, 4926,
     /* 145697 */     GIR_Done,
     /* 145698 */   // Label 3160: @145698
     /* 145698 */   GIM_Reject,
     /* 145699 */ // Label 3156: @145699
     /* 145699 */ GIM_Reject,
     /* 145700 */ // Label 3140: @145700
     /* 145700 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(145890),
     /* 145705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 145708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 145711 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(145773), // Rule ID 2628 //
     /* 145716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 145719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145735 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145738 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145742 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145748 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145755 */     // (usubsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBYrm),
     /* 145758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145760 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145762 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145771 */     GIR_RootConstrainSelectedInstOperands,
     /* 145772 */     // GIR_Coverage, 2628,
     /* 145772 */     GIR_EraseRootFromParent_Done,
     /* 145773 */   // Label 3162: @145773
     /* 145773 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(145835), // Rule ID 4947 //
     /* 145778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145797 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145800 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145804 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145810 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145817 */     // (usubsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZ256rm),
     /* 145820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145822 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145824 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145833 */     GIR_RootConstrainSelectedInstOperands,
     /* 145834 */     // GIR_Coverage, 4947,
     /* 145834 */     GIR_EraseRootFromParent_Done,
     /* 145835 */   // Label 3163: @145835
     /* 145835 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(145862), // Rule ID 2627 //
     /* 145840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 145843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 145855 */     // (usubsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPSUBUSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 145855 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBYrr),
     /* 145860 */     GIR_RootConstrainSelectedInstOperands,
     /* 145861 */     // GIR_Coverage, 2627,
     /* 145861 */     GIR_Done,
     /* 145862 */   // Label 3164: @145862
     /* 145862 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(145889), // Rule ID 4944 //
     /* 145867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 145870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 145882 */     // (usubsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPSUBUSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 145882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZ256rr),
     /* 145887 */     GIR_RootConstrainSelectedInstOperands,
     /* 145888 */     // GIR_Coverage, 4944,
     /* 145888 */     GIR_Done,
     /* 145889 */   // Label 3165: @145889
     /* 145889 */   GIM_Reject,
     /* 145890 */ // Label 3161: @145890
     /* 145890 */ GIM_Reject,
     /* 145891 */ // Label 3141: @145891
     /* 145891 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(145984),
     /* 145896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 145899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 145902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145910 */   GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(145964), // Rule ID 4923 //
     /* 145915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 145918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 145922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 145926 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 145929 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 145933 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 145937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 145939 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 145946 */     // (usubsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 145946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZrm),
     /* 145949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 145951 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 145953 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 145957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 145962 */     GIR_RootConstrainSelectedInstOperands,
     /* 145963 */     // GIR_Coverage, 4923,
     /* 145963 */     GIR_EraseRootFromParent_Done,
     /* 145964 */   // Label 3167: @145964
     /* 145964 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(145983), // Rule ID 4920 //
     /* 145969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 145972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 145976 */     // (usubsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPSUBUSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 145976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSWZrr),
     /* 145981 */     GIR_RootConstrainSelectedInstOperands,
     /* 145982 */     // GIR_Coverage, 4920,
     /* 145982 */     GIR_Done,
     /* 145983 */   // Label 3168: @145983
     /* 145983 */   GIM_Reject,
     /* 145984 */ // Label 3166: @145984
     /* 145984 */ GIM_Reject,
     /* 145985 */ // Label 3142: @145985
     /* 145985 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(146078),
     /* 145990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 145993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 145996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146004 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(146058), // Rule ID 4941 //
     /* 146009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 146012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146020 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146023 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146027 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146033 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146040 */     // (usubsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBUSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZrm),
     /* 146043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146045 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146047 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146056 */     GIR_RootConstrainSelectedInstOperands,
     /* 146057 */     // GIR_Coverage, 4941,
     /* 146057 */     GIR_EraseRootFromParent_Done,
     /* 146058 */   // Label 3170: @146058
     /* 146058 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(146077), // Rule ID 4938 //
     /* 146063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 146066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146070 */     // (usubsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPSUBUSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 146070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBUSBZrr),
     /* 146075 */     GIR_RootConstrainSelectedInstOperands,
     /* 146076 */     // GIR_Coverage, 4938,
     /* 146076 */     GIR_Done,
     /* 146077 */   // Label 3171: @146077
     /* 146077 */   GIM_Reject,
     /* 146078 */ // Label 3169: @146078
     /* 146078 */ GIM_Reject,
     /* 146079 */ // Label 3143: @146079
     /* 146079 */ GIM_Reject,
     /* 146080 */ // Label 40: @146080
     /* 146080 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(13), GIMT_Encode2(25), /*)*//*default:*//*Label 3178*/ GIMT_Encode4(147145),
     /* 146091 */ /*GILLT_v8s16*//*Label 3172*/ GIMT_Encode4(146139), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 146107 */ /*GILLT_v16s8*//*Label 3173*/ GIMT_Encode4(146357),
     /* 146111 */ /*GILLT_v16s16*//*Label 3174*/ GIMT_Encode4(146575), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 146123 */ /*GILLT_v32s8*//*Label 3175*/ GIMT_Encode4(146766),
     /* 146127 */ /*GILLT_v32s16*//*Label 3176*/ GIMT_Encode4(146957), GIMT_Encode4(0),
     /* 146135 */ /*GILLT_v64s8*//*Label 3177*/ GIMT_Encode4(147051),
     /* 146139 */ // Label 3172: @146139
     /* 146139 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(146356),
     /* 146144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 146147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146150 */   GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(146212), // Rule ID 2618 //
     /* 146155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 146158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146174 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146177 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146181 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146187 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146194 */     // (ssubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWrm),
     /* 146197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146199 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146201 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146210 */     GIR_RootConstrainSelectedInstOperands,
     /* 146211 */     // GIR_Coverage, 2618,
     /* 146211 */     GIR_EraseRootFromParent_Done,
     /* 146212 */   // Label 3180: @146212
     /* 146212 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(146274), // Rule ID 4863 //
     /* 146217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146236 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146239 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146243 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146249 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146256 */     // (ssubsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZ128rm),
     /* 146259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146261 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146263 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146272 */     GIR_RootConstrainSelectedInstOperands,
     /* 146273 */     // GIR_Coverage, 4863,
     /* 146273 */     GIR_EraseRootFromParent_Done,
     /* 146274 */   // Label 3181: @146274
     /* 146274 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(146301), // Rule ID 2617 //
     /* 146279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 146282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146294 */     // (ssubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPSUBSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 146294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWrr),
     /* 146299 */     GIR_RootConstrainSelectedInstOperands,
     /* 146300 */     // GIR_Coverage, 2617,
     /* 146300 */     GIR_Done,
     /* 146301 */   // Label 3182: @146301
     /* 146301 */   GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(146328), // Rule ID 2619 //
     /* 146306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 146309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146321 */     // (ssubsat:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PSUBSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 146321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBSWrr),
     /* 146326 */     GIR_RootConstrainSelectedInstOperands,
     /* 146327 */     // GIR_Coverage, 2619,
     /* 146327 */     GIR_Done,
     /* 146328 */   // Label 3183: @146328
     /* 146328 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(146355), // Rule ID 4860 //
     /* 146333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146348 */     // (ssubsat:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPSUBSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 146348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZ128rr),
     /* 146353 */     GIR_RootConstrainSelectedInstOperands,
     /* 146354 */     // GIR_Coverage, 4860,
     /* 146354 */     GIR_Done,
     /* 146355 */   // Label 3184: @146355
     /* 146355 */   GIM_Reject,
     /* 146356 */ // Label 3179: @146356
     /* 146356 */ GIM_Reject,
     /* 146357 */ // Label 3173: @146357
     /* 146357 */ GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(146574),
     /* 146362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 146365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 146368 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(146430), // Rule ID 2612 //
     /* 146373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 146376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146392 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146395 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146399 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146405 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146412 */     // (ssubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBrm),
     /* 146415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146417 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146419 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146428 */     GIR_RootConstrainSelectedInstOperands,
     /* 146429 */     // GIR_Coverage, 2612,
     /* 146429 */     GIR_EraseRootFromParent_Done,
     /* 146430 */   // Label 3186: @146430
     /* 146430 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(146492), // Rule ID 4881 //
     /* 146435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146454 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146457 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146461 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146467 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146474 */     // (ssubsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZ128rm),
     /* 146477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146479 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146481 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146490 */     GIR_RootConstrainSelectedInstOperands,
     /* 146491 */     // GIR_Coverage, 4881,
     /* 146491 */     GIR_EraseRootFromParent_Done,
     /* 146492 */   // Label 3187: @146492
     /* 146492 */   GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(146519), // Rule ID 2611 //
     /* 146497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 146500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146512 */     // (ssubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPSUBSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 146512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBrr),
     /* 146517 */     GIR_RootConstrainSelectedInstOperands,
     /* 146518 */     // GIR_Coverage, 2611,
     /* 146518 */     GIR_Done,
     /* 146519 */   // Label 3188: @146519
     /* 146519 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(146546), // Rule ID 2613 //
     /* 146524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 146527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 146539 */     // (ssubsat:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PSUBSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 146539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PSUBSBrr),
     /* 146544 */     GIR_RootConstrainSelectedInstOperands,
     /* 146545 */     // GIR_Coverage, 2613,
     /* 146545 */     GIR_Done,
     /* 146546 */   // Label 3189: @146546
     /* 146546 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(146573), // Rule ID 4878 //
     /* 146551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 146566 */     // (ssubsat:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPSUBSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 146566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZ128rr),
     /* 146571 */     GIR_RootConstrainSelectedInstOperands,
     /* 146572 */     // GIR_Coverage, 4878,
     /* 146572 */     GIR_Done,
     /* 146573 */   // Label 3190: @146573
     /* 146573 */   GIM_Reject,
     /* 146574 */ // Label 3185: @146574
     /* 146574 */ GIM_Reject,
     /* 146575 */ // Label 3174: @146575
     /* 146575 */ GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(146765),
     /* 146580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 146583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 146586 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(146648), // Rule ID 2622 //
     /* 146591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 146594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146610 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146613 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146617 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146623 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146630 */     // (ssubsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWYrm),
     /* 146633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146635 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146637 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146641 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146646 */     GIR_RootConstrainSelectedInstOperands,
     /* 146647 */     // GIR_Coverage, 2622,
     /* 146647 */     GIR_EraseRootFromParent_Done,
     /* 146648 */   // Label 3192: @146648
     /* 146648 */   GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(146710), // Rule ID 4857 //
     /* 146653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146672 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146675 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146679 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146685 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146692 */     // (ssubsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZ256rm),
     /* 146695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146697 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146708 */     GIR_RootConstrainSelectedInstOperands,
     /* 146709 */     // GIR_Coverage, 4857,
     /* 146709 */     GIR_EraseRootFromParent_Done,
     /* 146710 */   // Label 3193: @146710
     /* 146710 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(146737), // Rule ID 2621 //
     /* 146715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 146718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146730 */     // (ssubsat:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPSUBSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 146730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWYrr),
     /* 146735 */     GIR_RootConstrainSelectedInstOperands,
     /* 146736 */     // GIR_Coverage, 2621,
     /* 146736 */     GIR_Done,
     /* 146737 */   // Label 3194: @146737
     /* 146737 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(146764), // Rule ID 4854 //
     /* 146742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146757 */     // (ssubsat:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPSUBSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 146757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZ256rr),
     /* 146762 */     GIR_RootConstrainSelectedInstOperands,
     /* 146763 */     // GIR_Coverage, 4854,
     /* 146763 */     GIR_Done,
     /* 146764 */   // Label 3195: @146764
     /* 146764 */   GIM_Reject,
     /* 146765 */ // Label 3191: @146765
     /* 146765 */ GIM_Reject,
     /* 146766 */ // Label 3175: @146766
     /* 146766 */ GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(146956),
     /* 146771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 146774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 146777 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(146839), // Rule ID 2616 //
     /* 146782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 146785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146801 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146804 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146808 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146821 */     // (ssubsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBYrm),
     /* 146824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146826 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146828 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146837 */     GIR_RootConstrainSelectedInstOperands,
     /* 146838 */     // GIR_Coverage, 2616,
     /* 146838 */     GIR_EraseRootFromParent_Done,
     /* 146839 */   // Label 3197: @146839
     /* 146839 */   GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(146901), // Rule ID 4875 //
     /* 146844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146863 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146866 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146870 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 146874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 146876 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 146883 */     // (ssubsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 146883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZ256rm),
     /* 146886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146888 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 146890 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 146894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 146899 */     GIR_RootConstrainSelectedInstOperands,
     /* 146900 */     // GIR_Coverage, 4875,
     /* 146900 */     GIR_EraseRootFromParent_Done,
     /* 146901 */   // Label 3198: @146901
     /* 146901 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(146928), // Rule ID 2615 //
     /* 146906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 146909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 146921 */     // (ssubsat:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPSUBSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 146921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBYrr),
     /* 146926 */     GIR_RootConstrainSelectedInstOperands,
     /* 146927 */     // GIR_Coverage, 2615,
     /* 146927 */     GIR_Done,
     /* 146928 */   // Label 3199: @146928
     /* 146928 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(146955), // Rule ID 4872 //
     /* 146933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 146936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 146948 */     // (ssubsat:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPSUBSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 146948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZ256rr),
     /* 146953 */     GIR_RootConstrainSelectedInstOperands,
     /* 146954 */     // GIR_Coverage, 4872,
     /* 146954 */     GIR_Done,
     /* 146955 */   // Label 3200: @146955
     /* 146955 */   GIM_Reject,
     /* 146956 */ // Label 3196: @146956
     /* 146956 */ GIM_Reject,
     /* 146957 */ // Label 3176: @146957
     /* 146957 */ GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(147050),
     /* 146962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 146965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 146968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 146976 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(147030), // Rule ID 4851 //
     /* 146981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 146984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 146988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 146992 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 146995 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 146999 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147005 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147012 */     // (ssubsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZrm),
     /* 147015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147017 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147019 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147028 */     GIR_RootConstrainSelectedInstOperands,
     /* 147029 */     // GIR_Coverage, 4851,
     /* 147029 */     GIR_EraseRootFromParent_Done,
     /* 147030 */   // Label 3202: @147030
     /* 147030 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(147049), // Rule ID 4848 //
     /* 147035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 147038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147042 */     // (ssubsat:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPSUBSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 147042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSWZrr),
     /* 147047 */     GIR_RootConstrainSelectedInstOperands,
     /* 147048 */     // GIR_Coverage, 4848,
     /* 147048 */     GIR_Done,
     /* 147049 */   // Label 3203: @147049
     /* 147049 */   GIM_Reject,
     /* 147050 */ // Label 3201: @147050
     /* 147050 */ GIM_Reject,
     /* 147051 */ // Label 3177: @147051
     /* 147051 */ GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(147144),
     /* 147056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 147059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 147062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147070 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(147124), // Rule ID 4869 //
     /* 147075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 147078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147086 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147089 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147093 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147099 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147106 */     // (ssubsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPSUBSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZrm),
     /* 147109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147111 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147113 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147122 */     GIR_RootConstrainSelectedInstOperands,
     /* 147123 */     // GIR_Coverage, 4869,
     /* 147123 */     GIR_EraseRootFromParent_Done,
     /* 147124 */   // Label 3205: @147124
     /* 147124 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(147143), // Rule ID 4866 //
     /* 147129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 147132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 147136 */     // (ssubsat:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPSUBSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 147136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPSUBSBZrr),
     /* 147141 */     GIR_RootConstrainSelectedInstOperands,
     /* 147142 */     // GIR_Coverage, 4866,
     /* 147142 */     GIR_Done,
     /* 147143 */   // Label 3206: @147143
     /* 147143 */   GIM_Reject,
     /* 147144 */ // Label 3204: @147144
     /* 147144 */ GIM_Reject,
     /* 147145 */ // Label 3178: @147145
     /* 147145 */ GIM_Reject,
     /* 147146 */ // Label 41: @147146
     /* 147146 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3220*/ GIMT_Encode4(152247),
     /* 147157 */ /*GILLT_s16*//*Label 3207*/ GIMT_Encode4(147241),
     /* 147161 */ /*GILLT_s32*//*Label 3208*/ GIMT_Encode4(147401),
     /* 147165 */ /*GILLT_s64*//*Label 3209*/ GIMT_Encode4(148514),
     /* 147169 */ /*GILLT_s80*//*Label 3210*/ GIMT_Encode4(149771), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 147181 */ /*GILLT_v2s64*//*Label 3211*/ GIMT_Encode4(150093), GIMT_Encode4(0),
     /* 147189 */ /*GILLT_v4s32*//*Label 3212*/ GIMT_Encode4(150447),
     /* 147193 */ /*GILLT_v4s64*//*Label 3213*/ GIMT_Encode4(150801), GIMT_Encode4(0),
     /* 147201 */ /*GILLT_v8s16*//*Label 3214*/ GIMT_Encode4(151124),
     /* 147205 */ /*GILLT_v8s32*//*Label 3215*/ GIMT_Encode4(151284),
     /* 147209 */ /*GILLT_v8s64*//*Label 3216*/ GIMT_Encode4(151607), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 147221 */ /*GILLT_v16s16*//*Label 3217*/ GIMT_Encode4(151767),
     /* 147225 */ /*GILLT_v16s32*//*Label 3218*/ GIMT_Encode4(151927), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 147237 */ /*GILLT_v32s16*//*Label 3219*/ GIMT_Encode4(152087),
     /* 147241 */ // Label 3207: @147241
     /* 147241 */ GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(147400),
     /* 147246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 147249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 147252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147256 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(147314), // Rule ID 24247 //
     /* 147261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 147264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147272 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147275 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147279 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147289 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147296 */     // (fadd:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VADDSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSHZrm),
     /* 147299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147301 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147303 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147307 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147312 */     GIR_RootConstrainSelectedInstOperands,
     /* 147313 */     // GIR_Coverage, 24247,
     /* 147313 */     GIR_EraseRootFromParent_Done,
     /* 147314 */   // Label 3222: @147314
     /* 147314 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(147372), // Rule ID 5954 //
     /* 147319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 147322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147334 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147337 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147341 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147347 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147354 */     // (fadd:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSHZrm),
     /* 147357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147359 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147361 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147365 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147370 */     GIR_RootConstrainSelectedInstOperands,
     /* 147371 */     // GIR_Coverage, 5954,
     /* 147371 */     GIR_EraseRootFromParent_Done,
     /* 147372 */   // Label 3223: @147372
     /* 147372 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(147399), // Rule ID 5952 //
     /* 147377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 147380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 147388 */     // (fadd:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VADDSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 147388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSHZrr),
     /* 147393 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 147397 */     GIR_RootConstrainSelectedInstOperands,
     /* 147398 */     // GIR_Coverage, 5952,
     /* 147398 */     GIR_Done,
     /* 147399 */   // Label 3224: @147399
     /* 147399 */   GIM_Reject,
     /* 147400 */ // Label 3221: @147400
     /* 147400 */ GIM_Reject,
     /* 147401 */ // Label 3208: @147401
     /* 147401 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(148513),
     /* 147406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 147409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147412 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(147490), // Rule ID 26015 //
     /* 147417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 147420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 147432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 147436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147444 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147447 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 147454 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 147458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147464 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147471 */     // (fadd:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>), FR32:{ *:[f32] }:$src1)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 147474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147476 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147478 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 147488 */     GIR_RootConstrainSelectedInstOperands,
     /* 147489 */     // GIR_Coverage, 26015,
     /* 147489 */     GIR_EraseRootFromParent_Done,
     /* 147490 */   // Label 3226: @147490
     /* 147490 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(147568), // Rule ID 26016 //
     /* 147495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 147498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 147510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 147514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147522 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147525 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 147532 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 147536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147540 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147542 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147549 */     // (fadd:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>), FR32:{ *:[f32] }:$src1)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 147552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147554 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147556 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 147566 */     GIR_RootConstrainSelectedInstOperands,
     /* 147567 */     // GIR_Coverage, 26016,
     /* 147567 */     GIR_EraseRootFromParent_Done,
     /* 147568 */   // Label 3227: @147568
     /* 147568 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(147646), // Rule ID 26017 //
     /* 147573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 147576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 147580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 147588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 147592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147600 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147603 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 147610 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 147614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 147618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147620 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147627 */     // (fadd:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>), FR32X:{ *:[f32] }:$src1)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 147630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147632 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147634 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 147644 */     GIR_RootConstrainSelectedInstOperands,
     /* 147645 */     // GIR_Coverage, 26017,
     /* 147645 */     GIR_EraseRootFromParent_Done,
     /* 147646 */   // Label 3228: @147646
     /* 147646 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(147724), // Rule ID 22466 //
     /* 147651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 147654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 147670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 147674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147682 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147685 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 147692 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 147696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147698 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147705 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 147708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147710 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147712 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 147722 */     GIR_RootConstrainSelectedInstOperands,
     /* 147723 */     // GIR_Coverage, 22466,
     /* 147723 */     GIR_EraseRootFromParent_Done,
     /* 147724 */   // Label 3229: @147724
     /* 147724 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(147802), // Rule ID 22467 //
     /* 147729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 147732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 147748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 147752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147760 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147763 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 147770 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 147774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147776 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147783 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 147786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147788 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147790 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 147800 */     GIR_RootConstrainSelectedInstOperands,
     /* 147801 */     // GIR_Coverage, 22467,
     /* 147801 */     GIR_EraseRootFromParent_Done,
     /* 147802 */   // Label 3230: @147802
     /* 147802 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(147880), // Rule ID 22468 //
     /* 147807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 147810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 147814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 147818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 147822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 147826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 147830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 147834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147838 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 147841 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 147848 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 147852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 147854 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147861 */     // (fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 147864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147866 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 147868 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 147878 */     GIR_RootConstrainSelectedInstOperands,
     /* 147879 */     // GIR_Coverage, 22468,
     /* 147879 */     GIR_EraseRootFromParent_Done,
     /* 147880 */   // Label 3231: @147880
     /* 147880 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(147945), // Rule ID 23234 //
     /* 147885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 147888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 147892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147900 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147903 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147907 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 147915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147924 */     // (fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (ADD_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32m),
     /* 147927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147929 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147931 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 147935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 147938 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 147943 */     GIR_RootConstrainSelectedInstOperands,
     /* 147944 */     // GIR_Coverage, 23234,
     /* 147944 */     GIR_EraseRootFromParent_Done,
     /* 147945 */   // Label 3232: @147945
     /* 147945 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(148007), // Rule ID 23379 //
     /* 147950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 147953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 147961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 147965 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 147968 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 147972 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 147976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 147980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 147982 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 147989 */     // (fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 147989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 147992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147994 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 147996 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148005 */     GIR_RootConstrainSelectedInstOperands,
     /* 148006 */     // GIR_Coverage, 23379,
     /* 148006 */     GIR_EraseRootFromParent_Done,
     /* 148007 */   // Label 3233: @148007
     /* 148007 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(148069), // Rule ID 23383 //
     /* 148012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 148015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148027 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148030 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148034 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148044 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148051 */     // (fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 148054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148056 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148058 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148067 */     GIR_RootConstrainSelectedInstOperands,
     /* 148068 */     // GIR_Coverage, 23383,
     /* 148068 */     GIR_EraseRootFromParent_Done,
     /* 148069 */   // Label 3234: @148069
     /* 148069 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(148131), // Rule ID 24243 //
     /* 148074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 148077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148089 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148092 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148096 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148106 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148113 */     // (fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 148116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148118 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148120 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148129 */     GIR_RootConstrainSelectedInstOperands,
     /* 148130 */     // GIR_Coverage, 24243,
     /* 148130 */     GIR_EraseRootFromParent_Done,
     /* 148131 */   // Label 3235: @148131
     /* 148131 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(148196), // Rule ID 910 //
     /* 148136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 148139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148155 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148158 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148162 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148168 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148175 */     // (fadd:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32m),
     /* 148178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148180 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148182 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 148189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148194 */     GIR_RootConstrainSelectedInstOperands,
     /* 148195 */     // GIR_Coverage, 910,
     /* 148195 */     GIR_EraseRootFromParent_Done,
     /* 148196 */   // Label 3236: @148196
     /* 148196 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(148258), // Rule ID 2160 //
     /* 148201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 148204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148220 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148223 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148227 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148233 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148240 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 148243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148245 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148247 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148256 */     GIR_RootConstrainSelectedInstOperands,
     /* 148257 */     // GIR_Coverage, 2160,
     /* 148257 */     GIR_EraseRootFromParent_Done,
     /* 148258 */   // Label 3237: @148258
     /* 148258 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(148320), // Rule ID 2168 //
     /* 148263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 148266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148282 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148285 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148289 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148295 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148302 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 148305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148307 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148309 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148318 */     GIR_RootConstrainSelectedInstOperands,
     /* 148319 */     // GIR_Coverage, 2168,
     /* 148319 */     GIR_EraseRootFromParent_Done,
     /* 148320 */   // Label 3238: @148320
     /* 148320 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(148382), // Rule ID 5916 //
     /* 148325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 148328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148344 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 148347 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 148351 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 148355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 148357 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148364 */     // (fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 148367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148369 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148371 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 148380 */     GIR_RootConstrainSelectedInstOperands,
     /* 148381 */     // GIR_Coverage, 5916,
     /* 148381 */     GIR_EraseRootFromParent_Done,
     /* 148382 */   // Label 3239: @148382
     /* 148382 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(148419), // Rule ID 886 //
     /* 148387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 148390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 148402 */     // (fadd:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (ADD_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 148402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32),
     /* 148407 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 148413 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 148417 */     GIR_RootConstrainSelectedInstOperands,
     /* 148418 */     // GIR_Coverage, 886,
     /* 148418 */     GIR_Done,
     /* 148419 */   // Label 3240: @148419
     /* 148419 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(148450), // Rule ID 2158 //
     /* 148424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 148427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148439 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VADDSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 148439 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSSrr),
     /* 148444 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 148448 */     GIR_RootConstrainSelectedInstOperands,
     /* 148449 */     // GIR_Coverage, 2158,
     /* 148449 */     GIR_Done,
     /* 148450 */   // Label 3241: @148450
     /* 148450 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(148481), // Rule ID 2166 //
     /* 148455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 148458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 148470 */     // (fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (ADDSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 148470 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDSSrr),
     /* 148475 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 148479 */     GIR_RootConstrainSelectedInstOperands,
     /* 148480 */     // GIR_Coverage, 2166,
     /* 148480 */     GIR_Done,
     /* 148481 */   // Label 3242: @148481
     /* 148481 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(148512), // Rule ID 5914 //
     /* 148486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 148489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 148501 */     // (fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VADDSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 148501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSSZrr),
     /* 148506 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 148510 */     GIR_RootConstrainSelectedInstOperands,
     /* 148511 */     // GIR_Coverage, 5914,
     /* 148511 */     GIR_Done,
     /* 148512 */   // Label 3243: @148512
     /* 148512 */   GIM_Reject,
     /* 148513 */ // Label 3225: @148513
     /* 148513 */ GIM_Reject,
     /* 148514 */ // Label 3209: @148514
     /* 148514 */ GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(149770),
     /* 148519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 148522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148525 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(148603), // Rule ID 26018 //
     /* 148530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 148533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 148549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148557 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148560 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 148567 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148577 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148584 */     // (fadd:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>), FR64:{ *:[f64] }:$src1)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 148587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148589 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148591 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148601 */     GIR_RootConstrainSelectedInstOperands,
     /* 148602 */     // GIR_Coverage, 26018,
     /* 148602 */     GIR_EraseRootFromParent_Done,
     /* 148603 */   // Label 3245: @148603
     /* 148603 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(148681), // Rule ID 26019 //
     /* 148608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 148611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 148627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148635 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148638 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 148645 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148655 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148662 */     // (fadd:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>), FR64:{ *:[f64] }:$src1)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 148665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148667 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148669 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148673 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148679 */     GIR_RootConstrainSelectedInstOperands,
     /* 148680 */     // GIR_Coverage, 26019,
     /* 148680 */     GIR_EraseRootFromParent_Done,
     /* 148681 */   // Label 3246: @148681
     /* 148681 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(148759), // Rule ID 26020 //
     /* 148686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 148689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 148693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 148697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 148705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148713 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148716 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 148723 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 148731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148733 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148740 */     // (fadd:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>), FR64X:{ *:[f64] }:$src1)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 148743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148745 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 148747 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148757 */     GIR_RootConstrainSelectedInstOperands,
     /* 148758 */     // GIR_Coverage, 26020,
     /* 148758 */     GIR_EraseRootFromParent_Done,
     /* 148759 */   // Label 3247: @148759
     /* 148759 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(148837), // Rule ID 22469 //
     /* 148764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 148767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 148787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148795 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148798 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 148805 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148811 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148818 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 148821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148823 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148825 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148835 */     GIR_RootConstrainSelectedInstOperands,
     /* 148836 */     // GIR_Coverage, 22469,
     /* 148836 */     GIR_EraseRootFromParent_Done,
     /* 148837 */   // Label 3248: @148837
     /* 148837 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(148915), // Rule ID 22470 //
     /* 148842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 148845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 148853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 148865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148873 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148876 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 148883 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148889 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148896 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 148899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148901 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148903 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148913 */     GIR_RootConstrainSelectedInstOperands,
     /* 148914 */     // GIR_Coverage, 22470,
     /* 148914 */     GIR_EraseRootFromParent_Done,
     /* 148915 */   // Label 3249: @148915
     /* 148915 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(148993), // Rule ID 22471 //
     /* 148920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 148923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 148927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 148931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 148935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 148939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 148943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 148947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 148951 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 148954 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 148961 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 148965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 148967 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 148974 */     // (fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 148974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 148977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148979 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 148981 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 148985 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 148991 */     GIR_RootConstrainSelectedInstOperands,
     /* 148992 */     // GIR_Coverage, 22471,
     /* 148992 */     GIR_EraseRootFromParent_Done,
     /* 148993 */   // Label 3250: @148993
     /* 148993 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(149058), // Rule ID 23236 //
     /* 148998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 149001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149013 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149016 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149020 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149037 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (ADD_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m),
     /* 149040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149042 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149044 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149056 */     GIR_RootConstrainSelectedInstOperands,
     /* 149057 */     // GIR_Coverage, 23236,
     /* 149057 */     GIR_EraseRootFromParent_Done,
     /* 149058 */   // Label 3251: @149058
     /* 149058 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(149130), // Rule ID 23238 //
     /* 149063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 149066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149078 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149081 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149085 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 149092 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149109 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (ADD_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m32),
     /* 149112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149114 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149116 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149128 */     GIR_RootConstrainSelectedInstOperands,
     /* 149129 */     // GIR_Coverage, 23238,
     /* 149129 */     GIR_EraseRootFromParent_Done,
     /* 149130 */   // Label 3252: @149130
     /* 149130 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(149192), // Rule ID 23381 //
     /* 149135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 149138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149150 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149153 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149157 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149167 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149174 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 149177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149179 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149181 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149190 */     GIR_RootConstrainSelectedInstOperands,
     /* 149191 */     // GIR_Coverage, 23381,
     /* 149191 */     GIR_EraseRootFromParent_Done,
     /* 149192 */   // Label 3253: @149192
     /* 149192 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(149254), // Rule ID 23385 //
     /* 149197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 149200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149212 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149215 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149219 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149236 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 149239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149241 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149243 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149252 */     GIR_RootConstrainSelectedInstOperands,
     /* 149253 */     // GIR_Coverage, 23385,
     /* 149253 */     GIR_EraseRootFromParent_Done,
     /* 149254 */   // Label 3254: @149254
     /* 149254 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(149316), // Rule ID 24245 //
     /* 149259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 149262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149274 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149277 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149281 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149298 */     // (fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 149301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149303 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149305 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149314 */     GIR_RootConstrainSelectedInstOperands,
     /* 149315 */     // GIR_Coverage, 24245,
     /* 149315 */     GIR_EraseRootFromParent_Done,
     /* 149316 */   // Label 3255: @149316
     /* 149316 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(149381), // Rule ID 912 //
     /* 149321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 149324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149340 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149343 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149347 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149353 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149360 */     // (fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m),
     /* 149363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149365 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149367 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149374 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149379 */     GIR_RootConstrainSelectedInstOperands,
     /* 149380 */     // GIR_Coverage, 912,
     /* 149380 */     GIR_EraseRootFromParent_Done,
     /* 149381 */   // Label 3256: @149381
     /* 149381 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(149453), // Rule ID 914 //
     /* 149386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 149389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149405 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149408 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149412 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 149419 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149425 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149432 */     // (fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (ADD_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m32),
     /* 149435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149437 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149439 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149451 */     GIR_RootConstrainSelectedInstOperands,
     /* 149452 */     // GIR_Coverage, 914,
     /* 149452 */     GIR_EraseRootFromParent_Done,
     /* 149453 */   // Label 3257: @149453
     /* 149453 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(149515), // Rule ID 2164 //
     /* 149458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 149461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149477 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149480 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149484 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149490 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149497 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 149500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149502 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149504 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149513 */     GIR_RootConstrainSelectedInstOperands,
     /* 149514 */     // GIR_Coverage, 2164,
     /* 149514 */     GIR_EraseRootFromParent_Done,
     /* 149515 */   // Label 3258: @149515
     /* 149515 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(149577), // Rule ID 2172 //
     /* 149520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 149523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149539 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149542 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149546 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149552 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149559 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 149562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149564 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149566 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149575 */     GIR_RootConstrainSelectedInstOperands,
     /* 149576 */     // GIR_Coverage, 2172,
     /* 149576 */     GIR_EraseRootFromParent_Done,
     /* 149577 */   // Label 3259: @149577
     /* 149577 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(149639), // Rule ID 5935 //
     /* 149582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 149585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149601 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149604 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149608 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149614 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149621 */     // (fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 149624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149626 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149628 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149637 */     GIR_RootConstrainSelectedInstOperands,
     /* 149638 */     // GIR_Coverage, 5935,
     /* 149638 */     GIR_EraseRootFromParent_Done,
     /* 149639 */   // Label 3260: @149639
     /* 149639 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(149676), // Rule ID 888 //
     /* 149644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 149647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 149659 */     // (fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (ADD_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 149659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64),
     /* 149664 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 149670 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 149674 */     GIR_RootConstrainSelectedInstOperands,
     /* 149675 */     // GIR_Coverage, 888,
     /* 149675 */     GIR_Done,
     /* 149676 */   // Label 3261: @149676
     /* 149676 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(149707), // Rule ID 2162 //
     /* 149681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 149684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149696 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VADDSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 149696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSDrr),
     /* 149701 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 149705 */     GIR_RootConstrainSelectedInstOperands,
     /* 149706 */     // GIR_Coverage, 2162,
     /* 149706 */     GIR_Done,
     /* 149707 */   // Label 3262: @149707
     /* 149707 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(149738), // Rule ID 2170 //
     /* 149712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 149715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 149727 */     // (fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (ADDSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 149727 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDSDrr),
     /* 149732 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 149736 */     GIR_RootConstrainSelectedInstOperands,
     /* 149737 */     // GIR_Coverage, 2170,
     /* 149737 */     GIR_Done,
     /* 149738 */   // Label 3263: @149738
     /* 149738 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(149769), // Rule ID 5933 //
     /* 149743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 149746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 149758 */     // (fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VADDSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 149758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSDZrr),
     /* 149763 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 149767 */     GIR_RootConstrainSelectedInstOperands,
     /* 149768 */     // GIR_Coverage, 5933,
     /* 149768 */     GIR_Done,
     /* 149769 */   // Label 3264: @149769
     /* 149769 */   GIM_Reject,
     /* 149770 */ // Label 3244: @149770
     /* 149770 */ GIM_Reject,
     /* 149771 */ // Label 3210: @149771
     /* 149771 */ GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(150092),
     /* 149776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 149779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 149782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 149786 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(149854), // Rule ID 23240 //
     /* 149791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 149794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149802 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149805 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149809 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 149816 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 149824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149826 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149833 */     // (fadd:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (ADD_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m32),
     /* 149836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149838 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149840 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149852 */     GIR_RootConstrainSelectedInstOperands,
     /* 149853 */     // GIR_Coverage, 23240,
     /* 149853 */     GIR_EraseRootFromParent_Done,
     /* 149854 */   // Label 3266: @149854
     /* 149854 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(149922), // Rule ID 23242 //
     /* 149859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 149862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 149866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149870 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149873 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149877 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 149884 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 149892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149901 */     // (fadd:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (ADD_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m64),
     /* 149904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149906 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 149908 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149920 */     GIR_RootConstrainSelectedInstOperands,
     /* 149921 */     // GIR_Coverage, 23242,
     /* 149921 */     GIR_EraseRootFromParent_Done,
     /* 149922 */   // Label 3267: @149922
     /* 149922 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(149990), // Rule ID 916 //
     /* 149927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 149930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 149934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 149938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 149942 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 149945 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 149949 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 149956 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 149960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 149962 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 149969 */     // (fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (ADD_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 149969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m32),
     /* 149972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149974 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 149976 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 149980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 149983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 149988 */     GIR_RootConstrainSelectedInstOperands,
     /* 149989 */     // GIR_Coverage, 916,
     /* 149989 */     GIR_EraseRootFromParent_Done,
     /* 149990 */   // Label 3268: @149990
     /* 149990 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(150058), // Rule ID 918 //
     /* 149995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 149998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150010 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150013 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150017 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 150024 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150037 */     // (fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (ADD_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m64),
     /* 150040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150042 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150044 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 150051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150056 */     GIR_RootConstrainSelectedInstOperands,
     /* 150057 */     // GIR_Coverage, 918,
     /* 150057 */     GIR_EraseRootFromParent_Done,
     /* 150058 */   // Label 3269: @150058
     /* 150058 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(150091), // Rule ID 890 //
     /* 150063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 150066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 150074 */     // (fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (ADD_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 150074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80),
     /* 150079 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 150085 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 150089 */     GIR_RootConstrainSelectedInstOperands,
     /* 150090 */     // GIR_Coverage, 890,
     /* 150090 */     GIR_Done,
     /* 150091 */   // Label 3270: @150091
     /* 150091 */   GIM_Reject,
     /* 150092 */ // Label 3265: @150092
     /* 150092 */ GIM_Reject,
     /* 150093 */ // Label 3211: @150093
     /* 150093 */ GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(150446),
     /* 150098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 150101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 150104 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(150166), // Rule ID 23369 //
     /* 150109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150124 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150127 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150131 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150148 */     // (fadd:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VADDPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDrm),
     /* 150151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150153 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150155 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150164 */     GIR_RootConstrainSelectedInstOperands,
     /* 150165 */     // GIR_Coverage, 23369,
     /* 150165 */     GIR_EraseRootFromParent_Done,
     /* 150166 */   // Label 3272: @150166
     /* 150166 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(150228), // Rule ID 24293 //
     /* 150171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150186 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150189 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150193 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150203 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150210 */     // (fadd:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VADDPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rm),
     /* 150213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150215 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150217 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150226 */     GIR_RootConstrainSelectedInstOperands,
     /* 150227 */     // GIR_Coverage, 24293,
     /* 150227 */     GIR_EraseRootFromParent_Done,
     /* 150228 */   // Label 3273: @150228
     /* 150228 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(150290), // Rule ID 2140 //
     /* 150233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150252 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150255 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150259 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150265 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150272 */     // (fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDrm),
     /* 150275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150277 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150279 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150288 */     GIR_RootConstrainSelectedInstOperands,
     /* 150289 */     // GIR_Coverage, 2140,
     /* 150289 */     GIR_EraseRootFromParent_Done,
     /* 150290 */   // Label 3274: @150290
     /* 150290 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(150352), // Rule ID 6308 //
     /* 150295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150314 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150317 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150321 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150327 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150334 */     // (fadd:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rm),
     /* 150337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150339 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150341 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150350 */     GIR_RootConstrainSelectedInstOperands,
     /* 150351 */     // GIR_Coverage, 6308,
     /* 150351 */     GIR_EraseRootFromParent_Done,
     /* 150352 */   // Label 3275: @150352
     /* 150352 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(150383), // Rule ID 2138 //
     /* 150357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150372 */     // (fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VADDPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 150372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDrr),
     /* 150377 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150381 */     GIR_RootConstrainSelectedInstOperands,
     /* 150382 */     // GIR_Coverage, 2138,
     /* 150382 */     GIR_Done,
     /* 150383 */   // Label 3276: @150383
     /* 150383 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(150414), // Rule ID 2154 //
     /* 150388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 150391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150403 */     // (fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (ADDPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 150403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDPDrr),
     /* 150408 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150412 */     GIR_RootConstrainSelectedInstOperands,
     /* 150413 */     // GIR_Coverage, 2154,
     /* 150413 */     GIR_Done,
     /* 150414 */   // Label 3277: @150414
     /* 150414 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(150445), // Rule ID 6304 //
     /* 150419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150434 */     // (fadd:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VADDPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 150434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rr),
     /* 150439 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150443 */     GIR_RootConstrainSelectedInstOperands,
     /* 150444 */     // GIR_Coverage, 6304,
     /* 150444 */     GIR_Done,
     /* 150445 */   // Label 3278: @150445
     /* 150445 */   GIM_Reject,
     /* 150446 */ // Label 3271: @150446
     /* 150446 */ GIM_Reject,
     /* 150447 */ // Label 3212: @150447
     /* 150447 */ GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(150800),
     /* 150452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 150455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150458 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(150520), // Rule ID 23367 //
     /* 150463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150478 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150481 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150485 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150495 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150502 */     // (fadd:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VADDPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSrm),
     /* 150505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150507 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150509 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150518 */     GIR_RootConstrainSelectedInstOperands,
     /* 150519 */     // GIR_Coverage, 23367,
     /* 150519 */     GIR_EraseRootFromParent_Done,
     /* 150520 */   // Label 3280: @150520
     /* 150520 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(150582), // Rule ID 24277 //
     /* 150525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150540 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150543 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150547 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150557 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150564 */     // (fadd:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VADDPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rm),
     /* 150567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150569 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150571 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150580 */     GIR_RootConstrainSelectedInstOperands,
     /* 150581 */     // GIR_Coverage, 24277,
     /* 150581 */     GIR_EraseRootFromParent_Done,
     /* 150582 */   // Label 3281: @150582
     /* 150582 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(150644), // Rule ID 2136 //
     /* 150587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150606 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150609 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150613 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150619 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150626 */     // (fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSrm),
     /* 150629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150631 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150633 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150642 */     GIR_RootConstrainSelectedInstOperands,
     /* 150643 */     // GIR_Coverage, 2136,
     /* 150643 */     GIR_EraseRootFromParent_Done,
     /* 150644 */   // Label 3282: @150644
     /* 150644 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(150706), // Rule ID 6284 //
     /* 150649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150668 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150671 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150675 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150688 */     // (fadd:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rm),
     /* 150691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150693 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150695 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150704 */     GIR_RootConstrainSelectedInstOperands,
     /* 150705 */     // GIR_Coverage, 6284,
     /* 150705 */     GIR_EraseRootFromParent_Done,
     /* 150706 */   // Label 3283: @150706
     /* 150706 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(150737), // Rule ID 2134 //
     /* 150711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150726 */     // (fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VADDPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 150726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSrr),
     /* 150731 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150735 */     GIR_RootConstrainSelectedInstOperands,
     /* 150736 */     // GIR_Coverage, 2134,
     /* 150736 */     GIR_Done,
     /* 150737 */   // Label 3284: @150737
     /* 150737 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(150768), // Rule ID 2150 //
     /* 150742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 150745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 150757 */     // (fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (ADDPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 150757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDPSrr),
     /* 150762 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150766 */     GIR_RootConstrainSelectedInstOperands,
     /* 150767 */     // GIR_Coverage, 2150,
     /* 150767 */     GIR_Done,
     /* 150768 */   // Label 3285: @150768
     /* 150768 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(150799), // Rule ID 6280 //
     /* 150773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 150788 */     // (fadd:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VADDPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 150788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rr),
     /* 150793 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 150797 */     GIR_RootConstrainSelectedInstOperands,
     /* 150798 */     // GIR_Coverage, 6280,
     /* 150798 */     GIR_Done,
     /* 150799 */   // Label 3286: @150799
     /* 150799 */   GIM_Reject,
     /* 150800 */ // Label 3279: @150800
     /* 150800 */ GIM_Reject,
     /* 150801 */ // Label 3213: @150801
     /* 150801 */ GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(151123),
     /* 150806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 150809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 150812 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(150874), // Rule ID 23373 //
     /* 150817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 150824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150832 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150835 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150839 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 150847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150849 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150856 */     // (fadd:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VADDPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDYrm),
     /* 150859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150861 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150863 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150867 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150872 */     GIR_RootConstrainSelectedInstOperands,
     /* 150873 */     // GIR_Coverage, 23373,
     /* 150873 */     GIR_EraseRootFromParent_Done,
     /* 150874 */   // Label 3288: @150874
     /* 150874 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(150936), // Rule ID 24301 //
     /* 150879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 150882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 150886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 150890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150894 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150897 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150901 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 150909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150911 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150918 */     // (fadd:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VADDPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rm),
     /* 150921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150923 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 150925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150934 */     GIR_RootConstrainSelectedInstOperands,
     /* 150935 */     // GIR_Coverage, 24301,
     /* 150935 */     GIR_EraseRootFromParent_Done,
     /* 150936 */   // Label 3289: @150936
     /* 150936 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(150998), // Rule ID 2148 //
     /* 150941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 150944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 150948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 150952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 150956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 150960 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 150963 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 150967 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 150971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 150973 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 150980 */     // (fadd:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 150980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDYrm),
     /* 150983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150985 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 150987 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 150991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 150996 */     GIR_RootConstrainSelectedInstOperands,
     /* 150997 */     // GIR_Coverage, 2148,
     /* 150997 */     GIR_EraseRootFromParent_Done,
     /* 150998 */   // Label 3290: @150998
     /* 150998 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(151060), // Rule ID 6320 //
     /* 151003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151022 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151025 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151029 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151035 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151042 */     // (fadd:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rm),
     /* 151045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151047 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151049 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151053 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151058 */     GIR_RootConstrainSelectedInstOperands,
     /* 151059 */     // GIR_Coverage, 6320,
     /* 151059 */     GIR_EraseRootFromParent_Done,
     /* 151060 */   // Label 3291: @151060
     /* 151060 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(151091), // Rule ID 2146 //
     /* 151065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151080 */     // (fadd:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VADDPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 151080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDYrr),
     /* 151085 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151089 */     GIR_RootConstrainSelectedInstOperands,
     /* 151090 */     // GIR_Coverage, 2146,
     /* 151090 */     GIR_Done,
     /* 151091 */   // Label 3292: @151091
     /* 151091 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(151122), // Rule ID 6316 //
     /* 151096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151111 */     // (fadd:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VADDPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 151111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rr),
     /* 151116 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151120 */     GIR_RootConstrainSelectedInstOperands,
     /* 151121 */     // GIR_Coverage, 6316,
     /* 151121 */     GIR_Done,
     /* 151122 */   // Label 3293: @151122
     /* 151122 */   GIM_Reject,
     /* 151123 */ // Label 3287: @151123
     /* 151123 */ GIM_Reject,
     /* 151124 */ // Label 3214: @151124
     /* 151124 */ GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(151283),
     /* 151129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 151132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 151135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151139 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(151197), // Rule ID 24317 //
     /* 151144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 151147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151155 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151158 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151162 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151172 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151179 */     // (fadd:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VADDPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rm),
     /* 151182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151184 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151186 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151195 */     GIR_RootConstrainSelectedInstOperands,
     /* 151196 */     // GIR_Coverage, 24317,
     /* 151196 */     GIR_EraseRootFromParent_Done,
     /* 151197 */   // Label 3295: @151197
     /* 151197 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(151255), // Rule ID 6344 //
     /* 151202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 151205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151217 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151220 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151224 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151230 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151237 */     // (fadd:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rm),
     /* 151240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151242 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151244 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151253 */     GIR_RootConstrainSelectedInstOperands,
     /* 151254 */     // GIR_Coverage, 6344,
     /* 151254 */     GIR_EraseRootFromParent_Done,
     /* 151255 */   // Label 3296: @151255
     /* 151255 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(151282), // Rule ID 6340 //
     /* 151260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 151263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 151271 */     // (fadd:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VADDPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 151271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rr),
     /* 151276 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151280 */     GIR_RootConstrainSelectedInstOperands,
     /* 151281 */     // GIR_Coverage, 6340,
     /* 151281 */     GIR_Done,
     /* 151282 */   // Label 3297: @151282
     /* 151282 */   GIM_Reject,
     /* 151283 */ // Label 3294: @151283
     /* 151283 */ GIM_Reject,
     /* 151284 */ // Label 3215: @151284
     /* 151284 */ GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(151606),
     /* 151289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 151292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 151295 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(151357), // Rule ID 23371 //
     /* 151300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151315 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151318 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151322 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151332 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151339 */     // (fadd:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VADDPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSYrm),
     /* 151342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151344 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151346 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151355 */     GIR_RootConstrainSelectedInstOperands,
     /* 151356 */     // GIR_Coverage, 23371,
     /* 151356 */     GIR_EraseRootFromParent_Done,
     /* 151357 */   // Label 3299: @151357
     /* 151357 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(151419), // Rule ID 24285 //
     /* 151362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151377 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151380 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151384 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151401 */     // (fadd:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VADDPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rm),
     /* 151404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151406 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151408 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151417 */     GIR_RootConstrainSelectedInstOperands,
     /* 151418 */     // GIR_Coverage, 24285,
     /* 151418 */     GIR_EraseRootFromParent_Done,
     /* 151419 */   // Label 3300: @151419
     /* 151419 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(151481), // Rule ID 2144 //
     /* 151424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151443 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151446 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151450 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151456 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151463 */     // (fadd:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSYrm),
     /* 151466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151468 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151470 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151479 */     GIR_RootConstrainSelectedInstOperands,
     /* 151480 */     // GIR_Coverage, 2144,
     /* 151480 */     GIR_EraseRootFromParent_Done,
     /* 151481 */   // Label 3301: @151481
     /* 151481 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(151543), // Rule ID 6296 //
     /* 151486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151505 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151508 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151512 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151518 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151525 */     // (fadd:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rm),
     /* 151528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151530 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151532 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151536 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151541 */     GIR_RootConstrainSelectedInstOperands,
     /* 151542 */     // GIR_Coverage, 6296,
     /* 151542 */     GIR_EraseRootFromParent_Done,
     /* 151543 */   // Label 3302: @151543
     /* 151543 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(151574), // Rule ID 2142 //
     /* 151548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 151551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 151563 */     // (fadd:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VADDPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 151563 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSYrr),
     /* 151568 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151572 */     GIR_RootConstrainSelectedInstOperands,
     /* 151573 */     // GIR_Coverage, 2142,
     /* 151573 */     GIR_Done,
     /* 151574 */   // Label 3303: @151574
     /* 151574 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(151605), // Rule ID 6292 //
     /* 151579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 151582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151594 */     // (fadd:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VADDPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 151594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rr),
     /* 151599 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151603 */     GIR_RootConstrainSelectedInstOperands,
     /* 151604 */     // GIR_Coverage, 6292,
     /* 151604 */     GIR_Done,
     /* 151605 */   // Label 3304: @151605
     /* 151605 */   GIM_Reject,
     /* 151606 */ // Label 3298: @151606
     /* 151606 */ GIM_Reject,
     /* 151607 */ // Label 3216: @151607
     /* 151607 */ GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(151766),
     /* 151612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 151615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 151618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 151622 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(151680), // Rule ID 24269 //
     /* 151627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 151630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151638 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151641 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151645 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 151653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151655 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151662 */     // (fadd:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VADDPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZrm),
     /* 151665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151667 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151669 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151673 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151678 */     GIR_RootConstrainSelectedInstOperands,
     /* 151679 */     // GIR_Coverage, 24269,
     /* 151679 */     GIR_EraseRootFromParent_Done,
     /* 151680 */   // Label 3306: @151680
     /* 151680 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(151738), // Rule ID 6272 //
     /* 151685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 151688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 151692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151700 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151703 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151707 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151713 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151720 */     // (fadd:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZrm),
     /* 151723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151725 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151727 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151736 */     GIR_RootConstrainSelectedInstOperands,
     /* 151737 */     // GIR_Coverage, 6272,
     /* 151737 */     GIR_EraseRootFromParent_Done,
     /* 151738 */   // Label 3307: @151738
     /* 151738 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(151765), // Rule ID 6268 //
     /* 151743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 151746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 151750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 151754 */     // (fadd:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VADDPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 151754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZrr),
     /* 151759 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151763 */     GIR_RootConstrainSelectedInstOperands,
     /* 151764 */     // GIR_Coverage, 6268,
     /* 151764 */     GIR_Done,
     /* 151765 */   // Label 3308: @151765
     /* 151765 */   GIM_Reject,
     /* 151766 */ // Label 3305: @151766
     /* 151766 */ GIM_Reject,
     /* 151767 */ // Label 3217: @151767
     /* 151767 */ GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(151926),
     /* 151772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 151775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 151778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151782 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(151840), // Rule ID 24325 //
     /* 151787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 151790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151798 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151801 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151805 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151815 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151822 */     // (fadd:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VADDPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rm),
     /* 151825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151827 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151829 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151838 */     GIR_RootConstrainSelectedInstOperands,
     /* 151839 */     // GIR_Coverage, 24325,
     /* 151839 */     GIR_EraseRootFromParent_Done,
     /* 151840 */   // Label 3310: @151840
     /* 151840 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(151898), // Rule ID 6356 //
     /* 151845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 151848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 151856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151860 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151863 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151867 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151873 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151880 */     // (fadd:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rm),
     /* 151883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151885 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 151887 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151891 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151896 */     GIR_RootConstrainSelectedInstOperands,
     /* 151897 */     // GIR_Coverage, 6356,
     /* 151897 */     GIR_EraseRootFromParent_Done,
     /* 151898 */   // Label 3311: @151898
     /* 151898 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(151925), // Rule ID 6352 //
     /* 151903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 151906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 151914 */     // (fadd:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VADDPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 151914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rr),
     /* 151919 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 151923 */     GIR_RootConstrainSelectedInstOperands,
     /* 151924 */     // GIR_Coverage, 6352,
     /* 151924 */     GIR_Done,
     /* 151925 */   // Label 3312: @151925
     /* 151925 */   GIM_Reject,
     /* 151926 */ // Label 3309: @151926
     /* 151926 */ GIM_Reject,
     /* 151927 */ // Label 3218: @151927
     /* 151927 */ GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(152086),
     /* 151932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 151935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 151938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 151942 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(152000), // Rule ID 24261 //
     /* 151947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 151950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 151954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 151958 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 151961 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 151965 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 151969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 151973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 151975 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 151982 */     // (fadd:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VADDPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 151982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZrm),
     /* 151985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151987 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 151989 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 151993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 151998 */     GIR_RootConstrainSelectedInstOperands,
     /* 151999 */     // GIR_Coverage, 24261,
     /* 151999 */     GIR_EraseRootFromParent_Done,
     /* 152000 */   // Label 3314: @152000
     /* 152000 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(152058), // Rule ID 6260 //
     /* 152005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152020 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152023 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152027 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152033 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152040 */     // (fadd:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZrm),
     /* 152043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152045 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152047 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152056 */     GIR_RootConstrainSelectedInstOperands,
     /* 152057 */     // GIR_Coverage, 6260,
     /* 152057 */     GIR_EraseRootFromParent_Done,
     /* 152058 */   // Label 3315: @152058
     /* 152058 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(152085), // Rule ID 6256 //
     /* 152063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152074 */     // (fadd:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VADDPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 152074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZrr),
     /* 152079 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 152083 */     GIR_RootConstrainSelectedInstOperands,
     /* 152084 */     // GIR_Coverage, 6256,
     /* 152084 */     GIR_Done,
     /* 152085 */   // Label 3316: @152085
     /* 152085 */   GIM_Reject,
     /* 152086 */ // Label 3313: @152086
     /* 152086 */ GIM_Reject,
     /* 152087 */ // Label 3219: @152087
     /* 152087 */ GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(152246),
     /* 152092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 152095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 152098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152102 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(152160), // Rule ID 24309 //
     /* 152107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 152114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152118 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152121 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152125 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152142 */     // (fadd:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VADDPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZrm),
     /* 152145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152147 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 152149 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152158 */     GIR_RootConstrainSelectedInstOperands,
     /* 152159 */     // GIR_Coverage, 24309,
     /* 152159 */     GIR_EraseRootFromParent_Done,
     /* 152160 */   // Label 3318: @152160
     /* 152160 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(152218), // Rule ID 6332 //
     /* 152165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152180 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152183 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152187 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152200 */     // (fadd:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZrm),
     /* 152203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152205 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152207 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152216 */     GIR_RootConstrainSelectedInstOperands,
     /* 152217 */     // GIR_Coverage, 6332,
     /* 152217 */     GIR_EraseRootFromParent_Done,
     /* 152218 */   // Label 3319: @152218
     /* 152218 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(152245), // Rule ID 6328 //
     /* 152223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 152234 */     // (fadd:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VADDPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 152234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZrr),
     /* 152239 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 152243 */     GIR_RootConstrainSelectedInstOperands,
     /* 152244 */     // GIR_Coverage, 6328,
     /* 152244 */     GIR_Done,
     /* 152245 */   // Label 3320: @152245
     /* 152245 */   GIM_Reject,
     /* 152246 */ // Label 3317: @152246
     /* 152246 */ GIM_Reject,
     /* 152247 */ // Label 3220: @152247
     /* 152247 */ GIM_Reject,
     /* 152248 */ // Label 42: @152248
     /* 152248 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3334*/ GIMT_Encode4(155641),
     /* 152259 */ /*GILLT_s16*//*Label 3321*/ GIMT_Encode4(152343),
     /* 152263 */ /*GILLT_s32*//*Label 3322*/ GIMT_Encode4(152441),
     /* 152267 */ /*GILLT_s64*//*Label 3323*/ GIMT_Encode4(153134),
     /* 152271 */ /*GILLT_s80*//*Label 3324*/ GIMT_Encode4(153971), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 152283 */ /*GILLT_v2s64*//*Label 3325*/ GIMT_Encode4(154293), GIMT_Encode4(0),
     /* 152291 */ /*GILLT_v4s32*//*Label 3326*/ GIMT_Encode4(154523),
     /* 152295 */ /*GILLT_v4s64*//*Label 3327*/ GIMT_Encode4(154753), GIMT_Encode4(0),
     /* 152303 */ /*GILLT_v8s16*//*Label 3328*/ GIMT_Encode4(154952),
     /* 152307 */ /*GILLT_v8s32*//*Label 3329*/ GIMT_Encode4(155050),
     /* 152311 */ /*GILLT_v8s64*//*Label 3330*/ GIMT_Encode4(155249), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 152323 */ /*GILLT_v16s16*//*Label 3331*/ GIMT_Encode4(155347),
     /* 152327 */ /*GILLT_v16s32*//*Label 3332*/ GIMT_Encode4(155445), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 152339 */ /*GILLT_v32s16*//*Label 3333*/ GIMT_Encode4(155543),
     /* 152343 */ // Label 3321: @152343
     /* 152343 */ GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(152440),
     /* 152348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 152351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 152354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 152358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 152362 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(152416), // Rule ID 6068 //
     /* 152367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152378 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152381 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152385 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152398 */     // (fsub:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSHZrm),
     /* 152401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152403 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152405 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152414 */     GIR_RootConstrainSelectedInstOperands,
     /* 152415 */     // GIR_Coverage, 6068,
     /* 152415 */     GIR_EraseRootFromParent_Done,
     /* 152416 */   // Label 3336: @152416
     /* 152416 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(152439), // Rule ID 6066 //
     /* 152421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 152424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 152428 */     // (fsub:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VSUBSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 152428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSHZrr),
     /* 152433 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 152437 */     GIR_RootConstrainSelectedInstOperands,
     /* 152438 */     // GIR_Coverage, 6066,
     /* 152438 */     GIR_Done,
     /* 152439 */   // Label 3337: @152439
     /* 152439 */   GIM_Reject,
     /* 152440 */ // Label 3335: @152440
     /* 152440 */ GIM_Reject,
     /* 152441 */ // Label 3322: @152441
     /* 152441 */ GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(153133),
     /* 152446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 152449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152452 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(152530), // Rule ID 22472 //
     /* 152457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 152460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 152476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 152480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 152484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152488 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 152491 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 152498 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 152502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 152504 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152511 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (SUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSSrm),
     /* 152514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152516 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152518 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152522 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 152528 */     GIR_RootConstrainSelectedInstOperands,
     /* 152529 */     // GIR_Coverage, 22472,
     /* 152529 */     GIR_EraseRootFromParent_Done,
     /* 152530 */   // Label 3339: @152530
     /* 152530 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(152608), // Rule ID 22473 //
     /* 152535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 152538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 152554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 152558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 152562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152566 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 152569 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 152576 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 152580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 152582 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152589 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (VSUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSrm),
     /* 152592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152594 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152596 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 152606 */     GIR_RootConstrainSelectedInstOperands,
     /* 152607 */     // GIR_Coverage, 22473,
     /* 152607 */     GIR_EraseRootFromParent_Done,
     /* 152608 */   // Label 3340: @152608
     /* 152608 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(152686), // Rule ID 22474 //
     /* 152613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 152620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 152624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 152632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 152636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 152640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152644 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 152647 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 152654 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 152658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 152660 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152667 */     // (fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (VSUBSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrm),
     /* 152670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152672 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152674 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 152684 */     GIR_RootConstrainSelectedInstOperands,
     /* 152685 */     // GIR_Coverage, 22474,
     /* 152685 */     GIR_EraseRootFromParent_Done,
     /* 152686 */   // Label 3341: @152686
     /* 152686 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(152751), // Rule ID 954 //
     /* 152691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 152694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 152698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 152702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152706 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152709 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152713 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 152721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152723 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152730 */     // (fsub:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (SUBR_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp32m),
     /* 152733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152735 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 152737 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 152744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152749 */     GIR_RootConstrainSelectedInstOperands,
     /* 152750 */     // GIR_Coverage, 954,
     /* 152750 */     GIR_EraseRootFromParent_Done,
     /* 152751 */   // Label 3342: @152751
     /* 152751 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(152816), // Rule ID 932 //
     /* 152756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 152759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 152763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 152767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152775 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152778 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152782 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152788 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152795 */     // (fsub:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp32m),
     /* 152798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152800 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152802 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 152809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152814 */     GIR_RootConstrainSelectedInstOperands,
     /* 152815 */     // GIR_Coverage, 932,
     /* 152815 */     GIR_EraseRootFromParent_Done,
     /* 152816 */   // Label 3343: @152816
     /* 152816 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(152878), // Rule ID 2240 //
     /* 152821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 152824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152840 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152843 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152847 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152860 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSrm),
     /* 152863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152865 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152867 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152876 */     GIR_RootConstrainSelectedInstOperands,
     /* 152877 */     // GIR_Coverage, 2240,
     /* 152877 */     GIR_EraseRootFromParent_Done,
     /* 152878 */   // Label 3344: @152878
     /* 152878 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(152940), // Rule ID 2248 //
     /* 152883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 152886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 152894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152902 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152905 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152909 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152915 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152922 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSSrm),
     /* 152925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152927 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152929 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152933 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 152938 */     GIR_RootConstrainSelectedInstOperands,
     /* 152939 */     // GIR_Coverage, 2248,
     /* 152939 */     GIR_EraseRootFromParent_Done,
     /* 152940 */   // Label 3345: @152940
     /* 152940 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(153002), // Rule ID 6030 //
     /* 152945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 152948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 152952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 152956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 152960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 152964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 152967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 152971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 152975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 152977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 152984 */     // (fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 152984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrm),
     /* 152987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152989 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 152991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 152995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153000 */     GIR_RootConstrainSelectedInstOperands,
     /* 153001 */     // GIR_Coverage, 6030,
     /* 153001 */     GIR_EraseRootFromParent_Done,
     /* 153002 */   // Label 3346: @153002
     /* 153002 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(153039), // Rule ID 892 //
     /* 153007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 153010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 153022 */     // (fsub:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (SUB_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 153022 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp32),
     /* 153027 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 153033 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 153037 */     GIR_RootConstrainSelectedInstOperands,
     /* 153038 */     // GIR_Coverage, 892,
     /* 153038 */     GIR_Done,
     /* 153039 */   // Label 3347: @153039
     /* 153039 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(153070), // Rule ID 2238 //
     /* 153044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 153047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153059 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VSUBSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 153059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSSrr),
     /* 153064 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 153068 */     GIR_RootConstrainSelectedInstOperands,
     /* 153069 */     // GIR_Coverage, 2238,
     /* 153069 */     GIR_Done,
     /* 153070 */   // Label 3348: @153070
     /* 153070 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(153101), // Rule ID 2246 //
     /* 153075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 153078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 153090 */     // (fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (SUBSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 153090 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBSSrr),
     /* 153095 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 153099 */     GIR_RootConstrainSelectedInstOperands,
     /* 153100 */     // GIR_Coverage, 2246,
     /* 153100 */     GIR_Done,
     /* 153101 */   // Label 3349: @153101
     /* 153101 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(153132), // Rule ID 6028 //
     /* 153106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 153109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 153121 */     // (fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VSUBSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 153121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrr),
     /* 153126 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 153130 */     GIR_RootConstrainSelectedInstOperands,
     /* 153131 */     // GIR_Coverage, 6028,
     /* 153131 */     GIR_Done,
     /* 153132 */   // Label 3350: @153132
     /* 153132 */   GIM_Reject,
     /* 153133 */ // Label 3338: @153133
     /* 153133 */ GIM_Reject,
     /* 153134 */ // Label 3323: @153134
     /* 153134 */ GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(153970),
     /* 153139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 153142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 153145 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(153223), // Rule ID 22475 //
     /* 153150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 153153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 153169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 153173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153181 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153184 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 153191 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 153195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153197 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153204 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (SUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSDrm),
     /* 153207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153209 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153211 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 153221 */     GIR_RootConstrainSelectedInstOperands,
     /* 153222 */     // GIR_Coverage, 22475,
     /* 153222 */     GIR_EraseRootFromParent_Done,
     /* 153223 */   // Label 3352: @153223
     /* 153223 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(153301), // Rule ID 22476 //
     /* 153228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 153231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 153247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 153251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153259 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153262 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 153269 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 153273 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153275 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153282 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (VSUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDrm),
     /* 153285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153287 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153289 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 153299 */     GIR_RootConstrainSelectedInstOperands,
     /* 153300 */     // GIR_Coverage, 22476,
     /* 153300 */     GIR_EraseRootFromParent_Done,
     /* 153301 */   // Label 3353: @153301
     /* 153301 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(153379), // Rule ID 22477 //
     /* 153306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 153309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 153313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 153317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 153325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 153329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153337 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 153340 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 153347 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 153351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 153353 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153360 */     // (fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (VSUBSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrm),
     /* 153363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153365 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153367 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 153377 */     GIR_RootConstrainSelectedInstOperands,
     /* 153378 */     // GIR_Coverage, 22477,
     /* 153378 */     GIR_EraseRootFromParent_Done,
     /* 153379 */   // Label 3354: @153379
     /* 153379 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(153444), // Rule ID 956 //
     /* 153384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 153387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 153395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153399 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153402 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153406 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153416 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153423 */     // (fsub:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (SUBR_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp64m),
     /* 153426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153428 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 153430 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 153437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153442 */     GIR_RootConstrainSelectedInstOperands,
     /* 153443 */     // GIR_Coverage, 956,
     /* 153443 */     GIR_EraseRootFromParent_Done,
     /* 153444 */   // Label 3355: @153444
     /* 153444 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(153516), // Rule ID 958 //
     /* 153449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 153452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 153460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153464 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153467 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153471 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 153478 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153488 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153495 */     // (fsub:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (SUBR_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp64m32),
     /* 153498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153500 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 153502 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 153509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153514 */     GIR_RootConstrainSelectedInstOperands,
     /* 153515 */     // GIR_Coverage, 958,
     /* 153515 */     GIR_EraseRootFromParent_Done,
     /* 153516 */   // Label 3356: @153516
     /* 153516 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(153581), // Rule ID 934 //
     /* 153521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 153524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153540 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153543 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153547 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153553 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153560 */     // (fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64m),
     /* 153563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153565 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153567 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 153574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153579 */     GIR_RootConstrainSelectedInstOperands,
     /* 153580 */     // GIR_Coverage, 934,
     /* 153580 */     GIR_EraseRootFromParent_Done,
     /* 153581 */   // Label 3357: @153581
     /* 153581 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(153653), // Rule ID 936 //
     /* 153586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 153589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153605 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153608 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153612 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 153619 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153625 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153632 */     // (fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (SUB_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64m32),
     /* 153635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153637 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153639 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 153646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153651 */     GIR_RootConstrainSelectedInstOperands,
     /* 153652 */     // GIR_Coverage, 936,
     /* 153652 */     GIR_EraseRootFromParent_Done,
     /* 153653 */   // Label 3358: @153653
     /* 153653 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(153715), // Rule ID 2244 //
     /* 153658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 153661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153677 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153680 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153684 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153690 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153697 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDrm),
     /* 153700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153702 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153704 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153708 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153713 */     GIR_RootConstrainSelectedInstOperands,
     /* 153714 */     // GIR_Coverage, 2244,
     /* 153714 */     GIR_EraseRootFromParent_Done,
     /* 153715 */   // Label 3359: @153715
     /* 153715 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(153777), // Rule ID 2252 //
     /* 153720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 153723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153739 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153742 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153746 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153752 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153759 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSDrm),
     /* 153762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153764 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153766 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153770 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153775 */     GIR_RootConstrainSelectedInstOperands,
     /* 153776 */     // GIR_Coverage, 2252,
     /* 153776 */     GIR_EraseRootFromParent_Done,
     /* 153777 */   // Label 3360: @153777
     /* 153777 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(153839), // Rule ID 6049 //
     /* 153782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 153785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 153789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 153793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 153797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 153801 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 153804 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 153808 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 153812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 153814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 153821 */     // (fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 153821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrm),
     /* 153824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153826 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 153828 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 153832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 153837 */     GIR_RootConstrainSelectedInstOperands,
     /* 153838 */     // GIR_Coverage, 6049,
     /* 153838 */     GIR_EraseRootFromParent_Done,
     /* 153839 */   // Label 3361: @153839
     /* 153839 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(153876), // Rule ID 894 //
     /* 153844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 153847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 153859 */     // (fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (SUB_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 153859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64),
     /* 153864 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 153870 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 153874 */     GIR_RootConstrainSelectedInstOperands,
     /* 153875 */     // GIR_Coverage, 894,
     /* 153875 */     GIR_Done,
     /* 153876 */   // Label 3362: @153876
     /* 153876 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(153907), // Rule ID 2242 //
     /* 153881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 153884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153896 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VSUBSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 153896 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSDrr),
     /* 153901 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 153905 */     GIR_RootConstrainSelectedInstOperands,
     /* 153906 */     // GIR_Coverage, 2242,
     /* 153906 */     GIR_Done,
     /* 153907 */   // Label 3363: @153907
     /* 153907 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(153938), // Rule ID 2250 //
     /* 153912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 153915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 153927 */     // (fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (SUBSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 153927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBSDrr),
     /* 153932 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 153936 */     GIR_RootConstrainSelectedInstOperands,
     /* 153937 */     // GIR_Coverage, 2250,
     /* 153937 */     GIR_Done,
     /* 153938 */   // Label 3364: @153938
     /* 153938 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(153969), // Rule ID 6047 //
     /* 153943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 153946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 153950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 153954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 153958 */     // (fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VSUBSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 153958 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrr),
     /* 153963 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 153967 */     GIR_RootConstrainSelectedInstOperands,
     /* 153968 */     // GIR_Coverage, 6047,
     /* 153968 */     GIR_Done,
     /* 153969 */   // Label 3365: @153969
     /* 153969 */   GIM_Reject,
     /* 153970 */ // Label 3351: @153970
     /* 153970 */ GIM_Reject,
     /* 153971 */ // Label 3324: @153971
     /* 153971 */ GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(154292),
     /* 153976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 153979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 153982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 153986 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(154054), // Rule ID 960 //
     /* 153991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 153994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 153998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154002 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154005 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154009 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 154016 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154026 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154033 */     // (fsub:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (SUBR_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp80m32),
     /* 154036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154038 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 154040 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 154047 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154052 */     GIR_RootConstrainSelectedInstOperands,
     /* 154053 */     // GIR_Coverage, 960,
     /* 154053 */     GIR_EraseRootFromParent_Done,
     /* 154054 */   // Label 3367: @154054
     /* 154054 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(154122), // Rule ID 962 //
     /* 154059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 154062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 154066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154070 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154073 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154077 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 154084 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154094 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154101 */     // (fsub:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (SUBR_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp80m64),
     /* 154104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154106 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 154108 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 154115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154120 */     GIR_RootConstrainSelectedInstOperands,
     /* 154121 */     // GIR_Coverage, 962,
     /* 154121 */     GIR_EraseRootFromParent_Done,
     /* 154122 */   // Label 3368: @154122
     /* 154122 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(154190), // Rule ID 938 //
     /* 154127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 154130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154142 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154145 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154149 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 154156 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154169 */     // (fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (SUB_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80m32),
     /* 154172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154174 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154176 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 154183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154188 */     GIR_RootConstrainSelectedInstOperands,
     /* 154189 */     // GIR_Coverage, 938,
     /* 154189 */     GIR_EraseRootFromParent_Done,
     /* 154190 */   // Label 3369: @154190
     /* 154190 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(154258), // Rule ID 940 //
     /* 154195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 154198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154210 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154213 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154217 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 154224 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154230 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154237 */     // (fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (SUB_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80m64),
     /* 154240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154242 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154244 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 154251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154256 */     GIR_RootConstrainSelectedInstOperands,
     /* 154257 */     // GIR_Coverage, 940,
     /* 154257 */     GIR_EraseRootFromParent_Done,
     /* 154258 */   // Label 3370: @154258
     /* 154258 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(154291), // Rule ID 896 //
     /* 154263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 154266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 154274 */     // (fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (SUB_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 154274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80),
     /* 154279 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 154285 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 154289 */     GIR_RootConstrainSelectedInstOperands,
     /* 154290 */     // GIR_Coverage, 896,
     /* 154290 */     GIR_Done,
     /* 154291 */   // Label 3371: @154291
     /* 154291 */   GIM_Reject,
     /* 154292 */ // Label 3366: @154292
     /* 154292 */ GIM_Reject,
     /* 154293 */ // Label 3325: @154293
     /* 154293 */ GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(154522),
     /* 154298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 154301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154304 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(154366), // Rule ID 2220 //
     /* 154309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 154312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154328 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154331 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154335 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154348 */     // (fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDrm),
     /* 154351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154353 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154355 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154364 */     GIR_RootConstrainSelectedInstOperands,
     /* 154365 */     // GIR_Coverage, 2220,
     /* 154365 */     GIR_EraseRootFromParent_Done,
     /* 154366 */   // Label 3373: @154366
     /* 154366 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(154428), // Rule ID 6542 //
     /* 154371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 154374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154390 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154393 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154397 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154403 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154410 */     // (fsub:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ128rm),
     /* 154413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154415 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154417 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154426 */     GIR_RootConstrainSelectedInstOperands,
     /* 154427 */     // GIR_Coverage, 6542,
     /* 154427 */     GIR_EraseRootFromParent_Done,
     /* 154428 */   // Label 3374: @154428
     /* 154428 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(154459), // Rule ID 2218 //
     /* 154433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 154436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154448 */     // (fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VSUBPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 154448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDrr),
     /* 154453 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154457 */     GIR_RootConstrainSelectedInstOperands,
     /* 154458 */     // GIR_Coverage, 2218,
     /* 154458 */     GIR_Done,
     /* 154459 */   // Label 3375: @154459
     /* 154459 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(154490), // Rule ID 2234 //
     /* 154464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 154467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154479 */     // (fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (SUBPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 154479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBPDrr),
     /* 154484 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154488 */     GIR_RootConstrainSelectedInstOperands,
     /* 154489 */     // GIR_Coverage, 2234,
     /* 154489 */     GIR_Done,
     /* 154490 */   // Label 3376: @154490
     /* 154490 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(154521), // Rule ID 6538 //
     /* 154495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 154498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154510 */     // (fsub:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VSUBPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 154510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ128rr),
     /* 154515 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154519 */     GIR_RootConstrainSelectedInstOperands,
     /* 154520 */     // GIR_Coverage, 6538,
     /* 154520 */     GIR_Done,
     /* 154521 */   // Label 3377: @154521
     /* 154521 */   GIM_Reject,
     /* 154522 */ // Label 3372: @154522
     /* 154522 */ GIM_Reject,
     /* 154523 */ // Label 3326: @154523
     /* 154523 */ GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(154752),
     /* 154528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 154534 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(154596), // Rule ID 2216 //
     /* 154539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 154542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154558 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154561 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154565 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154578 */     // (fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSrm),
     /* 154581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154583 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154585 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154594 */     GIR_RootConstrainSelectedInstOperands,
     /* 154595 */     // GIR_Coverage, 2216,
     /* 154595 */     GIR_EraseRootFromParent_Done,
     /* 154596 */   // Label 3379: @154596
     /* 154596 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(154658), // Rule ID 6518 //
     /* 154601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 154604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154620 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154623 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154627 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154640 */     // (fsub:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ128rm),
     /* 154643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154656 */     GIR_RootConstrainSelectedInstOperands,
     /* 154657 */     // GIR_Coverage, 6518,
     /* 154657 */     GIR_EraseRootFromParent_Done,
     /* 154658 */   // Label 3380: @154658
     /* 154658 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(154689), // Rule ID 2214 //
     /* 154663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 154666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154678 */     // (fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VSUBPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 154678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSrr),
     /* 154683 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154687 */     GIR_RootConstrainSelectedInstOperands,
     /* 154688 */     // GIR_Coverage, 2214,
     /* 154688 */     GIR_Done,
     /* 154689 */   // Label 3381: @154689
     /* 154689 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(154720), // Rule ID 2230 //
     /* 154694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 154697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 154709 */     // (fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (SUBPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 154709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBPSrr),
     /* 154714 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154718 */     GIR_RootConstrainSelectedInstOperands,
     /* 154719 */     // GIR_Coverage, 2230,
     /* 154719 */     GIR_Done,
     /* 154720 */   // Label 3382: @154720
     /* 154720 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(154751), // Rule ID 6514 //
     /* 154725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 154728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154740 */     // (fsub:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VSUBPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 154740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ128rr),
     /* 154745 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154749 */     GIR_RootConstrainSelectedInstOperands,
     /* 154750 */     // GIR_Coverage, 6514,
     /* 154750 */     GIR_Done,
     /* 154751 */   // Label 3383: @154751
     /* 154751 */   GIM_Reject,
     /* 154752 */ // Label 3378: @154752
     /* 154752 */ GIM_Reject,
     /* 154753 */ // Label 3327: @154753
     /* 154753 */ GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(154951),
     /* 154758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 154761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 154764 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(154826), // Rule ID 2228 //
     /* 154769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 154772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 154776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 154780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154788 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154791 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154795 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154801 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154808 */     // (fsub:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDYrm),
     /* 154811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154813 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154815 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154824 */     GIR_RootConstrainSelectedInstOperands,
     /* 154825 */     // GIR_Coverage, 2228,
     /* 154825 */     GIR_EraseRootFromParent_Done,
     /* 154826 */   // Label 3385: @154826
     /* 154826 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(154888), // Rule ID 6554 //
     /* 154831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 154834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 154838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 154842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154850 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154853 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154857 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154863 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 154870 */     // (fsub:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 154870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ256rm),
     /* 154873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154875 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 154877 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 154881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 154886 */     GIR_RootConstrainSelectedInstOperands,
     /* 154887 */     // GIR_Coverage, 6554,
     /* 154887 */     GIR_EraseRootFromParent_Done,
     /* 154888 */   // Label 3386: @154888
     /* 154888 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(154919), // Rule ID 2226 //
     /* 154893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 154896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 154900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 154904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 154908 */     // (fsub:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VSUBPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 154908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDYrr),
     /* 154913 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154917 */     GIR_RootConstrainSelectedInstOperands,
     /* 154918 */     // GIR_Coverage, 2226,
     /* 154918 */     GIR_Done,
     /* 154919 */   // Label 3387: @154919
     /* 154919 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(154950), // Rule ID 6550 //
     /* 154924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 154927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 154931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 154935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 154939 */     // (fsub:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VSUBPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 154939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ256rr),
     /* 154944 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 154948 */     GIR_RootConstrainSelectedInstOperands,
     /* 154949 */     // GIR_Coverage, 6550,
     /* 154949 */     GIR_Done,
     /* 154950 */   // Label 3388: @154950
     /* 154950 */   GIM_Reject,
     /* 154951 */ // Label 3384: @154951
     /* 154951 */ GIM_Reject,
     /* 154952 */ // Label 3328: @154952
     /* 154952 */ GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(155049),
     /* 154957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 154963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 154971 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(155025), // Rule ID 6578 //
     /* 154976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 154979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 154987 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 154990 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 154994 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 154998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155007 */     // (fsub:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ128rm),
     /* 155010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155012 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155014 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155023 */     GIR_RootConstrainSelectedInstOperands,
     /* 155024 */     // GIR_Coverage, 6578,
     /* 155024 */     GIR_EraseRootFromParent_Done,
     /* 155025 */   // Label 3390: @155025
     /* 155025 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(155048), // Rule ID 6574 //
     /* 155030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 155033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 155037 */     // (fsub:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VSUBPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 155037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ128rr),
     /* 155042 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155046 */     GIR_RootConstrainSelectedInstOperands,
     /* 155047 */     // GIR_Coverage, 6574,
     /* 155047 */     GIR_Done,
     /* 155048 */   // Label 3391: @155048
     /* 155048 */   GIM_Reject,
     /* 155049 */ // Label 3389: @155049
     /* 155049 */ GIM_Reject,
     /* 155050 */ // Label 3329: @155050
     /* 155050 */ GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(155248),
     /* 155055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 155058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 155061 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(155123), // Rule ID 2224 //
     /* 155066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 155069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155085 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155088 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155092 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155098 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155105 */     // (fsub:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSYrm),
     /* 155108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155110 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155112 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155121 */     GIR_RootConstrainSelectedInstOperands,
     /* 155122 */     // GIR_Coverage, 2224,
     /* 155122 */     GIR_EraseRootFromParent_Done,
     /* 155123 */   // Label 3393: @155123
     /* 155123 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(155185), // Rule ID 6530 //
     /* 155128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 155131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155147 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155150 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155154 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155160 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155167 */     // (fsub:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ256rm),
     /* 155170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155172 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155174 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155183 */     GIR_RootConstrainSelectedInstOperands,
     /* 155184 */     // GIR_Coverage, 6530,
     /* 155184 */     GIR_EraseRootFromParent_Done,
     /* 155185 */   // Label 3394: @155185
     /* 155185 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(155216), // Rule ID 2222 //
     /* 155190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 155193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 155205 */     // (fsub:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VSUBPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 155205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSYrr),
     /* 155210 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155214 */     GIR_RootConstrainSelectedInstOperands,
     /* 155215 */     // GIR_Coverage, 2222,
     /* 155215 */     GIR_Done,
     /* 155216 */   // Label 3395: @155216
     /* 155216 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(155247), // Rule ID 6526 //
     /* 155221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 155224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155236 */     // (fsub:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VSUBPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 155236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ256rr),
     /* 155241 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155245 */     GIR_RootConstrainSelectedInstOperands,
     /* 155246 */     // GIR_Coverage, 6526,
     /* 155246 */     GIR_Done,
     /* 155247 */   // Label 3396: @155247
     /* 155247 */   GIM_Reject,
     /* 155248 */ // Label 3392: @155248
     /* 155248 */ GIM_Reject,
     /* 155249 */ // Label 3330: @155249
     /* 155249 */ GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(155346),
     /* 155254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 155257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 155260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155268 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(155322), // Rule ID 6506 //
     /* 155273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 155276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155284 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155287 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155291 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155297 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155304 */     // (fsub:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZrm),
     /* 155307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155309 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155311 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155320 */     GIR_RootConstrainSelectedInstOperands,
     /* 155321 */     // GIR_Coverage, 6506,
     /* 155321 */     GIR_EraseRootFromParent_Done,
     /* 155322 */   // Label 3398: @155322
     /* 155322 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(155345), // Rule ID 6502 //
     /* 155327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 155330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155334 */     // (fsub:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VSUBPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 155334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZrr),
     /* 155339 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155343 */     GIR_RootConstrainSelectedInstOperands,
     /* 155344 */     // GIR_Coverage, 6502,
     /* 155344 */     GIR_Done,
     /* 155345 */   // Label 3399: @155345
     /* 155345 */   GIM_Reject,
     /* 155346 */ // Label 3397: @155346
     /* 155346 */ GIM_Reject,
     /* 155347 */ // Label 3331: @155347
     /* 155347 */ GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(155444),
     /* 155352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 155355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 155358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155366 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(155420), // Rule ID 6590 //
     /* 155371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 155374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155382 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155385 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155389 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155395 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155402 */     // (fsub:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ256rm),
     /* 155405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155407 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155409 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155418 */     GIR_RootConstrainSelectedInstOperands,
     /* 155419 */     // GIR_Coverage, 6590,
     /* 155419 */     GIR_EraseRootFromParent_Done,
     /* 155420 */   // Label 3401: @155420
     /* 155420 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(155443), // Rule ID 6586 //
     /* 155425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 155428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 155432 */     // (fsub:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VSUBPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 155432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ256rr),
     /* 155437 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155441 */     GIR_RootConstrainSelectedInstOperands,
     /* 155442 */     // GIR_Coverage, 6586,
     /* 155442 */     GIR_Done,
     /* 155443 */   // Label 3402: @155443
     /* 155443 */   GIM_Reject,
     /* 155444 */ // Label 3400: @155444
     /* 155444 */ GIM_Reject,
     /* 155445 */ // Label 3332: @155445
     /* 155445 */ GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(155542),
     /* 155450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 155453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 155456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155464 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(155518), // Rule ID 6494 //
     /* 155469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 155472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155480 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155483 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155487 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155493 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155500 */     // (fsub:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZrm),
     /* 155503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155505 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155507 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155516 */     GIR_RootConstrainSelectedInstOperands,
     /* 155517 */     // GIR_Coverage, 6494,
     /* 155517 */     GIR_EraseRootFromParent_Done,
     /* 155518 */   // Label 3404: @155518
     /* 155518 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(155541), // Rule ID 6490 //
     /* 155523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 155526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155530 */     // (fsub:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VSUBPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 155530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZrr),
     /* 155535 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155539 */     GIR_RootConstrainSelectedInstOperands,
     /* 155540 */     // GIR_Coverage, 6490,
     /* 155540 */     GIR_Done,
     /* 155541 */   // Label 3405: @155541
     /* 155541 */   GIM_Reject,
     /* 155542 */ // Label 3403: @155542
     /* 155542 */ GIM_Reject,
     /* 155543 */ // Label 3333: @155543
     /* 155543 */ GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(155640),
     /* 155548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 155551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 155554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155562 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(155616), // Rule ID 6566 //
     /* 155567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 155570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155578 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155581 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155585 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155591 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155598 */     // (fsub:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZrm),
     /* 155601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155603 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155605 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155614 */     GIR_RootConstrainSelectedInstOperands,
     /* 155615 */     // GIR_Coverage, 6566,
     /* 155615 */     GIR_EraseRootFromParent_Done,
     /* 155616 */   // Label 3407: @155616
     /* 155616 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(155639), // Rule ID 6562 //
     /* 155621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 155624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 155628 */     // (fsub:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VSUBPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 155628 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZrr),
     /* 155633 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155637 */     GIR_RootConstrainSelectedInstOperands,
     /* 155638 */     // GIR_Coverage, 6562,
     /* 155638 */     GIR_Done,
     /* 155639 */   // Label 3408: @155639
     /* 155639 */   GIM_Reject,
     /* 155640 */ // Label 3406: @155640
     /* 155640 */ GIM_Reject,
     /* 155641 */ // Label 3334: @155641
     /* 155641 */ GIM_Reject,
     /* 155642 */ // Label 43: @155642
     /* 155642 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3422*/ GIMT_Encode4(160743),
     /* 155653 */ /*GILLT_s16*//*Label 3409*/ GIMT_Encode4(155737),
     /* 155657 */ /*GILLT_s32*//*Label 3410*/ GIMT_Encode4(155897),
     /* 155661 */ /*GILLT_s64*//*Label 3411*/ GIMT_Encode4(157010),
     /* 155665 */ /*GILLT_s80*//*Label 3412*/ GIMT_Encode4(158267), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 155677 */ /*GILLT_v2s64*//*Label 3413*/ GIMT_Encode4(158589), GIMT_Encode4(0),
     /* 155685 */ /*GILLT_v4s32*//*Label 3414*/ GIMT_Encode4(158943),
     /* 155689 */ /*GILLT_v4s64*//*Label 3415*/ GIMT_Encode4(159297), GIMT_Encode4(0),
     /* 155697 */ /*GILLT_v8s16*//*Label 3416*/ GIMT_Encode4(159620),
     /* 155701 */ /*GILLT_v8s32*//*Label 3417*/ GIMT_Encode4(159780),
     /* 155705 */ /*GILLT_v8s64*//*Label 3418*/ GIMT_Encode4(160103), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 155717 */ /*GILLT_v16s16*//*Label 3419*/ GIMT_Encode4(160263),
     /* 155721 */ /*GILLT_v16s32*//*Label 3420*/ GIMT_Encode4(160423), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 155733 */ /*GILLT_v32s16*//*Label 3421*/ GIMT_Encode4(160583),
     /* 155737 */ // Label 3409: @155737
     /* 155737 */ GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(155896),
     /* 155742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 155745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 155748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 155752 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(155810), // Rule ID 24253 //
     /* 155757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 155760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 155764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155768 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155771 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155775 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 155783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155785 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155792 */     // (fmul:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VMULSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSHZrm),
     /* 155795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155797 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 155799 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155808 */     GIR_RootConstrainSelectedInstOperands,
     /* 155809 */     // GIR_Coverage, 24253,
     /* 155809 */     GIR_EraseRootFromParent_Done,
     /* 155810 */   // Label 3424: @155810
     /* 155810 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(155868), // Rule ID 6011 //
     /* 155815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 155818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 155822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155830 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 155833 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 155837 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 155841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155843 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155850 */     // (fmul:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSHZrm),
     /* 155853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155855 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 155857 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155861 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 155866 */     GIR_RootConstrainSelectedInstOperands,
     /* 155867 */     // GIR_Coverage, 6011,
     /* 155867 */     GIR_EraseRootFromParent_Done,
     /* 155868 */   // Label 3425: @155868
     /* 155868 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(155895), // Rule ID 6009 //
     /* 155873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 155876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 155880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 155884 */     // (fmul:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VMULSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 155884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSHZrr),
     /* 155889 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 155893 */     GIR_RootConstrainSelectedInstOperands,
     /* 155894 */     // GIR_Coverage, 6009,
     /* 155894 */     GIR_Done,
     /* 155895 */   // Label 3426: @155895
     /* 155895 */   GIM_Reject,
     /* 155896 */ // Label 3423: @155896
     /* 155896 */ GIM_Reject,
     /* 155897 */ // Label 3410: @155897
     /* 155897 */ GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(157009),
     /* 155902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 155905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 155908 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(155986), // Rule ID 26021 //
     /* 155913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 155916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 155920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 155924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 155928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 155932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 155936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 155940 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 155943 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 155950 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 155954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 155958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155960 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 155967 */     // (fmul:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>), FR32:{ *:[f32] }:$src1)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 155967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 155970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155972 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 155974 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 155978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 155984 */     GIR_RootConstrainSelectedInstOperands,
     /* 155985 */     // GIR_Coverage, 26021,
     /* 155985 */     GIR_EraseRootFromParent_Done,
     /* 155986 */   // Label 3428: @155986
     /* 155986 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(156064), // Rule ID 26022 //
     /* 155991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 155994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 155998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156018 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156021 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156028 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156038 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156045 */     // (fmul:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>), FR32:{ *:[f32] }:$src1)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 156048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156050 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156052 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156062 */     GIR_RootConstrainSelectedInstOperands,
     /* 156063 */     // GIR_Coverage, 26022,
     /* 156063 */     GIR_EraseRootFromParent_Done,
     /* 156064 */   // Label 3429: @156064
     /* 156064 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(156142), // Rule ID 26023 //
     /* 156069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 156072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156096 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156099 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156106 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156116 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156123 */     // (fmul:{ *:[f32] } (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>), FR32X:{ *:[f32] }:$src1)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 156126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156128 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156130 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156140 */     GIR_RootConstrainSelectedInstOperands,
     /* 156141 */     // GIR_Coverage, 26023,
     /* 156141 */     GIR_EraseRootFromParent_Done,
     /* 156142 */   // Label 3430: @156142
     /* 156142 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(156220), // Rule ID 22478 //
     /* 156147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 156150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156178 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156181 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156188 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156194 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156201 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 156204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156206 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156208 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156218 */     GIR_RootConstrainSelectedInstOperands,
     /* 156219 */     // GIR_Coverage, 22478,
     /* 156219 */     GIR_EraseRootFromParent_Done,
     /* 156220 */   // Label 3431: @156220
     /* 156220 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(156298), // Rule ID 22479 //
     /* 156225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 156228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156256 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156259 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156266 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156272 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156279 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 156282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156284 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156286 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156296 */     GIR_RootConstrainSelectedInstOperands,
     /* 156297 */     // GIR_Coverage, 22479,
     /* 156297 */     GIR_EraseRootFromParent_Done,
     /* 156298 */   // Label 3432: @156298
     /* 156298 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(156376), // Rule ID 22480 //
     /* 156303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 156306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 156322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 156326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156334 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 156337 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 156344 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 156348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156350 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156357 */     // (fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 156360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156362 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156364 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 156374 */     GIR_RootConstrainSelectedInstOperands,
     /* 156375 */     // GIR_Coverage, 22480,
     /* 156375 */     GIR_EraseRootFromParent_Done,
     /* 156376 */   // Label 3433: @156376
     /* 156376 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(156441), // Rule ID 23256 //
     /* 156381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 156384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 156388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156396 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156399 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156403 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 156411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156413 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156420 */     // (fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (MUL_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32m),
     /* 156423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156425 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156427 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 156434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156439 */     GIR_RootConstrainSelectedInstOperands,
     /* 156440 */     // GIR_Coverage, 23256,
     /* 156440 */     GIR_EraseRootFromParent_Done,
     /* 156441 */   // Label 3434: @156441
     /* 156441 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(156503), // Rule ID 23399 //
     /* 156446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 156449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156461 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156464 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156468 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156485 */     // (fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 156488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156490 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156492 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156501 */     GIR_RootConstrainSelectedInstOperands,
     /* 156502 */     // GIR_Coverage, 23399,
     /* 156502 */     GIR_EraseRootFromParent_Done,
     /* 156503 */   // Label 3435: @156503
     /* 156503 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(156565), // Rule ID 23403 //
     /* 156508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 156511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156523 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156526 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156530 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156540 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156547 */     // (fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 156550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156552 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156554 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156563 */     GIR_RootConstrainSelectedInstOperands,
     /* 156564 */     // GIR_Coverage, 23403,
     /* 156564 */     GIR_EraseRootFromParent_Done,
     /* 156565 */   // Label 3436: @156565
     /* 156565 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(156627), // Rule ID 24249 //
     /* 156570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 156573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 156581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156585 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156588 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156592 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156602 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156609 */     // (fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 156612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156614 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 156616 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156625 */     GIR_RootConstrainSelectedInstOperands,
     /* 156626 */     // GIR_Coverage, 24249,
     /* 156626 */     GIR_EraseRootFromParent_Done,
     /* 156627 */   // Label 3437: @156627
     /* 156627 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(156692), // Rule ID 976 //
     /* 156632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 156635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 156639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 156643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156651 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156654 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156658 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156664 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156671 */     // (fmul:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MUL_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32m),
     /* 156674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156676 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156678 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 156685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156690 */     GIR_RootConstrainSelectedInstOperands,
     /* 156691 */     // GIR_Coverage, 976,
     /* 156691 */     GIR_EraseRootFromParent_Done,
     /* 156692 */   // Label 3438: @156692
     /* 156692 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(156754), // Rule ID 2200 //
     /* 156697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 156700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156716 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156719 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156723 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156736 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 156739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156741 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156752 */     GIR_RootConstrainSelectedInstOperands,
     /* 156753 */     // GIR_Coverage, 2200,
     /* 156753 */     GIR_EraseRootFromParent_Done,
     /* 156754 */   // Label 3439: @156754
     /* 156754 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(156816), // Rule ID 2208 //
     /* 156759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 156762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156778 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156781 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156785 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156791 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156798 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 156801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156803 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156805 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156814 */     GIR_RootConstrainSelectedInstOperands,
     /* 156815 */     // GIR_Coverage, 2208,
     /* 156815 */     GIR_EraseRootFromParent_Done,
     /* 156816 */   // Label 3440: @156816
     /* 156816 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(156878), // Rule ID 5973 //
     /* 156821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 156824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 156840 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 156843 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 156847 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 156851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 156853 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 156860 */     // (fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 156860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 156863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156865 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 156867 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 156871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 156876 */     GIR_RootConstrainSelectedInstOperands,
     /* 156877 */     // GIR_Coverage, 5973,
     /* 156877 */     GIR_EraseRootFromParent_Done,
     /* 156878 */   // Label 3441: @156878
     /* 156878 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(156915), // Rule ID 898 //
     /* 156883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 156886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 156890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 156894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 156898 */     // (fmul:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (MUL_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 156898 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32),
     /* 156903 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 156909 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 156913 */     GIR_RootConstrainSelectedInstOperands,
     /* 156914 */     // GIR_Coverage, 898,
     /* 156914 */     GIR_Done,
     /* 156915 */   // Label 3442: @156915
     /* 156915 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(156946), // Rule ID 2198 //
     /* 156920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 156923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156935 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VMULSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 156935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSSrr),
     /* 156940 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 156944 */     GIR_RootConstrainSelectedInstOperands,
     /* 156945 */     // GIR_Coverage, 2198,
     /* 156945 */     GIR_Done,
     /* 156946 */   // Label 3443: @156946
     /* 156946 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(156977), // Rule ID 2206 //
     /* 156951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 156954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 156966 */     // (fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (MULSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 156966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULSSrr),
     /* 156971 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 156975 */     GIR_RootConstrainSelectedInstOperands,
     /* 156976 */     // GIR_Coverage, 2206,
     /* 156976 */     GIR_Done,
     /* 156977 */   // Label 3444: @156977
     /* 156977 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(157008), // Rule ID 5971 //
     /* 156982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 156985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 156997 */     // (fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VMULSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 156997 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSSZrr),
     /* 157002 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 157006 */     GIR_RootConstrainSelectedInstOperands,
     /* 157007 */     // GIR_Coverage, 5971,
     /* 157007 */     GIR_Done,
     /* 157008 */   // Label 3445: @157008
     /* 157008 */   GIM_Reject,
     /* 157009 */ // Label 3427: @157009
     /* 157009 */ GIM_Reject,
     /* 157010 */ // Label 3411: @157010
     /* 157010 */ GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(158266),
     /* 157015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 157018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157021 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(157099), // Rule ID 26024 //
     /* 157026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 157029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157053 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157056 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157063 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157073 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157080 */     // (fmul:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>), FR64:{ *:[f64] }:$src1)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 157083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157085 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157087 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157097 */     GIR_RootConstrainSelectedInstOperands,
     /* 157098 */     // GIR_Coverage, 26024,
     /* 157098 */     GIR_EraseRootFromParent_Done,
     /* 157099 */   // Label 3447: @157099
     /* 157099 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(157177), // Rule ID 26025 //
     /* 157104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 157107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157131 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157134 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157141 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157151 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157158 */     // (fmul:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>), FR64:{ *:[f64] }:$src1)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 157161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157163 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157165 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157175 */     GIR_RootConstrainSelectedInstOperands,
     /* 157176 */     // GIR_Coverage, 26025,
     /* 157176 */     GIR_EraseRootFromParent_Done,
     /* 157177 */   // Label 3448: @157177
     /* 157177 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(157255), // Rule ID 26026 //
     /* 157182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 157185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157209 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157212 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157219 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157229 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157236 */     // (fmul:{ *:[f64] } (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>), FR64X:{ *:[f64] }:$src1)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 157239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157241 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157243 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157253 */     GIR_RootConstrainSelectedInstOperands,
     /* 157254 */     // GIR_Coverage, 26026,
     /* 157254 */     GIR_EraseRootFromParent_Done,
     /* 157255 */   // Label 3449: @157255
     /* 157255 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(157333), // Rule ID 22481 //
     /* 157260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 157263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157291 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157294 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157301 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157307 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157314 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 157317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157319 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157321 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157331 */     GIR_RootConstrainSelectedInstOperands,
     /* 157332 */     // GIR_Coverage, 22481,
     /* 157332 */     GIR_EraseRootFromParent_Done,
     /* 157333 */   // Label 3450: @157333
     /* 157333 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(157411), // Rule ID 22482 //
     /* 157338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 157341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157369 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157372 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157379 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157383 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157385 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157392 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 157395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157397 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157399 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157409 */     GIR_RootConstrainSelectedInstOperands,
     /* 157410 */     // GIR_Coverage, 22482,
     /* 157410 */     GIR_EraseRootFromParent_Done,
     /* 157411 */   // Label 3451: @157411
     /* 157411 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(157489), // Rule ID 22483 //
     /* 157416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 157419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 157435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 157439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157447 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 157450 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 157457 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 157461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 157463 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157470 */     // (fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 157473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157475 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157477 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 157487 */     GIR_RootConstrainSelectedInstOperands,
     /* 157488 */     // GIR_Coverage, 22483,
     /* 157488 */     GIR_EraseRootFromParent_Done,
     /* 157489 */   // Label 3452: @157489
     /* 157489 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(157554), // Rule ID 23258 //
     /* 157494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 157497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157509 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157512 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157516 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157526 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157533 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (MUL_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m),
     /* 157536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157538 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157540 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 157547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157552 */     GIR_RootConstrainSelectedInstOperands,
     /* 157553 */     // GIR_Coverage, 23258,
     /* 157553 */     GIR_EraseRootFromParent_Done,
     /* 157554 */   // Label 3453: @157554
     /* 157554 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(157626), // Rule ID 23260 //
     /* 157559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 157562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157574 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157577 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157581 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 157588 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157605 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (MUL_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m32),
     /* 157608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157610 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157612 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 157619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157624 */     GIR_RootConstrainSelectedInstOperands,
     /* 157625 */     // GIR_Coverage, 23260,
     /* 157625 */     GIR_EraseRootFromParent_Done,
     /* 157626 */   // Label 3454: @157626
     /* 157626 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(157688), // Rule ID 23401 //
     /* 157631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 157634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157646 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157649 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157653 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157663 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157670 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 157673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157675 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157677 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157686 */     GIR_RootConstrainSelectedInstOperands,
     /* 157687 */     // GIR_Coverage, 23401,
     /* 157687 */     GIR_EraseRootFromParent_Done,
     /* 157688 */   // Label 3455: @157688
     /* 157688 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(157750), // Rule ID 23405 //
     /* 157693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 157696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157708 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157711 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157715 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157725 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157732 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 157735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157737 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157739 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157748 */     GIR_RootConstrainSelectedInstOperands,
     /* 157749 */     // GIR_Coverage, 23405,
     /* 157749 */     GIR_EraseRootFromParent_Done,
     /* 157750 */   // Label 3456: @157750
     /* 157750 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(157812), // Rule ID 24251 //
     /* 157755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 157758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 157766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157770 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157773 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157777 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 157785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157794 */     // (fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 157797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157799 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 157801 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157805 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157810 */     GIR_RootConstrainSelectedInstOperands,
     /* 157811 */     // GIR_Coverage, 24251,
     /* 157811 */     GIR_EraseRootFromParent_Done,
     /* 157812 */   // Label 3457: @157812
     /* 157812 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(157877), // Rule ID 978 //
     /* 157817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 157820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157836 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157839 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157843 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157849 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157856 */     // (fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MUL_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m),
     /* 157859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157861 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157863 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 157870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157875 */     GIR_RootConstrainSelectedInstOperands,
     /* 157876 */     // GIR_Coverage, 978,
     /* 157876 */     GIR_EraseRootFromParent_Done,
     /* 157877 */   // Label 3458: @157877
     /* 157877 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(157949), // Rule ID 980 //
     /* 157882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 157885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 157893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157901 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157904 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157908 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 157915 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157921 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157928 */     // (fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (MUL_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m32),
     /* 157931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157933 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 157935 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 157939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 157942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 157947 */     GIR_RootConstrainSelectedInstOperands,
     /* 157948 */     // GIR_Coverage, 980,
     /* 157948 */     GIR_EraseRootFromParent_Done,
     /* 157949 */   // Label 3459: @157949
     /* 157949 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(158011), // Rule ID 2204 //
     /* 157954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 157957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 157965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 157973 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 157976 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 157980 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 157984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 157986 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 157993 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 157993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 157996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157998 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158000 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158009 */     GIR_RootConstrainSelectedInstOperands,
     /* 158010 */     // GIR_Coverage, 2204,
     /* 158010 */     GIR_EraseRootFromParent_Done,
     /* 158011 */   // Label 3460: @158011
     /* 158011 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(158073), // Rule ID 2212 //
     /* 158016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 158019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158035 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158038 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158042 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158048 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158055 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 158058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158060 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158062 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158071 */     GIR_RootConstrainSelectedInstOperands,
     /* 158072 */     // GIR_Coverage, 2212,
     /* 158072 */     GIR_EraseRootFromParent_Done,
     /* 158073 */   // Label 3461: @158073
     /* 158073 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(158135), // Rule ID 5992 //
     /* 158078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 158081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158097 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158100 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158104 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158110 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158117 */     // (fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 158120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158122 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158124 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158133 */     GIR_RootConstrainSelectedInstOperands,
     /* 158134 */     // GIR_Coverage, 5992,
     /* 158134 */     GIR_EraseRootFromParent_Done,
     /* 158135 */   // Label 3462: @158135
     /* 158135 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(158172), // Rule ID 900 //
     /* 158140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 158143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 158155 */     // (fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (MUL_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 158155 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64),
     /* 158160 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 158166 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 158170 */     GIR_RootConstrainSelectedInstOperands,
     /* 158171 */     // GIR_Coverage, 900,
     /* 158171 */     GIR_Done,
     /* 158172 */   // Label 3463: @158172
     /* 158172 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(158203), // Rule ID 2202 //
     /* 158177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 158180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158192 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VMULSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 158192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSDrr),
     /* 158197 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 158201 */     GIR_RootConstrainSelectedInstOperands,
     /* 158202 */     // GIR_Coverage, 2202,
     /* 158202 */     GIR_Done,
     /* 158203 */   // Label 3464: @158203
     /* 158203 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(158234), // Rule ID 2210 //
     /* 158208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 158211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 158223 */     // (fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (MULSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 158223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULSDrr),
     /* 158228 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 158232 */     GIR_RootConstrainSelectedInstOperands,
     /* 158233 */     // GIR_Coverage, 2210,
     /* 158233 */     GIR_Done,
     /* 158234 */   // Label 3465: @158234
     /* 158234 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(158265), // Rule ID 5990 //
     /* 158239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 158242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 158254 */     // (fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VMULSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 158254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSDZrr),
     /* 158259 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 158263 */     GIR_RootConstrainSelectedInstOperands,
     /* 158264 */     // GIR_Coverage, 5990,
     /* 158264 */     GIR_Done,
     /* 158265 */   // Label 3466: @158265
     /* 158265 */   GIM_Reject,
     /* 158266 */ // Label 3446: @158266
     /* 158266 */ GIM_Reject,
     /* 158267 */ // Label 3412: @158267
     /* 158267 */ GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(158588),
     /* 158272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 158275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 158278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158282 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(158350), // Rule ID 23262 //
     /* 158287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 158290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158298 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158301 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158305 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 158312 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158322 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158329 */     // (fmul:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (MUL_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m32),
     /* 158332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158334 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158336 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158348 */     GIR_RootConstrainSelectedInstOperands,
     /* 158349 */     // GIR_Coverage, 23262,
     /* 158349 */     GIR_EraseRootFromParent_Done,
     /* 158350 */   // Label 3468: @158350
     /* 158350 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(158418), // Rule ID 23264 //
     /* 158355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 158358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158366 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158369 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158373 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 158380 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158397 */     // (fmul:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (MUL_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m64),
     /* 158400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158402 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158416 */     GIR_RootConstrainSelectedInstOperands,
     /* 158417 */     // GIR_Coverage, 23264,
     /* 158417 */     GIR_EraseRootFromParent_Done,
     /* 158418 */   // Label 3469: @158418
     /* 158418 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(158486), // Rule ID 982 //
     /* 158423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 158426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158438 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158441 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158445 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 158452 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158458 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158465 */     // (fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (MUL_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m32),
     /* 158468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158470 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158472 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158484 */     GIR_RootConstrainSelectedInstOperands,
     /* 158485 */     // GIR_Coverage, 982,
     /* 158485 */     GIR_EraseRootFromParent_Done,
     /* 158486 */   // Label 3470: @158486
     /* 158486 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(158554), // Rule ID 984 //
     /* 158491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 158494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158506 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158509 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158513 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 158520 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158526 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158533 */     // (fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (MUL_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m64),
     /* 158536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158538 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158540 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 158547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158552 */     GIR_RootConstrainSelectedInstOperands,
     /* 158553 */     // GIR_Coverage, 984,
     /* 158553 */     GIR_EraseRootFromParent_Done,
     /* 158554 */   // Label 3471: @158554
     /* 158554 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(158587), // Rule ID 902 //
     /* 158559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 158562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 158570 */     // (fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (MUL_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 158570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80),
     /* 158575 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 158581 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 158585 */     GIR_RootConstrainSelectedInstOperands,
     /* 158586 */     // GIR_Coverage, 902,
     /* 158586 */     GIR_Done,
     /* 158587 */   // Label 3472: @158587
     /* 158587 */   GIM_Reject,
     /* 158588 */ // Label 3467: @158588
     /* 158588 */ GIM_Reject,
     /* 158589 */ // Label 3413: @158589
     /* 158589 */ GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(158942),
     /* 158594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 158597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 158600 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(158662), // Rule ID 23389 //
     /* 158605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 158608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158620 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158623 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158627 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158637 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158644 */     // (fmul:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VMULPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDrm),
     /* 158647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158649 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158651 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158660 */     GIR_RootConstrainSelectedInstOperands,
     /* 158661 */     // GIR_Coverage, 23389,
     /* 158661 */     GIR_EraseRootFromParent_Done,
     /* 158662 */   // Label 3474: @158662
     /* 158662 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(158724), // Rule ID 24365 //
     /* 158667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 158670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 158674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158682 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158685 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158689 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 158697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158699 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158706 */     // (fmul:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VMULPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rm),
     /* 158709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158711 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 158713 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158722 */     GIR_RootConstrainSelectedInstOperands,
     /* 158723 */     // GIR_Coverage, 24365,
     /* 158723 */     GIR_EraseRootFromParent_Done,
     /* 158724 */   // Label 3475: @158724
     /* 158724 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(158786), // Rule ID 2180 //
     /* 158729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 158732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158748 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158751 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158755 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158761 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158768 */     // (fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDrm),
     /* 158771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158773 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158775 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158784 */     GIR_RootConstrainSelectedInstOperands,
     /* 158785 */     // GIR_Coverage, 2180,
     /* 158785 */     GIR_EraseRootFromParent_Done,
     /* 158786 */   // Label 3476: @158786
     /* 158786 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(158848), // Rule ID 6425 //
     /* 158791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 158794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 158798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 158802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158810 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158813 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158817 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158823 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158830 */     // (fmul:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rm),
     /* 158833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158835 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 158837 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 158841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 158846 */     GIR_RootConstrainSelectedInstOperands,
     /* 158847 */     // GIR_Coverage, 6425,
     /* 158847 */     GIR_EraseRootFromParent_Done,
     /* 158848 */   // Label 3477: @158848
     /* 158848 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(158879), // Rule ID 2178 //
     /* 158853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 158856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158868 */     // (fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VMULPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 158868 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDrr),
     /* 158873 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 158877 */     GIR_RootConstrainSelectedInstOperands,
     /* 158878 */     // GIR_Coverage, 2178,
     /* 158878 */     GIR_Done,
     /* 158879 */   // Label 3478: @158879
     /* 158879 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(158910), // Rule ID 2194 //
     /* 158884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 158887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158899 */     // (fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (MULPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 158899 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULPDrr),
     /* 158904 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 158908 */     GIR_RootConstrainSelectedInstOperands,
     /* 158909 */     // GIR_Coverage, 2194,
     /* 158909 */     GIR_Done,
     /* 158910 */   // Label 3479: @158910
     /* 158910 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(158941), // Rule ID 6421 //
     /* 158915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 158918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 158922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 158926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 158930 */     // (fmul:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VMULPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 158930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rr),
     /* 158935 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 158939 */     GIR_RootConstrainSelectedInstOperands,
     /* 158940 */     // GIR_Coverage, 6421,
     /* 158940 */     GIR_Done,
     /* 158941 */   // Label 3480: @158941
     /* 158941 */   GIM_Reject,
     /* 158942 */ // Label 3473: @158942
     /* 158942 */ GIM_Reject,
     /* 158943 */ // Label 3414: @158943
     /* 158943 */ GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(159296),
     /* 158948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 158954 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(159016), // Rule ID 23387 //
     /* 158959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 158962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 158970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 158974 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 158977 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 158981 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 158985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 158989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158991 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 158998 */     // (fmul:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VMULPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 158998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSrm),
     /* 159001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159003 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159005 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159014 */     GIR_RootConstrainSelectedInstOperands,
     /* 159015 */     // GIR_Coverage, 23387,
     /* 159015 */     GIR_EraseRootFromParent_Done,
     /* 159016 */   // Label 3482: @159016
     /* 159016 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(159078), // Rule ID 24349 //
     /* 159021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159036 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159039 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159043 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159060 */     // (fmul:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VMULPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rm),
     /* 159063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159065 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159067 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159076 */     GIR_RootConstrainSelectedInstOperands,
     /* 159077 */     // GIR_Coverage, 24349,
     /* 159077 */     GIR_EraseRootFromParent_Done,
     /* 159078 */   // Label 3483: @159078
     /* 159078 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(159140), // Rule ID 2176 //
     /* 159083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159102 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159105 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159109 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159115 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159122 */     // (fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSrm),
     /* 159125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159127 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159129 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159138 */     GIR_RootConstrainSelectedInstOperands,
     /* 159139 */     // GIR_Coverage, 2176,
     /* 159139 */     GIR_EraseRootFromParent_Done,
     /* 159140 */   // Label 3484: @159140
     /* 159140 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(159202), // Rule ID 6401 //
     /* 159145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159164 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159167 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159171 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159177 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159184 */     // (fmul:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rm),
     /* 159187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159189 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159191 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159200 */     GIR_RootConstrainSelectedInstOperands,
     /* 159201 */     // GIR_Coverage, 6401,
     /* 159201 */     GIR_EraseRootFromParent_Done,
     /* 159202 */   // Label 3485: @159202
     /* 159202 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(159233), // Rule ID 2174 //
     /* 159207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159222 */     // (fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VMULPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 159222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSrr),
     /* 159227 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159231 */     GIR_RootConstrainSelectedInstOperands,
     /* 159232 */     // GIR_Coverage, 2174,
     /* 159232 */     GIR_Done,
     /* 159233 */   // Label 3486: @159233
     /* 159233 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(159264), // Rule ID 2190 //
     /* 159238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 159241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 159253 */     // (fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (MULPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 159253 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULPSrr),
     /* 159258 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159262 */     GIR_RootConstrainSelectedInstOperands,
     /* 159263 */     // GIR_Coverage, 2190,
     /* 159263 */     GIR_Done,
     /* 159264 */   // Label 3487: @159264
     /* 159264 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(159295), // Rule ID 6397 //
     /* 159269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159284 */     // (fmul:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VMULPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 159284 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rr),
     /* 159289 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159293 */     GIR_RootConstrainSelectedInstOperands,
     /* 159294 */     // GIR_Coverage, 6397,
     /* 159294 */     GIR_Done,
     /* 159295 */   // Label 3488: @159295
     /* 159295 */   GIM_Reject,
     /* 159296 */ // Label 3481: @159296
     /* 159296 */ GIM_Reject,
     /* 159297 */ // Label 3415: @159297
     /* 159297 */ GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(159619),
     /* 159302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 159305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 159308 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(159370), // Rule ID 23393 //
     /* 159313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159328 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159331 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159335 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159345 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159352 */     // (fmul:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VMULPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDYrm),
     /* 159355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159357 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159359 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159368 */     GIR_RootConstrainSelectedInstOperands,
     /* 159369 */     // GIR_Coverage, 23393,
     /* 159369 */     GIR_EraseRootFromParent_Done,
     /* 159370 */   // Label 3490: @159370
     /* 159370 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(159432), // Rule ID 24373 //
     /* 159375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159390 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159393 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159397 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159407 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159414 */     // (fmul:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VMULPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rm),
     /* 159417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159419 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159421 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159430 */     GIR_RootConstrainSelectedInstOperands,
     /* 159431 */     // GIR_Coverage, 24373,
     /* 159431 */     GIR_EraseRootFromParent_Done,
     /* 159432 */   // Label 3491: @159432
     /* 159432 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(159494), // Rule ID 2188 //
     /* 159437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159456 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159459 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159463 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159469 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159476 */     // (fmul:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDYrm),
     /* 159479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159481 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159483 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159492 */     GIR_RootConstrainSelectedInstOperands,
     /* 159493 */     // GIR_Coverage, 2188,
     /* 159493 */     GIR_EraseRootFromParent_Done,
     /* 159494 */   // Label 3492: @159494
     /* 159494 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(159556), // Rule ID 6437 //
     /* 159499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159518 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159521 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159525 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159531 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159538 */     // (fmul:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rm),
     /* 159541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159543 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159545 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159554 */     GIR_RootConstrainSelectedInstOperands,
     /* 159555 */     // GIR_Coverage, 6437,
     /* 159555 */     GIR_EraseRootFromParent_Done,
     /* 159556 */   // Label 3493: @159556
     /* 159556 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(159587), // Rule ID 2186 //
     /* 159561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159576 */     // (fmul:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VMULPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 159576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDYrr),
     /* 159581 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159585 */     GIR_RootConstrainSelectedInstOperands,
     /* 159586 */     // GIR_Coverage, 2186,
     /* 159586 */     GIR_Done,
     /* 159587 */   // Label 3494: @159587
     /* 159587 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(159618), // Rule ID 6433 //
     /* 159592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159607 */     // (fmul:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VMULPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 159607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rr),
     /* 159612 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159616 */     GIR_RootConstrainSelectedInstOperands,
     /* 159617 */     // GIR_Coverage, 6433,
     /* 159617 */     GIR_Done,
     /* 159618 */   // Label 3495: @159618
     /* 159618 */   GIM_Reject,
     /* 159619 */ // Label 3489: @159619
     /* 159619 */ GIM_Reject,
     /* 159620 */ // Label 3416: @159620
     /* 159620 */ GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(159779),
     /* 159625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 159628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 159631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159635 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(159693), // Rule ID 24389 //
     /* 159640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 159643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159651 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159654 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159658 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159675 */     // (fmul:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VMULPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rm),
     /* 159678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159680 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159682 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159691 */     GIR_RootConstrainSelectedInstOperands,
     /* 159692 */     // GIR_Coverage, 24389,
     /* 159692 */     GIR_EraseRootFromParent_Done,
     /* 159693 */   // Label 3497: @159693
     /* 159693 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(159751), // Rule ID 6461 //
     /* 159698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 159701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159713 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159716 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159720 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159726 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159733 */     // (fmul:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rm),
     /* 159736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159738 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159740 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159749 */     GIR_RootConstrainSelectedInstOperands,
     /* 159750 */     // GIR_Coverage, 6461,
     /* 159750 */     GIR_EraseRootFromParent_Done,
     /* 159751 */   // Label 3498: @159751
     /* 159751 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(159778), // Rule ID 6457 //
     /* 159756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 159759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 159767 */     // (fmul:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VMULPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 159767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rr),
     /* 159772 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 159776 */     GIR_RootConstrainSelectedInstOperands,
     /* 159777 */     // GIR_Coverage, 6457,
     /* 159777 */     GIR_Done,
     /* 159778 */   // Label 3499: @159778
     /* 159778 */   GIM_Reject,
     /* 159779 */ // Label 3496: @159779
     /* 159779 */ GIM_Reject,
     /* 159780 */ // Label 3417: @159780
     /* 159780 */ GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(160102),
     /* 159785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 159788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 159791 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(159853), // Rule ID 23391 //
     /* 159796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159811 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159814 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159818 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159828 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159835 */     // (fmul:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VMULPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSYrm),
     /* 159838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159840 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159842 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159851 */     GIR_RootConstrainSelectedInstOperands,
     /* 159852 */     // GIR_Coverage, 23391,
     /* 159852 */     GIR_EraseRootFromParent_Done,
     /* 159853 */   // Label 3501: @159853
     /* 159853 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(159915), // Rule ID 24357 //
     /* 159858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 159869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159873 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159876 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159880 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159890 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159897 */     // (fmul:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VMULPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rm),
     /* 159900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159902 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 159904 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159913 */     GIR_RootConstrainSelectedInstOperands,
     /* 159914 */     // GIR_Coverage, 24357,
     /* 159914 */     GIR_EraseRootFromParent_Done,
     /* 159915 */   // Label 3502: @159915
     /* 159915 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(159977), // Rule ID 2184 //
     /* 159920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 159923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 159931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 159939 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 159942 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 159946 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 159950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159952 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 159959 */     // (fmul:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 159959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSYrm),
     /* 159962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159964 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 159966 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 159970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 159975 */     GIR_RootConstrainSelectedInstOperands,
     /* 159976 */     // GIR_Coverage, 2184,
     /* 159976 */     GIR_EraseRootFromParent_Done,
     /* 159977 */   // Label 3503: @159977
     /* 159977 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(160039), // Rule ID 6413 //
     /* 159982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 159985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 159993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160001 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160004 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160008 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160014 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160021 */     // (fmul:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rm),
     /* 160024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160026 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160028 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160037 */     GIR_RootConstrainSelectedInstOperands,
     /* 160038 */     // GIR_Coverage, 6413,
     /* 160038 */     GIR_EraseRootFromParent_Done,
     /* 160039 */   // Label 3504: @160039
     /* 160039 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(160070), // Rule ID 2182 //
     /* 160044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 160047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 160059 */     // (fmul:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VMULPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 160059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSYrr),
     /* 160064 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160068 */     GIR_RootConstrainSelectedInstOperands,
     /* 160069 */     // GIR_Coverage, 2182,
     /* 160069 */     GIR_Done,
     /* 160070 */   // Label 3505: @160070
     /* 160070 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(160101), // Rule ID 6409 //
     /* 160075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 160078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160090 */     // (fmul:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VMULPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 160090 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rr),
     /* 160095 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160099 */     GIR_RootConstrainSelectedInstOperands,
     /* 160100 */     // GIR_Coverage, 6409,
     /* 160100 */     GIR_Done,
     /* 160101 */   // Label 3506: @160101
     /* 160101 */   GIM_Reject,
     /* 160102 */ // Label 3500: @160102
     /* 160102 */ GIM_Reject,
     /* 160103 */ // Label 3418: @160103
     /* 160103 */ GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(160262),
     /* 160108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 160111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 160114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160118 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(160176), // Rule ID 24341 //
     /* 160123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160134 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160137 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160141 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160151 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160158 */     // (fmul:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VMULPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZrm),
     /* 160161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160163 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160165 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160174 */     GIR_RootConstrainSelectedInstOperands,
     /* 160175 */     // GIR_Coverage, 24341,
     /* 160175 */     GIR_EraseRootFromParent_Done,
     /* 160176 */   // Label 3508: @160176
     /* 160176 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(160234), // Rule ID 6389 //
     /* 160181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160196 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160199 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160203 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160209 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160216 */     // (fmul:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZrm),
     /* 160219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160221 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160223 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160232 */     GIR_RootConstrainSelectedInstOperands,
     /* 160233 */     // GIR_Coverage, 6389,
     /* 160233 */     GIR_EraseRootFromParent_Done,
     /* 160234 */   // Label 3509: @160234
     /* 160234 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(160261), // Rule ID 6385 //
     /* 160239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160250 */     // (fmul:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VMULPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 160250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZrr),
     /* 160255 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160259 */     GIR_RootConstrainSelectedInstOperands,
     /* 160260 */     // GIR_Coverage, 6385,
     /* 160260 */     GIR_Done,
     /* 160261 */   // Label 3510: @160261
     /* 160261 */   GIM_Reject,
     /* 160262 */ // Label 3507: @160262
     /* 160262 */ GIM_Reject,
     /* 160263 */ // Label 3419: @160263
     /* 160263 */ GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(160422),
     /* 160268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 160271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 160274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160278 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(160336), // Rule ID 24397 //
     /* 160283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 160286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160294 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160297 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160301 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160318 */     // (fmul:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VMULPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rm),
     /* 160321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160323 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160325 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160334 */     GIR_RootConstrainSelectedInstOperands,
     /* 160335 */     // GIR_Coverage, 24397,
     /* 160335 */     GIR_EraseRootFromParent_Done,
     /* 160336 */   // Label 3512: @160336
     /* 160336 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(160394), // Rule ID 6473 //
     /* 160341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 160344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160356 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160359 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160363 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160376 */     // (fmul:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rm),
     /* 160379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160381 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160383 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160392 */     GIR_RootConstrainSelectedInstOperands,
     /* 160393 */     // GIR_Coverage, 6473,
     /* 160393 */     GIR_EraseRootFromParent_Done,
     /* 160394 */   // Label 3513: @160394
     /* 160394 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(160421), // Rule ID 6469 //
     /* 160399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 160402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 160410 */     // (fmul:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VMULPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 160410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rr),
     /* 160415 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160419 */     GIR_RootConstrainSelectedInstOperands,
     /* 160420 */     // GIR_Coverage, 6469,
     /* 160420 */     GIR_Done,
     /* 160421 */   // Label 3514: @160421
     /* 160421 */   GIM_Reject,
     /* 160422 */ // Label 3511: @160422
     /* 160422 */ GIM_Reject,
     /* 160423 */ // Label 3420: @160423
     /* 160423 */ GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(160582),
     /* 160428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 160431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 160434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160438 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(160496), // Rule ID 24333 //
     /* 160443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160454 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160457 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160461 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160478 */     // (fmul:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VMULPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZrm),
     /* 160481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160483 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160485 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160494 */     GIR_RootConstrainSelectedInstOperands,
     /* 160495 */     // GIR_Coverage, 24333,
     /* 160495 */     GIR_EraseRootFromParent_Done,
     /* 160496 */   // Label 3516: @160496
     /* 160496 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(160554), // Rule ID 6377 //
     /* 160501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160516 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160519 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160523 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160529 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160536 */     // (fmul:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZrm),
     /* 160539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160541 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160543 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160552 */     GIR_RootConstrainSelectedInstOperands,
     /* 160553 */     // GIR_Coverage, 6377,
     /* 160553 */     GIR_EraseRootFromParent_Done,
     /* 160554 */   // Label 3517: @160554
     /* 160554 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(160581), // Rule ID 6373 //
     /* 160559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 160562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160570 */     // (fmul:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VMULPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 160570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZrr),
     /* 160575 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160579 */     GIR_RootConstrainSelectedInstOperands,
     /* 160580 */     // GIR_Coverage, 6373,
     /* 160580 */     GIR_Done,
     /* 160581 */   // Label 3518: @160581
     /* 160581 */   GIM_Reject,
     /* 160582 */ // Label 3515: @160582
     /* 160582 */ GIM_Reject,
     /* 160583 */ // Label 3421: @160583
     /* 160583 */ GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(160742),
     /* 160588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 160591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 160594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160598 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(160656), // Rule ID 24381 //
     /* 160603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 160606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160614 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160617 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160621 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160631 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160638 */     // (fmul:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VMULPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZrm),
     /* 160641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160643 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160654 */     GIR_RootConstrainSelectedInstOperands,
     /* 160655 */     // GIR_Coverage, 24381,
     /* 160655 */     GIR_EraseRootFromParent_Done,
     /* 160656 */   // Label 3520: @160656
     /* 160656 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(160714), // Rule ID 6449 //
     /* 160661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 160664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160676 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160679 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160683 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160689 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160696 */     // (fmul:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 160696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZrm),
     /* 160699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160701 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 160703 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 160707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160712 */     GIR_RootConstrainSelectedInstOperands,
     /* 160713 */     // GIR_Coverage, 6449,
     /* 160713 */     GIR_EraseRootFromParent_Done,
     /* 160714 */   // Label 3521: @160714
     /* 160714 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(160741), // Rule ID 6445 //
     /* 160719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 160722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 160730 */     // (fmul:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VMULPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 160730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZrr),
     /* 160735 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 160739 */     GIR_RootConstrainSelectedInstOperands,
     /* 160740 */     // GIR_Coverage, 6445,
     /* 160740 */     GIR_Done,
     /* 160741 */   // Label 3522: @160741
     /* 160741 */   GIM_Reject,
     /* 160742 */ // Label 3519: @160742
     /* 160742 */ GIM_Reject,
     /* 160743 */ // Label 3422: @160743
     /* 160743 */ GIM_Reject,
     /* 160744 */ // Label 44: @160744
     /* 160744 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3535*/ GIMT_Encode4(166731),
     /* 160755 */ /*GILLT_s16*//*Label 3523*/ GIMT_Encode4(160839),
     /* 160759 */ /*GILLT_s32*//*Label 3524*/ GIMT_Encode4(161084),
     /* 160763 */ /*GILLT_s64*//*Label 3525*/ GIMT_Encode4(161821), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 160779 */ /*GILLT_v2s64*//*Label 3526*/ GIMT_Encode4(162558), GIMT_Encode4(0),
     /* 160787 */ /*GILLT_v4s32*//*Label 3527*/ GIMT_Encode4(163295),
     /* 160791 */ /*GILLT_v4s64*//*Label 3528*/ GIMT_Encode4(164032), GIMT_Encode4(0),
     /* 160799 */ /*GILLT_v8s16*//*Label 3529*/ GIMT_Encode4(164769),
     /* 160803 */ /*GILLT_v8s32*//*Label 3530*/ GIMT_Encode4(165014),
     /* 160807 */ /*GILLT_v8s64*//*Label 3531*/ GIMT_Encode4(165751), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 160819 */ /*GILLT_v16s16*//*Label 3532*/ GIMT_Encode4(165996),
     /* 160823 */ /*GILLT_v16s32*//*Label 3533*/ GIMT_Encode4(166241), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 160835 */ /*GILLT_v32s16*//*Label 3534*/ GIMT_Encode4(166486),
     /* 160839 */ // Label 3523: @160839
     /* 160839 */ GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(161083),
     /* 160844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 160847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 160850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 160853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 160857 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(160921), // Rule ID 10157 //
     /* 160862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 160865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 160869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160873 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160876 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160880 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 160888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 160892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160901 */     // (fma:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VFMADD132SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 160901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SHZm),
     /* 160904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160906 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 160908 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 160910 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 160914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160919 */     GIR_RootConstrainSelectedInstOperands,
     /* 160920 */     // GIR_Coverage, 10157,
     /* 160920 */     GIR_EraseRootFromParent_Done,
     /* 160921 */   // Label 3537: @160921
     /* 160921 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(160985), // Rule ID 10155 //
     /* 160926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 160929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 160933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 160941 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 160944 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 160948 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 160952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 160956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 160958 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 160965 */     // (fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VFMADD231SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 160965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SHZm),
     /* 160968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 160970 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 160972 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 160974 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 160978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 160983 */     GIR_RootConstrainSelectedInstOperands,
     /* 160984 */     // GIR_Coverage, 10155,
     /* 160984 */     GIR_EraseRootFromParent_Done,
     /* 160985 */   // Label 3538: @160985
     /* 160985 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(161049), // Rule ID 10152 //
     /* 160990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 160993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 160997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161009 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161012 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161016 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161022 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161029 */     // (fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SHZm),
     /* 161032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161034 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161036 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161038 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161047 */     GIR_RootConstrainSelectedInstOperands,
     /* 161048 */     // GIR_Coverage, 10152,
     /* 161048 */     GIR_EraseRootFromParent_Done,
     /* 161049 */   // Label 3539: @161049
     /* 161049 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(161082), // Rule ID 10150 //
     /* 161054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 161057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 161069 */     // (fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src3)  =>  (VFMADD213SHZr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src3)
     /* 161069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SHZr),
     /* 161072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161074 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161076 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161078 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 161080 */     GIR_RootConstrainSelectedInstOperands,
     /* 161081 */     // GIR_Coverage, 10150,
     /* 161081 */     GIR_EraseRootFromParent_Done,
     /* 161082 */   // Label 3540: @161082
     /* 161082 */   GIM_Reject,
     /* 161083 */ // Label 3536: @161083
     /* 161083 */ GIM_Reject,
     /* 161084 */ // Label 3524: @161084
     /* 161084 */ GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(161820),
     /* 161089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 161092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 161095 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 161098 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(161166), // Rule ID 1303 //
     /* 161103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 161106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161118 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161121 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161125 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161139 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161146 */     // (fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VFMADD132SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SSm),
     /* 161149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161151 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161153 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 161155 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161164 */     GIR_RootConstrainSelectedInstOperands,
     /* 161165 */     // GIR_Coverage, 1303,
     /* 161165 */     GIR_EraseRootFromParent_Done,
     /* 161166 */   // Label 3542: @161166
     /* 161166 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(161234), // Rule ID 10139 //
     /* 161171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 161174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161186 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161189 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161193 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161214 */     // (fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VFMADD132SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SSZm),
     /* 161217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161219 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161221 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 161223 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161232 */     GIR_RootConstrainSelectedInstOperands,
     /* 161233 */     // GIR_Coverage, 10139,
     /* 161233 */     GIR_EraseRootFromParent_Done,
     /* 161234 */   // Label 3543: @161234
     /* 161234 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(161302), // Rule ID 23278 //
     /* 161239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 161242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161254 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161257 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161261 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161275 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161282 */     // (fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4mr:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 161282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4mr),
     /* 161285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161287 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161289 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 161293 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 161295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161300 */     GIR_RootConstrainSelectedInstOperands,
     /* 161301 */     // GIR_Coverage, 23278,
     /* 161301 */     GIR_EraseRootFromParent_Done,
     /* 161302 */   // Label 3544: @161302
     /* 161302 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(161370), // Rule ID 1301 //
     /* 161307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 161310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 161322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161326 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161329 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161333 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161350 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VFMADD231SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SSm),
     /* 161353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161355 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 161357 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161359 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161368 */     GIR_RootConstrainSelectedInstOperands,
     /* 161369 */     // GIR_Coverage, 1301,
     /* 161369 */     GIR_EraseRootFromParent_Done,
     /* 161370 */   // Label 3545: @161370
     /* 161370 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(161438), // Rule ID 1365 //
     /* 161375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 161378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 161390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161394 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161397 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161401 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161418 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4mr:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 161418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4mr),
     /* 161421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161423 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 161425 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 161429 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 161431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161436 */     GIR_RootConstrainSelectedInstOperands,
     /* 161437 */     // GIR_Coverage, 1365,
     /* 161437 */     GIR_EraseRootFromParent_Done,
     /* 161438 */   // Label 3546: @161438
     /* 161438 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(161506), // Rule ID 10137 //
     /* 161443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 161446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 161458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161462 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161465 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161469 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161486 */     // (fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VFMADD231SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SSZm),
     /* 161489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161491 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 161493 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161495 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161504 */     GIR_RootConstrainSelectedInstOperands,
     /* 161505 */     // GIR_Coverage, 10137,
     /* 161505 */     GIR_EraseRootFromParent_Done,
     /* 161506 */   // Label 3547: @161506
     /* 161506 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(161574), // Rule ID 1299 //
     /* 161511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 161514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161534 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161537 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161541 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161547 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161554 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSm),
     /* 161557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161559 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161561 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161563 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161572 */     GIR_RootConstrainSelectedInstOperands,
     /* 161573 */     // GIR_Coverage, 1299,
     /* 161573 */     GIR_EraseRootFromParent_Done,
     /* 161574 */   // Label 3548: @161574
     /* 161574 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(161642), // Rule ID 1363 //
     /* 161579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 161582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161602 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161605 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161609 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161615 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161622 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDSS4rm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4rm),
     /* 161625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161627 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 161629 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 161631 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161640 */     GIR_RootConstrainSelectedInstOperands,
     /* 161641 */     // GIR_Coverage, 1363,
     /* 161641 */     GIR_EraseRootFromParent_Done,
     /* 161642 */   // Label 3549: @161642
     /* 161642 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(161710), // Rule ID 10134 //
     /* 161647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 161650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161670 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161673 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161677 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161683 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161690 */     // (fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSZm),
     /* 161693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161695 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161697 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161708 */     GIR_RootConstrainSelectedInstOperands,
     /* 161709 */     // GIR_Coverage, 10134,
     /* 161709 */     GIR_EraseRootFromParent_Done,
     /* 161710 */   // Label 3550: @161710
     /* 161710 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(161747), // Rule ID 1297 //
     /* 161715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 161718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161734 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src3)  =>  (VFMADD213SSr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 161734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSr),
     /* 161737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161739 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161741 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161743 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 161745 */     GIR_RootConstrainSelectedInstOperands,
     /* 161746 */     // GIR_Coverage, 1297,
     /* 161746 */     GIR_EraseRootFromParent_Done,
     /* 161747 */   // Label 3551: @161747
     /* 161747 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(161782), // Rule ID 1361 //
     /* 161752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 161755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 161771 */     // (fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4rr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 161771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4rr),
     /* 161776 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 161780 */     GIR_RootConstrainSelectedInstOperands,
     /* 161781 */     // GIR_Coverage, 1361,
     /* 161781 */     GIR_Done,
     /* 161782 */   // Label 3552: @161782
     /* 161782 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(161819), // Rule ID 10132 //
     /* 161787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 161790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 161806 */     // (fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src3)  =>  (VFMADD213SSZr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src3)
     /* 161806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSZr),
     /* 161809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161811 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161813 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 161815 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 161817 */     GIR_RootConstrainSelectedInstOperands,
     /* 161818 */     // GIR_Coverage, 10132,
     /* 161818 */     GIR_EraseRootFromParent_Done,
     /* 161819 */   // Label 3553: @161819
     /* 161819 */   GIM_Reject,
     /* 161820 */ // Label 3541: @161820
     /* 161820 */ GIM_Reject,
     /* 161821 */ // Label 3525: @161821
     /* 161821 */ GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(162557),
     /* 161826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 161829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 161832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 161835 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(161903), // Rule ID 1311 //
     /* 161840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 161843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 161847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161855 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161858 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161862 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 161870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 161874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161876 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161883 */     // (fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VFMADD132SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SDm),
     /* 161886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161888 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161890 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 161892 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161901 */     GIR_RootConstrainSelectedInstOperands,
     /* 161902 */     // GIR_Coverage, 1311,
     /* 161902 */     GIR_EraseRootFromParent_Done,
     /* 161903 */   // Label 3555: @161903
     /* 161903 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(161971), // Rule ID 10148 //
     /* 161908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 161911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 161915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161923 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161926 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161930 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 161934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 161938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 161942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 161944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 161951 */     // (fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VFMADD132SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 161951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SDZm),
     /* 161954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 161956 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 161958 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 161960 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 161964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 161969 */     GIR_RootConstrainSelectedInstOperands,
     /* 161970 */     // GIR_Coverage, 10148,
     /* 161970 */     GIR_EraseRootFromParent_Done,
     /* 161971 */   // Label 3556: @161971
     /* 161971 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(162039), // Rule ID 23306 //
     /* 161976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 161979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 161983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 161987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 161991 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 161994 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 161998 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162012 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162019 */     // (fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4mr:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 162019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4mr),
     /* 162022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162024 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162026 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 162030 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162037 */     GIR_RootConstrainSelectedInstOperands,
     /* 162038 */     // GIR_Coverage, 23306,
     /* 162038 */     GIR_EraseRootFromParent_Done,
     /* 162039 */   // Label 3557: @162039
     /* 162039 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(162107), // Rule ID 1309 //
     /* 162044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 162047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 162059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162063 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162066 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162070 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162080 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162087 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VFMADD231SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SDm),
     /* 162090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162092 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 162094 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162096 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162105 */     GIR_RootConstrainSelectedInstOperands,
     /* 162106 */     // GIR_Coverage, 1309,
     /* 162106 */     GIR_EraseRootFromParent_Done,
     /* 162107 */   // Label 3558: @162107
     /* 162107 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(162175), // Rule ID 1449 //
     /* 162112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 162115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 162127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162131 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162134 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162138 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162148 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162155 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4mr:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 162155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4mr),
     /* 162158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162160 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 162162 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 162166 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162173 */     GIR_RootConstrainSelectedInstOperands,
     /* 162174 */     // GIR_Coverage, 1449,
     /* 162174 */     GIR_EraseRootFromParent_Done,
     /* 162175 */   // Label 3559: @162175
     /* 162175 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(162243), // Rule ID 10146 //
     /* 162180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 162183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 162195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162199 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162202 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162206 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162216 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162223 */     // (fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VFMADD231SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SDZm),
     /* 162226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162228 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 162230 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162232 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162236 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162241 */     GIR_RootConstrainSelectedInstOperands,
     /* 162242 */     // GIR_Coverage, 10146,
     /* 162242 */     GIR_EraseRootFromParent_Done,
     /* 162243 */   // Label 3560: @162243
     /* 162243 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(162311), // Rule ID 1307 //
     /* 162248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 162251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162271 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162274 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162278 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162284 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162291 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDm),
     /* 162294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162296 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162298 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162309 */     GIR_RootConstrainSelectedInstOperands,
     /* 162310 */     // GIR_Coverage, 1307,
     /* 162310 */     GIR_EraseRootFromParent_Done,
     /* 162311 */   // Label 3561: @162311
     /* 162311 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(162379), // Rule ID 1447 //
     /* 162316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 162319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162339 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162342 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162346 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162352 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162359 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDSD4rm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4rm),
     /* 162362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162364 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 162366 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 162368 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162377 */     GIR_RootConstrainSelectedInstOperands,
     /* 162378 */     // GIR_Coverage, 1447,
     /* 162378 */     GIR_EraseRootFromParent_Done,
     /* 162379 */   // Label 3562: @162379
     /* 162379 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(162447), // Rule ID 10143 //
     /* 162384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 162387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162407 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162410 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162414 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162420 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162427 */     // (fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDZm),
     /* 162430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162432 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162434 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162436 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162445 */     GIR_RootConstrainSelectedInstOperands,
     /* 162446 */     // GIR_Coverage, 10143,
     /* 162446 */     GIR_EraseRootFromParent_Done,
     /* 162447 */   // Label 3563: @162447
     /* 162447 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(162484), // Rule ID 1305 //
     /* 162452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 162455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162471 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src3)  =>  (VFMADD213SDr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 162471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDr),
     /* 162474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162476 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162478 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162480 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162482 */     GIR_RootConstrainSelectedInstOperands,
     /* 162483 */     // GIR_Coverage, 1305,
     /* 162483 */     GIR_EraseRootFromParent_Done,
     /* 162484 */   // Label 3564: @162484
     /* 162484 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(162519), // Rule ID 1445 //
     /* 162489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 162492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 162508 */     // (fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4rr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 162508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4rr),
     /* 162513 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 162517 */     GIR_RootConstrainSelectedInstOperands,
     /* 162518 */     // GIR_Coverage, 1445,
     /* 162518 */     GIR_Done,
     /* 162519 */   // Label 3565: @162519
     /* 162519 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(162556), // Rule ID 10141 //
     /* 162524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 162527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 162543 */     // (fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src3)  =>  (VFMADD213SDZr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src3)
     /* 162543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDZr),
     /* 162546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162548 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162550 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162552 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162554 */     GIR_RootConstrainSelectedInstOperands,
     /* 162555 */     // GIR_Coverage, 10141,
     /* 162555 */     GIR_EraseRootFromParent_Done,
     /* 162556 */   // Label 3566: @162556
     /* 162556 */   GIM_Reject,
     /* 162557 */ // Label 3554: @162557
     /* 162557 */ GIM_Reject,
     /* 162558 */ // Label 3526: @162558
     /* 162558 */ GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(163294),
     /* 162563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 162566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162569 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 162572 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(162640), // Rule ID 1191 //
     /* 162577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 162580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 162588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162592 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162595 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162599 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162620 */     // (fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VFMADD132PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDm),
     /* 162623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162625 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162627 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 162629 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162638 */     GIR_RootConstrainSelectedInstOperands,
     /* 162639 */     // GIR_Coverage, 1191,
     /* 162639 */     GIR_EraseRootFromParent_Done,
     /* 162640 */   // Label 3568: @162640
     /* 162640 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(162708), // Rule ID 9680 //
     /* 162645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 162648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 162652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 162656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162660 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162663 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162667 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 162675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 162679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162688 */     // (fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VFMADD132PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZ128m),
     /* 162691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162693 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162695 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 162697 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162706 */     GIR_RootConstrainSelectedInstOperands,
     /* 162707 */     // GIR_Coverage, 9680,
     /* 162707 */     GIR_EraseRootFromParent_Done,
     /* 162708 */   // Label 3569: @162708
     /* 162708 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(162776), // Rule ID 23314 //
     /* 162713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 162716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 162724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162728 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162731 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162735 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162749 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162756 */     // (fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4mr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 162756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4mr),
     /* 162759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162761 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 162763 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 162767 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162769 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162774 */     GIR_RootConstrainSelectedInstOperands,
     /* 162775 */     // GIR_Coverage, 23314,
     /* 162775 */     GIR_EraseRootFromParent_Done,
     /* 162776 */   // Label 3570: @162776
     /* 162776 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(162844), // Rule ID 1189 //
     /* 162781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 162784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 162796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162800 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162803 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162807 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162824 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VFMADD231PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDm),
     /* 162827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162829 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 162831 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162833 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162842 */     GIR_RootConstrainSelectedInstOperands,
     /* 162843 */     // GIR_Coverage, 1189,
     /* 162843 */     GIR_EraseRootFromParent_Done,
     /* 162844 */   // Label 3571: @162844
     /* 162844 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(162912), // Rule ID 1473 //
     /* 162849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 162852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 162864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162868 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162871 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162875 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162885 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162892 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4mr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 162892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4mr),
     /* 162895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162897 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 162899 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 162903 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 162905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162910 */     GIR_RootConstrainSelectedInstOperands,
     /* 162911 */     // GIR_Coverage, 1473,
     /* 162911 */     GIR_EraseRootFromParent_Done,
     /* 162912 */   // Label 3572: @162912
     /* 162912 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(162980), // Rule ID 9140 //
     /* 162917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 162920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 162924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 162928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 162932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 162936 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 162939 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 162943 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 162947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 162951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162953 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 162960 */     // (fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VFMADD231PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 162960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZ128m),
     /* 162963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 162965 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 162967 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 162969 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 162973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 162978 */     GIR_RootConstrainSelectedInstOperands,
     /* 162979 */     // GIR_Coverage, 9140,
     /* 162979 */     GIR_EraseRootFromParent_Done,
     /* 162980 */   // Label 3573: @162980
     /* 162980 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(163048), // Rule ID 1187 //
     /* 162985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 162988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 162996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163008 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163011 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163015 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163021 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163028 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDm),
     /* 163031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163033 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163035 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163037 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163046 */     GIR_RootConstrainSelectedInstOperands,
     /* 163047 */     // GIR_Coverage, 1187,
     /* 163047 */     GIR_EraseRootFromParent_Done,
     /* 163048 */   // Label 3574: @163048
     /* 163048 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(163116), // Rule ID 1471 //
     /* 163053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163076 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163079 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163083 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163096 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPD4rm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4rm),
     /* 163099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163101 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 163103 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 163105 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163114 */     GIR_RootConstrainSelectedInstOperands,
     /* 163115 */     // GIR_Coverage, 1471,
     /* 163115 */     GIR_EraseRootFromParent_Done,
     /* 163116 */   // Label 3575: @163116
     /* 163116 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(163184), // Rule ID 8513 //
     /* 163121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163144 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163147 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163151 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163164 */     // (fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ128m),
     /* 163167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163169 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163171 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163173 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163182 */     GIR_RootConstrainSelectedInstOperands,
     /* 163183 */     // GIR_Coverage, 8513,
     /* 163183 */     GIR_EraseRootFromParent_Done,
     /* 163184 */   // Label 3576: @163184
     /* 163184 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(163221), // Rule ID 1185 //
     /* 163189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163208 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADD213PDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 163208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDr),
     /* 163211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163213 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163215 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163217 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163219 */     GIR_RootConstrainSelectedInstOperands,
     /* 163220 */     // GIR_Coverage, 1185,
     /* 163220 */     GIR_EraseRootFromParent_Done,
     /* 163221 */   // Label 3577: @163221
     /* 163221 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(163256), // Rule ID 1469 //
     /* 163226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163245 */     // (fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4rr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 163245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4rr),
     /* 163250 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 163254 */     GIR_RootConstrainSelectedInstOperands,
     /* 163255 */     // GIR_Coverage, 1469,
     /* 163255 */     GIR_Done,
     /* 163256 */   // Label 3578: @163256
     /* 163256 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(163293), // Rule ID 8509 //
     /* 163261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163280 */     // (fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src3)  =>  (VFMADD213PDZ128r:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src3)
     /* 163280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ128r),
     /* 163283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163285 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163287 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163289 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163291 */     GIR_RootConstrainSelectedInstOperands,
     /* 163292 */     // GIR_Coverage, 8509,
     /* 163292 */     GIR_EraseRootFromParent_Done,
     /* 163293 */   // Label 3579: @163293
     /* 163293 */   GIM_Reject,
     /* 163294 */ // Label 3567: @163294
     /* 163294 */ GIM_Reject,
     /* 163295 */ // Label 3527: @163295
     /* 163295 */ GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(164031),
     /* 163300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 163303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 163306 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 163309 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(163377), // Rule ID 1143 //
     /* 163314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 163325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163329 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163332 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163336 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163350 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163357 */     // (fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VFMADD132PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSm),
     /* 163360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163362 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163364 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 163366 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163375 */     GIR_RootConstrainSelectedInstOperands,
     /* 163376 */     // GIR_Coverage, 1143,
     /* 163376 */     GIR_EraseRootFromParent_Done,
     /* 163377 */   // Label 3581: @163377
     /* 163377 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(163445), // Rule ID 9648 //
     /* 163382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 163393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163397 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163400 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163404 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163418 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163425 */     // (fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VFMADD132PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZ128m),
     /* 163428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163430 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163432 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 163434 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163443 */     GIR_RootConstrainSelectedInstOperands,
     /* 163444 */     // GIR_Coverage, 9648,
     /* 163444 */     GIR_EraseRootFromParent_Done,
     /* 163445 */   // Label 3582: @163445
     /* 163445 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(163513), // Rule ID 23286 //
     /* 163450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 163461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163465 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163468 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163472 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163486 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163493 */     // (fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4mr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 163493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4mr),
     /* 163496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163498 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163500 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 163504 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163506 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163511 */     GIR_RootConstrainSelectedInstOperands,
     /* 163512 */     // GIR_Coverage, 23286,
     /* 163512 */     GIR_EraseRootFromParent_Done,
     /* 163513 */   // Label 3583: @163513
     /* 163513 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(163581), // Rule ID 1141 //
     /* 163518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 163533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163537 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163540 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163544 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163554 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163561 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VFMADD231PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSm),
     /* 163564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163566 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 163568 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163570 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163579 */     GIR_RootConstrainSelectedInstOperands,
     /* 163580 */     // GIR_Coverage, 1141,
     /* 163580 */     GIR_EraseRootFromParent_Done,
     /* 163581 */   // Label 3584: @163581
     /* 163581 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(163649), // Rule ID 1389 //
     /* 163586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 163601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163605 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163608 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163612 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163622 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163629 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4mr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 163629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4mr),
     /* 163632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163634 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 163636 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 163640 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163647 */     GIR_RootConstrainSelectedInstOperands,
     /* 163648 */     // GIR_Coverage, 1389,
     /* 163648 */     GIR_EraseRootFromParent_Done,
     /* 163649 */   // Label 3585: @163649
     /* 163649 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(163717), // Rule ID 9108 //
     /* 163654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 163669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163673 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163676 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163680 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163690 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163697 */     // (fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VFMADD231PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZ128m),
     /* 163700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163702 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 163704 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163706 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163715 */     GIR_RootConstrainSelectedInstOperands,
     /* 163716 */     // GIR_Coverage, 9108,
     /* 163716 */     GIR_EraseRootFromParent_Done,
     /* 163717 */   // Label 3586: @163717
     /* 163717 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(163785), // Rule ID 1139 //
     /* 163722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163745 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163748 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163752 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163758 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163765 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSm),
     /* 163768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163770 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163772 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163774 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163783 */     GIR_RootConstrainSelectedInstOperands,
     /* 163784 */     // GIR_Coverage, 1139,
     /* 163784 */     GIR_EraseRootFromParent_Done,
     /* 163785 */   // Label 3587: @163785
     /* 163785 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(163853), // Rule ID 1387 //
     /* 163790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163813 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163816 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163820 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163826 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163833 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPS4rm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4rm),
     /* 163836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163838 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 163840 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 163842 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163851 */     GIR_RootConstrainSelectedInstOperands,
     /* 163852 */     // GIR_Coverage, 1387,
     /* 163852 */     GIR_EraseRootFromParent_Done,
     /* 163853 */   // Label 3588: @163853
     /* 163853 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(163921), // Rule ID 8474 //
     /* 163858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 163861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 163873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 163881 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 163884 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 163888 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 163892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 163901 */     // (fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 163901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ128m),
     /* 163904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163906 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163908 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163910 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 163914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 163919 */     GIR_RootConstrainSelectedInstOperands,
     /* 163920 */     // GIR_Coverage, 8474,
     /* 163920 */     GIR_EraseRootFromParent_Done,
     /* 163921 */   // Label 3589: @163921
     /* 163921 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(163958), // Rule ID 1137 //
     /* 163926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 163929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163945 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADD213PSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 163945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSr),
     /* 163948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163950 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 163952 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 163954 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 163956 */     GIR_RootConstrainSelectedInstOperands,
     /* 163957 */     // GIR_Coverage, 1137,
     /* 163957 */     GIR_EraseRootFromParent_Done,
     /* 163958 */   // Label 3590: @163958
     /* 163958 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(163993), // Rule ID 1385 //
     /* 163963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 163966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 163982 */     // (fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4rr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 163982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4rr),
     /* 163987 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 163991 */     GIR_RootConstrainSelectedInstOperands,
     /* 163992 */     // GIR_Coverage, 1385,
     /* 163992 */     GIR_Done,
     /* 163993 */   // Label 3591: @163993
     /* 163993 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(164030), // Rule ID 8470 //
     /* 163998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164017 */     // (fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src3)  =>  (VFMADD213PSZ128r:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src3)
     /* 164017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ128r),
     /* 164020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164022 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164024 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164026 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164028 */     GIR_RootConstrainSelectedInstOperands,
     /* 164029 */     // GIR_Coverage, 8470,
     /* 164029 */     GIR_EraseRootFromParent_Done,
     /* 164030 */   // Label 3592: @164030
     /* 164030 */   GIM_Reject,
     /* 164031 */ // Label 3580: @164031
     /* 164031 */ GIM_Reject,
     /* 164032 */ // Label 3528: @164032
     /* 164032 */ GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(164768),
     /* 164037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 164040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 164043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 164046 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(164114), // Rule ID 1199 //
     /* 164051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 164054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 164062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164066 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164069 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164073 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164087 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164094 */     // (fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VFMADD132PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDYm),
     /* 164097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164099 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164101 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 164103 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164112 */     GIR_RootConstrainSelectedInstOperands,
     /* 164113 */     // GIR_Coverage, 1199,
     /* 164113 */     GIR_EraseRootFromParent_Done,
     /* 164114 */   // Label 3594: @164114
     /* 164114 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(164182), // Rule ID 9670 //
     /* 164119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 164130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164134 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164137 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164141 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164155 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164162 */     // (fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VFMADD132PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZ256m),
     /* 164165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164167 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164169 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 164171 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164180 */     GIR_RootConstrainSelectedInstOperands,
     /* 164181 */     // GIR_Coverage, 9670,
     /* 164181 */     GIR_EraseRootFromParent_Done,
     /* 164182 */   // Label 3595: @164182
     /* 164182 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(164250), // Rule ID 23316 //
     /* 164187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 164198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164202 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164205 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164209 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164223 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164230 */     // (fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Ymr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 164230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Ymr),
     /* 164233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164235 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164237 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 164241 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164248 */     GIR_RootConstrainSelectedInstOperands,
     /* 164249 */     // GIR_Coverage, 23316,
     /* 164249 */     GIR_EraseRootFromParent_Done,
     /* 164250 */   // Label 3596: @164250
     /* 164250 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(164318), // Rule ID 1197 //
     /* 164255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 164258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 164270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164274 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164277 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164281 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164298 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VFMADD231PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDYm),
     /* 164301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164303 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 164305 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164307 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164316 */     GIR_RootConstrainSelectedInstOperands,
     /* 164317 */     // GIR_Coverage, 1197,
     /* 164317 */     GIR_EraseRootFromParent_Done,
     /* 164318 */   // Label 3597: @164318
     /* 164318 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(164386), // Rule ID 1479 //
     /* 164323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 164338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164342 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164345 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164349 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164366 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Ymr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 164366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Ymr),
     /* 164369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164371 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 164373 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 164377 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164384 */     GIR_RootConstrainSelectedInstOperands,
     /* 164385 */     // GIR_Coverage, 1479,
     /* 164385 */     GIR_EraseRootFromParent_Done,
     /* 164386 */   // Label 3598: @164386
     /* 164386 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(164454), // Rule ID 9130 //
     /* 164391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 164406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164410 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164413 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164417 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164427 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164434 */     // (fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VFMADD231PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZ256m),
     /* 164437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164439 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 164441 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164443 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164452 */     GIR_RootConstrainSelectedInstOperands,
     /* 164453 */     // GIR_Coverage, 9130,
     /* 164453 */     GIR_EraseRootFromParent_Done,
     /* 164454 */   // Label 3599: @164454
     /* 164454 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(164522), // Rule ID 1195 //
     /* 164459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 164462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164482 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164485 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164489 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164495 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164502 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDYm),
     /* 164505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164507 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164509 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164511 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164520 */     GIR_RootConstrainSelectedInstOperands,
     /* 164521 */     // GIR_Coverage, 1195,
     /* 164521 */     GIR_EraseRootFromParent_Done,
     /* 164522 */   // Label 3600: @164522
     /* 164522 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(164590), // Rule ID 1477 //
     /* 164527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164550 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164553 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164557 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164563 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164570 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPD4Yrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Yrm),
     /* 164573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164575 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 164577 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 164579 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164588 */     GIR_RootConstrainSelectedInstOperands,
     /* 164589 */     // GIR_Coverage, 1477,
     /* 164589 */     GIR_EraseRootFromParent_Done,
     /* 164590 */   // Label 3601: @164590
     /* 164590 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(164658), // Rule ID 8501 //
     /* 164595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164618 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164621 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164625 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164631 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164638 */     // (fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ256m),
     /* 164641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164643 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164656 */     GIR_RootConstrainSelectedInstOperands,
     /* 164657 */     // GIR_Coverage, 8501,
     /* 164657 */     GIR_EraseRootFromParent_Done,
     /* 164658 */   // Label 3602: @164658
     /* 164658 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(164695), // Rule ID 1193 //
     /* 164663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 164666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164682 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADD213PDYr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 164682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDYr),
     /* 164685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164687 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164689 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164691 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164693 */     GIR_RootConstrainSelectedInstOperands,
     /* 164694 */     // GIR_Coverage, 1193,
     /* 164694 */     GIR_EraseRootFromParent_Done,
     /* 164695 */   // Label 3603: @164695
     /* 164695 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(164730), // Rule ID 1475 //
     /* 164700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 164703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 164719 */     // (fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Yrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 164719 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Yrr),
     /* 164724 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 164728 */     GIR_RootConstrainSelectedInstOperands,
     /* 164729 */     // GIR_Coverage, 1475,
     /* 164729 */     GIR_Done,
     /* 164730 */   // Label 3604: @164730
     /* 164730 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(164767), // Rule ID 8497 //
     /* 164735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 164738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 164754 */     // (fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src3)  =>  (VFMADD213PDZ256r:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src3)
     /* 164754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ256r),
     /* 164757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164759 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164761 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164763 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 164765 */     GIR_RootConstrainSelectedInstOperands,
     /* 164766 */     // GIR_Coverage, 8497,
     /* 164766 */     GIR_EraseRootFromParent_Done,
     /* 164767 */   // Label 3605: @164767
     /* 164767 */   GIM_Reject,
     /* 164768 */ // Label 3593: @164768
     /* 164768 */ GIM_Reject,
     /* 164769 */ // Label 3529: @164769
     /* 164769 */ GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(165013),
     /* 164774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 164777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 164780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 164783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164787 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(164851), // Rule ID 9616 //
     /* 164792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 164795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 164799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164803 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164806 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164810 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164831 */     // (fma:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VFMADD132PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZ128m),
     /* 164834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164836 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164838 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 164840 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164849 */     GIR_RootConstrainSelectedInstOperands,
     /* 164850 */     // GIR_Coverage, 9616,
     /* 164850 */     GIR_EraseRootFromParent_Done,
     /* 164851 */   // Label 3607: @164851
     /* 164851 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(164915), // Rule ID 9076 //
     /* 164856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 164859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 164867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164871 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164874 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164878 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164888 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164895 */     // (fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VFMADD231PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZ128m),
     /* 164898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164900 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 164902 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164904 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164913 */     GIR_RootConstrainSelectedInstOperands,
     /* 164914 */     // GIR_Coverage, 9076,
     /* 164914 */     GIR_EraseRootFromParent_Done,
     /* 164915 */   // Label 3608: @164915
     /* 164915 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(164979), // Rule ID 8435 //
     /* 164920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 164923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 164939 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 164942 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 164946 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 164950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164952 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 164959 */     // (fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 164959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ128m),
     /* 164962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164964 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 164966 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 164968 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 164972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 164977 */     GIR_RootConstrainSelectedInstOperands,
     /* 164978 */     // GIR_Coverage, 8435,
     /* 164978 */     GIR_EraseRootFromParent_Done,
     /* 164979 */   // Label 3609: @164979
     /* 164979 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(165012), // Rule ID 8431 //
     /* 164984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 164987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 164999 */     // (fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src3)  =>  (VFMADD213PHZ128r:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src3)
     /* 164999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ128r),
     /* 165002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165004 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165006 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165008 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165010 */     GIR_RootConstrainSelectedInstOperands,
     /* 165011 */     // GIR_Coverage, 8431,
     /* 165011 */     GIR_EraseRootFromParent_Done,
     /* 165012 */   // Label 3610: @165012
     /* 165012 */   GIM_Reject,
     /* 165013 */ // Label 3606: @165013
     /* 165013 */ GIM_Reject,
     /* 165014 */ // Label 3530: @165014
     /* 165014 */ GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(165750),
     /* 165019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 165022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 165025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 165028 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(165096), // Rule ID 1151 //
     /* 165033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 165036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 165044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165048 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165051 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165055 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165069 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165076 */     // (fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VFMADD132PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSYm),
     /* 165079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165081 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165083 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 165085 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165094 */     GIR_RootConstrainSelectedInstOperands,
     /* 165095 */     // GIR_Coverage, 1151,
     /* 165095 */     GIR_EraseRootFromParent_Done,
     /* 165096 */   // Label 3612: @165096
     /* 165096 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(165164), // Rule ID 9638 //
     /* 165101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 165104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 165112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165116 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165119 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165123 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165144 */     // (fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VFMADD132PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZ256m),
     /* 165147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165149 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165151 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 165153 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165162 */     GIR_RootConstrainSelectedInstOperands,
     /* 165163 */     // GIR_Coverage, 9638,
     /* 165163 */     GIR_EraseRootFromParent_Done,
     /* 165164 */   // Label 3613: @165164
     /* 165164 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(165232), // Rule ID 23288 //
     /* 165169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 165172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 165180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165184 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165187 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165191 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165205 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165212 */     // (fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Ymr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 165212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Ymr),
     /* 165215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165217 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165219 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 165223 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165230 */     GIR_RootConstrainSelectedInstOperands,
     /* 165231 */     // GIR_Coverage, 23288,
     /* 165231 */     GIR_EraseRootFromParent_Done,
     /* 165232 */   // Label 3614: @165232
     /* 165232 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(165300), // Rule ID 1149 //
     /* 165237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 165240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 165252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165256 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165259 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165263 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165280 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VFMADD231PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSYm),
     /* 165283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165285 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 165287 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165289 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165298 */     GIR_RootConstrainSelectedInstOperands,
     /* 165299 */     // GIR_Coverage, 1149,
     /* 165299 */     GIR_EraseRootFromParent_Done,
     /* 165300 */   // Label 3615: @165300
     /* 165300 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(165368), // Rule ID 1395 //
     /* 165305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 165308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 165320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165324 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165327 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165331 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165348 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Ymr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 165348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Ymr),
     /* 165351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165353 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 165355 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 165359 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165366 */     GIR_RootConstrainSelectedInstOperands,
     /* 165367 */     // GIR_Coverage, 1395,
     /* 165367 */     GIR_EraseRootFromParent_Done,
     /* 165368 */   // Label 3616: @165368
     /* 165368 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(165436), // Rule ID 9098 //
     /* 165373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 165376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 165388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165392 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165395 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165399 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165416 */     // (fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VFMADD231PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZ256m),
     /* 165419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165421 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 165423 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165425 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165429 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165434 */     GIR_RootConstrainSelectedInstOperands,
     /* 165435 */     // GIR_Coverage, 9098,
     /* 165435 */     GIR_EraseRootFromParent_Done,
     /* 165436 */   // Label 3617: @165436
     /* 165436 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(165504), // Rule ID 1147 //
     /* 165441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 165444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165464 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165467 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165471 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165477 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165484 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSYm),
     /* 165487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165489 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165491 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165493 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165502 */     GIR_RootConstrainSelectedInstOperands,
     /* 165503 */     // GIR_Coverage, 1147,
     /* 165503 */     GIR_EraseRootFromParent_Done,
     /* 165504 */   // Label 3618: @165504
     /* 165504 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(165572), // Rule ID 1393 //
     /* 165509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 165512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165532 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165535 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165539 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165552 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPS4Yrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Yrm),
     /* 165555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165557 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 165559 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 165561 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165570 */     GIR_RootConstrainSelectedInstOperands,
     /* 165571 */     // GIR_Coverage, 1393,
     /* 165571 */     GIR_EraseRootFromParent_Done,
     /* 165572 */   // Label 3619: @165572
     /* 165572 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(165640), // Rule ID 8462 //
     /* 165577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 165580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165600 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165603 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165607 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165620 */     // (fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ256m),
     /* 165623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165625 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165627 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165629 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165638 */     GIR_RootConstrainSelectedInstOperands,
     /* 165639 */     // GIR_Coverage, 8462,
     /* 165639 */     GIR_EraseRootFromParent_Done,
     /* 165640 */   // Label 3620: @165640
     /* 165640 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(165677), // Rule ID 1145 //
     /* 165645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 165648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165664 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADD213PSYr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 165664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSYr),
     /* 165667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165669 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165671 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165673 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165675 */     GIR_RootConstrainSelectedInstOperands,
     /* 165676 */     // GIR_Coverage, 1145,
     /* 165676 */     GIR_EraseRootFromParent_Done,
     /* 165677 */   // Label 3621: @165677
     /* 165677 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(165712), // Rule ID 1391 //
     /* 165682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 165685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 165701 */     // (fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Yrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 165701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Yrr),
     /* 165706 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 165710 */     GIR_RootConstrainSelectedInstOperands,
     /* 165711 */     // GIR_Coverage, 1391,
     /* 165711 */     GIR_Done,
     /* 165712 */   // Label 3622: @165712
     /* 165712 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(165749), // Rule ID 8458 //
     /* 165717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 165720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 165736 */     // (fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src3)  =>  (VFMADD213PSZ256r:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src3)
     /* 165736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ256r),
     /* 165739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165741 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165743 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165745 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165747 */     GIR_RootConstrainSelectedInstOperands,
     /* 165748 */     // GIR_Coverage, 8458,
     /* 165748 */     GIR_EraseRootFromParent_Done,
     /* 165749 */   // Label 3623: @165749
     /* 165749 */   GIM_Reject,
     /* 165750 */ // Label 3611: @165750
     /* 165750 */ GIM_Reject,
     /* 165751 */ // Label 3531: @165751
     /* 165751 */ GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(165995),
     /* 165756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 165759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 165762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 165765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165769 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(165833), // Rule ID 9658 //
     /* 165774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 165777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 165781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165785 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165788 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165792 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165806 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165813 */     // (fma:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VFMADD132PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZm),
     /* 165816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165818 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165820 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 165822 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165831 */     GIR_RootConstrainSelectedInstOperands,
     /* 165832 */     // GIR_Coverage, 9658,
     /* 165832 */     GIR_EraseRootFromParent_Done,
     /* 165833 */   // Label 3625: @165833
     /* 165833 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(165897), // Rule ID 9118 //
     /* 165838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 165841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 165849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165853 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165856 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165860 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165870 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165877 */     // (fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VFMADD231PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZm),
     /* 165880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165882 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 165884 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165886 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165895 */     GIR_RootConstrainSelectedInstOperands,
     /* 165896 */     // GIR_Coverage, 9118,
     /* 165896 */     GIR_EraseRootFromParent_Done,
     /* 165897 */   // Label 3626: @165897
     /* 165897 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(165961), // Rule ID 8486 //
     /* 165902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 165905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 165921 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 165924 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 165928 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 165932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165934 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 165941 */     // (fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 165941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZm),
     /* 165944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165946 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165948 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165950 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 165954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 165959 */     GIR_RootConstrainSelectedInstOperands,
     /* 165960 */     // GIR_Coverage, 8486,
     /* 165960 */     GIR_EraseRootFromParent_Done,
     /* 165961 */   // Label 3627: @165961
     /* 165961 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(165994), // Rule ID 8482 //
     /* 165966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 165969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 165981 */     // (fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src3)  =>  (VFMADD213PDZr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src3)
     /* 165981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZr),
     /* 165984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 165986 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 165988 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 165990 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 165992 */     GIR_RootConstrainSelectedInstOperands,
     /* 165993 */     // GIR_Coverage, 8482,
     /* 165993 */     GIR_EraseRootFromParent_Done,
     /* 165994 */   // Label 3628: @165994
     /* 165994 */   GIM_Reject,
     /* 165995 */ // Label 3624: @165995
     /* 165995 */ GIM_Reject,
     /* 165996 */ // Label 3532: @165996
     /* 165996 */ GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(166240),
     /* 166001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 166004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 166007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 166010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166014 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(166078), // Rule ID 9606 //
     /* 166019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 166022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 166026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166030 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166033 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166037 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166051 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166058 */     // (fma:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VFMADD132PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZ256m),
     /* 166061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166063 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166065 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 166067 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166076 */     GIR_RootConstrainSelectedInstOperands,
     /* 166077 */     // GIR_Coverage, 9606,
     /* 166077 */     GIR_EraseRootFromParent_Done,
     /* 166078 */   // Label 3630: @166078
     /* 166078 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(166142), // Rule ID 9066 //
     /* 166083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 166086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 166094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166098 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166101 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166105 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166115 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166122 */     // (fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VFMADD231PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZ256m),
     /* 166125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166127 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 166129 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166131 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166140 */     GIR_RootConstrainSelectedInstOperands,
     /* 166141 */     // GIR_Coverage, 9066,
     /* 166141 */     GIR_EraseRootFromParent_Done,
     /* 166142 */   // Label 3631: @166142
     /* 166142 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(166206), // Rule ID 8423 //
     /* 166147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 166150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166166 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166169 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166173 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166179 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166186 */     // (fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ256m),
     /* 166189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166191 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166193 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166195 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166204 */     GIR_RootConstrainSelectedInstOperands,
     /* 166205 */     // GIR_Coverage, 8423,
     /* 166205 */     GIR_EraseRootFromParent_Done,
     /* 166206 */   // Label 3632: @166206
     /* 166206 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(166239), // Rule ID 8419 //
     /* 166211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 166214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 166226 */     // (fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src3)  =>  (VFMADD213PHZ256r:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src3)
     /* 166226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ256r),
     /* 166229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166231 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166233 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166235 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 166237 */     GIR_RootConstrainSelectedInstOperands,
     /* 166238 */     // GIR_Coverage, 8419,
     /* 166238 */     GIR_EraseRootFromParent_Done,
     /* 166239 */   // Label 3633: @166239
     /* 166239 */   GIM_Reject,
     /* 166240 */ // Label 3629: @166240
     /* 166240 */ GIM_Reject,
     /* 166241 */ // Label 3533: @166241
     /* 166241 */ GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(166485),
     /* 166246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 166249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 166252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 166255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166259 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(166323), // Rule ID 9626 //
     /* 166264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 166271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166275 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166278 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166282 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166296 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166303 */     // (fma:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VFMADD132PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZm),
     /* 166306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166308 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166310 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 166312 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166321 */     GIR_RootConstrainSelectedInstOperands,
     /* 166322 */     // GIR_Coverage, 9626,
     /* 166322 */     GIR_EraseRootFromParent_Done,
     /* 166323 */   // Label 3635: @166323
     /* 166323 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(166387), // Rule ID 9086 //
     /* 166328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 166339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166343 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166346 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166350 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166360 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166367 */     // (fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VFMADD231PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZm),
     /* 166370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166372 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 166374 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166376 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166385 */     GIR_RootConstrainSelectedInstOperands,
     /* 166386 */     // GIR_Coverage, 9086,
     /* 166386 */     GIR_EraseRootFromParent_Done,
     /* 166387 */   // Label 3636: @166387
     /* 166387 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(166451), // Rule ID 8447 //
     /* 166392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166411 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166414 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166418 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166424 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166431 */     // (fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZm),
     /* 166434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166436 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166438 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166440 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166449 */     GIR_RootConstrainSelectedInstOperands,
     /* 166450 */     // GIR_Coverage, 8447,
     /* 166450 */     GIR_EraseRootFromParent_Done,
     /* 166451 */   // Label 3637: @166451
     /* 166451 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(166484), // Rule ID 8443 //
     /* 166456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 166459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166471 */     // (fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src3)  =>  (VFMADD213PSZr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src3)
     /* 166471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZr),
     /* 166474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166476 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166478 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166480 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 166482 */     GIR_RootConstrainSelectedInstOperands,
     /* 166483 */     // GIR_Coverage, 8443,
     /* 166483 */     GIR_EraseRootFromParent_Done,
     /* 166484 */   // Label 3638: @166484
     /* 166484 */   GIM_Reject,
     /* 166485 */ // Label 3634: @166485
     /* 166485 */ GIM_Reject,
     /* 166486 */ // Label 3534: @166486
     /* 166486 */ GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(166730),
     /* 166491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 166494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 166497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 166500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166504 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(166568), // Rule ID 9594 //
     /* 166509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 166512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 166516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166520 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166523 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166527 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166548 */     // (fma:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VFMADD132PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZm),
     /* 166551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166553 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166555 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 166557 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166566 */     GIR_RootConstrainSelectedInstOperands,
     /* 166567 */     // GIR_Coverage, 9594,
     /* 166567 */     GIR_EraseRootFromParent_Done,
     /* 166568 */   // Label 3640: @166568
     /* 166568 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(166632), // Rule ID 9054 //
     /* 166573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 166576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 166584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166588 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166591 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166595 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166605 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166612 */     // (fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VFMADD231PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZm),
     /* 166615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166617 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 166619 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166621 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166630 */     GIR_RootConstrainSelectedInstOperands,
     /* 166631 */     // GIR_Coverage, 9054,
     /* 166631 */     GIR_EraseRootFromParent_Done,
     /* 166632 */   // Label 3641: @166632
     /* 166632 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(166696), // Rule ID 8408 //
     /* 166637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 166640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166656 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166659 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166663 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166676 */     // (fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 166676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZm),
     /* 166679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166681 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166683 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166685 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 166689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166694 */     GIR_RootConstrainSelectedInstOperands,
     /* 166695 */     // GIR_Coverage, 8408,
     /* 166695 */     GIR_EraseRootFromParent_Done,
     /* 166696 */   // Label 3642: @166696
     /* 166696 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(166729), // Rule ID 8404 //
     /* 166701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 166704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 166716 */     // (fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src3)  =>  (VFMADD213PHZr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src3)
     /* 166716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZr),
     /* 166719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166721 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 166723 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 166725 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 166727 */     GIR_RootConstrainSelectedInstOperands,
     /* 166728 */     // GIR_Coverage, 8404,
     /* 166728 */     GIR_EraseRootFromParent_Done,
     /* 166729 */   // Label 3643: @166729
     /* 166729 */   GIM_Reject,
     /* 166730 */ // Label 3639: @166730
     /* 166730 */ GIM_Reject,
     /* 166731 */ // Label 3535: @166731
     /* 166731 */ GIM_Reject,
     /* 166732 */ // Label 45: @166732
     /* 166732 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3657*/ GIMT_Encode4(170125),
     /* 166743 */ /*GILLT_s16*//*Label 3644*/ GIMT_Encode4(166827),
     /* 166747 */ /*GILLT_s32*//*Label 3645*/ GIMT_Encode4(166925),
     /* 166751 */ /*GILLT_s64*//*Label 3646*/ GIMT_Encode4(167618),
     /* 166755 */ /*GILLT_s80*//*Label 3647*/ GIMT_Encode4(168455), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 166767 */ /*GILLT_v2s64*//*Label 3648*/ GIMT_Encode4(168777), GIMT_Encode4(0),
     /* 166775 */ /*GILLT_v4s32*//*Label 3649*/ GIMT_Encode4(169007),
     /* 166779 */ /*GILLT_v4s64*//*Label 3650*/ GIMT_Encode4(169237), GIMT_Encode4(0),
     /* 166787 */ /*GILLT_v8s16*//*Label 3651*/ GIMT_Encode4(169436),
     /* 166791 */ /*GILLT_v8s32*//*Label 3652*/ GIMT_Encode4(169534),
     /* 166795 */ /*GILLT_v8s64*//*Label 3653*/ GIMT_Encode4(169733), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 166807 */ /*GILLT_v16s16*//*Label 3654*/ GIMT_Encode4(169831),
     /* 166811 */ /*GILLT_v16s32*//*Label 3655*/ GIMT_Encode4(169929), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 166823 */ /*GILLT_v32s16*//*Label 3656*/ GIMT_Encode4(170027),
     /* 166827 */ // Label 3644: @166827
     /* 166827 */ GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(166924),
     /* 166832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 166835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 166838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 166842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 166846 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(166900), // Rule ID 6125 //
     /* 166851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 166854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 166858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166862 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 166865 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 166869 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 166873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166875 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166882 */     // (fdiv:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 166882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSHZrm),
     /* 166885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 166887 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 166889 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 166893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 166898 */     GIR_RootConstrainSelectedInstOperands,
     /* 166899 */     // GIR_Coverage, 6125,
     /* 166899 */     GIR_EraseRootFromParent_Done,
     /* 166900 */   // Label 3659: @166900
     /* 166900 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(166923), // Rule ID 6123 //
     /* 166905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 166908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 166912 */     // (fdiv:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VDIVSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 166912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSHZrr),
     /* 166917 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 166921 */     GIR_RootConstrainSelectedInstOperands,
     /* 166922 */     // GIR_Coverage, 6123,
     /* 166922 */     GIR_Done,
     /* 166923 */   // Label 3660: @166923
     /* 166923 */   GIM_Reject,
     /* 166924 */ // Label 3658: @166924
     /* 166924 */ GIM_Reject,
     /* 166925 */ // Label 3645: @166925
     /* 166925 */ GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(167617),
     /* 166930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 166933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 166936 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(167014), // Rule ID 22484 //
     /* 166941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 166944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 166948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 166952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 166956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 166960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 166964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 166968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 166972 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 166975 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 166982 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 166986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 166988 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 166995 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (DIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 166995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSSrm),
     /* 166998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167000 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167002 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 167012 */     GIR_RootConstrainSelectedInstOperands,
     /* 167013 */     // GIR_Coverage, 22484,
     /* 167013 */     GIR_EraseRootFromParent_Done,
     /* 167014 */   // Label 3662: @167014
     /* 167014 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(167092), // Rule ID 22485 //
     /* 167019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 167022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 167038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 167042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 167046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167050 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167053 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 167060 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 167064 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 167066 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167073 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (VDIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSrm),
     /* 167076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167078 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167080 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 167090 */     GIR_RootConstrainSelectedInstOperands,
     /* 167091 */     // GIR_Coverage, 22485,
     /* 167091 */     GIR_EraseRootFromParent_Done,
     /* 167092 */   // Label 3663: @167092
     /* 167092 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(167170), // Rule ID 22486 //
     /* 167097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 167100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 167116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 167120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 167124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167128 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167131 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 167138 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 167142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 167144 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167151 */     // (fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_32>>))  =>  (VDIVSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrm),
     /* 167154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167156 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167158 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 167168 */     GIR_RootConstrainSelectedInstOperands,
     /* 167169 */     // GIR_Coverage, 22486,
     /* 167169 */     GIR_EraseRootFromParent_Done,
     /* 167170 */   // Label 3664: @167170
     /* 167170 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(167235), // Rule ID 1020 //
     /* 167175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 167178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 167186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167190 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167193 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167197 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167214 */     // (fdiv:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (DIVR_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp32m),
     /* 167217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167219 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 167221 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 167228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167233 */     GIR_RootConstrainSelectedInstOperands,
     /* 167234 */     // GIR_Coverage, 1020,
     /* 167234 */     GIR_EraseRootFromParent_Done,
     /* 167235 */   // Label 3665: @167235
     /* 167235 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(167300), // Rule ID 998 //
     /* 167240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 167243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167259 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167262 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167266 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167272 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167279 */     // (fdiv:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIV_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp32m),
     /* 167282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167284 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167286 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 167293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167298 */     GIR_RootConstrainSelectedInstOperands,
     /* 167299 */     // GIR_Coverage, 998,
     /* 167299 */     GIR_EraseRootFromParent_Done,
     /* 167300 */   // Label 3666: @167300
     /* 167300 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(167362), // Rule ID 2280 //
     /* 167305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 167308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167324 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167327 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167331 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167337 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167344 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSrm),
     /* 167347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167349 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167351 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167360 */     GIR_RootConstrainSelectedInstOperands,
     /* 167361 */     // GIR_Coverage, 2280,
     /* 167361 */     GIR_EraseRootFromParent_Done,
     /* 167362 */   // Label 3667: @167362
     /* 167362 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(167424), // Rule ID 2288 //
     /* 167367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 167370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167386 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167389 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167393 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167399 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167406 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSSrm),
     /* 167409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167411 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167413 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167422 */     GIR_RootConstrainSelectedInstOperands,
     /* 167423 */     // GIR_Coverage, 2288,
     /* 167423 */     GIR_EraseRootFromParent_Done,
     /* 167424 */   // Label 3668: @167424
     /* 167424 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(167486), // Rule ID 6087 //
     /* 167429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 167432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167448 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167451 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167455 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167461 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167468 */     // (fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrm),
     /* 167471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167473 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167475 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167484 */     GIR_RootConstrainSelectedInstOperands,
     /* 167485 */     // GIR_Coverage, 6087,
     /* 167485 */     GIR_EraseRootFromParent_Done,
     /* 167486 */   // Label 3669: @167486
     /* 167486 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(167523), // Rule ID 904 //
     /* 167491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 167494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 167506 */     // (fdiv:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (DIV_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 167506 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp32),
     /* 167511 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 167517 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 167521 */     GIR_RootConstrainSelectedInstOperands,
     /* 167522 */     // GIR_Coverage, 904,
     /* 167522 */     GIR_Done,
     /* 167523 */   // Label 3670: @167523
     /* 167523 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(167554), // Rule ID 2278 //
     /* 167528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 167531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167543 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VDIVSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 167543 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSSrr),
     /* 167548 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 167552 */     GIR_RootConstrainSelectedInstOperands,
     /* 167553 */     // GIR_Coverage, 2278,
     /* 167553 */     GIR_Done,
     /* 167554 */   // Label 3671: @167554
     /* 167554 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(167585), // Rule ID 2286 //
     /* 167559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 167562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 167574 */     // (fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (DIVSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 167574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVSSrr),
     /* 167579 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 167583 */     GIR_RootConstrainSelectedInstOperands,
     /* 167584 */     // GIR_Coverage, 2286,
     /* 167584 */     GIR_Done,
     /* 167585 */   // Label 3672: @167585
     /* 167585 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(167616), // Rule ID 6085 //
     /* 167590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 167593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 167605 */     // (fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VDIVSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 167605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrr),
     /* 167610 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 167614 */     GIR_RootConstrainSelectedInstOperands,
     /* 167615 */     // GIR_Coverage, 6085,
     /* 167615 */     GIR_Done,
     /* 167616 */   // Label 3673: @167616
     /* 167616 */   GIM_Reject,
     /* 167617 */ // Label 3661: @167617
     /* 167617 */ GIM_Reject,
     /* 167618 */ // Label 3646: @167618
     /* 167618 */ GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(168454),
     /* 167623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 167626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 167629 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(167707), // Rule ID 22487 //
     /* 167634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 167637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 167641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 167645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 167653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 167657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 167661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167665 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167668 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 167675 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 167679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 167681 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167688 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (DIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSDrm),
     /* 167691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167693 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167695 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 167705 */     GIR_RootConstrainSelectedInstOperands,
     /* 167706 */     // GIR_Coverage, 22487,
     /* 167706 */     GIR_EraseRootFromParent_Done,
     /* 167707 */   // Label 3675: @167707
     /* 167707 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(167785), // Rule ID 22488 //
     /* 167712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 167715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 167719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 167723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 167731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 167735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 167739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167743 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167746 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 167753 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 167757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 167759 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167766 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (VDIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDrm),
     /* 167769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167771 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167773 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 167783 */     GIR_RootConstrainSelectedInstOperands,
     /* 167784 */     // GIR_Coverage, 22488,
     /* 167784 */     GIR_EraseRootFromParent_Done,
     /* 167785 */   // Label 3676: @167785
     /* 167785 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(167863), // Rule ID 22489 //
     /* 167790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 167793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 167797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 167801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 167805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 167809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 167813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 167817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167821 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 167824 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 167831 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 167835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 167837 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167844 */     // (fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_atomic_load_64>>))  =>  (VDIVSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrm),
     /* 167847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167849 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 167851 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 167861 */     GIR_RootConstrainSelectedInstOperands,
     /* 167862 */     // GIR_Coverage, 22489,
     /* 167862 */     GIR_EraseRootFromParent_Done,
     /* 167863 */   // Label 3677: @167863
     /* 167863 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(167928), // Rule ID 1022 //
     /* 167868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 167871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 167875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 167879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167883 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167886 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167890 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 167898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167900 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167907 */     // (fdiv:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (DIVR_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp64m),
     /* 167910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167912 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 167914 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 167921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167926 */     GIR_RootConstrainSelectedInstOperands,
     /* 167927 */     // GIR_Coverage, 1022,
     /* 167927 */     GIR_EraseRootFromParent_Done,
     /* 167928 */   // Label 3678: @167928
     /* 167928 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(168000), // Rule ID 1024 //
     /* 167933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 167936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 167940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 167944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 167948 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 167951 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 167955 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 167962 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 167966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 167970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 167979 */     // (fdiv:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (DIVR_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 167979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp64m32),
     /* 167982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167984 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 167986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 167990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 167993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 167998 */     GIR_RootConstrainSelectedInstOperands,
     /* 167999 */     // GIR_Coverage, 1024,
     /* 167999 */     GIR_EraseRootFromParent_Done,
     /* 168000 */   // Label 3679: @168000
     /* 168000 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(168065), // Rule ID 1000 //
     /* 168005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 168008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168024 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168027 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168031 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168044 */     // (fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIV_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64m),
     /* 168047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168049 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168051 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168063 */     GIR_RootConstrainSelectedInstOperands,
     /* 168064 */     // GIR_Coverage, 1000,
     /* 168064 */     GIR_EraseRootFromParent_Done,
     /* 168065 */   // Label 3680: @168065
     /* 168065 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(168137), // Rule ID 1002 //
     /* 168070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 168073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168089 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168092 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168096 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 168103 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168109 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168116 */     // (fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (DIV_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64m32),
     /* 168119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168121 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168123 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168135 */     GIR_RootConstrainSelectedInstOperands,
     /* 168136 */     // GIR_Coverage, 1002,
     /* 168136 */     GIR_EraseRootFromParent_Done,
     /* 168137 */   // Label 3681: @168137
     /* 168137 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(168199), // Rule ID 2284 //
     /* 168142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 168145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168161 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168164 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168168 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168174 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168181 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDrm),
     /* 168184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168186 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168188 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168197 */     GIR_RootConstrainSelectedInstOperands,
     /* 168198 */     // GIR_Coverage, 2284,
     /* 168198 */     GIR_EraseRootFromParent_Done,
     /* 168199 */   // Label 3682: @168199
     /* 168199 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(168261), // Rule ID 2292 //
     /* 168204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 168207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168223 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168226 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168230 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168236 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168243 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSDrm),
     /* 168246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168248 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168250 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168259 */     GIR_RootConstrainSelectedInstOperands,
     /* 168260 */     // GIR_Coverage, 2292,
     /* 168260 */     GIR_EraseRootFromParent_Done,
     /* 168261 */   // Label 3683: @168261
     /* 168261 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(168323), // Rule ID 6106 //
     /* 168266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 168269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168285 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168288 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168292 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168298 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168305 */     // (fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrm),
     /* 168308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168310 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168312 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168321 */     GIR_RootConstrainSelectedInstOperands,
     /* 168322 */     // GIR_Coverage, 6106,
     /* 168322 */     GIR_EraseRootFromParent_Done,
     /* 168323 */   // Label 3684: @168323
     /* 168323 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(168360), // Rule ID 906 //
     /* 168328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 168331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 168343 */     // (fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (DIV_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 168343 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64),
     /* 168348 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 168354 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 168358 */     GIR_RootConstrainSelectedInstOperands,
     /* 168359 */     // GIR_Coverage, 906,
     /* 168359 */     GIR_Done,
     /* 168360 */   // Label 3685: @168360
     /* 168360 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(168391), // Rule ID 2282 //
     /* 168365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 168368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168380 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VDIVSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 168380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSDrr),
     /* 168385 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168389 */     GIR_RootConstrainSelectedInstOperands,
     /* 168390 */     // GIR_Coverage, 2282,
     /* 168390 */     GIR_Done,
     /* 168391 */   // Label 3686: @168391
     /* 168391 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(168422), // Rule ID 2290 //
     /* 168396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 168399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 168411 */     // (fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (DIVSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 168411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVSDrr),
     /* 168416 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168420 */     GIR_RootConstrainSelectedInstOperands,
     /* 168421 */     // GIR_Coverage, 2290,
     /* 168421 */     GIR_Done,
     /* 168422 */   // Label 3687: @168422
     /* 168422 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(168453), // Rule ID 6104 //
     /* 168427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 168430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 168442 */     // (fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VDIVSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 168442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrr),
     /* 168447 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168451 */     GIR_RootConstrainSelectedInstOperands,
     /* 168452 */     // GIR_Coverage, 6104,
     /* 168452 */     GIR_Done,
     /* 168453 */   // Label 3688: @168453
     /* 168453 */   GIM_Reject,
     /* 168454 */ // Label 3674: @168454
     /* 168454 */ GIM_Reject,
     /* 168455 */ // Label 3647: @168455
     /* 168455 */ GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(168776),
     /* 168460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 168463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 168466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 168470 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(168538), // Rule ID 1026 //
     /* 168475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 168478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 168482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168486 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168489 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168493 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 168500 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 168508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168510 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168517 */     // (fdiv:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (DIVR_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp80m32),
     /* 168520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168522 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 168524 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168536 */     GIR_RootConstrainSelectedInstOperands,
     /* 168537 */     // GIR_Coverage, 1026,
     /* 168537 */     GIR_EraseRootFromParent_Done,
     /* 168538 */   // Label 3690: @168538
     /* 168538 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(168606), // Rule ID 1028 //
     /* 168543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 168546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 168550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168554 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168557 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168561 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 168568 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 168576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168578 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168585 */     // (fdiv:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (DIVR_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp80m64),
     /* 168588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168590 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 168592 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168604 */     GIR_RootConstrainSelectedInstOperands,
     /* 168605 */     // GIR_Coverage, 1028,
     /* 168605 */     GIR_EraseRootFromParent_Done,
     /* 168606 */   // Label 3691: @168606
     /* 168606 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(168674), // Rule ID 1004 //
     /* 168611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 168614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 168618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168626 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168629 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168633 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 168640 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168646 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168653 */     // (fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (DIV_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80m32),
     /* 168656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168658 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168660 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168672 */     GIR_RootConstrainSelectedInstOperands,
     /* 168673 */     // GIR_Coverage, 1004,
     /* 168673 */     GIR_EraseRootFromParent_Done,
     /* 168674 */   // Label 3692: @168674
     /* 168674 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(168742), // Rule ID 1006 //
     /* 168679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 168682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 168686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168694 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168697 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168701 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 168708 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168714 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168721 */     // (fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (DIV_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80m64),
     /* 168724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168726 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168728 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 168735 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168740 */     GIR_RootConstrainSelectedInstOperands,
     /* 168741 */     // GIR_Coverage, 1006,
     /* 168741 */     GIR_EraseRootFromParent_Done,
     /* 168742 */   // Label 3693: @168742
     /* 168742 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(168775), // Rule ID 908 //
     /* 168747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 168750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 168754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 168758 */     // (fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (DIV_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 168758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80),
     /* 168763 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 168769 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 168773 */     GIR_RootConstrainSelectedInstOperands,
     /* 168774 */     // GIR_Coverage, 908,
     /* 168774 */     GIR_Done,
     /* 168775 */   // Label 3694: @168775
     /* 168775 */   GIM_Reject,
     /* 168776 */ // Label 3689: @168776
     /* 168776 */ GIM_Reject,
     /* 168777 */ // Label 3648: @168777
     /* 168777 */ GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(169006),
     /* 168782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 168785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 168788 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(168850), // Rule ID 2260 //
     /* 168793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 168796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 168800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 168804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168812 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168815 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168819 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168825 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168832 */     // (fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDrm),
     /* 168835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168837 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168839 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168848 */     GIR_RootConstrainSelectedInstOperands,
     /* 168849 */     // GIR_Coverage, 2260,
     /* 168849 */     GIR_EraseRootFromParent_Done,
     /* 168850 */   // Label 3696: @168850
     /* 168850 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(168912), // Rule ID 6659 //
     /* 168855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 168858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 168862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 168866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 168870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 168874 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 168877 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 168881 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 168885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 168887 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 168894 */     // (fdiv:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 168894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ128rm),
     /* 168897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168899 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 168901 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 168905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 168910 */     GIR_RootConstrainSelectedInstOperands,
     /* 168911 */     // GIR_Coverage, 6659,
     /* 168911 */     GIR_EraseRootFromParent_Done,
     /* 168912 */   // Label 3697: @168912
     /* 168912 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(168943), // Rule ID 2258 //
     /* 168917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 168920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 168924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 168928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 168932 */     // (fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VDIVPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 168932 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDrr),
     /* 168937 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168941 */     GIR_RootConstrainSelectedInstOperands,
     /* 168942 */     // GIR_Coverage, 2258,
     /* 168942 */     GIR_Done,
     /* 168943 */   // Label 3698: @168943
     /* 168943 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(168974), // Rule ID 2274 //
     /* 168948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 168951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 168955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 168959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 168963 */     // (fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (DIVPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 168963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVPDrr),
     /* 168968 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 168972 */     GIR_RootConstrainSelectedInstOperands,
     /* 168973 */     // GIR_Coverage, 2274,
     /* 168973 */     GIR_Done,
     /* 168974 */   // Label 3699: @168974
     /* 168974 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(169005), // Rule ID 6655 //
     /* 168979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 168982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 168986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 168990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 168994 */     // (fdiv:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VDIVPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 168994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ128rr),
     /* 168999 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169003 */     GIR_RootConstrainSelectedInstOperands,
     /* 169004 */     // GIR_Coverage, 6655,
     /* 169004 */     GIR_Done,
     /* 169005 */   // Label 3700: @169005
     /* 169005 */   GIM_Reject,
     /* 169006 */ // Label 3695: @169006
     /* 169006 */ GIM_Reject,
     /* 169007 */ // Label 3649: @169007
     /* 169007 */ GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(169236),
     /* 169012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 169015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169018 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(169080), // Rule ID 2256 //
     /* 169023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169042 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169045 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169049 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169055 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169062 */     // (fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSrm),
     /* 169065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169067 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169078 */     GIR_RootConstrainSelectedInstOperands,
     /* 169079 */     // GIR_Coverage, 2256,
     /* 169079 */     GIR_EraseRootFromParent_Done,
     /* 169080 */   // Label 3702: @169080
     /* 169080 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(169142), // Rule ID 6635 //
     /* 169085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169104 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169107 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169111 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169124 */     // (fdiv:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ128rm),
     /* 169127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169129 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169131 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169140 */     GIR_RootConstrainSelectedInstOperands,
     /* 169141 */     // GIR_Coverage, 6635,
     /* 169141 */     GIR_EraseRootFromParent_Done,
     /* 169142 */   // Label 3703: @169142
     /* 169142 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(169173), // Rule ID 2254 //
     /* 169147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169162 */     // (fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VDIVPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 169162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSrr),
     /* 169167 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169171 */     GIR_RootConstrainSelectedInstOperands,
     /* 169172 */     // GIR_Coverage, 2254,
     /* 169172 */     GIR_Done,
     /* 169173 */   // Label 3704: @169173
     /* 169173 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(169204), // Rule ID 2270 //
     /* 169178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 169181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 169193 */     // (fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (DIVPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 169193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVPSrr),
     /* 169198 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169202 */     GIR_RootConstrainSelectedInstOperands,
     /* 169203 */     // GIR_Coverage, 2270,
     /* 169203 */     GIR_Done,
     /* 169204 */   // Label 3705: @169204
     /* 169204 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(169235), // Rule ID 6631 //
     /* 169209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169224 */     // (fdiv:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VDIVPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 169224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ128rr),
     /* 169229 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169233 */     GIR_RootConstrainSelectedInstOperands,
     /* 169234 */     // GIR_Coverage, 6631,
     /* 169234 */     GIR_Done,
     /* 169235 */   // Label 3706: @169235
     /* 169235 */   GIM_Reject,
     /* 169236 */ // Label 3701: @169236
     /* 169236 */ GIM_Reject,
     /* 169237 */ // Label 3650: @169237
     /* 169237 */ GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(169435),
     /* 169242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 169245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 169248 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(169310), // Rule ID 2268 //
     /* 169253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169272 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169275 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169279 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169285 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169292 */     // (fdiv:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDYrm),
     /* 169295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169297 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169299 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169303 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169308 */     GIR_RootConstrainSelectedInstOperands,
     /* 169309 */     // GIR_Coverage, 2268,
     /* 169309 */     GIR_EraseRootFromParent_Done,
     /* 169310 */   // Label 3708: @169310
     /* 169310 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(169372), // Rule ID 6671 //
     /* 169315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169334 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169337 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169341 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169347 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169354 */     // (fdiv:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ256rm),
     /* 169357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169359 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169361 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169365 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169370 */     GIR_RootConstrainSelectedInstOperands,
     /* 169371 */     // GIR_Coverage, 6671,
     /* 169371 */     GIR_EraseRootFromParent_Done,
     /* 169372 */   // Label 3709: @169372
     /* 169372 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(169403), // Rule ID 2266 //
     /* 169377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169392 */     // (fdiv:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VDIVPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 169392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDYrr),
     /* 169397 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169401 */     GIR_RootConstrainSelectedInstOperands,
     /* 169402 */     // GIR_Coverage, 2266,
     /* 169402 */     GIR_Done,
     /* 169403 */   // Label 3710: @169403
     /* 169403 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(169434), // Rule ID 6667 //
     /* 169408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169423 */     // (fdiv:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VDIVPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 169423 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ256rr),
     /* 169428 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169432 */     GIR_RootConstrainSelectedInstOperands,
     /* 169433 */     // GIR_Coverage, 6667,
     /* 169433 */     GIR_Done,
     /* 169434 */   // Label 3711: @169434
     /* 169434 */   GIM_Reject,
     /* 169435 */ // Label 3707: @169435
     /* 169435 */ GIM_Reject,
     /* 169436 */ // Label 3651: @169436
     /* 169436 */ GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(169533),
     /* 169441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 169444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169455 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(169509), // Rule ID 6695 //
     /* 169460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 169463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169471 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169474 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169478 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169484 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169491 */     // (fdiv:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ128rm),
     /* 169494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169496 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169498 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169507 */     GIR_RootConstrainSelectedInstOperands,
     /* 169508 */     // GIR_Coverage, 6695,
     /* 169508 */     GIR_EraseRootFromParent_Done,
     /* 169509 */   // Label 3713: @169509
     /* 169509 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(169532), // Rule ID 6691 //
     /* 169514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 169517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 169521 */     // (fdiv:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VDIVPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 169521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ128rr),
     /* 169526 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169530 */     GIR_RootConstrainSelectedInstOperands,
     /* 169531 */     // GIR_Coverage, 6691,
     /* 169531 */     GIR_Done,
     /* 169532 */   // Label 3714: @169532
     /* 169532 */   GIM_Reject,
     /* 169533 */ // Label 3712: @169533
     /* 169533 */ GIM_Reject,
     /* 169534 */ // Label 3652: @169534
     /* 169534 */ GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(169732),
     /* 169539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 169542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 169545 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(169607), // Rule ID 2264 //
     /* 169550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169569 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169572 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169576 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169582 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169589 */     // (fdiv:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSYrm),
     /* 169592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169594 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169596 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169605 */     GIR_RootConstrainSelectedInstOperands,
     /* 169606 */     // GIR_Coverage, 2264,
     /* 169606 */     GIR_EraseRootFromParent_Done,
     /* 169607 */   // Label 3716: @169607
     /* 169607 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(169669), // Rule ID 6647 //
     /* 169612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169631 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169634 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169638 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169651 */     // (fdiv:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ256rm),
     /* 169654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169656 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169658 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169667 */     GIR_RootConstrainSelectedInstOperands,
     /* 169668 */     // GIR_Coverage, 6647,
     /* 169668 */     GIR_EraseRootFromParent_Done,
     /* 169669 */   // Label 3717: @169669
     /* 169669 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(169700), // Rule ID 2262 //
     /* 169674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 169677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 169689 */     // (fdiv:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VDIVPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 169689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSYrr),
     /* 169694 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169698 */     GIR_RootConstrainSelectedInstOperands,
     /* 169699 */     // GIR_Coverage, 2262,
     /* 169699 */     GIR_Done,
     /* 169700 */   // Label 3718: @169700
     /* 169700 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(169731), // Rule ID 6643 //
     /* 169705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 169708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169720 */     // (fdiv:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VDIVPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 169720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ256rr),
     /* 169725 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169729 */     GIR_RootConstrainSelectedInstOperands,
     /* 169730 */     // GIR_Coverage, 6643,
     /* 169730 */     GIR_Done,
     /* 169731 */   // Label 3719: @169731
     /* 169731 */   GIM_Reject,
     /* 169732 */ // Label 3715: @169732
     /* 169732 */ GIM_Reject,
     /* 169733 */ // Label 3653: @169733
     /* 169733 */ GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(169830),
     /* 169738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 169741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 169744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 169748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 169752 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(169806), // Rule ID 6623 //
     /* 169757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 169760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169768 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169771 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169775 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169781 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169788 */     // (fdiv:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZrm),
     /* 169791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169793 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169795 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169804 */     GIR_RootConstrainSelectedInstOperands,
     /* 169805 */     // GIR_Coverage, 6623,
     /* 169805 */     GIR_EraseRootFromParent_Done,
     /* 169806 */   // Label 3721: @169806
     /* 169806 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(169829), // Rule ID 6619 //
     /* 169811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 169814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 169818 */     // (fdiv:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VDIVPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 169818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZrr),
     /* 169823 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169827 */     GIR_RootConstrainSelectedInstOperands,
     /* 169828 */     // GIR_Coverage, 6619,
     /* 169828 */     GIR_Done,
     /* 169829 */   // Label 3722: @169829
     /* 169829 */   GIM_Reject,
     /* 169830 */ // Label 3720: @169830
     /* 169830 */ GIM_Reject,
     /* 169831 */ // Label 3654: @169831
     /* 169831 */ GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(169928),
     /* 169836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 169839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 169842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169850 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(169904), // Rule ID 6707 //
     /* 169855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 169858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169866 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169869 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169873 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169879 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169886 */     // (fdiv:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ256rm),
     /* 169889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169891 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169893 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 169902 */     GIR_RootConstrainSelectedInstOperands,
     /* 169903 */     // GIR_Coverage, 6707,
     /* 169903 */     GIR_EraseRootFromParent_Done,
     /* 169904 */   // Label 3724: @169904
     /* 169904 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(169927), // Rule ID 6703 //
     /* 169909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 169912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 169916 */     // (fdiv:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VDIVPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 169916 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ256rr),
     /* 169921 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 169925 */     GIR_RootConstrainSelectedInstOperands,
     /* 169926 */     // GIR_Coverage, 6703,
     /* 169926 */     GIR_Done,
     /* 169927 */   // Label 3725: @169927
     /* 169927 */   GIM_Reject,
     /* 169928 */ // Label 3723: @169928
     /* 169928 */ GIM_Reject,
     /* 169929 */ // Label 3655: @169929
     /* 169929 */ GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(170026),
     /* 169934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 169937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 169940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 169944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 169948 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(170002), // Rule ID 6611 //
     /* 169953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 169956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 169960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 169964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 169967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 169971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 169975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 169977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 169984 */     // (fdiv:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 169984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZrm),
     /* 169987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 169989 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 169991 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 169995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170000 */     GIR_RootConstrainSelectedInstOperands,
     /* 170001 */     // GIR_Coverage, 6611,
     /* 170001 */     GIR_EraseRootFromParent_Done,
     /* 170002 */   // Label 3727: @170002
     /* 170002 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(170025), // Rule ID 6607 //
     /* 170007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 170010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170014 */     // (fdiv:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VDIVPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 170014 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZrr),
     /* 170019 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170023 */     GIR_RootConstrainSelectedInstOperands,
     /* 170024 */     // GIR_Coverage, 6607,
     /* 170024 */     GIR_Done,
     /* 170025 */   // Label 3728: @170025
     /* 170025 */   GIM_Reject,
     /* 170026 */ // Label 3726: @170026
     /* 170026 */ GIM_Reject,
     /* 170027 */ // Label 3656: @170027
     /* 170027 */ GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(170124),
     /* 170032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 170035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 170038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170046 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(170100), // Rule ID 6683 //
     /* 170051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 170054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 170058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170062 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170065 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170069 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170075 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170082 */     // (fdiv:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 170082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZrm),
     /* 170085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170087 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 170089 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 170093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170098 */     GIR_RootConstrainSelectedInstOperands,
     /* 170099 */     // GIR_Coverage, 6683,
     /* 170099 */     GIR_EraseRootFromParent_Done,
     /* 170100 */   // Label 3730: @170100
     /* 170100 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(170123), // Rule ID 6679 //
     /* 170105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 170108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 170112 */     // (fdiv:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VDIVPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 170112 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZrr),
     /* 170117 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170121 */     GIR_RootConstrainSelectedInstOperands,
     /* 170122 */     // GIR_Coverage, 6679,
     /* 170122 */     GIR_Done,
     /* 170123 */   // Label 3731: @170123
     /* 170123 */   GIM_Reject,
     /* 170124 */ // Label 3729: @170124
     /* 170124 */ GIM_Reject,
     /* 170125 */ // Label 3657: @170125
     /* 170125 */ GIM_Reject,
     /* 170126 */ // Label 46: @170126
     /* 170126 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(6), /*)*//*default:*//*Label 3735*/ GIMT_Encode4(170248),
     /* 170137 */ /*GILLT_s32*//*Label 3732*/ GIMT_Encode4(170149),
     /* 170141 */ /*GILLT_s64*//*Label 3733*/ GIMT_Encode4(170182),
     /* 170145 */ /*GILLT_s80*//*Label 3734*/ GIMT_Encode4(170215),
     /* 170149 */ // Label 3732: @170149
     /* 170149 */ GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(170181), // Rule ID 1041 //
     /* 170154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 170157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 170164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 170168 */   // (fneg:{ *:[f32] } RFP32:{ *:[f32] }:$src)  =>  (CHS_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src)
     /* 170168 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CHS_Fp32),
     /* 170173 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 170179 */   GIR_RootConstrainSelectedInstOperands,
     /* 170180 */   // GIR_Coverage, 1041,
     /* 170180 */   GIR_Done,
     /* 170181 */ // Label 3736: @170181
     /* 170181 */ GIM_Reject,
     /* 170182 */ // Label 3733: @170182
     /* 170182 */ GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(170214), // Rule ID 1042 //
     /* 170187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 170190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 170193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 170197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 170201 */   // (fneg:{ *:[f64] } RFP64:{ *:[f64] }:$src)  =>  (CHS_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src)
     /* 170201 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CHS_Fp64),
     /* 170206 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 170212 */   GIR_RootConstrainSelectedInstOperands,
     /* 170213 */   // GIR_Coverage, 1042,
     /* 170213 */   GIR_Done,
     /* 170214 */ // Label 3737: @170214
     /* 170214 */ GIM_Reject,
     /* 170215 */ // Label 3734: @170215
     /* 170215 */ GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(170247), // Rule ID 1043 //
     /* 170220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 170223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 170226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 170230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 170234 */   // (fneg:{ *:[f80] } RFP80:{ *:[f80] }:$src)  =>  (CHS_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src)
     /* 170234 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CHS_Fp80),
     /* 170239 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 170245 */   GIR_RootConstrainSelectedInstOperands,
     /* 170246 */   // GIR_Coverage, 1043,
     /* 170246 */   GIR_Done,
     /* 170247 */ // Label 3738: @170247
     /* 170247 */ GIM_Reject,
     /* 170248 */ // Label 3735: @170248
     /* 170248 */ GIM_Reject,
     /* 170249 */ // Label 47: @170249
     /* 170249 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(20), /*)*//*default:*//*Label 3746*/ GIMT_Encode4(171180),
     /* 170260 */ /*GILLT_s32*//*Label 3739*/ GIMT_Encode4(170328),
     /* 170264 */ /*GILLT_s64*//*Label 3740*/ GIMT_Encode4(170449),
     /* 170268 */ /*GILLT_s80*//*Label 3741*/ GIMT_Encode4(170932), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 170292 */ /*GILLT_v4s64*//*Label 3742*/ GIMT_Encode4(170993), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 170304 */ /*GILLT_v8s32*//*Label 3743*/ GIMT_Encode4(171057),
     /* 170308 */ /*GILLT_v8s64*//*Label 3744*/ GIMT_Encode4(171088), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 170324 */ /*GILLT_v16s32*//*Label 3745*/ GIMT_Encode4(171149),
     /* 170328 */ // Label 3739: @170328
     /* 170328 */ GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(170448),
     /* 170333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 170336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 170340 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(170409), // Rule ID 21203 //
     /* 170345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_OptForSize),
     /* 170348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 170352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170356 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170359 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170363 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170376 */     // (fpextend:{ *:[f32] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSH2SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 170376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 170379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSH2SSZrm),
     /* 170393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170398 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 170402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170407 */     GIR_RootConstrainSelectedInstOperands,
     /* 170408 */     // GIR_Coverage, 21203,
     /* 170408 */     GIR_EraseRootFromParent_Done,
     /* 170409 */   // Label 3748: @170409
     /* 170409 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(170447), // Rule ID 21201 //
     /* 170414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 170417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 170421 */     // (fpextend:{ *:[f32] } FR16X:{ *:[f16] }:$src)  =>  (VCVTSH2SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR16X:{ *:[f16] }:$src)
     /* 170421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 170424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSH2SSZrr),
     /* 170438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170443 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 170445 */     GIR_RootConstrainSelectedInstOperands,
     /* 170446 */     // GIR_Coverage, 21201,
     /* 170446 */     GIR_EraseRootFromParent_Done,
     /* 170447 */   // Label 3749: @170447
     /* 170447 */   GIM_Reject,
     /* 170448 */ // Label 3747: @170448
     /* 170448 */ GIM_Reject,
     /* 170449 */ // Label 3740: @170449
     /* 170449 */ GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(170508), // Rule ID 1893 //
     /* 170454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE2),
     /* 170457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 170464 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 170468 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170472 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170475 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170479 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170483 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170485 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170492 */   // (fpextend:{ *:[f64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSS2SDrm:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /* 170492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSS2SDrm),
     /* 170495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170497 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 170501 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170506 */   GIR_RootConstrainSelectedInstOperands,
     /* 170507 */   // GIR_Coverage, 1893,
     /* 170507 */   GIR_EraseRootFromParent_Done,
     /* 170508 */ // Label 3750: @170508
     /* 170508 */ GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(170584), // Rule ID 18001 //
     /* 170513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 170516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 170523 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 170527 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170531 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170534 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170538 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170542 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170544 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170551 */   // (fpextend:{ *:[f64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SDrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 170551 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 170554 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170558 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170563 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SDrm),
     /* 170568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170570 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170573 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 170577 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170582 */   GIR_RootConstrainSelectedInstOperands,
     /* 170583 */   // GIR_Coverage, 18001,
     /* 170583 */   GIR_EraseRootFromParent_Done,
     /* 170584 */ // Label 3751: @170584
     /* 170584 */ GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(170660), // Rule ID 21197 //
     /* 170589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 170592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 170599 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 170603 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170607 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170610 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170614 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170618 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170620 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170627 */   // (fpextend:{ *:[f64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSS2SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 170627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 170630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SDZrm),
     /* 170644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170649 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 170653 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170658 */   GIR_RootConstrainSelectedInstOperands,
     /* 170659 */   // GIR_Coverage, 21197,
     /* 170659 */   GIR_EraseRootFromParent_Done,
     /* 170660 */ // Label 3752: @170660
     /* 170660 */ GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(170736), // Rule ID 21207 //
     /* 170665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_OptForSize),
     /* 170668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 170671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 170675 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 170679 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 170683 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 170686 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 170690 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 170694 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 170696 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 170703 */   // (fpextend:{ *:[f64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSH2SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 170703 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 170706 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170710 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSH2SDZrm),
     /* 170720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170722 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170725 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 170729 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 170734 */   GIR_RootConstrainSelectedInstOperands,
     /* 170735 */   // GIR_Coverage, 21207,
     /* 170735 */   GIR_EraseRootFromParent_Done,
     /* 170736 */ // Label 3753: @170736
     /* 170736 */ GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(170766), // Rule ID 1891 //
     /* 170741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 170744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 170751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 170755 */   // (fpextend:{ *:[f64] } FR32:{ *:[f32] }:$src)  =>  (CVTSS2SDrr:{ *:[f64] } FR32:{ *:[f32] }:$src)
     /* 170755 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSS2SDrr),
     /* 170760 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 170764 */   GIR_RootConstrainSelectedInstOperands,
     /* 170765 */   // GIR_Coverage, 1891,
     /* 170765 */   GIR_Done,
     /* 170766 */ // Label 3754: @170766
     /* 170766 */ GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(170796), // Rule ID 17726 //
     /* 170771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 170774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 170781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 170785 */   // (fpextend:{ *:[f64] } RFP32:{ *:[f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f64] } RFP32:{ *:[f32] }:$src, RFP64:{ *:[i32] })
     /* 170785 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 170790 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP64RegClassID),
     /* 170795 */   // GIR_Coverage, 17726,
     /* 170795 */   GIR_Done,
     /* 170796 */ // Label 3755: @170796
     /* 170796 */ GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(170841), // Rule ID 17999 //
     /* 170801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 170804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 170811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 170815 */   // (fpextend:{ *:[f64] } FR32:{ *:[f32] }:$src)  =>  (VCVTSS2SDrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR32:{ *:[f32] }:$src)
     /* 170815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 170818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170827 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SDrr),
     /* 170832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170834 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170837 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 170839 */   GIR_RootConstrainSelectedInstOperands,
     /* 170840 */   // GIR_Coverage, 17999,
     /* 170840 */   GIR_EraseRootFromParent_Done,
     /* 170841 */ // Label 3756: @170841
     /* 170841 */ GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(170886), // Rule ID 21195 //
     /* 170846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 170849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 170856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 170860 */   // (fpextend:{ *:[f64] } FR32X:{ *:[f32] }:$src)  =>  (VCVTSS2SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR32X:{ *:[f32] }:$src)
     /* 170860 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 170863 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170867 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170872 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SDZrr),
     /* 170877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170879 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170882 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 170884 */   GIR_RootConstrainSelectedInstOperands,
     /* 170885 */   // GIR_Coverage, 21195,
     /* 170885 */   GIR_EraseRootFromParent_Done,
     /* 170886 */ // Label 3757: @170886
     /* 170886 */ GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(170931), // Rule ID 21205 //
     /* 170891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 170894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 170897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 170901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 170905 */   // (fpextend:{ *:[f64] } FR16X:{ *:[f16] }:$src)  =>  (VCVTSH2SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR16X:{ *:[f16] }:$src)
     /* 170905 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 170908 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 170912 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 170917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 170919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSH2SDZrr),
     /* 170922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 170924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 170927 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 170929 */   GIR_RootConstrainSelectedInstOperands,
     /* 170930 */   // GIR_Coverage, 21205,
     /* 170930 */   GIR_EraseRootFromParent_Done,
     /* 170931 */ // Label 3758: @170931
     /* 170931 */ GIM_Reject,
     /* 170932 */ // Label 3741: @170932
     /* 170932 */ GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(170962), // Rule ID 17728 //
     /* 170937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 170940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 170943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 170947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 170951 */   // (fpextend:{ *:[f80] } RFP32:{ *:[f32] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f80] } RFP32:{ *:[f32] }:$src, RFP80:{ *:[i32] })
     /* 170951 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 170956 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP80RegClassID),
     /* 170961 */   // GIR_Coverage, 17728,
     /* 170961 */   GIR_Done,
     /* 170962 */ // Label 3759: @170962
     /* 170962 */ GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(170992), // Rule ID 17730 //
     /* 170967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 170970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 170973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 170977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 170981 */   // (fpextend:{ *:[f80] } RFP64:{ *:[f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f80] } RFP64:{ *:[f64] }:$src, RFP80:{ *:[i32] })
     /* 170981 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 170986 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP80RegClassID),
     /* 170991 */   // GIR_Coverage, 17730,
     /* 170991 */   GIR_Done,
     /* 170992 */ // Label 3760: @170992
     /* 170992 */ GIM_Reject,
     /* 170993 */ // Label 3742: @170993
     /* 170993 */ GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(171056),
     /* 170998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 171001 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(171028), // Rule ID 1934 //
     /* 171006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 171009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 171013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 171017 */     // (fpextend:{ *:[v4f64] } VR128:{ *:[v4f32] }:$src)  =>  (VCVTPS2PDYrr:{ *:[v4f64] } VR128:{ *:[v4f32] }:$src)
     /* 171017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2PDYrr),
     /* 171022 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171026 */     GIR_RootConstrainSelectedInstOperands,
     /* 171027 */     // GIR_Coverage, 1934,
     /* 171027 */     GIR_Done,
     /* 171028 */   // Label 3762: @171028
     /* 171028 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(171055), // Rule ID 10574 //
     /* 171033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 171036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 171040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 171044 */     // (fpextend:{ *:[v4f64] } VR128X:{ *:[v4f32] }:$src)  =>  (VCVTPS2PDZ256rr:{ *:[v4f64] } VR128X:{ *:[v4f32] }:$src)
     /* 171044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2PDZ256rr),
     /* 171049 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171053 */     GIR_RootConstrainSelectedInstOperands,
     /* 171054 */     // GIR_Coverage, 10574,
     /* 171054 */     GIR_Done,
     /* 171055 */   // Label 3763: @171055
     /* 171055 */   GIM_Reject,
     /* 171056 */ // Label 3761: @171056
     /* 171056 */ GIM_Reject,
     /* 171057 */ // Label 3743: @171057
     /* 171057 */ GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(171087), // Rule ID 10637 //
     /* 171062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 171065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 171068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 171072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 171076 */   // (fpextend:{ *:[v8f32] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2PSXZ256rr:{ *:[v8f32] } VR128X:{ *:[v8f16] }:$src)
     /* 171076 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2PSXZ256rr),
     /* 171081 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171085 */   GIR_RootConstrainSelectedInstOperands,
     /* 171086 */   // GIR_Coverage, 10637,
     /* 171086 */   GIR_Done,
     /* 171087 */ // Label 3764: @171087
     /* 171087 */ GIM_Reject,
     /* 171088 */ // Label 3744: @171088
     /* 171088 */ GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(171118), // Rule ID 10549 //
     /* 171093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 171096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 171099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 171103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 171107 */   // (fpextend:{ *:[v8f64] } VR256X:{ *:[v8f32] }:$src)  =>  (VCVTPS2PDZrr:{ *:[v8f64] } VR256X:{ *:[v8f32] }:$src)
     /* 171107 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPS2PDZrr),
     /* 171112 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171116 */   GIR_RootConstrainSelectedInstOperands,
     /* 171117 */   // GIR_Coverage, 10549,
     /* 171117 */   GIR_Done,
     /* 171118 */ // Label 3765: @171118
     /* 171118 */ GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(171148), // Rule ID 10663 //
     /* 171123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 171129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 171133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 171137 */   // (fpextend:{ *:[v8f64] } VR128X:{ *:[v8f16] }:$src)  =>  (VCVTPH2PDZrr:{ *:[v8f64] } VR128X:{ *:[v8f16] }:$src)
     /* 171137 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2PDZrr),
     /* 171142 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171146 */   GIR_RootConstrainSelectedInstOperands,
     /* 171147 */   // GIR_Coverage, 10663,
     /* 171147 */   GIR_Done,
     /* 171148 */ // Label 3766: @171148
     /* 171148 */ GIM_Reject,
     /* 171149 */ // Label 3745: @171149
     /* 171149 */ GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(171179), // Rule ID 10612 //
     /* 171154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 171160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 171164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 171168 */   // (fpextend:{ *:[v16f32] } VR256X:{ *:[v16f16] }:$src)  =>  (VCVTPH2PSXZrr:{ *:[v16f32] } VR256X:{ *:[v16f16] }:$src)
     /* 171168 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTPH2PSXZrr),
     /* 171173 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171177 */   GIR_RootConstrainSelectedInstOperands,
     /* 171178 */   // GIR_Coverage, 10612,
     /* 171178 */   GIR_Done,
     /* 171179 */ // Label 3767: @171179
     /* 171179 */ GIM_Reject,
     /* 171180 */ // Label 3746: @171180
     /* 171180 */ GIM_Reject,
     /* 171181 */ // Label 48: @171181
     /* 171181 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 3771*/ GIMT_Encode4(171566),
     /* 171192 */ /*GILLT_s16*//*Label 3768*/ GIMT_Encode4(171204),
     /* 171196 */ /*GILLT_s32*//*Label 3769*/ GIMT_Encode4(171295),
     /* 171200 */ /*GILLT_s64*//*Label 3770*/ GIMT_Encode4(171535),
     /* 171204 */ // Label 3768: @171204
     /* 171204 */ GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(171249), // Rule ID 21209 //
     /* 171209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 171219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 171223 */   // (fpround:{ *:[f16] } FR32X:{ *:[f32] }:$src)  =>  (VCVTSS2SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), FR32X:{ *:[f32] }:$src)
     /* 171223 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 171226 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171230 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171235 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSS2SHZrr),
     /* 171240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171242 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171245 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171247 */   GIR_RootConstrainSelectedInstOperands,
     /* 171248 */   // GIR_Coverage, 21209,
     /* 171248 */   GIR_EraseRootFromParent_Done,
     /* 171249 */ // Label 3772: @171249
     /* 171249 */ GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(171294), // Rule ID 21211 //
     /* 171254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 171264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 171268 */   // (fpround:{ *:[f16] } FR64X:{ *:[f64] }:$src)  =>  (VCVTSD2SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), FR64X:{ *:[f64] }:$src)
     /* 171268 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 171271 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171275 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171280 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SHZrr),
     /* 171285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171287 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171290 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171292 */   GIR_RootConstrainSelectedInstOperands,
     /* 171293 */   // GIR_Coverage, 21211,
     /* 171293 */   GIR_EraseRootFromParent_Done,
     /* 171294 */ // Label 3773: @171294
     /* 171294 */ GIM_Reject,
     /* 171295 */ // Label 3769: @171295
     /* 171295 */ GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(171354), // Rule ID 1881 //
     /* 171300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE2),
     /* 171303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 171310 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171314 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171318 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171321 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171325 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171329 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171331 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171338 */   // (fpround:{ *:[f32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSD2SSrm:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /* 171338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSD2SSrm),
     /* 171341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171343 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171347 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171352 */   GIR_RootConstrainSelectedInstOperands,
     /* 171353 */   // GIR_Coverage, 1881,
     /* 171353 */   GIR_EraseRootFromParent_Done,
     /* 171354 */ // Label 3774: @171354
     /* 171354 */ GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(171384), // Rule ID 1879 //
     /* 171359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 171362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 171369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 171373 */   // (fpround:{ *:[f32] } FR64:{ *:[f64] }:$src)  =>  (CVTSD2SSrr:{ *:[f32] } FR64:{ *:[f64] }:$src)
     /* 171373 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSD2SSrr),
     /* 171378 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 171382 */   GIR_RootConstrainSelectedInstOperands,
     /* 171383 */   // GIR_Coverage, 1879,
     /* 171383 */   GIR_Done,
     /* 171384 */ // Label 3775: @171384
     /* 171384 */ GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(171414), // Rule ID 17732 //
     /* 171389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 171392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 171399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 171403 */   // (fpround:{ *:[f32] } RFP64:{ *:[f64] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f32] } RFP64:{ *:[f64] }:$src, RFP32:{ *:[i32] })
     /* 171403 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 171408 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP32RegClassID),
     /* 171413 */   // GIR_Coverage, 17732,
     /* 171413 */   GIR_Done,
     /* 171414 */ // Label 3776: @171414
     /* 171414 */ GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(171444), // Rule ID 17734 //
     /* 171419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 171422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 171425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 171429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 171433 */   // (fpround:{ *:[f32] } RFP80:{ *:[f80] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f32] } RFP80:{ *:[f80] }:$src, RFP32:{ *:[i32] })
     /* 171433 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 171438 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP32RegClassID),
     /* 171443 */   // GIR_Coverage, 17734,
     /* 171443 */   GIR_Done,
     /* 171444 */ // Label 3777: @171444
     /* 171444 */ GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(171489), // Rule ID 17997 //
     /* 171449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 171452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 171459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 171463 */   // (fpround:{ *:[f32] } FR64:{ *:[f64] }:$src)  =>  (VCVTSD2SSrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR64:{ *:[f64] }:$src)
     /* 171463 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 171466 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171470 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171475 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SSrr),
     /* 171480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171482 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171485 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171487 */   GIR_RootConstrainSelectedInstOperands,
     /* 171488 */   // GIR_Coverage, 17997,
     /* 171488 */   GIR_EraseRootFromParent_Done,
     /* 171489 */ // Label 3778: @171489
     /* 171489 */ GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(171534), // Rule ID 21199 //
     /* 171494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 171497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 171504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 171508 */   // (fpround:{ *:[f32] } FR64X:{ *:[f64] }:$src)  =>  (VCVTSD2SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR64X:{ *:[f64] }:$src)
     /* 171508 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 171511 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 171515 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 171520 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 171522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSD2SSZrr),
     /* 171525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171527 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 171530 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 171532 */   GIR_RootConstrainSelectedInstOperands,
     /* 171533 */   // GIR_Coverage, 21199,
     /* 171533 */   GIR_EraseRootFromParent_Done,
     /* 171534 */ // Label 3779: @171534
     /* 171534 */ GIM_Reject,
     /* 171535 */ // Label 3770: @171535
     /* 171535 */ GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(171565), // Rule ID 17736 //
     /* 171540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 171543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 171546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 171550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 171554 */   // (fpround:{ *:[f64] } RFP80:{ *:[f80] }:$src)  =>  (COPY_TO_REGCLASS:{ *:[f64] } RFP80:{ *:[f80] }:$src, RFP64:{ *:[i32] })
     /* 171554 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 171559 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::RFP64RegClassID),
     /* 171564 */   // GIR_Coverage, 17736,
     /* 171564 */   GIR_Done,
     /* 171565 */ // Label 3780: @171565
     /* 171565 */ GIM_Reject,
     /* 171566 */ // Label 3771: @171566
     /* 171566 */ GIM_Reject,
     /* 171567 */ // Label 49: @171567
     /* 171567 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 3784*/ GIMT_Encode4(172947),
     /* 171578 */ /*GILLT_s32*//*Label 3781*/ GIMT_Encode4(171610),
     /* 171582 */ /*GILLT_s64*//*Label 3782*/ GIMT_Encode4(172234), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 171606 */ /*GILLT_v4s32*//*Label 3783*/ GIMT_Encode4(172858),
     /* 171610 */ // Label 3781: @171610
     /* 171610 */ GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(171669), // Rule ID 1741 //
     /* 171615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 171618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 171625 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171629 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171633 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171636 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171640 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171644 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171646 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171653 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 171653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SIrm),
     /* 171656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171658 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171662 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171667 */   GIR_RootConstrainSelectedInstOperands,
     /* 171668 */   // GIR_Coverage, 1741,
     /* 171668 */   GIR_EraseRootFromParent_Done,
     /* 171669 */ // Label 3785: @171669
     /* 171669 */ GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(171728), // Rule ID 1749 //
     /* 171674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 171677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 171684 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171688 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171692 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171695 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171699 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171703 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171705 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171712 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 171712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SIrm),
     /* 171715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171717 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171721 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171726 */   GIR_RootConstrainSelectedInstOperands,
     /* 171727 */   // GIR_Coverage, 1749,
     /* 171727 */   GIR_EraseRootFromParent_Done,
     /* 171728 */ // Label 3786: @171728
     /* 171728 */ GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(171787), // Rule ID 1765 //
     /* 171733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 171736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 171743 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171747 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171751 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171754 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171758 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171762 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171764 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171771 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTTSS2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 171771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTTSS2SIrm),
     /* 171774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171776 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171780 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171785 */   GIR_RootConstrainSelectedInstOperands,
     /* 171786 */   // GIR_Coverage, 1765,
     /* 171786 */   GIR_EraseRootFromParent_Done,
     /* 171787 */ // Label 3787: @171787
     /* 171787 */ GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(171846), // Rule ID 1773 //
     /* 171792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 171795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 171802 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171806 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171810 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171813 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171817 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171821 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171823 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171830 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTTSD2SIrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 171830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTTSD2SIrm),
     /* 171833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171835 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171839 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171844 */   GIR_RootConstrainSelectedInstOperands,
     /* 171845 */   // GIR_Coverage, 1773,
     /* 171845 */   GIR_EraseRootFromParent_Done,
     /* 171846 */ // Label 3788: @171846
     /* 171846 */ GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(171905), // Rule ID 10362 //
     /* 171851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 171854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 171857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 171861 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171865 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171869 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171872 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171876 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171880 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171882 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171889 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 171889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SIZrm),
     /* 171892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171894 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171898 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171903 */   GIR_RootConstrainSelectedInstOperands,
     /* 171904 */   // GIR_Coverage, 10362,
     /* 171904 */   GIR_EraseRootFromParent_Done,
     /* 171905 */ // Label 3789: @171905
     /* 171905 */ GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(171964), // Rule ID 10380 //
     /* 171910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 171913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 171916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 171920 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171924 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171928 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171931 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171935 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171939 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 171941 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 171948 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 171948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SIZrm),
     /* 171951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 171953 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 171957 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 171962 */   GIR_RootConstrainSelectedInstOperands,
     /* 171963 */   // GIR_Coverage, 10380,
     /* 171963 */   GIR_EraseRootFromParent_Done,
     /* 171964 */ // Label 3790: @171964
     /* 171964 */ GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(172023), // Rule ID 15170 //
     /* 171969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 171972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 171975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 171979 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 171983 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 171987 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 171990 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 171994 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 171998 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172000 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172007 */   // (fp_to_sint:{ *:[i32] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 172007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrm),
     /* 172010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172012 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172016 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172021 */   GIR_RootConstrainSelectedInstOperands,
     /* 172022 */   // GIR_Coverage, 15170,
     /* 172022 */   GIR_EraseRootFromParent_Done,
     /* 172023 */ // Label 3791: @172023
     /* 172023 */ GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(172053), // Rule ID 1739 //
     /* 172028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 172042 */   // (fp_to_sint:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (VCVTTSS2SIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /* 172042 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SIrr),
     /* 172047 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172051 */   GIR_RootConstrainSelectedInstOperands,
     /* 172052 */   // GIR_Coverage, 1739,
     /* 172052 */   GIR_Done,
     /* 172053 */ // Label 3792: @172053
     /* 172053 */ GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(172083), // Rule ID 1747 //
     /* 172058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 172072 */   // (fp_to_sint:{ *:[i32] } FR64:{ *:[f64] }:$src)  =>  (VCVTTSD2SIrr:{ *:[i32] } FR64:{ *:[f64] }:$src)
     /* 172072 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SIrr),
     /* 172077 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172081 */   GIR_RootConstrainSelectedInstOperands,
     /* 172082 */   // GIR_Coverage, 1747,
     /* 172082 */   GIR_Done,
     /* 172083 */ // Label 3793: @172083
     /* 172083 */ GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(172113), // Rule ID 1763 //
     /* 172088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 172091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 172102 */   // (fp_to_sint:{ *:[i32] } FR32:{ *:[f32] }:$src)  =>  (CVTTSS2SIrr:{ *:[i32] } FR32:{ *:[f32] }:$src)
     /* 172102 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTTSS2SIrr),
     /* 172107 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172111 */   GIR_RootConstrainSelectedInstOperands,
     /* 172112 */   // GIR_Coverage, 1763,
     /* 172112 */   GIR_Done,
     /* 172113 */ // Label 3794: @172113
     /* 172113 */ GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(172143), // Rule ID 1771 //
     /* 172118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 172121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 172132 */   // (fp_to_sint:{ *:[i32] } FR64:{ *:[f64] }:$src)  =>  (CVTTSD2SIrr:{ *:[i32] } FR64:{ *:[f64] }:$src)
     /* 172132 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTTSD2SIrr),
     /* 172137 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172141 */   GIR_RootConstrainSelectedInstOperands,
     /* 172142 */   // GIR_Coverage, 1771,
     /* 172142 */   GIR_Done,
     /* 172143 */ // Label 3795: @172143
     /* 172143 */ GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(172173), // Rule ID 10360 //
     /* 172148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 172162 */   // (fp_to_sint:{ *:[i32] } FR32X:{ *:[f32] }:$src)  =>  (VCVTTSS2SIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src)
     /* 172162 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SIZrr),
     /* 172167 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172171 */   GIR_RootConstrainSelectedInstOperands,
     /* 172172 */   // GIR_Coverage, 10360,
     /* 172172 */   GIR_Done,
     /* 172173 */ // Label 3796: @172173
     /* 172173 */ GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(172203), // Rule ID 10378 //
     /* 172178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 172192 */   // (fp_to_sint:{ *:[i32] } FR64X:{ *:[f64] }:$src)  =>  (VCVTTSD2SIZrr:{ *:[i32] } FR64X:{ *:[f64] }:$src)
     /* 172192 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SIZrr),
     /* 172197 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172201 */   GIR_RootConstrainSelectedInstOperands,
     /* 172202 */   // GIR_Coverage, 10378,
     /* 172202 */   GIR_Done,
     /* 172203 */ // Label 3797: @172203
     /* 172203 */ GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(172233), // Rule ID 15168 //
     /* 172208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 172211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 172214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 172222 */   // (fp_to_sint:{ *:[i32] } FR16X:{ *:[f16] }:$src)  =>  (VCVTTSH2SIZrr:{ *:[i32] } FR16X:{ *:[f16] }:$src)
     /* 172222 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SIZrr),
     /* 172227 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172231 */   GIR_RootConstrainSelectedInstOperands,
     /* 172232 */   // GIR_Coverage, 15168,
     /* 172232 */   GIR_Done,
     /* 172233 */ // Label 3798: @172233
     /* 172233 */ GIM_Reject,
     /* 172234 */ // Label 3782: @172234
     /* 172234 */ GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(172293), // Rule ID 1745 //
     /* 172239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172249 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172253 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172257 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172260 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172264 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172268 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172270 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172277 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SI64rm),
     /* 172280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172282 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172286 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172291 */   GIR_RootConstrainSelectedInstOperands,
     /* 172292 */   // GIR_Coverage, 1745,
     /* 172292 */   GIR_EraseRootFromParent_Done,
     /* 172293 */ // Label 3799: @172293
     /* 172293 */ GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(172352), // Rule ID 1753 //
     /* 172298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172308 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172312 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172316 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172319 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172323 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172327 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172329 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172336 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SI64rm),
     /* 172339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172341 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172345 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172350 */   GIR_RootConstrainSelectedInstOperands,
     /* 172351 */   // GIR_Coverage, 1753,
     /* 172351 */   GIR_EraseRootFromParent_Done,
     /* 172352 */ // Label 3800: @172352
     /* 172352 */ GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(172411), // Rule ID 1769 //
     /* 172357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 172360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172367 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172371 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172375 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172378 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172382 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172386 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172388 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172395 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTTSS2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTTSS2SI64rm),
     /* 172398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172400 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172404 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172409 */   GIR_RootConstrainSelectedInstOperands,
     /* 172410 */   // GIR_Coverage, 1769,
     /* 172410 */   GIR_EraseRootFromParent_Done,
     /* 172411 */ // Label 3801: @172411
     /* 172411 */ GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(172470), // Rule ID 1777 //
     /* 172416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 172419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172426 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172430 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172434 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172437 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172441 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172445 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172447 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172454 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTTSD2SI64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTTSD2SI64rm),
     /* 172457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172459 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172463 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172468 */   GIR_RootConstrainSelectedInstOperands,
     /* 172469 */   // GIR_Coverage, 1777,
     /* 172469 */   GIR_EraseRootFromParent_Done,
     /* 172470 */ // Label 3802: @172470
     /* 172470 */ GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(172529), // Rule ID 10371 //
     /* 172475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172485 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172489 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172493 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172496 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172500 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172504 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172506 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172513 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SI64Zrm),
     /* 172516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172518 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172522 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172527 */   GIR_RootConstrainSelectedInstOperands,
     /* 172528 */   // GIR_Coverage, 10371,
     /* 172528 */   GIR_EraseRootFromParent_Done,
     /* 172529 */ // Label 3803: @172529
     /* 172529 */ GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(172588), // Rule ID 10389 //
     /* 172534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172544 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172548 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172552 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172555 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172559 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172563 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172565 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172572 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SI64Zrm),
     /* 172575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172577 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172581 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172586 */   GIR_RootConstrainSelectedInstOperands,
     /* 172587 */   // GIR_Coverage, 10389,
     /* 172587 */   GIR_EraseRootFromParent_Done,
     /* 172588 */ // Label 3804: @172588
     /* 172588 */ GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(172647), // Rule ID 15179 //
     /* 172593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 172596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 172599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172603 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172607 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172611 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172614 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172618 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172622 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172624 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172631 */   // (fp_to_sint:{ *:[i64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2SI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 172631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrm),
     /* 172634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172636 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172640 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172645 */   GIR_RootConstrainSelectedInstOperands,
     /* 172646 */   // GIR_Coverage, 15179,
     /* 172646 */   GIR_EraseRootFromParent_Done,
     /* 172647 */ // Label 3805: @172647
     /* 172647 */ GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(172677), // Rule ID 1743 //
     /* 172652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 172666 */   // (fp_to_sint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (VCVTTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /* 172666 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SI64rr),
     /* 172671 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172675 */   GIR_RootConstrainSelectedInstOperands,
     /* 172676 */   // GIR_Coverage, 1743,
     /* 172676 */   GIR_Done,
     /* 172677 */ // Label 3806: @172677
     /* 172677 */ GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(172707), // Rule ID 1751 //
     /* 172682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 172685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 172696 */   // (fp_to_sint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (VCVTTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /* 172696 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SI64rr),
     /* 172701 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172705 */   GIR_RootConstrainSelectedInstOperands,
     /* 172706 */   // GIR_Coverage, 1751,
     /* 172706 */   GIR_Done,
     /* 172707 */ // Label 3807: @172707
     /* 172707 */ GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(172737), // Rule ID 1767 //
     /* 172712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 172715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 172726 */   // (fp_to_sint:{ *:[i64] } FR32:{ *:[f32] }:$src)  =>  (CVTTSS2SI64rr:{ *:[i64] } FR32:{ *:[f32] }:$src)
     /* 172726 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTTSS2SI64rr),
     /* 172731 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172735 */   GIR_RootConstrainSelectedInstOperands,
     /* 172736 */   // GIR_Coverage, 1767,
     /* 172736 */   GIR_Done,
     /* 172737 */ // Label 3808: @172737
     /* 172737 */ GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(172767), // Rule ID 1775 //
     /* 172742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 172745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 172756 */   // (fp_to_sint:{ *:[i64] } FR64:{ *:[f64] }:$src)  =>  (CVTTSD2SI64rr:{ *:[i64] } FR64:{ *:[f64] }:$src)
     /* 172756 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTTSD2SI64rr),
     /* 172761 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172765 */   GIR_RootConstrainSelectedInstOperands,
     /* 172766 */   // GIR_Coverage, 1775,
     /* 172766 */   GIR_Done,
     /* 172767 */ // Label 3809: @172767
     /* 172767 */ GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(172797), // Rule ID 10369 //
     /* 172772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 172786 */   // (fp_to_sint:{ *:[i64] } FR32X:{ *:[f32] }:$src)  =>  (VCVTTSS2SI64Zrr:{ *:[i64] } FR32X:{ *:[f32] }:$src)
     /* 172786 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2SI64Zrr),
     /* 172791 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172795 */   GIR_RootConstrainSelectedInstOperands,
     /* 172796 */   // GIR_Coverage, 10369,
     /* 172796 */   GIR_Done,
     /* 172797 */ // Label 3810: @172797
     /* 172797 */ GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(172827), // Rule ID 10387 //
     /* 172802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 172808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 172816 */   // (fp_to_sint:{ *:[i64] } FR64X:{ *:[f64] }:$src)  =>  (VCVTTSD2SI64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src)
     /* 172816 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2SI64Zrr),
     /* 172821 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172825 */   GIR_RootConstrainSelectedInstOperands,
     /* 172826 */   // GIR_Coverage, 10387,
     /* 172826 */   GIR_Done,
     /* 172827 */ // Label 3811: @172827
     /* 172827 */ GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(172857), // Rule ID 15177 //
     /* 172832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 172835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 172838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 172842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 172846 */   // (fp_to_sint:{ *:[i64] } FR16X:{ *:[f16] }:$src)  =>  (VCVTTSH2SI64Zrr:{ *:[i64] } FR16X:{ *:[f16] }:$src)
     /* 172846 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2SI64Zrr),
     /* 172851 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172855 */   GIR_RootConstrainSelectedInstOperands,
     /* 172856 */   // GIR_Coverage, 15177,
     /* 172856 */   GIR_Done,
     /* 172857 */ // Label 3812: @172857
     /* 172857 */ GIM_Reject,
     /* 172858 */ // Label 3783: @172858
     /* 172858 */ GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(172946),
     /* 172863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 172866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 172870 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(172922), // Rule ID 18053 //
     /* 172875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 172878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172886 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172889 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172893 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 172897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 172899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 172906 */     // (fp_to_sint:{ *:[v4i32] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTPD2DQYrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /* 172906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTPD2DQYrm),
     /* 172909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 172911 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 172915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 172920 */     GIR_RootConstrainSelectedInstOperands,
     /* 172921 */     // GIR_Coverage, 18053,
     /* 172921 */     GIR_EraseRootFromParent_Done,
     /* 172922 */   // Label 3814: @172922
     /* 172922 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(172945), // Rule ID 18051 //
     /* 172927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 172930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 172934 */     // (fp_to_sint:{ *:[v4i32] } VR256:{ *:[v4f64] }:$src)  =>  (VCVTTPD2DQYrr:{ *:[v4i32] } VR256:{ *:[v4f64] }:$src)
     /* 172934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTPD2DQYrr),
     /* 172939 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 172943 */     GIR_RootConstrainSelectedInstOperands,
     /* 172944 */     // GIR_Coverage, 18051,
     /* 172944 */     GIR_Done,
     /* 172945 */   // Label 3815: @172945
     /* 172945 */   GIM_Reject,
     /* 172946 */ // Label 3813: @172946
     /* 172946 */ GIM_Reject,
     /* 172947 */ // Label 3784: @172947
     /* 172947 */ GIM_Reject,
     /* 172948 */ // Label 50: @172948
     /* 172948 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3818*/ GIMT_Encode4(173503),
     /* 172959 */ /*GILLT_s32*//*Label 3816*/ GIMT_Encode4(172967),
     /* 172963 */ /*GILLT_s64*//*Label 3817*/ GIMT_Encode4(173235),
     /* 172967 */ // Label 3816: @172967
     /* 172967 */ GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(173026), // Rule ID 10398 //
     /* 172972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 172975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 172978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 172982 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 172986 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 172990 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 172993 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 172997 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173001 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173003 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173010 */   // (fp_to_uint:{ *:[i32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2USIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 173010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2USIZrm),
     /* 173013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173015 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173019 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173024 */   GIR_RootConstrainSelectedInstOperands,
     /* 173025 */   // GIR_Coverage, 10398,
     /* 173025 */   GIR_EraseRootFromParent_Done,
     /* 173026 */ // Label 3819: @173026
     /* 173026 */ GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(173085), // Rule ID 10416 //
     /* 173031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173041 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173045 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173049 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173052 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173056 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173060 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173062 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173069 */   // (fp_to_uint:{ *:[i32] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2USIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 173069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2USIZrm),
     /* 173072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173074 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173078 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173083 */   GIR_RootConstrainSelectedInstOperands,
     /* 173084 */   // GIR_Coverage, 10416,
     /* 173084 */   GIR_EraseRootFromParent_Done,
     /* 173085 */ // Label 3820: @173085
     /* 173085 */ GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(173144), // Rule ID 15188 //
     /* 173090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173100 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173104 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173108 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173111 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173115 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173119 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173121 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173128 */   // (fp_to_uint:{ *:[i32] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2USIZrm:{ *:[i32] } addr:{ *:[iPTR] }:$src)
     /* 173128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2USIZrm),
     /* 173131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173133 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173137 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173142 */   GIR_RootConstrainSelectedInstOperands,
     /* 173143 */   // GIR_Coverage, 15188,
     /* 173143 */   GIR_EraseRootFromParent_Done,
     /* 173144 */ // Label 3821: @173144
     /* 173144 */ GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(173174), // Rule ID 10396 //
     /* 173149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 173163 */   // (fp_to_uint:{ *:[i32] } FR32X:{ *:[f32] }:$src)  =>  (VCVTTSS2USIZrr:{ *:[i32] } FR32X:{ *:[f32] }:$src)
     /* 173163 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2USIZrr),
     /* 173168 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173172 */   GIR_RootConstrainSelectedInstOperands,
     /* 173173 */   // GIR_Coverage, 10396,
     /* 173173 */   GIR_Done,
     /* 173174 */ // Label 3822: @173174
     /* 173174 */ GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(173204), // Rule ID 10414 //
     /* 173179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 173193 */   // (fp_to_uint:{ *:[i32] } FR64X:{ *:[f64] }:$src)  =>  (VCVTTSD2USIZrr:{ *:[i32] } FR64X:{ *:[f64] }:$src)
     /* 173193 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2USIZrr),
     /* 173198 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173202 */   GIR_RootConstrainSelectedInstOperands,
     /* 173203 */   // GIR_Coverage, 10414,
     /* 173203 */   GIR_Done,
     /* 173204 */ // Label 3823: @173204
     /* 173204 */ GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(173234), // Rule ID 15186 //
     /* 173209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 173223 */   // (fp_to_uint:{ *:[i32] } FR16X:{ *:[f16] }:$src)  =>  (VCVTTSH2USIZrr:{ *:[i32] } FR16X:{ *:[f16] }:$src)
     /* 173223 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2USIZrr),
     /* 173228 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173232 */   GIR_RootConstrainSelectedInstOperands,
     /* 173233 */   // GIR_Coverage, 15186,
     /* 173233 */   GIR_Done,
     /* 173234 */ // Label 3824: @173234
     /* 173234 */ GIM_Reject,
     /* 173235 */ // Label 3817: @173235
     /* 173235 */ GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(173294), // Rule ID 10407 //
     /* 173240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173250 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173254 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173258 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173261 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173265 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173269 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173271 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173278 */   // (fp_to_uint:{ *:[i64] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSS2USI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 173278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2USI64Zrm),
     /* 173281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173283 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173287 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173292 */   GIR_RootConstrainSelectedInstOperands,
     /* 173293 */   // GIR_Coverage, 10407,
     /* 173293 */   GIR_EraseRootFromParent_Done,
     /* 173294 */ // Label 3825: @173294
     /* 173294 */ GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(173353), // Rule ID 10425 //
     /* 173299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173309 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173313 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173317 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173320 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173324 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173328 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173330 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173337 */   // (fp_to_uint:{ *:[i64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSD2USI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 173337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2USI64Zrm),
     /* 173340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173342 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173346 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173351 */   GIR_RootConstrainSelectedInstOperands,
     /* 173352 */   // GIR_Coverage, 10425,
     /* 173352 */   GIR_EraseRootFromParent_Done,
     /* 173353 */ // Label 3826: @173353
     /* 173353 */ GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(173412), // Rule ID 15197 //
     /* 173358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173368 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173372 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173376 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173379 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173383 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173387 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173389 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173396 */   // (fp_to_uint:{ *:[i64] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTTSH2USI64Zrm:{ *:[i64] } addr:{ *:[iPTR] }:$src)
     /* 173396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2USI64Zrm),
     /* 173399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173401 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173405 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173410 */   GIR_RootConstrainSelectedInstOperands,
     /* 173411 */   // GIR_Coverage, 15197,
     /* 173411 */   GIR_EraseRootFromParent_Done,
     /* 173412 */ // Label 3827: @173412
     /* 173412 */ GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(173442), // Rule ID 10405 //
     /* 173417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 173431 */   // (fp_to_uint:{ *:[i64] } FR32X:{ *:[f32] }:$src)  =>  (VCVTTSS2USI64Zrr:{ *:[i64] } FR32X:{ *:[f32] }:$src)
     /* 173431 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSS2USI64Zrr),
     /* 173436 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173440 */   GIR_RootConstrainSelectedInstOperands,
     /* 173441 */   // GIR_Coverage, 10405,
     /* 173441 */   GIR_Done,
     /* 173442 */ // Label 3828: @173442
     /* 173442 */ GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(173472), // Rule ID 10423 //
     /* 173447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 173461 */   // (fp_to_uint:{ *:[i64] } FR64X:{ *:[f64] }:$src)  =>  (VCVTTSD2USI64Zrr:{ *:[i64] } FR64X:{ *:[f64] }:$src)
     /* 173461 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSD2USI64Zrr),
     /* 173466 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173470 */   GIR_RootConstrainSelectedInstOperands,
     /* 173471 */   // GIR_Coverage, 10423,
     /* 173471 */   GIR_Done,
     /* 173472 */ // Label 3829: @173472
     /* 173472 */ GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(173502), // Rule ID 15195 //
     /* 173477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 173483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 173491 */   // (fp_to_uint:{ *:[i64] } FR16X:{ *:[f16] }:$src)  =>  (VCVTTSH2USI64Zrr:{ *:[i64] } FR16X:{ *:[f16] }:$src)
     /* 173491 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTTSH2USI64Zrr),
     /* 173496 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 173500 */   GIR_RootConstrainSelectedInstOperands,
     /* 173501 */   // GIR_Coverage, 15195,
     /* 173501 */   GIR_Done,
     /* 173502 */ // Label 3830: @173502
     /* 173502 */ GIM_Reject,
     /* 173503 */ // Label 3818: @173503
     /* 173503 */ GIM_Reject,
     /* 173504 */ // Label 51: @173504
     /* 173504 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3843*/ GIMT_Encode4(176879),
     /* 173515 */ /*GILLT_s16*//*Label 3831*/ GIMT_Encode4(173599),
     /* 173519 */ /*GILLT_s32*//*Label 3832*/ GIMT_Encode4(173842),
     /* 173523 */ /*GILLT_s64*//*Label 3833*/ GIMT_Encode4(174505), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 173539 */ /*GILLT_v2s64*//*Label 3834*/ GIMT_Encode4(175164), GIMT_Encode4(0),
     /* 173547 */ /*GILLT_v4s32*//*Label 3835*/ GIMT_Encode4(175253),
     /* 173551 */ /*GILLT_v4s64*//*Label 3836*/ GIMT_Encode4(175551), GIMT_Encode4(0),
     /* 173559 */ /*GILLT_v8s16*//*Label 3837*/ GIMT_Encode4(175811),
     /* 173563 */ /*GILLT_v8s32*//*Label 3838*/ GIMT_Encode4(176079),
     /* 173567 */ /*GILLT_v8s64*//*Label 3839*/ GIMT_Encode4(176347), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 173579 */ /*GILLT_v16s16*//*Label 3840*/ GIMT_Encode4(176522),
     /* 173583 */ /*GILLT_v16s32*//*Label 3841*/ GIMT_Encode4(176701), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 173595 */ /*GILLT_v32s16*//*Label 3842*/ GIMT_Encode4(176790),
     /* 173599 */ // Label 3831: @173599
     /* 173599 */ GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(173675), // Rule ID 22178 //
     /* 173604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 173614 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173618 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173622 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173625 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173629 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173633 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173635 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173642 */   // (sint_to_fp:{ *:[f16] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SHZrm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 173642 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 173645 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 173649 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 173654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 173656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SHZrm),
     /* 173659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173661 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 173664 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173668 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173673 */   GIR_RootConstrainSelectedInstOperands,
     /* 173674 */   // GIR_Coverage, 22178,
     /* 173674 */   GIR_EraseRootFromParent_Done,
     /* 173675 */ // Label 3844: @173675
     /* 173675 */ GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(173751), // Rule ID 22176 //
     /* 173680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 173690 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173694 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173698 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173701 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173705 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 173709 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173711 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173718 */   // (sint_to_fp:{ *:[f16] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SHZrm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 173718 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 173721 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 173725 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 173730 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 173732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SHZrm),
     /* 173735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173737 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 173740 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173744 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173749 */   GIR_RootConstrainSelectedInstOperands,
     /* 173750 */   // GIR_Coverage, 22176,
     /* 173750 */   GIR_EraseRootFromParent_Done,
     /* 173751 */ // Label 3845: @173751
     /* 173751 */ GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(173796), // Rule ID 22180 //
     /* 173756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 173762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 173766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 173770 */   // (sint_to_fp:{ *:[f16] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), GR32:{ *:[i32] }:$src)
     /* 173770 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 173773 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 173777 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 173782 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 173784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SHZrr),
     /* 173787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173789 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 173792 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 173794 */   GIR_RootConstrainSelectedInstOperands,
     /* 173795 */   // GIR_Coverage, 22180,
     /* 173795 */   GIR_EraseRootFromParent_Done,
     /* 173796 */ // Label 3846: @173796
     /* 173796 */ GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(173841), // Rule ID 22182 //
     /* 173801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 173804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 173811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 173815 */   // (sint_to_fp:{ *:[f16] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), GR64:{ *:[i64] }:$src)
     /* 173815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 173818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 173822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 173827 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 173829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SHZrr),
     /* 173832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173834 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 173837 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 173839 */   GIR_RootConstrainSelectedInstOperands,
     /* 173840 */   // GIR_Coverage, 22182,
     /* 173840 */   GIR_EraseRootFromParent_Done,
     /* 173841 */ // Label 3847: @173841
     /* 173841 */ GIM_Reject,
     /* 173842 */ // Label 3832: @173842
     /* 173842 */ GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(173901), // Rule ID 1793 //
     /* 173847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 173850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 173857 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173861 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173865 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173868 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173872 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173876 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173878 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173885 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSI642SSrm:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /* 173885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSI642SSrm),
     /* 173888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173890 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173894 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173899 */   GIR_RootConstrainSelectedInstOperands,
     /* 173900 */   // GIR_Coverage, 1793,
     /* 173900 */   GIR_EraseRootFromParent_Done,
     /* 173901 */ // Label 3848: @173901
     /* 173901 */ GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(173977), // Rule ID 17975 //
     /* 173906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 173909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 173916 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173920 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 173924 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 173927 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 173931 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 173935 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 173937 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 173944 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SSrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 173944 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 173947 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 173951 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 173956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 173958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SSrm),
     /* 173961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 173963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 173966 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 173970 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 173975 */   GIR_RootConstrainSelectedInstOperands,
     /* 173976 */   // GIR_Coverage, 17975,
     /* 173976 */   GIR_EraseRootFromParent_Done,
     /* 173977 */ // Label 3849: @173977
     /* 173977 */ GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(174053), // Rule ID 21129 //
     /* 173982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 173985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 173988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 173992 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 173996 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174000 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174003 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 174007 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174011 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174013 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174020 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 174020 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174023 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174027 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174032 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SSZrm),
     /* 174037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174039 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174042 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174046 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174051 */   GIR_RootConstrainSelectedInstOperands,
     /* 174052 */   // GIR_Coverage, 21129,
     /* 174052 */   GIR_EraseRootFromParent_Done,
     /* 174053 */ // Label 3850: @174053
     /* 174053 */ GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(174112), // Rule ID 1789 //
     /* 174058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 174061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174068 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174072 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174076 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174079 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174083 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174087 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174089 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174096 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (CVTSI2SSrm:{ *:[f32] } addr:{ *:[iPTR] }:$src)
     /* 174096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSI2SSrm),
     /* 174099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174101 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174105 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174110 */   GIR_RootConstrainSelectedInstOperands,
     /* 174111 */   // GIR_Coverage, 1789,
     /* 174111 */   GIR_EraseRootFromParent_Done,
     /* 174112 */ // Label 3851: @174112
     /* 174112 */ GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(174188), // Rule ID 17973 //
     /* 174117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174127 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174131 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174135 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174138 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174142 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174146 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174148 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174155 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SSrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 174155 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174158 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174162 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SSrm),
     /* 174172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174174 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174177 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174181 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174186 */   GIR_RootConstrainSelectedInstOperands,
     /* 174187 */   // GIR_Coverage, 17973,
     /* 174187 */   GIR_EraseRootFromParent_Done,
     /* 174188 */ // Label 3852: @174188
     /* 174188 */ GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(174264), // Rule ID 21127 //
     /* 174193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 174196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 174203 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174207 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174211 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174214 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174218 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174222 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174224 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174231 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 174231 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174234 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174238 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174243 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SSZrm),
     /* 174248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174250 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174253 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174257 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174262 */   GIR_RootConstrainSelectedInstOperands,
     /* 174263 */   // GIR_Coverage, 21127,
     /* 174263 */   GIR_EraseRootFromParent_Done,
     /* 174264 */ // Label 3853: @174264
     /* 174264 */ GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(174294), // Rule ID 1787 //
     /* 174269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 174272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 174283 */   // (sint_to_fp:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (CVTSI2SSrr:{ *:[f32] } GR32:{ *:[i32] }:$src)
     /* 174283 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSI2SSrr),
     /* 174288 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 174292 */   GIR_RootConstrainSelectedInstOperands,
     /* 174293 */   // GIR_Coverage, 1787,
     /* 174293 */   GIR_Done,
     /* 174294 */ // Label 3854: @174294
     /* 174294 */ GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(174324), // Rule ID 1791 //
     /* 174299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 174302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 174313 */   // (sint_to_fp:{ *:[f32] } GR64:{ *:[i64] }:$src)  =>  (CVTSI642SSrr:{ *:[f32] } GR64:{ *:[i64] }:$src)
     /* 174313 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSI642SSrr),
     /* 174318 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 174322 */   GIR_RootConstrainSelectedInstOperands,
     /* 174323 */   // GIR_Coverage, 1791,
     /* 174323 */   GIR_Done,
     /* 174324 */ // Label 3855: @174324
     /* 174324 */ GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(174369), // Rule ID 17981 //
     /* 174329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 174343 */   // (sint_to_fp:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SSrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR32:{ *:[i32] }:$src)
     /* 174343 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174346 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174350 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SSrr),
     /* 174360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174365 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174367 */   GIR_RootConstrainSelectedInstOperands,
     /* 174368 */   // GIR_Coverage, 17981,
     /* 174368 */   GIR_EraseRootFromParent_Done,
     /* 174369 */ // Label 3856: @174369
     /* 174369 */ GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(174414), // Rule ID 17983 //
     /* 174374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 174384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 174388 */   // (sint_to_fp:{ *:[f32] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SSrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR64:{ *:[i64] }:$src)
     /* 174388 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174391 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174395 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174400 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SSrr),
     /* 174405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174407 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174410 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174412 */   GIR_RootConstrainSelectedInstOperands,
     /* 174413 */   // GIR_Coverage, 17983,
     /* 174413 */   GIR_EraseRootFromParent_Done,
     /* 174414 */ // Label 3857: @174414
     /* 174414 */ GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(174459), // Rule ID 21135 //
     /* 174419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 174422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 174429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 174433 */   // (sint_to_fp:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR32:{ *:[i32] }:$src)
     /* 174433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SSZrr),
     /* 174450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174455 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174457 */   GIR_RootConstrainSelectedInstOperands,
     /* 174458 */   // GIR_Coverage, 21135,
     /* 174458 */   GIR_EraseRootFromParent_Done,
     /* 174459 */ // Label 3858: @174459
     /* 174459 */ GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(174504), // Rule ID 21137 //
     /* 174464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 174467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 174474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 174478 */   // (sint_to_fp:{ *:[f32] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR64:{ *:[i64] }:$src)
     /* 174478 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 174481 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174485 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174490 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SSZrr),
     /* 174495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174497 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174500 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 174502 */   GIR_RootConstrainSelectedInstOperands,
     /* 174503 */   // GIR_Coverage, 21137,
     /* 174503 */   GIR_EraseRootFromParent_Done,
     /* 174504 */ // Label 3859: @174504
     /* 174504 */ GIM_Reject,
     /* 174505 */ // Label 3833: @174505
     /* 174505 */ GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(174564), // Rule ID 1801 //
     /* 174510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 174513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 174520 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174524 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174528 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174531 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 174535 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174539 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174541 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174548 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (CVTSI642SDrm:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /* 174548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSI642SDrm),
     /* 174551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174553 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174557 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174562 */   GIR_RootConstrainSelectedInstOperands,
     /* 174563 */   // GIR_Coverage, 1801,
     /* 174563 */   GIR_EraseRootFromParent_Done,
     /* 174564 */ // Label 3860: @174564
     /* 174564 */ GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(174640), // Rule ID 17979 //
     /* 174569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 174579 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174583 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174587 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174590 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 174594 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174598 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174600 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174607 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SDrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 174607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 174610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SDrm),
     /* 174624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174626 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174629 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174633 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174638 */   GIR_RootConstrainSelectedInstOperands,
     /* 174639 */   // GIR_Coverage, 17979,
     /* 174639 */   GIR_EraseRootFromParent_Done,
     /* 174640 */ // Label 3861: @174640
     /* 174640 */ GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(174716), // Rule ID 21133 //
     /* 174645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 174648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 174655 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174659 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174663 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174666 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 174670 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174674 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174676 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174683 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTSI642SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 174683 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 174686 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174690 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174695 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SDZrm),
     /* 174700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174702 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174705 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174709 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174714 */   GIR_RootConstrainSelectedInstOperands,
     /* 174715 */   // GIR_Coverage, 21133,
     /* 174715 */   GIR_EraseRootFromParent_Done,
     /* 174716 */ // Label 3862: @174716
     /* 174716 */ GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(174775), // Rule ID 1797 //
     /* 174721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 174724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 174731 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174735 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174739 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174742 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174746 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174750 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174752 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174759 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (CVTSI2SDrm:{ *:[f64] } addr:{ *:[iPTR] }:$src)
     /* 174759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::CVTSI2SDrm),
     /* 174762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174764 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174768 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174773 */   GIR_RootConstrainSelectedInstOperands,
     /* 174774 */   // GIR_Coverage, 1797,
     /* 174774 */   GIR_EraseRootFromParent_Done,
     /* 174775 */ // Label 3863: @174775
     /* 174775 */ GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(174851), // Rule ID 17977 //
     /* 174780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 174790 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174794 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174798 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174801 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174805 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174809 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174811 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174818 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SDrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 174818 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 174821 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174825 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174830 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SDrm),
     /* 174835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174837 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174840 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174844 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174849 */   GIR_RootConstrainSelectedInstOperands,
     /* 174850 */   // GIR_Coverage, 17977,
     /* 174850 */   GIR_EraseRootFromParent_Done,
     /* 174851 */ // Label 3864: @174851
     /* 174851 */ GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(174927), // Rule ID 21131 //
     /* 174856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 174859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 174866 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 174870 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 174874 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 174877 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 174881 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 174885 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 174887 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 174894 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTSI2SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 174894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 174897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 174901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 174906 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 174908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SDZrm),
     /* 174911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 174913 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 174916 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 174920 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 174925 */   GIR_RootConstrainSelectedInstOperands,
     /* 174926 */   // GIR_Coverage, 21131,
     /* 174926 */   GIR_EraseRootFromParent_Done,
     /* 174927 */ // Label 3865: @174927
     /* 174927 */ GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(174953), // Rule ID 1795 //
     /* 174932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 174935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 174942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 174946 */   // (sint_to_fp:{ *:[f64] } GR32:{ *:[i32] }:$src)  =>  (CVTSI2SDrr:{ *:[f64] } GR32:{ *:[i32] }:$src)
     /* 174946 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSI2SDrr),
     /* 174951 */   GIR_RootConstrainSelectedInstOperands,
     /* 174952 */   // GIR_Coverage, 1795,
     /* 174952 */   GIR_Done,
     /* 174953 */ // Label 3866: @174953
     /* 174953 */ GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(174983), // Rule ID 1799 //
     /* 174958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 174961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 174964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 174968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 174972 */   // (sint_to_fp:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (CVTSI642SDrr:{ *:[f64] } GR64:{ *:[i64] }:$src)
     /* 174972 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTSI642SDrr),
     /* 174977 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 174981 */   GIR_RootConstrainSelectedInstOperands,
     /* 174982 */   // GIR_Coverage, 1799,
     /* 174982 */   GIR_Done,
     /* 174983 */ // Label 3867: @174983
     /* 174983 */ GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(175028), // Rule ID 17985 //
     /* 174988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 174991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 174994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 174998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 175002 */   // (sint_to_fp:{ *:[f64] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SDrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR32:{ *:[i32] }:$src)
     /* 175002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SDrr),
     /* 175019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175024 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 175026 */   GIR_RootConstrainSelectedInstOperands,
     /* 175027 */   // GIR_Coverage, 17985,
     /* 175027 */   GIR_EraseRootFromParent_Done,
     /* 175028 */ // Label 3868: @175028
     /* 175028 */ GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(175073), // Rule ID 17987 //
     /* 175033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 175036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 175039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 175043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 175047 */   // (sint_to_fp:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SDrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR64:{ *:[i64] }:$src)
     /* 175047 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175050 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175054 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175059 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SDrr),
     /* 175064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175066 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175069 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 175071 */   GIR_RootConstrainSelectedInstOperands,
     /* 175072 */   // GIR_Coverage, 17987,
     /* 175072 */   GIR_EraseRootFromParent_Done,
     /* 175073 */ // Label 3869: @175073
     /* 175073 */ GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(175118), // Rule ID 21139 //
     /* 175078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 175081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 175084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 175088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 175092 */   // (sint_to_fp:{ *:[f64] } GR32:{ *:[i32] }:$src)  =>  (VCVTSI2SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR32:{ *:[i32] }:$src)
     /* 175092 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175095 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175099 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175104 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI2SDZrr),
     /* 175109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175111 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175114 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 175116 */   GIR_RootConstrainSelectedInstOperands,
     /* 175117 */   // GIR_Coverage, 21139,
     /* 175117 */   GIR_EraseRootFromParent_Done,
     /* 175118 */ // Label 3870: @175118
     /* 175118 */ GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(175163), // Rule ID 21141 //
     /* 175123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 175126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 175129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 175133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 175137 */   // (sint_to_fp:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VCVTSI642SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR64:{ *:[i64] }:$src)
     /* 175137 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 175140 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 175144 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 175149 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 175151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTSI642SDZrr),
     /* 175154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175156 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 175159 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 175161 */   GIR_RootConstrainSelectedInstOperands,
     /* 175162 */   // GIR_Coverage, 21141,
     /* 175162 */   GIR_EraseRootFromParent_Done,
     /* 175163 */ // Label 3871: @175163
     /* 175163 */ GIM_Reject,
     /* 175164 */ // Label 3834: @175164
     /* 175164 */ GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(175252),
     /* 175169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 175172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175176 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(175228), // Rule ID 11378 //
     /* 175181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 175184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175192 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175195 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175199 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175205 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175212 */     // (sint_to_fp:{ *:[v2f64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PDZ128rm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 175212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZ128rm),
     /* 175215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175217 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175226 */     GIR_RootConstrainSelectedInstOperands,
     /* 175227 */     // GIR_Coverage, 11378,
     /* 175227 */     GIR_EraseRootFromParent_Done,
     /* 175228 */   // Label 3873: @175228
     /* 175228 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(175251), // Rule ID 11374 //
     /* 175233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 175236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175240 */     // (sint_to_fp:{ *:[v2f64] } VR128X:{ *:[v2i64] }:$src)  =>  (VCVTQQ2PDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2i64] }:$src)
     /* 175240 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZ128rr),
     /* 175245 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175249 */     GIR_RootConstrainSelectedInstOperands,
     /* 175250 */     // GIR_Coverage, 11374,
     /* 175250 */     GIR_Done,
     /* 175251 */   // Label 3874: @175251
     /* 175251 */   GIM_Reject,
     /* 175252 */ // Label 3872: @175252
     /* 175252 */ GIM_Reject,
     /* 175253 */ // Label 3835: @175253
     /* 175253 */ GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(175312), // Rule ID 1869 //
     /* 175258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 175261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175268 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175272 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175276 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175279 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175283 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175287 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175289 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175296 */   // (sint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSrm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 175296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSrm),
     /* 175299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175301 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175305 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175310 */   GIR_RootConstrainSelectedInstOperands,
     /* 175311 */   // GIR_Coverage, 1869,
     /* 175311 */   GIR_EraseRootFromParent_Done,
     /* 175312 */ // Label 3875: @175312
     /* 175312 */ GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(175371), // Rule ID 10754 //
     /* 175317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 175320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175327 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175331 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175335 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175338 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175342 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175346 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175348 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175355 */   // (sint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSZ128rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 175355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZ128rm),
     /* 175358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175360 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175364 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175369 */   GIR_RootConstrainSelectedInstOperands,
     /* 175370 */   // GIR_Coverage, 10754,
     /* 175370 */   GIR_EraseRootFromParent_Done,
     /* 175371 */ // Label 3876: @175371
     /* 175371 */ GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(175430), // Rule ID 11510 //
     /* 175376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 175379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 175382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175386 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175390 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175394 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175397 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175401 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175405 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175407 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175414 */   // (sint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PSZ256rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 175414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PSZ256rm),
     /* 175417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175419 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175423 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175428 */   GIR_RootConstrainSelectedInstOperands,
     /* 175429 */   // GIR_Coverage, 11510,
     /* 175429 */   GIR_EraseRootFromParent_Done,
     /* 175430 */ // Label 3877: @175430
     /* 175430 */ GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(175460), // Rule ID 1867 //
     /* 175435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 175438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175449 */   // (sint_to_fp:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src)  =>  (VCVTDQ2PSrr:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src)
     /* 175449 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSrr),
     /* 175454 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175458 */   GIR_RootConstrainSelectedInstOperands,
     /* 175459 */   // GIR_Coverage, 1867,
     /* 175459 */   GIR_Done,
     /* 175460 */ // Label 3878: @175460
     /* 175460 */ GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(175490), // Rule ID 1875 //
     /* 175465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 175468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175479 */   // (sint_to_fp:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src)  =>  (CVTDQ2PSrr:{ *:[v4f32] } VR128:{ *:[v4i32] }:$src)
     /* 175479 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::CVTDQ2PSrr),
     /* 175484 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175488 */   GIR_RootConstrainSelectedInstOperands,
     /* 175489 */   // GIR_Coverage, 1875,
     /* 175489 */   GIR_Done,
     /* 175490 */ // Label 3879: @175490
     /* 175490 */ GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(175520), // Rule ID 10750 //
     /* 175495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 175498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175509 */   // (sint_to_fp:{ *:[v4f32] } VR128X:{ *:[v4i32] }:$src)  =>  (VCVTDQ2PSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4i32] }:$src)
     /* 175509 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZ128rr),
     /* 175514 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175518 */   GIR_RootConstrainSelectedInstOperands,
     /* 175519 */   // GIR_Coverage, 10750,
     /* 175519 */   GIR_Done,
     /* 175520 */ // Label 3880: @175520
     /* 175520 */ GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(175550), // Rule ID 11506 //
     /* 175525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 175528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 175531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 175539 */   // (sint_to_fp:{ *:[v4f32] } VR256X:{ *:[v4i64] }:$src)  =>  (VCVTQQ2PSZ256rr:{ *:[v4f32] } VR256X:{ *:[v4i64] }:$src)
     /* 175539 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PSZ256rr),
     /* 175544 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175548 */   GIR_RootConstrainSelectedInstOperands,
     /* 175549 */   // GIR_Coverage, 11506,
     /* 175549 */   GIR_Done,
     /* 175550 */ // Label 3881: @175550
     /* 175550 */ GIM_Reject,
     /* 175551 */ // Label 3836: @175551
     /* 175551 */ GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(175610), // Rule ID 1944 //
     /* 175556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 175559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 175566 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175570 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175574 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175577 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175581 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175585 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175587 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175594 */   // (sint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PDYrm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 175594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDYrm),
     /* 175597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175599 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175603 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175608 */   GIR_RootConstrainSelectedInstOperands,
     /* 175609 */   // GIR_Coverage, 1944,
     /* 175609 */   GIR_EraseRootFromParent_Done,
     /* 175610 */ // Label 3882: @175610
     /* 175610 */ GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(175669), // Rule ID 10727 //
     /* 175615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 175618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 175625 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175629 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175633 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175636 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175640 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175644 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175646 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175653 */   // (sint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 175653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDZ256rm),
     /* 175656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175658 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175662 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175667 */   GIR_RootConstrainSelectedInstOperands,
     /* 175668 */   // GIR_Coverage, 10727,
     /* 175668 */   GIR_EraseRootFromParent_Done,
     /* 175669 */ // Label 3883: @175669
     /* 175669 */ GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(175728), // Rule ID 11390 //
     /* 175674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 175677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 175680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 175684 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175688 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175692 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175695 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175699 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175703 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175705 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175712 */   // (sint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 175712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZ256rm),
     /* 175715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175717 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175721 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175726 */   GIR_RootConstrainSelectedInstOperands,
     /* 175727 */   // GIR_Coverage, 11390,
     /* 175727 */   GIR_EraseRootFromParent_Done,
     /* 175728 */ // Label 3884: @175728
     /* 175728 */ GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(175754), // Rule ID 1946 //
     /* 175733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 175736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 175743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 175747 */   // (sint_to_fp:{ *:[v4f64] } VR128:{ *:[v4i32] }:$src)  =>  (VCVTDQ2PDYrr:{ *:[v4f64] } VR128:{ *:[v4i32] }:$src)
     /* 175747 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDYrr),
     /* 175752 */   GIR_RootConstrainSelectedInstOperands,
     /* 175753 */   // GIR_Coverage, 1946,
     /* 175753 */   GIR_Done,
     /* 175754 */ // Label 3885: @175754
     /* 175754 */ GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(175780), // Rule ID 10723 //
     /* 175759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 175762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 175765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 175769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175773 */   // (sint_to_fp:{ *:[v4f64] } VR128X:{ *:[v4i32] }:$src)  =>  (VCVTDQ2PDZ256rr:{ *:[v4f64] } VR128X:{ *:[v4i32] }:$src)
     /* 175773 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDZ256rr),
     /* 175778 */   GIR_RootConstrainSelectedInstOperands,
     /* 175779 */   // GIR_Coverage, 10723,
     /* 175779 */   GIR_Done,
     /* 175780 */ // Label 3886: @175780
     /* 175780 */ GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(175810), // Rule ID 11386 //
     /* 175785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 175788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 175791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 175795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 175799 */   // (sint_to_fp:{ *:[v4f64] } VR256X:{ *:[v4i64] }:$src)  =>  (VCVTQQ2PDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4i64] }:$src)
     /* 175799 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZ256rr),
     /* 175804 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 175808 */   GIR_RootConstrainSelectedInstOperands,
     /* 175809 */   // GIR_Coverage, 11386,
     /* 175809 */   GIR_Done,
     /* 175810 */ // Label 3887: @175810
     /* 175810 */ GIM_Reject,
     /* 175811 */ // Label 3837: @175811
     /* 175811 */ GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(175870), // Rule ID 11456 //
     /* 175816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 175819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 175822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175826 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175830 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175834 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175837 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175841 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175845 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175847 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175854 */   // (sint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PHZ256rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 175854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PHZ256rm),
     /* 175857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175859 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175863 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175868 */   GIR_RootConstrainSelectedInstOperands,
     /* 175869 */   // GIR_Coverage, 11456,
     /* 175869 */   GIR_EraseRootFromParent_Done,
     /* 175870 */ // Label 3888: @175870
     /* 175870 */ GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(175929), // Rule ID 14822 //
     /* 175875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 175878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 175881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175885 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175889 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175893 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175896 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175900 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175904 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175906 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175913 */   // (sint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTW2PHZ128rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 175913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZ128rm),
     /* 175916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175918 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175922 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175927 */   GIR_RootConstrainSelectedInstOperands,
     /* 175928 */   // GIR_Coverage, 14822,
     /* 175928 */   GIR_EraseRootFromParent_Done,
     /* 175929 */ // Label 3889: @175929
     /* 175929 */ GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(175988), // Rule ID 15122 //
     /* 175934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 175937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 175940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 175944 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 175948 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 175952 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 175955 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 175959 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 175963 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 175965 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 175972 */   // (sint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PHZrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 175972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PHZrm),
     /* 175975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 175977 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 175981 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 175986 */   GIR_RootConstrainSelectedInstOperands,
     /* 175987 */   // GIR_Coverage, 15122,
     /* 175987 */   GIR_EraseRootFromParent_Done,
     /* 175988 */ // Label 3890: @175988
     /* 175988 */ GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(176018), // Rule ID 11452 //
     /* 175993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 175996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 175999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176007 */   // (sint_to_fp:{ *:[v8f16] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTDQ2PHZ256rr:{ *:[v8f16] } VR256X:{ *:[v8i32] }:$src)
     /* 176007 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PHZ256rr),
     /* 176012 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176016 */   GIR_RootConstrainSelectedInstOperands,
     /* 176017 */   // GIR_Coverage, 11452,
     /* 176017 */   GIR_Done,
     /* 176018 */ // Label 3891: @176018
     /* 176018 */ GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(176048), // Rule ID 14818 //
     /* 176023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 176026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 176029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176037 */   // (sint_to_fp:{ *:[v8f16] } VR128X:{ *:[v8i16] }:$src)  =>  (VCVTW2PHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8i16] }:$src)
     /* 176037 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZ128rr),
     /* 176042 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176046 */   GIR_RootConstrainSelectedInstOperands,
     /* 176047 */   // GIR_Coverage, 14818,
     /* 176047 */   GIR_Done,
     /* 176048 */ // Label 3892: @176048
     /* 176048 */ GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(176078), // Rule ID 15118 //
     /* 176053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 176056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 176063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176067 */   // (sint_to_fp:{ *:[v8f16] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTQQ2PHZrr:{ *:[v8f16] } VR512:{ *:[v8i64] }:$src)
     /* 176067 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PHZrr),
     /* 176072 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176076 */   GIR_RootConstrainSelectedInstOperands,
     /* 176077 */   // GIR_Coverage, 15118,
     /* 176077 */   GIR_Done,
     /* 176078 */ // Label 3893: @176078
     /* 176078 */ GIM_Reject,
     /* 176079 */ // Label 3838: @176079
     /* 176079 */ GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(176138), // Rule ID 1873 //
     /* 176084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 176087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 176094 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176098 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176102 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176105 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176109 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176113 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176115 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176122 */   // (sint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSYrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 176122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSYrm),
     /* 176125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176127 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176131 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176136 */   GIR_RootConstrainSelectedInstOperands,
     /* 176137 */   // GIR_Coverage, 1873,
     /* 176137 */   GIR_EraseRootFromParent_Done,
     /* 176138 */ // Label 3894: @176138
     /* 176138 */ GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(176197), // Rule ID 10766 //
     /* 176143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 176146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176153 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176157 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176161 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176164 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176168 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176172 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176174 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176181 */   // (sint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSZ256rm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 176181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZ256rm),
     /* 176184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176186 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176190 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176195 */   GIR_RootConstrainSelectedInstOperands,
     /* 176196 */   // GIR_Coverage, 10766,
     /* 176196 */   GIR_EraseRootFromParent_Done,
     /* 176197 */ // Label 3895: @176197
     /* 176197 */ GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(176256), // Rule ID 11495 //
     /* 176202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 176205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176212 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176216 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176220 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176223 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176227 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176231 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176233 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176240 */   // (sint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PSZrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 176240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PSZrm),
     /* 176243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176245 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176249 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176254 */   GIR_RootConstrainSelectedInstOperands,
     /* 176255 */   // GIR_Coverage, 11495,
     /* 176255 */   GIR_EraseRootFromParent_Done,
     /* 176256 */ // Label 3896: @176256
     /* 176256 */ GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(176286), // Rule ID 1871 //
     /* 176261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 176264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 176271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 176275 */   // (sint_to_fp:{ *:[v8f32] } VR256:{ *:[v8i32] }:$src)  =>  (VCVTDQ2PSYrr:{ *:[v8f32] } VR256:{ *:[v8i32] }:$src)
     /* 176275 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSYrr),
     /* 176280 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176284 */   GIR_RootConstrainSelectedInstOperands,
     /* 176285 */   // GIR_Coverage, 1871,
     /* 176285 */   GIR_Done,
     /* 176286 */ // Label 3897: @176286
     /* 176286 */ GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(176316), // Rule ID 10762 //
     /* 176291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 176294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176305 */   // (sint_to_fp:{ *:[v8f32] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTDQ2PSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8i32] }:$src)
     /* 176305 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZ256rr),
     /* 176310 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176314 */   GIR_RootConstrainSelectedInstOperands,
     /* 176315 */   // GIR_Coverage, 10762,
     /* 176315 */   GIR_Done,
     /* 176316 */ // Label 3898: @176316
     /* 176316 */ GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(176346), // Rule ID 11491 //
     /* 176321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 176324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176335 */   // (sint_to_fp:{ *:[v8f32] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTQQ2PSZrr:{ *:[v8f32] } VR512:{ *:[v8i64] }:$src)
     /* 176335 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PSZrr),
     /* 176340 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176344 */   GIR_RootConstrainSelectedInstOperands,
     /* 176345 */   // GIR_Coverage, 11491,
     /* 176345 */   GIR_Done,
     /* 176346 */ // Label 3899: @176346
     /* 176346 */ GIM_Reject,
     /* 176347 */ // Label 3839: @176347
     /* 176347 */ GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(176406), // Rule ID 10703 //
     /* 176352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 176355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176362 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176366 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176370 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176373 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176377 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176381 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176383 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176390 */   // (sint_to_fp:{ *:[v8f64] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 176390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDZrm),
     /* 176393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176395 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176399 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176404 */   GIR_RootConstrainSelectedInstOperands,
     /* 176405 */   // GIR_Coverage, 10703,
     /* 176405 */   GIR_EraseRootFromParent_Done,
     /* 176406 */ // Label 3900: @176406
     /* 176406 */ GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(176465), // Rule ID 11363 //
     /* 176411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 176414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176421 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176425 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176429 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176432 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176436 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176440 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176442 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176449 */   // (sint_to_fp:{ *:[v8f64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTQQ2PDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 176449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZrm),
     /* 176452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176454 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176458 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176463 */   GIR_RootConstrainSelectedInstOperands,
     /* 176464 */   // GIR_Coverage, 11363,
     /* 176464 */   GIR_EraseRootFromParent_Done,
     /* 176465 */ // Label 3901: @176465
     /* 176465 */ GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(176491), // Rule ID 10699 //
     /* 176470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 176473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 176476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176484 */   // (sint_to_fp:{ *:[v8f64] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTDQ2PDZrr:{ *:[v8f64] } VR256X:{ *:[v8i32] }:$src)
     /* 176484 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PDZrr),
     /* 176489 */   GIR_RootConstrainSelectedInstOperands,
     /* 176490 */   // GIR_Coverage, 10699,
     /* 176490 */   GIR_Done,
     /* 176491 */ // Label 3902: @176491
     /* 176491 */ GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(176521), // Rule ID 11359 //
     /* 176496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 176499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 176502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176510 */   // (sint_to_fp:{ *:[v8f64] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTQQ2PDZrr:{ *:[v8f64] } VR512:{ *:[v8i64] }:$src)
     /* 176510 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTQQ2PDZrr),
     /* 176515 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176519 */   GIR_RootConstrainSelectedInstOperands,
     /* 176520 */   // GIR_Coverage, 11359,
     /* 176520 */   GIR_Done,
     /* 176521 */ // Label 3903: @176521
     /* 176521 */ GIM_Reject,
     /* 176522 */ // Label 3840: @176522
     /* 176522 */ GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(176581), // Rule ID 11441 //
     /* 176527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 176530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 176533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176537 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176541 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176545 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176548 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176552 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176556 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176558 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176565 */   // (sint_to_fp:{ *:[v16f16] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PHZrm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 176565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PHZrm),
     /* 176568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176570 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176574 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176579 */   GIR_RootConstrainSelectedInstOperands,
     /* 176580 */   // GIR_Coverage, 11441,
     /* 176580 */   GIR_EraseRootFromParent_Done,
     /* 176581 */ // Label 3904: @176581
     /* 176581 */ GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(176640), // Rule ID 14834 //
     /* 176586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 176589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 176592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176596 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176600 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176604 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176607 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176611 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176615 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176617 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176624 */   // (sint_to_fp:{ *:[v16f16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTW2PHZ256rm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 176624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZ256rm),
     /* 176627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176629 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176633 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176638 */   GIR_RootConstrainSelectedInstOperands,
     /* 176639 */   // GIR_Coverage, 14834,
     /* 176639 */   GIR_EraseRootFromParent_Done,
     /* 176640 */ // Label 3905: @176640
     /* 176640 */ GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(176670), // Rule ID 11437 //
     /* 176645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 176648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 176651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176659 */   // (sint_to_fp:{ *:[v16f16] } VR512:{ *:[v16i32] }:$src)  =>  (VCVTDQ2PHZrr:{ *:[v16f16] } VR512:{ *:[v16i32] }:$src)
     /* 176659 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PHZrr),
     /* 176664 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176668 */   GIR_RootConstrainSelectedInstOperands,
     /* 176669 */   // GIR_Coverage, 11437,
     /* 176669 */   GIR_Done,
     /* 176670 */ // Label 3906: @176670
     /* 176670 */ GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(176700), // Rule ID 14830 //
     /* 176675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 176678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 176681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 176689 */   // (sint_to_fp:{ *:[v16f16] } VR256X:{ *:[v16i16] }:$src)  =>  (VCVTW2PHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16i16] }:$src)
     /* 176689 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZ256rr),
     /* 176694 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176698 */   GIR_RootConstrainSelectedInstOperands,
     /* 176699 */   // GIR_Coverage, 14830,
     /* 176699 */   GIR_Done,
     /* 176700 */ // Label 3907: @176700
     /* 176700 */ GIM_Reject,
     /* 176701 */ // Label 3841: @176701
     /* 176701 */ GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(176789),
     /* 176706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 176709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176713 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(176765), // Rule ID 10739 //
     /* 176718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 176721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176729 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176732 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176736 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176742 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176749 */     // (sint_to_fp:{ *:[v16f32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTDQ2PSZrm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /* 176749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZrm),
     /* 176752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176754 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176763 */     GIR_RootConstrainSelectedInstOperands,
     /* 176764 */     // GIR_Coverage, 10739,
     /* 176764 */     GIR_EraseRootFromParent_Done,
     /* 176765 */   // Label 3909: @176765
     /* 176765 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(176788), // Rule ID 10735 //
     /* 176770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 176773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176777 */     // (sint_to_fp:{ *:[v16f32] } VR512:{ *:[v16i32] }:$src)  =>  (VCVTDQ2PSZrr:{ *:[v16f32] } VR512:{ *:[v16i32] }:$src)
     /* 176777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTDQ2PSZrr),
     /* 176782 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176786 */     GIR_RootConstrainSelectedInstOperands,
     /* 176787 */     // GIR_Coverage, 10735,
     /* 176787 */     GIR_Done,
     /* 176788 */   // Label 3910: @176788
     /* 176788 */   GIM_Reject,
     /* 176789 */ // Label 3908: @176789
     /* 176789 */ GIM_Reject,
     /* 176790 */ // Label 3842: @176790
     /* 176790 */ GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(176878),
     /* 176795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 176798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176802 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(176854), // Rule ID 14807 //
     /* 176807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 176810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176818 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 176821 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 176825 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 176829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 176831 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 176838 */     // (sint_to_fp:{ *:[v32f16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTW2PHZrm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /* 176838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZrm),
     /* 176841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 176843 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 176847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 176852 */     GIR_RootConstrainSelectedInstOperands,
     /* 176853 */     // GIR_Coverage, 14807,
     /* 176853 */     GIR_EraseRootFromParent_Done,
     /* 176854 */   // Label 3912: @176854
     /* 176854 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(176877), // Rule ID 14803 //
     /* 176859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 176862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 176866 */     // (sint_to_fp:{ *:[v32f16] } VR512:{ *:[v32i16] }:$src)  =>  (VCVTW2PHZrr:{ *:[v32f16] } VR512:{ *:[v32i16] }:$src)
     /* 176866 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTW2PHZrr),
     /* 176871 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 176875 */     GIR_RootConstrainSelectedInstOperands,
     /* 176876 */     // GIR_Coverage, 14803,
     /* 176876 */     GIR_Done,
     /* 176877 */   // Label 3913: @176877
     /* 176877 */   GIM_Reject,
     /* 176878 */ // Label 3911: @176878
     /* 176878 */ GIM_Reject,
     /* 176879 */ // Label 3843: @176879
     /* 176879 */ GIM_Reject,
     /* 176880 */ // Label 52: @176880
     /* 176880 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 3926*/ GIMT_Encode4(179126),
     /* 176891 */ /*GILLT_s16*//*Label 3914*/ GIMT_Encode4(176975),
     /* 176895 */ /*GILLT_s32*//*Label 3915*/ GIMT_Encode4(177218),
     /* 176899 */ /*GILLT_s64*//*Label 3916*/ GIMT_Encode4(177461), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 176915 */ /*GILLT_v2s64*//*Label 3917*/ GIMT_Encode4(177704), GIMT_Encode4(0),
     /* 176923 */ /*GILLT_v4s32*//*Label 3918*/ GIMT_Encode4(177793),
     /* 176927 */ /*GILLT_v4s64*//*Label 3919*/ GIMT_Encode4(177972), GIMT_Encode4(0),
     /* 176935 */ /*GILLT_v8s16*//*Label 3920*/ GIMT_Encode4(178147),
     /* 176939 */ /*GILLT_v8s32*//*Label 3921*/ GIMT_Encode4(178415),
     /* 176943 */ /*GILLT_v8s64*//*Label 3922*/ GIMT_Encode4(178594), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 176955 */ /*GILLT_v16s16*//*Label 3923*/ GIMT_Encode4(178769),
     /* 176959 */ /*GILLT_v16s32*//*Label 3924*/ GIMT_Encode4(178948), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 176971 */ /*GILLT_v32s16*//*Label 3925*/ GIMT_Encode4(179037),
     /* 176975 */ // Label 3914: @176975
     /* 176975 */ GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(177051), // Rule ID 22186 //
     /* 176980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 176983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 176986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 176990 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 176994 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 176998 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177001 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177005 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177009 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177011 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177018 */   // (uint_to_fp:{ *:[f16] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUSI642SHZrm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 177018 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 177021 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177025 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177030 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SHZrm),
     /* 177035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177037 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177040 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177044 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177049 */   GIR_RootConstrainSelectedInstOperands,
     /* 177050 */   // GIR_Coverage, 22186,
     /* 177050 */   GIR_EraseRootFromParent_Done,
     /* 177051 */ // Label 3927: @177051
     /* 177051 */ GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(177127), // Rule ID 22184 //
     /* 177056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 177066 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177070 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177074 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177077 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177081 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 177085 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177087 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177094 */   // (uint_to_fp:{ *:[f16] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTUSI2SHZrm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 177094 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 177097 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177101 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177106 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SHZrm),
     /* 177111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177113 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177116 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177120 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177125 */   GIR_RootConstrainSelectedInstOperands,
     /* 177126 */   // GIR_Coverage, 22184,
     /* 177126 */   GIR_EraseRootFromParent_Done,
     /* 177127 */ // Label 3928: @177127
     /* 177127 */ GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(177172), // Rule ID 22188 //
     /* 177132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 177142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 177146 */   // (uint_to_fp:{ *:[f16] } GR32:{ *:[i32] }:$src)  =>  (VCVTUSI2SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), GR32:{ *:[i32] }:$src)
     /* 177146 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 177149 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177153 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177158 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SHZrr),
     /* 177163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177165 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177168 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177170 */   GIR_RootConstrainSelectedInstOperands,
     /* 177171 */   // GIR_Coverage, 22188,
     /* 177171 */   GIR_EraseRootFromParent_Done,
     /* 177172 */ // Label 3929: @177172
     /* 177172 */ GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(177217), // Rule ID 22190 //
     /* 177177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 177180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 177187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 177191 */   // (uint_to_fp:{ *:[f16] } GR64:{ *:[i64] }:$src)  =>  (VCVTUSI642SHZrr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), GR64:{ *:[i64] }:$src)
     /* 177191 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 177194 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177198 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SHZrr),
     /* 177208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177210 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177213 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177215 */   GIR_RootConstrainSelectedInstOperands,
     /* 177216 */   // GIR_Coverage, 22190,
     /* 177216 */   GIR_EraseRootFromParent_Done,
     /* 177217 */ // Label 3930: @177217
     /* 177217 */ GIM_Reject,
     /* 177218 */ // Label 3915: @177218
     /* 177218 */ GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(177294), // Rule ID 21145 //
     /* 177223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 177233 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177237 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177241 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177244 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177248 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177252 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177254 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177261 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUSI642SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 177261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 177264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177273 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SSZrm),
     /* 177278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177280 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177283 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177287 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177292 */   GIR_RootConstrainSelectedInstOperands,
     /* 177293 */   // GIR_Coverage, 21145,
     /* 177293 */   GIR_EraseRootFromParent_Done,
     /* 177294 */ // Label 3931: @177294
     /* 177294 */ GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(177370), // Rule ID 21143 //
     /* 177299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 177309 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177313 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177317 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177320 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177324 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 177328 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177330 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177337 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTUSI2SSZrm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 177337 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 177340 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177344 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177349 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SSZrm),
     /* 177354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177356 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177359 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177363 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177368 */   GIR_RootConstrainSelectedInstOperands,
     /* 177369 */   // GIR_Coverage, 21143,
     /* 177369 */   GIR_EraseRootFromParent_Done,
     /* 177370 */ // Label 3932: @177370
     /* 177370 */ GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(177415), // Rule ID 21151 //
     /* 177375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 177385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 177389 */   // (uint_to_fp:{ *:[f32] } GR32:{ *:[i32] }:$src)  =>  (VCVTUSI2SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR32:{ *:[i32] }:$src)
     /* 177389 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 177392 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177396 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177401 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SSZrr),
     /* 177406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177408 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177411 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177413 */   GIR_RootConstrainSelectedInstOperands,
     /* 177414 */   // GIR_Coverage, 21151,
     /* 177414 */   GIR_EraseRootFromParent_Done,
     /* 177415 */ // Label 3933: @177415
     /* 177415 */ GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(177460), // Rule ID 21153 //
     /* 177420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 177430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 177434 */   // (uint_to_fp:{ *:[f32] } GR64:{ *:[i64] }:$src)  =>  (VCVTUSI642SSZrr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), GR64:{ *:[i64] }:$src)
     /* 177434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 177437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SSZrr),
     /* 177451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177453 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177456 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177458 */   GIR_RootConstrainSelectedInstOperands,
     /* 177459 */   // GIR_Coverage, 21153,
     /* 177459 */   GIR_EraseRootFromParent_Done,
     /* 177460 */ // Label 3934: @177460
     /* 177460 */ GIM_Reject,
     /* 177461 */ // Label 3916: @177461
     /* 177461 */ GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(177537), // Rule ID 21149 //
     /* 177466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 177476 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177480 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177484 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177487 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177491 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177495 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177497 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177504 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUSI642SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 177504 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 177507 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177511 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177516 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SDZrm),
     /* 177521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177523 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177526 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177530 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177535 */   GIR_RootConstrainSelectedInstOperands,
     /* 177536 */   // GIR_Coverage, 21149,
     /* 177536 */   GIR_EraseRootFromParent_Done,
     /* 177537 */ // Label 3935: @177537
     /* 177537 */ GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(177613), // Rule ID 21147 //
     /* 177542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 177552 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177556 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177560 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177563 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177567 */   GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 177571 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177573 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177580 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (VCVTUSI2SDZrm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 177580 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 177583 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177587 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177592 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SDZrm),
     /* 177597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177599 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177602 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177606 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177611 */   GIR_RootConstrainSelectedInstOperands,
     /* 177612 */   // GIR_Coverage, 21147,
     /* 177612 */   GIR_EraseRootFromParent_Done,
     /* 177613 */ // Label 3936: @177613
     /* 177613 */ GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(177658), // Rule ID 21155 //
     /* 177618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 177624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 177628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 177632 */   // (uint_to_fp:{ *:[f64] } GR32:{ *:[i32] }:$src)  =>  (VCVTUSI2SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR32:{ *:[i32] }:$src)
     /* 177632 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 177635 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177639 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177644 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI2SDZrr),
     /* 177649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177651 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177654 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177656 */   GIR_RootConstrainSelectedInstOperands,
     /* 177657 */   // GIR_Coverage, 21155,
     /* 177657 */   GIR_EraseRootFromParent_Done,
     /* 177658 */ // Label 3937: @177658
     /* 177658 */ GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(177703), // Rule ID 21157 //
     /* 177663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 177666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 177669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 177673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 177677 */   // (uint_to_fp:{ *:[f64] } GR64:{ *:[i64] }:$src)  =>  (VCVTUSI642SDZrr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), GR64:{ *:[i64] }:$src)
     /* 177677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 177680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 177684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 177689 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 177691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUSI642SDZrr),
     /* 177694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177696 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 177699 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 177701 */   GIR_RootConstrainSelectedInstOperands,
     /* 177702 */   // GIR_Coverage, 21157,
     /* 177702 */   GIR_EraseRootFromParent_Done,
     /* 177703 */ // Label 3938: @177703
     /* 177703 */ GIM_Reject,
     /* 177704 */ // Label 3917: @177704
     /* 177704 */ GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(177792),
     /* 177709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 177712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 177716 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(177768), // Rule ID 11417 //
     /* 177721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 177724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177732 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177735 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177739 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177745 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177752 */     // (uint_to_fp:{ *:[v2f64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PDZ128rm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 177752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZ128rm),
     /* 177755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177757 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177766 */     GIR_RootConstrainSelectedInstOperands,
     /* 177767 */     // GIR_Coverage, 11417,
     /* 177767 */     GIR_EraseRootFromParent_Done,
     /* 177768 */   // Label 3940: @177768
     /* 177768 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(177791), // Rule ID 11413 //
     /* 177773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 177776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 177780 */     // (uint_to_fp:{ *:[v2f64] } VR128X:{ *:[v2i64] }:$src)  =>  (VCVTUQQ2PDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2i64] }:$src)
     /* 177780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZ128rr),
     /* 177785 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 177789 */     GIR_RootConstrainSelectedInstOperands,
     /* 177790 */     // GIR_Coverage, 11413,
     /* 177790 */     GIR_Done,
     /* 177791 */   // Label 3941: @177791
     /* 177791 */   GIM_Reject,
     /* 177792 */ // Label 3939: @177792
     /* 177792 */ GIM_Reject,
     /* 177793 */ // Label 3918: @177793
     /* 177793 */ GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(177852), // Rule ID 10961 //
     /* 177798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 177801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 177804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 177808 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177812 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177816 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177819 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177823 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177827 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177829 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177836 */   // (uint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PSZ128rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 177836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZ128rm),
     /* 177839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177841 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177845 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177850 */   GIR_RootConstrainSelectedInstOperands,
     /* 177851 */   // GIR_Coverage, 10961,
     /* 177851 */   GIR_EraseRootFromParent_Done,
     /* 177852 */ // Label 3942: @177852
     /* 177852 */ GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(177911), // Rule ID 11537 //
     /* 177857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 177860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 177863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 177867 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177871 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177875 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177878 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 177882 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 177886 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 177888 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 177895 */   // (uint_to_fp:{ *:[v4f32] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PSZ256rm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 177895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PSZ256rm),
     /* 177898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 177900 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 177904 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 177909 */   GIR_RootConstrainSelectedInstOperands,
     /* 177910 */   // GIR_Coverage, 11537,
     /* 177910 */   GIR_EraseRootFromParent_Done,
     /* 177911 */ // Label 3943: @177911
     /* 177911 */ GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(177941), // Rule ID 10957 //
     /* 177916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 177919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 177922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 177926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 177930 */   // (uint_to_fp:{ *:[v4f32] } VR128X:{ *:[v4i32] }:$src)  =>  (VCVTUDQ2PSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4i32] }:$src)
     /* 177930 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZ128rr),
     /* 177935 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 177939 */   GIR_RootConstrainSelectedInstOperands,
     /* 177940 */   // GIR_Coverage, 10957,
     /* 177940 */   GIR_Done,
     /* 177941 */ // Label 3944: @177941
     /* 177941 */ GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(177971), // Rule ID 11533 //
     /* 177946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 177949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 177952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 177956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 177960 */   // (uint_to_fp:{ *:[v4f32] } VR256X:{ *:[v4i64] }:$src)  =>  (VCVTUQQ2PSZ256rr:{ *:[v4f32] } VR256X:{ *:[v4i64] }:$src)
     /* 177960 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PSZ256rr),
     /* 177965 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 177969 */   GIR_RootConstrainSelectedInstOperands,
     /* 177970 */   // GIR_Coverage, 11533,
     /* 177970 */   GIR_Done,
     /* 177971 */ // Label 3945: @177971
     /* 177971 */ GIM_Reject,
     /* 177972 */ // Label 3919: @177972
     /* 177972 */ GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(178031), // Rule ID 10934 //
     /* 177977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 177980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 177983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 177987 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 177991 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 177995 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 177998 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178002 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178006 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178008 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178015 */   // (uint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 178015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PDZ256rm),
     /* 178018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178020 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178024 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178029 */   GIR_RootConstrainSelectedInstOperands,
     /* 178030 */   // GIR_Coverage, 10934,
     /* 178030 */   GIR_EraseRootFromParent_Done,
     /* 178031 */ // Label 3946: @178031
     /* 178031 */ GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(178090), // Rule ID 11429 //
     /* 178036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 178039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 178042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178046 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178050 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178054 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178057 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178061 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178065 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178067 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178074 */   // (uint_to_fp:{ *:[v4f64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PDZ256rm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 178074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZ256rm),
     /* 178077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178079 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178083 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178088 */   GIR_RootConstrainSelectedInstOperands,
     /* 178089 */   // GIR_Coverage, 11429,
     /* 178089 */   GIR_EraseRootFromParent_Done,
     /* 178090 */ // Label 3947: @178090
     /* 178090 */ GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(178116), // Rule ID 10930 //
     /* 178095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 178098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 178101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178109 */   // (uint_to_fp:{ *:[v4f64] } VR128X:{ *:[v4i32] }:$src)  =>  (VCVTUDQ2PDZ256rr:{ *:[v4f64] } VR128X:{ *:[v4i32] }:$src)
     /* 178109 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PDZ256rr),
     /* 178114 */   GIR_RootConstrainSelectedInstOperands,
     /* 178115 */   // GIR_Coverage, 10930,
     /* 178115 */   GIR_Done,
     /* 178116 */ // Label 3948: @178116
     /* 178116 */ GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(178146), // Rule ID 11425 //
     /* 178121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI_HasVLX),
     /* 178124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 178127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178135 */   // (uint_to_fp:{ *:[v4f64] } VR256X:{ *:[v4i64] }:$src)  =>  (VCVTUQQ2PDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4i64] }:$src)
     /* 178135 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZ256rr),
     /* 178140 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178144 */   GIR_RootConstrainSelectedInstOperands,
     /* 178145 */   // GIR_Coverage, 11425,
     /* 178145 */   GIR_Done,
     /* 178146 */ // Label 3949: @178146
     /* 178146 */ GIM_Reject,
     /* 178147 */ // Label 3920: @178147
     /* 178147 */ GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(178206), // Rule ID 11483 //
     /* 178152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 178158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178162 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178166 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178170 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178173 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178177 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178181 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178183 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178190 */   // (uint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PHZ256rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 178190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PHZ256rm),
     /* 178193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178195 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178199 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178204 */   GIR_RootConstrainSelectedInstOperands,
     /* 178205 */   // GIR_Coverage, 11483,
     /* 178205 */   GIR_EraseRootFromParent_Done,
     /* 178206 */ // Label 3950: @178206
     /* 178206 */ GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(178265), // Rule ID 14675 //
     /* 178211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 178217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178221 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178225 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178229 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178232 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178236 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178240 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178242 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178249 */   // (uint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUW2PHZ128rm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 178249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZ128rm),
     /* 178252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178254 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178258 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178263 */   GIR_RootConstrainSelectedInstOperands,
     /* 178264 */   // GIR_Coverage, 14675,
     /* 178264 */   GIR_EraseRootFromParent_Done,
     /* 178265 */ // Label 3951: @178265
     /* 178265 */ GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(178324), // Rule ID 15137 //
     /* 178270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 178273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 178276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178280 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178284 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178288 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178291 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178295 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178299 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178301 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178308 */   // (uint_to_fp:{ *:[v8f16] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PHZrm:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 178308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PHZrm),
     /* 178311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178313 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178317 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178322 */   GIR_RootConstrainSelectedInstOperands,
     /* 178323 */   // GIR_Coverage, 15137,
     /* 178323 */   GIR_EraseRootFromParent_Done,
     /* 178324 */ // Label 3952: @178324
     /* 178324 */ GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(178354), // Rule ID 11479 //
     /* 178329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 178335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178343 */   // (uint_to_fp:{ *:[v8f16] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTUDQ2PHZ256rr:{ *:[v8f16] } VR256X:{ *:[v8i32] }:$src)
     /* 178343 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PHZ256rr),
     /* 178348 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178352 */   GIR_RootConstrainSelectedInstOperands,
     /* 178353 */   // GIR_Coverage, 11479,
     /* 178353 */   GIR_Done,
     /* 178354 */ // Label 3953: @178354
     /* 178354 */ GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(178384), // Rule ID 14671 //
     /* 178359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 178365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178373 */   // (uint_to_fp:{ *:[v8f16] } VR128X:{ *:[v8i16] }:$src)  =>  (VCVTUW2PHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8i16] }:$src)
     /* 178373 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZ128rr),
     /* 178378 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178382 */   GIR_RootConstrainSelectedInstOperands,
     /* 178383 */   // GIR_Coverage, 14671,
     /* 178383 */   GIR_Done,
     /* 178384 */ // Label 3954: @178384
     /* 178384 */ GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(178414), // Rule ID 15133 //
     /* 178389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 178392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 178395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 178399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178403 */   // (uint_to_fp:{ *:[v8f16] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTUQQ2PHZrr:{ *:[v8f16] } VR512:{ *:[v8i64] }:$src)
     /* 178403 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PHZrr),
     /* 178408 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178412 */   GIR_RootConstrainSelectedInstOperands,
     /* 178413 */   // GIR_Coverage, 15133,
     /* 178413 */   GIR_Done,
     /* 178414 */ // Label 3955: @178414
     /* 178414 */ GIM_Reject,
     /* 178415 */ // Label 3921: @178415
     /* 178415 */ GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(178474), // Rule ID 10973 //
     /* 178420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 178423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 178426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178430 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178434 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178438 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178441 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178445 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178449 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178451 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178458 */   // (uint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PSZ256rm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 178458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZ256rm),
     /* 178461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178463 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178467 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178472 */   GIR_RootConstrainSelectedInstOperands,
     /* 178473 */   // GIR_Coverage, 10973,
     /* 178473 */   GIR_EraseRootFromParent_Done,
     /* 178474 */ // Label 3956: @178474
     /* 178474 */ GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(178533), // Rule ID 11522 //
     /* 178479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 178482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 178485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178489 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178493 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178497 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178500 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178504 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178508 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178510 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178517 */   // (uint_to_fp:{ *:[v8f32] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PSZrm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 178517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PSZrm),
     /* 178520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178522 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178526 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178531 */   GIR_RootConstrainSelectedInstOperands,
     /* 178532 */   // GIR_Coverage, 11522,
     /* 178532 */   GIR_EraseRootFromParent_Done,
     /* 178533 */ // Label 3957: @178533
     /* 178533 */ GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(178563), // Rule ID 10969 //
     /* 178538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 178541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 178544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178552 */   // (uint_to_fp:{ *:[v8f32] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTUDQ2PSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8i32] }:$src)
     /* 178552 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZ256rr),
     /* 178557 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178561 */   GIR_RootConstrainSelectedInstOperands,
     /* 178562 */   // GIR_Coverage, 10969,
     /* 178562 */   GIR_Done,
     /* 178563 */ // Label 3958: @178563
     /* 178563 */ GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(178593), // Rule ID 11518 //
     /* 178568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 178571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 178574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178582 */   // (uint_to_fp:{ *:[v8f32] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTUQQ2PSZrr:{ *:[v8f32] } VR512:{ *:[v8i64] }:$src)
     /* 178582 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PSZrr),
     /* 178587 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178591 */   GIR_RootConstrainSelectedInstOperands,
     /* 178592 */   // GIR_Coverage, 11518,
     /* 178592 */   GIR_Done,
     /* 178593 */ // Label 3959: @178593
     /* 178593 */ GIM_Reject,
     /* 178594 */ // Label 3922: @178594
     /* 178594 */ GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(178653), // Rule ID 10910 //
     /* 178599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 178602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 178605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178609 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178613 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178617 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178620 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178624 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178628 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178630 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178637 */   // (uint_to_fp:{ *:[v8f64] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 178637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PDZrm),
     /* 178640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178642 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178646 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178651 */   GIR_RootConstrainSelectedInstOperands,
     /* 178652 */   // GIR_Coverage, 10910,
     /* 178652 */   GIR_EraseRootFromParent_Done,
     /* 178653 */ // Label 3960: @178653
     /* 178653 */ GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(178712), // Rule ID 11402 //
     /* 178658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 178661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 178664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178668 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178672 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178676 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178679 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178683 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178687 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178689 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178696 */   // (uint_to_fp:{ *:[v8f64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUQQ2PDZrm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 178696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZrm),
     /* 178699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178701 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178705 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178710 */   GIR_RootConstrainSelectedInstOperands,
     /* 178711 */   // GIR_Coverage, 11402,
     /* 178711 */   GIR_EraseRootFromParent_Done,
     /* 178712 */ // Label 3961: @178712
     /* 178712 */ GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(178738), // Rule ID 10906 //
     /* 178717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 178720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 178723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178731 */   // (uint_to_fp:{ *:[v8f64] } VR256X:{ *:[v8i32] }:$src)  =>  (VCVTUDQ2PDZrr:{ *:[v8f64] } VR256X:{ *:[v8i32] }:$src)
     /* 178731 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PDZrr),
     /* 178736 */   GIR_RootConstrainSelectedInstOperands,
     /* 178737 */   // GIR_Coverage, 10906,
     /* 178737 */   GIR_Done,
     /* 178738 */ // Label 3962: @178738
     /* 178738 */ GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(178768), // Rule ID 11398 //
     /* 178743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDQI),
     /* 178746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 178749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178757 */   // (uint_to_fp:{ *:[v8f64] } VR512:{ *:[v8i64] }:$src)  =>  (VCVTUQQ2PDZrr:{ *:[v8f64] } VR512:{ *:[v8i64] }:$src)
     /* 178757 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUQQ2PDZrr),
     /* 178762 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178766 */   GIR_RootConstrainSelectedInstOperands,
     /* 178767 */   // GIR_Coverage, 11398,
     /* 178767 */   GIR_Done,
     /* 178768 */ // Label 3963: @178768
     /* 178768 */ GIM_Reject,
     /* 178769 */ // Label 3923: @178769
     /* 178769 */ GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(178828), // Rule ID 11468 //
     /* 178774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 178777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 178780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178784 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178788 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178792 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178795 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178799 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178803 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178805 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178812 */   // (uint_to_fp:{ *:[v16f16] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PHZrm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 178812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PHZrm),
     /* 178815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178817 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178821 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178826 */   GIR_RootConstrainSelectedInstOperands,
     /* 178827 */   // GIR_Coverage, 11468,
     /* 178827 */   GIR_EraseRootFromParent_Done,
     /* 178828 */ // Label 3964: @178828
     /* 178828 */ GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(178887), // Rule ID 14687 //
     /* 178833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 178839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178843 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178847 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178851 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178854 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178858 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178862 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178864 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178871 */   // (uint_to_fp:{ *:[v16f16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUW2PHZ256rm:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 178871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZ256rm),
     /* 178874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178876 */   GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 178880 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 178885 */   GIR_RootConstrainSelectedInstOperands,
     /* 178886 */   // GIR_Coverage, 14687,
     /* 178886 */   GIR_EraseRootFromParent_Done,
     /* 178887 */ // Label 3965: @178887
     /* 178887 */ GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(178917), // Rule ID 11464 //
     /* 178892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 178895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 178898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178906 */   // (uint_to_fp:{ *:[v16f16] } VR512:{ *:[v16i32] }:$src)  =>  (VCVTUDQ2PHZrr:{ *:[v16f16] } VR512:{ *:[v16i32] }:$src)
     /* 178906 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PHZrr),
     /* 178911 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178915 */   GIR_RootConstrainSelectedInstOperands,
     /* 178916 */   // GIR_Coverage, 11464,
     /* 178916 */   GIR_Done,
     /* 178917 */ // Label 3966: @178917
     /* 178917 */ GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(178947), // Rule ID 14683 //
     /* 178922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 178925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 178928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 178936 */   // (uint_to_fp:{ *:[v16f16] } VR256X:{ *:[v16i16] }:$src)  =>  (VCVTUW2PHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16i16] }:$src)
     /* 178936 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZ256rr),
     /* 178941 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 178945 */   GIR_RootConstrainSelectedInstOperands,
     /* 178946 */   // GIR_Coverage, 14683,
     /* 178946 */   GIR_Done,
     /* 178947 */ // Label 3967: @178947
     /* 178947 */ GIM_Reject,
     /* 178948 */ // Label 3924: @178948
     /* 178948 */ GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(179036),
     /* 178953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 178956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 178960 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(179012), // Rule ID 10946 //
     /* 178965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 178968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 178972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 178976 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 178979 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 178983 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 178987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 178989 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 178996 */     // (uint_to_fp:{ *:[v16f32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUDQ2PSZrm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /* 178996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZrm),
     /* 178999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179001 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 179005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179010 */     GIR_RootConstrainSelectedInstOperands,
     /* 179011 */     // GIR_Coverage, 10946,
     /* 179011 */     GIR_EraseRootFromParent_Done,
     /* 179012 */   // Label 3969: @179012
     /* 179012 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(179035), // Rule ID 10942 //
     /* 179017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 179020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179024 */     // (uint_to_fp:{ *:[v16f32] } VR512:{ *:[v16i32] }:$src)  =>  (VCVTUDQ2PSZrr:{ *:[v16f32] } VR512:{ *:[v16i32] }:$src)
     /* 179024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUDQ2PSZrr),
     /* 179029 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 179033 */     GIR_RootConstrainSelectedInstOperands,
     /* 179034 */     // GIR_Coverage, 10942,
     /* 179034 */     GIR_Done,
     /* 179035 */   // Label 3970: @179035
     /* 179035 */   GIM_Reject,
     /* 179036 */ // Label 3968: @179036
     /* 179036 */ GIM_Reject,
     /* 179037 */ // Label 3925: @179037
     /* 179037 */ GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(179125),
     /* 179042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 179045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179049 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(179101), // Rule ID 14660 //
     /* 179054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 179057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179065 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179068 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179072 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179078 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179085 */     // (uint_to_fp:{ *:[v32f16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VCVTUW2PHZrm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /* 179085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZrm),
     /* 179088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179090 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 179094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179099 */     GIR_RootConstrainSelectedInstOperands,
     /* 179100 */     // GIR_Coverage, 14660,
     /* 179100 */     GIR_EraseRootFromParent_Done,
     /* 179101 */   // Label 3972: @179101
     /* 179101 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(179124), // Rule ID 14656 //
     /* 179106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 179109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 179113 */     // (uint_to_fp:{ *:[v32f16] } VR512:{ *:[v32i16] }:$src)  =>  (VCVTUW2PHZrr:{ *:[v32f16] } VR512:{ *:[v32i16] }:$src)
     /* 179113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VCVTUW2PHZrr),
     /* 179118 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 179122 */     GIR_RootConstrainSelectedInstOperands,
     /* 179123 */     // GIR_Coverage, 14656,
     /* 179123 */     GIR_Done,
     /* 179124 */   // Label 3973: @179124
     /* 179124 */   GIM_Reject,
     /* 179125 */ // Label 3971: @179125
     /* 179125 */ GIM_Reject,
     /* 179126 */ // Label 3926: @179126
     /* 179126 */ GIM_Reject,
     /* 179127 */ // Label 53: @179127
     /* 179127 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(6), /*)*//*default:*//*Label 3977*/ GIMT_Encode4(179249),
     /* 179138 */ /*GILLT_s32*//*Label 3974*/ GIMT_Encode4(179150),
     /* 179142 */ /*GILLT_s64*//*Label 3975*/ GIMT_Encode4(179183),
     /* 179146 */ /*GILLT_s80*//*Label 3976*/ GIMT_Encode4(179216),
     /* 179150 */ // Label 3974: @179150
     /* 179150 */ GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(179182), // Rule ID 1044 //
     /* 179155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 179158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 179161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 179165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 179169 */   // (fabs:{ *:[f32] } RFP32:{ *:[f32] }:$src)  =>  (ABS_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src)
     /* 179169 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ABS_Fp32),
     /* 179174 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 179180 */   GIR_RootConstrainSelectedInstOperands,
     /* 179181 */   // GIR_Coverage, 1044,
     /* 179181 */   GIR_Done,
     /* 179182 */ // Label 3978: @179182
     /* 179182 */ GIM_Reject,
     /* 179183 */ // Label 3975: @179183
     /* 179183 */ GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(179215), // Rule ID 1045 //
     /* 179188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 179191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 179194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 179198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 179202 */   // (fabs:{ *:[f64] } RFP64:{ *:[f64] }:$src)  =>  (ABS_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src)
     /* 179202 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ABS_Fp64),
     /* 179207 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 179213 */   GIR_RootConstrainSelectedInstOperands,
     /* 179214 */   // GIR_Coverage, 1045,
     /* 179214 */   GIR_Done,
     /* 179215 */ // Label 3979: @179215
     /* 179215 */ GIM_Reject,
     /* 179216 */ // Label 3976: @179216
     /* 179216 */ GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(179248), // Rule ID 1046 //
     /* 179221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 179224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 179227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 179231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 179235 */   // (fabs:{ *:[f80] } RFP80:{ *:[f80] }:$src)  =>  (ABS_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src)
     /* 179235 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ABS_Fp80),
     /* 179240 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 179246 */   GIR_RootConstrainSelectedInstOperands,
     /* 179247 */   // GIR_Coverage, 1046,
     /* 179247 */   GIR_Done,
     /* 179248 */ // Label 3980: @179248
     /* 179248 */ GIM_Reject,
     /* 179249 */ // Label 3977: @179249
     /* 179249 */ GIM_Reject,
     /* 179250 */ // Label 54: @179250
     /* 179250 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 3993*/ GIMT_Encode4(182570),
     /* 179261 */ /*GILLT_v2s64*//*Label 3981*/ GIMT_Encode4(179329), GIMT_Encode4(0),
     /* 179269 */ /*GILLT_v4s32*//*Label 3982*/ GIMT_Encode4(179658),
     /* 179273 */ /*GILLT_v4s64*//*Label 3983*/ GIMT_Encode4(180000), GIMT_Encode4(0),
     /* 179281 */ /*GILLT_v8s16*//*Label 3984*/ GIMT_Encode4(180317),
     /* 179285 */ /*GILLT_v8s32*//*Label 3985*/ GIMT_Encode4(180659),
     /* 179289 */ /*GILLT_v8s64*//*Label 3986*/ GIMT_Encode4(180974), GIMT_Encode4(0),
     /* 179297 */ /*GILLT_v16s8*//*Label 3987*/ GIMT_Encode4(181130),
     /* 179301 */ /*GILLT_v16s16*//*Label 3988*/ GIMT_Encode4(181472),
     /* 179305 */ /*GILLT_v16s32*//*Label 3989*/ GIMT_Encode4(181787), GIMT_Encode4(0),
     /* 179313 */ /*GILLT_v32s8*//*Label 3990*/ GIMT_Encode4(181943),
     /* 179317 */ /*GILLT_v32s16*//*Label 3991*/ GIMT_Encode4(182258), GIMT_Encode4(0),
     /* 179325 */ /*GILLT_v64s8*//*Label 3992*/ GIMT_Encode4(182414),
     /* 179329 */ // Label 3981: @179329
     /* 179329 */ GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(179657),
     /* 179334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 179337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179340 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(179402), // Rule ID 24074 //
     /* 179345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 179348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179360 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179363 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179367 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179384 */     // (smin:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMINSQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 179384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ128rm),
     /* 179387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179389 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 179391 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 179395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179400 */     GIR_RootConstrainSelectedInstOperands,
     /* 179401 */     // GIR_Coverage, 24074,
     /* 179401 */     GIR_EraseRootFromParent_Done,
     /* 179402 */   // Label 3995: @179402
     /* 179402 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(179464), // Rule ID 5589 //
     /* 179407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 179410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 179422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179426 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179429 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179433 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179439 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179446 */     // (smin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 179446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ128rm),
     /* 179449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 179453 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 179457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179462 */     GIR_RootConstrainSelectedInstOperands,
     /* 179463 */     // GIR_Coverage, 5589,
     /* 179463 */     GIR_EraseRootFromParent_Done,
     /* 179464 */   // Label 3996: @179464
     /* 179464 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(179491), // Rule ID 5586 //
     /* 179469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 179472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179484 */     // (smin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMINSQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 179484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ128rr),
     /* 179489 */     GIR_RootConstrainSelectedInstOperands,
     /* 179490 */     // GIR_Coverage, 5586,
     /* 179490 */     GIR_Done,
     /* 179491 */   // Label 3997: @179491
     /* 179491 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(179656), // Rule ID 20013 //
     /* 179496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 179499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 179503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179511 */     // (smin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMINSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 179511 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 179514 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 179518 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 179525 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 179528 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 179532 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179537 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 179540 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 179544 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 179547 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 179552 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 179557 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 179562 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 179565 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 179569 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 179576 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 179579 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 179583 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179588 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 179591 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 179595 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 179598 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 179603 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 179608 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 179613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 179616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrr),
     /* 179620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 179625 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 179628 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 179631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 179633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 179636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179638 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 179645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 179650 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 179655 */     // GIR_Coverage, 20013,
     /* 179655 */     GIR_EraseRootFromParent_Done,
     /* 179656 */   // Label 3998: @179656
     /* 179656 */   GIM_Reject,
     /* 179657 */ // Label 3994: @179657
     /* 179657 */ GIM_Reject,
     /* 179658 */ // Label 3982: @179658
     /* 179658 */ GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(179999),
     /* 179663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 179666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179669 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(179731), // Rule ID 23498 //
     /* 179674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 179677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179689 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179692 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179696 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179706 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179713 */     // (smin:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMINSDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 179713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDrm),
     /* 179716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179718 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 179720 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 179724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179729 */     GIR_RootConstrainSelectedInstOperands,
     /* 179730 */     // GIR_Coverage, 23498,
     /* 179730 */     GIR_EraseRootFromParent_Done,
     /* 179731 */   // Label 4000: @179731
     /* 179731 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(179793), // Rule ID 24056 //
     /* 179736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 179739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 179747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179751 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179754 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179758 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179775 */     // (smin:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMINSDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 179775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ128rm),
     /* 179778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179780 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 179782 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 179786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179791 */     GIR_RootConstrainSelectedInstOperands,
     /* 179792 */     // GIR_Coverage, 24056,
     /* 179792 */     GIR_EraseRootFromParent_Done,
     /* 179793 */   // Label 4001: @179793
     /* 179793 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(179855), // Rule ID 3185 //
     /* 179798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 179801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 179813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179817 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179820 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179824 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179830 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179837 */     // (smin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 179837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDrm),
     /* 179840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179842 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 179844 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 179848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179853 */     GIR_RootConstrainSelectedInstOperands,
     /* 179854 */     // GIR_Coverage, 3185,
     /* 179854 */     GIR_EraseRootFromParent_Done,
     /* 179855 */   // Label 4002: @179855
     /* 179855 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(179917), // Rule ID 5562 //
     /* 179860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 179863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 179875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 179879 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 179882 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 179886 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 179890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 179892 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 179899 */     // (smin:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 179899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ128rm),
     /* 179902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179904 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 179906 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 179910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 179915 */     GIR_RootConstrainSelectedInstOperands,
     /* 179916 */     // GIR_Coverage, 5562,
     /* 179916 */     GIR_EraseRootFromParent_Done,
     /* 179917 */   // Label 4003: @179917
     /* 179917 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(179944), // Rule ID 3184 //
     /* 179922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 179925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179937 */     // (smin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMINSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 179937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDrr),
     /* 179942 */     GIR_RootConstrainSelectedInstOperands,
     /* 179943 */     // GIR_Coverage, 3184,
     /* 179943 */     GIR_Done,
     /* 179944 */   // Label 4004: @179944
     /* 179944 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(179971), // Rule ID 3222 //
     /* 179949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 179952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 179964 */     // (smin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMINSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 179964 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINSDrr),
     /* 179969 */     GIR_RootConstrainSelectedInstOperands,
     /* 179970 */     // GIR_Coverage, 3222,
     /* 179970 */     GIR_Done,
     /* 179971 */   // Label 4005: @179971
     /* 179971 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(179998), // Rule ID 5559 //
     /* 179976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 179979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 179991 */     // (smin:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMINSDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 179991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ128rr),
     /* 179996 */     GIR_RootConstrainSelectedInstOperands,
     /* 179997 */     // GIR_Coverage, 5559,
     /* 179997 */     GIR_Done,
     /* 179998 */   // Label 4006: @179998
     /* 179998 */   GIM_Reject,
     /* 179999 */ // Label 3999: @179999
     /* 179999 */ GIM_Reject,
     /* 180000 */ // Label 3983: @180000
     /* 180000 */ GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(180316),
     /* 180005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 180008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 180011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180015 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(180073), // Rule ID 24068 //
     /* 180020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180031 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180034 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180038 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180048 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180055 */     // (smin:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMINSQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ256rm),
     /* 180058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180060 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180062 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180071 */     GIR_RootConstrainSelectedInstOperands,
     /* 180072 */     // GIR_Coverage, 24068,
     /* 180072 */     GIR_EraseRootFromParent_Done,
     /* 180073 */   // Label 4008: @180073
     /* 180073 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(180131), // Rule ID 5580 //
     /* 180078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 180089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180093 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180096 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180100 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180106 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180113 */     // (smin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ256rm),
     /* 180116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180118 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 180120 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180129 */     GIR_RootConstrainSelectedInstOperands,
     /* 180130 */     // GIR_Coverage, 5580,
     /* 180130 */     GIR_EraseRootFromParent_Done,
     /* 180131 */   // Label 4009: @180131
     /* 180131 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(180154), // Rule ID 5577 //
     /* 180136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180147 */     // (smin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMINSQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 180147 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSQZ256rr),
     /* 180152 */     GIR_RootConstrainSelectedInstOperands,
     /* 180153 */     // GIR_Coverage, 5577,
     /* 180153 */     GIR_Done,
     /* 180154 */   // Label 4010: @180154
     /* 180154 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(180315), // Rule ID 20011 //
     /* 180159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 180162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180170 */     // (smin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMINSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 180170 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 180173 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 180177 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 180184 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 180187 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 180191 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180196 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 180199 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 180203 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 180206 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 180211 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 180216 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 180221 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 180224 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 180228 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 180235 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 180238 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 180242 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180247 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 180250 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 180254 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 180257 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 180262 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 180267 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 180272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 180275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrr),
     /* 180279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 180284 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 180287 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 180290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 180292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 180295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180297 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 180304 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 180309 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 180314 */     // GIR_Coverage, 20011,
     /* 180314 */     GIR_EraseRootFromParent_Done,
     /* 180315 */   // Label 4011: @180315
     /* 180315 */   GIM_Reject,
     /* 180316 */ // Label 4007: @180316
     /* 180316 */ GIM_Reject,
     /* 180317 */ // Label 3984: @180317
     /* 180317 */ GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(180658),
     /* 180322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 180325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180328 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(180390), // Rule ID 23462 //
     /* 180333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 180336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180348 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180351 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180355 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180365 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180372 */     // (smin:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMINSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWrm),
     /* 180375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180377 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180379 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180388 */     GIR_RootConstrainSelectedInstOperands,
     /* 180389 */     // GIR_Coverage, 23462,
     /* 180389 */     GIR_EraseRootFromParent_Done,
     /* 180390 */   // Label 4013: @180390
     /* 180390 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(180452), // Rule ID 24041 //
     /* 180395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 180398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180410 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180413 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180417 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180427 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180434 */     // (smin:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMINSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ128rm),
     /* 180437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180439 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180441 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180450 */     GIR_RootConstrainSelectedInstOperands,
     /* 180451 */     // GIR_Coverage, 24041,
     /* 180451 */     GIR_EraseRootFromParent_Done,
     /* 180452 */   // Label 4014: @180452
     /* 180452 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(180514), // Rule ID 2642 //
     /* 180457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 180460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 180472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180476 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180479 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180483 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180489 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180496 */     // (smin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWrm),
     /* 180499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180501 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 180503 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180512 */     GIR_RootConstrainSelectedInstOperands,
     /* 180513 */     // GIR_Coverage, 2642,
     /* 180513 */     GIR_EraseRootFromParent_Done,
     /* 180514 */   // Label 4015: @180514
     /* 180514 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(180576), // Rule ID 5538 //
     /* 180519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 180522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 180534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180538 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180541 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180545 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180558 */     // (smin:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ128rm),
     /* 180561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180563 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 180565 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180569 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180574 */     GIR_RootConstrainSelectedInstOperands,
     /* 180575 */     // GIR_Coverage, 5538,
     /* 180575 */     GIR_EraseRootFromParent_Done,
     /* 180576 */   // Label 4016: @180576
     /* 180576 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(180603), // Rule ID 2641 //
     /* 180581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 180584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180596 */     // (smin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMINSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 180596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWrr),
     /* 180601 */     GIR_RootConstrainSelectedInstOperands,
     /* 180602 */     // GIR_Coverage, 2641,
     /* 180602 */     GIR_Done,
     /* 180603 */   // Label 4017: @180603
     /* 180603 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(180630), // Rule ID 2643 //
     /* 180608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 180611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 180623 */     // (smin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMINSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 180623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINSWrr),
     /* 180628 */     GIR_RootConstrainSelectedInstOperands,
     /* 180629 */     // GIR_Coverage, 2643,
     /* 180629 */     GIR_Done,
     /* 180630 */   // Label 4018: @180630
     /* 180630 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(180657), // Rule ID 5535 //
     /* 180635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 180638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 180650 */     // (smin:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMINSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 180650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ128rr),
     /* 180655 */     GIR_RootConstrainSelectedInstOperands,
     /* 180656 */     // GIR_Coverage, 5535,
     /* 180656 */     GIR_Done,
     /* 180657 */   // Label 4019: @180657
     /* 180657 */   GIM_Reject,
     /* 180658 */ // Label 4012: @180658
     /* 180658 */ GIM_Reject,
     /* 180659 */ // Label 3985: @180659
     /* 180659 */ GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(180973),
     /* 180664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 180667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 180670 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(180732), // Rule ID 23507 //
     /* 180675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 180678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 180682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180690 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180693 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180697 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 180705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180707 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180714 */     // (smin:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMINSDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDYrm),
     /* 180717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180719 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180721 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180725 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180730 */     GIR_RootConstrainSelectedInstOperands,
     /* 180731 */     // GIR_Coverage, 23507,
     /* 180731 */     GIR_EraseRootFromParent_Done,
     /* 180732 */   // Label 4021: @180732
     /* 180732 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(180794), // Rule ID 24050 //
     /* 180737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 180748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180752 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180755 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180759 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180769 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180776 */     // (smin:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMINSDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ256rm),
     /* 180779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180781 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 180783 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180787 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180792 */     GIR_RootConstrainSelectedInstOperands,
     /* 180793 */     // GIR_Coverage, 24050,
     /* 180793 */     GIR_EraseRootFromParent_Done,
     /* 180794 */   // Label 4022: @180794
     /* 180794 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(180856), // Rule ID 3203 //
     /* 180799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 180802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 180806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 180810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 180814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180818 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180821 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180825 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180831 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180838 */     // (smin:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDYrm),
     /* 180841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180843 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 180845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180854 */     GIR_RootConstrainSelectedInstOperands,
     /* 180855 */     // GIR_Coverage, 3203,
     /* 180855 */     GIR_EraseRootFromParent_Done,
     /* 180856 */   // Label 4023: @180856
     /* 180856 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(180918), // Rule ID 5553 //
     /* 180861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 180876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 180880 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 180883 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 180887 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 180891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 180893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 180900 */     // (smin:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 180900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ256rm),
     /* 180903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180905 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 180907 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 180911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 180916 */     GIR_RootConstrainSelectedInstOperands,
     /* 180917 */     // GIR_Coverage, 5553,
     /* 180917 */     GIR_EraseRootFromParent_Done,
     /* 180918 */   // Label 4024: @180918
     /* 180918 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(180945), // Rule ID 3202 //
     /* 180923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 180926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 180930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 180934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 180938 */     // (smin:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMINSDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 180938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDYrr),
     /* 180943 */     GIR_RootConstrainSelectedInstOperands,
     /* 180944 */     // GIR_Coverage, 3202,
     /* 180944 */     GIR_Done,
     /* 180945 */   // Label 4025: @180945
     /* 180945 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(180972), // Rule ID 5550 //
     /* 180950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 180953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 180965 */     // (smin:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMINSDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 180965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDZ256rr),
     /* 180970 */     GIR_RootConstrainSelectedInstOperands,
     /* 180971 */     // GIR_Coverage, 5550,
     /* 180971 */     GIR_Done,
     /* 180972 */   // Label 4026: @180972
     /* 180972 */   GIM_Reject,
     /* 180973 */ // Label 4020: @180973
     /* 180973 */ GIM_Reject,
     /* 180974 */ // Label 3986: @180974
     /* 180974 */ GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(181129),
     /* 180979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 180982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 180985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 180989 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(181047), // Rule ID 24062 //
     /* 180994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 180997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181005 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181008 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181012 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181022 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181029 */     // (smin:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMINSQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrm),
     /* 181032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181034 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181036 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181045 */     GIR_RootConstrainSelectedInstOperands,
     /* 181046 */     // GIR_Coverage, 24062,
     /* 181046 */     GIR_EraseRootFromParent_Done,
     /* 181047 */   // Label 4028: @181047
     /* 181047 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(181105), // Rule ID 5571 //
     /* 181052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 181055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181067 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181070 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181074 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181080 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181087 */     // (smin:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrm),
     /* 181090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181092 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181094 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181103 */     GIR_RootConstrainSelectedInstOperands,
     /* 181104 */     // GIR_Coverage, 5571,
     /* 181104 */     GIR_EraseRootFromParent_Done,
     /* 181105 */   // Label 4029: @181105
     /* 181105 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(181128), // Rule ID 5568 //
     /* 181110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 181113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181121 */     // (smin:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMINSQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 181121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSQZrr),
     /* 181126 */     GIR_RootConstrainSelectedInstOperands,
     /* 181127 */     // GIR_Coverage, 5568,
     /* 181127 */     GIR_Done,
     /* 181128 */   // Label 4030: @181128
     /* 181128 */   GIM_Reject,
     /* 181129 */ // Label 4027: @181129
     /* 181129 */ GIM_Reject,
     /* 181130 */ // Label 3987: @181130
     /* 181130 */ GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(181471),
     /* 181135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 181138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 181141 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(181203), // Rule ID 23503 //
     /* 181146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 181149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181161 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181164 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181168 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181178 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181185 */     // (smin:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPMINSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBrm),
     /* 181188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181190 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181192 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181201 */     GIR_RootConstrainSelectedInstOperands,
     /* 181202 */     // GIR_Coverage, 23503,
     /* 181202 */     GIR_EraseRootFromParent_Done,
     /* 181203 */   // Label 4032: @181203
     /* 181203 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(181265), // Rule ID 24032 //
     /* 181208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181223 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181226 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181230 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181240 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181247 */     // (smin:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPMINSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ128rm),
     /* 181250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181252 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181254 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181263 */     GIR_RootConstrainSelectedInstOperands,
     /* 181264 */     // GIR_Coverage, 24032,
     /* 181264 */     GIR_EraseRootFromParent_Done,
     /* 181265 */   // Label 4033: @181265
     /* 181265 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(181327), // Rule ID 3195 //
     /* 181270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 181273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181289 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181292 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181296 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181302 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181309 */     // (smin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBrm),
     /* 181312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181314 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181316 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181325 */     GIR_RootConstrainSelectedInstOperands,
     /* 181326 */     // GIR_Coverage, 3195,
     /* 181326 */     GIR_EraseRootFromParent_Done,
     /* 181327 */   // Label 4034: @181327
     /* 181327 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(181389), // Rule ID 5520 //
     /* 181332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181351 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181354 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181358 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181364 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181371 */     // (smin:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ128rm),
     /* 181374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181376 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181378 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181387 */     GIR_RootConstrainSelectedInstOperands,
     /* 181388 */     // GIR_Coverage, 5520,
     /* 181388 */     GIR_EraseRootFromParent_Done,
     /* 181389 */   // Label 4035: @181389
     /* 181389 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(181416), // Rule ID 3194 //
     /* 181394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 181397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181409 */     // (smin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPMINSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 181409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBrr),
     /* 181414 */     GIR_RootConstrainSelectedInstOperands,
     /* 181415 */     // GIR_Coverage, 3194,
     /* 181415 */     GIR_Done,
     /* 181416 */   // Label 4036: @181416
     /* 181416 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(181443), // Rule ID 3220 //
     /* 181421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 181424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 181436 */     // (smin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PMINSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 181436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINSBrr),
     /* 181441 */     GIR_RootConstrainSelectedInstOperands,
     /* 181442 */     // GIR_Coverage, 3220,
     /* 181442 */     GIR_Done,
     /* 181443 */   // Label 4037: @181443
     /* 181443 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(181470), // Rule ID 5517 //
     /* 181448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 181463 */     // (smin:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPMINSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 181463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ128rr),
     /* 181468 */     GIR_RootConstrainSelectedInstOperands,
     /* 181469 */     // GIR_Coverage, 5517,
     /* 181469 */     GIR_Done,
     /* 181470 */   // Label 4038: @181470
     /* 181470 */   GIM_Reject,
     /* 181471 */ // Label 4031: @181471
     /* 181471 */ GIM_Reject,
     /* 181472 */ // Label 3988: @181472
     /* 181472 */ GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(181786),
     /* 181477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 181480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 181483 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(181545), // Rule ID 23464 //
     /* 181488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 181491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181503 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181506 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181510 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181520 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181527 */     // (smin:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMINSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWYrm),
     /* 181530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181532 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181534 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181543 */     GIR_RootConstrainSelectedInstOperands,
     /* 181544 */     // GIR_Coverage, 23464,
     /* 181544 */     GIR_EraseRootFromParent_Done,
     /* 181545 */   // Label 4040: @181545
     /* 181545 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(181607), // Rule ID 24038 //
     /* 181550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181565 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181568 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181572 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181582 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181589 */     // (smin:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMINSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ256rm),
     /* 181592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181594 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181596 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181605 */     GIR_RootConstrainSelectedInstOperands,
     /* 181606 */     // GIR_Coverage, 24038,
     /* 181606 */     GIR_EraseRootFromParent_Done,
     /* 181607 */   // Label 4041: @181607
     /* 181607 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(181669), // Rule ID 2646 //
     /* 181612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 181615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181631 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181634 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181638 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181651 */     // (smin:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWYrm),
     /* 181654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181656 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181658 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181667 */     GIR_RootConstrainSelectedInstOperands,
     /* 181668 */     // GIR_Coverage, 2646,
     /* 181668 */     GIR_EraseRootFromParent_Done,
     /* 181669 */   // Label 4042: @181669
     /* 181669 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(181731), // Rule ID 5532 //
     /* 181674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181693 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181696 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181700 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181706 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181713 */     // (smin:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ256rm),
     /* 181716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181718 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181720 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181729 */     GIR_RootConstrainSelectedInstOperands,
     /* 181730 */     // GIR_Coverage, 5532,
     /* 181730 */     GIR_EraseRootFromParent_Done,
     /* 181731 */   // Label 4043: @181731
     /* 181731 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(181758), // Rule ID 2645 //
     /* 181736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 181739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181751 */     // (smin:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMINSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 181751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWYrr),
     /* 181756 */     GIR_RootConstrainSelectedInstOperands,
     /* 181757 */     // GIR_Coverage, 2645,
     /* 181757 */     GIR_Done,
     /* 181758 */   // Label 4044: @181758
     /* 181758 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(181785), // Rule ID 5529 //
     /* 181763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 181766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 181778 */     // (smin:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMINSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 181778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWZ256rr),
     /* 181783 */     GIR_RootConstrainSelectedInstOperands,
     /* 181784 */     // GIR_Coverage, 5529,
     /* 181784 */     GIR_Done,
     /* 181785 */   // Label 4045: @181785
     /* 181785 */   GIM_Reject,
     /* 181786 */ // Label 4039: @181786
     /* 181786 */ GIM_Reject,
     /* 181787 */ // Label 3989: @181787
     /* 181787 */ GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(181942),
     /* 181792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 181795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 181798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181802 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(181860), // Rule ID 24044 //
     /* 181807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 181810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181818 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181821 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181825 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181835 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181842 */     // (smin:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMINSDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZrm),
     /* 181845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181847 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 181849 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181858 */     GIR_RootConstrainSelectedInstOperands,
     /* 181859 */     // GIR_Coverage, 24044,
     /* 181859 */     GIR_EraseRootFromParent_Done,
     /* 181860 */   // Label 4047: @181860
     /* 181860 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(181918), // Rule ID 5544 //
     /* 181865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 181868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 181876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181880 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181883 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181887 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181893 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181900 */     // (smin:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSDZrm),
     /* 181903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181905 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 181907 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 181911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 181916 */     GIR_RootConstrainSelectedInstOperands,
     /* 181917 */     // GIR_Coverage, 5544,
     /* 181917 */     GIR_EraseRootFromParent_Done,
     /* 181918 */   // Label 4048: @181918
     /* 181918 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(181941), // Rule ID 5541 //
     /* 181923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 181926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 181934 */     // (smin:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMINSDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 181934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSDZrr),
     /* 181939 */     GIR_RootConstrainSelectedInstOperands,
     /* 181940 */     // GIR_Coverage, 5541,
     /* 181940 */     GIR_Done,
     /* 181941 */   // Label 4049: @181941
     /* 181941 */   GIM_Reject,
     /* 181942 */ // Label 4046: @181942
     /* 181942 */ GIM_Reject,
     /* 181943 */ // Label 3990: @181943
     /* 181943 */ GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(182257),
     /* 181948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 181951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 181954 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(182016), // Rule ID 23512 //
     /* 181959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 181962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 181970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 181974 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 181977 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 181981 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 181985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 181989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 181991 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 181998 */     // (smin:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPMINSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 181998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBYrm),
     /* 182001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182003 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182005 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182014 */     GIR_RootConstrainSelectedInstOperands,
     /* 182015 */     // GIR_Coverage, 23512,
     /* 182015 */     GIR_EraseRootFromParent_Done,
     /* 182016 */   // Label 4051: @182016
     /* 182016 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(182078), // Rule ID 24029 //
     /* 182021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 182024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182036 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182039 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182043 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182060 */     // (smin:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPMINSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ256rm),
     /* 182063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182065 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182067 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182076 */     GIR_RootConstrainSelectedInstOperands,
     /* 182077 */     // GIR_Coverage, 24029,
     /* 182077 */     GIR_EraseRootFromParent_Done,
     /* 182078 */   // Label 4052: @182078
     /* 182078 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(182140), // Rule ID 3213 //
     /* 182083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 182086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182102 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182105 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182109 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182115 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182122 */     // (smin:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBYrm),
     /* 182125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182127 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182129 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182138 */     GIR_RootConstrainSelectedInstOperands,
     /* 182139 */     // GIR_Coverage, 3213,
     /* 182139 */     GIR_EraseRootFromParent_Done,
     /* 182140 */   // Label 4053: @182140
     /* 182140 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(182202), // Rule ID 5514 //
     /* 182145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 182148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182164 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182167 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182171 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182177 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182184 */     // (smin:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ256rm),
     /* 182187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182189 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182191 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182200 */     GIR_RootConstrainSelectedInstOperands,
     /* 182201 */     // GIR_Coverage, 5514,
     /* 182201 */     GIR_EraseRootFromParent_Done,
     /* 182202 */   // Label 4054: @182202
     /* 182202 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(182229), // Rule ID 3212 //
     /* 182207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 182210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 182222 */     // (smin:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPMINSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 182222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBYrr),
     /* 182227 */     GIR_RootConstrainSelectedInstOperands,
     /* 182228 */     // GIR_Coverage, 3212,
     /* 182228 */     GIR_Done,
     /* 182229 */   // Label 4055: @182229
     /* 182229 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(182256), // Rule ID 5511 //
     /* 182234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 182237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 182249 */     // (smin:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPMINSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 182249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBZ256rr),
     /* 182254 */     GIR_RootConstrainSelectedInstOperands,
     /* 182255 */     // GIR_Coverage, 5511,
     /* 182255 */     GIR_Done,
     /* 182256 */   // Label 4056: @182256
     /* 182256 */   GIM_Reject,
     /* 182257 */ // Label 4050: @182257
     /* 182257 */ GIM_Reject,
     /* 182258 */ // Label 3991: @182258
     /* 182258 */ GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(182413),
     /* 182263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 182266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 182269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182273 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(182331), // Rule ID 24035 //
     /* 182278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182289 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182292 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182296 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182306 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182313 */     // (smin:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMINSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZrm),
     /* 182316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182318 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182320 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182329 */     GIR_RootConstrainSelectedInstOperands,
     /* 182330 */     // GIR_Coverage, 24035,
     /* 182330 */     GIR_EraseRootFromParent_Done,
     /* 182331 */   // Label 4058: @182331
     /* 182331 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(182389), // Rule ID 5526 //
     /* 182336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182351 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182354 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182358 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182364 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182371 */     // (smin:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSWZrm),
     /* 182374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182376 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182378 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182387 */     GIR_RootConstrainSelectedInstOperands,
     /* 182388 */     // GIR_Coverage, 5526,
     /* 182388 */     GIR_EraseRootFromParent_Done,
     /* 182389 */   // Label 4059: @182389
     /* 182389 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(182412), // Rule ID 5523 //
     /* 182394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182405 */     // (smin:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMINSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 182405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSWZrr),
     /* 182410 */     GIR_RootConstrainSelectedInstOperands,
     /* 182411 */     // GIR_Coverage, 5523,
     /* 182411 */     GIR_Done,
     /* 182412 */   // Label 4060: @182412
     /* 182412 */   GIM_Reject,
     /* 182413 */ // Label 4057: @182413
     /* 182413 */ GIM_Reject,
     /* 182414 */ // Label 3992: @182414
     /* 182414 */ GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(182569),
     /* 182419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 182422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 182425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182429 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(182487), // Rule ID 24026 //
     /* 182434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182445 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182448 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182452 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182462 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182469 */     // (smin:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPMINSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZrm),
     /* 182472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182474 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182476 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182485 */     GIR_RootConstrainSelectedInstOperands,
     /* 182486 */     // GIR_Coverage, 24026,
     /* 182486 */     GIR_EraseRootFromParent_Done,
     /* 182487 */   // Label 4062: @182487
     /* 182487 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(182545), // Rule ID 5508 //
     /* 182492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182507 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182510 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182514 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182520 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182527 */     // (smin:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINSBZrm),
     /* 182530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182532 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182534 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182543 */     GIR_RootConstrainSelectedInstOperands,
     /* 182544 */     // GIR_Coverage, 5508,
     /* 182544 */     GIR_EraseRootFromParent_Done,
     /* 182545 */   // Label 4063: @182545
     /* 182545 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(182568), // Rule ID 5505 //
     /* 182550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 182553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 182561 */     // (smin:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPMINSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 182561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINSBZrr),
     /* 182566 */     GIR_RootConstrainSelectedInstOperands,
     /* 182567 */     // GIR_Coverage, 5505,
     /* 182567 */     GIR_Done,
     /* 182568 */   // Label 4064: @182568
     /* 182568 */   GIM_Reject,
     /* 182569 */ // Label 4061: @182569
     /* 182569 */ GIM_Reject,
     /* 182570 */ // Label 3993: @182570
     /* 182570 */ GIM_Reject,
     /* 182571 */ // Label 55: @182571
     /* 182571 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4077*/ GIMT_Encode4(185891),
     /* 182582 */ /*GILLT_v2s64*//*Label 4065*/ GIMT_Encode4(182650), GIMT_Encode4(0),
     /* 182590 */ /*GILLT_v4s32*//*Label 4066*/ GIMT_Encode4(182979),
     /* 182594 */ /*GILLT_v4s64*//*Label 4067*/ GIMT_Encode4(183321), GIMT_Encode4(0),
     /* 182602 */ /*GILLT_v8s16*//*Label 4068*/ GIMT_Encode4(183638),
     /* 182606 */ /*GILLT_v8s32*//*Label 4069*/ GIMT_Encode4(183980),
     /* 182610 */ /*GILLT_v8s64*//*Label 4070*/ GIMT_Encode4(184295), GIMT_Encode4(0),
     /* 182618 */ /*GILLT_v16s8*//*Label 4071*/ GIMT_Encode4(184451),
     /* 182622 */ /*GILLT_v16s16*//*Label 4072*/ GIMT_Encode4(184793),
     /* 182626 */ /*GILLT_v16s32*//*Label 4073*/ GIMT_Encode4(185108), GIMT_Encode4(0),
     /* 182634 */ /*GILLT_v32s8*//*Label 4074*/ GIMT_Encode4(185264),
     /* 182638 */ /*GILLT_v32s16*//*Label 4075*/ GIMT_Encode4(185579), GIMT_Encode4(0),
     /* 182646 */ /*GILLT_v64s8*//*Label 4076*/ GIMT_Encode4(185735),
     /* 182650 */ // Label 4065: @182650
     /* 182650 */ GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(182978),
     /* 182655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 182658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 182661 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(182723), // Rule ID 23966 //
     /* 182666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 182669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 182673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 182677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182681 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182684 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182688 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 182696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182705 */     // (smax:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMAXSQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ128rm),
     /* 182708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182710 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 182712 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182721 */     GIR_RootConstrainSelectedInstOperands,
     /* 182722 */     // GIR_Coverage, 23966,
     /* 182722 */     GIR_EraseRootFromParent_Done,
     /* 182723 */   // Label 4079: @182723
     /* 182723 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(182785), // Rule ID 5409 //
     /* 182728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 182731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 182735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 182739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 182743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 182747 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 182750 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 182754 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 182758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 182760 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 182767 */     // (smax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 182767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ128rm),
     /* 182770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182772 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 182774 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 182778 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 182783 */     GIR_RootConstrainSelectedInstOperands,
     /* 182784 */     // GIR_Coverage, 5409,
     /* 182784 */     GIR_EraseRootFromParent_Done,
     /* 182785 */   // Label 4080: @182785
     /* 182785 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(182812), // Rule ID 5406 //
     /* 182790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 182793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 182797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 182801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 182805 */     // (smax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMAXSQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 182805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ128rr),
     /* 182810 */     GIR_RootConstrainSelectedInstOperands,
     /* 182811 */     // GIR_Coverage, 5406,
     /* 182811 */     GIR_Done,
     /* 182812 */   // Label 4081: @182812
     /* 182812 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(182977), // Rule ID 20009 //
     /* 182817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 182820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 182824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 182828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 182832 */     // (smax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMAXSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 182832 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 182835 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 182839 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 182844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 182846 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 182849 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 182853 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 182858 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 182861 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 182865 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 182868 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 182873 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 182878 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 182883 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 182886 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 182890 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 182895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 182897 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 182900 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 182904 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 182909 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 182912 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 182916 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 182919 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 182924 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 182929 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 182934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 182937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrr),
     /* 182941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 182946 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 182949 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 182952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 182954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 182957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182959 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 182966 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 182971 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 182976 */     // GIR_Coverage, 20009,
     /* 182976 */     GIR_EraseRootFromParent_Done,
     /* 182977 */   // Label 4082: @182977
     /* 182977 */   GIM_Reject,
     /* 182978 */ // Label 4078: @182978
     /* 182978 */ GIM_Reject,
     /* 182979 */ // Label 4066: @182979
     /* 182979 */ GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(183320),
     /* 182984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 182987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 182990 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(183052), // Rule ID 23500 //
     /* 182995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 182998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 183006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183010 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183013 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183017 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183027 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183034 */     // (smax:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMAXSDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDrm),
     /* 183037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183039 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 183041 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183050 */     GIR_RootConstrainSelectedInstOperands,
     /* 183051 */     // GIR_Coverage, 23500,
     /* 183051 */     GIR_EraseRootFromParent_Done,
     /* 183052 */   // Label 4084: @183052
     /* 183052 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(183114), // Rule ID 23948 //
     /* 183057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 183068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183072 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183075 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183079 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183096 */     // (smax:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMAXSDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ128rm),
     /* 183099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183101 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 183103 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183112 */     GIR_RootConstrainSelectedInstOperands,
     /* 183113 */     // GIR_Coverage, 23948,
     /* 183113 */     GIR_EraseRootFromParent_Done,
     /* 183114 */   // Label 4085: @183114
     /* 183114 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(183176), // Rule ID 3189 //
     /* 183119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 183122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 183134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183138 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183141 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183145 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183151 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183158 */     // (smax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDrm),
     /* 183161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183163 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183165 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183174 */     GIR_RootConstrainSelectedInstOperands,
     /* 183175 */     // GIR_Coverage, 3189,
     /* 183175 */     GIR_EraseRootFromParent_Done,
     /* 183176 */   // Label 4086: @183176
     /* 183176 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(183238), // Rule ID 5382 //
     /* 183181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 183196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183200 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183203 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183207 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183220 */     // (smax:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ128rm),
     /* 183223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183225 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183227 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183236 */     GIR_RootConstrainSelectedInstOperands,
     /* 183237 */     // GIR_Coverage, 5382,
     /* 183237 */     GIR_EraseRootFromParent_Done,
     /* 183238 */   // Label 4087: @183238
     /* 183238 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(183265), // Rule ID 3188 //
     /* 183243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 183246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183258 */     // (smax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMAXSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 183258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDrr),
     /* 183263 */     GIR_RootConstrainSelectedInstOperands,
     /* 183264 */     // GIR_Coverage, 3188,
     /* 183264 */     GIR_Done,
     /* 183265 */   // Label 4088: @183265
     /* 183265 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(183292), // Rule ID 3230 //
     /* 183270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 183273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183285 */     // (smax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMAXSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 183285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXSDrr),
     /* 183290 */     GIR_RootConstrainSelectedInstOperands,
     /* 183291 */     // GIR_Coverage, 3230,
     /* 183291 */     GIR_Done,
     /* 183292 */   // Label 4089: @183292
     /* 183292 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(183319), // Rule ID 5379 //
     /* 183297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183312 */     // (smax:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMAXSDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 183312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ128rr),
     /* 183317 */     GIR_RootConstrainSelectedInstOperands,
     /* 183318 */     // GIR_Coverage, 5379,
     /* 183318 */     GIR_Done,
     /* 183319 */   // Label 4090: @183319
     /* 183319 */   GIM_Reject,
     /* 183320 */ // Label 4083: @183320
     /* 183320 */ GIM_Reject,
     /* 183321 */ // Label 4067: @183321
     /* 183321 */ GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(183637),
     /* 183326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 183329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 183332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183336 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(183394), // Rule ID 23960 //
     /* 183341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 183348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183352 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183355 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183359 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183376 */     // (smax:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMAXSQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ256rm),
     /* 183379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183381 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 183383 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183392 */     GIR_RootConstrainSelectedInstOperands,
     /* 183393 */     // GIR_Coverage, 23960,
     /* 183393 */     GIR_EraseRootFromParent_Done,
     /* 183394 */   // Label 4092: @183394
     /* 183394 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(183452), // Rule ID 5400 //
     /* 183399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 183410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183414 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183417 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183421 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183427 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183434 */     // (smax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ256rm),
     /* 183437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183439 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183441 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183450 */     GIR_RootConstrainSelectedInstOperands,
     /* 183451 */     // GIR_Coverage, 5400,
     /* 183451 */     GIR_EraseRootFromParent_Done,
     /* 183452 */   // Label 4093: @183452
     /* 183452 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(183475), // Rule ID 5397 //
     /* 183457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 183460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183468 */     // (smax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMAXSQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 183468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZ256rr),
     /* 183473 */     GIR_RootConstrainSelectedInstOperands,
     /* 183474 */     // GIR_Coverage, 5397,
     /* 183474 */     GIR_Done,
     /* 183475 */   // Label 4094: @183475
     /* 183475 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(183636), // Rule ID 20007 //
     /* 183480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 183483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 183491 */     // (smax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMAXSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 183491 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 183494 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 183498 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 183505 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 183508 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 183512 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183517 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 183520 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 183524 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 183527 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 183532 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 183537 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 183542 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 183545 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 183549 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 183556 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 183559 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 183563 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183568 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 183571 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 183575 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 183578 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 183583 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 183588 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 183593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 183596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrr),
     /* 183600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183605 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 183608 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 183611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 183613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 183616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183618 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 183625 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 183630 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 183635 */     // GIR_Coverage, 20007,
     /* 183635 */     GIR_EraseRootFromParent_Done,
     /* 183636 */   // Label 4095: @183636
     /* 183636 */   GIM_Reject,
     /* 183637 */ // Label 4091: @183637
     /* 183637 */ GIM_Reject,
     /* 183638 */ // Label 4068: @183638
     /* 183638 */ GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(183979),
     /* 183643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 183646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 183649 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(183711), // Rule ID 23468 //
     /* 183654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 183657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 183665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183669 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183672 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183676 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183693 */     // (smax:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMAXSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWrm),
     /* 183696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183698 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 183700 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183709 */     GIR_RootConstrainSelectedInstOperands,
     /* 183710 */     // GIR_Coverage, 23468,
     /* 183710 */     GIR_EraseRootFromParent_Done,
     /* 183711 */   // Label 4097: @183711
     /* 183711 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(183773), // Rule ID 23933 //
     /* 183716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 183719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 183727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183731 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183734 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183738 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183748 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183755 */     // (smax:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMAXSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ128rm),
     /* 183758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183760 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 183762 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183771 */     GIR_RootConstrainSelectedInstOperands,
     /* 183772 */     // GIR_Coverage, 23933,
     /* 183772 */     GIR_EraseRootFromParent_Done,
     /* 183773 */   // Label 4098: @183773
     /* 183773 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(183835), // Rule ID 2654 //
     /* 183778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 183781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 183793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183797 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183800 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183804 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183810 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183817 */     // (smax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWrm),
     /* 183820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183822 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183824 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183833 */     GIR_RootConstrainSelectedInstOperands,
     /* 183834 */     // GIR_Coverage, 2654,
     /* 183834 */     GIR_EraseRootFromParent_Done,
     /* 183835 */   // Label 4099: @183835
     /* 183835 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(183897), // Rule ID 5358 //
     /* 183840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 183843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 183855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 183859 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 183862 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 183866 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 183870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 183872 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 183879 */     // (smax:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 183879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ128rm),
     /* 183882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183884 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 183886 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 183890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 183895 */     GIR_RootConstrainSelectedInstOperands,
     /* 183896 */     // GIR_Coverage, 5358,
     /* 183896 */     GIR_EraseRootFromParent_Done,
     /* 183897 */   // Label 4100: @183897
     /* 183897 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(183924), // Rule ID 2653 //
     /* 183902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 183905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183917 */     // (smax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMAXSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 183917 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWrr),
     /* 183922 */     GIR_RootConstrainSelectedInstOperands,
     /* 183923 */     // GIR_Coverage, 2653,
     /* 183923 */     GIR_Done,
     /* 183924 */   // Label 4101: @183924
     /* 183924 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(183951), // Rule ID 2655 //
     /* 183929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 183932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 183944 */     // (smax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMAXSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 183944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXSWrr),
     /* 183949 */     GIR_RootConstrainSelectedInstOperands,
     /* 183950 */     // GIR_Coverage, 2655,
     /* 183950 */     GIR_Done,
     /* 183951 */   // Label 4102: @183951
     /* 183951 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(183978), // Rule ID 5355 //
     /* 183956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 183959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 183971 */     // (smax:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMAXSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 183971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ128rr),
     /* 183976 */     GIR_RootConstrainSelectedInstOperands,
     /* 183977 */     // GIR_Coverage, 5355,
     /* 183977 */     GIR_Done,
     /* 183978 */   // Label 4103: @183978
     /* 183978 */   GIM_Reject,
     /* 183979 */ // Label 4096: @183979
     /* 183979 */ GIM_Reject,
     /* 183980 */ // Label 4069: @183980
     /* 183980 */ GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(184294),
     /* 183985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 183988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 183991 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(184053), // Rule ID 23509 //
     /* 183996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 183999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184011 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184014 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184018 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184028 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184035 */     // (smax:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMAXSDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDYrm),
     /* 184038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184040 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184042 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184051 */     GIR_RootConstrainSelectedInstOperands,
     /* 184052 */     // GIR_Coverage, 23509,
     /* 184052 */     GIR_EraseRootFromParent_Done,
     /* 184053 */   // Label 4105: @184053
     /* 184053 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(184115), // Rule ID 23942 //
     /* 184058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 184061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184073 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184076 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184080 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184090 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184097 */     // (smax:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMAXSDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ256rm),
     /* 184100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184102 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184104 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184113 */     GIR_RootConstrainSelectedInstOperands,
     /* 184114 */     // GIR_Coverage, 23942,
     /* 184114 */     GIR_EraseRootFromParent_Done,
     /* 184115 */   // Label 4106: @184115
     /* 184115 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(184177), // Rule ID 3207 //
     /* 184120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 184123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184139 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184142 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184146 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184152 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184159 */     // (smax:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDYrm),
     /* 184162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184164 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184166 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184170 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184175 */     GIR_RootConstrainSelectedInstOperands,
     /* 184176 */     // GIR_Coverage, 3207,
     /* 184176 */     GIR_EraseRootFromParent_Done,
     /* 184177 */   // Label 4107: @184177
     /* 184177 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(184239), // Rule ID 5373 //
     /* 184182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 184185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184201 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184204 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184208 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184221 */     // (smax:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ256rm),
     /* 184224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184226 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184228 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184237 */     GIR_RootConstrainSelectedInstOperands,
     /* 184238 */     // GIR_Coverage, 5373,
     /* 184238 */     GIR_EraseRootFromParent_Done,
     /* 184239 */   // Label 4108: @184239
     /* 184239 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(184266), // Rule ID 3206 //
     /* 184244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 184247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184259 */     // (smax:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMAXSDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 184259 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDYrr),
     /* 184264 */     GIR_RootConstrainSelectedInstOperands,
     /* 184265 */     // GIR_Coverage, 3206,
     /* 184265 */     GIR_Done,
     /* 184266 */   // Label 4109: @184266
     /* 184266 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(184293), // Rule ID 5370 //
     /* 184271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 184274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184286 */     // (smax:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMAXSDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 184286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZ256rr),
     /* 184291 */     GIR_RootConstrainSelectedInstOperands,
     /* 184292 */     // GIR_Coverage, 5370,
     /* 184292 */     GIR_Done,
     /* 184293 */   // Label 4110: @184293
     /* 184293 */   GIM_Reject,
     /* 184294 */ // Label 4104: @184294
     /* 184294 */ GIM_Reject,
     /* 184295 */ // Label 4070: @184295
     /* 184295 */ GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(184450),
     /* 184300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 184303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 184306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184310 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(184368), // Rule ID 23954 //
     /* 184315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 184318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184326 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184329 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184333 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184350 */     // (smax:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMAXSQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrm),
     /* 184353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184355 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184357 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184366 */     GIR_RootConstrainSelectedInstOperands,
     /* 184367 */     // GIR_Coverage, 23954,
     /* 184367 */     GIR_EraseRootFromParent_Done,
     /* 184368 */   // Label 4112: @184368
     /* 184368 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(184426), // Rule ID 5391 //
     /* 184373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 184376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184388 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184391 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184395 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184408 */     // (smax:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrm),
     /* 184411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184413 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184415 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184419 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184424 */     GIR_RootConstrainSelectedInstOperands,
     /* 184425 */     // GIR_Coverage, 5391,
     /* 184425 */     GIR_EraseRootFromParent_Done,
     /* 184426 */   // Label 4113: @184426
     /* 184426 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(184449), // Rule ID 5388 //
     /* 184431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 184434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 184442 */     // (smax:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMAXSQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 184442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSQZrr),
     /* 184447 */     GIR_RootConstrainSelectedInstOperands,
     /* 184448 */     // GIR_Coverage, 5388,
     /* 184448 */     GIR_Done,
     /* 184449 */   // Label 4114: @184449
     /* 184449 */   GIM_Reject,
     /* 184450 */ // Label 4111: @184450
     /* 184450 */ GIM_Reject,
     /* 184451 */ // Label 4071: @184451
     /* 184451 */ GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(184792),
     /* 184456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 184459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 184462 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(184524), // Rule ID 23505 //
     /* 184467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 184470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184482 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184485 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184489 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184499 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184506 */     // (smax:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPMAXSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBrm),
     /* 184509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184511 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184513 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184522 */     GIR_RootConstrainSelectedInstOperands,
     /* 184523 */     // GIR_Coverage, 23505,
     /* 184523 */     GIR_EraseRootFromParent_Done,
     /* 184524 */   // Label 4116: @184524
     /* 184524 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(184586), // Rule ID 23924 //
     /* 184529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 184532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184544 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184547 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184551 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184561 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184568 */     // (smax:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPMAXSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ128rm),
     /* 184571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184573 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184575 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184584 */     GIR_RootConstrainSelectedInstOperands,
     /* 184585 */     // GIR_Coverage, 23924,
     /* 184585 */     GIR_EraseRootFromParent_Done,
     /* 184586 */   // Label 4117: @184586
     /* 184586 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(184648), // Rule ID 3199 //
     /* 184591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 184594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184610 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184613 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184617 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184623 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184630 */     // (smax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBrm),
     /* 184633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184635 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184637 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184641 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184646 */     GIR_RootConstrainSelectedInstOperands,
     /* 184647 */     // GIR_Coverage, 3199,
     /* 184647 */     GIR_EraseRootFromParent_Done,
     /* 184648 */   // Label 4118: @184648
     /* 184648 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(184710), // Rule ID 5340 //
     /* 184653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 184656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184672 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184675 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184679 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184685 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184692 */     // (smax:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ128rm),
     /* 184695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184697 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184708 */     GIR_RootConstrainSelectedInstOperands,
     /* 184709 */     // GIR_Coverage, 5340,
     /* 184709 */     GIR_EraseRootFromParent_Done,
     /* 184710 */   // Label 4119: @184710
     /* 184710 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(184737), // Rule ID 3198 //
     /* 184715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 184718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184730 */     // (smax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPMAXSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 184730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBrr),
     /* 184735 */     GIR_RootConstrainSelectedInstOperands,
     /* 184736 */     // GIR_Coverage, 3198,
     /* 184736 */     GIR_Done,
     /* 184737 */   // Label 4120: @184737
     /* 184737 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(184764), // Rule ID 3228 //
     /* 184742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 184745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 184757 */     // (smax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PMAXSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 184757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXSBrr),
     /* 184762 */     GIR_RootConstrainSelectedInstOperands,
     /* 184763 */     // GIR_Coverage, 3228,
     /* 184763 */     GIR_Done,
     /* 184764 */   // Label 4121: @184764
     /* 184764 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(184791), // Rule ID 5337 //
     /* 184769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 184772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 184784 */     // (smax:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPMAXSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 184784 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ128rr),
     /* 184789 */     GIR_RootConstrainSelectedInstOperands,
     /* 184790 */     // GIR_Coverage, 5337,
     /* 184790 */     GIR_Done,
     /* 184791 */   // Label 4122: @184791
     /* 184791 */   GIM_Reject,
     /* 184792 */ // Label 4115: @184792
     /* 184792 */ GIM_Reject,
     /* 184793 */ // Label 4072: @184793
     /* 184793 */ GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(185107),
     /* 184798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 184801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 184804 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(184866), // Rule ID 23470 //
     /* 184809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 184812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184824 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184827 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184831 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184841 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184848 */     // (smax:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMAXSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWYrm),
     /* 184851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184853 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184855 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184864 */     GIR_RootConstrainSelectedInstOperands,
     /* 184865 */     // GIR_Coverage, 23470,
     /* 184865 */     GIR_EraseRootFromParent_Done,
     /* 184866 */   // Label 4124: @184866
     /* 184866 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(184928), // Rule ID 23930 //
     /* 184871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 184874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 184882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184886 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184889 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184893 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 184901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184903 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184910 */     // (smax:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMAXSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ256rm),
     /* 184913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184915 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 184917 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184926 */     GIR_RootConstrainSelectedInstOperands,
     /* 184927 */     // GIR_Coverage, 23930,
     /* 184927 */     GIR_EraseRootFromParent_Done,
     /* 184928 */   // Label 4125: @184928
     /* 184928 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(184990), // Rule ID 2658 //
     /* 184933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 184936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 184944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 184948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 184952 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 184955 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 184959 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 184963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 184965 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 184972 */     // (smax:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 184972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWYrm),
     /* 184975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 184977 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 184979 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 184983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 184988 */     GIR_RootConstrainSelectedInstOperands,
     /* 184989 */     // GIR_Coverage, 2658,
     /* 184989 */     GIR_EraseRootFromParent_Done,
     /* 184990 */   // Label 4126: @184990
     /* 184990 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(185052), // Rule ID 5352 //
     /* 184995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 184998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185014 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185017 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185021 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185027 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185034 */     // (smax:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ256rm),
     /* 185037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185039 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185041 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185050 */     GIR_RootConstrainSelectedInstOperands,
     /* 185051 */     // GIR_Coverage, 5352,
     /* 185051 */     GIR_EraseRootFromParent_Done,
     /* 185052 */   // Label 4127: @185052
     /* 185052 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(185079), // Rule ID 2657 //
     /* 185057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 185060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185072 */     // (smax:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMAXSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 185072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWYrr),
     /* 185077 */     GIR_RootConstrainSelectedInstOperands,
     /* 185078 */     // GIR_Coverage, 2657,
     /* 185078 */     GIR_Done,
     /* 185079 */   // Label 4128: @185079
     /* 185079 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(185106), // Rule ID 5349 //
     /* 185084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185099 */     // (smax:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMAXSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 185099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZ256rr),
     /* 185104 */     GIR_RootConstrainSelectedInstOperands,
     /* 185105 */     // GIR_Coverage, 5349,
     /* 185105 */     GIR_Done,
     /* 185106 */   // Label 4129: @185106
     /* 185106 */   GIM_Reject,
     /* 185107 */ // Label 4123: @185107
     /* 185107 */ GIM_Reject,
     /* 185108 */ // Label 4073: @185108
     /* 185108 */ GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(185263),
     /* 185113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 185116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 185119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185123 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(185181), // Rule ID 23936 //
     /* 185128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 185131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185139 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185142 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185146 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185156 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185163 */     // (smax:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMAXSDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZrm),
     /* 185166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185168 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185170 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185179 */     GIR_RootConstrainSelectedInstOperands,
     /* 185180 */     // GIR_Coverage, 23936,
     /* 185180 */     GIR_EraseRootFromParent_Done,
     /* 185181 */   // Label 4131: @185181
     /* 185181 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(185239), // Rule ID 5364 //
     /* 185186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 185189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185201 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185204 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185208 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185214 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185221 */     // (smax:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZrm),
     /* 185224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185226 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185228 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185237 */     GIR_RootConstrainSelectedInstOperands,
     /* 185238 */     // GIR_Coverage, 5364,
     /* 185238 */     GIR_EraseRootFromParent_Done,
     /* 185239 */   // Label 4132: @185239
     /* 185239 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(185262), // Rule ID 5361 //
     /* 185244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 185247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185255 */     // (smax:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMAXSDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 185255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSDZrr),
     /* 185260 */     GIR_RootConstrainSelectedInstOperands,
     /* 185261 */     // GIR_Coverage, 5361,
     /* 185261 */     GIR_Done,
     /* 185262 */   // Label 4133: @185262
     /* 185262 */   GIM_Reject,
     /* 185263 */ // Label 4130: @185263
     /* 185263 */ GIM_Reject,
     /* 185264 */ // Label 4074: @185264
     /* 185264 */ GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(185578),
     /* 185269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 185272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 185275 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(185337), // Rule ID 23514 //
     /* 185280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 185283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185295 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185298 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185302 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185312 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185319 */     // (smax:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPMAXSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBYrm),
     /* 185322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185324 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185326 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185335 */     GIR_RootConstrainSelectedInstOperands,
     /* 185336 */     // GIR_Coverage, 23514,
     /* 185336 */     GIR_EraseRootFromParent_Done,
     /* 185337 */   // Label 4135: @185337
     /* 185337 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(185399), // Rule ID 23921 //
     /* 185342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185357 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185360 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185364 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185374 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185381 */     // (smax:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPMAXSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ256rm),
     /* 185384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185386 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185388 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185397 */     GIR_RootConstrainSelectedInstOperands,
     /* 185398 */     // GIR_Coverage, 23921,
     /* 185398 */     GIR_EraseRootFromParent_Done,
     /* 185399 */   // Label 4136: @185399
     /* 185399 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(185461), // Rule ID 3217 //
     /* 185404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 185407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185423 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185426 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185430 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185436 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185443 */     // (smax:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBYrm),
     /* 185446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185448 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185459 */     GIR_RootConstrainSelectedInstOperands,
     /* 185460 */     // GIR_Coverage, 3217,
     /* 185460 */     GIR_EraseRootFromParent_Done,
     /* 185461 */   // Label 4137: @185461
     /* 185461 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(185523), // Rule ID 5334 //
     /* 185466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185485 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185488 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185492 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185498 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185505 */     // (smax:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ256rm),
     /* 185508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185510 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185512 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185521 */     GIR_RootConstrainSelectedInstOperands,
     /* 185522 */     // GIR_Coverage, 5334,
     /* 185522 */     GIR_EraseRootFromParent_Done,
     /* 185523 */   // Label 4138: @185523
     /* 185523 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(185550), // Rule ID 3216 //
     /* 185528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 185531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 185543 */     // (smax:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPMAXSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 185543 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBYrr),
     /* 185548 */     GIR_RootConstrainSelectedInstOperands,
     /* 185549 */     // GIR_Coverage, 3216,
     /* 185549 */     GIR_Done,
     /* 185550 */   // Label 4139: @185550
     /* 185550 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(185577), // Rule ID 5331 //
     /* 185555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 185558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 185570 */     // (smax:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPMAXSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 185570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZ256rr),
     /* 185575 */     GIR_RootConstrainSelectedInstOperands,
     /* 185576 */     // GIR_Coverage, 5331,
     /* 185576 */     GIR_Done,
     /* 185577 */   // Label 4140: @185577
     /* 185577 */   GIM_Reject,
     /* 185578 */ // Label 4134: @185578
     /* 185578 */ GIM_Reject,
     /* 185579 */ // Label 4075: @185579
     /* 185579 */ GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(185734),
     /* 185584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 185587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 185590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185594 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(185652), // Rule ID 23927 //
     /* 185599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 185602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185610 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185613 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185617 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185627 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185634 */     // (smax:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMAXSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZrm),
     /* 185637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185639 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185641 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185650 */     GIR_RootConstrainSelectedInstOperands,
     /* 185651 */     // GIR_Coverage, 23927,
     /* 185651 */     GIR_EraseRootFromParent_Done,
     /* 185652 */   // Label 4142: @185652
     /* 185652 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(185710), // Rule ID 5346 //
     /* 185657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 185660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185672 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185675 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185679 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185685 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185692 */     // (smax:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZrm),
     /* 185695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185697 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185708 */     GIR_RootConstrainSelectedInstOperands,
     /* 185709 */     // GIR_Coverage, 5346,
     /* 185709 */     GIR_EraseRootFromParent_Done,
     /* 185710 */   // Label 4143: @185710
     /* 185710 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(185733), // Rule ID 5343 //
     /* 185715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 185718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185726 */     // (smax:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMAXSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 185726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSWZrr),
     /* 185731 */     GIR_RootConstrainSelectedInstOperands,
     /* 185732 */     // GIR_Coverage, 5343,
     /* 185732 */     GIR_Done,
     /* 185733 */   // Label 4144: @185733
     /* 185733 */   GIM_Reject,
     /* 185734 */ // Label 4141: @185734
     /* 185734 */ GIM_Reject,
     /* 185735 */ // Label 4076: @185735
     /* 185735 */ GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(185890),
     /* 185740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 185743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 185746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185750 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(185808), // Rule ID 23918 //
     /* 185755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 185758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185766 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185769 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185773 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185783 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185790 */     // (smax:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPMAXSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZrm),
     /* 185793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185795 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 185797 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185801 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185806 */     GIR_RootConstrainSelectedInstOperands,
     /* 185807 */     // GIR_Coverage, 23918,
     /* 185807 */     GIR_EraseRootFromParent_Done,
     /* 185808 */   // Label 4146: @185808
     /* 185808 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(185866), // Rule ID 5328 //
     /* 185813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 185816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 185824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 185828 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 185831 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 185835 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 185839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 185841 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 185848 */     // (smax:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXSBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 185848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZrm),
     /* 185851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 185853 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 185855 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 185859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 185864 */     GIR_RootConstrainSelectedInstOperands,
     /* 185865 */     // GIR_Coverage, 5328,
     /* 185865 */     GIR_EraseRootFromParent_Done,
     /* 185866 */   // Label 4147: @185866
     /* 185866 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(185889), // Rule ID 5325 //
     /* 185871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 185874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 185882 */     // (smax:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPMAXSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 185882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXSBZrr),
     /* 185887 */     GIR_RootConstrainSelectedInstOperands,
     /* 185888 */     // GIR_Coverage, 5325,
     /* 185888 */     GIR_Done,
     /* 185889 */   // Label 4148: @185889
     /* 185889 */   GIM_Reject,
     /* 185890 */ // Label 4145: @185890
     /* 185890 */ GIM_Reject,
     /* 185891 */ // Label 4077: @185891
     /* 185891 */ GIM_Reject,
     /* 185892 */ // Label 56: @185892
     /* 185892 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4161*/ GIMT_Encode4(189212),
     /* 185903 */ /*GILLT_v2s64*//*Label 4149*/ GIMT_Encode4(185971), GIMT_Encode4(0),
     /* 185911 */ /*GILLT_v4s32*//*Label 4150*/ GIMT_Encode4(186300),
     /* 185915 */ /*GILLT_v4s64*//*Label 4151*/ GIMT_Encode4(186642), GIMT_Encode4(0),
     /* 185923 */ /*GILLT_v8s16*//*Label 4152*/ GIMT_Encode4(186959),
     /* 185927 */ /*GILLT_v8s32*//*Label 4153*/ GIMT_Encode4(187301),
     /* 185931 */ /*GILLT_v8s64*//*Label 4154*/ GIMT_Encode4(187616), GIMT_Encode4(0),
     /* 185939 */ /*GILLT_v16s8*//*Label 4155*/ GIMT_Encode4(187772),
     /* 185943 */ /*GILLT_v16s16*//*Label 4156*/ GIMT_Encode4(188114),
     /* 185947 */ /*GILLT_v16s32*//*Label 4157*/ GIMT_Encode4(188429), GIMT_Encode4(0),
     /* 185955 */ /*GILLT_v32s8*//*Label 4158*/ GIMT_Encode4(188585),
     /* 185959 */ /*GILLT_v32s16*//*Label 4159*/ GIMT_Encode4(188900), GIMT_Encode4(0),
     /* 185967 */ /*GILLT_v64s8*//*Label 4160*/ GIMT_Encode4(189056),
     /* 185971 */ // Label 4149: @185971
     /* 185971 */ GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(186299),
     /* 185976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 185979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 185982 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(186044), // Rule ID 24128 //
     /* 185987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 185990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 185994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 185998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186002 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186005 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186009 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186019 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186026 */     // (umin:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMINUQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ128rm),
     /* 186029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186031 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 186033 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186042 */     GIR_RootConstrainSelectedInstOperands,
     /* 186043 */     // GIR_Coverage, 24128,
     /* 186043 */     GIR_EraseRootFromParent_Done,
     /* 186044 */   // Label 4163: @186044
     /* 186044 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(186106), // Rule ID 5679 //
     /* 186049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 186064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186068 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186071 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186075 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186081 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186088 */     // (umin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ128rm),
     /* 186091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186093 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 186095 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186104 */     GIR_RootConstrainSelectedInstOperands,
     /* 186105 */     // GIR_Coverage, 5679,
     /* 186105 */     GIR_EraseRootFromParent_Done,
     /* 186106 */   // Label 4164: @186106
     /* 186106 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(186133), // Rule ID 5676 //
     /* 186111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186126 */     // (umin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMINUQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 186126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ128rr),
     /* 186131 */     GIR_RootConstrainSelectedInstOperands,
     /* 186132 */     // GIR_Coverage, 5676,
     /* 186132 */     GIR_Done,
     /* 186133 */   // Label 4165: @186133
     /* 186133 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(186298), // Rule ID 20005 //
     /* 186138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 186141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 186145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186153 */     // (umin:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMINUQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 186153 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 186156 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 186160 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 186167 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 186170 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 186174 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186179 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 186182 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 186186 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 186189 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 186194 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 186199 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 186204 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 186207 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 186211 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 186218 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 186221 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 186225 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186230 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 186233 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 186237 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 186240 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 186245 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 186250 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 186255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 186258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrr),
     /* 186262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186267 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 186270 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 186273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 186275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 186278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186280 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 186287 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 186292 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 186297 */     // GIR_Coverage, 20005,
     /* 186297 */     GIR_EraseRootFromParent_Done,
     /* 186298 */   // Label 4166: @186298
     /* 186298 */   GIM_Reject,
     /* 186299 */ // Label 4162: @186299
     /* 186299 */ GIM_Reject,
     /* 186300 */ // Label 4150: @186300
     /* 186300 */ GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(186641),
     /* 186305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 186308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 186311 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(186373), // Rule ID 23499 //
     /* 186316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 186319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 186327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186331 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186334 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186338 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186348 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186355 */     // (umin:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMINUDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDrm),
     /* 186358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186360 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 186362 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186371 */     GIR_RootConstrainSelectedInstOperands,
     /* 186372 */     // GIR_Coverage, 23499,
     /* 186372 */     GIR_EraseRootFromParent_Done,
     /* 186373 */   // Label 4168: @186373
     /* 186373 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(186435), // Rule ID 24110 //
     /* 186378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 186389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186393 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186396 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186400 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186410 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186417 */     // (umin:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMINUDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ128rm),
     /* 186420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186422 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 186424 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186433 */     GIR_RootConstrainSelectedInstOperands,
     /* 186434 */     // GIR_Coverage, 24110,
     /* 186434 */     GIR_EraseRootFromParent_Done,
     /* 186435 */   // Label 4169: @186435
     /* 186435 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(186497), // Rule ID 3187 //
     /* 186440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 186443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 186455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186459 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186462 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186466 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186472 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186479 */     // (umin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDrm),
     /* 186482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186484 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 186486 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186490 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186495 */     GIR_RootConstrainSelectedInstOperands,
     /* 186496 */     // GIR_Coverage, 3187,
     /* 186496 */     GIR_EraseRootFromParent_Done,
     /* 186497 */   // Label 4170: @186497
     /* 186497 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(186559), // Rule ID 5652 //
     /* 186502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 186517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186521 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186524 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186528 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186541 */     // (umin:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ128rm),
     /* 186544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186546 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 186548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186557 */     GIR_RootConstrainSelectedInstOperands,
     /* 186558 */     // GIR_Coverage, 5652,
     /* 186558 */     GIR_EraseRootFromParent_Done,
     /* 186559 */   // Label 4171: @186559
     /* 186559 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(186586), // Rule ID 3186 //
     /* 186564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 186567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186579 */     // (umin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMINUDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 186579 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDrr),
     /* 186584 */     GIR_RootConstrainSelectedInstOperands,
     /* 186585 */     // GIR_Coverage, 3186,
     /* 186585 */     GIR_Done,
     /* 186586 */   // Label 4172: @186586
     /* 186586 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(186613), // Rule ID 3224 //
     /* 186591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 186594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186606 */     // (umin:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMINUDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 186606 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINUDrr),
     /* 186611 */     GIR_RootConstrainSelectedInstOperands,
     /* 186612 */     // GIR_Coverage, 3224,
     /* 186612 */     GIR_Done,
     /* 186613 */   // Label 4173: @186613
     /* 186613 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(186640), // Rule ID 5649 //
     /* 186618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 186633 */     // (umin:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMINUDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 186633 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ128rr),
     /* 186638 */     GIR_RootConstrainSelectedInstOperands,
     /* 186639 */     // GIR_Coverage, 5649,
     /* 186639 */     GIR_Done,
     /* 186640 */   // Label 4174: @186640
     /* 186640 */   GIM_Reject,
     /* 186641 */ // Label 4167: @186641
     /* 186641 */ GIM_Reject,
     /* 186642 */ // Label 4151: @186642
     /* 186642 */ GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(186958),
     /* 186647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 186650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 186653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186657 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(186715), // Rule ID 24122 //
     /* 186662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 186669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186673 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186676 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186680 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186690 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186697 */     // (umin:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMINUQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ256rm),
     /* 186700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186702 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 186704 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186708 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186713 */     GIR_RootConstrainSelectedInstOperands,
     /* 186714 */     // GIR_Coverage, 24122,
     /* 186714 */     GIR_EraseRootFromParent_Done,
     /* 186715 */   // Label 4176: @186715
     /* 186715 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(186773), // Rule ID 5670 //
     /* 186720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 186731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186735 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186738 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186742 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 186746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 186748 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 186755 */     // (umin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 186755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ256rm),
     /* 186758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186760 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 186762 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 186766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 186771 */     GIR_RootConstrainSelectedInstOperands,
     /* 186772 */     // GIR_Coverage, 5670,
     /* 186772 */     GIR_EraseRootFromParent_Done,
     /* 186773 */   // Label 4177: @186773
     /* 186773 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(186796), // Rule ID 5667 //
     /* 186778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 186781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186789 */     // (umin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMINUQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 186789 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUQZ256rr),
     /* 186794 */     GIR_RootConstrainSelectedInstOperands,
     /* 186795 */     // GIR_Coverage, 5667,
     /* 186795 */     GIR_Done,
     /* 186796 */   // Label 4178: @186796
     /* 186796 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(186957), // Rule ID 20003 //
     /* 186801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 186804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 186812 */     // (umin:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMINUQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 186812 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 186815 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 186819 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 186826 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 186829 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 186833 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186838 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 186841 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 186845 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 186848 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 186853 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 186858 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 186863 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 186866 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 186870 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 186877 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 186880 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 186884 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186889 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 186892 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 186896 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 186899 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 186904 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 186909 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 186914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 186917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrr),
     /* 186921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 186926 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 186929 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 186932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 186934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 186937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 186939 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 186946 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 186951 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 186956 */     // GIR_Coverage, 20003,
     /* 186956 */     GIR_EraseRootFromParent_Done,
     /* 186957 */   // Label 4179: @186957
     /* 186957 */   GIM_Reject,
     /* 186958 */ // Label 4175: @186958
     /* 186958 */ GIM_Reject,
     /* 186959 */ // Label 4152: @186959
     /* 186959 */ GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(187300),
     /* 186964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 186967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 186970 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(187032), // Rule ID 23504 //
     /* 186975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 186978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 186982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 186986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 186990 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 186993 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 186997 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187007 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187014 */     // (umin:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMINUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWrm),
     /* 187017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187019 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187021 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187025 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187030 */     GIR_RootConstrainSelectedInstOperands,
     /* 187031 */     // GIR_Coverage, 23504,
     /* 187031 */     GIR_EraseRootFromParent_Done,
     /* 187032 */   // Label 4181: @187032
     /* 187032 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(187094), // Rule ID 24095 //
     /* 187037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 187040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187052 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187055 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187059 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187069 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187076 */     // (umin:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMINUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ128rm),
     /* 187079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187081 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187083 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187092 */     GIR_RootConstrainSelectedInstOperands,
     /* 187093 */     // GIR_Coverage, 24095,
     /* 187093 */     GIR_EraseRootFromParent_Done,
     /* 187094 */   // Label 4182: @187094
     /* 187094 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(187156), // Rule ID 3197 //
     /* 187099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 187102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187118 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187121 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187125 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187131 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187138 */     // (umin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWrm),
     /* 187141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187143 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187145 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187154 */     GIR_RootConstrainSelectedInstOperands,
     /* 187155 */     // GIR_Coverage, 3197,
     /* 187155 */     GIR_EraseRootFromParent_Done,
     /* 187156 */   // Label 4183: @187156
     /* 187156 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(187218), // Rule ID 5628 //
     /* 187161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 187164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187180 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187183 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187187 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187200 */     // (umin:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ128rm),
     /* 187203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187205 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187207 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187216 */     GIR_RootConstrainSelectedInstOperands,
     /* 187217 */     // GIR_Coverage, 5628,
     /* 187217 */     GIR_EraseRootFromParent_Done,
     /* 187218 */   // Label 4184: @187218
     /* 187218 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(187245), // Rule ID 3196 //
     /* 187223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 187226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187238 */     // (umin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMINUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 187238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWrr),
     /* 187243 */     GIR_RootConstrainSelectedInstOperands,
     /* 187244 */     // GIR_Coverage, 3196,
     /* 187244 */     GIR_Done,
     /* 187245 */   // Label 4185: @187245
     /* 187245 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(187272), // Rule ID 3226 //
     /* 187250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 187253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187265 */     // (umin:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMINUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 187265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINUWrr),
     /* 187270 */     GIR_RootConstrainSelectedInstOperands,
     /* 187271 */     // GIR_Coverage, 3226,
     /* 187271 */     GIR_Done,
     /* 187272 */   // Label 4186: @187272
     /* 187272 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(187299), // Rule ID 5625 //
     /* 187277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 187280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187292 */     // (umin:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMINUWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 187292 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ128rr),
     /* 187297 */     GIR_RootConstrainSelectedInstOperands,
     /* 187298 */     // GIR_Coverage, 5625,
     /* 187298 */     GIR_Done,
     /* 187299 */   // Label 4187: @187299
     /* 187299 */   GIM_Reject,
     /* 187300 */ // Label 4180: @187300
     /* 187300 */ GIM_Reject,
     /* 187301 */ // Label 4153: @187301
     /* 187301 */ GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(187615),
     /* 187306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 187309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 187312 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(187374), // Rule ID 23508 //
     /* 187317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 187320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187332 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187335 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187339 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187356 */     // (umin:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMINUDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDYrm),
     /* 187359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187361 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187363 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187372 */     GIR_RootConstrainSelectedInstOperands,
     /* 187373 */     // GIR_Coverage, 23508,
     /* 187373 */     GIR_EraseRootFromParent_Done,
     /* 187374 */   // Label 4189: @187374
     /* 187374 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(187436), // Rule ID 24104 //
     /* 187379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 187382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187394 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187397 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187401 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187418 */     // (umin:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMINUDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ256rm),
     /* 187421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187423 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187425 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187429 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187434 */     GIR_RootConstrainSelectedInstOperands,
     /* 187435 */     // GIR_Coverage, 24104,
     /* 187435 */     GIR_EraseRootFromParent_Done,
     /* 187436 */   // Label 4190: @187436
     /* 187436 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(187498), // Rule ID 3205 //
     /* 187441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 187444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187460 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187463 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187467 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187480 */     // (umin:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDYrm),
     /* 187483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187485 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187487 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187496 */     GIR_RootConstrainSelectedInstOperands,
     /* 187497 */     // GIR_Coverage, 3205,
     /* 187497 */     GIR_EraseRootFromParent_Done,
     /* 187498 */   // Label 4191: @187498
     /* 187498 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(187560), // Rule ID 5643 //
     /* 187503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 187506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187522 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187525 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187529 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187535 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187542 */     // (umin:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ256rm),
     /* 187545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187547 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187549 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187558 */     GIR_RootConstrainSelectedInstOperands,
     /* 187559 */     // GIR_Coverage, 5643,
     /* 187559 */     GIR_EraseRootFromParent_Done,
     /* 187560 */   // Label 4192: @187560
     /* 187560 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(187587), // Rule ID 3204 //
     /* 187565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 187568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 187580 */     // (umin:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMINUDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 187580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDYrr),
     /* 187585 */     GIR_RootConstrainSelectedInstOperands,
     /* 187586 */     // GIR_Coverage, 3204,
     /* 187586 */     GIR_Done,
     /* 187587 */   // Label 4193: @187587
     /* 187587 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(187614), // Rule ID 5640 //
     /* 187592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 187595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 187607 */     // (umin:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMINUDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 187607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDZ256rr),
     /* 187612 */     GIR_RootConstrainSelectedInstOperands,
     /* 187613 */     // GIR_Coverage, 5640,
     /* 187613 */     GIR_Done,
     /* 187614 */   // Label 4194: @187614
     /* 187614 */   GIM_Reject,
     /* 187615 */ // Label 4188: @187615
     /* 187615 */ GIM_Reject,
     /* 187616 */ // Label 4154: @187616
     /* 187616 */ GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(187771),
     /* 187621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 187624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 187627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 187631 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(187689), // Rule ID 24116 //
     /* 187636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 187639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187647 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187650 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187654 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 187662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187664 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187671 */     // (umin:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMINUQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrm),
     /* 187674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187676 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187678 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187687 */     GIR_RootConstrainSelectedInstOperands,
     /* 187688 */     // GIR_Coverage, 24116,
     /* 187688 */     GIR_EraseRootFromParent_Done,
     /* 187689 */   // Label 4196: @187689
     /* 187689 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(187747), // Rule ID 5661 //
     /* 187694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 187697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 187701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187709 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187712 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187716 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187729 */     // (umin:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrm),
     /* 187732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187734 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187736 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187745 */     GIR_RootConstrainSelectedInstOperands,
     /* 187746 */     // GIR_Coverage, 5661,
     /* 187746 */     GIR_EraseRootFromParent_Done,
     /* 187747 */   // Label 4197: @187747
     /* 187747 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(187770), // Rule ID 5658 //
     /* 187752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 187755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 187759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 187763 */     // (umin:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMINUQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 187763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUQZrr),
     /* 187768 */     GIR_RootConstrainSelectedInstOperands,
     /* 187769 */     // GIR_Coverage, 5658,
     /* 187769 */     GIR_Done,
     /* 187770 */   // Label 4198: @187770
     /* 187770 */   GIM_Reject,
     /* 187771 */ // Label 4195: @187771
     /* 187771 */ GIM_Reject,
     /* 187772 */ // Label 4155: @187772
     /* 187772 */ GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(188113),
     /* 187777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 187780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 187783 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(187845), // Rule ID 23459 //
     /* 187788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 187791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187803 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187806 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187810 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187820 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187827 */     // (umin:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPMINUBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBrm),
     /* 187830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187832 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187834 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187843 */     GIR_RootConstrainSelectedInstOperands,
     /* 187844 */     // GIR_Coverage, 23459,
     /* 187844 */     GIR_EraseRootFromParent_Done,
     /* 187845 */   // Label 4200: @187845
     /* 187845 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(187907), // Rule ID 24086 //
     /* 187850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 187853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 187861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187865 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187868 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187872 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187882 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187889 */     // (umin:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPMINUBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ128rm),
     /* 187892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187894 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 187896 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187905 */     GIR_RootConstrainSelectedInstOperands,
     /* 187906 */     // GIR_Coverage, 24086,
     /* 187906 */     GIR_EraseRootFromParent_Done,
     /* 187907 */   // Label 4201: @187907
     /* 187907 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(187969), // Rule ID 2636 //
     /* 187912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 187915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 187923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187931 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187934 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 187938 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 187942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 187944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 187951 */     // (umin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 187951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBrm),
     /* 187954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 187956 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 187958 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 187962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 187967 */     GIR_RootConstrainSelectedInstOperands,
     /* 187968 */     // GIR_Coverage, 2636,
     /* 187968 */     GIR_EraseRootFromParent_Done,
     /* 187969 */   // Label 4202: @187969
     /* 187969 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(188031), // Rule ID 5610 //
     /* 187974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 187977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 187985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 187989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 187993 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 187996 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188000 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188013 */     // (umin:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ128rm),
     /* 188016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188018 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188020 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188029 */     GIR_RootConstrainSelectedInstOperands,
     /* 188030 */     // GIR_Coverage, 5610,
     /* 188030 */     GIR_EraseRootFromParent_Done,
     /* 188031 */   // Label 4203: @188031
     /* 188031 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(188058), // Rule ID 2635 //
     /* 188036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 188039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188051 */     // (umin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPMINUBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 188051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBrr),
     /* 188056 */     GIR_RootConstrainSelectedInstOperands,
     /* 188057 */     // GIR_Coverage, 2635,
     /* 188057 */     GIR_Done,
     /* 188058 */   // Label 4204: @188058
     /* 188058 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(188085), // Rule ID 2637 //
     /* 188063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 188066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 188078 */     // (umin:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PMINUBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 188078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMINUBrr),
     /* 188083 */     GIR_RootConstrainSelectedInstOperands,
     /* 188084 */     // GIR_Coverage, 2637,
     /* 188084 */     GIR_Done,
     /* 188085 */   // Label 4205: @188085
     /* 188085 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(188112), // Rule ID 5607 //
     /* 188090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 188105 */     // (umin:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPMINUBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 188105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ128rr),
     /* 188110 */     GIR_RootConstrainSelectedInstOperands,
     /* 188111 */     // GIR_Coverage, 5607,
     /* 188111 */     GIR_Done,
     /* 188112 */   // Label 4206: @188112
     /* 188112 */   GIM_Reject,
     /* 188113 */ // Label 4199: @188113
     /* 188113 */ GIM_Reject,
     /* 188114 */ // Label 4156: @188114
     /* 188114 */ GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(188428),
     /* 188119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 188122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 188125 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(188187), // Rule ID 23513 //
     /* 188130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 188133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188145 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188148 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188152 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188169 */     // (umin:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMINUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWYrm),
     /* 188172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188174 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188176 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188185 */     GIR_RootConstrainSelectedInstOperands,
     /* 188186 */     // GIR_Coverage, 23513,
     /* 188186 */     GIR_EraseRootFromParent_Done,
     /* 188187 */   // Label 4208: @188187
     /* 188187 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(188249), // Rule ID 24092 //
     /* 188192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188207 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188210 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188214 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188231 */     // (umin:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMINUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ256rm),
     /* 188234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188236 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188238 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188247 */     GIR_RootConstrainSelectedInstOperands,
     /* 188248 */     // GIR_Coverage, 24092,
     /* 188248 */     GIR_EraseRootFromParent_Done,
     /* 188249 */   // Label 4209: @188249
     /* 188249 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(188311), // Rule ID 3215 //
     /* 188254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 188257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188273 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188276 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188280 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188286 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188293 */     // (umin:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWYrm),
     /* 188296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188298 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188309 */     GIR_RootConstrainSelectedInstOperands,
     /* 188310 */     // GIR_Coverage, 3215,
     /* 188310 */     GIR_EraseRootFromParent_Done,
     /* 188311 */   // Label 4210: @188311
     /* 188311 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(188373), // Rule ID 5622 //
     /* 188316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188335 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188338 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188342 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188348 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188355 */     // (umin:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ256rm),
     /* 188358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188360 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188362 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188371 */     GIR_RootConstrainSelectedInstOperands,
     /* 188372 */     // GIR_Coverage, 5622,
     /* 188372 */     GIR_EraseRootFromParent_Done,
     /* 188373 */   // Label 4211: @188373
     /* 188373 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(188400), // Rule ID 3214 //
     /* 188378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 188381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188393 */     // (umin:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMINUWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 188393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWYrr),
     /* 188398 */     GIR_RootConstrainSelectedInstOperands,
     /* 188399 */     // GIR_Coverage, 3214,
     /* 188399 */     GIR_Done,
     /* 188400 */   // Label 4212: @188400
     /* 188400 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(188427), // Rule ID 5619 //
     /* 188405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188420 */     // (umin:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMINUWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 188420 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWZ256rr),
     /* 188425 */     GIR_RootConstrainSelectedInstOperands,
     /* 188426 */     // GIR_Coverage, 5619,
     /* 188426 */     GIR_Done,
     /* 188427 */   // Label 4213: @188427
     /* 188427 */   GIM_Reject,
     /* 188428 */ // Label 4207: @188428
     /* 188428 */ GIM_Reject,
     /* 188429 */ // Label 4157: @188429
     /* 188429 */ GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(188584),
     /* 188434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 188437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 188440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188444 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(188502), // Rule ID 24098 //
     /* 188449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 188452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188460 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188463 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188467 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188477 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188484 */     // (umin:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMINUDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZrm),
     /* 188487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188489 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188491 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188495 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188500 */     GIR_RootConstrainSelectedInstOperands,
     /* 188501 */     // GIR_Coverage, 24098,
     /* 188501 */     GIR_EraseRootFromParent_Done,
     /* 188502 */   // Label 4215: @188502
     /* 188502 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(188560), // Rule ID 5634 //
     /* 188507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 188510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188522 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188525 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188529 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188535 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188542 */     // (umin:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUDZrm),
     /* 188545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188547 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188549 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188558 */     GIR_RootConstrainSelectedInstOperands,
     /* 188559 */     // GIR_Coverage, 5634,
     /* 188559 */     GIR_EraseRootFromParent_Done,
     /* 188560 */   // Label 4216: @188560
     /* 188560 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(188583), // Rule ID 5631 //
     /* 188565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 188568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188576 */     // (umin:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMINUDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 188576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUDZrr),
     /* 188581 */     GIR_RootConstrainSelectedInstOperands,
     /* 188582 */     // GIR_Coverage, 5631,
     /* 188582 */     GIR_Done,
     /* 188583 */   // Label 4217: @188583
     /* 188583 */   GIM_Reject,
     /* 188584 */ // Label 4214: @188584
     /* 188584 */ GIM_Reject,
     /* 188585 */ // Label 4158: @188585
     /* 188585 */ GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(188899),
     /* 188590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 188593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 188596 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(188658), // Rule ID 23461 //
     /* 188601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 188604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188616 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188619 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188623 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188640 */     // (umin:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPMINUBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBYrm),
     /* 188643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188645 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188656 */     GIR_RootConstrainSelectedInstOperands,
     /* 188657 */     // GIR_Coverage, 23461,
     /* 188657 */     GIR_EraseRootFromParent_Done,
     /* 188658 */   // Label 4219: @188658
     /* 188658 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(188720), // Rule ID 24083 //
     /* 188663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188678 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188681 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188685 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188695 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188702 */     // (umin:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPMINUBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ256rm),
     /* 188705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188707 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188709 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188718 */     GIR_RootConstrainSelectedInstOperands,
     /* 188719 */     // GIR_Coverage, 24083,
     /* 188719 */     GIR_EraseRootFromParent_Done,
     /* 188720 */   // Label 4220: @188720
     /* 188720 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(188782), // Rule ID 2640 //
     /* 188725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 188728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188744 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188747 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188751 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188757 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188764 */     // (umin:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBYrm),
     /* 188767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188769 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188771 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188780 */     GIR_RootConstrainSelectedInstOperands,
     /* 188781 */     // GIR_Coverage, 2640,
     /* 188781 */     GIR_EraseRootFromParent_Done,
     /* 188782 */   // Label 4221: @188782
     /* 188782 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(188844), // Rule ID 5604 //
     /* 188787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188806 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188809 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188813 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188819 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188826 */     // (umin:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ256rm),
     /* 188829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188831 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 188833 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188842 */     GIR_RootConstrainSelectedInstOperands,
     /* 188843 */     // GIR_Coverage, 5604,
     /* 188843 */     GIR_EraseRootFromParent_Done,
     /* 188844 */   // Label 4222: @188844
     /* 188844 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(188871), // Rule ID 2639 //
     /* 188849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 188852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 188864 */     // (umin:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPMINUBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 188864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBYrr),
     /* 188869 */     GIR_RootConstrainSelectedInstOperands,
     /* 188870 */     // GIR_Coverage, 2639,
     /* 188870 */     GIR_Done,
     /* 188871 */   // Label 4223: @188871
     /* 188871 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(188898), // Rule ID 5601 //
     /* 188876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 188879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 188891 */     // (umin:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPMINUBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 188891 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBZ256rr),
     /* 188896 */     GIR_RootConstrainSelectedInstOperands,
     /* 188897 */     // GIR_Coverage, 5601,
     /* 188897 */     GIR_Done,
     /* 188898 */   // Label 4224: @188898
     /* 188898 */   GIM_Reject,
     /* 188899 */ // Label 4218: @188899
     /* 188899 */ GIM_Reject,
     /* 188900 */ // Label 4159: @188900
     /* 188900 */ GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(189055),
     /* 188905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 188908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 188911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188915 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(188973), // Rule ID 24089 //
     /* 188920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 188923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 188927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188931 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188934 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 188938 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 188942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 188948 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 188955 */     // (umin:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMINUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 188955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZrm),
     /* 188958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 188960 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 188962 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 188966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 188971 */     GIR_RootConstrainSelectedInstOperands,
     /* 188972 */     // GIR_Coverage, 24089,
     /* 188972 */     GIR_EraseRootFromParent_Done,
     /* 188973 */   // Label 4226: @188973
     /* 188973 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(189031), // Rule ID 5616 //
     /* 188978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 188981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 188985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 188989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 188993 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 188996 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189000 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189013 */     // (umin:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUWZrm),
     /* 189016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189018 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189020 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189029 */     GIR_RootConstrainSelectedInstOperands,
     /* 189030 */     // GIR_Coverage, 5616,
     /* 189030 */     GIR_EraseRootFromParent_Done,
     /* 189031 */   // Label 4227: @189031
     /* 189031 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(189054), // Rule ID 5613 //
     /* 189036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189047 */     // (umin:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMINUWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 189047 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUWZrr),
     /* 189052 */     GIR_RootConstrainSelectedInstOperands,
     /* 189053 */     // GIR_Coverage, 5613,
     /* 189053 */     GIR_Done,
     /* 189054 */   // Label 4228: @189054
     /* 189054 */   GIM_Reject,
     /* 189055 */ // Label 4225: @189055
     /* 189055 */ GIM_Reject,
     /* 189056 */ // Label 4160: @189056
     /* 189056 */ GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(189211),
     /* 189061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 189064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 189067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189071 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(189129), // Rule ID 24080 //
     /* 189076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189087 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189090 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189094 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189111 */     // (umin:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPMINUBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZrm),
     /* 189114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189116 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 189118 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189127 */     GIR_RootConstrainSelectedInstOperands,
     /* 189128 */     // GIR_Coverage, 24080,
     /* 189128 */     GIR_EraseRootFromParent_Done,
     /* 189129 */   // Label 4230: @189129
     /* 189129 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(189187), // Rule ID 5598 //
     /* 189134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 189145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189149 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189152 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189156 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189169 */     // (umin:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMINUBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMINUBZrm),
     /* 189172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189174 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189176 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189185 */     GIR_RootConstrainSelectedInstOperands,
     /* 189186 */     // GIR_Coverage, 5598,
     /* 189186 */     GIR_EraseRootFromParent_Done,
     /* 189187 */   // Label 4231: @189187
     /* 189187 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(189210), // Rule ID 5595 //
     /* 189192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 189195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 189203 */     // (umin:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPMINUBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 189203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMINUBZrr),
     /* 189208 */     GIR_RootConstrainSelectedInstOperands,
     /* 189209 */     // GIR_Coverage, 5595,
     /* 189209 */     GIR_Done,
     /* 189210 */   // Label 4232: @189210
     /* 189210 */   GIM_Reject,
     /* 189211 */ // Label 4229: @189211
     /* 189211 */ GIM_Reject,
     /* 189212 */ // Label 4161: @189212
     /* 189212 */ GIM_Reject,
     /* 189213 */ // Label 57: @189213
     /* 189213 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4245*/ GIMT_Encode4(192533),
     /* 189224 */ /*GILLT_v2s64*//*Label 4233*/ GIMT_Encode4(189292), GIMT_Encode4(0),
     /* 189232 */ /*GILLT_v4s32*//*Label 4234*/ GIMT_Encode4(189621),
     /* 189236 */ /*GILLT_v4s64*//*Label 4235*/ GIMT_Encode4(189963), GIMT_Encode4(0),
     /* 189244 */ /*GILLT_v8s16*//*Label 4236*/ GIMT_Encode4(190280),
     /* 189248 */ /*GILLT_v8s32*//*Label 4237*/ GIMT_Encode4(190622),
     /* 189252 */ /*GILLT_v8s64*//*Label 4238*/ GIMT_Encode4(190937), GIMT_Encode4(0),
     /* 189260 */ /*GILLT_v16s8*//*Label 4239*/ GIMT_Encode4(191093),
     /* 189264 */ /*GILLT_v16s16*//*Label 4240*/ GIMT_Encode4(191435),
     /* 189268 */ /*GILLT_v16s32*//*Label 4241*/ GIMT_Encode4(191750), GIMT_Encode4(0),
     /* 189276 */ /*GILLT_v32s8*//*Label 4242*/ GIMT_Encode4(191906),
     /* 189280 */ /*GILLT_v32s16*//*Label 4243*/ GIMT_Encode4(192221), GIMT_Encode4(0),
     /* 189288 */ /*GILLT_v64s8*//*Label 4244*/ GIMT_Encode4(192377),
     /* 189292 */ // Label 4233: @189292
     /* 189292 */ GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(189620),
     /* 189297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 189300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 189303 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(189365), // Rule ID 24020 //
     /* 189308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189323 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189326 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189330 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189340 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189347 */     // (umax:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2i64] }:$src1)  =>  (VPMAXUQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ128rm),
     /* 189350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189352 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 189354 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189363 */     GIR_RootConstrainSelectedInstOperands,
     /* 189364 */     // GIR_Coverage, 24020,
     /* 189364 */     GIR_EraseRootFromParent_Done,
     /* 189365 */   // Label 4247: @189365
     /* 189365 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(189427), // Rule ID 5499 //
     /* 189370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 189385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189389 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189392 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189396 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189402 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189409 */     // (umax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUQZ128rm:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ128rm),
     /* 189412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189414 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189416 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189425 */     GIR_RootConstrainSelectedInstOperands,
     /* 189426 */     // GIR_Coverage, 5499,
     /* 189426 */     GIR_EraseRootFromParent_Done,
     /* 189427 */   // Label 4248: @189427
     /* 189427 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(189454), // Rule ID 5496 //
     /* 189432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189447 */     // (umax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (VPMAXUQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)
     /* 189447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ128rr),
     /* 189452 */     GIR_RootConstrainSelectedInstOperands,
     /* 189453 */     // GIR_Coverage, 5496,
     /* 189453 */     GIR_Done,
     /* 189454 */   // Label 4249: @189454
     /* 189454 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(189619), // Rule ID 20001 //
     /* 189459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 189462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 189466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189474 */     // (umax:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1, VR128X:{ *:[v2i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPMAXUQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src2, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 189474 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 189477 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 189481 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 189488 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 189491 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 189495 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189500 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 189503 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 189507 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/11,
     /* 189510 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 189515 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 189520 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 189525 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 189528 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 189532 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 189539 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 189542 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 189546 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189551 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 189554 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 189558 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 189561 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 189566 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 189571 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 189576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 189579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrr),
     /* 189583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 189588 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 189591 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 189594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 189596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 189599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189601 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 189608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 189613 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 189618 */     // GIR_Coverage, 20001,
     /* 189618 */     GIR_EraseRootFromParent_Done,
     /* 189619 */   // Label 4250: @189619
     /* 189619 */   GIM_Reject,
     /* 189620 */ // Label 4246: @189620
     /* 189620 */ GIM_Reject,
     /* 189621 */ // Label 4234: @189621
     /* 189621 */ GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(189962),
     /* 189626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 189629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 189632 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(189694), // Rule ID 23501 //
     /* 189637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 189640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189652 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189655 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189659 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189676 */     // (umax:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4i32] }:$src1)  =>  (VPMAXUDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDrm),
     /* 189679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189681 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 189683 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189692 */     GIR_RootConstrainSelectedInstOperands,
     /* 189693 */     // GIR_Coverage, 23501,
     /* 189693 */     GIR_EraseRootFromParent_Done,
     /* 189694 */   // Label 4252: @189694
     /* 189694 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(189756), // Rule ID 24002 //
     /* 189699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189714 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189717 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189721 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189731 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189738 */     // (umax:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4i32] }:$src1)  =>  (VPMAXUDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ128rm),
     /* 189741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189743 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 189745 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189754 */     GIR_RootConstrainSelectedInstOperands,
     /* 189755 */     // GIR_Coverage, 24002,
     /* 189755 */     GIR_EraseRootFromParent_Done,
     /* 189756 */   // Label 4253: @189756
     /* 189756 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(189818), // Rule ID 3191 //
     /* 189761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 189764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 189776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189780 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189783 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189787 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189793 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189800 */     // (umax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDrm:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDrm),
     /* 189803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189805 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189807 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189816 */     GIR_RootConstrainSelectedInstOperands,
     /* 189817 */     // GIR_Coverage, 3191,
     /* 189817 */     GIR_EraseRootFromParent_Done,
     /* 189818 */   // Label 4254: @189818
     /* 189818 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(189880), // Rule ID 5472 //
     /* 189823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 189838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189842 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189845 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 189849 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 189853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 189855 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 189862 */     // (umax:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDZ128rm:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 189862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ128rm),
     /* 189865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 189867 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 189869 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 189873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 189878 */     GIR_RootConstrainSelectedInstOperands,
     /* 189879 */     // GIR_Coverage, 5472,
     /* 189879 */     GIR_EraseRootFromParent_Done,
     /* 189880 */   // Label 4255: @189880
     /* 189880 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(189907), // Rule ID 3190 //
     /* 189885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 189888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189900 */     // (umax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (VPMAXUDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 189900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDrr),
     /* 189905 */     GIR_RootConstrainSelectedInstOperands,
     /* 189906 */     // GIR_Coverage, 3190,
     /* 189906 */     GIR_Done,
     /* 189907 */   // Label 4256: @189907
     /* 189907 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(189934), // Rule ID 3232 //
     /* 189912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 189915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 189927 */     // (umax:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)  =>  (PMAXUDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src1, VR128:{ *:[v4i32] }:$src2)
     /* 189927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXUDrr),
     /* 189932 */     GIR_RootConstrainSelectedInstOperands,
     /* 189933 */     // GIR_Coverage, 3232,
     /* 189933 */     GIR_Done,
     /* 189934 */   // Label 4257: @189934
     /* 189934 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(189961), // Rule ID 5469 //
     /* 189939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 189954 */     // (umax:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)  =>  (VPMAXUDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1, VR128X:{ *:[v4i32] }:$src2)
     /* 189954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ128rr),
     /* 189959 */     GIR_RootConstrainSelectedInstOperands,
     /* 189960 */     // GIR_Coverage, 5469,
     /* 189960 */     GIR_Done,
     /* 189961 */   // Label 4258: @189961
     /* 189961 */   GIM_Reject,
     /* 189962 */ // Label 4251: @189962
     /* 189962 */ GIM_Reject,
     /* 189963 */ // Label 4235: @189963
     /* 189963 */ GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(190279),
     /* 189968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 189971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 189974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 189978 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(190036), // Rule ID 24014 //
     /* 189983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 189986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 189990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 189994 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 189997 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190001 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190018 */     // (umax:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4i64] }:$src1)  =>  (VPMAXUQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ256rm),
     /* 190021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190023 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190025 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190034 */     GIR_RootConstrainSelectedInstOperands,
     /* 190035 */     // GIR_Coverage, 24014,
     /* 190035 */     GIR_EraseRootFromParent_Done,
     /* 190036 */   // Label 4260: @190036
     /* 190036 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(190094), // Rule ID 5490 //
     /* 190041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190056 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190059 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190063 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190069 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190076 */     // (umax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUQZ256rm:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ256rm),
     /* 190079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190081 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 190083 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190092 */     GIR_RootConstrainSelectedInstOperands,
     /* 190093 */     // GIR_Coverage, 5490,
     /* 190093 */     GIR_EraseRootFromParent_Done,
     /* 190094 */   // Label 4261: @190094
     /* 190094 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(190117), // Rule ID 5487 //
     /* 190099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190110 */     // (umax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (VPMAXUQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)
     /* 190110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZ256rr),
     /* 190115 */     GIR_RootConstrainSelectedInstOperands,
     /* 190116 */     // GIR_Coverage, 5487,
     /* 190116 */     GIR_Done,
     /* 190117 */   // Label 4262: @190117
     /* 190117 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(190278), // Rule ID 19999 //
     /* 190122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 190125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190133 */     // (umax:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1, VR256X:{ *:[v4i64] }:$src2)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPMAXUQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] }), (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src2, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 190133 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s64,
     /* 190136 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 190140 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 190147 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s64,
     /* 190150 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 190154 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190159 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 190162 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // src2
     /* 190166 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/12,
     /* 190169 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 190174 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 190179 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 190184 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 190187 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 190191 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 190198 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 190201 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 190205 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190210 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 190213 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 190217 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 190220 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 190225 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 190230 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 190235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 190238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrr),
     /* 190242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 190247 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 190250 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 190253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 190255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 190258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190260 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 190267 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 190272 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 190277 */     // GIR_Coverage, 19999,
     /* 190277 */     GIR_EraseRootFromParent_Done,
     /* 190278 */   // Label 4263: @190278
     /* 190278 */   GIM_Reject,
     /* 190279 */ // Label 4259: @190279
     /* 190279 */ GIM_Reject,
     /* 190280 */ // Label 4236: @190280
     /* 190280 */ GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(190621),
     /* 190285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 190288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 190291 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(190353), // Rule ID 23506 //
     /* 190296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 190299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190311 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190314 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190318 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190328 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190335 */     // (umax:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v8i16] }:$src1)  =>  (VPMAXUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWrm),
     /* 190338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190340 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190342 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190351 */     GIR_RootConstrainSelectedInstOperands,
     /* 190352 */     // GIR_Coverage, 23506,
     /* 190352 */     GIR_EraseRootFromParent_Done,
     /* 190353 */   // Label 4265: @190353
     /* 190353 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(190415), // Rule ID 23987 //
     /* 190358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 190361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190373 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190376 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190380 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190390 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190397 */     // (umax:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8i16] }:$src1)  =>  (VPMAXUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ128rm),
     /* 190400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190402 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190404 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190413 */     GIR_RootConstrainSelectedInstOperands,
     /* 190414 */     // GIR_Coverage, 23987,
     /* 190414 */     GIR_EraseRootFromParent_Done,
     /* 190415 */   // Label 4266: @190415
     /* 190415 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(190477), // Rule ID 3201 //
     /* 190420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 190423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190439 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190442 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190446 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190452 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190459 */     // (umax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWrm:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWrm),
     /* 190462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190464 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 190466 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190475 */     GIR_RootConstrainSelectedInstOperands,
     /* 190476 */     // GIR_Coverage, 3201,
     /* 190476 */     GIR_EraseRootFromParent_Done,
     /* 190477 */   // Label 4267: @190477
     /* 190477 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(190539), // Rule ID 5448 //
     /* 190482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 190485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190501 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190504 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190508 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190521 */     // (umax:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWZ128rm:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ128rm),
     /* 190524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190526 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 190528 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190537 */     GIR_RootConstrainSelectedInstOperands,
     /* 190538 */     // GIR_Coverage, 5448,
     /* 190538 */     GIR_EraseRootFromParent_Done,
     /* 190539 */   // Label 4268: @190539
     /* 190539 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(190566), // Rule ID 3200 //
     /* 190544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 190547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190559 */     // (umax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (VPMAXUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 190559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWrr),
     /* 190564 */     GIR_RootConstrainSelectedInstOperands,
     /* 190565 */     // GIR_Coverage, 3200,
     /* 190565 */     GIR_Done,
     /* 190566 */   // Label 4269: @190566
     /* 190566 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(190593), // Rule ID 3234 //
     /* 190571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE41),
     /* 190574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 190586 */     // (umax:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)  =>  (PMAXUWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src1, VR128:{ *:[v8i16] }:$src2)
     /* 190586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXUWrr),
     /* 190591 */     GIR_RootConstrainSelectedInstOperands,
     /* 190592 */     // GIR_Coverage, 3234,
     /* 190592 */     GIR_Done,
     /* 190593 */   // Label 4270: @190593
     /* 190593 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(190620), // Rule ID 5445 //
     /* 190598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 190601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 190613 */     // (umax:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)  =>  (VPMAXUWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1, VR128X:{ *:[v8i16] }:$src2)
     /* 190613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ128rr),
     /* 190618 */     GIR_RootConstrainSelectedInstOperands,
     /* 190619 */     // GIR_Coverage, 5445,
     /* 190619 */     GIR_Done,
     /* 190620 */   // Label 4271: @190620
     /* 190620 */   GIM_Reject,
     /* 190621 */ // Label 4264: @190621
     /* 190621 */ GIM_Reject,
     /* 190622 */ // Label 4237: @190622
     /* 190622 */ GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(190936),
     /* 190627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 190630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 190633 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(190695), // Rule ID 23510 //
     /* 190638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 190641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 190645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190653 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190656 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190660 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 190668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190670 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190677 */     // (umax:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8i32] }:$src1)  =>  (VPMAXUDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDYrm),
     /* 190680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190682 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190684 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190693 */     GIR_RootConstrainSelectedInstOperands,
     /* 190694 */     // GIR_Coverage, 23510,
     /* 190694 */     GIR_EraseRootFromParent_Done,
     /* 190695 */   // Label 4273: @190695
     /* 190695 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(190757), // Rule ID 23996 //
     /* 190700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190715 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190718 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190722 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190732 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190739 */     // (umax:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8i32] }:$src1)  =>  (VPMAXUDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ256rm),
     /* 190742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190744 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190746 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190755 */     GIR_RootConstrainSelectedInstOperands,
     /* 190756 */     // GIR_Coverage, 23996,
     /* 190756 */     GIR_EraseRootFromParent_Done,
     /* 190757 */   // Label 4274: @190757
     /* 190757 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(190819), // Rule ID 3209 //
     /* 190762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 190765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 190769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 190773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190781 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190784 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190788 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190794 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190801 */     // (umax:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDYrm:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDYrm),
     /* 190804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190806 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 190808 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190817 */     GIR_RootConstrainSelectedInstOperands,
     /* 190818 */     // GIR_Coverage, 3209,
     /* 190818 */     GIR_EraseRootFromParent_Done,
     /* 190819 */   // Label 4275: @190819
     /* 190819 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(190881), // Rule ID 5463 //
     /* 190824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 190839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190843 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190846 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190850 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190863 */     // (umax:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDZ256rm:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ256rm),
     /* 190866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190868 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 190870 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 190874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 190879 */     GIR_RootConstrainSelectedInstOperands,
     /* 190880 */     // GIR_Coverage, 5463,
     /* 190880 */     GIR_EraseRootFromParent_Done,
     /* 190881 */   // Label 4276: @190881
     /* 190881 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(190908), // Rule ID 3208 //
     /* 190886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 190889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 190893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 190897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 190901 */     // (umax:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)  =>  (VPMAXUDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src1, VR256:{ *:[v8i32] }:$src2)
     /* 190901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDYrr),
     /* 190906 */     GIR_RootConstrainSelectedInstOperands,
     /* 190907 */     // GIR_Coverage, 3208,
     /* 190907 */     GIR_Done,
     /* 190908 */   // Label 4277: @190908
     /* 190908 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(190935), // Rule ID 5460 //
     /* 190913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 190916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 190928 */     // (umax:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)  =>  (VPMAXUDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1, VR256X:{ *:[v8i32] }:$src2)
     /* 190928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZ256rr),
     /* 190933 */     GIR_RootConstrainSelectedInstOperands,
     /* 190934 */     // GIR_Coverage, 5460,
     /* 190934 */     GIR_Done,
     /* 190935 */   // Label 4278: @190935
     /* 190935 */   GIM_Reject,
     /* 190936 */ // Label 4272: @190936
     /* 190936 */ GIM_Reject,
     /* 190937 */ // Label 4238: @190937
     /* 190937 */ GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(191092),
     /* 190942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 190945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 190948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 190952 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(191010), // Rule ID 24008 //
     /* 190957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 190960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 190964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 190968 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 190971 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 190975 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 190979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 190983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 190985 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 190992 */     // (umax:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8i64] }:$src1)  =>  (VPMAXUQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 190992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrm),
     /* 190995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 190997 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 190999 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191008 */     GIR_RootConstrainSelectedInstOperands,
     /* 191009 */     // GIR_Coverage, 24008,
     /* 191009 */     GIR_EraseRootFromParent_Done,
     /* 191010 */   // Label 4280: @191010
     /* 191010 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(191068), // Rule ID 5481 //
     /* 191015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 191018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191030 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191033 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191037 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191043 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191050 */     // (umax:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUQZrm:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrm),
     /* 191053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191055 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191057 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191061 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191066 */     GIR_RootConstrainSelectedInstOperands,
     /* 191067 */     // GIR_Coverage, 5481,
     /* 191067 */     GIR_EraseRootFromParent_Done,
     /* 191068 */   // Label 4281: @191068
     /* 191068 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(191091), // Rule ID 5478 //
     /* 191073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 191076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191084 */     // (umax:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)  =>  (VPMAXUQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1, VR512:{ *:[v8i64] }:$src2)
     /* 191084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUQZrr),
     /* 191089 */     GIR_RootConstrainSelectedInstOperands,
     /* 191090 */     // GIR_Coverage, 5478,
     /* 191090 */     GIR_Done,
     /* 191091 */   // Label 4282: @191091
     /* 191091 */   GIM_Reject,
     /* 191092 */ // Label 4279: @191092
     /* 191092 */ GIM_Reject,
     /* 191093 */ // Label 4239: @191093
     /* 191093 */ GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(191434),
     /* 191098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 191101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 191104 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(191166), // Rule ID 23465 //
     /* 191109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 191112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191124 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191127 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191131 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191148 */     // (umax:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v16i8] }:$src1)  =>  (VPMAXUBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBrm),
     /* 191151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191153 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191155 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191164 */     GIR_RootConstrainSelectedInstOperands,
     /* 191165 */     // GIR_Coverage, 23465,
     /* 191165 */     GIR_EraseRootFromParent_Done,
     /* 191166 */   // Label 4284: @191166
     /* 191166 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(191228), // Rule ID 23978 //
     /* 191171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191186 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191189 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191193 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191203 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191210 */     // (umax:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v16i8] }:$src1)  =>  (VPMAXUBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ128rm),
     /* 191213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191215 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191217 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191226 */     GIR_RootConstrainSelectedInstOperands,
     /* 191227 */     // GIR_Coverage, 23978,
     /* 191227 */     GIR_EraseRootFromParent_Done,
     /* 191228 */   // Label 4285: @191228
     /* 191228 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(191290), // Rule ID 2648 //
     /* 191233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 191236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191252 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191255 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191259 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191265 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191272 */     // (umax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBrm:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBrm),
     /* 191275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191277 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191279 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191288 */     GIR_RootConstrainSelectedInstOperands,
     /* 191289 */     // GIR_Coverage, 2648,
     /* 191289 */     GIR_EraseRootFromParent_Done,
     /* 191290 */   // Label 4286: @191290
     /* 191290 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(191352), // Rule ID 5430 //
     /* 191295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191314 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191317 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191321 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191327 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191334 */     // (umax:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBZ128rm:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ128rm),
     /* 191337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191339 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191341 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191350 */     GIR_RootConstrainSelectedInstOperands,
     /* 191351 */     // GIR_Coverage, 5430,
     /* 191351 */     GIR_EraseRootFromParent_Done,
     /* 191352 */   // Label 4287: @191352
     /* 191352 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(191379), // Rule ID 2647 //
     /* 191357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 191360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191372 */     // (umax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (VPMAXUBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 191372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBrr),
     /* 191377 */     GIR_RootConstrainSelectedInstOperands,
     /* 191378 */     // GIR_Coverage, 2647,
     /* 191378 */     GIR_Done,
     /* 191379 */   // Label 4288: @191379
     /* 191379 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(191406), // Rule ID 2649 //
     /* 191384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 191387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 191399 */     // (umax:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)  =>  (PMAXUBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src1, VR128:{ *:[v16i8] }:$src2)
     /* 191399 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PMAXUBrr),
     /* 191404 */     GIR_RootConstrainSelectedInstOperands,
     /* 191405 */     // GIR_Coverage, 2649,
     /* 191405 */     GIR_Done,
     /* 191406 */   // Label 4289: @191406
     /* 191406 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(191433), // Rule ID 5427 //
     /* 191411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 191426 */     // (umax:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)  =>  (VPMAXUBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1, VR128X:{ *:[v16i8] }:$src2)
     /* 191426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ128rr),
     /* 191431 */     GIR_RootConstrainSelectedInstOperands,
     /* 191432 */     // GIR_Coverage, 5427,
     /* 191432 */     GIR_Done,
     /* 191433 */   // Label 4290: @191433
     /* 191433 */   GIM_Reject,
     /* 191434 */ // Label 4283: @191434
     /* 191434 */ GIM_Reject,
     /* 191435 */ // Label 4240: @191435
     /* 191435 */ GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(191749),
     /* 191440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 191443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 191446 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(191508), // Rule ID 23515 //
     /* 191451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 191454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191469 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191473 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191490 */     // (umax:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v16i16] }:$src1)  =>  (VPMAXUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWYrm),
     /* 191493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191495 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191506 */     GIR_RootConstrainSelectedInstOperands,
     /* 191507 */     // GIR_Coverage, 23515,
     /* 191507 */     GIR_EraseRootFromParent_Done,
     /* 191508 */   // Label 4292: @191508
     /* 191508 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(191570), // Rule ID 23984 //
     /* 191513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191528 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191531 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191535 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191552 */     // (umax:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16i16] }:$src1)  =>  (VPMAXUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ256rm),
     /* 191555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191557 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191559 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191568 */     GIR_RootConstrainSelectedInstOperands,
     /* 191569 */     // GIR_Coverage, 23984,
     /* 191569 */     GIR_EraseRootFromParent_Done,
     /* 191570 */   // Label 4293: @191570
     /* 191570 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(191632), // Rule ID 3219 //
     /* 191575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 191578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191594 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191597 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191601 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191607 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191614 */     // (umax:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWYrm:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWYrm),
     /* 191617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191619 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191621 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191630 */     GIR_RootConstrainSelectedInstOperands,
     /* 191631 */     // GIR_Coverage, 3219,
     /* 191631 */     GIR_EraseRootFromParent_Done,
     /* 191632 */   // Label 4294: @191632
     /* 191632 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(191694), // Rule ID 5442 //
     /* 191637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191656 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191659 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191663 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191676 */     // (umax:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWZ256rm:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ256rm),
     /* 191679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191681 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191683 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191692 */     GIR_RootConstrainSelectedInstOperands,
     /* 191693 */     // GIR_Coverage, 5442,
     /* 191693 */     GIR_EraseRootFromParent_Done,
     /* 191694 */   // Label 4295: @191694
     /* 191694 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(191721), // Rule ID 3218 //
     /* 191699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 191702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191714 */     // (umax:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)  =>  (VPMAXUWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src1, VR256:{ *:[v16i16] }:$src2)
     /* 191714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWYrr),
     /* 191719 */     GIR_RootConstrainSelectedInstOperands,
     /* 191720 */     // GIR_Coverage, 3218,
     /* 191720 */     GIR_Done,
     /* 191721 */   // Label 4296: @191721
     /* 191721 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(191748), // Rule ID 5439 //
     /* 191726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191741 */     // (umax:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)  =>  (VPMAXUWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1, VR256X:{ *:[v16i16] }:$src2)
     /* 191741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZ256rr),
     /* 191746 */     GIR_RootConstrainSelectedInstOperands,
     /* 191747 */     // GIR_Coverage, 5439,
     /* 191747 */     GIR_Done,
     /* 191748 */   // Label 4297: @191748
     /* 191748 */   GIM_Reject,
     /* 191749 */ // Label 4291: @191749
     /* 191749 */ GIM_Reject,
     /* 191750 */ // Label 4241: @191750
     /* 191750 */ GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(191905),
     /* 191755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 191758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 191761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191765 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(191823), // Rule ID 23990 //
     /* 191770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 191773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191781 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191784 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191788 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191798 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191805 */     // (umax:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16i32] }:$src1)  =>  (VPMAXUDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZrm),
     /* 191808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191810 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191812 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191821 */     GIR_RootConstrainSelectedInstOperands,
     /* 191822 */     // GIR_Coverage, 23990,
     /* 191822 */     GIR_EraseRootFromParent_Done,
     /* 191823 */   // Label 4299: @191823
     /* 191823 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(191881), // Rule ID 5454 //
     /* 191828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 191831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 191839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191843 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191846 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191850 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191856 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191863 */     // (umax:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUDZrm:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZrm),
     /* 191866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191868 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 191870 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191879 */     GIR_RootConstrainSelectedInstOperands,
     /* 191880 */     // GIR_Coverage, 5454,
     /* 191880 */     GIR_EraseRootFromParent_Done,
     /* 191881 */   // Label 4300: @191881
     /* 191881 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(191904), // Rule ID 5451 //
     /* 191886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 191889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 191897 */     // (umax:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)  =>  (VPMAXUDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1, VR512:{ *:[v16i32] }:$src2)
     /* 191897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUDZrr),
     /* 191902 */     GIR_RootConstrainSelectedInstOperands,
     /* 191903 */     // GIR_Coverage, 5451,
     /* 191903 */     GIR_Done,
     /* 191904 */   // Label 4301: @191904
     /* 191904 */   GIM_Reject,
     /* 191905 */ // Label 4298: @191905
     /* 191905 */ GIM_Reject,
     /* 191906 */ // Label 4242: @191906
     /* 191906 */ GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(192220),
     /* 191911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 191914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s8,
     /* 191917 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(191979), // Rule ID 23467 //
     /* 191922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 191925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191937 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 191940 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 191944 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 191948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 191952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 191954 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 191961 */     // (umax:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v32i8] }:$src1)  =>  (VPMAXUBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 191961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBYrm),
     /* 191964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 191966 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 191968 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 191972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 191977 */     GIR_RootConstrainSelectedInstOperands,
     /* 191978 */     // GIR_Coverage, 23467,
     /* 191978 */     GIR_EraseRootFromParent_Done,
     /* 191979 */   // Label 4303: @191979
     /* 191979 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(192041), // Rule ID 23975 //
     /* 191984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 191987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 191991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 191995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 191999 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192002 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192006 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192016 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192023 */     // (umax:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v32i8] }:$src1)  =>  (VPMAXUBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ256rm),
     /* 192026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192028 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 192030 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192039 */     GIR_RootConstrainSelectedInstOperands,
     /* 192040 */     // GIR_Coverage, 23975,
     /* 192040 */     GIR_EraseRootFromParent_Done,
     /* 192041 */   // Label 4304: @192041
     /* 192041 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(192103), // Rule ID 2652 //
     /* 192046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 192049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192065 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192068 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192072 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192078 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192085 */     // (umax:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBYrm:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBYrm),
     /* 192088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192090 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192092 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192096 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192101 */     GIR_RootConstrainSelectedInstOperands,
     /* 192102 */     // GIR_Coverage, 2652,
     /* 192102 */     GIR_EraseRootFromParent_Done,
     /* 192103 */   // Label 4305: @192103
     /* 192103 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(192165), // Rule ID 5424 //
     /* 192108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 192111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192127 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192130 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192134 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192140 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192147 */     // (umax:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBZ256rm:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ256rm),
     /* 192150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192152 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192154 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192163 */     GIR_RootConstrainSelectedInstOperands,
     /* 192164 */     // GIR_Coverage, 5424,
     /* 192164 */     GIR_EraseRootFromParent_Done,
     /* 192165 */   // Label 4306: @192165
     /* 192165 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(192192), // Rule ID 2651 //
     /* 192170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 192173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 192185 */     // (umax:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)  =>  (VPMAXUBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src1, VR256:{ *:[v32i8] }:$src2)
     /* 192185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBYrr),
     /* 192190 */     GIR_RootConstrainSelectedInstOperands,
     /* 192191 */     // GIR_Coverage, 2651,
     /* 192191 */     GIR_Done,
     /* 192192 */   // Label 4307: @192192
     /* 192192 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(192219), // Rule ID 5421 //
     /* 192197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 192200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 192212 */     // (umax:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)  =>  (VPMAXUBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1, VR256X:{ *:[v32i8] }:$src2)
     /* 192212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZ256rr),
     /* 192217 */     GIR_RootConstrainSelectedInstOperands,
     /* 192218 */     // GIR_Coverage, 5421,
     /* 192218 */     GIR_Done,
     /* 192219 */   // Label 4308: @192219
     /* 192219 */   GIM_Reject,
     /* 192220 */ // Label 4302: @192220
     /* 192220 */ GIM_Reject,
     /* 192221 */ // Label 4243: @192221
     /* 192221 */ GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(192376),
     /* 192226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 192229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 192232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192236 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(192294), // Rule ID 23981 //
     /* 192241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192252 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192255 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192259 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192276 */     // (umax:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32i16] }:$src1)  =>  (VPMAXUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZrm),
     /* 192279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192281 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 192283 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192292 */     GIR_RootConstrainSelectedInstOperands,
     /* 192293 */     // GIR_Coverage, 23981,
     /* 192293 */     GIR_EraseRootFromParent_Done,
     /* 192294 */   // Label 4310: @192294
     /* 192294 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(192352), // Rule ID 5436 //
     /* 192299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192314 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192317 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192321 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192327 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192334 */     // (umax:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUWZrm:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZrm),
     /* 192337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192339 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192341 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192350 */     GIR_RootConstrainSelectedInstOperands,
     /* 192351 */     // GIR_Coverage, 5436,
     /* 192351 */     GIR_EraseRootFromParent_Done,
     /* 192352 */   // Label 4311: @192352
     /* 192352 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(192375), // Rule ID 5433 //
     /* 192357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192368 */     // (umax:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)  =>  (VPMAXUWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1, VR512:{ *:[v32i16] }:$src2)
     /* 192368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUWZrr),
     /* 192373 */     GIR_RootConstrainSelectedInstOperands,
     /* 192374 */     // GIR_Coverage, 5433,
     /* 192374 */     GIR_Done,
     /* 192375 */   // Label 4312: @192375
     /* 192375 */   GIM_Reject,
     /* 192376 */ // Label 4309: @192376
     /* 192376 */ GIM_Reject,
     /* 192377 */ // Label 4244: @192377
     /* 192377 */ GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(192532),
     /* 192382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 192385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s8,
     /* 192388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192392 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(192450), // Rule ID 23972 //
     /* 192397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192408 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192411 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192415 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192425 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192432 */     // (umax:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v64i8] }:$src1)  =>  (VPMAXUBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZrm),
     /* 192435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192437 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 192439 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192448 */     GIR_RootConstrainSelectedInstOperands,
     /* 192449 */     // GIR_Coverage, 23972,
     /* 192449 */     GIR_EraseRootFromParent_Done,
     /* 192450 */   // Label 4314: @192450
     /* 192450 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(192508), // Rule ID 5418 //
     /* 192455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 192466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192470 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192473 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192477 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192490 */     // (umax:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPMAXUBZrm:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 192490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZrm),
     /* 192493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192495 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 192497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 192501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192506 */     GIR_RootConstrainSelectedInstOperands,
     /* 192507 */     // GIR_Coverage, 5418,
     /* 192507 */     GIR_EraseRootFromParent_Done,
     /* 192508 */   // Label 4315: @192508
     /* 192508 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(192531), // Rule ID 5415 //
     /* 192513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 192516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 192524 */     // (umax:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)  =>  (VPMAXUBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1, VR512:{ *:[v64i8] }:$src2)
     /* 192524 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPMAXUBZrr),
     /* 192529 */     GIR_RootConstrainSelectedInstOperands,
     /* 192530 */     // GIR_Coverage, 5415,
     /* 192530 */     GIR_Done,
     /* 192531 */   // Label 4316: @192531
     /* 192531 */   GIM_Reject,
     /* 192532 */ // Label 4313: @192532
     /* 192532 */ GIM_Reject,
     /* 192533 */ // Label 4245: @192533
     /* 192533 */ GIM_Reject,
     /* 192534 */ // Label 58: @192534
     /* 192534 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4329*/ GIMT_Encode4(194414),
     /* 192545 */ /*GILLT_v2s64*//*Label 4317*/ GIMT_Encode4(192613), GIMT_Encode4(0),
     /* 192553 */ /*GILLT_v4s32*//*Label 4318*/ GIMT_Encode4(192809),
     /* 192557 */ /*GILLT_v4s64*//*Label 4319*/ GIMT_Encode4(193000), GIMT_Encode4(0),
     /* 192565 */ /*GILLT_v8s16*//*Label 4320*/ GIMT_Encode4(193188),
     /* 192569 */ /*GILLT_v8s32*//*Label 4321*/ GIMT_Encode4(193379),
     /* 192573 */ /*GILLT_v8s64*//*Label 4322*/ GIMT_Encode4(193547), GIMT_Encode4(0),
     /* 192581 */ /*GILLT_v16s8*//*Label 4323*/ GIMT_Encode4(193632),
     /* 192585 */ /*GILLT_v16s16*//*Label 4324*/ GIMT_Encode4(193823),
     /* 192589 */ /*GILLT_v16s32*//*Label 4325*/ GIMT_Encode4(193991), GIMT_Encode4(0),
     /* 192597 */ /*GILLT_v32s8*//*Label 4326*/ GIMT_Encode4(194076),
     /* 192601 */ /*GILLT_v32s16*//*Label 4327*/ GIMT_Encode4(194244), GIMT_Encode4(0),
     /* 192609 */ /*GILLT_v64s8*//*Label 4328*/ GIMT_Encode4(194329),
     /* 192613 */ // Label 4317: @192613
     /* 192613 */ GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(192808),
     /* 192618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 192621 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(192677), // Rule ID 13266 //
     /* 192626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 192629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 192633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192641 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192644 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192648 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192654 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192661 */     // (abs:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)
     /* 192661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSQZ128rm),
     /* 192664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192666 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 192670 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192675 */     GIR_RootConstrainSelectedInstOperands,
     /* 192676 */     // GIR_Coverage, 13266,
     /* 192676 */     GIR_EraseRootFromParent_Done,
     /* 192677 */   // Label 4331: @192677
     /* 192677 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(192700), // Rule ID 13263 //
     /* 192682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 192685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 192689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 192693 */     // (abs:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (VPABSQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)
     /* 192693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSQZ128rr),
     /* 192698 */     GIR_RootConstrainSelectedInstOperands,
     /* 192699 */     // GIR_Coverage, 13263,
     /* 192699 */     GIR_Done,
     /* 192700 */   // Label 4332: @192700
     /* 192700 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(192807), // Rule ID 21823 //
     /* 192705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 192708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 192712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 192716 */     // (abs:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPABSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 192716 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 192719 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 192723 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 192728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 192730 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 192733 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 192737 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 192742 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 192745 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 192749 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 192752 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 192757 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 192762 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 192767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 192770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPABSQZrr),
     /* 192774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 192779 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 192782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 192784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 192787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192789 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 192796 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 192801 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 192806 */     // GIR_Coverage, 21823,
     /* 192806 */     GIR_EraseRootFromParent_Done,
     /* 192807 */   // Label 4333: @192807
     /* 192807 */   GIM_Reject,
     /* 192808 */ // Label 4330: @192808
     /* 192808 */ GIM_Reject,
     /* 192809 */ // Label 4318: @192809
     /* 192809 */ GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(192999),
     /* 192814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 192817 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(192873), // Rule ID 2994 //
     /* 192822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 192825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 192829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192837 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192840 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192844 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192850 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192857 */     // (abs:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDrm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src)
     /* 192857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDrm),
     /* 192860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192862 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 192866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192871 */     GIR_RootConstrainSelectedInstOperands,
     /* 192872 */     // GIR_Coverage, 2994,
     /* 192872 */     GIR_EraseRootFromParent_Done,
     /* 192873 */   // Label 4335: @192873
     /* 192873 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(192929), // Rule ID 13293 //
     /* 192878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 192881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 192885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 192889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 192893 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 192896 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 192900 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 192904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 192906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 192913 */     // (abs:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDZ128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)
     /* 192913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDZ128rm),
     /* 192916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 192918 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 192922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 192927 */     GIR_RootConstrainSelectedInstOperands,
     /* 192928 */     // GIR_Coverage, 13293,
     /* 192928 */     GIR_EraseRootFromParent_Done,
     /* 192929 */   // Label 4336: @192929
     /* 192929 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(192952), // Rule ID 2993 //
     /* 192934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 192937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 192941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 192945 */     // (abs:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src)  =>  (VPABSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src)
     /* 192945 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDrr),
     /* 192950 */     GIR_RootConstrainSelectedInstOperands,
     /* 192951 */     // GIR_Coverage, 2993,
     /* 192951 */     GIR_Done,
     /* 192952 */   // Label 4337: @192952
     /* 192952 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(192975), // Rule ID 3005 //
     /* 192957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /* 192960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 192964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 192968 */     // (abs:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src)  =>  (PABSDrr:{ *:[v4i32] } VR128:{ *:[v4i32] }:$src)
     /* 192968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PABSDrr),
     /* 192973 */     GIR_RootConstrainSelectedInstOperands,
     /* 192974 */     // GIR_Coverage, 3005,
     /* 192974 */     GIR_Done,
     /* 192975 */   // Label 4338: @192975
     /* 192975 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(192998), // Rule ID 13290 //
     /* 192980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 192983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 192987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 192991 */     // (abs:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (VPABSDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)
     /* 192991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDZ128rr),
     /* 192996 */     GIR_RootConstrainSelectedInstOperands,
     /* 192997 */     // GIR_Coverage, 13290,
     /* 192997 */     GIR_Done,
     /* 192998 */   // Label 4339: @192998
     /* 192998 */   GIM_Reject,
     /* 192999 */ // Label 4334: @192999
     /* 192999 */ GIM_Reject,
     /* 193000 */ // Label 4319: @193000
     /* 193000 */ GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(193187),
     /* 193005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 193008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193012 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(193064), // Rule ID 13257 //
     /* 193017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193028 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193031 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193035 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193041 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193048 */     // (abs:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)
     /* 193048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSQZ256rm),
     /* 193051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193053 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193062 */     GIR_RootConstrainSelectedInstOperands,
     /* 193063 */     // GIR_Coverage, 13257,
     /* 193063 */     GIR_EraseRootFromParent_Done,
     /* 193064 */   // Label 4341: @193064
     /* 193064 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(193083), // Rule ID 13254 //
     /* 193069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193076 */     // (abs:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (VPABSQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)
     /* 193076 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSQZ256rr),
     /* 193081 */     GIR_RootConstrainSelectedInstOperands,
     /* 193082 */     // GIR_Coverage, 13254,
     /* 193082 */     GIR_Done,
     /* 193083 */   // Label 4342: @193083
     /* 193083 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(193186), // Rule ID 21822 //
     /* 193088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasEVEX512_NoVLX),
     /* 193091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193095 */     // (abs:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPABSQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 193095 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 193098 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 193102 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 193109 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 193112 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 193116 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193121 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 193124 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 193128 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 193131 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 193136 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 193141 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 193146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 193149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPABSQZrr),
     /* 193153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 193158 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 193161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 193163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 193166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193168 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 193175 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 193180 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 193185 */     // GIR_Coverage, 21822,
     /* 193185 */     GIR_EraseRootFromParent_Done,
     /* 193186 */   // Label 4343: @193186
     /* 193186 */   GIM_Reject,
     /* 193187 */ // Label 4340: @193187
     /* 193187 */ GIM_Reject,
     /* 193188 */ // Label 4320: @193188
     /* 193188 */ GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(193378),
     /* 193193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 193196 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(193252), // Rule ID 2992 //
     /* 193201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 193204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193216 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193219 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193223 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193229 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193236 */     // (abs:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWrm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src)
     /* 193236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWrm),
     /* 193239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193241 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 193245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193250 */     GIR_RootConstrainSelectedInstOperands,
     /* 193251 */     // GIR_Coverage, 2992,
     /* 193251 */     GIR_EraseRootFromParent_Done,
     /* 193252 */   // Label 4345: @193252
     /* 193252 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(193308), // Rule ID 13314 //
     /* 193257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 193260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193272 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193275 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193279 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193285 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193292 */     // (abs:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWZ128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)
     /* 193292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWZ128rm),
     /* 193295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193297 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193306 */     GIR_RootConstrainSelectedInstOperands,
     /* 193307 */     // GIR_Coverage, 13314,
     /* 193307 */     GIR_EraseRootFromParent_Done,
     /* 193308 */   // Label 4346: @193308
     /* 193308 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(193331), // Rule ID 2991 //
     /* 193313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 193316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193324 */     // (abs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src)  =>  (VPABSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src)
     /* 193324 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWrr),
     /* 193329 */     GIR_RootConstrainSelectedInstOperands,
     /* 193330 */     // GIR_Coverage, 2991,
     /* 193330 */     GIR_Done,
     /* 193331 */   // Label 4347: @193331
     /* 193331 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(193354), // Rule ID 3003 //
     /* 193336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /* 193339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193347 */     // (abs:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src)  =>  (PABSWrr:{ *:[v8i16] } VR128:{ *:[v8i16] }:$src)
     /* 193347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PABSWrr),
     /* 193352 */     GIR_RootConstrainSelectedInstOperands,
     /* 193353 */     // GIR_Coverage, 3003,
     /* 193353 */     GIR_Done,
     /* 193354 */   // Label 4348: @193354
     /* 193354 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(193377), // Rule ID 13311 //
     /* 193359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 193362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193370 */     // (abs:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)  =>  (VPABSWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)
     /* 193370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWZ128rr),
     /* 193375 */     GIR_RootConstrainSelectedInstOperands,
     /* 193376 */     // GIR_Coverage, 13311,
     /* 193376 */     GIR_Done,
     /* 193377 */   // Label 4349: @193377
     /* 193377 */   GIM_Reject,
     /* 193378 */ // Label 4344: @193378
     /* 193378 */ GIM_Reject,
     /* 193379 */ // Label 4321: @193379
     /* 193379 */ GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(193546),
     /* 193384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 193387 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(193443), // Rule ID 3000 //
     /* 193392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 193395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 193399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193407 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193410 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193414 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193420 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193427 */     // (abs:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDYrm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src)
     /* 193427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDYrm),
     /* 193430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193432 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 193436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193441 */     GIR_RootConstrainSelectedInstOperands,
     /* 193442 */     // GIR_Coverage, 3000,
     /* 193442 */     GIR_EraseRootFromParent_Done,
     /* 193443 */   // Label 4351: @193443
     /* 193443 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(193499), // Rule ID 13284 //
     /* 193448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193463 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193466 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193470 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193476 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193483 */     // (abs:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)
     /* 193483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDZ256rm),
     /* 193486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193488 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193497 */     GIR_RootConstrainSelectedInstOperands,
     /* 193498 */     // GIR_Coverage, 13284,
     /* 193498 */     GIR_EraseRootFromParent_Done,
     /* 193499 */   // Label 4352: @193499
     /* 193499 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(193522), // Rule ID 2999 //
     /* 193504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX),
     /* 193507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 193511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 193515 */     // (abs:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src)  =>  (VPABSDYrr:{ *:[v8i32] } VR256:{ *:[v8i32] }:$src)
     /* 193515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDYrr),
     /* 193520 */     GIR_RootConstrainSelectedInstOperands,
     /* 193521 */     // GIR_Coverage, 2999,
     /* 193521 */     GIR_Done,
     /* 193522 */   // Label 4353: @193522
     /* 193522 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(193545), // Rule ID 13281 //
     /* 193527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 193530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193538 */     // (abs:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (VPABSDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)
     /* 193538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDZ256rr),
     /* 193543 */     GIR_RootConstrainSelectedInstOperands,
     /* 193544 */     // GIR_Coverage, 13281,
     /* 193544 */     GIR_Done,
     /* 193545 */   // Label 4354: @193545
     /* 193545 */   GIM_Reject,
     /* 193546 */ // Label 4350: @193546
     /* 193546 */ GIM_Reject,
     /* 193547 */ // Label 4322: @193547
     /* 193547 */ GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(193631),
     /* 193552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 193555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 193559 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(193611), // Rule ID 13248 //
     /* 193564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 193567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193575 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193578 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193582 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193588 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193595 */     // (abs:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)
     /* 193595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSQZrm),
     /* 193598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193600 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193609 */     GIR_RootConstrainSelectedInstOperands,
     /* 193610 */     // GIR_Coverage, 13248,
     /* 193610 */     GIR_EraseRootFromParent_Done,
     /* 193611 */   // Label 4356: @193611
     /* 193611 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(193630), // Rule ID 13245 //
     /* 193616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 193619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 193623 */     // (abs:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)  =>  (VPABSQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)
     /* 193623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSQZrr),
     /* 193628 */     GIR_RootConstrainSelectedInstOperands,
     /* 193629 */     // GIR_Coverage, 13245,
     /* 193629 */     GIR_Done,
     /* 193630 */   // Label 4357: @193630
     /* 193630 */   GIM_Reject,
     /* 193631 */ // Label 4355: @193631
     /* 193631 */ GIM_Reject,
     /* 193632 */ // Label 4323: @193632
     /* 193632 */ GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(193822),
     /* 193637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 193640 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(193696), // Rule ID 2990 //
     /* 193645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 193648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193660 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193663 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193667 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193673 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193680 */     // (abs:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBrm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src)
     /* 193680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBrm),
     /* 193683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193685 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 193689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193694 */     GIR_RootConstrainSelectedInstOperands,
     /* 193695 */     // GIR_Coverage, 2990,
     /* 193695 */     GIR_EraseRootFromParent_Done,
     /* 193696 */   // Label 4359: @193696
     /* 193696 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(193752), // Rule ID 13332 //
     /* 193701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 193704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193716 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193719 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193723 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193736 */     // (abs:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBZ128rm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)
     /* 193736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBZ128rm),
     /* 193739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193741 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193750 */     GIR_RootConstrainSelectedInstOperands,
     /* 193751 */     // GIR_Coverage, 13332,
     /* 193751 */     GIR_EraseRootFromParent_Done,
     /* 193752 */   // Label 4360: @193752
     /* 193752 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(193775), // Rule ID 2989 //
     /* 193757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX_Or_NoBWI),
     /* 193760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193768 */     // (abs:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src)  =>  (VPABSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src)
     /* 193768 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBrr),
     /* 193773 */     GIR_RootConstrainSelectedInstOperands,
     /* 193774 */     // GIR_Coverage, 2989,
     /* 193774 */     GIR_Done,
     /* 193775 */   // Label 4361: @193775
     /* 193775 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(193798), // Rule ID 3001 //
     /* 193780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSSE3),
     /* 193783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 193791 */     // (abs:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src)  =>  (PABSBrr:{ *:[v16i8] } VR128:{ *:[v16i8] }:$src)
     /* 193791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::PABSBrr),
     /* 193796 */     GIR_RootConstrainSelectedInstOperands,
     /* 193797 */     // GIR_Coverage, 3001,
     /* 193797 */     GIR_Done,
     /* 193798 */   // Label 4362: @193798
     /* 193798 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(193821), // Rule ID 13329 //
     /* 193803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 193806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 193814 */     // (abs:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)  =>  (VPABSBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)
     /* 193814 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBZ128rr),
     /* 193819 */     GIR_RootConstrainSelectedInstOperands,
     /* 193820 */     // GIR_Coverage, 13329,
     /* 193820 */     GIR_Done,
     /* 193821 */   // Label 4363: @193821
     /* 193821 */   GIM_Reject,
     /* 193822 */ // Label 4358: @193822
     /* 193822 */ GIM_Reject,
     /* 193823 */ // Label 4324: @193823
     /* 193823 */ GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(193990),
     /* 193828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 193831 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(193887), // Rule ID 2998 //
     /* 193836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 193839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 193843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193851 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193854 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193858 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193871 */     // (abs:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWYrm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src)
     /* 193871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWYrm),
     /* 193874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193876 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 193880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193885 */     GIR_RootConstrainSelectedInstOperands,
     /* 193886 */     // GIR_Coverage, 2998,
     /* 193886 */     GIR_EraseRootFromParent_Done,
     /* 193887 */   // Label 4365: @193887
     /* 193887 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(193943), // Rule ID 13308 //
     /* 193892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 193895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 193903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 193907 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 193910 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 193914 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 193918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 193920 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 193927 */     // (abs:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src1)
     /* 193927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWZ256rm),
     /* 193930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 193932 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 193936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 193941 */     GIR_RootConstrainSelectedInstOperands,
     /* 193942 */     // GIR_Coverage, 13308,
     /* 193942 */     GIR_EraseRootFromParent_Done,
     /* 193943 */   // Label 4366: @193943
     /* 193943 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(193966), // Rule ID 2997 //
     /* 193948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 193951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 193955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 193959 */     // (abs:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src)  =>  (VPABSWYrr:{ *:[v16i16] } VR256:{ *:[v16i16] }:$src)
     /* 193959 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWYrr),
     /* 193964 */     GIR_RootConstrainSelectedInstOperands,
     /* 193965 */     // GIR_Coverage, 2997,
     /* 193965 */     GIR_Done,
     /* 193966 */   // Label 4367: @193966
     /* 193966 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(193989), // Rule ID 13305 //
     /* 193971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 193974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 193982 */     // (abs:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)  =>  (VPABSWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)
     /* 193982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWZ256rr),
     /* 193987 */     GIR_RootConstrainSelectedInstOperands,
     /* 193988 */     // GIR_Coverage, 13305,
     /* 193988 */     GIR_Done,
     /* 193989 */   // Label 4368: @193989
     /* 193989 */   GIM_Reject,
     /* 193990 */ // Label 4364: @193990
     /* 193990 */ GIM_Reject,
     /* 193991 */ // Label 4325: @193991
     /* 193991 */ GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(194075),
     /* 193996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 193999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194003 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(194055), // Rule ID 13275 //
     /* 194008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 194011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194019 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194022 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194026 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194032 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194039 */     // (abs:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)
     /* 194039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSDZrm),
     /* 194042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194044 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194053 */     GIR_RootConstrainSelectedInstOperands,
     /* 194054 */     // GIR_Coverage, 13275,
     /* 194054 */     GIR_EraseRootFromParent_Done,
     /* 194055 */   // Label 4370: @194055
     /* 194055 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(194074), // Rule ID 13272 //
     /* 194060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 194063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194067 */     // (abs:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)  =>  (VPABSDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)
     /* 194067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSDZrr),
     /* 194072 */     GIR_RootConstrainSelectedInstOperands,
     /* 194073 */     // GIR_Coverage, 13272,
     /* 194073 */     GIR_Done,
     /* 194074 */   // Label 4371: @194074
     /* 194074 */   GIM_Reject,
     /* 194075 */ // Label 4369: @194075
     /* 194075 */ GIM_Reject,
     /* 194076 */ // Label 4326: @194076
     /* 194076 */ GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(194243),
     /* 194081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 194084 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(194140), // Rule ID 2996 //
     /* 194089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 194092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 194096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194104 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194107 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194111 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194124 */     // (abs:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBYrm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src)
     /* 194124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBYrm),
     /* 194127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194129 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 194133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194138 */     GIR_RootConstrainSelectedInstOperands,
     /* 194139 */     // GIR_Coverage, 2996,
     /* 194139 */     GIR_EraseRootFromParent_Done,
     /* 194140 */   // Label 4373: @194140
     /* 194140 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(194196), // Rule ID 13326 //
     /* 194145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 194148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194160 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194163 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194167 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194180 */     // (abs:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBZ256rm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src1)
     /* 194180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBZ256rm),
     /* 194183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194185 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194194 */     GIR_RootConstrainSelectedInstOperands,
     /* 194195 */     // GIR_Coverage, 13326,
     /* 194195 */     GIR_EraseRootFromParent_Done,
     /* 194196 */   // Label 4374: @194196
     /* 194196 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(194219), // Rule ID 2995 //
     /* 194201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX2_NoVLX_Or_NoBWI),
     /* 194204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 194208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 194212 */     // (abs:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src)  =>  (VPABSBYrr:{ *:[v32i8] } VR256:{ *:[v32i8] }:$src)
     /* 194212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBYrr),
     /* 194217 */     GIR_RootConstrainSelectedInstOperands,
     /* 194218 */     // GIR_Coverage, 2995,
     /* 194218 */     GIR_Done,
     /* 194219 */   // Label 4375: @194219
     /* 194219 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(194242), // Rule ID 13323 //
     /* 194224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI_HasVLX),
     /* 194227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 194235 */     // (abs:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)  =>  (VPABSBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)
     /* 194235 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBZ256rr),
     /* 194240 */     GIR_RootConstrainSelectedInstOperands,
     /* 194241 */     // GIR_Coverage, 13323,
     /* 194241 */     GIR_Done,
     /* 194242 */   // Label 4376: @194242
     /* 194242 */   GIM_Reject,
     /* 194243 */ // Label 4372: @194243
     /* 194243 */ GIM_Reject,
     /* 194244 */ // Label 4327: @194244
     /* 194244 */ GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(194328),
     /* 194249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 194252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194256 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(194308), // Rule ID 13302 //
     /* 194261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 194264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194272 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194275 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194279 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194285 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194292 */     // (abs:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSWZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src1)
     /* 194292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSWZrm),
     /* 194295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194297 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194306 */     GIR_RootConstrainSelectedInstOperands,
     /* 194307 */     // GIR_Coverage, 13302,
     /* 194307 */     GIR_EraseRootFromParent_Done,
     /* 194308 */   // Label 4378: @194308
     /* 194308 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(194327), // Rule ID 13299 //
     /* 194313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 194316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194320 */     // (abs:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1)  =>  (VPABSWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1)
     /* 194320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSWZrr),
     /* 194325 */     GIR_RootConstrainSelectedInstOperands,
     /* 194326 */     // GIR_Coverage, 13299,
     /* 194326 */     GIR_Done,
     /* 194327 */   // Label 4379: @194327
     /* 194327 */   GIM_Reject,
     /* 194328 */ // Label 4377: @194328
     /* 194328 */ GIM_Reject,
     /* 194329 */ // Label 4328: @194329
     /* 194329 */ GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(194413),
     /* 194334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 194337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194341 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(194393), // Rule ID 13320 //
     /* 194346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 194349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 194353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 194357 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 194360 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 194364 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 194368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 194370 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 194377 */     // (abs:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPABSBZrm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src1)
     /* 194377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPABSBZrm),
     /* 194380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194382 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 194386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 194391 */     GIR_RootConstrainSelectedInstOperands,
     /* 194392 */     // GIR_Coverage, 13320,
     /* 194392 */     GIR_EraseRootFromParent_Done,
     /* 194393 */   // Label 4381: @194393
     /* 194393 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(194412), // Rule ID 13317 //
     /* 194398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBWI),
     /* 194401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194405 */     // (abs:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1)  =>  (VPABSBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1)
     /* 194405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPABSBZrr),
     /* 194410 */     GIR_RootConstrainSelectedInstOperands,
     /* 194411 */     // GIR_Coverage, 13317,
     /* 194411 */     GIR_Done,
     /* 194412 */   // Label 4382: @194412
     /* 194412 */   GIM_Reject,
     /* 194413 */ // Label 4380: @194413
     /* 194413 */ GIM_Reject,
     /* 194414 */ // Label 4329: @194414
     /* 194414 */ GIM_Reject,
     /* 194415 */ // Label 59: @194415
     /* 194415 */ GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(194430), // Rule ID 630 //
     /* 194420 */   // MIs[0] dst
     /* 194420 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 194423 */   // (br (bb:{ *:[Other] }):$dst)  =>  (JMP_1 (bb:{ *:[Other] }):$dst)
     /* 194423 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::JMP_1),
     /* 194428 */   GIR_RootConstrainSelectedInstOperands,
     /* 194429 */   // GIR_Coverage, 630,
     /* 194429 */   GIR_Done,
     /* 194430 */ // Label 4383: @194430
     /* 194430 */ GIM_Reject,
     /* 194431 */ // Label 60: @194431
     /* 194431 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(22), /*)*//*default:*//*Label 4398*/ GIMT_Encode4(197359),
     /* 194442 */ /*GILLT_s1*//*Label 4384*/ GIMT_Encode4(194530), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 194470 */ /*GILLT_v2s1*//*Label 4385*/ GIMT_Encode4(194771),
     /* 194474 */ /*GILLT_v2s64*//*Label 4386*/ GIMT_Encode4(194972),
     /* 194478 */ /*GILLT_v4s1*//*Label 4387*/ GIMT_Encode4(195453),
     /* 194482 */ /*GILLT_v4s32*//*Label 4388*/ GIMT_Encode4(195614),
     /* 194486 */ /*GILLT_v4s64*//*Label 4389*/ GIMT_Encode4(196095),
     /* 194490 */ /*GILLT_v8s1*//*Label 4390*/ GIMT_Encode4(196178),
     /* 194494 */ /*GILLT_v8s16*//*Label 4391*/ GIMT_Encode4(196299),
     /* 194498 */ /*GILLT_v8s32*//*Label 4392*/ GIMT_Encode4(196780), GIMT_Encode4(0),
     /* 194506 */ /*GILLT_v16s1*//*Label 4393*/ GIMT_Encode4(196863),
     /* 194510 */ /*GILLT_v16s8*//*Label 4394*/ GIMT_Encode4(196944),
     /* 194514 */ /*GILLT_v16s16*//*Label 4395*/ GIMT_Encode4(197185), GIMT_Encode4(0),
     /* 194522 */ /*GILLT_v32s1*//*Label 4396*/ GIMT_Encode4(197268),
     /* 194526 */ /*GILLT_v32s8*//*Label 4397*/ GIMT_Encode4(197309),
     /* 194530 */ // Label 4384: @194530
     /* 194530 */ GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(194570), // Rule ID 19601 //
     /* 194535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s1,
     /* 194538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 194542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 194546 */   // MIs[0] Operand 2
     /* 194546 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194557 */   // (extract_subvector:{ *:[v1i1] } VK2:{ *:[v2i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK2:{ *:[v2i1] }:$src, VK1:{ *:[i32] })
     /* 194557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194562 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194564 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 194569 */   // GIR_Coverage, 19601,
     /* 194569 */   GIR_EraseRootFromParent_Done,
     /* 194570 */ // Label 4399: @194570
     /* 194570 */ GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(194610), // Rule ID 19603 //
     /* 194575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 194578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 194582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 194586 */   // MIs[0] Operand 2
     /* 194586 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194597 */   // (extract_subvector:{ *:[v1i1] } VK4:{ *:[v4i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK4:{ *:[v4i1] }:$src, VK1:{ *:[i32] })
     /* 194597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194602 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194604 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 194609 */   // GIR_Coverage, 19603,
     /* 194609 */   GIR_EraseRootFromParent_Done,
     /* 194610 */ // Label 4400: @194610
     /* 194610 */ GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(194650), // Rule ID 19605 //
     /* 194615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 194618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 194622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 194626 */   // MIs[0] Operand 2
     /* 194626 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194637 */   // (extract_subvector:{ *:[v1i1] } VK8:{ *:[v8i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK8:{ *:[v8i1] }:$src, VK1:{ *:[i32] })
     /* 194637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194642 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194644 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 194649 */   // GIR_Coverage, 19605,
     /* 194649 */   GIR_EraseRootFromParent_Done,
     /* 194650 */ // Label 4401: @194650
     /* 194650 */ GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(194690), // Rule ID 19607 //
     /* 194655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 194658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 194662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 194666 */   // MIs[0] Operand 2
     /* 194666 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194677 */   // (extract_subvector:{ *:[v1i1] } VK16:{ *:[v16i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK16:{ *:[v16i1] }:$src, VK1:{ *:[i32] })
     /* 194677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194682 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194684 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 194689 */   // GIR_Coverage, 19607,
     /* 194689 */   GIR_EraseRootFromParent_Done,
     /* 194690 */ // Label 4402: @194690
     /* 194690 */ GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(194730), // Rule ID 19609 //
     /* 194695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 194698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 194702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 194706 */   // MIs[0] Operand 2
     /* 194706 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194717 */   // (extract_subvector:{ *:[v1i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK32:{ *:[v32i1] }:$src, VK1:{ *:[i32] })
     /* 194717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194722 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194724 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 194729 */   // GIR_Coverage, 19609,
     /* 194729 */   GIR_EraseRootFromParent_Done,
     /* 194730 */ // Label 4403: @194730
     /* 194730 */ GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(194770), // Rule ID 19611 //
     /* 194735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 194738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK1RegClassID),
     /* 194742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 194746 */   // MIs[0] Operand 2
     /* 194746 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194757 */   // (extract_subvector:{ *:[v1i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v1i1] } VK64:{ *:[v64i1] }:$src, VK1:{ *:[i32] })
     /* 194757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194762 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194764 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK1RegClassID),
     /* 194769 */   // GIR_Coverage, 19611,
     /* 194769 */   GIR_EraseRootFromParent_Done,
     /* 194770 */ // Label 4404: @194770
     /* 194770 */ GIM_Reject,
     /* 194771 */ // Label 4385: @194771
     /* 194771 */ GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(194811), // Rule ID 19613 //
     /* 194776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s1,
     /* 194779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 194783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 194787 */   // MIs[0] Operand 2
     /* 194787 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194798 */   // (extract_subvector:{ *:[v2i1] } VK4:{ *:[v4i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK4:{ *:[v4i1] }:$src, VK2:{ *:[i32] })
     /* 194798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194803 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194805 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 194810 */   // GIR_Coverage, 19613,
     /* 194810 */   GIR_EraseRootFromParent_Done,
     /* 194811 */ // Label 4405: @194811
     /* 194811 */ GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(194851), // Rule ID 19615 //
     /* 194816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 194819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 194823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 194827 */   // MIs[0] Operand 2
     /* 194827 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194838 */   // (extract_subvector:{ *:[v2i1] } VK8:{ *:[v8i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK8:{ *:[v8i1] }:$src, VK2:{ *:[i32] })
     /* 194838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194843 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194845 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 194850 */   // GIR_Coverage, 19615,
     /* 194850 */   GIR_EraseRootFromParent_Done,
     /* 194851 */ // Label 4406: @194851
     /* 194851 */ GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(194891), // Rule ID 19617 //
     /* 194856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 194859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 194863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 194867 */   // MIs[0] Operand 2
     /* 194867 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194878 */   // (extract_subvector:{ *:[v2i1] } VK16:{ *:[v16i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK16:{ *:[v16i1] }:$src, VK2:{ *:[i32] })
     /* 194878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194883 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194885 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 194890 */   // GIR_Coverage, 19617,
     /* 194890 */   GIR_EraseRootFromParent_Done,
     /* 194891 */ // Label 4407: @194891
     /* 194891 */ GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(194931), // Rule ID 19619 //
     /* 194896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 194899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 194903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 194907 */   // MIs[0] Operand 2
     /* 194907 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194918 */   // (extract_subvector:{ *:[v2i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK32:{ *:[v32i1] }:$src, VK2:{ *:[i32] })
     /* 194918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194923 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194925 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 194930 */   // GIR_Coverage, 19619,
     /* 194930 */   GIR_EraseRootFromParent_Done,
     /* 194931 */ // Label 4408: @194931
     /* 194931 */ GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(194971), // Rule ID 19621 //
     /* 194936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 194939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK2RegClassID),
     /* 194943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 194947 */   // MIs[0] Operand 2
     /* 194947 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 194958 */   // (extract_subvector:{ *:[v2i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v2i1] } VK64:{ *:[v64i1] }:$src, VK2:{ *:[i32] })
     /* 194958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 194961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 194963 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 194965 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK2RegClassID),
     /* 194970 */   // GIR_Coverage, 19621,
     /* 194970 */   GIR_EraseRootFromParent_Done,
     /* 194971 */ // Label 4409: @194971
     /* 194971 */ GIM_Reject,
     /* 194972 */ // Label 4386: @194972
     /* 194972 */ GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(195043), // Rule ID 19052 //
     /* 194977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 194980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 194983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 194987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 194991 */   // MIs[0] Operand 2
     /* 194991 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 195002 */   // (extract_subvector:{ *:[v2i64] } VR512:{ *:[v8i64] }:$src, 2:{ *:[iPTR] })  =>  (VEXTRACTI128rri:{ *:[v2i64] } (EXTRACT_SUBREG:{ *:[v4i64] } VR512:{ *:[v8i64] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /* 195005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195014 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195020 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195025 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI128rri),
     /* 195033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195041 */   GIR_RootConstrainSelectedInstOperands,
     /* 195042 */   // GIR_Coverage, 19052,
     /* 195042 */   GIR_EraseRootFromParent_Done,
     /* 195043 */ // Label 4410: @195043
     /* 195043 */ GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(195114), // Rule ID 19053 //
     /* 195048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 195051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 195058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195062 */   // MIs[0] Operand 2
     /* 195062 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 195073 */   // (extract_subvector:{ *:[v2f64] } VR512:{ *:[v8f64] }:$src, 2:{ *:[iPTR] })  =>  (VEXTRACTF128rri:{ *:[v2f64] } (EXTRACT_SUBREG:{ *:[v4f64] } VR512:{ *:[v8f64] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195073 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /* 195076 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195080 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195085 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195091 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195096 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF128rri),
     /* 195104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195112 */   GIR_RootConstrainSelectedInstOperands,
     /* 195113 */   // GIR_Coverage, 19053,
     /* 195113 */   GIR_EraseRootFromParent_Done,
     /* 195114 */ // Label 4411: @195114
     /* 195114 */ GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(195185), // Rule ID 19059 //
     /* 195119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 195122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 195129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195133 */   // MIs[0] Operand 2
     /* 195133 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 195144 */   // (extract_subvector:{ *:[v2i64] } VR512:{ *:[v8i64] }:$src, 2:{ *:[iPTR] })  =>  (VEXTRACTI32X4Z256rri:{ *:[v2i64] } (EXTRACT_SUBREG:{ *:[v4i64] } VR512:{ *:[v8i64] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /* 195147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195156 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195162 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195167 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI32X4Z256rri),
     /* 195175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195177 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195183 */   GIR_RootConstrainSelectedInstOperands,
     /* 195184 */   // GIR_Coverage, 19059,
     /* 195184 */   GIR_EraseRootFromParent_Done,
     /* 195185 */ // Label 4412: @195185
     /* 195185 */ GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(195256), // Rule ID 19060 //
     /* 195190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 195193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 195200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195204 */   // MIs[0] Operand 2
     /* 195204 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 195215 */   // (extract_subvector:{ *:[v2f64] } VR512:{ *:[v8f64] }:$src, 2:{ *:[iPTR] })  =>  (VEXTRACTF32X4Z256rri:{ *:[v2f64] } (EXTRACT_SUBREG:{ *:[v4f64] } VR512:{ *:[v8f64] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195215 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s64,
     /* 195218 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195222 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195227 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195233 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195238 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF32X4Z256rri),
     /* 195246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195248 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195254 */   GIR_RootConstrainSelectedInstOperands,
     /* 195255 */   // GIR_Coverage, 19060,
     /* 195255 */   GIR_EraseRootFromParent_Done,
     /* 195256 */ // Label 4413: @195256
     /* 195256 */ GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(195305), // Rule ID 23004 //
     /* 195261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 195264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 195268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 195272 */   // MIs[0] Operand 2
     /* 195272 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195283 */   // (extract_subvector:{ *:[v2i64] } VR256:{ *:[v4i64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v2i64] } VR256:{ *:[v4i64] }:$src, sub_xmm:{ *:[i32] })
     /* 195283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195288 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195294 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 195299 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 195304 */   // GIR_Coverage, 23004,
     /* 195304 */   GIR_EraseRootFromParent_Done,
     /* 195305 */ // Label 4414: @195305
     /* 195305 */ GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(195354), // Rule ID 23007 //
     /* 195310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 195313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 195317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 195321 */   // MIs[0] Operand 2
     /* 195321 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195332 */   // (extract_subvector:{ *:[v2f64] } VR256:{ *:[v4f64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v2f64] } VR256:{ *:[v4f64] }:$src, sub_xmm:{ *:[i32] })
     /* 195332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195337 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195343 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 195348 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 195353 */   // GIR_Coverage, 23007,
     /* 195353 */   GIR_EraseRootFromParent_Done,
     /* 195354 */ // Label 4415: @195354
     /* 195354 */ GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(195403), // Rule ID 23025 //
     /* 195359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 195366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195370 */   // MIs[0] Operand 2
     /* 195370 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195381 */   // (extract_subvector:{ *:[v2i64] } VR512:{ *:[v8i64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v2i64] } VR512:{ *:[v8i64] }:$src, sub_xmm:{ *:[i32] })
     /* 195381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195386 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195392 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 195397 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195402 */   // GIR_Coverage, 23025,
     /* 195402 */   GIR_EraseRootFromParent_Done,
     /* 195403 */ // Label 4416: @195403
     /* 195403 */ GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(195452), // Rule ID 23028 //
     /* 195408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 195411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 195415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195419 */   // MIs[0] Operand 2
     /* 195419 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195430 */   // (extract_subvector:{ *:[v2f64] } VR512:{ *:[v8f64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v2f64] } VR512:{ *:[v8f64] }:$src, sub_xmm:{ *:[i32] })
     /* 195430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195435 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195441 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 195446 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195451 */   // GIR_Coverage, 23028,
     /* 195451 */   GIR_EraseRootFromParent_Done,
     /* 195452 */ // Label 4417: @195452
     /* 195452 */ GIM_Reject,
     /* 195453 */ // Label 4387: @195453
     /* 195453 */ GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(195493), // Rule ID 19623 //
     /* 195458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s1,
     /* 195461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 195465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 195469 */   // MIs[0] Operand 2
     /* 195469 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195480 */   // (extract_subvector:{ *:[v4i1] } VK8:{ *:[v8i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } VK8:{ *:[v8i1] }:$src, VK4:{ *:[i32] })
     /* 195480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195485 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195487 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 195492 */   // GIR_Coverage, 19623,
     /* 195492 */   GIR_EraseRootFromParent_Done,
     /* 195493 */ // Label 4418: @195493
     /* 195493 */ GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(195533), // Rule ID 19625 //
     /* 195498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 195501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 195505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 195509 */   // MIs[0] Operand 2
     /* 195509 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195520 */   // (extract_subvector:{ *:[v4i1] } VK16:{ *:[v16i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } VK16:{ *:[v16i1] }:$src, VK4:{ *:[i32] })
     /* 195520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195525 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195527 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 195532 */   // GIR_Coverage, 19625,
     /* 195532 */   GIR_EraseRootFromParent_Done,
     /* 195533 */ // Label 4419: @195533
     /* 195533 */ GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(195573), // Rule ID 19627 //
     /* 195538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 195541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 195545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 195549 */   // MIs[0] Operand 2
     /* 195549 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195560 */   // (extract_subvector:{ *:[v4i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } VK32:{ *:[v32i1] }:$src, VK4:{ *:[i32] })
     /* 195560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195565 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195567 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 195572 */   // GIR_Coverage, 19627,
     /* 195572 */   GIR_EraseRootFromParent_Done,
     /* 195573 */ // Label 4420: @195573
     /* 195573 */ GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(195613), // Rule ID 19629 //
     /* 195578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 195581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK4RegClassID),
     /* 195585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 195589 */   // MIs[0] Operand 2
     /* 195589 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195600 */   // (extract_subvector:{ *:[v4i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v4i1] } VK64:{ *:[v64i1] }:$src, VK4:{ *:[i32] })
     /* 195600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195605 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 195607 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK4RegClassID),
     /* 195612 */   // GIR_Coverage, 19629,
     /* 195612 */   GIR_EraseRootFromParent_Done,
     /* 195613 */ // Label 4421: @195613
     /* 195613 */ GIM_Reject,
     /* 195614 */ // Label 4388: @195614
     /* 195614 */ GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(195685), // Rule ID 19054 //
     /* 195619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 195622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 195625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 195629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195633 */   // MIs[0] Operand 2
     /* 195633 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 195644 */   // (extract_subvector:{ *:[v4i32] } VR512:{ *:[v16i32] }:$src, 4:{ *:[iPTR] })  =>  (VEXTRACTI128rri:{ *:[v4i32] } (EXTRACT_SUBREG:{ *:[v8i32] } VR512:{ *:[v16i32] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195644 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 195647 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195651 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195656 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195662 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195667 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI128rri),
     /* 195675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195683 */   GIR_RootConstrainSelectedInstOperands,
     /* 195684 */   // GIR_Coverage, 19054,
     /* 195684 */   GIR_EraseRootFromParent_Done,
     /* 195685 */ // Label 4422: @195685
     /* 195685 */ GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(195756), // Rule ID 19055 //
     /* 195690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 195693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 195696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 195700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195704 */   // MIs[0] Operand 2
     /* 195704 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 195715 */   // (extract_subvector:{ *:[v4f32] } VR512:{ *:[v16f32] }:$src, 4:{ *:[iPTR] })  =>  (VEXTRACTF128rri:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v8f32] } VR512:{ *:[v16f32] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195715 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 195718 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195722 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195727 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195733 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195738 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF128rri),
     /* 195746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195748 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195754 */   GIR_RootConstrainSelectedInstOperands,
     /* 195755 */   // GIR_Coverage, 19055,
     /* 195755 */   GIR_EraseRootFromParent_Done,
     /* 195756 */ // Label 4423: @195756
     /* 195756 */ GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(195827), // Rule ID 19061 //
     /* 195761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 195764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 195767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 195771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195775 */   // MIs[0] Operand 2
     /* 195775 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 195786 */   // (extract_subvector:{ *:[v4i32] } VR512:{ *:[v16i32] }:$src, 4:{ *:[iPTR] })  =>  (VEXTRACTI32X4Z256rri:{ *:[v4i32] } (EXTRACT_SUBREG:{ *:[v8i32] } VR512:{ *:[v16i32] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195786 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 195789 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195793 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195798 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195804 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195809 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI32X4Z256rri),
     /* 195817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195819 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195825 */   GIR_RootConstrainSelectedInstOperands,
     /* 195826 */   // GIR_Coverage, 19061,
     /* 195826 */   GIR_EraseRootFromParent_Done,
     /* 195827 */ // Label 4424: @195827
     /* 195827 */ GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(195898), // Rule ID 19062 //
     /* 195832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 195835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 195838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 195842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 195846 */   // MIs[0] Operand 2
     /* 195846 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 195857 */   // (extract_subvector:{ *:[v4f32] } VR512:{ *:[v16f32] }:$src, 4:{ *:[iPTR] })  =>  (VEXTRACTF32X4Z256rri:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v8f32] } VR512:{ *:[v16f32] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 195857 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s32,
     /* 195860 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195864 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 195869 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 195875 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 195880 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 195885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF32X4Z256rri),
     /* 195888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195890 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 195893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 195896 */   GIR_RootConstrainSelectedInstOperands,
     /* 195897 */   // GIR_Coverage, 19062,
     /* 195897 */   GIR_EraseRootFromParent_Done,
     /* 195898 */ // Label 4425: @195898
     /* 195898 */ GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(195947), // Rule ID 22998 //
     /* 195903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 195906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 195910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 195914 */   // MIs[0] Operand 2
     /* 195914 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195925 */   // (extract_subvector:{ *:[v4i32] } VR256:{ *:[v8i32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4i32] } VR256:{ *:[v8i32] }:$src, sub_xmm:{ *:[i32] })
     /* 195925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195930 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195936 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 195941 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 195946 */   // GIR_Coverage, 22998,
     /* 195946 */   GIR_EraseRootFromParent_Done,
     /* 195947 */ // Label 4426: @195947
     /* 195947 */ GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(195996), // Rule ID 23001 //
     /* 195952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 195955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 195959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 195963 */   // MIs[0] Operand 2
     /* 195963 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 195974 */   // (extract_subvector:{ *:[v4f32] } VR256:{ *:[v8f32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4f32] } VR256:{ *:[v8f32] }:$src, sub_xmm:{ *:[i32] })
     /* 195974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 195977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 195979 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 195985 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 195990 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 195995 */   // GIR_Coverage, 23001,
     /* 195995 */   GIR_EraseRootFromParent_Done,
     /* 195996 */ // Label 4427: @195996
     /* 195996 */ GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(196045), // Rule ID 23019 //
     /* 196001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 196004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 196008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196012 */   // MIs[0] Operand 2
     /* 196012 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196023 */   // (extract_subvector:{ *:[v4i32] } VR512:{ *:[v16i32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4i32] } VR512:{ *:[v16i32] }:$src, sub_xmm:{ *:[i32] })
     /* 196023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196028 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196034 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 196039 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196044 */   // GIR_Coverage, 23019,
     /* 196044 */   GIR_EraseRootFromParent_Done,
     /* 196045 */ // Label 4428: @196045
     /* 196045 */ GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(196094), // Rule ID 23022 //
     /* 196050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 196053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 196057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196061 */   // MIs[0] Operand 2
     /* 196061 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196072 */   // (extract_subvector:{ *:[v4f32] } VR512:{ *:[v16f32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4f32] } VR512:{ *:[v16f32] }:$src, sub_xmm:{ *:[i32] })
     /* 196072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196077 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196083 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 196088 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196093 */   // GIR_Coverage, 23022,
     /* 196093 */   GIR_EraseRootFromParent_Done,
     /* 196094 */ // Label 4429: @196094
     /* 196094 */ GIM_Reject,
     /* 196095 */ // Label 4389: @196095
     /* 196095 */ GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(196177),
     /* 196100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 196103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 196107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196111 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196122 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(196149), // Rule ID 23046 //
     /* 196127 */     // (extract_subvector:{ *:[v4i64] } VR512:{ *:[v8i64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4i64] } VR512:{ *:[v8i64] }:$src, sub_ymm:{ *:[i32] })
     /* 196127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196132 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196138 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196143 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196148 */     // GIR_Coverage, 23046,
     /* 196148 */     GIR_EraseRootFromParent_Done,
     /* 196149 */   // Label 4431: @196149
     /* 196149 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(196176), // Rule ID 23049 //
     /* 196154 */     // (extract_subvector:{ *:[v4f64] } VR512:{ *:[v8f64] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v4f64] } VR512:{ *:[v8f64] }:$src, sub_ymm:{ *:[i32] })
     /* 196154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196159 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196165 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196170 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196175 */     // GIR_Coverage, 23049,
     /* 196175 */     GIR_EraseRootFromParent_Done,
     /* 196176 */   // Label 4432: @196176
     /* 196176 */   GIM_Reject,
     /* 196177 */ // Label 4430: @196177
     /* 196177 */ GIM_Reject,
     /* 196178 */ // Label 4390: @196178
     /* 196178 */ GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(196218), // Rule ID 19631 //
     /* 196183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s1,
     /* 196186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 196190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 196194 */   // MIs[0] Operand 2
     /* 196194 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196205 */   // (extract_subvector:{ *:[v8i1] } VK16:{ *:[v16i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } VK16:{ *:[v16i1] }:$src, VK8:{ *:[i32] })
     /* 196205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196210 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196212 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 196217 */   // GIR_Coverage, 19631,
     /* 196217 */   GIR_EraseRootFromParent_Done,
     /* 196218 */ // Label 4433: @196218
     /* 196218 */ GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(196258), // Rule ID 19633 //
     /* 196223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 196226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 196230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 196234 */   // MIs[0] Operand 2
     /* 196234 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196245 */   // (extract_subvector:{ *:[v8i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } VK32:{ *:[v32i1] }:$src, VK8:{ *:[i32] })
     /* 196245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196250 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196252 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 196257 */   // GIR_Coverage, 19633,
     /* 196257 */   GIR_EraseRootFromParent_Done,
     /* 196258 */ // Label 4434: @196258
     /* 196258 */ GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(196298), // Rule ID 19635 //
     /* 196263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 196266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK8RegClassID),
     /* 196270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 196274 */   // MIs[0] Operand 2
     /* 196274 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196285 */   // (extract_subvector:{ *:[v8i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v8i1] } VK64:{ *:[v64i1] }:$src, VK8:{ *:[i32] })
     /* 196285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196290 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196292 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK8RegClassID),
     /* 196297 */   // GIR_Coverage, 19635,
     /* 196297 */   GIR_EraseRootFromParent_Done,
     /* 196298 */ // Label 4435: @196298
     /* 196298 */ GIM_Reject,
     /* 196299 */ // Label 4391: @196299
     /* 196299 */ GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(196370), // Rule ID 19056 //
     /* 196304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 196307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 196314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196318 */   // MIs[0] Operand 2
     /* 196318 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 196329 */   // (extract_subvector:{ *:[v8i16] } VR512:{ *:[v32i16] }:$src, 8:{ *:[iPTR] })  =>  (VEXTRACTI128rri:{ *:[v8i16] } (EXTRACT_SUBREG:{ *:[v16i16] } VR512:{ *:[v32i16] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196329 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 196332 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196336 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196341 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196347 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196352 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI128rri),
     /* 196360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196368 */   GIR_RootConstrainSelectedInstOperands,
     /* 196369 */   // GIR_Coverage, 19056,
     /* 196369 */   GIR_EraseRootFromParent_Done,
     /* 196370 */ // Label 4436: @196370
     /* 196370 */ GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(196441), // Rule ID 19057 //
     /* 196375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 196378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 196385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196389 */   // MIs[0] Operand 2
     /* 196389 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 196400 */   // (extract_subvector:{ *:[v8f16] } VR512:{ *:[v32f16] }:$src, 8:{ *:[iPTR] })  =>  (VEXTRACTF128rri:{ *:[v8f16] } (EXTRACT_SUBREG:{ *:[v16f16] } VR512:{ *:[v32f16] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196400 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 196403 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196407 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196412 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196418 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196423 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF128rri),
     /* 196431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196433 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196439 */   GIR_RootConstrainSelectedInstOperands,
     /* 196440 */   // GIR_Coverage, 19057,
     /* 196440 */   GIR_EraseRootFromParent_Done,
     /* 196441 */ // Label 4437: @196441
     /* 196441 */ GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(196512), // Rule ID 19063 //
     /* 196446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 196449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 196456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196460 */   // MIs[0] Operand 2
     /* 196460 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 196471 */   // (extract_subvector:{ *:[v8i16] } VR512:{ *:[v32i16] }:$src, 8:{ *:[iPTR] })  =>  (VEXTRACTI32X4Z256rri:{ *:[v8i16] } (EXTRACT_SUBREG:{ *:[v16i16] } VR512:{ *:[v32i16] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196471 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 196474 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196478 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196483 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196489 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196494 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI32X4Z256rri),
     /* 196502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196510 */   GIR_RootConstrainSelectedInstOperands,
     /* 196511 */   // GIR_Coverage, 19063,
     /* 196511 */   GIR_EraseRootFromParent_Done,
     /* 196512 */ // Label 4438: @196512
     /* 196512 */ GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(196583), // Rule ID 19064 //
     /* 196517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 196520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 196527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196531 */   // MIs[0] Operand 2
     /* 196531 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 196542 */   // (extract_subvector:{ *:[v8f16] } VR512:{ *:[v32f16] }:$src, 8:{ *:[iPTR] })  =>  (VEXTRACTF32X4Z256rri:{ *:[v8f16] } (EXTRACT_SUBREG:{ *:[v16f16] } VR512:{ *:[v32f16] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196542 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s16,
     /* 196545 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196549 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196554 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196560 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196565 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTF32X4Z256rri),
     /* 196573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196575 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 196578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 196581 */   GIR_RootConstrainSelectedInstOperands,
     /* 196582 */   // GIR_Coverage, 19064,
     /* 196582 */   GIR_EraseRootFromParent_Done,
     /* 196583 */ // Label 4439: @196583
     /* 196583 */ GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(196632), // Rule ID 23010 //
     /* 196588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 196591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 196595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 196599 */   // MIs[0] Operand 2
     /* 196599 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196610 */   // (extract_subvector:{ *:[v8i16] } VR256:{ *:[v16i16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8i16] } VR256:{ *:[v16i16] }:$src, sub_xmm:{ *:[i32] })
     /* 196610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196615 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196621 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 196626 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 196631 */   // GIR_Coverage, 23010,
     /* 196631 */   GIR_EraseRootFromParent_Done,
     /* 196632 */ // Label 4440: @196632
     /* 196632 */ GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(196681), // Rule ID 23016 //
     /* 196637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 196640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 196644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 196648 */   // MIs[0] Operand 2
     /* 196648 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196659 */   // (extract_subvector:{ *:[v8f16] } VR256:{ *:[v16f16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8f16] } VR256:{ *:[v16f16] }:$src, sub_xmm:{ *:[i32] })
     /* 196659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196664 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196670 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 196675 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 196680 */   // GIR_Coverage, 23016,
     /* 196680 */   GIR_EraseRootFromParent_Done,
     /* 196681 */ // Label 4441: @196681
     /* 196681 */ GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(196730), // Rule ID 23031 //
     /* 196686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 196693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196697 */   // MIs[0] Operand 2
     /* 196697 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196708 */   // (extract_subvector:{ *:[v8i16] } VR512:{ *:[v32i16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8i16] } VR512:{ *:[v32i16] }:$src, sub_xmm:{ *:[i32] })
     /* 196708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196713 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196719 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 196724 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196729 */   // GIR_Coverage, 23031,
     /* 196729 */   GIR_EraseRootFromParent_Done,
     /* 196730 */ // Label 4442: @196730
     /* 196730 */ GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(196779), // Rule ID 23037 //
     /* 196735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 196738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 196742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196746 */   // MIs[0] Operand 2
     /* 196746 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196757 */   // (extract_subvector:{ *:[v8f16] } VR512:{ *:[v32f16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8f16] } VR512:{ *:[v32f16] }:$src, sub_xmm:{ *:[i32] })
     /* 196757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196762 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 196768 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 196773 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196778 */   // GIR_Coverage, 23037,
     /* 196778 */   GIR_EraseRootFromParent_Done,
     /* 196779 */ // Label 4443: @196779
     /* 196779 */ GIM_Reject,
     /* 196780 */ // Label 4392: @196780
     /* 196780 */ GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(196862),
     /* 196785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 196788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 196792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196796 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196807 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(196834), // Rule ID 23040 //
     /* 196812 */     // (extract_subvector:{ *:[v8i32] } VR512:{ *:[v16i32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8i32] } VR512:{ *:[v16i32] }:$src, sub_ymm:{ *:[i32] })
     /* 196812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196817 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196823 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196828 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196833 */     // GIR_Coverage, 23040,
     /* 196833 */     GIR_EraseRootFromParent_Done,
     /* 196834 */   // Label 4445: @196834
     /* 196834 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(196861), // Rule ID 23043 //
     /* 196839 */     // (extract_subvector:{ *:[v8f32] } VR512:{ *:[v16f32] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v8f32] } VR512:{ *:[v16f32] }:$src, sub_ymm:{ *:[i32] })
     /* 196839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196844 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196850 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196855 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 196860 */     // GIR_Coverage, 23043,
     /* 196860 */     GIR_EraseRootFromParent_Done,
     /* 196861 */   // Label 4446: @196861
     /* 196861 */   GIM_Reject,
     /* 196862 */ // Label 4444: @196862
     /* 196862 */ GIM_Reject,
     /* 196863 */ // Label 4393: @196863
     /* 196863 */ GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(196903), // Rule ID 19637 //
     /* 196868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s1,
     /* 196871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 196875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 196879 */   // MIs[0] Operand 2
     /* 196879 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196890 */   // (extract_subvector:{ *:[v16i1] } VK32:{ *:[v32i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } VK32:{ *:[v32i1] }:$src, VK16:{ *:[i32] })
     /* 196890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196895 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196897 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 196902 */   // GIR_Coverage, 19637,
     /* 196902 */   GIR_EraseRootFromParent_Done,
     /* 196903 */ // Label 4447: @196903
     /* 196903 */ GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(196943), // Rule ID 19639 //
     /* 196908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 196911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK16RegClassID),
     /* 196915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 196919 */   // MIs[0] Operand 2
     /* 196919 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 196930 */   // (extract_subvector:{ *:[v16i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v16i1] } VK64:{ *:[v64i1] }:$src, VK16:{ *:[i32] })
     /* 196930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 196935 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 196937 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK16RegClassID),
     /* 196942 */   // GIR_Coverage, 19639,
     /* 196942 */   GIR_EraseRootFromParent_Done,
     /* 196943 */ // Label 4448: @196943
     /* 196943 */ GIM_Reject,
     /* 196944 */ // Label 4394: @196944
     /* 196944 */ GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(197015), // Rule ID 19058 //
     /* 196949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_NoVLX),
     /* 196952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 196955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 196959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 196963 */   // MIs[0] Operand 2
     /* 196963 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 196974 */   // (extract_subvector:{ *:[v16i8] } VR512:{ *:[v64i8] }:$src, 16:{ *:[iPTR] })  =>  (VEXTRACTI128rri:{ *:[v16i8] } (EXTRACT_SUBREG:{ *:[v32i8] } VR512:{ *:[v64i8] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 196974 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s8,
     /* 196977 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 196981 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 196986 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 196992 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 196997 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI128rri),
     /* 197005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197007 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 197010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197013 */   GIR_RootConstrainSelectedInstOperands,
     /* 197014 */   // GIR_Coverage, 19058,
     /* 197014 */   GIR_EraseRootFromParent_Done,
     /* 197015 */ // Label 4449: @197015
     /* 197015 */ GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(197086), // Rule ID 19065 //
     /* 197020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 197023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 197026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197034 */   // MIs[0] Operand 2
     /* 197034 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 197045 */   // (extract_subvector:{ *:[v16i8] } VR512:{ *:[v64i8] }:$src, 16:{ *:[iPTR] })  =>  (VEXTRACTI32X4Z256rri:{ *:[v16i8] } (EXTRACT_SUBREG:{ *:[v32i8] } VR512:{ *:[v64i8] }:$src, sub_ymm:{ *:[i32] }), 1:{ *:[i8] })
     /* 197045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v32s8,
     /* 197048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 197057 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197063 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197068 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VEXTRACTI32X4Z256rri),
     /* 197076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 197081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 197084 */   GIR_RootConstrainSelectedInstOperands,
     /* 197085 */   // GIR_Coverage, 19065,
     /* 197085 */   GIR_EraseRootFromParent_Done,
     /* 197086 */ // Label 4450: @197086
     /* 197086 */ GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(197135), // Rule ID 23013 //
     /* 197091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 197094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16RegClassID),
     /* 197098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 197102 */   // MIs[0] Operand 2
     /* 197102 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197113 */   // (extract_subvector:{ *:[v16i8] } VR256:{ *:[v32i8] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v16i8] } VR256:{ *:[v32i8] }:$src, sub_xmm:{ *:[i32] })
     /* 197113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197118 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 197124 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16RegClassID),
     /* 197129 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR256RegClassID),
     /* 197134 */   // GIR_Coverage, 23013,
     /* 197134 */   GIR_EraseRootFromParent_Done,
     /* 197135 */ // Label 4451: @197135
     /* 197135 */ GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(197184), // Rule ID 23034 //
     /* 197140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 197143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 197147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197151 */   // MIs[0] Operand 2
     /* 197151 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197162 */   // (extract_subvector:{ *:[v16i8] } VR512:{ *:[v64i8] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v16i8] } VR512:{ *:[v64i8] }:$src, sub_xmm:{ *:[i32] })
     /* 197162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197167 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(11), // src
     /* 197173 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 197178 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197183 */   // GIR_Coverage, 23034,
     /* 197183 */   GIR_EraseRootFromParent_Done,
     /* 197184 */ // Label 4452: @197184
     /* 197184 */ GIM_Reject,
     /* 197185 */ // Label 4395: @197185
     /* 197185 */ GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(197267),
     /* 197190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 197193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 197197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197201 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197212 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(197239), // Rule ID 23052 //
     /* 197217 */     // (extract_subvector:{ *:[v16i16] } VR512:{ *:[v32i16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v16i16] } VR512:{ *:[v32i16] }:$src, sub_ymm:{ *:[i32] })
     /* 197217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197222 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197228 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197233 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197238 */     // GIR_Coverage, 23052,
     /* 197238 */     GIR_EraseRootFromParent_Done,
     /* 197239 */   // Label 4454: @197239
     /* 197239 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(197266), // Rule ID 23058 //
     /* 197244 */     // (extract_subvector:{ *:[v16f16] } VR512:{ *:[v32f16] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v16f16] } VR512:{ *:[v32f16] }:$src, sub_ymm:{ *:[i32] })
     /* 197244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197249 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197255 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197260 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197265 */     // GIR_Coverage, 23058,
     /* 197265 */     GIR_EraseRootFromParent_Done,
     /* 197266 */   // Label 4455: @197266
     /* 197266 */   GIM_Reject,
     /* 197267 */ // Label 4453: @197267
     /* 197267 */ GIM_Reject,
     /* 197268 */ // Label 4396: @197268
     /* 197268 */ GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(197308), // Rule ID 19641 //
     /* 197273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s1,
     /* 197276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VK32RegClassID),
     /* 197280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VK64RegClassID),
     /* 197284 */   // MIs[0] Operand 2
     /* 197284 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197295 */   // (extract_subvector:{ *:[v32i1] } VK64:{ *:[v64i1] }:$src, 0:{ *:[iPTR] })  =>  (COPY_TO_REGCLASS:{ *:[v32i1] } VK64:{ *:[v64i1] }:$src, VK32:{ *:[i32] })
     /* 197295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197300 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197302 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VK32RegClassID),
     /* 197307 */   // GIR_Coverage, 19641,
     /* 197307 */   GIR_EraseRootFromParent_Done,
     /* 197308 */ // Label 4456: @197308
     /* 197308 */ GIM_Reject,
     /* 197309 */ // Label 4397: @197309
     /* 197309 */ GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(197358), // Rule ID 23055 //
     /* 197314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 197317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 197321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 197325 */   // MIs[0] Operand 2
     /* 197325 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 197336 */   // (extract_subvector:{ *:[v32i8] } VR512:{ *:[v64i8] }:$src, 0:{ *:[iPTR] })  =>  (EXTRACT_SUBREG:{ *:[v32i8] } VR512:{ *:[v64i8] }:$src, sub_ymm:{ *:[i32] })
     /* 197336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 197339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197341 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(12), // src
     /* 197347 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 197352 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 197357 */   // GIR_Coverage, 23055,
     /* 197357 */   GIR_EraseRootFromParent_Done,
     /* 197358 */ // Label 4457: @197358
     /* 197358 */ GIM_Reject,
     /* 197359 */ // Label 4398: @197359
     /* 197359 */ GIM_Reject,
     /* 197360 */ // Label 61: @197360
     /* 197360 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(8), GIMT_Encode2(25), /*)*//*default:*//*Label 4470*/ GIMT_Encode4(199341),
     /* 197371 */ /*GILLT_v2s64*//*Label 4458*/ GIMT_Encode4(197439), GIMT_Encode4(0),
     /* 197379 */ /*GILLT_v4s32*//*Label 4459*/ GIMT_Encode4(197641),
     /* 197383 */ /*GILLT_v4s64*//*Label 4460*/ GIMT_Encode4(197843), GIMT_Encode4(0),
     /* 197391 */ /*GILLT_v8s16*//*Label 4461*/ GIMT_Encode4(198045),
     /* 197395 */ /*GILLT_v8s32*//*Label 4462*/ GIMT_Encode4(198160),
     /* 197399 */ /*GILLT_v8s64*//*Label 4463*/ GIMT_Encode4(198362), GIMT_Encode4(0),
     /* 197407 */ /*GILLT_v16s8*//*Label 4464*/ GIMT_Encode4(198564),
     /* 197411 */ /*GILLT_v16s16*//*Label 4465*/ GIMT_Encode4(198679),
     /* 197415 */ /*GILLT_v16s32*//*Label 4466*/ GIMT_Encode4(198794), GIMT_Encode4(0),
     /* 197423 */ /*GILLT_v32s8*//*Label 4467*/ GIMT_Encode4(198996),
     /* 197427 */ /*GILLT_v32s16*//*Label 4468*/ GIMT_Encode4(199111), GIMT_Encode4(0),
     /* 197435 */ /*GILLT_v64s8*//*Label 4469*/ GIMT_Encode4(199226),
     /* 197439 */ // Label 4458: @197439
     /* 197439 */ GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(197640),
     /* 197444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 197447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s1,
     /* 197450 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 197453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK2WMRegClassID),
     /* 197465 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(197498), // Rule ID 21695 //
     /* 197470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197477 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 197483 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 197485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197487 */     // (vector_compress:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, VK2WM:{ *:[v2i1] }:$mask, immAllZerosV:{ *:[v2i64] })  =>  (VPCOMPRESSQZ128rrkz:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src)
     /* 197487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ128rrkz),
     /* 197490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197492 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197494 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197496 */     GIR_RootConstrainSelectedInstOperands,
     /* 197497 */     // GIR_Coverage, 21695,
     /* 197497 */     GIR_EraseRootFromParent_Done,
     /* 197498 */   // Label 4472: @197498
     /* 197498 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(197531), // Rule ID 21731 //
     /* 197503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197510 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 197516 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 197518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197520 */     // (vector_compress:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src, VK2WM:{ *:[v2i1] }:$mask, immAllZerosV:{ *:[v2f64] })  =>  (VCOMPRESSPDZ128rrkz:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src)
     /* 197520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ128rrkz),
     /* 197523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197525 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197529 */     GIR_RootConstrainSelectedInstOperands,
     /* 197530 */     // GIR_Coverage, 21731,
     /* 197530 */     GIR_EraseRootFromParent_Done,
     /* 197531 */   // Label 4473: @197531
     /* 197531 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(197560), // Rule ID 21694 //
     /* 197536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 197547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197549 */     // (vector_compress:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, VK2WM:{ *:[v2i1] }:$mask, (undef:{ *:[v2i64] }))  =>  (VPCOMPRESSQZ128rrkz:{ *:[v2i64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src)
     /* 197549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ128rrkz),
     /* 197552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197554 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197556 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197558 */     GIR_RootConstrainSelectedInstOperands,
     /* 197559 */     // GIR_Coverage, 21694,
     /* 197559 */     GIR_EraseRootFromParent_Done,
     /* 197560 */   // Label 4474: @197560
     /* 197560 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(197589), // Rule ID 21730 //
     /* 197565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 197576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197578 */     // (vector_compress:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src, VK2WM:{ *:[v2i1] }:$mask, (undef:{ *:[v2f64] }))  =>  (VCOMPRESSPDZ128rrkz:{ *:[v2f64] } VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src)
     /* 197578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ128rrkz),
     /* 197581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197583 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197585 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197587 */     GIR_RootConstrainSelectedInstOperands,
     /* 197588 */     // GIR_Coverage, 21730,
     /* 197588 */     GIR_EraseRootFromParent_Done,
     /* 197589 */   // Label 4475: @197589
     /* 197589 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(197614), // Rule ID 21696 //
     /* 197594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197601 */     // (vector_compress:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$passthru)  =>  (VPCOMPRESSQZ128rrk:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$passthru, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2i64] }:$src)
     /* 197601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ128rrk),
     /* 197604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197606 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 197608 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197610 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197612 */     GIR_RootConstrainSelectedInstOperands,
     /* 197613 */     // GIR_Coverage, 21696,
     /* 197613 */     GIR_EraseRootFromParent_Done,
     /* 197614 */   // Label 4476: @197614
     /* 197614 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(197639), // Rule ID 21732 //
     /* 197619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197626 */     // (vector_compress:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$passthru)  =>  (VCOMPRESSPDZ128rrk:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$passthru, VK2WM:{ *:[v2i1] }:$mask, VR128X:{ *:[v2f64] }:$src)
     /* 197626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ128rrk),
     /* 197629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197631 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 197633 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197635 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197637 */     GIR_RootConstrainSelectedInstOperands,
     /* 197638 */     // GIR_Coverage, 21732,
     /* 197638 */     GIR_EraseRootFromParent_Done,
     /* 197639 */   // Label 4477: @197639
     /* 197639 */   GIM_Reject,
     /* 197640 */ // Label 4471: @197640
     /* 197640 */ GIM_Reject,
     /* 197641 */ // Label 4459: @197641
     /* 197641 */ GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(197842),
     /* 197646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 197649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /* 197652 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 197655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 197667 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(197700), // Rule ID 21677 //
     /* 197672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197679 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 197685 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 197687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197689 */     // (vector_compress:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, VK4WM:{ *:[v4i1] }:$mask, immAllZerosV:{ *:[v4i32] })  =>  (VPCOMPRESSDZ128rrkz:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src)
     /* 197689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ128rrkz),
     /* 197692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197694 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197696 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197698 */     GIR_RootConstrainSelectedInstOperands,
     /* 197699 */     // GIR_Coverage, 21677,
     /* 197699 */     GIR_EraseRootFromParent_Done,
     /* 197700 */   // Label 4479: @197700
     /* 197700 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(197733), // Rule ID 21713 //
     /* 197705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197712 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 197718 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 197720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197722 */     // (vector_compress:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src, VK4WM:{ *:[v4i1] }:$mask, immAllZerosV:{ *:[v4f32] })  =>  (VCOMPRESSPSZ128rrkz:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src)
     /* 197722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ128rrkz),
     /* 197725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197727 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197729 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197731 */     GIR_RootConstrainSelectedInstOperands,
     /* 197732 */     // GIR_Coverage, 21713,
     /* 197732 */     GIR_EraseRootFromParent_Done,
     /* 197733 */   // Label 4480: @197733
     /* 197733 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(197762), // Rule ID 21676 //
     /* 197738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 197749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197751 */     // (vector_compress:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, VK4WM:{ *:[v4i1] }:$mask, (undef:{ *:[v4i32] }))  =>  (VPCOMPRESSDZ128rrkz:{ *:[v4i32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src)
     /* 197751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ128rrkz),
     /* 197754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197756 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197758 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197760 */     GIR_RootConstrainSelectedInstOperands,
     /* 197761 */     // GIR_Coverage, 21676,
     /* 197761 */     GIR_EraseRootFromParent_Done,
     /* 197762 */   // Label 4481: @197762
     /* 197762 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(197791), // Rule ID 21712 //
     /* 197767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 197778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197780 */     // (vector_compress:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src, VK4WM:{ *:[v4i1] }:$mask, (undef:{ *:[v4f32] }))  =>  (VCOMPRESSPSZ128rrkz:{ *:[v4f32] } VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src)
     /* 197780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ128rrkz),
     /* 197783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197785 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197787 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197789 */     GIR_RootConstrainSelectedInstOperands,
     /* 197790 */     // GIR_Coverage, 21712,
     /* 197790 */     GIR_EraseRootFromParent_Done,
     /* 197791 */   // Label 4482: @197791
     /* 197791 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(197816), // Rule ID 21678 //
     /* 197796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197803 */     // (vector_compress:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$passthru)  =>  (VPCOMPRESSDZ128rrk:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$passthru, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4i32] }:$src)
     /* 197803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ128rrk),
     /* 197806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197808 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 197810 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197812 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197814 */     GIR_RootConstrainSelectedInstOperands,
     /* 197815 */     // GIR_Coverage, 21678,
     /* 197815 */     GIR_EraseRootFromParent_Done,
     /* 197816 */   // Label 4483: @197816
     /* 197816 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(197841), // Rule ID 21714 //
     /* 197821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 197828 */     // (vector_compress:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$passthru)  =>  (VCOMPRESSPSZ128rrk:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$passthru, VK4WM:{ *:[v4i1] }:$mask, VR128X:{ *:[v4f32] }:$src)
     /* 197828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ128rrk),
     /* 197831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197833 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 197835 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197837 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197839 */     GIR_RootConstrainSelectedInstOperands,
     /* 197840 */     // GIR_Coverage, 21714,
     /* 197840 */     GIR_EraseRootFromParent_Done,
     /* 197841 */   // Label 4484: @197841
     /* 197841 */   GIM_Reject,
     /* 197842 */ // Label 4478: @197842
     /* 197842 */ GIM_Reject,
     /* 197843 */ // Label 4460: @197843
     /* 197843 */ GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(198044),
     /* 197848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 197851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s1,
     /* 197854 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 197857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 197861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 197865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK4WMRegClassID),
     /* 197869 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(197902), // Rule ID 21689 //
     /* 197874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197881 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 197887 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 197889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197891 */     // (vector_compress:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, VK4WM:{ *:[v4i1] }:$mask, immAllZerosV:{ *:[v4i64] })  =>  (VPCOMPRESSQZ256rrkz:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src)
     /* 197891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ256rrkz),
     /* 197894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197896 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197898 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197900 */     GIR_RootConstrainSelectedInstOperands,
     /* 197901 */     // GIR_Coverage, 21689,
     /* 197901 */     GIR_EraseRootFromParent_Done,
     /* 197902 */   // Label 4486: @197902
     /* 197902 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(197935), // Rule ID 21725 //
     /* 197907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197914 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 197920 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 197922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197924 */     // (vector_compress:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src, VK4WM:{ *:[v4i1] }:$mask, immAllZerosV:{ *:[v4f64] })  =>  (VCOMPRESSPDZ256rrkz:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src)
     /* 197924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ256rrkz),
     /* 197927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197929 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197931 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197933 */     GIR_RootConstrainSelectedInstOperands,
     /* 197934 */     // GIR_Coverage, 21725,
     /* 197934 */     GIR_EraseRootFromParent_Done,
     /* 197935 */   // Label 4487: @197935
     /* 197935 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(197964), // Rule ID 21688 //
     /* 197940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 197951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197953 */     // (vector_compress:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, VK4WM:{ *:[v4i1] }:$mask, (undef:{ *:[v4i64] }))  =>  (VPCOMPRESSQZ256rrkz:{ *:[v4i64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src)
     /* 197953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ256rrkz),
     /* 197956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197958 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197960 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197962 */     GIR_RootConstrainSelectedInstOperands,
     /* 197963 */     // GIR_Coverage, 21688,
     /* 197963 */     GIR_EraseRootFromParent_Done,
     /* 197964 */   // Label 4488: @197964
     /* 197964 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(197993), // Rule ID 21724 //
     /* 197969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 197972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 197976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 197980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 197982 */     // (vector_compress:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src, VK4WM:{ *:[v4i1] }:$mask, (undef:{ *:[v4f64] }))  =>  (VCOMPRESSPDZ256rrkz:{ *:[v4f64] } VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src)
     /* 197982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ256rrkz),
     /* 197985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 197987 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 197989 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 197991 */     GIR_RootConstrainSelectedInstOperands,
     /* 197992 */     // GIR_Coverage, 21724,
     /* 197992 */     GIR_EraseRootFromParent_Done,
     /* 197993 */   // Label 4489: @197993
     /* 197993 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(198018), // Rule ID 21690 //
     /* 197998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198005 */     // (vector_compress:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$passthru)  =>  (VPCOMPRESSQZ256rrk:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$passthru, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4i64] }:$src)
     /* 198005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZ256rrk),
     /* 198008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198010 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198012 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198014 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198016 */     GIR_RootConstrainSelectedInstOperands,
     /* 198017 */     // GIR_Coverage, 21690,
     /* 198017 */     GIR_EraseRootFromParent_Done,
     /* 198018 */   // Label 4490: @198018
     /* 198018 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(198043), // Rule ID 21726 //
     /* 198023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198030 */     // (vector_compress:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$passthru)  =>  (VCOMPRESSPDZ256rrk:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$passthru, VK4WM:{ *:[v4i1] }:$mask, VR256X:{ *:[v4f64] }:$src)
     /* 198030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZ256rrk),
     /* 198033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198035 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198037 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198039 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198041 */     GIR_RootConstrainSelectedInstOperands,
     /* 198042 */     // GIR_Coverage, 21726,
     /* 198042 */     GIR_EraseRootFromParent_Done,
     /* 198043 */   // Label 4491: @198043
     /* 198043 */   GIM_Reject,
     /* 198044 */ // Label 4485: @198044
     /* 198044 */ GIM_Reject,
     /* 198045 */ // Label 4461: @198045
     /* 198045 */ GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(198159),
     /* 198050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 198053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /* 198056 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 198059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 198071 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(198104), // Rule ID 22097 //
     /* 198076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198083 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198089 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198093 */     // (vector_compress:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8i16] })  =>  (VPCOMPRESSWZ128rrkz:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src)
     /* 198093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ128rrkz),
     /* 198096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198098 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198100 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198102 */     GIR_RootConstrainSelectedInstOperands,
     /* 198103 */     // GIR_Coverage, 22097,
     /* 198103 */     GIR_EraseRootFromParent_Done,
     /* 198104 */   // Label 4493: @198104
     /* 198104 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(198133), // Rule ID 22096 //
     /* 198109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198122 */     // (vector_compress:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8i16] }))  =>  (VPCOMPRESSWZ128rrkz:{ *:[v8i16] } VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src)
     /* 198122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ128rrkz),
     /* 198125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198127 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198129 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198131 */     GIR_RootConstrainSelectedInstOperands,
     /* 198132 */     // GIR_Coverage, 22096,
     /* 198132 */     GIR_EraseRootFromParent_Done,
     /* 198133 */   // Label 4494: @198133
     /* 198133 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(198158), // Rule ID 22098 //
     /* 198138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198145 */     // (vector_compress:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$passthru)  =>  (VPCOMPRESSWZ128rrk:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR128X:{ *:[v8i16] }:$src)
     /* 198145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ128rrk),
     /* 198148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198150 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198152 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198154 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198156 */     GIR_RootConstrainSelectedInstOperands,
     /* 198157 */     // GIR_Coverage, 22098,
     /* 198157 */     GIR_EraseRootFromParent_Done,
     /* 198158 */   // Label 4495: @198158
     /* 198158 */   GIM_Reject,
     /* 198159 */ // Label 4492: @198159
     /* 198159 */ GIM_Reject,
     /* 198160 */ // Label 4462: @198160
     /* 198160 */ GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(198361),
     /* 198165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 198168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /* 198171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 198174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 198186 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(198219), // Rule ID 21671 //
     /* 198191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198198 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198204 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198208 */     // (vector_compress:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8i32] })  =>  (VPCOMPRESSDZ256rrkz:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src)
     /* 198208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ256rrkz),
     /* 198211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198213 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198215 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198217 */     GIR_RootConstrainSelectedInstOperands,
     /* 198218 */     // GIR_Coverage, 21671,
     /* 198218 */     GIR_EraseRootFromParent_Done,
     /* 198219 */   // Label 4497: @198219
     /* 198219 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(198252), // Rule ID 21707 //
     /* 198224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198231 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198237 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198241 */     // (vector_compress:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8f32] })  =>  (VCOMPRESSPSZ256rrkz:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src)
     /* 198241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ256rrkz),
     /* 198244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198246 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198248 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198250 */     GIR_RootConstrainSelectedInstOperands,
     /* 198251 */     // GIR_Coverage, 21707,
     /* 198251 */     GIR_EraseRootFromParent_Done,
     /* 198252 */   // Label 4498: @198252
     /* 198252 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(198281), // Rule ID 21670 //
     /* 198257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198270 */     // (vector_compress:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8i32] }))  =>  (VPCOMPRESSDZ256rrkz:{ *:[v8i32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src)
     /* 198270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ256rrkz),
     /* 198273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198275 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198277 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198279 */     GIR_RootConstrainSelectedInstOperands,
     /* 198280 */     // GIR_Coverage, 21670,
     /* 198280 */     GIR_EraseRootFromParent_Done,
     /* 198281 */   // Label 4499: @198281
     /* 198281 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(198310), // Rule ID 21706 //
     /* 198286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198299 */     // (vector_compress:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8f32] }))  =>  (VCOMPRESSPSZ256rrkz:{ *:[v8f32] } VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src)
     /* 198299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ256rrkz),
     /* 198302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198304 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198306 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198308 */     GIR_RootConstrainSelectedInstOperands,
     /* 198309 */     // GIR_Coverage, 21706,
     /* 198309 */     GIR_EraseRootFromParent_Done,
     /* 198310 */   // Label 4500: @198310
     /* 198310 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(198335), // Rule ID 21672 //
     /* 198315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198322 */     // (vector_compress:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$passthru)  =>  (VPCOMPRESSDZ256rrk:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8i32] }:$src)
     /* 198322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZ256rrk),
     /* 198325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198327 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198329 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198331 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198333 */     GIR_RootConstrainSelectedInstOperands,
     /* 198334 */     // GIR_Coverage, 21672,
     /* 198334 */     GIR_EraseRootFromParent_Done,
     /* 198335 */   // Label 4501: @198335
     /* 198335 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(198360), // Rule ID 21708 //
     /* 198340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 198343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198347 */     // (vector_compress:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$passthru)  =>  (VCOMPRESSPSZ256rrk:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR256X:{ *:[v8f32] }:$src)
     /* 198347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZ256rrk),
     /* 198350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198352 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198354 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198356 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198358 */     GIR_RootConstrainSelectedInstOperands,
     /* 198359 */     // GIR_Coverage, 21708,
     /* 198359 */     GIR_EraseRootFromParent_Done,
     /* 198360 */   // Label 4502: @198360
     /* 198360 */   GIM_Reject,
     /* 198361 */ // Label 4496: @198361
     /* 198361 */ GIM_Reject,
     /* 198362 */ // Label 4463: @198362
     /* 198362 */ GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(198563),
     /* 198367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 198370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s1,
     /* 198373 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 198376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK8WMRegClassID),
     /* 198388 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(198421), // Rule ID 21683 //
     /* 198393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198400 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198406 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198410 */     // (vector_compress:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8i64] })  =>  (VPCOMPRESSQZrrkz:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 198410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZrrkz),
     /* 198413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198415 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198417 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198419 */     GIR_RootConstrainSelectedInstOperands,
     /* 198420 */     // GIR_Coverage, 21683,
     /* 198420 */     GIR_EraseRootFromParent_Done,
     /* 198421 */   // Label 4504: @198421
     /* 198421 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(198454), // Rule ID 21719 //
     /* 198426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198433 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198439 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198443 */     // (vector_compress:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src, VK8WM:{ *:[v8i1] }:$mask, immAllZerosV:{ *:[v8f64] })  =>  (VCOMPRESSPDZrrkz:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src)
     /* 198443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZrrkz),
     /* 198446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198448 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198450 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198452 */     GIR_RootConstrainSelectedInstOperands,
     /* 198453 */     // GIR_Coverage, 21719,
     /* 198453 */     GIR_EraseRootFromParent_Done,
     /* 198454 */   // Label 4505: @198454
     /* 198454 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(198483), // Rule ID 21682 //
     /* 198459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198472 */     // (vector_compress:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8i64] }))  =>  (VPCOMPRESSQZrrkz:{ *:[v8i64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 198472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZrrkz),
     /* 198475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198477 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198479 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198481 */     GIR_RootConstrainSelectedInstOperands,
     /* 198482 */     // GIR_Coverage, 21682,
     /* 198482 */     GIR_EraseRootFromParent_Done,
     /* 198483 */   // Label 4506: @198483
     /* 198483 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(198512), // Rule ID 21718 //
     /* 198488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198501 */     // (vector_compress:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src, VK8WM:{ *:[v8i1] }:$mask, (undef:{ *:[v8f64] }))  =>  (VCOMPRESSPDZrrkz:{ *:[v8f64] } VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src)
     /* 198501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZrrkz),
     /* 198504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198506 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198508 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198510 */     GIR_RootConstrainSelectedInstOperands,
     /* 198511 */     // GIR_Coverage, 21718,
     /* 198511 */     GIR_EraseRootFromParent_Done,
     /* 198512 */   // Label 4507: @198512
     /* 198512 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(198537), // Rule ID 21684 //
     /* 198517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198524 */     // (vector_compress:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$passthru)  =>  (VPCOMPRESSQZrrk:{ *:[v8i64] } VR512:{ *:[v8i64] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8i64] }:$src)
     /* 198524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSQZrrk),
     /* 198527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198529 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198531 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198533 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198535 */     GIR_RootConstrainSelectedInstOperands,
     /* 198536 */     // GIR_Coverage, 21684,
     /* 198536 */     GIR_EraseRootFromParent_Done,
     /* 198537 */   // Label 4508: @198537
     /* 198537 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(198562), // Rule ID 21720 //
     /* 198542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198549 */     // (vector_compress:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$passthru)  =>  (VCOMPRESSPDZrrk:{ *:[v8f64] } VR512:{ *:[v8f64] }:$passthru, VK8WM:{ *:[v8i1] }:$mask, VR512:{ *:[v8f64] }:$src)
     /* 198549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPDZrrk),
     /* 198552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198554 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198556 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198558 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198560 */     GIR_RootConstrainSelectedInstOperands,
     /* 198561 */     // GIR_Coverage, 21720,
     /* 198561 */     GIR_EraseRootFromParent_Done,
     /* 198562 */   // Label 4509: @198562
     /* 198562 */   GIM_Reject,
     /* 198563 */ // Label 4503: @198563
     /* 198563 */ GIM_Reject,
     /* 198564 */ // Label 4464: @198564
     /* 198564 */ GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(198678),
     /* 198569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 198572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /* 198575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 198578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 198590 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(198623), // Rule ID 22079 //
     /* 198595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198602 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198608 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198612 */     // (vector_compress:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16i8] })  =>  (VPCOMPRESSBZ128rrkz:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src)
     /* 198612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ128rrkz),
     /* 198615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198617 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198619 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198621 */     GIR_RootConstrainSelectedInstOperands,
     /* 198622 */     // GIR_Coverage, 22079,
     /* 198622 */     GIR_EraseRootFromParent_Done,
     /* 198623 */   // Label 4511: @198623
     /* 198623 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(198652), // Rule ID 22078 //
     /* 198628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198641 */     // (vector_compress:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, VK16WM:{ *:[v16i1] }:$mask, (undef:{ *:[v16i8] }))  =>  (VPCOMPRESSBZ128rrkz:{ *:[v16i8] } VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src)
     /* 198641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ128rrkz),
     /* 198644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198646 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198648 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198650 */     GIR_RootConstrainSelectedInstOperands,
     /* 198651 */     // GIR_Coverage, 22078,
     /* 198651 */     GIR_EraseRootFromParent_Done,
     /* 198652 */   // Label 4512: @198652
     /* 198652 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(198677), // Rule ID 22080 //
     /* 198657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 198664 */     // (vector_compress:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src, VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$passthru)  =>  (VPCOMPRESSBZ128rrk:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$passthru, VK16WM:{ *:[v16i1] }:$mask, VR128X:{ *:[v16i8] }:$src)
     /* 198664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ128rrk),
     /* 198667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198669 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198671 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198673 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198675 */     GIR_RootConstrainSelectedInstOperands,
     /* 198676 */     // GIR_Coverage, 22080,
     /* 198676 */     GIR_EraseRootFromParent_Done,
     /* 198677 */   // Label 4513: @198677
     /* 198677 */   GIM_Reject,
     /* 198678 */ // Label 4510: @198678
     /* 198678 */ GIM_Reject,
     /* 198679 */ // Label 4465: @198679
     /* 198679 */ GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(198793),
     /* 198684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 198687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /* 198690 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 198693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 198705 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(198738), // Rule ID 22091 //
     /* 198710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198717 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198723 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198727 */     // (vector_compress:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16i16] })  =>  (VPCOMPRESSWZ256rrkz:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src)
     /* 198727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ256rrkz),
     /* 198730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198732 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198734 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198736 */     GIR_RootConstrainSelectedInstOperands,
     /* 198737 */     // GIR_Coverage, 22091,
     /* 198737 */     GIR_EraseRootFromParent_Done,
     /* 198738 */   // Label 4515: @198738
     /* 198738 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(198767), // Rule ID 22090 //
     /* 198743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198756 */     // (vector_compress:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, VK16WM:{ *:[v16i1] }:$mask, (undef:{ *:[v16i16] }))  =>  (VPCOMPRESSWZ256rrkz:{ *:[v16i16] } VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src)
     /* 198756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ256rrkz),
     /* 198759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198761 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198763 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198765 */     GIR_RootConstrainSelectedInstOperands,
     /* 198766 */     // GIR_Coverage, 22090,
     /* 198766 */     GIR_EraseRootFromParent_Done,
     /* 198767 */   // Label 4516: @198767
     /* 198767 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(198792), // Rule ID 22092 //
     /* 198772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 198775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 198779 */     // (vector_compress:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src, VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$passthru)  =>  (VPCOMPRESSWZ256rrk:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$passthru, VK16WM:{ *:[v16i1] }:$mask, VR256X:{ *:[v16i16] }:$src)
     /* 198779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZ256rrk),
     /* 198782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198784 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198786 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198788 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198790 */     GIR_RootConstrainSelectedInstOperands,
     /* 198791 */     // GIR_Coverage, 22092,
     /* 198791 */     GIR_EraseRootFromParent_Done,
     /* 198792 */   // Label 4517: @198792
     /* 198792 */   GIM_Reject,
     /* 198793 */ // Label 4514: @198793
     /* 198793 */ GIM_Reject,
     /* 198794 */ // Label 4466: @198794
     /* 198794 */ GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(198995),
     /* 198799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 198802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s1,
     /* 198805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 198808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK16WMRegClassID),
     /* 198820 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(198853), // Rule ID 21665 //
     /* 198825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198832 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198838 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198842 */     // (vector_compress:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16i32] })  =>  (VPCOMPRESSDZrrkz:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 198842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZrrkz),
     /* 198845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198847 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198849 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198851 */     GIR_RootConstrainSelectedInstOperands,
     /* 198852 */     // GIR_Coverage, 21665,
     /* 198852 */     GIR_EraseRootFromParent_Done,
     /* 198853 */   // Label 4519: @198853
     /* 198853 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(198886), // Rule ID 21701 //
     /* 198858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198865 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 198871 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 198873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198875 */     // (vector_compress:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src, VK16WM:{ *:[v16i1] }:$mask, immAllZerosV:{ *:[v16f32] })  =>  (VCOMPRESSPSZrrkz:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src)
     /* 198875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZrrkz),
     /* 198878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198880 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198882 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198884 */     GIR_RootConstrainSelectedInstOperands,
     /* 198885 */     // GIR_Coverage, 21701,
     /* 198885 */     GIR_EraseRootFromParent_Done,
     /* 198886 */   // Label 4520: @198886
     /* 198886 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(198915), // Rule ID 21664 //
     /* 198891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198904 */     // (vector_compress:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, VK16WM:{ *:[v16i1] }:$mask, (undef:{ *:[v16i32] }))  =>  (VPCOMPRESSDZrrkz:{ *:[v16i32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 198904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZrrkz),
     /* 198907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198909 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198911 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198913 */     GIR_RootConstrainSelectedInstOperands,
     /* 198914 */     // GIR_Coverage, 21664,
     /* 198914 */     GIR_EraseRootFromParent_Done,
     /* 198915 */   // Label 4521: @198915
     /* 198915 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(198944), // Rule ID 21700 //
     /* 198920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 198927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 198931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 198933 */     // (vector_compress:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src, VK16WM:{ *:[v16i1] }:$mask, (undef:{ *:[v16f32] }))  =>  (VCOMPRESSPSZrrkz:{ *:[v16f32] } VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src)
     /* 198933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZrrkz),
     /* 198936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198938 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198940 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198942 */     GIR_RootConstrainSelectedInstOperands,
     /* 198943 */     // GIR_Coverage, 21700,
     /* 198943 */     GIR_EraseRootFromParent_Done,
     /* 198944 */   // Label 4522: @198944
     /* 198944 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(198969), // Rule ID 21666 //
     /* 198949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198956 */     // (vector_compress:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$passthru)  =>  (VPCOMPRESSDZrrk:{ *:[v16i32] } VR512:{ *:[v16i32] }:$passthru, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16i32] }:$src)
     /* 198956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSDZrrk),
     /* 198959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198961 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198963 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198965 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198967 */     GIR_RootConstrainSelectedInstOperands,
     /* 198968 */     // GIR_Coverage, 21666,
     /* 198968 */     GIR_EraseRootFromParent_Done,
     /* 198969 */   // Label 4523: @198969
     /* 198969 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(198994), // Rule ID 21702 //
     /* 198974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 198977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 198981 */     // (vector_compress:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$passthru)  =>  (VCOMPRESSPSZrrk:{ *:[v16f32] } VR512:{ *:[v16f32] }:$passthru, VK16WM:{ *:[v16i1] }:$mask, VR512:{ *:[v16f32] }:$src)
     /* 198981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VCOMPRESSPSZrrk),
     /* 198984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198986 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 198988 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 198990 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 198992 */     GIR_RootConstrainSelectedInstOperands,
     /* 198993 */     // GIR_Coverage, 21702,
     /* 198993 */     GIR_EraseRootFromParent_Done,
     /* 198994 */   // Label 4524: @198994
     /* 198994 */   GIM_Reject,
     /* 198995 */ // Label 4518: @198995
     /* 198995 */ GIM_Reject,
     /* 198996 */ // Label 4467: @198996
     /* 198996 */ GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(199110),
     /* 199001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 199004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /* 199007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s8,
     /* 199010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 199014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 199018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32WMRegClassID),
     /* 199022 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(199055), // Rule ID 22073 //
     /* 199027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199034 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199040 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199044 */     // (vector_compress:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, VK32WM:{ *:[v32i1] }:$mask, immAllZerosV:{ *:[v32i8] })  =>  (VPCOMPRESSBZ256rrkz:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src)
     /* 199044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ256rrkz),
     /* 199047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199049 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199051 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199053 */     GIR_RootConstrainSelectedInstOperands,
     /* 199054 */     // GIR_Coverage, 22073,
     /* 199054 */     GIR_EraseRootFromParent_Done,
     /* 199055 */   // Label 4526: @199055
     /* 199055 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(199084), // Rule ID 22072 //
     /* 199060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199073 */     // (vector_compress:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, VK32WM:{ *:[v32i1] }:$mask, (undef:{ *:[v32i8] }))  =>  (VPCOMPRESSBZ256rrkz:{ *:[v32i8] } VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src)
     /* 199073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ256rrkz),
     /* 199076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199078 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199080 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199082 */     GIR_RootConstrainSelectedInstOperands,
     /* 199083 */     // GIR_Coverage, 22072,
     /* 199083 */     GIR_EraseRootFromParent_Done,
     /* 199084 */   // Label 4527: @199084
     /* 199084 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(199109), // Rule ID 22074 //
     /* 199089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2_HasVLX),
     /* 199092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 199096 */     // (vector_compress:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src, VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$passthru)  =>  (VPCOMPRESSBZ256rrk:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$passthru, VK32WM:{ *:[v32i1] }:$mask, VR256X:{ *:[v32i8] }:$src)
     /* 199096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZ256rrk),
     /* 199099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199101 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199103 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199105 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199107 */     GIR_RootConstrainSelectedInstOperands,
     /* 199108 */     // GIR_Coverage, 22074,
     /* 199108 */     GIR_EraseRootFromParent_Done,
     /* 199109 */   // Label 4528: @199109
     /* 199109 */   GIM_Reject,
     /* 199110 */ // Label 4525: @199110
     /* 199110 */ GIM_Reject,
     /* 199111 */ // Label 4468: @199111
     /* 199111 */ GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(199225),
     /* 199116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 199119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s1,
     /* 199122 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 199125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK32WMRegClassID),
     /* 199137 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(199170), // Rule ID 22085 //
     /* 199142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199149 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199155 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199159 */     // (vector_compress:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, VK32WM:{ *:[v32i1] }:$mask, immAllZerosV:{ *:[v32i16] })  =>  (VPCOMPRESSWZrrkz:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src)
     /* 199159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZrrkz),
     /* 199162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199164 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199166 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199168 */     GIR_RootConstrainSelectedInstOperands,
     /* 199169 */     // GIR_Coverage, 22085,
     /* 199169 */     GIR_EraseRootFromParent_Done,
     /* 199170 */   // Label 4530: @199170
     /* 199170 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(199199), // Rule ID 22084 //
     /* 199175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199188 */     // (vector_compress:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, VK32WM:{ *:[v32i1] }:$mask, (undef:{ *:[v32i16] }))  =>  (VPCOMPRESSWZrrkz:{ *:[v32i16] } VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src)
     /* 199188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZrrkz),
     /* 199191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199193 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199195 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199197 */     GIR_RootConstrainSelectedInstOperands,
     /* 199198 */     // GIR_Coverage, 22084,
     /* 199198 */     GIR_EraseRootFromParent_Done,
     /* 199199 */   // Label 4531: @199199
     /* 199199 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(199224), // Rule ID 22086 //
     /* 199204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199211 */     // (vector_compress:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src, VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$passthru)  =>  (VPCOMPRESSWZrrk:{ *:[v32i16] } VR512:{ *:[v32i16] }:$passthru, VK32WM:{ *:[v32i1] }:$mask, VR512:{ *:[v32i16] }:$src)
     /* 199211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSWZrrk),
     /* 199214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199216 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199218 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199220 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199222 */     GIR_RootConstrainSelectedInstOperands,
     /* 199223 */     // GIR_Coverage, 22086,
     /* 199223 */     GIR_EraseRootFromParent_Done,
     /* 199224 */   // Label 4532: @199224
     /* 199224 */   GIM_Reject,
     /* 199225 */ // Label 4529: @199225
     /* 199225 */ GIM_Reject,
     /* 199226 */ // Label 4469: @199226
     /* 199226 */ GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(199340),
     /* 199231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 199234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v64s1,
     /* 199237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v64s8,
     /* 199240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VK64WMRegClassID),
     /* 199252 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(199285), // Rule ID 22067 //
     /* 199257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199264 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 199270 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 199272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199274 */     // (vector_compress:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, VK64WM:{ *:[v64i1] }:$mask, immAllZerosV:{ *:[v64i8] })  =>  (VPCOMPRESSBZrrkz:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src)
     /* 199274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZrrkz),
     /* 199277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199279 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199281 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199283 */     GIR_RootConstrainSelectedInstOperands,
     /* 199284 */     // GIR_Coverage, 22067,
     /* 199284 */     GIR_EraseRootFromParent_Done,
     /* 199285 */   // Label 4534: @199285
     /* 199285 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(199314), // Rule ID 22066 //
     /* 199290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 199297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 199301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199303 */     // (vector_compress:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, VK64WM:{ *:[v64i1] }:$mask, (undef:{ *:[v64i8] }))  =>  (VPCOMPRESSBZrrkz:{ *:[v64i8] } VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src)
     /* 199303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZrrkz),
     /* 199306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199308 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199310 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199312 */     GIR_RootConstrainSelectedInstOperands,
     /* 199313 */     // GIR_Coverage, 22066,
     /* 199313 */     GIR_EraseRootFromParent_Done,
     /* 199314 */   // Label 4535: @199314
     /* 199314 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(199339), // Rule ID 22068 //
     /* 199319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVBMI2),
     /* 199322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 199326 */     // (vector_compress:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src, VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$passthru)  =>  (VPCOMPRESSBZrrk:{ *:[v64i8] } VR512:{ *:[v64i8] }:$passthru, VK64WM:{ *:[v64i1] }:$mask, VR512:{ *:[v64i8] }:$src)
     /* 199326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPCOMPRESSBZrrk),
     /* 199329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199331 */     GIR_RootToRootCopy, /*OpIdx*/3, // passthru
     /* 199333 */     GIR_RootToRootCopy, /*OpIdx*/2, // mask
     /* 199335 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199337 */     GIR_RootConstrainSelectedInstOperands,
     /* 199338 */     // GIR_Coverage, 22068,
     /* 199338 */     GIR_EraseRootFromParent_Done,
     /* 199339 */   // Label 4536: @199339
     /* 199339 */   GIM_Reject,
     /* 199340 */ // Label 4533: @199340
     /* 199340 */ GIM_Reject,
     /* 199341 */ // Label 4470: @199341
     /* 199341 */ GIM_Reject,
     /* 199342 */ // Label 62: @199342
     /* 199342 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 4540*/ GIMT_Encode4(199647),
     /* 199353 */ /*GILLT_s16*//*Label 4537*/ GIMT_Encode4(199365),
     /* 199357 */ /*GILLT_s32*//*Label 4538*/ GIMT_Encode4(199459),
     /* 199361 */ /*GILLT_s64*//*Label 4539*/ GIMT_Encode4(199553),
     /* 199365 */ // Label 4537: @199365
     /* 199365 */ GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(199458),
     /* 199370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 199373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 199377 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(199432), // Rule ID 77 //
     /* 199382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 199385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 199389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 199393 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 199396 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 199400 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 199404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199406 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 199413 */     // (cttz:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (TZCNT16rm:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 199413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZCNT16rm),
     /* 199416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199418 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 199422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 199430 */     GIR_RootConstrainSelectedInstOperands,
     /* 199431 */     // GIR_Coverage, 77,
     /* 199431 */     GIR_EraseRootFromParent_Done,
     /* 199432 */   // Label 4542: @199432
     /* 199432 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(199457), // Rule ID 76 //
     /* 199437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 199440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 199444 */     // (cttz:{ *:[i16] } GR16:{ *:[i16] }:$src1)  =>  (TZCNT16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 199444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::TZCNT16rr),
     /* 199449 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 199455 */     GIR_RootConstrainSelectedInstOperands,
     /* 199456 */     // GIR_Coverage, 76,
     /* 199456 */     GIR_Done,
     /* 199457 */   // Label 4543: @199457
     /* 199457 */   GIM_Reject,
     /* 199458 */ // Label 4541: @199458
     /* 199458 */ GIM_Reject,
     /* 199459 */ // Label 4538: @199459
     /* 199459 */ GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(199552),
     /* 199464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 199467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 199471 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(199526), // Rule ID 79 //
     /* 199476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 199479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 199483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 199487 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 199490 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 199494 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 199498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199500 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 199507 */     // (cttz:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (TZCNT32rm:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 199507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZCNT32rm),
     /* 199510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199512 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 199516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 199524 */     GIR_RootConstrainSelectedInstOperands,
     /* 199525 */     // GIR_Coverage, 79,
     /* 199525 */     GIR_EraseRootFromParent_Done,
     /* 199526 */   // Label 4545: @199526
     /* 199526 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(199551), // Rule ID 78 //
     /* 199531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 199534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 199538 */     // (cttz:{ *:[i32] } GR32:{ *:[i32] }:$src1)  =>  (TZCNT32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 199538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::TZCNT32rr),
     /* 199543 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 199549 */     GIR_RootConstrainSelectedInstOperands,
     /* 199550 */     // GIR_Coverage, 78,
     /* 199550 */     GIR_Done,
     /* 199551 */   // Label 4546: @199551
     /* 199551 */   GIM_Reject,
     /* 199552 */ // Label 4544: @199552
     /* 199552 */ GIM_Reject,
     /* 199553 */ // Label 4539: @199553
     /* 199553 */ GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(199646),
     /* 199558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 199561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 199565 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(199620), // Rule ID 81 //
     /* 199570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 199573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 199577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 199581 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 199584 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 199588 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 199592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199594 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 199601 */     // (cttz:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (TZCNT64rm:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 199601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::TZCNT64rm),
     /* 199604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199606 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 199610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 199618 */     GIR_RootConstrainSelectedInstOperands,
     /* 199619 */     // GIR_Coverage, 81,
     /* 199619 */     GIR_EraseRootFromParent_Done,
     /* 199620 */   // Label 4548: @199620
     /* 199620 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(199645), // Rule ID 80 //
     /* 199625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBMI),
     /* 199628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 199632 */     // (cttz:{ *:[i64] } GR64:{ *:[i64] }:$src1)  =>  (TZCNT64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 199632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::TZCNT64rr),
     /* 199637 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 199643 */     GIR_RootConstrainSelectedInstOperands,
     /* 199644 */     // GIR_Coverage, 80,
     /* 199644 */     GIR_Done,
     /* 199645 */   // Label 4549: @199645
     /* 199645 */   GIM_Reject,
     /* 199646 */ // Label 4547: @199646
     /* 199646 */ GIM_Reject,
     /* 199647 */ // Label 4540: @199647
     /* 199647 */ GIM_Reject,
     /* 199648 */ // Label 63: @199648
     /* 199648 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 4553*/ GIMT_Encode4(200034),
     /* 199659 */ /*GILLT_s16*//*Label 4550*/ GIMT_Encode4(199671),
     /* 199663 */ /*GILLT_s32*//*Label 4551*/ GIMT_Encode4(199792),
     /* 199667 */ /*GILLT_s64*//*Label 4552*/ GIMT_Encode4(199913),
     /* 199671 */ // Label 4550: @199671
     /* 199671 */ GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(199791),
     /* 199676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 199679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 199683 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(199752), // Rule ID 22982 //
     /* 199688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 199692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 199696 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 199699 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 199703 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 199707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 199716 */     // (cttz_zero_undef:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (BSF16rm:{ *:[i16] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i16] }), addr:{ *:[iPTR] }:$src)
     /* 199716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 199719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 199723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 199728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 199730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF16rm),
     /* 199733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 199738 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 199742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 199750 */     GIR_RootConstrainSelectedInstOperands,
     /* 199751 */     // GIR_Coverage, 22982,
     /* 199751 */     GIR_EraseRootFromParent_Done,
     /* 199752 */   // Label 4555: @199752
     /* 199752 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(199790), // Rule ID 22979 //
     /* 199757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 199761 */     // (cttz_zero_undef:{ *:[i16] } GR16:{ *:[i16] }:$src)  =>  (BSF16rr:{ *:[i16] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i16] }), GR16:{ *:[i16] }:$src)
     /* 199761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 199764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 199768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 199773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 199775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF16rr),
     /* 199778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 199783 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199788 */     GIR_RootConstrainSelectedInstOperands,
     /* 199789 */     // GIR_Coverage, 22979,
     /* 199789 */     GIR_EraseRootFromParent_Done,
     /* 199790 */   // Label 4556: @199790
     /* 199790 */   GIM_Reject,
     /* 199791 */ // Label 4554: @199791
     /* 199791 */ GIM_Reject,
     /* 199792 */ // Label 4551: @199792
     /* 199792 */ GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(199912),
     /* 199797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 199800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 199804 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(199873), // Rule ID 22983 //
     /* 199809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 199813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 199817 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 199820 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 199824 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 199828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199830 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 199837 */     // (cttz_zero_undef:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (BSF32rm:{ *:[i32] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), addr:{ *:[iPTR] }:$src)
     /* 199837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 199840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 199844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 199849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 199851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF32rm),
     /* 199854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 199859 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 199863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 199871 */     GIR_RootConstrainSelectedInstOperands,
     /* 199872 */     // GIR_Coverage, 22983,
     /* 199872 */     GIR_EraseRootFromParent_Done,
     /* 199873 */   // Label 4558: @199873
     /* 199873 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(199911), // Rule ID 22980 //
     /* 199878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 199882 */     // (cttz_zero_undef:{ *:[i32] } GR32:{ *:[i32] }:$src)  =>  (BSF32rr:{ *:[i32] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), GR32:{ *:[i32] }:$src)
     /* 199882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 199885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 199889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 199894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 199896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF32rr),
     /* 199899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 199904 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 199906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199909 */     GIR_RootConstrainSelectedInstOperands,
     /* 199910 */     // GIR_Coverage, 22980,
     /* 199910 */     GIR_EraseRootFromParent_Done,
     /* 199911 */   // Label 4559: @199911
     /* 199911 */   GIM_Reject,
     /* 199912 */ // Label 4557: @199912
     /* 199912 */ GIM_Reject,
     /* 199913 */ // Label 4552: @199913
     /* 199913 */ GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(200033),
     /* 199918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 199921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 199925 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(199994), // Rule ID 22984 //
     /* 199930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 199934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 199938 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 199941 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 199945 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 199949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 199951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 199958 */     // (cttz_zero_undef:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (BSF64rm:{ *:[i64] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i64] }), addr:{ *:[iPTR] }:$src)
     /* 199958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 199961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 199965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 199970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 199972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF64rm),
     /* 199975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 199980 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 199984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 199987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 199992 */     GIR_RootConstrainSelectedInstOperands,
     /* 199993 */     // GIR_Coverage, 22984,
     /* 199993 */     GIR_EraseRootFromParent_Done,
     /* 199994 */   // Label 4561: @199994
     /* 199994 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(200032), // Rule ID 22981 //
     /* 199999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 200003 */     // (cttz_zero_undef:{ *:[i64] } GR64:{ *:[i64] }:$src)  =>  (BSF64rr:{ *:[i64] }:{ *:[i32] } (IMPLICIT_DEF:{ *:[i64] }), GR64:{ *:[i64] }:$src)
     /* 200003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 200006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::BSF64rr),
     /* 200020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 200025 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 200027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200030 */     GIR_RootConstrainSelectedInstOperands,
     /* 200031 */     // GIR_Coverage, 22981,
     /* 200031 */     GIR_EraseRootFromParent_Done,
     /* 200032 */   // Label 4562: @200032
     /* 200032 */   GIM_Reject,
     /* 200033 */ // Label 4560: @200033
     /* 200033 */ GIM_Reject,
     /* 200034 */ // Label 4553: @200034
     /* 200034 */ GIM_Reject,
     /* 200035 */ // Label 64: @200035
     /* 200035 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(20), /*)*//*default:*//*Label 4572*/ GIMT_Encode4(201338),
     /* 200046 */ /*GILLT_s16*//*Label 4563*/ GIMT_Encode4(200118),
     /* 200050 */ /*GILLT_s32*//*Label 4564*/ GIMT_Encode4(200212),
     /* 200054 */ /*GILLT_s64*//*Label 4565*/ GIMT_Encode4(200306), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 200070 */ /*GILLT_v2s64*//*Label 4566*/ GIMT_Encode4(200400), GIMT_Encode4(0),
     /* 200078 */ /*GILLT_v4s32*//*Label 4567*/ GIMT_Encode4(200596),
     /* 200082 */ /*GILLT_v4s64*//*Label 4568*/ GIMT_Encode4(200792), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 200094 */ /*GILLT_v8s32*//*Label 4569*/ GIMT_Encode4(200980),
     /* 200098 */ /*GILLT_v8s64*//*Label 4570*/ GIMT_Encode4(201168), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 200114 */ /*GILLT_v16s32*//*Label 4571*/ GIMT_Encode4(201253),
     /* 200118 */ // Label 4563: @200118
     /* 200118 */ GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(200211),
     /* 200123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 200126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 200130 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(200185), // Rule ID 71 //
     /* 200135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200146 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200149 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200153 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 200157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200166 */     // (ctlz:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (LZCNT16rm:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 200166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LZCNT16rm),
     /* 200169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200171 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200183 */     GIR_RootConstrainSelectedInstOperands,
     /* 200184 */     // GIR_Coverage, 71,
     /* 200184 */     GIR_EraseRootFromParent_Done,
     /* 200185 */   // Label 4574: @200185
     /* 200185 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(200210), // Rule ID 70 //
     /* 200190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 200197 */     // (ctlz:{ *:[i16] } GR16:{ *:[i16] }:$src1)  =>  (LZCNT16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 200197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::LZCNT16rr),
     /* 200202 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 200208 */     GIR_RootConstrainSelectedInstOperands,
     /* 200209 */     // GIR_Coverage, 70,
     /* 200209 */     GIR_Done,
     /* 200210 */   // Label 4575: @200210
     /* 200210 */   GIM_Reject,
     /* 200211 */ // Label 4573: @200211
     /* 200211 */ GIM_Reject,
     /* 200212 */ // Label 4564: @200212
     /* 200212 */ GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(200305),
     /* 200217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 200220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 200224 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(200279), // Rule ID 73 //
     /* 200229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200240 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200243 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200247 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 200251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200260 */     // (ctlz:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (LZCNT32rm:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 200260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LZCNT32rm),
     /* 200263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200265 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200277 */     GIR_RootConstrainSelectedInstOperands,
     /* 200278 */     // GIR_Coverage, 73,
     /* 200278 */     GIR_EraseRootFromParent_Done,
     /* 200279 */   // Label 4577: @200279
     /* 200279 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(200304), // Rule ID 72 //
     /* 200284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 200291 */     // (ctlz:{ *:[i32] } GR32:{ *:[i32] }:$src1)  =>  (LZCNT32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 200291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::LZCNT32rr),
     /* 200296 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 200302 */     GIR_RootConstrainSelectedInstOperands,
     /* 200303 */     // GIR_Coverage, 72,
     /* 200303 */     GIR_Done,
     /* 200304 */   // Label 4578: @200304
     /* 200304 */   GIM_Reject,
     /* 200305 */ // Label 4576: @200305
     /* 200305 */ GIM_Reject,
     /* 200306 */ // Label 4565: @200306
     /* 200306 */ GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(200399),
     /* 200311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 200314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 200318 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(200373), // Rule ID 75 //
     /* 200323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200334 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200337 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 200341 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200347 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200354 */     // (ctlz:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LZCNT64rm:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 200354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::LZCNT64rm),
     /* 200357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200359 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 200366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200371 */     GIR_RootConstrainSelectedInstOperands,
     /* 200372 */     // GIR_Coverage, 75,
     /* 200372 */     GIR_EraseRootFromParent_Done,
     /* 200373 */   // Label 4580: @200373
     /* 200373 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(200398), // Rule ID 74 //
     /* 200378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLZCNT),
     /* 200381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 200385 */     // (ctlz:{ *:[i64] } GR64:{ *:[i64] }:$src1)  =>  (LZCNT64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 200385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::LZCNT64rr),
     /* 200390 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 200396 */     GIR_RootConstrainSelectedInstOperands,
     /* 200397 */     // GIR_Coverage, 74,
     /* 200397 */     GIR_Done,
     /* 200398 */   // Label 4581: @200398
     /* 200398 */   GIM_Reject,
     /* 200399 */ // Label 4579: @200399
     /* 200399 */ GIM_Reject,
     /* 200400 */ // Label 4566: @200400
     /* 200400 */ GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(200595),
     /* 200405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200408 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(200464), // Rule ID 13356 //
     /* 200413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 200416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200428 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200431 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 200435 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200448 */     // (ctlz:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)
     /* 200448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZ128rm),
     /* 200451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200453 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200462 */     GIR_RootConstrainSelectedInstOperands,
     /* 200463 */     // GIR_Coverage, 13356,
     /* 200463 */     GIR_EraseRootFromParent_Done,
     /* 200464 */   // Label 4583: @200464
     /* 200464 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(200487), // Rule ID 13353 //
     /* 200469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 200472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200480 */     // (ctlz:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (VPLZCNTQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)
     /* 200480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZ128rr),
     /* 200485 */     GIR_RootConstrainSelectedInstOperands,
     /* 200486 */     // GIR_Coverage, 13353,
     /* 200486 */     GIR_Done,
     /* 200487 */   // Label 4584: @200487
     /* 200487 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(200594), // Rule ID 21825 //
     /* 200492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasEVEX512_NoVLX),
     /* 200495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 200499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200503 */     // (ctlz:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPLZCNTQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 200503 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 200506 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200510 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 200517 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 200520 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 200524 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200529 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 200532 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 200536 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 200539 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 200544 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 200549 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 200554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 200557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZrr),
     /* 200561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200566 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 200569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 200574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200576 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 200583 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 200588 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 200593 */     // GIR_Coverage, 21825,
     /* 200593 */     GIR_EraseRootFromParent_Done,
     /* 200594 */   // Label 4585: @200594
     /* 200594 */   GIM_Reject,
     /* 200595 */ // Label 4582: @200595
     /* 200595 */ GIM_Reject,
     /* 200596 */ // Label 4567: @200596
     /* 200596 */ GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(200791),
     /* 200601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200604 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(200660), // Rule ID 13383 //
     /* 200609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 200612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200624 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200627 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 200631 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200637 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200644 */     // (ctlz:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTDZ128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)
     /* 200644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZ128rm),
     /* 200647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200649 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200658 */     GIR_RootConstrainSelectedInstOperands,
     /* 200659 */     // GIR_Coverage, 13383,
     /* 200659 */     GIR_EraseRootFromParent_Done,
     /* 200660 */   // Label 4587: @200660
     /* 200660 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(200683), // Rule ID 13380 //
     /* 200665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 200668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200676 */     // (ctlz:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (VPLZCNTDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)
     /* 200676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZ128rr),
     /* 200681 */     GIR_RootConstrainSelectedInstOperands,
     /* 200682 */     // GIR_Coverage, 13380,
     /* 200682 */     GIR_Done,
     /* 200683 */   // Label 4588: @200683
     /* 200683 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(200790), // Rule ID 21827 //
     /* 200688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasEVEX512_NoVLX),
     /* 200691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 200695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 200699 */     // (ctlz:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPLZCNTDZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 200699 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 200702 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200706 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 200713 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 200716 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 200720 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200725 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 200728 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 200732 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 200735 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 200740 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 200745 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 200750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 200753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZrr),
     /* 200757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200762 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 200765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 200770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200772 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 200779 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 200784 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 200789 */     // GIR_Coverage, 21827,
     /* 200789 */     GIR_EraseRootFromParent_Done,
     /* 200790 */   // Label 4589: @200790
     /* 200790 */   GIM_Reject,
     /* 200791 */ // Label 4586: @200791
     /* 200791 */ GIM_Reject,
     /* 200792 */ // Label 4568: @200792
     /* 200792 */ GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(200979),
     /* 200797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 200800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 200804 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(200856), // Rule ID 13347 //
     /* 200809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 200812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 200816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 200820 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 200823 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 200827 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 200831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 200833 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 200840 */     // (ctlz:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)
     /* 200840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZ256rm),
     /* 200843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 200849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 200854 */     GIR_RootConstrainSelectedInstOperands,
     /* 200855 */     // GIR_Coverage, 13347,
     /* 200855 */     GIR_EraseRootFromParent_Done,
     /* 200856 */   // Label 4591: @200856
     /* 200856 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(200875), // Rule ID 13344 //
     /* 200861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 200864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 200868 */     // (ctlz:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (VPLZCNTQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)
     /* 200868 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZ256rr),
     /* 200873 */     GIR_RootConstrainSelectedInstOperands,
     /* 200874 */     // GIR_Coverage, 13344,
     /* 200874 */     GIR_Done,
     /* 200875 */   // Label 4592: @200875
     /* 200875 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(200978), // Rule ID 21824 //
     /* 200880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasEVEX512_NoVLX),
     /* 200883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 200887 */     // (ctlz:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPLZCNTQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 200887 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 200890 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 200894 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 200901 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 200904 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 200908 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200913 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 200916 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 200920 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 200923 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 200928 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 200933 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 200938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 200941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZrr),
     /* 200945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 200950 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 200953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 200955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 200958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200960 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 200967 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 200972 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 200977 */     // GIR_Coverage, 21824,
     /* 200977 */     GIR_EraseRootFromParent_Done,
     /* 200978 */   // Label 4593: @200978
     /* 200978 */   GIM_Reject,
     /* 200979 */ // Label 4590: @200979
     /* 200979 */ GIM_Reject,
     /* 200980 */ // Label 4569: @200980
     /* 200980 */ GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(201167),
     /* 200985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 200988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 200992 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(201044), // Rule ID 13374 //
     /* 200997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 201000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201008 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201011 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201015 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201021 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201028 */     // (ctlz:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)
     /* 201028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZ256rm),
     /* 201031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201033 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201042 */     GIR_RootConstrainSelectedInstOperands,
     /* 201043 */     // GIR_Coverage, 13374,
     /* 201043 */     GIR_EraseRootFromParent_Done,
     /* 201044 */   // Label 4595: @201044
     /* 201044 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(201063), // Rule ID 13371 //
     /* 201049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasVLX),
     /* 201052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 201056 */     // (ctlz:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (VPLZCNTDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)
     /* 201056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZ256rr),
     /* 201061 */     GIR_RootConstrainSelectedInstOperands,
     /* 201062 */     // GIR_Coverage, 13371,
     /* 201062 */     GIR_Done,
     /* 201063 */   // Label 4596: @201063
     /* 201063 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(201166), // Rule ID 21826 //
     /* 201068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI_HasEVEX512_NoVLX),
     /* 201071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 201075 */     // (ctlz:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPLZCNTDZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 201075 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 201078 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 201082 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 201089 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 201092 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 201096 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201101 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 201104 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 201108 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 201111 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 201116 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201121 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 201126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 201129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZrr),
     /* 201133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201138 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 201141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 201143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 201146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201148 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 201155 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 201160 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201165 */     // GIR_Coverage, 21826,
     /* 201165 */     GIR_EraseRootFromParent_Done,
     /* 201166 */   // Label 4597: @201166
     /* 201166 */   GIM_Reject,
     /* 201167 */ // Label 4594: @201167
     /* 201167 */ GIM_Reject,
     /* 201168 */ // Label 4570: @201168
     /* 201168 */ GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(201252),
     /* 201173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 201176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 201180 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(201232), // Rule ID 13338 //
     /* 201185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI),
     /* 201188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201196 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201199 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201203 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201209 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201216 */     // (ctlz:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)
     /* 201216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZrm),
     /* 201219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201221 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201230 */     GIR_RootConstrainSelectedInstOperands,
     /* 201231 */     // GIR_Coverage, 13338,
     /* 201231 */     GIR_EraseRootFromParent_Done,
     /* 201232 */   // Label 4599: @201232
     /* 201232 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(201251), // Rule ID 13335 //
     /* 201237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI),
     /* 201240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 201244 */     // (ctlz:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)  =>  (VPLZCNTQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)
     /* 201244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTQZrr),
     /* 201249 */     GIR_RootConstrainSelectedInstOperands,
     /* 201250 */     // GIR_Coverage, 13335,
     /* 201250 */     GIR_Done,
     /* 201251 */   // Label 4600: @201251
     /* 201251 */   GIM_Reject,
     /* 201252 */ // Label 4598: @201252
     /* 201252 */ GIM_Reject,
     /* 201253 */ // Label 4571: @201253
     /* 201253 */ GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(201337),
     /* 201258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 201261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 201265 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(201317), // Rule ID 13365 //
     /* 201270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI),
     /* 201273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201281 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201284 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201288 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201294 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201301 */     // (ctlz:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPLZCNTDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)
     /* 201301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZrm),
     /* 201304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201306 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201315 */     GIR_RootConstrainSelectedInstOperands,
     /* 201316 */     // GIR_Coverage, 13365,
     /* 201316 */     GIR_EraseRootFromParent_Done,
     /* 201317 */   // Label 4602: @201317
     /* 201317 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(201336), // Rule ID 13362 //
     /* 201322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCDI),
     /* 201325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 201329 */     // (ctlz:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)  =>  (VPLZCNTDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)
     /* 201329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPLZCNTDZrr),
     /* 201334 */     GIR_RootConstrainSelectedInstOperands,
     /* 201335 */     // GIR_Coverage, 13362,
     /* 201335 */     GIR_Done,
     /* 201336 */   // Label 4603: @201336
     /* 201336 */   GIM_Reject,
     /* 201337 */ // Label 4601: @201337
     /* 201337 */ GIM_Reject,
     /* 201338 */ // Label 4572: @201338
     /* 201338 */ GIM_Reject,
     /* 201339 */ // Label 65: @201339
     /* 201339 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(25), /*)*//*default:*//*Label 4619*/ GIMT_Encode4(203600),
     /* 201350 */ /*GILLT_s16*//*Label 4604*/ GIMT_Encode4(201442),
     /* 201354 */ /*GILLT_s32*//*Label 4605*/ GIMT_Encode4(201536),
     /* 201358 */ /*GILLT_s64*//*Label 4606*/ GIMT_Encode4(201630), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 201374 */ /*GILLT_v2s64*//*Label 4607*/ GIMT_Encode4(201724), GIMT_Encode4(0),
     /* 201382 */ /*GILLT_v4s32*//*Label 4608*/ GIMT_Encode4(201920),
     /* 201386 */ /*GILLT_v4s64*//*Label 4609*/ GIMT_Encode4(202116), GIMT_Encode4(0),
     /* 201394 */ /*GILLT_v8s16*//*Label 4610*/ GIMT_Encode4(202304),
     /* 201398 */ /*GILLT_v8s32*//*Label 4611*/ GIMT_Encode4(202500),
     /* 201402 */ /*GILLT_v8s64*//*Label 4612*/ GIMT_Encode4(202688), GIMT_Encode4(0),
     /* 201410 */ /*GILLT_v16s8*//*Label 4613*/ GIMT_Encode4(202773),
     /* 201414 */ /*GILLT_v16s16*//*Label 4614*/ GIMT_Encode4(202969),
     /* 201418 */ /*GILLT_v16s32*//*Label 4615*/ GIMT_Encode4(203157), GIMT_Encode4(0),
     /* 201426 */ /*GILLT_v32s8*//*Label 4616*/ GIMT_Encode4(203242),
     /* 201430 */ /*GILLT_v32s16*//*Label 4617*/ GIMT_Encode4(203430), GIMT_Encode4(0),
     /* 201438 */ /*GILLT_v64s8*//*Label 4618*/ GIMT_Encode4(203515),
     /* 201442 */ // Label 4604: @201442
     /* 201442 */ GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(201535),
     /* 201447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 201450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 201454 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(201509), // Rule ID 3175 //
     /* 201459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 201462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201470 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201473 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201477 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 201481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201490 */     // (ctpop:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (POPCNT16rm:{ *:[i16] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 201490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::POPCNT16rm),
     /* 201493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201495 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 201502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201507 */     GIR_RootConstrainSelectedInstOperands,
     /* 201508 */     // GIR_Coverage, 3175,
     /* 201508 */     GIR_EraseRootFromParent_Done,
     /* 201509 */   // Label 4621: @201509
     /* 201509 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(201534), // Rule ID 3174 //
     /* 201514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 201517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 201521 */     // (ctpop:{ *:[i16] } GR16:{ *:[i16] }:$src1)  =>  (POPCNT16rr:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src1)
     /* 201521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::POPCNT16rr),
     /* 201526 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 201532 */     GIR_RootConstrainSelectedInstOperands,
     /* 201533 */     // GIR_Coverage, 3174,
     /* 201533 */     GIR_Done,
     /* 201534 */   // Label 4622: @201534
     /* 201534 */   GIM_Reject,
     /* 201535 */ // Label 4620: @201535
     /* 201535 */ GIM_Reject,
     /* 201536 */ // Label 4605: @201536
     /* 201536 */ GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(201629),
     /* 201541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 201544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 201548 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(201603), // Rule ID 3177 //
     /* 201553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 201556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201564 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201567 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201571 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 201575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201577 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201584 */     // (ctpop:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (POPCNT32rm:{ *:[i32] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 201584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::POPCNT32rm),
     /* 201587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201589 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 201596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201601 */     GIR_RootConstrainSelectedInstOperands,
     /* 201602 */     // GIR_Coverage, 3177,
     /* 201602 */     GIR_EraseRootFromParent_Done,
     /* 201603 */   // Label 4624: @201603
     /* 201603 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(201628), // Rule ID 3176 //
     /* 201608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 201611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 201615 */     // (ctpop:{ *:[i32] } GR32:{ *:[i32] }:$src1)  =>  (POPCNT32rr:{ *:[i32] }:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 201615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::POPCNT32rr),
     /* 201620 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 201626 */     GIR_RootConstrainSelectedInstOperands,
     /* 201627 */     // GIR_Coverage, 3176,
     /* 201627 */     GIR_Done,
     /* 201628 */   // Label 4625: @201628
     /* 201628 */   GIM_Reject,
     /* 201629 */ // Label 4623: @201629
     /* 201629 */ GIM_Reject,
     /* 201630 */ // Label 4606: @201630
     /* 201630 */ GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(201723),
     /* 201635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 201638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 201642 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(201697), // Rule ID 3179 //
     /* 201647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 201650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201658 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201661 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201665 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201671 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201678 */     // (ctpop:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (POPCNT64rm:{ *:[i64] }:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 201678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::POPCNT64rm),
     /* 201681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201683 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 201690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201695 */     GIR_RootConstrainSelectedInstOperands,
     /* 201696 */     // GIR_Coverage, 3179,
     /* 201696 */     GIR_EraseRootFromParent_Done,
     /* 201697 */   // Label 4627: @201697
     /* 201697 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(201722), // Rule ID 3178 //
     /* 201702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPOPCNT),
     /* 201705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 201709 */     // (ctpop:{ *:[i64] } GR64:{ *:[i64] }:$src1)  =>  (POPCNT64rr:{ *:[i64] }:{ *:[i32] } GR64:{ *:[i64] }:$src1)
     /* 201709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::POPCNT64rr),
     /* 201714 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::EFLAGS), GIMT_Encode2(RegState::Dead),
     /* 201720 */     GIR_RootConstrainSelectedInstOperands,
     /* 201721 */     // GIR_Coverage, 3178,
     /* 201721 */     GIR_Done,
     /* 201722 */   // Label 4628: @201722
     /* 201722 */   GIM_Reject,
     /* 201723 */ // Label 4626: @201723
     /* 201723 */ GIM_Reject,
     /* 201724 */ // Label 4607: @201724
     /* 201724 */ GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(201919),
     /* 201729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 201732 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(201788), // Rule ID 13464 //
     /* 201737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 201740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201752 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201755 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201759 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201765 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201772 */     // (ctpop:{ *:[v2i64] } (ld:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTQZ128rm:{ *:[v2i64] } addr:{ *:[iPTR] }:$src1)
     /* 201772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZ128rm),
     /* 201775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201777 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201786 */     GIR_RootConstrainSelectedInstOperands,
     /* 201787 */     // GIR_Coverage, 13464,
     /* 201787 */     GIR_EraseRootFromParent_Done,
     /* 201788 */   // Label 4630: @201788
     /* 201788 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(201811), // Rule ID 13461 //
     /* 201793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 201796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201804 */     // (ctpop:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (VPOPCNTQZ128rr:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)
     /* 201804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZ128rr),
     /* 201809 */     GIR_RootConstrainSelectedInstOperands,
     /* 201810 */     // GIR_Coverage, 13461,
     /* 201810 */     GIR_Done,
     /* 201811 */   // Label 4631: @201811
     /* 201811 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(201918), // Rule ID 21829 //
     /* 201816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX),
     /* 201819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 201823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201827 */     // (ctpop:{ *:[v2i64] } VR128X:{ *:[v2i64] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v2i64] } (VPOPCNTQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR128X:{ *:[v2i64] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 201827 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 201830 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 201834 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 201841 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 201844 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 201848 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201853 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 201856 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 201860 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 201863 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 201868 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201873 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 201878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 201881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZrr),
     /* 201885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 201890 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 201893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 201895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 201898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201900 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 201907 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 201912 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 201917 */     // GIR_Coverage, 21829,
     /* 201917 */     GIR_EraseRootFromParent_Done,
     /* 201918 */   // Label 4632: @201918
     /* 201918 */   GIM_Reject,
     /* 201919 */ // Label 4629: @201919
     /* 201919 */ GIM_Reject,
     /* 201920 */ // Label 4608: @201920
     /* 201920 */ GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(202115),
     /* 201925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 201928 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(201984), // Rule ID 13491 //
     /* 201933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 201936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 201944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 201948 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 201951 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 201955 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 201959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 201961 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 201968 */     // (ctpop:{ *:[v4i32] } (ld:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTDZ128rm:{ *:[v4i32] } addr:{ *:[iPTR] }:$src1)
     /* 201968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZ128rm),
     /* 201971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201973 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 201977 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 201982 */     GIR_RootConstrainSelectedInstOperands,
     /* 201983 */     // GIR_Coverage, 13491,
     /* 201983 */     GIR_EraseRootFromParent_Done,
     /* 201984 */   // Label 4634: @201984
     /* 201984 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(202007), // Rule ID 13488 //
     /* 201989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 201992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 201996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202000 */     // (ctpop:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (VPOPCNTDZ128rr:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)
     /* 202000 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZ128rr),
     /* 202005 */     GIR_RootConstrainSelectedInstOperands,
     /* 202006 */     // GIR_Coverage, 13488,
     /* 202006 */     GIR_Done,
     /* 202007 */   // Label 4635: @202007
     /* 202007 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(202114), // Rule ID 21831 //
     /* 202012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX),
     /* 202015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 202019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202023 */     // (ctpop:{ *:[v4i32] } VR128X:{ *:[v4i32] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v4i32] } (VPOPCNTDZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR128X:{ *:[v4i32] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 202023 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 202026 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 202030 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 202037 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 202040 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 202044 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202049 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 202052 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 202056 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 202059 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 202064 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202069 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 202074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 202077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZrr),
     /* 202081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202086 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 202089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 202091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 202094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202096 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 202103 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 202108 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202113 */     // GIR_Coverage, 21831,
     /* 202113 */     GIR_EraseRootFromParent_Done,
     /* 202114 */   // Label 4636: @202114
     /* 202114 */   GIM_Reject,
     /* 202115 */ // Label 4633: @202115
     /* 202115 */ GIM_Reject,
     /* 202116 */ // Label 4609: @202116
     /* 202116 */ GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(202303),
     /* 202121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 202124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202128 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(202180), // Rule ID 13455 //
     /* 202133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202144 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202147 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202151 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202164 */     // (ctpop:{ *:[v4i64] } (ld:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTQZ256rm:{ *:[v4i64] } addr:{ *:[iPTR] }:$src1)
     /* 202164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZ256rm),
     /* 202167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202169 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202178 */     GIR_RootConstrainSelectedInstOperands,
     /* 202179 */     // GIR_Coverage, 13455,
     /* 202179 */     GIR_EraseRootFromParent_Done,
     /* 202180 */   // Label 4638: @202180
     /* 202180 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(202199), // Rule ID 13452 //
     /* 202185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202192 */     // (ctpop:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (VPOPCNTQZ256rr:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)
     /* 202192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZ256rr),
     /* 202197 */     GIR_RootConstrainSelectedInstOperands,
     /* 202198 */     // GIR_Coverage, 13452,
     /* 202198 */     GIR_Done,
     /* 202199 */   // Label 4639: @202199
     /* 202199 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(202302), // Rule ID 21828 //
     /* 202204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX),
     /* 202207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202211 */     // (ctpop:{ *:[v4i64] } VR256X:{ *:[v4i64] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v4i64] } (VPOPCNTQZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v8i64] } (IMPLICIT_DEF:{ *:[v8i64] }), VR256X:{ *:[v4i64] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 202211 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s64,
     /* 202214 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 202218 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 202225 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s64,
     /* 202228 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 202232 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202237 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 202240 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 202244 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 202247 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 202252 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202257 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 202262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 202265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZrr),
     /* 202269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202274 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 202277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 202279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 202282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202284 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 202291 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 202296 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202301 */     // GIR_Coverage, 21828,
     /* 202301 */     GIR_EraseRootFromParent_Done,
     /* 202302 */   // Label 4640: @202302
     /* 202302 */   GIM_Reject,
     /* 202303 */ // Label 4637: @202303
     /* 202303 */ GIM_Reject,
     /* 202304 */ // Label 4610: @202304
     /* 202304 */ GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(202499),
     /* 202309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202312 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(202368), // Rule ID 14518 //
     /* 202317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 202320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202332 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202335 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202339 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202345 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202352 */     // (ctpop:{ *:[v8i16] } (ld:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTWZ128rm:{ *:[v8i16] } addr:{ *:[iPTR] }:$src1)
     /* 202352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZ128rm),
     /* 202355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202357 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202366 */     GIR_RootConstrainSelectedInstOperands,
     /* 202367 */     // GIR_Coverage, 14518,
     /* 202367 */     GIR_EraseRootFromParent_Done,
     /* 202368 */   // Label 4642: @202368
     /* 202368 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(202391), // Rule ID 14515 //
     /* 202373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 202376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202384 */     // (ctpop:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)  =>  (VPOPCNTWZ128rr:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)
     /* 202384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZ128rr),
     /* 202389 */     GIR_RootConstrainSelectedInstOperands,
     /* 202390 */     // GIR_Coverage, 14515,
     /* 202390 */     GIR_Done,
     /* 202391 */   // Label 4643: @202391
     /* 202391 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(202498), // Rule ID 22138 //
     /* 202396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasEVEX512_NoVLX),
     /* 202399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 202403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202407 */     // (ctpop:{ *:[v8i16] } VR128X:{ *:[v8i16] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v8i16] } (VPOPCNTWZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR128X:{ *:[v8i16] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 202407 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 202410 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 202414 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 202421 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 202424 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 202428 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202433 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 202436 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 202440 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 202443 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 202448 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202453 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 202458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 202461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZrr),
     /* 202465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202470 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 202473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 202475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 202478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202480 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 202487 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 202492 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202497 */     // GIR_Coverage, 22138,
     /* 202497 */     GIR_EraseRootFromParent_Done,
     /* 202498 */   // Label 4644: @202498
     /* 202498 */   GIM_Reject,
     /* 202499 */ // Label 4641: @202499
     /* 202499 */ GIM_Reject,
     /* 202500 */ // Label 4611: @202500
     /* 202500 */ GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(202687),
     /* 202505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 202508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202512 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(202564), // Rule ID 13482 //
     /* 202517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202528 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202531 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202535 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202548 */     // (ctpop:{ *:[v8i32] } (ld:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTDZ256rm:{ *:[v8i32] } addr:{ *:[iPTR] }:$src1)
     /* 202548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZ256rm),
     /* 202551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202553 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202562 */     GIR_RootConstrainSelectedInstOperands,
     /* 202563 */     // GIR_Coverage, 13482,
     /* 202563 */     GIR_EraseRootFromParent_Done,
     /* 202564 */   // Label 4646: @202564
     /* 202564 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(202583), // Rule ID 13479 //
     /* 202569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX_HasVPOPCNTDQ),
     /* 202572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202576 */     // (ctpop:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (VPOPCNTDZ256rr:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)
     /* 202576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZ256rr),
     /* 202581 */     GIR_RootConstrainSelectedInstOperands,
     /* 202582 */     // GIR_Coverage, 13479,
     /* 202582 */     GIR_Done,
     /* 202583 */   // Label 4647: @202583
     /* 202583 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(202686), // Rule ID 21830 //
     /* 202588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEVEX512_HasVPOPCNTDQ_NoVLX),
     /* 202591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202595 */     // (ctpop:{ *:[v8i32] } VR256X:{ *:[v8i32] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v8i32] } (VPOPCNTDZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v16i32] } (IMPLICIT_DEF:{ *:[v16i32] }), VR256X:{ *:[v8i32] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 202595 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s32,
     /* 202598 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 202602 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 202609 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s32,
     /* 202612 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 202616 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202621 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 202624 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 202628 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 202631 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 202636 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202641 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 202646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 202649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZrr),
     /* 202653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202658 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 202661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 202663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 202666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202668 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 202675 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 202680 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202685 */     // GIR_Coverage, 21830,
     /* 202685 */     GIR_EraseRootFromParent_Done,
     /* 202686 */   // Label 4648: @202686
     /* 202686 */   GIM_Reject,
     /* 202687 */ // Label 4645: @202687
     /* 202687 */ GIM_Reject,
     /* 202688 */ // Label 4612: @202688
     /* 202688 */ GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(202772),
     /* 202693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 202696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 202700 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(202752), // Rule ID 13446 //
     /* 202705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPOPCNTDQ),
     /* 202708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202716 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202719 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202723 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202729 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202736 */     // (ctpop:{ *:[v8i64] } (ld:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTQZrm:{ *:[v8i64] } addr:{ *:[iPTR] }:$src1)
     /* 202736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZrm),
     /* 202739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202741 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202750 */     GIR_RootConstrainSelectedInstOperands,
     /* 202751 */     // GIR_Coverage, 13446,
     /* 202751 */     GIR_EraseRootFromParent_Done,
     /* 202752 */   // Label 4650: @202752
     /* 202752 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(202771), // Rule ID 13443 //
     /* 202757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPOPCNTDQ),
     /* 202760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 202764 */     // (ctpop:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)  =>  (VPOPCNTQZrr:{ *:[v8i64] } VR512:{ *:[v8i64] }:$src1)
     /* 202764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTQZrr),
     /* 202769 */     GIR_RootConstrainSelectedInstOperands,
     /* 202770 */     // GIR_Coverage, 13443,
     /* 202770 */     GIR_Done,
     /* 202771 */   // Label 4651: @202771
     /* 202771 */   GIM_Reject,
     /* 202772 */ // Label 4649: @202772
     /* 202772 */ GIM_Reject,
     /* 202773 */ // Label 4613: @202773
     /* 202773 */ GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(202968),
     /* 202778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 202781 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(202837), // Rule ID 14500 //
     /* 202786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 202789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202801 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 202804 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 202808 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 202812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 202814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 202821 */     // (ctpop:{ *:[v16i8] } (ld:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTBZ128rm:{ *:[v16i8] } addr:{ *:[iPTR] }:$src1)
     /* 202821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZ128rm),
     /* 202824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202826 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 202830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 202835 */     GIR_RootConstrainSelectedInstOperands,
     /* 202836 */     // GIR_Coverage, 14500,
     /* 202836 */     GIR_EraseRootFromParent_Done,
     /* 202837 */   // Label 4653: @202837
     /* 202837 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(202860), // Rule ID 14497 //
     /* 202842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 202845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202853 */     // (ctpop:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)  =>  (VPOPCNTBZ128rr:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)
     /* 202853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZ128rr),
     /* 202858 */     GIR_RootConstrainSelectedInstOperands,
     /* 202859 */     // GIR_Coverage, 14497,
     /* 202859 */     GIR_Done,
     /* 202860 */   // Label 4654: @202860
     /* 202860 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(202967), // Rule ID 22136 //
     /* 202865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasEVEX512_NoVLX),
     /* 202868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 202872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 202876 */     // (ctpop:{ *:[v16i8] } VR128X:{ *:[v16i8] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v16i8] } (VPOPCNTBZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR128X:{ *:[v16i8] }:$src1, sub_xmm:{ *:[i32] })), sub_xmm:{ *:[i32] })
     /* 202876 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 202879 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 202883 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 202890 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 202893 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 202897 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202902 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 202905 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 202909 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/11,
     /* 202912 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 202917 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202922 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR128XRegClassID),
     /* 202927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 202930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZrr),
     /* 202934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 202939 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 202942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 202944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 202947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202949 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_xmm),
     /* 202956 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::FR16XRegClassID),
     /* 202961 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 202966 */     // GIR_Coverage, 22136,
     /* 202966 */     GIR_EraseRootFromParent_Done,
     /* 202967 */   // Label 4655: @202967
     /* 202967 */   GIM_Reject,
     /* 202968 */ // Label 4652: @202968
     /* 202968 */ GIM_Reject,
     /* 202969 */ // Label 4614: @202969
     /* 202969 */ GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(203156),
     /* 202974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 202977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 202981 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(203033), // Rule ID 14512 //
     /* 202986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 202989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 202993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 202997 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203000 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203004 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203010 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203017 */     // (ctpop:{ *:[v16i16] } (ld:{ *:[v16i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTWZ256rm:{ *:[v16i16] } addr:{ *:[iPTR] }:$src1)
     /* 203017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZ256rm),
     /* 203020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203022 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203031 */     GIR_RootConstrainSelectedInstOperands,
     /* 203032 */     // GIR_Coverage, 14512,
     /* 203032 */     GIR_EraseRootFromParent_Done,
     /* 203033 */   // Label 4657: @203033
     /* 203033 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(203052), // Rule ID 14509 //
     /* 203038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 203041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203045 */     // (ctpop:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)  =>  (VPOPCNTWZ256rr:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)
     /* 203045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZ256rr),
     /* 203050 */     GIR_RootConstrainSelectedInstOperands,
     /* 203051 */     // GIR_Coverage, 14509,
     /* 203051 */     GIR_Done,
     /* 203052 */   // Label 4658: @203052
     /* 203052 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(203155), // Rule ID 22137 //
     /* 203057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasEVEX512_NoVLX),
     /* 203060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203064 */     // (ctpop:{ *:[v16i16] } VR256X:{ *:[v16i16] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v16i16] } (VPOPCNTWZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v32i16] } (IMPLICIT_DEF:{ *:[v32i16] }), VR256X:{ *:[v16i16] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 203064 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v32s16,
     /* 203067 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 203071 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 203078 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v32s16,
     /* 203081 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 203085 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203090 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 203093 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 203097 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 203100 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 203105 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203110 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 203118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZrr),
     /* 203122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203127 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 203130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 203132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 203135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203137 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 203144 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203149 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203154 */     // GIR_Coverage, 22137,
     /* 203154 */     GIR_EraseRootFromParent_Done,
     /* 203155 */   // Label 4659: @203155
     /* 203155 */   GIM_Reject,
     /* 203156 */ // Label 4656: @203156
     /* 203156 */ GIM_Reject,
     /* 203157 */ // Label 4615: @203157
     /* 203157 */ GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(203241),
     /* 203162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 203165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203169 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(203221), // Rule ID 13473 //
     /* 203174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPOPCNTDQ),
     /* 203177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203185 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203188 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203192 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203198 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203205 */     // (ctpop:{ *:[v16i32] } (ld:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTDZrm:{ *:[v16i32] } addr:{ *:[iPTR] }:$src1)
     /* 203205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZrm),
     /* 203208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203219 */     GIR_RootConstrainSelectedInstOperands,
     /* 203220 */     // GIR_Coverage, 13473,
     /* 203220 */     GIR_EraseRootFromParent_Done,
     /* 203221 */   // Label 4661: @203221
     /* 203221 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(203240), // Rule ID 13470 //
     /* 203226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVPOPCNTDQ),
     /* 203229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203233 */     // (ctpop:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)  =>  (VPOPCNTDZrr:{ *:[v16i32] } VR512:{ *:[v16i32] }:$src1)
     /* 203233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTDZrr),
     /* 203238 */     GIR_RootConstrainSelectedInstOperands,
     /* 203239 */     // GIR_Coverage, 13470,
     /* 203239 */     GIR_Done,
     /* 203240 */   // Label 4662: @203240
     /* 203240 */   GIM_Reject,
     /* 203241 */ // Label 4660: @203241
     /* 203241 */ GIM_Reject,
     /* 203242 */ // Label 4616: @203242
     /* 203242 */ GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(203429),
     /* 203247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s8,
     /* 203250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203254 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(203306), // Rule ID 14494 //
     /* 203259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 203262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203270 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203273 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203277 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203283 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203290 */     // (ctpop:{ *:[v32i8] } (ld:{ *:[v32i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTBZ256rm:{ *:[v32i8] } addr:{ *:[iPTR] }:$src1)
     /* 203290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZ256rm),
     /* 203293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203295 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203304 */     GIR_RootConstrainSelectedInstOperands,
     /* 203305 */     // GIR_Coverage, 14494,
     /* 203305 */     GIR_EraseRootFromParent_Done,
     /* 203306 */   // Label 4664: @203306
     /* 203306 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(203325), // Rule ID 14491 //
     /* 203311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasVLX),
     /* 203314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203318 */     // (ctpop:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)  =>  (VPOPCNTBZ256rr:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)
     /* 203318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZ256rr),
     /* 203323 */     GIR_RootConstrainSelectedInstOperands,
     /* 203324 */     // GIR_Coverage, 14491,
     /* 203324 */     GIR_Done,
     /* 203325 */   // Label 4665: @203325
     /* 203325 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(203428), // Rule ID 22135 //
     /* 203330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG_HasEVEX512_NoVLX),
     /* 203333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 203337 */     // (ctpop:{ *:[v32i8] } VR256X:{ *:[v32i8] }:$src1)  =>  (EXTRACT_SUBREG:{ *:[v32i8] } (VPOPCNTBZrr:{ *:[v64i8] } (INSERT_SUBREG:{ *:[v64i8] } (IMPLICIT_DEF:{ *:[v64i8] }), VR256X:{ *:[v32i8] }:$src1, sub_ymm:{ *:[i32] })), sub_ymm:{ *:[i32] })
     /* 203337 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v64s8,
     /* 203340 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 203344 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 203351 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v64s8,
     /* 203354 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 203358 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203363 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 203366 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src1
     /* 203370 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/12,
     /* 203373 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(X86::VR512RegClassID),
     /* 203378 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203383 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v64s8,
     /* 203391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZrr),
     /* 203395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 203400 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 203403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 203405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 203408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203410 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(X86::sub_ymm),
     /* 203417 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(X86::VR256XRegClassID),
     /* 203422 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(X86::VR512RegClassID),
     /* 203427 */     // GIR_Coverage, 22135,
     /* 203427 */     GIR_EraseRootFromParent_Done,
     /* 203428 */   // Label 4666: @203428
     /* 203428 */   GIM_Reject,
     /* 203429 */ // Label 4663: @203429
     /* 203429 */ GIM_Reject,
     /* 203430 */ // Label 4617: @203430
     /* 203430 */ GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(203514),
     /* 203435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 203438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203442 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(203494), // Rule ID 14506 //
     /* 203447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG),
     /* 203450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203458 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203461 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203465 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203478 */     // (ctpop:{ *:[v32i16] } (ld:{ *:[v32i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTWZrm:{ *:[v32i16] } addr:{ *:[iPTR] }:$src1)
     /* 203478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZrm),
     /* 203481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203483 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203492 */     GIR_RootConstrainSelectedInstOperands,
     /* 203493 */     // GIR_Coverage, 14506,
     /* 203493 */     GIR_EraseRootFromParent_Done,
     /* 203494 */   // Label 4668: @203494
     /* 203494 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(203513), // Rule ID 14503 //
     /* 203499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG),
     /* 203502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203506 */     // (ctpop:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1)  =>  (VPOPCNTWZrr:{ *:[v32i16] } VR512:{ *:[v32i16] }:$src1)
     /* 203506 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTWZrr),
     /* 203511 */     GIR_RootConstrainSelectedInstOperands,
     /* 203512 */     // GIR_Coverage, 14503,
     /* 203512 */     GIR_Done,
     /* 203513 */   // Label 4669: @203513
     /* 203513 */   GIM_Reject,
     /* 203514 */ // Label 4667: @203514
     /* 203514 */ GIM_Reject,
     /* 203515 */ // Label 4618: @203515
     /* 203515 */ GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(203599),
     /* 203520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v64s8,
     /* 203523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203527 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(203579), // Rule ID 14488 //
     /* 203532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG),
     /* 203535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203543 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203546 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203550 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203556 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203563 */     // (ctpop:{ *:[v64i8] } (ld:{ *:[v64i8] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VPOPCNTBZrm:{ *:[v64i8] } addr:{ *:[iPTR] }:$src1)
     /* 203563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZrm),
     /* 203566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203568 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203577 */     GIR_RootConstrainSelectedInstOperands,
     /* 203578 */     // GIR_Coverage, 14488,
     /* 203578 */     GIR_EraseRootFromParent_Done,
     /* 203579 */   // Label 4671: @203579
     /* 203579 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(203598), // Rule ID 14485 //
     /* 203584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasBITALG),
     /* 203587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 203591 */     // (ctpop:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1)  =>  (VPOPCNTBZrr:{ *:[v64i8] } VR512:{ *:[v64i8] }:$src1)
     /* 203591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VPOPCNTBZrr),
     /* 203596 */     GIR_RootConstrainSelectedInstOperands,
     /* 203597 */     // GIR_Coverage, 14485,
     /* 203597 */     GIR_Done,
     /* 203598 */   // Label 4672: @203598
     /* 203598 */   GIM_Reject,
     /* 203599 */ // Label 4670: @203599
     /* 203599 */ GIM_Reject,
     /* 203600 */ // Label 4619: @203600
     /* 203600 */ GIM_Reject,
     /* 203601 */ // Label 66: @203601
     /* 203601 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 4676*/ GIMT_Encode4(204100),
     /* 203612 */ /*GILLT_s16*//*Label 4673*/ GIMT_Encode4(203624),
     /* 203616 */ /*GILLT_s32*//*Label 4674*/ GIMT_Encode4(203788),
     /* 203620 */ /*GILLT_s64*//*Label 4675*/ GIMT_Encode4(203944),
     /* 203624 */ // Label 4673: @203624
     /* 203624 */ GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(203787),
     /* 203629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 203632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 203636 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(203688), // Rule ID 49 //
     /* 203641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /* 203644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203652 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203655 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203659 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 203663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203672 */     // (bswap:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (MOVBE16rm:{ *:[i16] } addr:{ *:[iPTR] }:$src1)
     /* 203672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE16rm),
     /* 203675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203677 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203686 */     GIR_RootConstrainSelectedInstOperands,
     /* 203687 */     // GIR_Coverage, 49,
     /* 203687 */     GIR_EraseRootFromParent_Done,
     /* 203688 */   // Label 4678: @203688
     /* 203688 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(203740), // Rule ID 55 //
     /* 203693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /* 203696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203704 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203707 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203711 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi16),
     /* 203715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203717 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203724 */     // (bswap:{ *:[i16] } (ld:{ *:[i16] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi16>>)  =>  (MOVBE16rm_EVEX:{ *:[i16] } addr:{ *:[iPTR] }:$src1)
     /* 203724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE16rm_EVEX),
     /* 203727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203729 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203738 */     GIR_RootConstrainSelectedInstOperands,
     /* 203739 */     // GIR_Coverage, 55,
     /* 203739 */     GIR_EraseRootFromParent_Done,
     /* 203740 */   // Label 4679: @203740
     /* 203740 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(203759), // Rule ID 61 //
     /* 203745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_HasNDD_In64BitMode),
     /* 203748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 203752 */     // (bswap:{ *:[i16] } GR16:{ *:[i16] }:$src1)  =>  (MOVBE16rr:{ *:[i16] } GR16:{ *:[i16] }:$src1)
     /* 203752 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVBE16rr),
     /* 203757 */     GIR_RootConstrainSelectedInstOperands,
     /* 203758 */     // GIR_Coverage, 61,
     /* 203758 */     GIR_Done,
     /* 203759 */   // Label 4680: @203759
     /* 203759 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(203786), // Rule ID 22985 //
     /* 203764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE),
     /* 203767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR16RegClassID),
     /* 203771 */     // (bswap:{ *:[i16] } GR16:{ *:[i16] }:$src)  =>  (ROL16ri:{ *:[i16] }:{ *:[i32] } GR16:{ *:[i16] }:$src, 8:{ *:[i8] })
     /* 203771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ROL16ri),
     /* 203774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203776 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 203778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 203781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::EFLAGS*/0,
     /* 203784 */     GIR_RootConstrainSelectedInstOperands,
     /* 203785 */     // GIR_Coverage, 22985,
     /* 203785 */     GIR_EraseRootFromParent_Done,
     /* 203786 */   // Label 4681: @203786
     /* 203786 */   GIM_Reject,
     /* 203787 */ // Label 4677: @203787
     /* 203787 */ GIM_Reject,
     /* 203788 */ // Label 4674: @203788
     /* 203788 */ GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(203943),
     /* 203793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 203796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 203800 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(203852), // Rule ID 51 //
     /* 203805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /* 203808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203816 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203819 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203823 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 203827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203829 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203836 */     // (bswap:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (MOVBE32rm:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 203836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE32rm),
     /* 203839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203841 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203850 */     GIR_RootConstrainSelectedInstOperands,
     /* 203851 */     // GIR_Coverage, 51,
     /* 203851 */     GIR_EraseRootFromParent_Done,
     /* 203852 */   // Label 4683: @203852
     /* 203852 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(203904), // Rule ID 57 //
     /* 203857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /* 203860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203868 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203871 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203875 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_loadi32),
     /* 203879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203881 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203888 */     // (bswap:{ *:[i32] } (ld:{ *:[i32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_loadi32>>)  =>  (MOVBE32rm_EVEX:{ *:[i32] } addr:{ *:[iPTR] }:$src1)
     /* 203888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE32rm_EVEX),
     /* 203891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203893 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 203897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 203902 */     GIR_RootConstrainSelectedInstOperands,
     /* 203903 */     // GIR_Coverage, 57,
     /* 203903 */     GIR_EraseRootFromParent_Done,
     /* 203904 */   // Label 4684: @203904
     /* 203904 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(203923), // Rule ID 5 //
     /* 203909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_Or_NoMOVBE),
     /* 203912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 203916 */     // (bswap:{ *:[i32] } GR32:{ *:[i32] }:$src)  =>  (BSWAP32r:{ *:[i32] } GR32:{ *:[i32] }:$src)
     /* 203916 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::BSWAP32r),
     /* 203921 */     GIR_RootConstrainSelectedInstOperands,
     /* 203922 */     // GIR_Coverage, 5,
     /* 203922 */     GIR_Done,
     /* 203923 */   // Label 4685: @203923
     /* 203923 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(203942), // Rule ID 62 //
     /* 203928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_HasNDD_In64BitMode),
     /* 203931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR32RegClassID),
     /* 203935 */     // (bswap:{ *:[i32] } GR32:{ *:[i32] }:$src1)  =>  (MOVBE32rr:{ *:[i32] } GR32:{ *:[i32] }:$src1)
     /* 203935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVBE32rr),
     /* 203940 */     GIR_RootConstrainSelectedInstOperands,
     /* 203941 */     // GIR_Coverage, 62,
     /* 203941 */     GIR_Done,
     /* 203942 */   // Label 4686: @203942
     /* 203942 */   GIM_Reject,
     /* 203943 */ // Label 4682: @203943
     /* 203943 */ GIM_Reject,
     /* 203944 */ // Label 4675: @203944
     /* 203944 */ GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(204099),
     /* 203949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 203952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 203956 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(204008), // Rule ID 53 //
     /* 203961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_NoEGPR),
     /* 203964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 203968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 203972 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 203975 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 203979 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 203983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 203985 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 203992 */     // (bswap:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MOVBE64rm:{ *:[i64] } addr:{ *:[iPTR] }:$src1)
     /* 203992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE64rm),
     /* 203995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203997 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204006 */     GIR_RootConstrainSelectedInstOperands,
     /* 204007 */     // GIR_Coverage, 53,
     /* 204007 */     GIR_EraseRootFromParent_Done,
     /* 204008 */   // Label 4688: @204008
     /* 204008 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(204060), // Rule ID 59 //
     /* 204013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasEGPR_HasMOVBE_In64BitMode),
     /* 204016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204024 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204027 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204031 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204044 */     // (bswap:{ *:[i64] } (ld:{ *:[i64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MOVBE64rm_EVEX:{ *:[i64] } addr:{ *:[iPTR] }:$src1)
     /* 204044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MOVBE64rm_EVEX),
     /* 204047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204049 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204053 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204058 */     GIR_RootConstrainSelectedInstOperands,
     /* 204059 */     // GIR_Coverage, 59,
     /* 204059 */     GIR_EraseRootFromParent_Done,
     /* 204060 */   // Label 4689: @204060
     /* 204060 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(204079), // Rule ID 6 //
     /* 204065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_NoNDD_Or_NoMOVBE),
     /* 204068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 204072 */     // (bswap:{ *:[i64] } GR64:{ *:[i64] }:$src)  =>  (BSWAP64r:{ *:[i64] } GR64:{ *:[i64] }:$src)
     /* 204072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::BSWAP64r),
     /* 204077 */     GIR_RootConstrainSelectedInstOperands,
     /* 204078 */     // GIR_Coverage, 6,
     /* 204078 */     GIR_Done,
     /* 204079 */   // Label 4690: @204079
     /* 204079 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(204098), // Rule ID 63 //
     /* 204084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMOVBE_HasNDD_In64BitMode),
     /* 204087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::GR64RegClassID),
     /* 204091 */     // (bswap:{ *:[i64] } GR64:{ *:[i64] }:$src1)  =>  (MOVBE64rr:{ *:[i64] } GR64:{ *:[i64] }:$src1)
     /* 204091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MOVBE64rr),
     /* 204096 */     GIR_RootConstrainSelectedInstOperands,
     /* 204097 */     // GIR_Coverage, 63,
     /* 204097 */     GIR_Done,
     /* 204098 */   // Label 4691: @204098
     /* 204098 */   GIM_Reject,
     /* 204099 */ // Label 4687: @204099
     /* 204099 */ GIM_Reject,
     /* 204100 */ // Label 4676: @204100
     /* 204100 */ GIM_Reject,
     /* 204101 */ // Label 67: @204101
     /* 204101 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 4705*/ GIMT_Encode4(206269),
     /* 204112 */ /*GILLT_s16*//*Label 4692*/ GIMT_Encode4(204196),
     /* 204116 */ /*GILLT_s32*//*Label 4693*/ GIMT_Encode4(204317),
     /* 204120 */ /*GILLT_s64*//*Label 4694*/ GIMT_Encode4(204673),
     /* 204124 */ /*GILLT_s80*//*Label 4695*/ GIMT_Encode4(205029), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 204136 */ /*GILLT_v2s64*//*Label 4696*/ GIMT_Encode4(205066), GIMT_Encode4(0),
     /* 204144 */ /*GILLT_v4s32*//*Label 4697*/ GIMT_Encode4(205269),
     /* 204148 */ /*GILLT_v4s64*//*Label 4698*/ GIMT_Encode4(205472), GIMT_Encode4(0),
     /* 204156 */ /*GILLT_v8s16*//*Label 4699*/ GIMT_Encode4(205648),
     /* 204160 */ /*GILLT_v8s32*//*Label 4700*/ GIMT_Encode4(205737),
     /* 204164 */ /*GILLT_v8s64*//*Label 4701*/ GIMT_Encode4(205913), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 204176 */ /*GILLT_v16s16*//*Label 4702*/ GIMT_Encode4(206002),
     /* 204180 */ /*GILLT_v16s32*//*Label 4703*/ GIMT_Encode4(206091), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 204192 */ /*GILLT_v32s16*//*Label 4704*/ GIMT_Encode4(206180),
     /* 204196 */ // Label 4692: @204196
     /* 204196 */ GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(204316),
     /* 204201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 204204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 204208 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(204277), // Rule ID 21420 //
     /* 204213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_OptForSize),
     /* 204216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204224 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204227 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204231 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204237 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204244 */     // (fsqrt:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSHZm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 204244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 204247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSHZm),
     /* 204261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204266 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 204270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204275 */     GIR_RootConstrainSelectedInstOperands,
     /* 204276 */     // GIR_Coverage, 21420,
     /* 204276 */     GIR_EraseRootFromParent_Done,
     /* 204277 */   // Label 4707: @204277
     /* 204277 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(204315), // Rule ID 21418 //
     /* 204282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 204285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 204289 */     // (fsqrt:{ *:[f16] } FR16X:{ *:[f16] }:$src)  =>  (VSQRTSHZr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), FR16X:{ *:[f16] }:$src)
     /* 204289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 204292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSHZr),
     /* 204306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204311 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 204313 */     GIR_RootConstrainSelectedInstOperands,
     /* 204314 */     // GIR_Coverage, 21418,
     /* 204314 */     GIR_EraseRootFromParent_Done,
     /* 204315 */   // Label 4708: @204315
     /* 204315 */   GIM_Reject,
     /* 204316 */ // Label 4706: @204316
     /* 204316 */ GIM_Reject,
     /* 204317 */ // Label 4693: @204317
     /* 204317 */ GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(204672),
     /* 204322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 204325 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(204381), // Rule ID 2448 //
     /* 204330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE1),
     /* 204333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 204337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204345 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204348 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204352 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204358 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204365 */     // (fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SQRTSSm:{ *:[f32] } addr:{ *:[iPTR] }:$src1)
     /* 204365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SQRTSSm),
     /* 204368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204370 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204374 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204379 */     GIR_RootConstrainSelectedInstOperands,
     /* 204380 */     // GIR_Coverage, 2448,
     /* 204380 */     GIR_EraseRootFromParent_Done,
     /* 204381 */   // Label 4710: @204381
     /* 204381 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(204454), // Rule ID 18276 //
     /* 204386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 204389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 204393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204401 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204404 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204408 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204414 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204421 */     // (fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSSm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 204421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 204424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSm),
     /* 204438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204443 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 204447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204452 */     GIR_RootConstrainSelectedInstOperands,
     /* 204453 */     // GIR_Coverage, 18276,
     /* 204453 */     GIR_EraseRootFromParent_Done,
     /* 204454 */   // Label 4711: @204454
     /* 204454 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(204527), // Rule ID 21424 //
     /* 204459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 204462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 204466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204474 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204477 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204481 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204487 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204494 */     // (fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSSZm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 204494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 204497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSZm),
     /* 204511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204516 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 204520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204525 */     GIR_RootConstrainSelectedInstOperands,
     /* 204526 */     // GIR_Coverage, 21424,
     /* 204526 */     GIR_EraseRootFromParent_Done,
     /* 204527 */   // Label 4712: @204527
     /* 204527 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(204560), // Rule ID 1048 //
     /* 204532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 204535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 204539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 204543 */     // (fsqrt:{ *:[f32] } RFP32:{ *:[f32] }:$src)  =>  (SQRT_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src)
     /* 204543 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp32),
     /* 204548 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 204554 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 204558 */     GIR_RootConstrainSelectedInstOperands,
     /* 204559 */     // GIR_Coverage, 1048,
     /* 204559 */     GIR_Done,
     /* 204560 */   // Label 4713: @204560
     /* 204560 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(204587), // Rule ID 2446 //
     /* 204565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 204568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 204572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 204576 */     // (fsqrt:{ *:[f32] } FR32:{ *:[f32] }:$src1)  =>  (SQRTSSr:{ *:[f32] } FR32:{ *:[f32] }:$src1)
     /* 204576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTSSr),
     /* 204581 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 204585 */     GIR_RootConstrainSelectedInstOperands,
     /* 204586 */     // GIR_Coverage, 2446,
     /* 204586 */     GIR_Done,
     /* 204587 */   // Label 4714: @204587
     /* 204587 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(204629), // Rule ID 18274 //
     /* 204592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 204595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 204599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 204603 */     // (fsqrt:{ *:[f32] } FR32:{ *:[f32] }:$src)  =>  (VSQRTSSr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR32:{ *:[f32] }:$src)
     /* 204603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 204606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSr),
     /* 204620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204625 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 204627 */     GIR_RootConstrainSelectedInstOperands,
     /* 204628 */     // GIR_Coverage, 18274,
     /* 204628 */     GIR_EraseRootFromParent_Done,
     /* 204629 */   // Label 4715: @204629
     /* 204629 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(204671), // Rule ID 21422 //
     /* 204634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 204637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 204641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 204645 */     // (fsqrt:{ *:[f32] } FR32X:{ *:[f32] }:$src)  =>  (VSQRTSSZr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR32X:{ *:[f32] }:$src)
     /* 204645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 204648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSZr),
     /* 204662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204667 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 204669 */     GIR_RootConstrainSelectedInstOperands,
     /* 204670 */     // GIR_Coverage, 21422,
     /* 204670 */     GIR_EraseRootFromParent_Done,
     /* 204671 */   // Label 4716: @204671
     /* 204671 */   GIM_Reject,
     /* 204672 */ // Label 4709: @204672
     /* 204672 */ GIM_Reject,
     /* 204673 */ // Label 4694: @204673
     /* 204673 */ GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(205028),
     /* 204678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 204681 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(204737), // Rule ID 2464 //
     /* 204686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE2),
     /* 204689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 204693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204701 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204704 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204708 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204714 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204721 */     // (fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SQRTSDm:{ *:[f64] } addr:{ *:[iPTR] }:$src1)
     /* 204721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SQRTSDm),
     /* 204724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204726 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 204730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204735 */     GIR_RootConstrainSelectedInstOperands,
     /* 204736 */     // GIR_Coverage, 2464,
     /* 204736 */     GIR_EraseRootFromParent_Done,
     /* 204737 */   // Label 4718: @204737
     /* 204737 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(204810), // Rule ID 18280 //
     /* 204742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 204745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 204749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204757 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204760 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204764 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204777 */     // (fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSDm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 204777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 204780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDm),
     /* 204794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204799 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 204803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204808 */     GIR_RootConstrainSelectedInstOperands,
     /* 204809 */     // GIR_Coverage, 18280,
     /* 204809 */     GIR_EraseRootFromParent_Done,
     /* 204810 */   // Label 4719: @204810
     /* 204810 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(204883), // Rule ID 21428 //
     /* 204815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 204818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 204822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 204826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 204830 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 204833 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 204837 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 204841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 204843 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 204850 */     // (fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSDZm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 204850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 204853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDZm),
     /* 204867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204872 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 204876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 204881 */     GIR_RootConstrainSelectedInstOperands,
     /* 204882 */     // GIR_Coverage, 21428,
     /* 204882 */     GIR_EraseRootFromParent_Done,
     /* 204883 */   // Label 4720: @204883
     /* 204883 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(204916), // Rule ID 1050 //
     /* 204888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 204891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 204895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 204899 */     // (fsqrt:{ *:[f64] } RFP64:{ *:[f64] }:$src)  =>  (SQRT_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src)
     /* 204899 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp64),
     /* 204904 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 204910 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 204914 */     GIR_RootConstrainSelectedInstOperands,
     /* 204915 */     // GIR_Coverage, 1050,
     /* 204915 */     GIR_Done,
     /* 204916 */   // Label 4721: @204916
     /* 204916 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(204943), // Rule ID 2462 //
     /* 204921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 204924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 204928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 204932 */     // (fsqrt:{ *:[f64] } FR64:{ *:[f64] }:$src1)  =>  (SQRTSDr:{ *:[f64] } FR64:{ *:[f64] }:$src1)
     /* 204932 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTSDr),
     /* 204937 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 204941 */     GIR_RootConstrainSelectedInstOperands,
     /* 204942 */     // GIR_Coverage, 2462,
     /* 204942 */     GIR_Done,
     /* 204943 */   // Label 4722: @204943
     /* 204943 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(204985), // Rule ID 18278 //
     /* 204948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 204951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 204955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 204959 */     // (fsqrt:{ *:[f64] } FR64:{ *:[f64] }:$src)  =>  (VSQRTSDr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR64:{ *:[f64] }:$src)
     /* 204959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 204962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 204966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 204971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 204973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDr),
     /* 204976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 204981 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 204983 */     GIR_RootConstrainSelectedInstOperands,
     /* 204984 */     // GIR_Coverage, 18278,
     /* 204984 */     GIR_EraseRootFromParent_Done,
     /* 204985 */   // Label 4723: @204985
     /* 204985 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(205027), // Rule ID 21426 //
     /* 204990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 204993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 204997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 205001 */     // (fsqrt:{ *:[f64] } FR64X:{ *:[f64] }:$src)  =>  (VSQRTSDZr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR64X:{ *:[f64] }:$src)
     /* 205001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 205004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 205008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 205013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 205015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDZr),
     /* 205018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 205023 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 205025 */     GIR_RootConstrainSelectedInstOperands,
     /* 205026 */     // GIR_Coverage, 21426,
     /* 205026 */     GIR_EraseRootFromParent_Done,
     /* 205027 */   // Label 4724: @205027
     /* 205027 */   GIM_Reject,
     /* 205028 */ // Label 4717: @205028
     /* 205028 */ GIM_Reject,
     /* 205029 */ // Label 4695: @205029
     /* 205029 */ GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(205065), // Rule ID 1052 //
     /* 205034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 205037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 205040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 205044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 205048 */   // (fsqrt:{ *:[f80] } RFP80:{ *:[f80] }:$src)  =>  (SQRT_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src)
     /* 205048 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp80),
     /* 205053 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 205059 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 205063 */   GIR_RootConstrainSelectedInstOperands,
     /* 205064 */   // GIR_Coverage, 1052,
     /* 205064 */   GIR_Done,
     /* 205065 */ // Label 4725: @205065
     /* 205065 */ GIM_Reject,
     /* 205066 */ // Label 4696: @205066
     /* 205066 */ GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(205268),
     /* 205071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 205074 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(205130), // Rule ID 2468 //
     /* 205079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205094 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205097 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205101 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205107 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205114 */     // (fsqrt:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 205114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDm),
     /* 205117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205128 */     GIR_RootConstrainSelectedInstOperands,
     /* 205129 */     // GIR_Coverage, 2468,
     /* 205129 */     GIR_EraseRootFromParent_Done,
     /* 205130 */   // Label 4727: @205130
     /* 205130 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(205186), // Rule ID 12086 //
     /* 205135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205150 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205153 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205157 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205163 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205170 */     // (fsqrt:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZ128m:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 205170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ128m),
     /* 205173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205175 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205184 */     GIR_RootConstrainSelectedInstOperands,
     /* 205185 */     // GIR_Coverage, 12086,
     /* 205185 */     GIR_EraseRootFromParent_Done,
     /* 205186 */   // Label 4728: @205186
     /* 205186 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(205213), // Rule ID 2466 //
     /* 205191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205202 */     // (fsqrt:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)  =>  (VSQRTPDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /* 205202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDr),
     /* 205207 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205211 */     GIR_RootConstrainSelectedInstOperands,
     /* 205212 */     // GIR_Coverage, 2466,
     /* 205212 */     GIR_Done,
     /* 205213 */   // Label 4729: @205213
     /* 205213 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(205240), // Rule ID 2474 //
     /* 205218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 205221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205229 */     // (fsqrt:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)  =>  (SQRTPDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /* 205229 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTPDr),
     /* 205234 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205238 */     GIR_RootConstrainSelectedInstOperands,
     /* 205239 */     // GIR_Coverage, 2474,
     /* 205239 */     GIR_Done,
     /* 205240 */   // Label 4730: @205240
     /* 205240 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(205267), // Rule ID 12082 //
     /* 205245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205256 */     // (fsqrt:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src)  =>  (VSQRTPDZ128r:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src)
     /* 205256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ128r),
     /* 205261 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205265 */     GIR_RootConstrainSelectedInstOperands,
     /* 205266 */     // GIR_Coverage, 12082,
     /* 205266 */     GIR_Done,
     /* 205267 */   // Label 4731: @205267
     /* 205267 */   GIM_Reject,
     /* 205268 */ // Label 4726: @205268
     /* 205268 */ GIM_Reject,
     /* 205269 */ // Label 4697: @205269
     /* 205269 */ GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(205471),
     /* 205274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 205277 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(205333), // Rule ID 2452 //
     /* 205282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205297 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205300 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205304 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205310 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205317 */     // (fsqrt:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 205317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSm),
     /* 205320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205322 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205331 */     GIR_RootConstrainSelectedInstOperands,
     /* 205332 */     // GIR_Coverage, 2452,
     /* 205332 */     GIR_EraseRootFromParent_Done,
     /* 205333 */   // Label 4733: @205333
     /* 205333 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(205389), // Rule ID 12062 //
     /* 205338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205353 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205356 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205360 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205366 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205373 */     // (fsqrt:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZ128m:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 205373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ128m),
     /* 205376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205378 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205387 */     GIR_RootConstrainSelectedInstOperands,
     /* 205388 */     // GIR_Coverage, 12062,
     /* 205388 */     GIR_EraseRootFromParent_Done,
     /* 205389 */   // Label 4734: @205389
     /* 205389 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(205416), // Rule ID 2450 //
     /* 205394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205405 */     // (fsqrt:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)  =>  (VSQRTPSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /* 205405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSr),
     /* 205410 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205414 */     GIR_RootConstrainSelectedInstOperands,
     /* 205415 */     // GIR_Coverage, 2450,
     /* 205415 */     GIR_Done,
     /* 205416 */   // Label 4735: @205416
     /* 205416 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(205443), // Rule ID 2458 //
     /* 205421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 205424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 205432 */     // (fsqrt:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)  =>  (SQRTPSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /* 205432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTPSr),
     /* 205437 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205441 */     GIR_RootConstrainSelectedInstOperands,
     /* 205442 */     // GIR_Coverage, 2458,
     /* 205442 */     GIR_Done,
     /* 205443 */   // Label 4736: @205443
     /* 205443 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(205470), // Rule ID 12058 //
     /* 205448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205459 */     // (fsqrt:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src)  =>  (VSQRTPSZ128r:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src)
     /* 205459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ128r),
     /* 205464 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205468 */     GIR_RootConstrainSelectedInstOperands,
     /* 205469 */     // GIR_Coverage, 12058,
     /* 205469 */     GIR_Done,
     /* 205470 */   // Label 4737: @205470
     /* 205470 */   GIM_Reject,
     /* 205471 */ // Label 4732: @205471
     /* 205471 */ GIM_Reject,
     /* 205472 */ // Label 4698: @205472
     /* 205472 */ GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(205647),
     /* 205477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 205480 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(205536), // Rule ID 2472 //
     /* 205485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 205492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205500 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205503 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205507 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205513 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205520 */     // (fsqrt:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDYm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 205520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDYm),
     /* 205523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205525 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205534 */     GIR_RootConstrainSelectedInstOperands,
     /* 205535 */     // GIR_Coverage, 2472,
     /* 205535 */     GIR_EraseRootFromParent_Done,
     /* 205536 */   // Label 4739: @205536
     /* 205536 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(205592), // Rule ID 12098 //
     /* 205541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 205548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205556 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205559 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205563 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205569 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205576 */     // (fsqrt:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZ256m:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 205576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ256m),
     /* 205579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205581 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205590 */     GIR_RootConstrainSelectedInstOperands,
     /* 205591 */     // GIR_Coverage, 12098,
     /* 205591 */     GIR_EraseRootFromParent_Done,
     /* 205592 */   // Label 4740: @205592
     /* 205592 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(205619), // Rule ID 2470 //
     /* 205597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 205604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 205608 */     // (fsqrt:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)  =>  (VSQRTPDYr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)
     /* 205608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDYr),
     /* 205613 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205617 */     GIR_RootConstrainSelectedInstOperands,
     /* 205618 */     // GIR_Coverage, 2470,
     /* 205618 */     GIR_Done,
     /* 205619 */   // Label 4741: @205619
     /* 205619 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(205646), // Rule ID 12094 //
     /* 205624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 205631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 205635 */     // (fsqrt:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src)  =>  (VSQRTPDZ256r:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src)
     /* 205635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ256r),
     /* 205640 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205644 */     GIR_RootConstrainSelectedInstOperands,
     /* 205645 */     // GIR_Coverage, 12094,
     /* 205645 */     GIR_Done,
     /* 205646 */   // Label 4742: @205646
     /* 205646 */   GIM_Reject,
     /* 205647 */ // Label 4738: @205647
     /* 205647 */ GIM_Reject,
     /* 205648 */ // Label 4699: @205648
     /* 205648 */ GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(205736),
     /* 205653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 205656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205660 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(205712), // Rule ID 12014 //
     /* 205665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 205668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205676 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205679 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205683 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205689 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205696 */     // (fsqrt:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZ128m:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 205696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ128m),
     /* 205699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205701 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205710 */     GIR_RootConstrainSelectedInstOperands,
     /* 205711 */     // GIR_Coverage, 12014,
     /* 205711 */     GIR_EraseRootFromParent_Done,
     /* 205712 */   // Label 4744: @205712
     /* 205712 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(205735), // Rule ID 12010 //
     /* 205717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 205720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 205724 */     // (fsqrt:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src)  =>  (VSQRTPHZ128r:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src)
     /* 205724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ128r),
     /* 205729 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205733 */     GIR_RootConstrainSelectedInstOperands,
     /* 205734 */     // GIR_Coverage, 12010,
     /* 205734 */     GIR_Done,
     /* 205735 */   // Label 4745: @205735
     /* 205735 */   GIM_Reject,
     /* 205736 */ // Label 4743: @205736
     /* 205736 */ GIM_Reject,
     /* 205737 */ // Label 4700: @205737
     /* 205737 */ GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(205912),
     /* 205742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 205745 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(205801), // Rule ID 2456 //
     /* 205750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 205757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205765 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205768 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205772 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205778 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205785 */     // (fsqrt:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSYm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 205785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSYm),
     /* 205788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205790 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205799 */     GIR_RootConstrainSelectedInstOperands,
     /* 205800 */     // GIR_Coverage, 2456,
     /* 205800 */     GIR_EraseRootFromParent_Done,
     /* 205801 */   // Label 4747: @205801
     /* 205801 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(205857), // Rule ID 12074 //
     /* 205806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 205813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205821 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205824 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205828 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205841 */     // (fsqrt:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZ256m:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 205841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ256m),
     /* 205844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205846 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205855 */     GIR_RootConstrainSelectedInstOperands,
     /* 205856 */     // GIR_Coverage, 12074,
     /* 205856 */     GIR_EraseRootFromParent_Done,
     /* 205857 */   // Label 4748: @205857
     /* 205857 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(205884), // Rule ID 2454 //
     /* 205862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 205865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 205869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 205873 */     // (fsqrt:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)  =>  (VSQRTPSYr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)
     /* 205873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSYr),
     /* 205878 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205882 */     GIR_RootConstrainSelectedInstOperands,
     /* 205883 */     // GIR_Coverage, 2454,
     /* 205883 */     GIR_Done,
     /* 205884 */   // Label 4749: @205884
     /* 205884 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(205911), // Rule ID 12070 //
     /* 205889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 205892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 205896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 205900 */     // (fsqrt:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src)  =>  (VSQRTPSZ256r:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src)
     /* 205900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ256r),
     /* 205905 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205909 */     GIR_RootConstrainSelectedInstOperands,
     /* 205910 */     // GIR_Coverage, 12070,
     /* 205910 */     GIR_Done,
     /* 205911 */   // Label 4750: @205911
     /* 205911 */   GIM_Reject,
     /* 205912 */ // Label 4746: @205912
     /* 205912 */ GIM_Reject,
     /* 205913 */ // Label 4701: @205913
     /* 205913 */ GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(206001),
     /* 205918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 205921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 205925 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(205977), // Rule ID 12050 //
     /* 205930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 205933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 205937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 205941 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 205944 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 205948 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 205952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 205954 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 205961 */     // (fsqrt:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 205961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZm),
     /* 205964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 205966 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 205970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 205975 */     GIR_RootConstrainSelectedInstOperands,
     /* 205976 */     // GIR_Coverage, 12050,
     /* 205976 */     GIR_EraseRootFromParent_Done,
     /* 205977 */   // Label 4752: @205977
     /* 205977 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(206000), // Rule ID 12046 //
     /* 205982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 205985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 205989 */     // (fsqrt:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src)  =>  (VSQRTPDZr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src)
     /* 205989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZr),
     /* 205994 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 205998 */     GIR_RootConstrainSelectedInstOperands,
     /* 205999 */     // GIR_Coverage, 12046,
     /* 205999 */     GIR_Done,
     /* 206000 */   // Label 4753: @206000
     /* 206000 */   GIM_Reject,
     /* 206001 */ // Label 4751: @206001
     /* 206001 */ GIM_Reject,
     /* 206002 */ // Label 4702: @206002
     /* 206002 */ GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(206090),
     /* 206007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 206010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206014 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(206066), // Rule ID 12026 //
     /* 206019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 206022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206030 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206033 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206037 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206043 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206050 */     // (fsqrt:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZ256m:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 206050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ256m),
     /* 206053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206055 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206064 */     GIR_RootConstrainSelectedInstOperands,
     /* 206065 */     // GIR_Coverage, 12026,
     /* 206065 */     GIR_EraseRootFromParent_Done,
     /* 206066 */   // Label 4755: @206066
     /* 206066 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(206089), // Rule ID 12022 //
     /* 206071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 206074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 206078 */     // (fsqrt:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src)  =>  (VSQRTPHZ256r:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src)
     /* 206078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ256r),
     /* 206083 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206087 */     GIR_RootConstrainSelectedInstOperands,
     /* 206088 */     // GIR_Coverage, 12022,
     /* 206088 */     GIR_Done,
     /* 206089 */   // Label 4756: @206089
     /* 206089 */   GIM_Reject,
     /* 206090 */ // Label 4754: @206090
     /* 206090 */ GIM_Reject,
     /* 206091 */ // Label 4703: @206091
     /* 206091 */ GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(206179),
     /* 206096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 206099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206103 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(206155), // Rule ID 12038 //
     /* 206108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 206111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206119 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206122 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206126 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206132 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206139 */     // (fsqrt:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /* 206139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZm),
     /* 206142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206144 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206153 */     GIR_RootConstrainSelectedInstOperands,
     /* 206154 */     // GIR_Coverage, 12038,
     /* 206154 */     GIR_EraseRootFromParent_Done,
     /* 206155 */   // Label 4758: @206155
     /* 206155 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(206178), // Rule ID 12034 //
     /* 206160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 206163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206167 */     // (fsqrt:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src)  =>  (VSQRTPSZr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src)
     /* 206167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZr),
     /* 206172 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206176 */     GIR_RootConstrainSelectedInstOperands,
     /* 206177 */     // GIR_Coverage, 12034,
     /* 206177 */     GIR_Done,
     /* 206178 */   // Label 4759: @206178
     /* 206178 */   GIM_Reject,
     /* 206179 */ // Label 4757: @206179
     /* 206179 */ GIM_Reject,
     /* 206180 */ // Label 4704: @206180
     /* 206180 */ GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(206268),
     /* 206185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 206188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206192 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(206244), // Rule ID 12002 //
     /* 206197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206208 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206211 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206215 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206221 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206228 */     // (fsqrt:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /* 206228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZm),
     /* 206231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206233 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 206237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206242 */     GIR_RootConstrainSelectedInstOperands,
     /* 206243 */     // GIR_Coverage, 12002,
     /* 206243 */     GIR_EraseRootFromParent_Done,
     /* 206244 */   // Label 4761: @206244
     /* 206244 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(206267), // Rule ID 11998 //
     /* 206249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 206256 */     // (fsqrt:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src)  =>  (VSQRTPHZr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src)
     /* 206256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZr),
     /* 206261 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206265 */     GIR_RootConstrainSelectedInstOperands,
     /* 206266 */     // GIR_Coverage, 11998,
     /* 206266 */     GIR_Done,
     /* 206267 */   // Label 4762: @206267
     /* 206267 */   GIM_Reject,
     /* 206268 */ // Label 4760: @206268
     /* 206268 */ GIM_Reject,
     /* 206269 */ // Label 4705: @206269
     /* 206269 */ GIM_Reject,
     /* 206270 */ // Label 68: @206270
     /* 206270 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 4776*/ GIMT_Encode4(210435),
     /* 206281 */ /*GILLT_s16*//*Label 4763*/ GIMT_Encode4(206365),
     /* 206285 */ /*GILLT_s32*//*Label 4764*/ GIMT_Encode4(206525),
     /* 206289 */ /*GILLT_s64*//*Label 4765*/ GIMT_Encode4(207170),
     /* 206293 */ /*GILLT_s80*//*Label 4766*/ GIMT_Encode4(207959), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 206305 */ /*GILLT_v2s64*//*Label 4767*/ GIMT_Encode4(208281), GIMT_Encode4(0),
     /* 206313 */ /*GILLT_v4s32*//*Label 4768*/ GIMT_Encode4(208635),
     /* 206317 */ /*GILLT_v4s64*//*Label 4769*/ GIMT_Encode4(208989), GIMT_Encode4(0),
     /* 206325 */ /*GILLT_v8s16*//*Label 4770*/ GIMT_Encode4(209312),
     /* 206329 */ /*GILLT_v8s32*//*Label 4771*/ GIMT_Encode4(209472),
     /* 206333 */ /*GILLT_v8s64*//*Label 4772*/ GIMT_Encode4(209795), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 206345 */ /*GILLT_v16s16*//*Label 4773*/ GIMT_Encode4(209955),
     /* 206349 */ /*GILLT_v16s32*//*Label 4774*/ GIMT_Encode4(210115), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 206361 */ /*GILLT_v32s16*//*Label 4775*/ GIMT_Encode4(210275),
     /* 206365 */ // Label 4763: @206365
     /* 206365 */ GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(206524),
     /* 206370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 206373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 206376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206380 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(206438), // Rule ID 24246 //
     /* 206385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206396 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206399 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206403 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206413 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206420 */     // (strict_fadd:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VADDSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSHZrm),
     /* 206423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206425 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 206427 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206436 */     GIR_RootConstrainSelectedInstOperands,
     /* 206437 */     // GIR_Coverage, 24246,
     /* 206437 */     GIR_EraseRootFromParent_Done,
     /* 206438 */   // Label 4778: @206438
     /* 206438 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(206496), // Rule ID 5953 //
     /* 206443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206458 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206461 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206465 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206471 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206478 */     // (strict_fadd:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSHZrm),
     /* 206481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206483 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 206485 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206494 */     GIR_RootConstrainSelectedInstOperands,
     /* 206495 */     // GIR_Coverage, 5953,
     /* 206495 */     GIR_EraseRootFromParent_Done,
     /* 206496 */   // Label 4779: @206496
     /* 206496 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(206523), // Rule ID 5951 //
     /* 206501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 206504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 206512 */     // (strict_fadd:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VADDSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 206512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSHZrr),
     /* 206517 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 206521 */     GIR_RootConstrainSelectedInstOperands,
     /* 206522 */     // GIR_Coverage, 5951,
     /* 206522 */     GIR_Done,
     /* 206523 */   // Label 4780: @206523
     /* 206523 */   GIM_Reject,
     /* 206524 */ // Label 4777: @206524
     /* 206524 */ GIM_Reject,
     /* 206525 */ // Label 4764: @206525
     /* 206525 */ GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(207169),
     /* 206530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 206533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 206536 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(206601), // Rule ID 23233 //
     /* 206541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 206544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 206548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206556 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206559 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206563 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 206571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206573 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206580 */     // (strict_fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (ADD_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32m),
     /* 206583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206585 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 206587 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 206594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206599 */     GIR_RootConstrainSelectedInstOperands,
     /* 206600 */     // GIR_Coverage, 23233,
     /* 206600 */     GIR_EraseRootFromParent_Done,
     /* 206601 */   // Label 4782: @206601
     /* 206601 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(206663), // Rule ID 23378 //
     /* 206606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 206609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 206613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206621 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206624 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206628 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 206636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206638 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206645 */     // (strict_fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 206648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206650 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 206652 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206656 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206661 */     GIR_RootConstrainSelectedInstOperands,
     /* 206662 */     // GIR_Coverage, 23378,
     /* 206662 */     GIR_EraseRootFromParent_Done,
     /* 206663 */   // Label 4783: @206663
     /* 206663 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(206725), // Rule ID 23382 //
     /* 206668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 206671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 206675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206683 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206686 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206690 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 206698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206700 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206707 */     // (strict_fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 206710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206712 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 206714 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206723 */     GIR_RootConstrainSelectedInstOperands,
     /* 206724 */     // GIR_Coverage, 23382,
     /* 206724 */     GIR_EraseRootFromParent_Done,
     /* 206725 */   // Label 4784: @206725
     /* 206725 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(206787), // Rule ID 24242 //
     /* 206730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 206733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 206737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 206741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206745 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206748 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206752 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 206760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206762 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206769 */     // (strict_fadd:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 206772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206774 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 206776 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206785 */     GIR_RootConstrainSelectedInstOperands,
     /* 206786 */     // GIR_Coverage, 24242,
     /* 206786 */     GIR_EraseRootFromParent_Done,
     /* 206787 */   // Label 4785: @206787
     /* 206787 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(206852), // Rule ID 909 //
     /* 206792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 206795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 206799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 206803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206811 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206814 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206818 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206831 */     // (strict_fadd:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32m),
     /* 206834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206836 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 206838 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 206845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206850 */     GIR_RootConstrainSelectedInstOperands,
     /* 206851 */     // GIR_Coverage, 909,
     /* 206851 */     GIR_EraseRootFromParent_Done,
     /* 206852 */   // Label 4786: @206852
     /* 206852 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(206914), // Rule ID 2159 //
     /* 206857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 206860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 206864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 206868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206876 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206879 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206883 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206896 */     // (strict_fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSrm),
     /* 206899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206901 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 206903 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206912 */     GIR_RootConstrainSelectedInstOperands,
     /* 206913 */     // GIR_Coverage, 2159,
     /* 206913 */     GIR_EraseRootFromParent_Done,
     /* 206914 */   // Label 4787: @206914
     /* 206914 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(206976), // Rule ID 2167 //
     /* 206919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 206922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 206926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 206930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 206938 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 206941 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 206945 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 206949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 206951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 206958 */     // (strict_fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADDSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 206958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSSrm),
     /* 206961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 206963 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 206965 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 206969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 206974 */     GIR_RootConstrainSelectedInstOperands,
     /* 206975 */     // GIR_Coverage, 2167,
     /* 206975 */     GIR_EraseRootFromParent_Done,
     /* 206976 */   // Label 4788: @206976
     /* 206976 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(207038), // Rule ID 5915 //
     /* 206981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 206984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 206988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 206992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 206996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207000 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207003 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207007 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207020 */     // (strict_fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSSZrm),
     /* 207023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207025 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207027 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207036 */     GIR_RootConstrainSelectedInstOperands,
     /* 207037 */     // GIR_Coverage, 5915,
     /* 207037 */     GIR_EraseRootFromParent_Done,
     /* 207038 */   // Label 4789: @207038
     /* 207038 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(207075), // Rule ID 885 //
     /* 207043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 207046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 207058 */     // (strict_fadd:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (ADD_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 207058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp32),
     /* 207063 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 207069 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 207073 */     GIR_RootConstrainSelectedInstOperands,
     /* 207074 */     // GIR_Coverage, 885,
     /* 207074 */     GIR_Done,
     /* 207075 */   // Label 4790: @207075
     /* 207075 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(207106), // Rule ID 2157 //
     /* 207080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 207083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207095 */     // (strict_fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VADDSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 207095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSSrr),
     /* 207100 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 207104 */     GIR_RootConstrainSelectedInstOperands,
     /* 207105 */     // GIR_Coverage, 2157,
     /* 207105 */     GIR_Done,
     /* 207106 */   // Label 4791: @207106
     /* 207106 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(207137), // Rule ID 2165 //
     /* 207111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 207114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 207126 */     // (strict_fadd:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (ADDSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 207126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDSSrr),
     /* 207131 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 207135 */     GIR_RootConstrainSelectedInstOperands,
     /* 207136 */     // GIR_Coverage, 2165,
     /* 207136 */     GIR_Done,
     /* 207137 */   // Label 4792: @207137
     /* 207137 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(207168), // Rule ID 5913 //
     /* 207142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 207145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 207157 */     // (strict_fadd:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VADDSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 207157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSSZrr),
     /* 207162 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 207166 */     GIR_RootConstrainSelectedInstOperands,
     /* 207167 */     // GIR_Coverage, 5913,
     /* 207167 */     GIR_Done,
     /* 207168 */   // Label 4793: @207168
     /* 207168 */   GIM_Reject,
     /* 207169 */ // Label 4781: @207169
     /* 207169 */ GIM_Reject,
     /* 207170 */ // Label 4765: @207170
     /* 207170 */ GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(207958),
     /* 207175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 207178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 207181 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(207246), // Rule ID 23235 //
     /* 207186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 207189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207201 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207204 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207208 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207225 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (ADD_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m),
     /* 207228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207230 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207232 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 207239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207244 */     GIR_RootConstrainSelectedInstOperands,
     /* 207245 */     // GIR_Coverage, 23235,
     /* 207245 */     GIR_EraseRootFromParent_Done,
     /* 207246 */   // Label 4795: @207246
     /* 207246 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(207318), // Rule ID 23237 //
     /* 207251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 207254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207266 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207269 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207273 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 207280 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207290 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207297 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (ADD_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m32),
     /* 207300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207302 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207304 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 207311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207316 */     GIR_RootConstrainSelectedInstOperands,
     /* 207317 */     // GIR_Coverage, 23237,
     /* 207317 */     GIR_EraseRootFromParent_Done,
     /* 207318 */   // Label 4796: @207318
     /* 207318 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(207380), // Rule ID 23380 //
     /* 207323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 207326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207338 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207341 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207345 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207355 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207362 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 207365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207367 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207369 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207378 */     GIR_RootConstrainSelectedInstOperands,
     /* 207379 */     // GIR_Coverage, 23380,
     /* 207379 */     GIR_EraseRootFromParent_Done,
     /* 207380 */   // Label 4797: @207380
     /* 207380 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(207442), // Rule ID 23384 //
     /* 207385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 207388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207400 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207403 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207407 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207424 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 207427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207429 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207431 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207440 */     GIR_RootConstrainSelectedInstOperands,
     /* 207441 */     // GIR_Coverage, 23384,
     /* 207441 */     GIR_EraseRootFromParent_Done,
     /* 207442 */   // Label 4798: @207442
     /* 207442 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(207504), // Rule ID 24244 //
     /* 207447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 207450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 207454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207462 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207465 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207469 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 207477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207479 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207486 */     // (strict_fadd:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 207489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207491 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 207493 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207502 */     GIR_RootConstrainSelectedInstOperands,
     /* 207503 */     // GIR_Coverage, 24244,
     /* 207503 */     GIR_EraseRootFromParent_Done,
     /* 207504 */   // Label 4799: @207504
     /* 207504 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(207569), // Rule ID 911 //
     /* 207509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 207512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207528 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207531 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207535 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207548 */     // (strict_fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADD_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m),
     /* 207551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207553 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207555 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 207562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207567 */     GIR_RootConstrainSelectedInstOperands,
     /* 207568 */     // GIR_Coverage, 911,
     /* 207568 */     GIR_EraseRootFromParent_Done,
     /* 207569 */   // Label 4800: @207569
     /* 207569 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(207641), // Rule ID 913 //
     /* 207574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 207577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207593 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207596 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207600 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 207607 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207620 */     // (strict_fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (ADD_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64m32),
     /* 207623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207625 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207627 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 207634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207639 */     GIR_RootConstrainSelectedInstOperands,
     /* 207640 */     // GIR_Coverage, 913,
     /* 207640 */     GIR_EraseRootFromParent_Done,
     /* 207641 */   // Label 4801: @207641
     /* 207641 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(207703), // Rule ID 2163 //
     /* 207646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 207649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207665 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207668 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207672 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207678 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207685 */     // (strict_fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDrm),
     /* 207688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207690 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207692 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207701 */     GIR_RootConstrainSelectedInstOperands,
     /* 207702 */     // GIR_Coverage, 2163,
     /* 207702 */     GIR_EraseRootFromParent_Done,
     /* 207703 */   // Label 4802: @207703
     /* 207703 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(207765), // Rule ID 2171 //
     /* 207708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 207711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207727 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207730 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207734 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207740 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207747 */     // (strict_fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (ADDSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADDSDrm),
     /* 207750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207752 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207754 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207763 */     GIR_RootConstrainSelectedInstOperands,
     /* 207764 */     // GIR_Coverage, 2171,
     /* 207764 */     GIR_EraseRootFromParent_Done,
     /* 207765 */   // Label 4803: @207765
     /* 207765 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(207827), // Rule ID 5934 //
     /* 207770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 207773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 207777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 207781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 207785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207789 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207792 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207796 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 207800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 207802 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 207809 */     // (strict_fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 207809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDSDZrm),
     /* 207812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207814 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 207816 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 207820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 207825 */     GIR_RootConstrainSelectedInstOperands,
     /* 207826 */     // GIR_Coverage, 5934,
     /* 207826 */     GIR_EraseRootFromParent_Done,
     /* 207827 */   // Label 4804: @207827
     /* 207827 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(207864), // Rule ID 887 //
     /* 207832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 207835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 207847 */     // (strict_fadd:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (ADD_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 207847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp64),
     /* 207852 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 207858 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 207862 */     GIR_RootConstrainSelectedInstOperands,
     /* 207863 */     // GIR_Coverage, 887,
     /* 207863 */     GIR_Done,
     /* 207864 */   // Label 4805: @207864
     /* 207864 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(207895), // Rule ID 2161 //
     /* 207869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 207872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207884 */     // (strict_fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VADDSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 207884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSDrr),
     /* 207889 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 207893 */     GIR_RootConstrainSelectedInstOperands,
     /* 207894 */     // GIR_Coverage, 2161,
     /* 207894 */     GIR_Done,
     /* 207895 */   // Label 4806: @207895
     /* 207895 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(207926), // Rule ID 2169 //
     /* 207900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 207903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 207915 */     // (strict_fadd:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (ADDSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 207915 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDSDrr),
     /* 207920 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 207924 */     GIR_RootConstrainSelectedInstOperands,
     /* 207925 */     // GIR_Coverage, 2169,
     /* 207925 */     GIR_Done,
     /* 207926 */   // Label 4807: @207926
     /* 207926 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(207957), // Rule ID 5932 //
     /* 207931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 207934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 207938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 207942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 207946 */     // (strict_fadd:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VADDSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 207946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDSDZrr),
     /* 207951 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 207955 */     GIR_RootConstrainSelectedInstOperands,
     /* 207956 */     // GIR_Coverage, 5932,
     /* 207956 */     GIR_Done,
     /* 207957 */   // Label 4808: @207957
     /* 207957 */   GIM_Reject,
     /* 207958 */ // Label 4794: @207958
     /* 207958 */ GIM_Reject,
     /* 207959 */ // Label 4766: @207959
     /* 207959 */ GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(208280),
     /* 207964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 207967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 207970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 207974 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(208042), // Rule ID 23239 //
     /* 207979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 207982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 207986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 207990 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 207993 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 207997 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 208004 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208014 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208021 */     // (strict_fadd:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (ADD_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m32),
     /* 208024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208026 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208028 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208040 */     GIR_RootConstrainSelectedInstOperands,
     /* 208041 */     // GIR_Coverage, 23239,
     /* 208041 */     GIR_EraseRootFromParent_Done,
     /* 208042 */   // Label 4810: @208042
     /* 208042 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(208110), // Rule ID 23241 //
     /* 208047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 208050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 208054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208058 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208061 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208065 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 208072 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208082 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208089 */     // (strict_fadd:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (ADD_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m64),
     /* 208092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208094 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208096 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208108 */     GIR_RootConstrainSelectedInstOperands,
     /* 208109 */     // GIR_Coverage, 23241,
     /* 208109 */     GIR_EraseRootFromParent_Done,
     /* 208110 */   // Label 4811: @208110
     /* 208110 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(208178), // Rule ID 915 //
     /* 208115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 208118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208130 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208133 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208137 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 208144 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208150 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208157 */     // (strict_fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (ADD_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m32),
     /* 208160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208162 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208164 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208176 */     GIR_RootConstrainSelectedInstOperands,
     /* 208177 */     // GIR_Coverage, 915,
     /* 208177 */     GIR_EraseRootFromParent_Done,
     /* 208178 */   // Label 4812: @208178
     /* 208178 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(208246), // Rule ID 917 //
     /* 208183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 208186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208198 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208201 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208205 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 208212 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208218 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208225 */     // (strict_fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (ADD_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80m64),
     /* 208228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208230 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208232 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 208239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208244 */     GIR_RootConstrainSelectedInstOperands,
     /* 208245 */     // GIR_Coverage, 917,
     /* 208245 */     GIR_EraseRootFromParent_Done,
     /* 208246 */   // Label 4813: @208246
     /* 208246 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(208279), // Rule ID 889 //
     /* 208251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 208254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 208262 */     // (strict_fadd:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (ADD_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 208262 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADD_Fp80),
     /* 208267 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 208273 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 208277 */     GIR_RootConstrainSelectedInstOperands,
     /* 208278 */     // GIR_Coverage, 889,
     /* 208278 */     GIR_Done,
     /* 208279 */   // Label 4814: @208279
     /* 208279 */   GIM_Reject,
     /* 208280 */ // Label 4809: @208280
     /* 208280 */ GIM_Reject,
     /* 208281 */ // Label 4767: @208281
     /* 208281 */ GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(208634),
     /* 208286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 208289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 208292 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(208354), // Rule ID 23368 //
     /* 208297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 208300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 208308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208312 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208315 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208319 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208329 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208336 */     // (strict_fadd:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VADDPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDrm),
     /* 208339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208341 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208343 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208352 */     GIR_RootConstrainSelectedInstOperands,
     /* 208353 */     // GIR_Coverage, 23368,
     /* 208353 */     GIR_EraseRootFromParent_Done,
     /* 208354 */   // Label 4816: @208354
     /* 208354 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(208416), // Rule ID 24292 //
     /* 208359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 208362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 208370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208374 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208377 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208381 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208398 */     // (strict_fadd:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VADDPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rm),
     /* 208401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208403 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208405 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208409 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208414 */     GIR_RootConstrainSelectedInstOperands,
     /* 208415 */     // GIR_Coverage, 24292,
     /* 208415 */     GIR_EraseRootFromParent_Done,
     /* 208416 */   // Label 4817: @208416
     /* 208416 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(208478), // Rule ID 2139 //
     /* 208421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 208424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208440 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208443 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208447 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208460 */     // (strict_fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDrm),
     /* 208463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208465 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208467 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208476 */     GIR_RootConstrainSelectedInstOperands,
     /* 208477 */     // GIR_Coverage, 2139,
     /* 208477 */     GIR_EraseRootFromParent_Done,
     /* 208478 */   // Label 4818: @208478
     /* 208478 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(208540), // Rule ID 6307 //
     /* 208483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 208486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208502 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208505 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208509 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208522 */     // (strict_fadd:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rm),
     /* 208525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208527 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208533 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208538 */     GIR_RootConstrainSelectedInstOperands,
     /* 208539 */     // GIR_Coverage, 6307,
     /* 208539 */     GIR_EraseRootFromParent_Done,
     /* 208540 */   // Label 4819: @208540
     /* 208540 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(208571), // Rule ID 2137 //
     /* 208545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 208548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208560 */     // (strict_fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VADDPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 208560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDrr),
     /* 208565 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 208569 */     GIR_RootConstrainSelectedInstOperands,
     /* 208570 */     // GIR_Coverage, 2137,
     /* 208570 */     GIR_Done,
     /* 208571 */   // Label 4820: @208571
     /* 208571 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(208602), // Rule ID 2153 //
     /* 208576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 208579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208591 */     // (strict_fadd:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (ADDPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 208591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDPDrr),
     /* 208596 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 208600 */     GIR_RootConstrainSelectedInstOperands,
     /* 208601 */     // GIR_Coverage, 2153,
     /* 208601 */     GIR_Done,
     /* 208602 */   // Label 4821: @208602
     /* 208602 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(208633), // Rule ID 6303 //
     /* 208607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 208610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208622 */     // (strict_fadd:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VADDPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 208622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZ128rr),
     /* 208627 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 208631 */     GIR_RootConstrainSelectedInstOperands,
     /* 208632 */     // GIR_Coverage, 6303,
     /* 208632 */     GIR_Done,
     /* 208633 */   // Label 4822: @208633
     /* 208633 */   GIM_Reject,
     /* 208634 */ // Label 4815: @208634
     /* 208634 */ GIM_Reject,
     /* 208635 */ // Label 4768: @208635
     /* 208635 */ GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(208988),
     /* 208640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 208643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 208646 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(208708), // Rule ID 23366 //
     /* 208651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 208654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 208662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208666 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208669 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208673 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208683 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208690 */     // (strict_fadd:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VADDPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSrm),
     /* 208693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208695 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208697 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208706 */     GIR_RootConstrainSelectedInstOperands,
     /* 208707 */     // GIR_Coverage, 23366,
     /* 208707 */     GIR_EraseRootFromParent_Done,
     /* 208708 */   // Label 4824: @208708
     /* 208708 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(208770), // Rule ID 24276 //
     /* 208713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 208716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 208724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208728 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208731 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208735 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208745 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208752 */     // (strict_fadd:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VADDPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rm),
     /* 208755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208757 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 208759 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208768 */     GIR_RootConstrainSelectedInstOperands,
     /* 208769 */     // GIR_Coverage, 24276,
     /* 208769 */     GIR_EraseRootFromParent_Done,
     /* 208770 */   // Label 4825: @208770
     /* 208770 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(208832), // Rule ID 2135 //
     /* 208775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 208778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208794 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208797 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208801 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208807 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208814 */     // (strict_fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSrm),
     /* 208817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208819 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208821 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208830 */     GIR_RootConstrainSelectedInstOperands,
     /* 208831 */     // GIR_Coverage, 2135,
     /* 208831 */     GIR_EraseRootFromParent_Done,
     /* 208832 */   // Label 4826: @208832
     /* 208832 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(208894), // Rule ID 6283 //
     /* 208837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 208840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 208852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 208856 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 208859 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 208863 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 208867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 208869 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 208876 */     // (strict_fadd:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 208876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rm),
     /* 208879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208881 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 208883 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 208887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 208892 */     GIR_RootConstrainSelectedInstOperands,
     /* 208893 */     // GIR_Coverage, 6283,
     /* 208893 */     GIR_EraseRootFromParent_Done,
     /* 208894 */   // Label 4827: @208894
     /* 208894 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(208925), // Rule ID 2133 //
     /* 208899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 208902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208914 */     // (strict_fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VADDPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 208914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSrr),
     /* 208919 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 208923 */     GIR_RootConstrainSelectedInstOperands,
     /* 208924 */     // GIR_Coverage, 2133,
     /* 208924 */     GIR_Done,
     /* 208925 */   // Label 4828: @208925
     /* 208925 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(208956), // Rule ID 2149 //
     /* 208930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 208933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 208945 */     // (strict_fadd:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (ADDPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 208945 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::ADDPSrr),
     /* 208950 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 208954 */     GIR_RootConstrainSelectedInstOperands,
     /* 208955 */     // GIR_Coverage, 2149,
     /* 208955 */     GIR_Done,
     /* 208956 */   // Label 4829: @208956
     /* 208956 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(208987), // Rule ID 6279 //
     /* 208961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 208964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 208976 */     // (strict_fadd:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VADDPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 208976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZ128rr),
     /* 208981 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 208985 */     GIR_RootConstrainSelectedInstOperands,
     /* 208986 */     // GIR_Coverage, 6279,
     /* 208986 */     GIR_Done,
     /* 208987 */   // Label 4830: @208987
     /* 208987 */   GIM_Reject,
     /* 208988 */ // Label 4823: @208988
     /* 208988 */ GIM_Reject,
     /* 208989 */ // Label 4769: @208989
     /* 208989 */ GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(209311),
     /* 208994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 208997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 209000 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(209062), // Rule ID 23372 //
     /* 209005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209020 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209023 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209027 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209037 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209044 */     // (strict_fadd:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VADDPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDYrm),
     /* 209047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209049 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209051 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209060 */     GIR_RootConstrainSelectedInstOperands,
     /* 209061 */     // GIR_Coverage, 23372,
     /* 209061 */     GIR_EraseRootFromParent_Done,
     /* 209062 */   // Label 4832: @209062
     /* 209062 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(209124), // Rule ID 24300 //
     /* 209067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209082 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209085 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209089 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209099 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209106 */     // (strict_fadd:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VADDPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rm),
     /* 209109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209111 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209113 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209122 */     GIR_RootConstrainSelectedInstOperands,
     /* 209123 */     // GIR_Coverage, 24300,
     /* 209123 */     GIR_EraseRootFromParent_Done,
     /* 209124 */   // Label 4833: @209124
     /* 209124 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(209186), // Rule ID 2147 //
     /* 209129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209148 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209151 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209155 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209161 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209168 */     // (strict_fadd:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDYrm),
     /* 209171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209173 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209175 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209184 */     GIR_RootConstrainSelectedInstOperands,
     /* 209185 */     // GIR_Coverage, 2147,
     /* 209185 */     GIR_EraseRootFromParent_Done,
     /* 209186 */   // Label 4834: @209186
     /* 209186 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(209248), // Rule ID 6319 //
     /* 209191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209210 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209213 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209217 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209223 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209230 */     // (strict_fadd:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rm),
     /* 209233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209235 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209237 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209246 */     GIR_RootConstrainSelectedInstOperands,
     /* 209247 */     // GIR_Coverage, 6319,
     /* 209247 */     GIR_EraseRootFromParent_Done,
     /* 209248 */   // Label 4835: @209248
     /* 209248 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(209279), // Rule ID 2145 //
     /* 209253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209268 */     // (strict_fadd:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VADDPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 209268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDYrr),
     /* 209273 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209277 */     GIR_RootConstrainSelectedInstOperands,
     /* 209278 */     // GIR_Coverage, 2145,
     /* 209278 */     GIR_Done,
     /* 209279 */   // Label 4836: @209279
     /* 209279 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(209310), // Rule ID 6315 //
     /* 209284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209299 */     // (strict_fadd:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VADDPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 209299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZ256rr),
     /* 209304 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209308 */     GIR_RootConstrainSelectedInstOperands,
     /* 209309 */     // GIR_Coverage, 6315,
     /* 209309 */     GIR_Done,
     /* 209310 */   // Label 4837: @209310
     /* 209310 */   GIM_Reject,
     /* 209311 */ // Label 4831: @209311
     /* 209311 */ GIM_Reject,
     /* 209312 */ // Label 4770: @209312
     /* 209312 */ GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(209471),
     /* 209317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 209320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 209323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209327 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(209385), // Rule ID 24316 //
     /* 209332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 209335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209343 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209346 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209350 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209360 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209367 */     // (strict_fadd:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VADDPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rm),
     /* 209370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209372 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209374 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209383 */     GIR_RootConstrainSelectedInstOperands,
     /* 209384 */     // GIR_Coverage, 24316,
     /* 209384 */     GIR_EraseRootFromParent_Done,
     /* 209385 */   // Label 4839: @209385
     /* 209385 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(209443), // Rule ID 6343 //
     /* 209390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 209393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209405 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209408 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209412 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209418 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209425 */     // (strict_fadd:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rm),
     /* 209428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209430 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209432 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209441 */     GIR_RootConstrainSelectedInstOperands,
     /* 209442 */     // GIR_Coverage, 6343,
     /* 209442 */     GIR_EraseRootFromParent_Done,
     /* 209443 */   // Label 4840: @209443
     /* 209443 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(209470), // Rule ID 6339 //
     /* 209448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 209451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 209459 */     // (strict_fadd:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VADDPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 209459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZ128rr),
     /* 209464 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209468 */     GIR_RootConstrainSelectedInstOperands,
     /* 209469 */     // GIR_Coverage, 6339,
     /* 209469 */     GIR_Done,
     /* 209470 */   // Label 4841: @209470
     /* 209470 */   GIM_Reject,
     /* 209471 */ // Label 4838: @209471
     /* 209471 */ GIM_Reject,
     /* 209472 */ // Label 4771: @209472
     /* 209472 */ GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(209794),
     /* 209477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 209480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 209483 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(209545), // Rule ID 23370 //
     /* 209488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209503 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209506 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209510 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209520 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209527 */     // (strict_fadd:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VADDPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSYrm),
     /* 209530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209532 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209534 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209543 */     GIR_RootConstrainSelectedInstOperands,
     /* 209544 */     // GIR_Coverage, 23370,
     /* 209544 */     GIR_EraseRootFromParent_Done,
     /* 209545 */   // Label 4843: @209545
     /* 209545 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(209607), // Rule ID 24284 //
     /* 209550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209565 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209568 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209572 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209582 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209589 */     // (strict_fadd:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VADDPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rm),
     /* 209592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209594 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209596 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209605 */     GIR_RootConstrainSelectedInstOperands,
     /* 209606 */     // GIR_Coverage, 24284,
     /* 209606 */     GIR_EraseRootFromParent_Done,
     /* 209607 */   // Label 4844: @209607
     /* 209607 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(209669), // Rule ID 2143 //
     /* 209612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209631 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209634 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209638 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209651 */     // (strict_fadd:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSYrm),
     /* 209654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209656 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209658 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209667 */     GIR_RootConstrainSelectedInstOperands,
     /* 209668 */     // GIR_Coverage, 2143,
     /* 209668 */     GIR_EraseRootFromParent_Done,
     /* 209669 */   // Label 4845: @209669
     /* 209669 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(209731), // Rule ID 6295 //
     /* 209674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209693 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209696 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209700 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209706 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209713 */     // (strict_fadd:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rm),
     /* 209716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209718 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209720 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209729 */     GIR_RootConstrainSelectedInstOperands,
     /* 209730 */     // GIR_Coverage, 6295,
     /* 209730 */     GIR_EraseRootFromParent_Done,
     /* 209731 */   // Label 4846: @209731
     /* 209731 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(209762), // Rule ID 2141 //
     /* 209736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 209739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 209751 */     // (strict_fadd:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VADDPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 209751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSYrr),
     /* 209756 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209760 */     GIR_RootConstrainSelectedInstOperands,
     /* 209761 */     // GIR_Coverage, 2141,
     /* 209761 */     GIR_Done,
     /* 209762 */   // Label 4847: @209762
     /* 209762 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(209793), // Rule ID 6291 //
     /* 209767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 209770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209782 */     // (strict_fadd:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VADDPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 209782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZ256rr),
     /* 209787 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209791 */     GIR_RootConstrainSelectedInstOperands,
     /* 209792 */     // GIR_Coverage, 6291,
     /* 209792 */     GIR_Done,
     /* 209793 */   // Label 4848: @209793
     /* 209793 */   GIM_Reject,
     /* 209794 */ // Label 4842: @209794
     /* 209794 */ GIM_Reject,
     /* 209795 */ // Label 4772: @209795
     /* 209795 */ GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(209954),
     /* 209800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 209803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 209806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 209810 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(209868), // Rule ID 24268 //
     /* 209815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 209818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209826 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209829 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209833 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 209841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209843 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209850 */     // (strict_fadd:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VADDPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZrm),
     /* 209853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209855 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 209857 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209861 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209866 */     GIR_RootConstrainSelectedInstOperands,
     /* 209867 */     // GIR_Coverage, 24268,
     /* 209867 */     GIR_EraseRootFromParent_Done,
     /* 209868 */   // Label 4850: @209868
     /* 209868 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(209926), // Rule ID 6271 //
     /* 209873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 209876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 209880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 209884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209888 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209891 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209895 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 209901 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 209908 */     // (strict_fadd:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 209908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPDZrm),
     /* 209911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 209913 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 209915 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 209919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 209924 */     GIR_RootConstrainSelectedInstOperands,
     /* 209925 */     // GIR_Coverage, 6271,
     /* 209925 */     GIR_EraseRootFromParent_Done,
     /* 209926 */   // Label 4851: @209926
     /* 209926 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(209953), // Rule ID 6267 //
     /* 209931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 209934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 209938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 209942 */     // (strict_fadd:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VADDPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 209942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPDZrr),
     /* 209947 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 209951 */     GIR_RootConstrainSelectedInstOperands,
     /* 209952 */     // GIR_Coverage, 6267,
     /* 209952 */     GIR_Done,
     /* 209953 */   // Label 4852: @209953
     /* 209953 */   GIM_Reject,
     /* 209954 */ // Label 4849: @209954
     /* 209954 */ GIM_Reject,
     /* 209955 */ // Label 4773: @209955
     /* 209955 */ GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(210114),
     /* 209960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 209963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 209966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 209970 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(210028), // Rule ID 24324 //
     /* 209975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 209978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 209982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 209986 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 209989 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 209993 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 209997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210003 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210010 */     // (strict_fadd:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VADDPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rm),
     /* 210013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210015 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210017 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210026 */     GIR_RootConstrainSelectedInstOperands,
     /* 210027 */     // GIR_Coverage, 24324,
     /* 210027 */     GIR_EraseRootFromParent_Done,
     /* 210028 */   // Label 4854: @210028
     /* 210028 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(210086), // Rule ID 6355 //
     /* 210033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 210036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210048 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210051 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210055 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210068 */     // (strict_fadd:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rm),
     /* 210071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210073 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210075 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210084 */     GIR_RootConstrainSelectedInstOperands,
     /* 210085 */     // GIR_Coverage, 6355,
     /* 210085 */     GIR_EraseRootFromParent_Done,
     /* 210086 */   // Label 4855: @210086
     /* 210086 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(210113), // Rule ID 6351 //
     /* 210091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 210094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 210102 */     // (strict_fadd:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VADDPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 210102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZ256rr),
     /* 210107 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210111 */     GIR_RootConstrainSelectedInstOperands,
     /* 210112 */     // GIR_Coverage, 6351,
     /* 210112 */     GIR_Done,
     /* 210113 */   // Label 4856: @210113
     /* 210113 */   GIM_Reject,
     /* 210114 */ // Label 4853: @210114
     /* 210114 */ GIM_Reject,
     /* 210115 */ // Label 4774: @210115
     /* 210115 */ GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(210274),
     /* 210120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 210123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 210126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210130 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(210188), // Rule ID 24260 //
     /* 210135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 210142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210146 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210149 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210153 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210163 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210170 */     // (strict_fadd:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VADDPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZrm),
     /* 210173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210175 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210177 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210186 */     GIR_RootConstrainSelectedInstOperands,
     /* 210187 */     // GIR_Coverage, 24260,
     /* 210187 */     GIR_EraseRootFromParent_Done,
     /* 210188 */   // Label 4858: @210188
     /* 210188 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(210246), // Rule ID 6259 //
     /* 210193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210208 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210211 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210215 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210221 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210228 */     // (strict_fadd:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPSZrm),
     /* 210231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210233 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210235 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210244 */     GIR_RootConstrainSelectedInstOperands,
     /* 210245 */     // GIR_Coverage, 6259,
     /* 210245 */     GIR_EraseRootFromParent_Done,
     /* 210246 */   // Label 4859: @210246
     /* 210246 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(210273), // Rule ID 6255 //
     /* 210251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210262 */     // (strict_fadd:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VADDPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 210262 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPSZrr),
     /* 210267 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210271 */     GIR_RootConstrainSelectedInstOperands,
     /* 210272 */     // GIR_Coverage, 6255,
     /* 210272 */     GIR_Done,
     /* 210273 */   // Label 4860: @210273
     /* 210273 */   GIM_Reject,
     /* 210274 */ // Label 4857: @210274
     /* 210274 */ GIM_Reject,
     /* 210275 */ // Label 4775: @210275
     /* 210275 */ GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(210434),
     /* 210280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 210283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 210286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210290 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(210348), // Rule ID 24308 //
     /* 210295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 210298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 210302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210306 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210309 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210313 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210330 */     // (strict_fadd:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VADDPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZrm),
     /* 210333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210335 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210337 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210346 */     GIR_RootConstrainSelectedInstOperands,
     /* 210347 */     // GIR_Coverage, 24308,
     /* 210347 */     GIR_EraseRootFromParent_Done,
     /* 210348 */   // Label 4862: @210348
     /* 210348 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(210406), // Rule ID 6331 //
     /* 210353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 210356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210368 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210371 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210375 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210381 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210388 */     // (strict_fadd:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VADDPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VADDPHZrm),
     /* 210391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210393 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210395 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210404 */     GIR_RootConstrainSelectedInstOperands,
     /* 210405 */     // GIR_Coverage, 6331,
     /* 210405 */     GIR_EraseRootFromParent_Done,
     /* 210406 */   // Label 4863: @210406
     /* 210406 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(210433), // Rule ID 6327 //
     /* 210411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 210414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 210422 */     // (strict_fadd:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VADDPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 210422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VADDPHZrr),
     /* 210427 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210431 */     GIR_RootConstrainSelectedInstOperands,
     /* 210432 */     // GIR_Coverage, 6327,
     /* 210432 */     GIR_Done,
     /* 210433 */   // Label 4864: @210433
     /* 210433 */   GIM_Reject,
     /* 210434 */ // Label 4861: @210434
     /* 210434 */ GIM_Reject,
     /* 210435 */ // Label 4776: @210435
     /* 210435 */ GIM_Reject,
     /* 210436 */ // Label 69: @210436
     /* 210436 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 4878*/ GIMT_Encode4(213361),
     /* 210447 */ /*GILLT_s16*//*Label 4865*/ GIMT_Encode4(210531),
     /* 210451 */ /*GILLT_s32*//*Label 4866*/ GIMT_Encode4(210629),
     /* 210455 */ /*GILLT_s64*//*Label 4867*/ GIMT_Encode4(211088),
     /* 210459 */ /*GILLT_s80*//*Label 4868*/ GIMT_Encode4(211691), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 210471 */ /*GILLT_v2s64*//*Label 4869*/ GIMT_Encode4(212013), GIMT_Encode4(0),
     /* 210479 */ /*GILLT_v4s32*//*Label 4870*/ GIMT_Encode4(212243),
     /* 210483 */ /*GILLT_v4s64*//*Label 4871*/ GIMT_Encode4(212473), GIMT_Encode4(0),
     /* 210491 */ /*GILLT_v8s16*//*Label 4872*/ GIMT_Encode4(212672),
     /* 210495 */ /*GILLT_v8s32*//*Label 4873*/ GIMT_Encode4(212770),
     /* 210499 */ /*GILLT_v8s64*//*Label 4874*/ GIMT_Encode4(212969), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 210511 */ /*GILLT_v16s16*//*Label 4875*/ GIMT_Encode4(213067),
     /* 210515 */ /*GILLT_v16s32*//*Label 4876*/ GIMT_Encode4(213165), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 210527 */ /*GILLT_v32s16*//*Label 4877*/ GIMT_Encode4(213263),
     /* 210531 */ // Label 4865: @210531
     /* 210531 */ GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(210628),
     /* 210536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 210539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 210542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 210546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 210550 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(210604), // Rule ID 6067 //
     /* 210555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 210558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210566 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210569 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210573 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210579 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210586 */     // (strict_fsub:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSHZrm),
     /* 210589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210591 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210593 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210602 */     GIR_RootConstrainSelectedInstOperands,
     /* 210603 */     // GIR_Coverage, 6067,
     /* 210603 */     GIR_EraseRootFromParent_Done,
     /* 210604 */   // Label 4880: @210604
     /* 210604 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(210627), // Rule ID 6065 //
     /* 210609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 210612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 210616 */     // (strict_fsub:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VSUBSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 210616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSHZrr),
     /* 210621 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 210625 */     GIR_RootConstrainSelectedInstOperands,
     /* 210626 */     // GIR_Coverage, 6065,
     /* 210626 */     GIR_Done,
     /* 210627 */   // Label 4881: @210627
     /* 210627 */   GIM_Reject,
     /* 210628 */ // Label 4879: @210628
     /* 210628 */ GIM_Reject,
     /* 210629 */ // Label 4866: @210629
     /* 210629 */ GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(211087),
     /* 210634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 210637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 210640 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(210705), // Rule ID 953 //
     /* 210645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 210648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 210652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 210656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210660 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210663 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210667 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 210675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210677 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210684 */     // (strict_fsub:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (SUBR_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp32m),
     /* 210687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210689 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 210691 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 210698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210703 */     GIR_RootConstrainSelectedInstOperands,
     /* 210704 */     // GIR_Coverage, 953,
     /* 210704 */     GIR_EraseRootFromParent_Done,
     /* 210705 */   // Label 4883: @210705
     /* 210705 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(210770), // Rule ID 931 //
     /* 210710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 210713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 210717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 210721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210729 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210732 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210736 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210742 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210749 */     // (strict_fsub:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp32m),
     /* 210752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210754 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210756 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 210763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210768 */     GIR_RootConstrainSelectedInstOperands,
     /* 210769 */     // GIR_Coverage, 931,
     /* 210769 */     GIR_EraseRootFromParent_Done,
     /* 210770 */   // Label 4884: @210770
     /* 210770 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(210832), // Rule ID 2239 //
     /* 210775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 210778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 210782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 210786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210794 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210797 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210801 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210807 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210814 */     // (strict_fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSrm),
     /* 210817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210819 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210821 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210830 */     GIR_RootConstrainSelectedInstOperands,
     /* 210831 */     // GIR_Coverage, 2239,
     /* 210831 */     GIR_EraseRootFromParent_Done,
     /* 210832 */   // Label 4885: @210832
     /* 210832 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(210894), // Rule ID 2247 //
     /* 210837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 210840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 210844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 210848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210856 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210859 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210863 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210869 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210876 */     // (strict_fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUBSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSSrm),
     /* 210879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210881 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210883 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210892 */     GIR_RootConstrainSelectedInstOperands,
     /* 210893 */     // GIR_Coverage, 2247,
     /* 210893 */     GIR_EraseRootFromParent_Done,
     /* 210894 */   // Label 4886: @210894
     /* 210894 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(210956), // Rule ID 6029 //
     /* 210899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 210902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 210906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 210910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 210914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 210918 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 210921 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 210925 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 210929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 210931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 210938 */     // (strict_fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 210938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrm),
     /* 210941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 210943 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 210945 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 210949 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 210954 */     GIR_RootConstrainSelectedInstOperands,
     /* 210955 */     // GIR_Coverage, 6029,
     /* 210955 */     GIR_EraseRootFromParent_Done,
     /* 210956 */   // Label 4887: @210956
     /* 210956 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(210993), // Rule ID 891 //
     /* 210961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 210964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 210968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 210972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 210976 */     // (strict_fsub:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (SUB_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 210976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp32),
     /* 210981 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 210987 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 210991 */     GIR_RootConstrainSelectedInstOperands,
     /* 210992 */     // GIR_Coverage, 891,
     /* 210992 */     GIR_Done,
     /* 210993 */   // Label 4888: @210993
     /* 210993 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(211024), // Rule ID 2237 //
     /* 210998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 211001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211013 */     // (strict_fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VSUBSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 211013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSSrr),
     /* 211018 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211022 */     GIR_RootConstrainSelectedInstOperands,
     /* 211023 */     // GIR_Coverage, 2237,
     /* 211023 */     GIR_Done,
     /* 211024 */   // Label 4889: @211024
     /* 211024 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(211055), // Rule ID 2245 //
     /* 211029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 211032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 211044 */     // (strict_fsub:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (SUBSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 211044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBSSrr),
     /* 211049 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211053 */     GIR_RootConstrainSelectedInstOperands,
     /* 211054 */     // GIR_Coverage, 2245,
     /* 211054 */     GIR_Done,
     /* 211055 */   // Label 4890: @211055
     /* 211055 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(211086), // Rule ID 6027 //
     /* 211060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 211063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 211067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 211071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 211075 */     // (strict_fsub:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VSUBSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 211075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSSZrr),
     /* 211080 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211084 */     GIR_RootConstrainSelectedInstOperands,
     /* 211085 */     // GIR_Coverage, 6027,
     /* 211085 */     GIR_Done,
     /* 211086 */   // Label 4891: @211086
     /* 211086 */   GIM_Reject,
     /* 211087 */ // Label 4882: @211087
     /* 211087 */ GIM_Reject,
     /* 211088 */ // Label 4867: @211088
     /* 211088 */ GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(211690),
     /* 211093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 211096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 211099 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(211164), // Rule ID 955 //
     /* 211104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 211107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 211115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211119 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211122 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211126 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211136 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211143 */     // (strict_fsub:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (SUBR_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp64m),
     /* 211146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211148 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 211150 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211162 */     GIR_RootConstrainSelectedInstOperands,
     /* 211163 */     // GIR_Coverage, 955,
     /* 211163 */     GIR_EraseRootFromParent_Done,
     /* 211164 */   // Label 4893: @211164
     /* 211164 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(211236), // Rule ID 957 //
     /* 211169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 211172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 211180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211184 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211187 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211191 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 211198 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211208 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211215 */     // (strict_fsub:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (SUBR_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp64m32),
     /* 211218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211220 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 211222 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211229 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211234 */     GIR_RootConstrainSelectedInstOperands,
     /* 211235 */     // GIR_Coverage, 957,
     /* 211235 */     GIR_EraseRootFromParent_Done,
     /* 211236 */   // Label 4894: @211236
     /* 211236 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(211301), // Rule ID 933 //
     /* 211241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 211244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211260 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211263 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211267 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211280 */     // (strict_fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUB_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64m),
     /* 211283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211285 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211287 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211299 */     GIR_RootConstrainSelectedInstOperands,
     /* 211300 */     // GIR_Coverage, 933,
     /* 211300 */     GIR_EraseRootFromParent_Done,
     /* 211301 */   // Label 4895: @211301
     /* 211301 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(211373), // Rule ID 935 //
     /* 211306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 211309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211325 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211328 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211332 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 211339 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211345 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211352 */     // (strict_fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (SUB_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64m32),
     /* 211355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211357 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211359 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211371 */     GIR_RootConstrainSelectedInstOperands,
     /* 211372 */     // GIR_Coverage, 935,
     /* 211372 */     GIR_EraseRootFromParent_Done,
     /* 211373 */   // Label 4896: @211373
     /* 211373 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(211435), // Rule ID 2243 //
     /* 211378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 211381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211397 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211400 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211404 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211410 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211417 */     // (strict_fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDrm),
     /* 211420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211422 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211424 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211433 */     GIR_RootConstrainSelectedInstOperands,
     /* 211434 */     // GIR_Coverage, 2243,
     /* 211434 */     GIR_EraseRootFromParent_Done,
     /* 211435 */   // Label 4897: @211435
     /* 211435 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(211497), // Rule ID 2251 //
     /* 211440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 211443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211459 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211462 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211466 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211472 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211479 */     // (strict_fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SUBSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBSDrm),
     /* 211482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211484 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211486 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211490 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211495 */     GIR_RootConstrainSelectedInstOperands,
     /* 211496 */     // GIR_Coverage, 2251,
     /* 211496 */     GIR_EraseRootFromParent_Done,
     /* 211497 */   // Label 4898: @211497
     /* 211497 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(211559), // Rule ID 6048 //
     /* 211502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 211505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 211509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 211513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211521 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211524 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211528 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211541 */     // (strict_fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrm),
     /* 211544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211546 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211557 */     GIR_RootConstrainSelectedInstOperands,
     /* 211558 */     // GIR_Coverage, 6048,
     /* 211558 */     GIR_EraseRootFromParent_Done,
     /* 211559 */   // Label 4899: @211559
     /* 211559 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(211596), // Rule ID 893 //
     /* 211564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 211567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 211579 */     // (strict_fsub:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (SUB_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 211579 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp64),
     /* 211584 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 211590 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 211594 */     GIR_RootConstrainSelectedInstOperands,
     /* 211595 */     // GIR_Coverage, 893,
     /* 211595 */     GIR_Done,
     /* 211596 */   // Label 4900: @211596
     /* 211596 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(211627), // Rule ID 2241 //
     /* 211601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 211604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211616 */     // (strict_fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VSUBSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 211616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSDrr),
     /* 211621 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211625 */     GIR_RootConstrainSelectedInstOperands,
     /* 211626 */     // GIR_Coverage, 2241,
     /* 211626 */     GIR_Done,
     /* 211627 */   // Label 4901: @211627
     /* 211627 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(211658), // Rule ID 2249 //
     /* 211632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 211635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 211647 */     // (strict_fsub:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (SUBSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 211647 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBSDrr),
     /* 211652 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211656 */     GIR_RootConstrainSelectedInstOperands,
     /* 211657 */     // GIR_Coverage, 2249,
     /* 211657 */     GIR_Done,
     /* 211658 */   // Label 4902: @211658
     /* 211658 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(211689), // Rule ID 6046 //
     /* 211663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 211666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 211670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 211674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 211678 */     // (strict_fsub:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VSUBSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 211678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBSDZrr),
     /* 211683 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 211687 */     GIR_RootConstrainSelectedInstOperands,
     /* 211688 */     // GIR_Coverage, 6046,
     /* 211688 */     GIR_Done,
     /* 211689 */   // Label 4903: @211689
     /* 211689 */   GIM_Reject,
     /* 211690 */ // Label 4892: @211690
     /* 211690 */ GIM_Reject,
     /* 211691 */ // Label 4868: @211691
     /* 211691 */ GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(212012),
     /* 211696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 211699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 211702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 211706 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(211774), // Rule ID 959 //
     /* 211711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 211714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 211718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211722 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211725 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211729 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 211736 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 211744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211746 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211753 */     // (strict_fsub:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (SUBR_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp80m32),
     /* 211756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211758 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 211760 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211772 */     GIR_RootConstrainSelectedInstOperands,
     /* 211773 */     // GIR_Coverage, 959,
     /* 211773 */     GIR_EraseRootFromParent_Done,
     /* 211774 */   // Label 4905: @211774
     /* 211774 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(211842), // Rule ID 961 //
     /* 211779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 211782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 211786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211790 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211793 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211797 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 211804 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 211812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211821 */     // (strict_fsub:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (SUBR_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUBR_Fp80m64),
     /* 211824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211826 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 211828 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211840 */     GIR_RootConstrainSelectedInstOperands,
     /* 211841 */     // GIR_Coverage, 961,
     /* 211841 */     GIR_EraseRootFromParent_Done,
     /* 211842 */   // Label 4906: @211842
     /* 211842 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(211910), // Rule ID 937 //
     /* 211847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 211850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 211854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211862 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211865 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211869 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 211876 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211882 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211889 */     // (strict_fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (SUB_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80m32),
     /* 211892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211894 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211896 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211908 */     GIR_RootConstrainSelectedInstOperands,
     /* 211909 */     // GIR_Coverage, 937,
     /* 211909 */     GIR_EraseRootFromParent_Done,
     /* 211910 */   // Label 4907: @211910
     /* 211910 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(211978), // Rule ID 939 //
     /* 211915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 211918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 211922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 211926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 211930 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 211933 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 211937 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 211944 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 211948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 211950 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 211957 */     // (strict_fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (SUB_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 211957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80m64),
     /* 211960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 211962 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 211964 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 211968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 211971 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 211976 */     GIR_RootConstrainSelectedInstOperands,
     /* 211977 */     // GIR_Coverage, 939,
     /* 211977 */     GIR_EraseRootFromParent_Done,
     /* 211978 */   // Label 4908: @211978
     /* 211978 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(212011), // Rule ID 895 //
     /* 211983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 211986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 211990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 211994 */     // (strict_fsub:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (SUB_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 211994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUB_Fp80),
     /* 211999 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 212005 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 212009 */     GIR_RootConstrainSelectedInstOperands,
     /* 212010 */     // GIR_Coverage, 895,
     /* 212010 */     GIR_Done,
     /* 212011 */   // Label 4909: @212011
     /* 212011 */   GIM_Reject,
     /* 212012 */ // Label 4904: @212012
     /* 212012 */ GIM_Reject,
     /* 212013 */ // Label 4869: @212013
     /* 212013 */ GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(212242),
     /* 212018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 212021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 212024 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(212086), // Rule ID 2219 //
     /* 212029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212048 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212051 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212055 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212068 */     // (strict_fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDrm),
     /* 212071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212073 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212075 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212084 */     GIR_RootConstrainSelectedInstOperands,
     /* 212085 */     // GIR_Coverage, 2219,
     /* 212085 */     GIR_EraseRootFromParent_Done,
     /* 212086 */   // Label 4911: @212086
     /* 212086 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(212148), // Rule ID 6541 //
     /* 212091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212110 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212113 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212117 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212123 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212130 */     // (strict_fsub:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ128rm),
     /* 212133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212135 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212137 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212146 */     GIR_RootConstrainSelectedInstOperands,
     /* 212147 */     // GIR_Coverage, 6541,
     /* 212147 */     GIR_EraseRootFromParent_Done,
     /* 212148 */   // Label 4912: @212148
     /* 212148 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(212179), // Rule ID 2217 //
     /* 212153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212168 */     // (strict_fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VSUBPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 212168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDrr),
     /* 212173 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212177 */     GIR_RootConstrainSelectedInstOperands,
     /* 212178 */     // GIR_Coverage, 2217,
     /* 212178 */     GIR_Done,
     /* 212179 */   // Label 4913: @212179
     /* 212179 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(212210), // Rule ID 2233 //
     /* 212184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 212187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212199 */     // (strict_fsub:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (SUBPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 212199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBPDrr),
     /* 212204 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212208 */     GIR_RootConstrainSelectedInstOperands,
     /* 212209 */     // GIR_Coverage, 2233,
     /* 212209 */     GIR_Done,
     /* 212210 */   // Label 4914: @212210
     /* 212210 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(212241), // Rule ID 6537 //
     /* 212215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212230 */     // (strict_fsub:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VSUBPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 212230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ128rr),
     /* 212235 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212239 */     GIR_RootConstrainSelectedInstOperands,
     /* 212240 */     // GIR_Coverage, 6537,
     /* 212240 */     GIR_Done,
     /* 212241 */   // Label 4915: @212241
     /* 212241 */   GIM_Reject,
     /* 212242 */ // Label 4910: @212242
     /* 212242 */ GIM_Reject,
     /* 212243 */ // Label 4870: @212243
     /* 212243 */ GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(212472),
     /* 212248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 212251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 212254 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(212316), // Rule ID 2215 //
     /* 212259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212278 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212281 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212285 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212291 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212298 */     // (strict_fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSrm),
     /* 212301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212303 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212305 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212314 */     GIR_RootConstrainSelectedInstOperands,
     /* 212315 */     // GIR_Coverage, 2215,
     /* 212315 */     GIR_EraseRootFromParent_Done,
     /* 212316 */   // Label 4917: @212316
     /* 212316 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(212378), // Rule ID 6517 //
     /* 212321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212340 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212343 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212347 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212353 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212360 */     // (strict_fsub:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ128rm),
     /* 212363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212365 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212367 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212371 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212376 */     GIR_RootConstrainSelectedInstOperands,
     /* 212377 */     // GIR_Coverage, 6517,
     /* 212377 */     GIR_EraseRootFromParent_Done,
     /* 212378 */   // Label 4918: @212378
     /* 212378 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(212409), // Rule ID 2213 //
     /* 212383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212398 */     // (strict_fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VSUBPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 212398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSrr),
     /* 212403 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212407 */     GIR_RootConstrainSelectedInstOperands,
     /* 212408 */     // GIR_Coverage, 2213,
     /* 212408 */     GIR_Done,
     /* 212409 */   // Label 4919: @212409
     /* 212409 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(212440), // Rule ID 2229 //
     /* 212414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 212417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 212429 */     // (strict_fsub:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (SUBPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 212429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SUBPSrr),
     /* 212434 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212438 */     GIR_RootConstrainSelectedInstOperands,
     /* 212439 */     // GIR_Coverage, 2229,
     /* 212439 */     GIR_Done,
     /* 212440 */   // Label 4920: @212440
     /* 212440 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(212471), // Rule ID 6513 //
     /* 212445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212460 */     // (strict_fsub:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VSUBPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 212460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ128rr),
     /* 212465 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212469 */     GIR_RootConstrainSelectedInstOperands,
     /* 212470 */     // GIR_Coverage, 6513,
     /* 212470 */     GIR_Done,
     /* 212471 */   // Label 4921: @212471
     /* 212471 */   GIM_Reject,
     /* 212472 */ // Label 4916: @212472
     /* 212472 */ GIM_Reject,
     /* 212473 */ // Label 4871: @212473
     /* 212473 */ GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(212671),
     /* 212478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 212481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 212484 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(212546), // Rule ID 2227 //
     /* 212489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212508 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212511 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212515 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212521 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212528 */     // (strict_fsub:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDYrm),
     /* 212531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212533 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212535 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212544 */     GIR_RootConstrainSelectedInstOperands,
     /* 212545 */     // GIR_Coverage, 2227,
     /* 212545 */     GIR_EraseRootFromParent_Done,
     /* 212546 */   // Label 4923: @212546
     /* 212546 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(212608), // Rule ID 6553 //
     /* 212551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212570 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212573 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212577 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212583 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212590 */     // (strict_fsub:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ256rm),
     /* 212593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212595 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212606 */     GIR_RootConstrainSelectedInstOperands,
     /* 212607 */     // GIR_Coverage, 6553,
     /* 212607 */     GIR_EraseRootFromParent_Done,
     /* 212608 */   // Label 4924: @212608
     /* 212608 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(212639), // Rule ID 2225 //
     /* 212613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212628 */     // (strict_fsub:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VSUBPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 212628 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDYrr),
     /* 212633 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212637 */     GIR_RootConstrainSelectedInstOperands,
     /* 212638 */     // GIR_Coverage, 2225,
     /* 212638 */     GIR_Done,
     /* 212639 */   // Label 4925: @212639
     /* 212639 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(212670), // Rule ID 6549 //
     /* 212644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212659 */     // (strict_fsub:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VSUBPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 212659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZ256rr),
     /* 212664 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212668 */     GIR_RootConstrainSelectedInstOperands,
     /* 212669 */     // GIR_Coverage, 6549,
     /* 212669 */     GIR_Done,
     /* 212670 */   // Label 4926: @212670
     /* 212670 */   GIM_Reject,
     /* 212671 */ // Label 4922: @212671
     /* 212671 */ GIM_Reject,
     /* 212672 */ // Label 4872: @212672
     /* 212672 */ GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(212769),
     /* 212677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 212680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 212683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212691 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(212745), // Rule ID 6577 //
     /* 212696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 212699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212707 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212710 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212714 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212720 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212727 */     // (strict_fsub:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ128rm),
     /* 212730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212732 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212734 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212743 */     GIR_RootConstrainSelectedInstOperands,
     /* 212744 */     // GIR_Coverage, 6577,
     /* 212744 */     GIR_EraseRootFromParent_Done,
     /* 212745 */   // Label 4928: @212745
     /* 212745 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(212768), // Rule ID 6573 //
     /* 212750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 212753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 212757 */     // (strict_fsub:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VSUBPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 212757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ128rr),
     /* 212762 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212766 */     GIR_RootConstrainSelectedInstOperands,
     /* 212767 */     // GIR_Coverage, 6573,
     /* 212767 */     GIR_Done,
     /* 212768 */   // Label 4929: @212768
     /* 212768 */   GIM_Reject,
     /* 212769 */ // Label 4927: @212769
     /* 212769 */ GIM_Reject,
     /* 212770 */ // Label 4873: @212770
     /* 212770 */ GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(212968),
     /* 212775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 212778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 212781 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(212843), // Rule ID 2223 //
     /* 212786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212805 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212808 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212812 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212818 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212825 */     // (strict_fsub:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSYrm),
     /* 212828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212830 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212832 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212841 */     GIR_RootConstrainSelectedInstOperands,
     /* 212842 */     // GIR_Coverage, 2223,
     /* 212842 */     GIR_EraseRootFromParent_Done,
     /* 212843 */   // Label 4931: @212843
     /* 212843 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(212905), // Rule ID 6529 //
     /* 212848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 212867 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 212870 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 212874 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 212878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212880 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 212887 */     // (strict_fsub:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 212887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ256rm),
     /* 212890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 212892 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 212894 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 212898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 212903 */     GIR_RootConstrainSelectedInstOperands,
     /* 212904 */     // GIR_Coverage, 6529,
     /* 212904 */     GIR_EraseRootFromParent_Done,
     /* 212905 */   // Label 4932: @212905
     /* 212905 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(212936), // Rule ID 2221 //
     /* 212910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 212913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 212925 */     // (strict_fsub:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VSUBPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 212925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSYrr),
     /* 212930 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212934 */     GIR_RootConstrainSelectedInstOperands,
     /* 212935 */     // GIR_Coverage, 2221,
     /* 212935 */     GIR_Done,
     /* 212936 */   // Label 4933: @212936
     /* 212936 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(212967), // Rule ID 6525 //
     /* 212941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 212944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 212956 */     // (strict_fsub:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VSUBPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 212956 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZ256rr),
     /* 212961 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 212965 */     GIR_RootConstrainSelectedInstOperands,
     /* 212966 */     // GIR_Coverage, 6525,
     /* 212966 */     GIR_Done,
     /* 212967 */   // Label 4934: @212967
     /* 212967 */   GIM_Reject,
     /* 212968 */ // Label 4930: @212968
     /* 212968 */ GIM_Reject,
     /* 212969 */ // Label 4874: @212969
     /* 212969 */ GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(213066),
     /* 212974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 212977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 212980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 212984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 212988 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(213042), // Rule ID 6505 //
     /* 212993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 212996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213004 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213007 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213011 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213024 */     // (strict_fsub:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPDZrm),
     /* 213027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213029 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213031 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213040 */     GIR_RootConstrainSelectedInstOperands,
     /* 213041 */     // GIR_Coverage, 6505,
     /* 213041 */     GIR_EraseRootFromParent_Done,
     /* 213042 */   // Label 4936: @213042
     /* 213042 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(213065), // Rule ID 6501 //
     /* 213047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 213050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213054 */     // (strict_fsub:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VSUBPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 213054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPDZrr),
     /* 213059 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213063 */     GIR_RootConstrainSelectedInstOperands,
     /* 213064 */     // GIR_Coverage, 6501,
     /* 213064 */     GIR_Done,
     /* 213065 */   // Label 4937: @213065
     /* 213065 */   GIM_Reject,
     /* 213066 */ // Label 4935: @213066
     /* 213066 */ GIM_Reject,
     /* 213067 */ // Label 4875: @213067
     /* 213067 */ GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(213164),
     /* 213072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 213075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 213078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213086 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(213140), // Rule ID 6589 //
     /* 213091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 213094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213102 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213105 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213109 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213115 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213122 */     // (strict_fsub:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ256rm),
     /* 213125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213127 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213129 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213138 */     GIR_RootConstrainSelectedInstOperands,
     /* 213139 */     // GIR_Coverage, 6589,
     /* 213139 */     GIR_EraseRootFromParent_Done,
     /* 213140 */   // Label 4939: @213140
     /* 213140 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(213163), // Rule ID 6585 //
     /* 213145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 213148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 213152 */     // (strict_fsub:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VSUBPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 213152 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZ256rr),
     /* 213157 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213161 */     GIR_RootConstrainSelectedInstOperands,
     /* 213162 */     // GIR_Coverage, 6585,
     /* 213162 */     GIR_Done,
     /* 213163 */   // Label 4940: @213163
     /* 213163 */   GIM_Reject,
     /* 213164 */ // Label 4938: @213164
     /* 213164 */ GIM_Reject,
     /* 213165 */ // Label 4876: @213165
     /* 213165 */ GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(213262),
     /* 213170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 213173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 213176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213184 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(213238), // Rule ID 6493 //
     /* 213189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 213192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213200 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213203 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213207 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213220 */     // (strict_fsub:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPSZrm),
     /* 213223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213225 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213227 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213236 */     GIR_RootConstrainSelectedInstOperands,
     /* 213237 */     // GIR_Coverage, 6493,
     /* 213237 */     GIR_EraseRootFromParent_Done,
     /* 213238 */   // Label 4942: @213238
     /* 213238 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(213261), // Rule ID 6489 //
     /* 213243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 213246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213250 */     // (strict_fsub:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VSUBPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 213250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPSZrr),
     /* 213255 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213259 */     GIR_RootConstrainSelectedInstOperands,
     /* 213260 */     // GIR_Coverage, 6489,
     /* 213260 */     GIR_Done,
     /* 213261 */   // Label 4943: @213261
     /* 213261 */   GIM_Reject,
     /* 213262 */ // Label 4941: @213262
     /* 213262 */ GIM_Reject,
     /* 213263 */ // Label 4877: @213263
     /* 213263 */ GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(213360),
     /* 213268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 213271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 213274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213282 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(213336), // Rule ID 6565 //
     /* 213287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 213290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213298 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213301 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213305 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213318 */     // (strict_fsub:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSUBPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSUBPHZrm),
     /* 213321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213323 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213325 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213334 */     GIR_RootConstrainSelectedInstOperands,
     /* 213335 */     // GIR_Coverage, 6565,
     /* 213335 */     GIR_EraseRootFromParent_Done,
     /* 213336 */   // Label 4945: @213336
     /* 213336 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(213359), // Rule ID 6561 //
     /* 213341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 213344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 213348 */     // (strict_fsub:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VSUBPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 213348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSUBPHZrr),
     /* 213353 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213357 */     GIR_RootConstrainSelectedInstOperands,
     /* 213358 */     // GIR_Coverage, 6561,
     /* 213358 */     GIR_Done,
     /* 213359 */   // Label 4946: @213359
     /* 213359 */   GIM_Reject,
     /* 213360 */ // Label 4944: @213360
     /* 213360 */ GIM_Reject,
     /* 213361 */ // Label 4878: @213361
     /* 213361 */ GIM_Reject,
     /* 213362 */ // Label 70: @213362
     /* 213362 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 4960*/ GIMT_Encode4(217527),
     /* 213373 */ /*GILLT_s16*//*Label 4947*/ GIMT_Encode4(213457),
     /* 213377 */ /*GILLT_s32*//*Label 4948*/ GIMT_Encode4(213617),
     /* 213381 */ /*GILLT_s64*//*Label 4949*/ GIMT_Encode4(214262),
     /* 213385 */ /*GILLT_s80*//*Label 4950*/ GIMT_Encode4(215051), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 213397 */ /*GILLT_v2s64*//*Label 4951*/ GIMT_Encode4(215373), GIMT_Encode4(0),
     /* 213405 */ /*GILLT_v4s32*//*Label 4952*/ GIMT_Encode4(215727),
     /* 213409 */ /*GILLT_v4s64*//*Label 4953*/ GIMT_Encode4(216081), GIMT_Encode4(0),
     /* 213417 */ /*GILLT_v8s16*//*Label 4954*/ GIMT_Encode4(216404),
     /* 213421 */ /*GILLT_v8s32*//*Label 4955*/ GIMT_Encode4(216564),
     /* 213425 */ /*GILLT_v8s64*//*Label 4956*/ GIMT_Encode4(216887), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 213437 */ /*GILLT_v16s16*//*Label 4957*/ GIMT_Encode4(217047),
     /* 213441 */ /*GILLT_v16s32*//*Label 4958*/ GIMT_Encode4(217207), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 213453 */ /*GILLT_v32s16*//*Label 4959*/ GIMT_Encode4(217367),
     /* 213457 */ // Label 4947: @213457
     /* 213457 */ GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(213616),
     /* 213462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 213465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 213468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 213472 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(213530), // Rule ID 24252 //
     /* 213477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 213480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 213484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213488 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213491 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213495 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 213503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213505 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213512 */     // (strict_fmul:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VMULSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSHZrm),
     /* 213515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213517 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 213519 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213528 */     GIR_RootConstrainSelectedInstOperands,
     /* 213529 */     // GIR_Coverage, 24252,
     /* 213529 */     GIR_EraseRootFromParent_Done,
     /* 213530 */   // Label 4962: @213530
     /* 213530 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(213588), // Rule ID 6010 //
     /* 213535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 213538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 213542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213550 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213553 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213557 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213563 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213570 */     // (strict_fmul:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSHZrm),
     /* 213573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213575 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213577 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213581 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213586 */     GIR_RootConstrainSelectedInstOperands,
     /* 213587 */     // GIR_Coverage, 6010,
     /* 213587 */     GIR_EraseRootFromParent_Done,
     /* 213588 */   // Label 4963: @213588
     /* 213588 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(213615), // Rule ID 6008 //
     /* 213593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 213596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 213600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 213604 */     // (strict_fmul:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VMULSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 213604 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSHZrr),
     /* 213609 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 213613 */     GIR_RootConstrainSelectedInstOperands,
     /* 213614 */     // GIR_Coverage, 6008,
     /* 213614 */     GIR_Done,
     /* 213615 */   // Label 4964: @213615
     /* 213615 */   GIM_Reject,
     /* 213616 */ // Label 4961: @213616
     /* 213616 */ GIM_Reject,
     /* 213617 */ // Label 4948: @213617
     /* 213617 */ GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(214261),
     /* 213622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 213625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 213628 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(213693), // Rule ID 23255 //
     /* 213633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 213636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 213640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 213644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213648 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213651 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213655 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 213663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213672 */     // (strict_fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (MUL_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32m),
     /* 213675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213677 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 213679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 213686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213691 */     GIR_RootConstrainSelectedInstOperands,
     /* 213692 */     // GIR_Coverage, 23255,
     /* 213692 */     GIR_EraseRootFromParent_Done,
     /* 213693 */   // Label 4966: @213693
     /* 213693 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(213755), // Rule ID 23398 //
     /* 213698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 213701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 213705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 213709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213713 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213716 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213720 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 213728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213730 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213737 */     // (strict_fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 213740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213742 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 213744 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213753 */     GIR_RootConstrainSelectedInstOperands,
     /* 213754 */     // GIR_Coverage, 23398,
     /* 213754 */     GIR_EraseRootFromParent_Done,
     /* 213755 */   // Label 4967: @213755
     /* 213755 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(213817), // Rule ID 23402 //
     /* 213760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 213763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 213767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 213771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213775 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213778 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213782 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 213790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213799 */     // (strict_fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 213802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213804 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 213806 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213815 */     GIR_RootConstrainSelectedInstOperands,
     /* 213816 */     // GIR_Coverage, 23402,
     /* 213816 */     GIR_EraseRootFromParent_Done,
     /* 213817 */   // Label 4968: @213817
     /* 213817 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(213879), // Rule ID 24248 //
     /* 213822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 213825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 213829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 213833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213837 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213840 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213844 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 213852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213861 */     // (strict_fmul:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 213864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213866 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 213868 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213877 */     GIR_RootConstrainSelectedInstOperands,
     /* 213878 */     // GIR_Coverage, 24248,
     /* 213878 */     GIR_EraseRootFromParent_Done,
     /* 213879 */   // Label 4969: @213879
     /* 213879 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(213944), // Rule ID 975 //
     /* 213884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 213887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 213891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 213895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213903 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213906 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213910 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213916 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213923 */     // (strict_fmul:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MUL_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32m),
     /* 213926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213928 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213930 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 213937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 213942 */     GIR_RootConstrainSelectedInstOperands,
     /* 213943 */     // GIR_Coverage, 975,
     /* 213943 */     GIR_EraseRootFromParent_Done,
     /* 213944 */   // Label 4970: @213944
     /* 213944 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(214006), // Rule ID 2199 //
     /* 213949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 213952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 213956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 213960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 213968 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 213971 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 213975 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 213979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213981 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 213988 */     // (strict_fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 213988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSrm),
     /* 213991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213993 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 213995 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 213999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214004 */     GIR_RootConstrainSelectedInstOperands,
     /* 214005 */     // GIR_Coverage, 2199,
     /* 214005 */     GIR_EraseRootFromParent_Done,
     /* 214006 */   // Label 4971: @214006
     /* 214006 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(214068), // Rule ID 2207 //
     /* 214011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 214014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214030 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214033 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214037 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214043 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214050 */     // (strict_fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MULSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSSrm),
     /* 214053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214055 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214057 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214061 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214066 */     GIR_RootConstrainSelectedInstOperands,
     /* 214067 */     // GIR_Coverage, 2207,
     /* 214067 */     GIR_EraseRootFromParent_Done,
     /* 214068 */   // Label 4972: @214068
     /* 214068 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(214130), // Rule ID 5972 //
     /* 214073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 214076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214092 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214095 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214099 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214105 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214112 */     // (strict_fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSSZrm),
     /* 214115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214117 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214119 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214128 */     GIR_RootConstrainSelectedInstOperands,
     /* 214129 */     // GIR_Coverage, 5972,
     /* 214129 */     GIR_EraseRootFromParent_Done,
     /* 214130 */   // Label 4973: @214130
     /* 214130 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(214167), // Rule ID 897 //
     /* 214135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 214138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 214150 */     // (strict_fmul:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (MUL_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 214150 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp32),
     /* 214155 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 214161 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 214165 */     GIR_RootConstrainSelectedInstOperands,
     /* 214166 */     // GIR_Coverage, 897,
     /* 214166 */     GIR_Done,
     /* 214167 */   // Label 4974: @214167
     /* 214167 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(214198), // Rule ID 2197 //
     /* 214172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 214175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214187 */     // (strict_fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VMULSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 214187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSSrr),
     /* 214192 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 214196 */     GIR_RootConstrainSelectedInstOperands,
     /* 214197 */     // GIR_Coverage, 2197,
     /* 214197 */     GIR_Done,
     /* 214198 */   // Label 4975: @214198
     /* 214198 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(214229), // Rule ID 2205 //
     /* 214203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 214206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 214218 */     // (strict_fmul:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (MULSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 214218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULSSrr),
     /* 214223 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 214227 */     GIR_RootConstrainSelectedInstOperands,
     /* 214228 */     // GIR_Coverage, 2205,
     /* 214228 */     GIR_Done,
     /* 214229 */   // Label 4976: @214229
     /* 214229 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(214260), // Rule ID 5970 //
     /* 214234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 214237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 214249 */     // (strict_fmul:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VMULSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 214249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSSZrr),
     /* 214254 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 214258 */     GIR_RootConstrainSelectedInstOperands,
     /* 214259 */     // GIR_Coverage, 5970,
     /* 214259 */     GIR_Done,
     /* 214260 */   // Label 4977: @214260
     /* 214260 */   GIM_Reject,
     /* 214261 */ // Label 4965: @214261
     /* 214261 */ GIM_Reject,
     /* 214262 */ // Label 4949: @214262
     /* 214262 */ GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(215050),
     /* 214267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 214270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 214273 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(214338), // Rule ID 23257 //
     /* 214278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 214281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214293 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214296 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214300 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214310 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214317 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (MUL_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m),
     /* 214320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214322 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214324 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 214331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214336 */     GIR_RootConstrainSelectedInstOperands,
     /* 214337 */     // GIR_Coverage, 23257,
     /* 214337 */     GIR_EraseRootFromParent_Done,
     /* 214338 */   // Label 4979: @214338
     /* 214338 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(214410), // Rule ID 23259 //
     /* 214343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 214346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214358 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214361 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214365 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 214372 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214382 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214389 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (MUL_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m32),
     /* 214392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214394 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 214403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214408 */     GIR_RootConstrainSelectedInstOperands,
     /* 214409 */     // GIR_Coverage, 23259,
     /* 214409 */     GIR_EraseRootFromParent_Done,
     /* 214410 */   // Label 4980: @214410
     /* 214410 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(214472), // Rule ID 23400 //
     /* 214415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 214418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214430 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214433 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214437 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214454 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 214457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214459 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214470 */     GIR_RootConstrainSelectedInstOperands,
     /* 214471 */     // GIR_Coverage, 23400,
     /* 214471 */     GIR_EraseRootFromParent_Done,
     /* 214472 */   // Label 4981: @214472
     /* 214472 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(214534), // Rule ID 23404 //
     /* 214477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 214480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214492 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214495 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214499 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214509 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214516 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 214519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214521 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214523 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214532 */     GIR_RootConstrainSelectedInstOperands,
     /* 214533 */     // GIR_Coverage, 23404,
     /* 214533 */     GIR_EraseRootFromParent_Done,
     /* 214534 */   // Label 4982: @214534
     /* 214534 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(214596), // Rule ID 24250 //
     /* 214539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 214542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 214546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 214550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214554 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214557 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214561 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 214569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214571 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214578 */     // (strict_fmul:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 214581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214583 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 214585 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214594 */     GIR_RootConstrainSelectedInstOperands,
     /* 214595 */     // GIR_Coverage, 24250,
     /* 214595 */     GIR_EraseRootFromParent_Done,
     /* 214596 */   // Label 4983: @214596
     /* 214596 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(214661), // Rule ID 977 //
     /* 214601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 214604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214620 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214623 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214627 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214633 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214640 */     // (strict_fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MUL_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m),
     /* 214643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214645 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214647 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 214654 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214659 */     GIR_RootConstrainSelectedInstOperands,
     /* 214660 */     // GIR_Coverage, 977,
     /* 214660 */     GIR_EraseRootFromParent_Done,
     /* 214661 */   // Label 4984: @214661
     /* 214661 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(214733), // Rule ID 979 //
     /* 214666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 214669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214685 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214688 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214692 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 214699 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214705 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214712 */     // (strict_fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (MUL_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64m32),
     /* 214715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214717 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214719 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 214726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214731 */     GIR_RootConstrainSelectedInstOperands,
     /* 214732 */     // GIR_Coverage, 979,
     /* 214732 */     GIR_EraseRootFromParent_Done,
     /* 214733 */   // Label 4985: @214733
     /* 214733 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(214795), // Rule ID 2203 //
     /* 214738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 214741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214757 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214760 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214764 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214777 */     // (strict_fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDrm),
     /* 214780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214782 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214784 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214793 */     GIR_RootConstrainSelectedInstOperands,
     /* 214794 */     // GIR_Coverage, 2203,
     /* 214794 */     GIR_EraseRootFromParent_Done,
     /* 214795 */   // Label 4986: @214795
     /* 214795 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(214857), // Rule ID 2211 //
     /* 214800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 214803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214819 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214822 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214826 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214832 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214839 */     // (strict_fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (MULSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MULSDrm),
     /* 214842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214844 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214846 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214855 */     GIR_RootConstrainSelectedInstOperands,
     /* 214856 */     // GIR_Coverage, 2211,
     /* 214856 */     GIR_EraseRootFromParent_Done,
     /* 214857 */   // Label 4987: @214857
     /* 214857 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(214919), // Rule ID 5991 //
     /* 214862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 214865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 214869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 214873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 214881 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 214884 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 214888 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 214892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 214901 */     // (strict_fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 214901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULSDZrm),
     /* 214904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214906 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 214908 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 214912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 214917 */     GIR_RootConstrainSelectedInstOperands,
     /* 214918 */     // GIR_Coverage, 5991,
     /* 214918 */     GIR_EraseRootFromParent_Done,
     /* 214919 */   // Label 4988: @214919
     /* 214919 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(214956), // Rule ID 899 //
     /* 214924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 214927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 214939 */     // (strict_fmul:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (MUL_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 214939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp64),
     /* 214944 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 214950 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 214954 */     GIR_RootConstrainSelectedInstOperands,
     /* 214955 */     // GIR_Coverage, 899,
     /* 214955 */     GIR_Done,
     /* 214956 */   // Label 4989: @214956
     /* 214956 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(214987), // Rule ID 2201 //
     /* 214961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 214964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214976 */     // (strict_fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VMULSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 214976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSDrr),
     /* 214981 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 214985 */     GIR_RootConstrainSelectedInstOperands,
     /* 214986 */     // GIR_Coverage, 2201,
     /* 214986 */     GIR_Done,
     /* 214987 */   // Label 4990: @214987
     /* 214987 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(215018), // Rule ID 2209 //
     /* 214992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 214995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 214999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 215007 */     // (strict_fmul:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (MULSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 215007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULSDrr),
     /* 215012 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 215016 */     GIR_RootConstrainSelectedInstOperands,
     /* 215017 */     // GIR_Coverage, 2209,
     /* 215017 */     GIR_Done,
     /* 215018 */   // Label 4991: @215018
     /* 215018 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(215049), // Rule ID 5989 //
     /* 215023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 215026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 215038 */     // (strict_fmul:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VMULSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 215038 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULSDZrr),
     /* 215043 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 215047 */     GIR_RootConstrainSelectedInstOperands,
     /* 215048 */     // GIR_Coverage, 5989,
     /* 215048 */     GIR_Done,
     /* 215049 */   // Label 4992: @215049
     /* 215049 */   GIM_Reject,
     /* 215050 */ // Label 4978: @215050
     /* 215050 */ GIM_Reject,
     /* 215051 */ // Label 4950: @215051
     /* 215051 */ GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(215372),
     /* 215056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 215059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 215062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215066 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(215134), // Rule ID 23261 //
     /* 215071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215082 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215085 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215089 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 215096 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215106 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215113 */     // (strict_fmul:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (MUL_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m32),
     /* 215116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215118 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215120 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215127 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215132 */     GIR_RootConstrainSelectedInstOperands,
     /* 215133 */     // GIR_Coverage, 23261,
     /* 215133 */     GIR_EraseRootFromParent_Done,
     /* 215134 */   // Label 4994: @215134
     /* 215134 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(215202), // Rule ID 23263 //
     /* 215139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215150 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215153 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215157 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 215164 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215174 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215181 */     // (strict_fmul:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (MUL_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m64),
     /* 215184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215186 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215188 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215200 */     GIR_RootConstrainSelectedInstOperands,
     /* 215201 */     // GIR_Coverage, 23263,
     /* 215201 */     GIR_EraseRootFromParent_Done,
     /* 215202 */   // Label 4995: @215202
     /* 215202 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(215270), // Rule ID 981 //
     /* 215207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215222 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215225 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215229 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 215236 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215242 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215249 */     // (strict_fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (MUL_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m32),
     /* 215252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215254 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215256 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215263 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215268 */     GIR_RootConstrainSelectedInstOperands,
     /* 215269 */     // GIR_Coverage, 981,
     /* 215269 */     GIR_EraseRootFromParent_Done,
     /* 215270 */   // Label 4996: @215270
     /* 215270 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(215338), // Rule ID 983 //
     /* 215275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215290 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215293 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215297 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 215304 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215310 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215317 */     // (strict_fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (MUL_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80m64),
     /* 215320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215322 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215324 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 215331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215336 */     GIR_RootConstrainSelectedInstOperands,
     /* 215337 */     // GIR_Coverage, 983,
     /* 215337 */     GIR_EraseRootFromParent_Done,
     /* 215338 */   // Label 4997: @215338
     /* 215338 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(215371), // Rule ID 901 //
     /* 215343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 215346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 215354 */     // (strict_fmul:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (MUL_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 215354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MUL_Fp80),
     /* 215359 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 215365 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 215369 */     GIR_RootConstrainSelectedInstOperands,
     /* 215370 */     // GIR_Coverage, 901,
     /* 215370 */     GIR_Done,
     /* 215371 */   // Label 4998: @215371
     /* 215371 */   GIM_Reject,
     /* 215372 */ // Label 4993: @215372
     /* 215372 */ GIM_Reject,
     /* 215373 */ // Label 4951: @215373
     /* 215373 */ GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(215726),
     /* 215378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 215381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 215384 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(215446), // Rule ID 23388 //
     /* 215389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 215392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215404 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215407 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215411 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215421 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215428 */     // (strict_fmul:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VMULPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDrm),
     /* 215431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215433 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215435 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215444 */     GIR_RootConstrainSelectedInstOperands,
     /* 215445 */     // GIR_Coverage, 23388,
     /* 215445 */     GIR_EraseRootFromParent_Done,
     /* 215446 */   // Label 5000: @215446
     /* 215446 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(215508), // Rule ID 24364 //
     /* 215451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 215454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215466 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215469 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215473 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215483 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215490 */     // (strict_fmul:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VMULPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rm),
     /* 215493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215495 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215506 */     GIR_RootConstrainSelectedInstOperands,
     /* 215507 */     // GIR_Coverage, 24364,
     /* 215507 */     GIR_EraseRootFromParent_Done,
     /* 215508 */   // Label 5001: @215508
     /* 215508 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(215570), // Rule ID 2179 //
     /* 215513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 215516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215532 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215535 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215539 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215552 */     // (strict_fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDrm),
     /* 215555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215557 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215559 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215568 */     GIR_RootConstrainSelectedInstOperands,
     /* 215569 */     // GIR_Coverage, 2179,
     /* 215569 */     GIR_EraseRootFromParent_Done,
     /* 215570 */   // Label 5002: @215570
     /* 215570 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(215632), // Rule ID 6424 //
     /* 215575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 215578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215594 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215597 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215601 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215607 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215614 */     // (strict_fmul:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rm),
     /* 215617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215619 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215621 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215630 */     GIR_RootConstrainSelectedInstOperands,
     /* 215631 */     // GIR_Coverage, 6424,
     /* 215631 */     GIR_EraseRootFromParent_Done,
     /* 215632 */   // Label 5003: @215632
     /* 215632 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(215663), // Rule ID 2177 //
     /* 215637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 215640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215652 */     // (strict_fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VMULPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 215652 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDrr),
     /* 215657 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 215661 */     GIR_RootConstrainSelectedInstOperands,
     /* 215662 */     // GIR_Coverage, 2177,
     /* 215662 */     GIR_Done,
     /* 215663 */   // Label 5004: @215663
     /* 215663 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(215694), // Rule ID 2193 //
     /* 215668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 215671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215683 */     // (strict_fmul:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (MULPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 215683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULPDrr),
     /* 215688 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 215692 */     GIR_RootConstrainSelectedInstOperands,
     /* 215693 */     // GIR_Coverage, 2193,
     /* 215693 */     GIR_Done,
     /* 215694 */   // Label 5005: @215694
     /* 215694 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(215725), // Rule ID 6420 //
     /* 215699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 215702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215714 */     // (strict_fmul:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VMULPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 215714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZ128rr),
     /* 215719 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 215723 */     GIR_RootConstrainSelectedInstOperands,
     /* 215724 */     // GIR_Coverage, 6420,
     /* 215724 */     GIR_Done,
     /* 215725 */   // Label 5006: @215725
     /* 215725 */   GIM_Reject,
     /* 215726 */ // Label 4999: @215726
     /* 215726 */ GIM_Reject,
     /* 215727 */ // Label 4952: @215727
     /* 215727 */ GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(216080),
     /* 215732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 215735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215738 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(215800), // Rule ID 23386 //
     /* 215743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 215746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215758 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215761 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215765 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215775 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215782 */     // (strict_fmul:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VMULPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSrm),
     /* 215785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215787 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215789 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215793 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215798 */     GIR_RootConstrainSelectedInstOperands,
     /* 215799 */     // GIR_Coverage, 23386,
     /* 215799 */     GIR_EraseRootFromParent_Done,
     /* 215800 */   // Label 5008: @215800
     /* 215800 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(215862), // Rule ID 24348 //
     /* 215805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 215808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 215816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215820 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215823 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215827 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215837 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215844 */     // (strict_fmul:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VMULPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rm),
     /* 215847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215849 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 215851 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215860 */     GIR_RootConstrainSelectedInstOperands,
     /* 215861 */     // GIR_Coverage, 24348,
     /* 215861 */     GIR_EraseRootFromParent_Done,
     /* 215862 */   // Label 5009: @215862
     /* 215862 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(215924), // Rule ID 2175 //
     /* 215867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 215870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215886 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215889 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215893 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215906 */     // (strict_fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSrm),
     /* 215909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215911 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215913 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215922 */     GIR_RootConstrainSelectedInstOperands,
     /* 215923 */     // GIR_Coverage, 2175,
     /* 215923 */     GIR_EraseRootFromParent_Done,
     /* 215924 */   // Label 5010: @215924
     /* 215924 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(215986), // Rule ID 6400 //
     /* 215929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 215932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 215940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 215944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 215948 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 215951 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 215955 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 215959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 215961 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 215968 */     // (strict_fmul:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 215968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rm),
     /* 215971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215973 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 215975 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 215979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 215984 */     GIR_RootConstrainSelectedInstOperands,
     /* 215985 */     // GIR_Coverage, 6400,
     /* 215985 */     GIR_EraseRootFromParent_Done,
     /* 215986 */   // Label 5011: @215986
     /* 215986 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(216017), // Rule ID 2173 //
     /* 215991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 215994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 215998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216006 */     // (strict_fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VMULPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 216006 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSrr),
     /* 216011 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216015 */     GIR_RootConstrainSelectedInstOperands,
     /* 216016 */     // GIR_Coverage, 2173,
     /* 216016 */     GIR_Done,
     /* 216017 */   // Label 5012: @216017
     /* 216017 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(216048), // Rule ID 2189 //
     /* 216022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 216025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 216037 */     // (strict_fmul:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (MULPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 216037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::MULPSrr),
     /* 216042 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216046 */     GIR_RootConstrainSelectedInstOperands,
     /* 216047 */     // GIR_Coverage, 2189,
     /* 216047 */     GIR_Done,
     /* 216048 */   // Label 5013: @216048
     /* 216048 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(216079), // Rule ID 6396 //
     /* 216053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216068 */     // (strict_fmul:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VMULPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 216068 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZ128rr),
     /* 216073 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216077 */     GIR_RootConstrainSelectedInstOperands,
     /* 216078 */     // GIR_Coverage, 6396,
     /* 216078 */     GIR_Done,
     /* 216079 */   // Label 5014: @216079
     /* 216079 */   GIM_Reject,
     /* 216080 */ // Label 5007: @216080
     /* 216080 */ GIM_Reject,
     /* 216081 */ // Label 4953: @216081
     /* 216081 */ GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(216403),
     /* 216086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 216089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 216092 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(216154), // Rule ID 23392 //
     /* 216097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216112 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216115 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216119 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216129 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216136 */     // (strict_fmul:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VMULPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDYrm),
     /* 216139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216141 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216143 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216152 */     GIR_RootConstrainSelectedInstOperands,
     /* 216153 */     // GIR_Coverage, 23392,
     /* 216153 */     GIR_EraseRootFromParent_Done,
     /* 216154 */   // Label 5016: @216154
     /* 216154 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(216216), // Rule ID 24372 //
     /* 216159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216174 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216177 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216181 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216191 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216198 */     // (strict_fmul:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VMULPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rm),
     /* 216201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216203 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216205 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216209 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216214 */     GIR_RootConstrainSelectedInstOperands,
     /* 216215 */     // GIR_Coverage, 24372,
     /* 216215 */     GIR_EraseRootFromParent_Done,
     /* 216216 */   // Label 5017: @216216
     /* 216216 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(216278), // Rule ID 2187 //
     /* 216221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216240 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216243 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216247 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216253 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216260 */     // (strict_fmul:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDYrm),
     /* 216263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216265 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216267 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216276 */     GIR_RootConstrainSelectedInstOperands,
     /* 216277 */     // GIR_Coverage, 2187,
     /* 216277 */     GIR_EraseRootFromParent_Done,
     /* 216278 */   // Label 5018: @216278
     /* 216278 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(216340), // Rule ID 6436 //
     /* 216283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216302 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216305 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216309 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216315 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216322 */     // (strict_fmul:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rm),
     /* 216325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216327 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216329 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216338 */     GIR_RootConstrainSelectedInstOperands,
     /* 216339 */     // GIR_Coverage, 6436,
     /* 216339 */     GIR_EraseRootFromParent_Done,
     /* 216340 */   // Label 5019: @216340
     /* 216340 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(216371), // Rule ID 2185 //
     /* 216345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216360 */     // (strict_fmul:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VMULPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 216360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDYrr),
     /* 216365 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216369 */     GIR_RootConstrainSelectedInstOperands,
     /* 216370 */     // GIR_Coverage, 2185,
     /* 216370 */     GIR_Done,
     /* 216371 */   // Label 5020: @216371
     /* 216371 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(216402), // Rule ID 6432 //
     /* 216376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216391 */     // (strict_fmul:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VMULPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 216391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZ256rr),
     /* 216396 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216400 */     GIR_RootConstrainSelectedInstOperands,
     /* 216401 */     // GIR_Coverage, 6432,
     /* 216401 */     GIR_Done,
     /* 216402 */   // Label 5021: @216402
     /* 216402 */   GIM_Reject,
     /* 216403 */ // Label 5015: @216403
     /* 216403 */ GIM_Reject,
     /* 216404 */ // Label 4954: @216404
     /* 216404 */ GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(216563),
     /* 216409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 216412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216419 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(216477), // Rule ID 24388 //
     /* 216424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 216427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216435 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216438 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216442 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216452 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216459 */     // (strict_fmul:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VMULPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rm),
     /* 216462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216464 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216466 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216475 */     GIR_RootConstrainSelectedInstOperands,
     /* 216476 */     // GIR_Coverage, 24388,
     /* 216476 */     GIR_EraseRootFromParent_Done,
     /* 216477 */   // Label 5023: @216477
     /* 216477 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(216535), // Rule ID 6460 //
     /* 216482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 216485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216497 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216500 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216504 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216510 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216517 */     // (strict_fmul:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rm),
     /* 216520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216522 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216524 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216533 */     GIR_RootConstrainSelectedInstOperands,
     /* 216534 */     // GIR_Coverage, 6460,
     /* 216534 */     GIR_EraseRootFromParent_Done,
     /* 216535 */   // Label 5024: @216535
     /* 216535 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(216562), // Rule ID 6456 //
     /* 216540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 216543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 216551 */     // (strict_fmul:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VMULPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 216551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZ128rr),
     /* 216556 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216560 */     GIR_RootConstrainSelectedInstOperands,
     /* 216561 */     // GIR_Coverage, 6456,
     /* 216561 */     GIR_Done,
     /* 216562 */   // Label 5025: @216562
     /* 216562 */   GIM_Reject,
     /* 216563 */ // Label 5022: @216563
     /* 216563 */ GIM_Reject,
     /* 216564 */ // Label 4955: @216564
     /* 216564 */ GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(216886),
     /* 216569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 216572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 216575 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(216637), // Rule ID 23390 //
     /* 216580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216595 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216598 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216602 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216612 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216619 */     // (strict_fmul:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VMULPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSYrm),
     /* 216622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216624 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216626 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216630 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216635 */     GIR_RootConstrainSelectedInstOperands,
     /* 216636 */     // GIR_Coverage, 23390,
     /* 216636 */     GIR_EraseRootFromParent_Done,
     /* 216637 */   // Label 5027: @216637
     /* 216637 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(216699), // Rule ID 24356 //
     /* 216642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216657 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216660 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216664 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216674 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216681 */     // (strict_fmul:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VMULPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rm),
     /* 216684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216686 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216688 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216697 */     GIR_RootConstrainSelectedInstOperands,
     /* 216698 */     // GIR_Coverage, 24356,
     /* 216698 */     GIR_EraseRootFromParent_Done,
     /* 216699 */   // Label 5028: @216699
     /* 216699 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(216761), // Rule ID 2183 //
     /* 216704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216723 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216726 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216730 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216736 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216743 */     // (strict_fmul:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSYrm),
     /* 216746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216748 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216750 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216759 */     GIR_RootConstrainSelectedInstOperands,
     /* 216760 */     // GIR_Coverage, 2183,
     /* 216760 */     GIR_EraseRootFromParent_Done,
     /* 216761 */   // Label 5029: @216761
     /* 216761 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(216823), // Rule ID 6412 //
     /* 216766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216785 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216788 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216792 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216798 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216805 */     // (strict_fmul:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rm),
     /* 216808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216810 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 216812 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216821 */     GIR_RootConstrainSelectedInstOperands,
     /* 216822 */     // GIR_Coverage, 6412,
     /* 216822 */     GIR_EraseRootFromParent_Done,
     /* 216823 */   // Label 5030: @216823
     /* 216823 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(216854), // Rule ID 2181 //
     /* 216828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 216831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 216843 */     // (strict_fmul:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VMULPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 216843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSYrr),
     /* 216848 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216852 */     GIR_RootConstrainSelectedInstOperands,
     /* 216853 */     // GIR_Coverage, 2181,
     /* 216853 */     GIR_Done,
     /* 216854 */   // Label 5031: @216854
     /* 216854 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(216885), // Rule ID 6408 //
     /* 216859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 216862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 216874 */     // (strict_fmul:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VMULPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 216874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZ256rr),
     /* 216879 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 216883 */     GIR_RootConstrainSelectedInstOperands,
     /* 216884 */     // GIR_Coverage, 6408,
     /* 216884 */     GIR_Done,
     /* 216885 */   // Label 5032: @216885
     /* 216885 */   GIM_Reject,
     /* 216886 */ // Label 5026: @216886
     /* 216886 */ GIM_Reject,
     /* 216887 */ // Label 4956: @216887
     /* 216887 */ GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(217046),
     /* 216892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 216895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 216898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 216902 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(216960), // Rule ID 24340 //
     /* 216907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 216910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 216914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216918 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216921 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216925 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 216933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216935 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 216942 */     // (strict_fmul:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VMULPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 216942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZrm),
     /* 216945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216947 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 216949 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 216953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 216958 */     GIR_RootConstrainSelectedInstOperands,
     /* 216959 */     // GIR_Coverage, 24340,
     /* 216959 */     GIR_EraseRootFromParent_Done,
     /* 216960 */   // Label 5034: @216960
     /* 216960 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(217018), // Rule ID 6388 //
     /* 216965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 216968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 216972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 216976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 216980 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 216983 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 216987 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 216991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 216993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217000 */     // (strict_fmul:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPDZrm),
     /* 217003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217005 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217007 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217016 */     GIR_RootConstrainSelectedInstOperands,
     /* 217017 */     // GIR_Coverage, 6388,
     /* 217017 */     GIR_EraseRootFromParent_Done,
     /* 217018 */   // Label 5035: @217018
     /* 217018 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(217045), // Rule ID 6384 //
     /* 217023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217034 */     // (strict_fmul:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VMULPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 217034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPDZrr),
     /* 217039 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217043 */     GIR_RootConstrainSelectedInstOperands,
     /* 217044 */     // GIR_Coverage, 6384,
     /* 217044 */     GIR_Done,
     /* 217045 */   // Label 5036: @217045
     /* 217045 */   GIM_Reject,
     /* 217046 */ // Label 5033: @217046
     /* 217046 */ GIM_Reject,
     /* 217047 */ // Label 4957: @217047
     /* 217047 */ GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(217206),
     /* 217052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 217055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 217058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217062 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(217120), // Rule ID 24396 //
     /* 217067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 217070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217078 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217081 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217085 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217095 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217102 */     // (strict_fmul:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VMULPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rm),
     /* 217105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217107 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217109 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217118 */     GIR_RootConstrainSelectedInstOperands,
     /* 217119 */     // GIR_Coverage, 24396,
     /* 217119 */     GIR_EraseRootFromParent_Done,
     /* 217120 */   // Label 5038: @217120
     /* 217120 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(217178), // Rule ID 6472 //
     /* 217125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 217128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217140 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217143 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217147 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217153 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217160 */     // (strict_fmul:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rm),
     /* 217163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217165 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217167 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217176 */     GIR_RootConstrainSelectedInstOperands,
     /* 217177 */     // GIR_Coverage, 6472,
     /* 217177 */     GIR_EraseRootFromParent_Done,
     /* 217178 */   // Label 5039: @217178
     /* 217178 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(217205), // Rule ID 6468 //
     /* 217183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 217186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 217194 */     // (strict_fmul:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VMULPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 217194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZ256rr),
     /* 217199 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217203 */     GIR_RootConstrainSelectedInstOperands,
     /* 217204 */     // GIR_Coverage, 6468,
     /* 217204 */     GIR_Done,
     /* 217205 */   // Label 5040: @217205
     /* 217205 */   GIM_Reject,
     /* 217206 */ // Label 5037: @217206
     /* 217206 */ GIM_Reject,
     /* 217207 */ // Label 4958: @217207
     /* 217207 */ GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(217366),
     /* 217212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 217215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 217218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217222 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(217280), // Rule ID 24332 //
     /* 217227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217238 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217241 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217245 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217262 */     // (strict_fmul:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VMULPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZrm),
     /* 217265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217267 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217269 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217278 */     GIR_RootConstrainSelectedInstOperands,
     /* 217279 */     // GIR_Coverage, 24332,
     /* 217279 */     GIR_EraseRootFromParent_Done,
     /* 217280 */   // Label 5042: @217280
     /* 217280 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(217338), // Rule ID 6376 //
     /* 217285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217300 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217303 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217307 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217313 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217320 */     // (strict_fmul:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPSZrm),
     /* 217323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217325 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217327 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217336 */     GIR_RootConstrainSelectedInstOperands,
     /* 217337 */     // GIR_Coverage, 6376,
     /* 217337 */     GIR_EraseRootFromParent_Done,
     /* 217338 */   // Label 5043: @217338
     /* 217338 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(217365), // Rule ID 6372 //
     /* 217343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217354 */     // (strict_fmul:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VMULPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 217354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPSZrr),
     /* 217359 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217363 */     GIR_RootConstrainSelectedInstOperands,
     /* 217364 */     // GIR_Coverage, 6372,
     /* 217364 */     GIR_Done,
     /* 217365 */   // Label 5044: @217365
     /* 217365 */   GIM_Reject,
     /* 217366 */ // Label 5041: @217366
     /* 217366 */ GIM_Reject,
     /* 217367 */ // Label 4959: @217367
     /* 217367 */ GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(217526),
     /* 217372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 217375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 217378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217382 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(217440), // Rule ID 24380 //
     /* 217387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 217390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217398 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217401 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217405 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217415 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217422 */     // (strict_fmul:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VMULPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZrm),
     /* 217425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217427 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217429 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217433 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217438 */     GIR_RootConstrainSelectedInstOperands,
     /* 217439 */     // GIR_Coverage, 24380,
     /* 217439 */     GIR_EraseRootFromParent_Done,
     /* 217440 */   // Label 5046: @217440
     /* 217440 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(217498), // Rule ID 6448 //
     /* 217445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 217448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217460 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217463 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217467 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217480 */     // (strict_fmul:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VMULPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VMULPHZrm),
     /* 217483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217485 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217487 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217496 */     GIR_RootConstrainSelectedInstOperands,
     /* 217497 */     // GIR_Coverage, 6448,
     /* 217497 */     GIR_EraseRootFromParent_Done,
     /* 217498 */   // Label 5047: @217498
     /* 217498 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(217525), // Rule ID 6444 //
     /* 217503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 217506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 217514 */     // (strict_fmul:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VMULPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 217514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VMULPHZrr),
     /* 217519 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217523 */     GIR_RootConstrainSelectedInstOperands,
     /* 217524 */     // GIR_Coverage, 6444,
     /* 217524 */     GIR_Done,
     /* 217525 */   // Label 5048: @217525
     /* 217525 */   GIM_Reject,
     /* 217526 */ // Label 5045: @217526
     /* 217526 */ GIM_Reject,
     /* 217527 */ // Label 4960: @217527
     /* 217527 */ GIM_Reject,
     /* 217528 */ // Label 71: @217528
     /* 217528 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 5062*/ GIMT_Encode4(220453),
     /* 217539 */ /*GILLT_s16*//*Label 5049*/ GIMT_Encode4(217623),
     /* 217543 */ /*GILLT_s32*//*Label 5050*/ GIMT_Encode4(217721),
     /* 217547 */ /*GILLT_s64*//*Label 5051*/ GIMT_Encode4(218180),
     /* 217551 */ /*GILLT_s80*//*Label 5052*/ GIMT_Encode4(218783), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 217563 */ /*GILLT_v2s64*//*Label 5053*/ GIMT_Encode4(219105), GIMT_Encode4(0),
     /* 217571 */ /*GILLT_v4s32*//*Label 5054*/ GIMT_Encode4(219335),
     /* 217575 */ /*GILLT_v4s64*//*Label 5055*/ GIMT_Encode4(219565), GIMT_Encode4(0),
     /* 217583 */ /*GILLT_v8s16*//*Label 5056*/ GIMT_Encode4(219764),
     /* 217587 */ /*GILLT_v8s32*//*Label 5057*/ GIMT_Encode4(219862),
     /* 217591 */ /*GILLT_v8s64*//*Label 5058*/ GIMT_Encode4(220061), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 217603 */ /*GILLT_v16s16*//*Label 5059*/ GIMT_Encode4(220159),
     /* 217607 */ /*GILLT_v16s32*//*Label 5060*/ GIMT_Encode4(220257), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 217619 */ /*GILLT_v32s16*//*Label 5061*/ GIMT_Encode4(220355),
     /* 217623 */ // Label 5049: @217623
     /* 217623 */ GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(217720),
     /* 217628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 217631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 217634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 217638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 217642 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(217696), // Rule ID 6124 //
     /* 217647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 217650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217658 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217661 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217665 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217671 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217678 */     // (strict_fdiv:{ *:[f16] } FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSHZrm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSHZrm),
     /* 217681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217683 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217685 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217694 */     GIR_RootConstrainSelectedInstOperands,
     /* 217695 */     // GIR_Coverage, 6124,
     /* 217695 */     GIR_EraseRootFromParent_Done,
     /* 217696 */   // Label 5064: @217696
     /* 217696 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(217719), // Rule ID 6122 //
     /* 217701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 217704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 217708 */     // (strict_fdiv:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VDIVSHZrr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)
     /* 217708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSHZrr),
     /* 217713 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 217717 */     GIR_RootConstrainSelectedInstOperands,
     /* 217718 */     // GIR_Coverage, 6122,
     /* 217718 */     GIR_Done,
     /* 217719 */   // Label 5065: @217719
     /* 217719 */   GIM_Reject,
     /* 217720 */ // Label 5063: @217720
     /* 217720 */ GIM_Reject,
     /* 217721 */ // Label 5050: @217721
     /* 217721 */ GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(218179),
     /* 217726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 217729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 217732 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(217797), // Rule ID 1019 //
     /* 217737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 217740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 217744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 217748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217752 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217755 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217759 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 217767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217769 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217776 */     // (strict_fdiv:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP32:{ *:[f32] }:$src1)  =>  (DIVR_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp32m),
     /* 217779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217781 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 217783 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 217790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217795 */     GIR_RootConstrainSelectedInstOperands,
     /* 217796 */     // GIR_Coverage, 1019,
     /* 217796 */     GIR_EraseRootFromParent_Done,
     /* 217797 */   // Label 5067: @217797
     /* 217797 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(217862), // Rule ID 997 //
     /* 217802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 217805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 217809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 217813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217821 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217824 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217828 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217841 */     // (strict_fdiv:{ *:[f32] } RFP32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIV_Fp32m:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp32m),
     /* 217844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217846 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217848 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 217855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217860 */     GIR_RootConstrainSelectedInstOperands,
     /* 217861 */     // GIR_Coverage, 997,
     /* 217861 */     GIR_EraseRootFromParent_Done,
     /* 217862 */   // Label 5068: @217862
     /* 217862 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(217924), // Rule ID 2279 //
     /* 217867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 217870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 217874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 217878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217886 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217889 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217893 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217906 */     // (strict_fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSrm),
     /* 217909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217911 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217913 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217922 */     GIR_RootConstrainSelectedInstOperands,
     /* 217923 */     // GIR_Coverage, 2279,
     /* 217923 */     GIR_EraseRootFromParent_Done,
     /* 217924 */   // Label 5069: @217924
     /* 217924 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(217986), // Rule ID 2287 //
     /* 217929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 217932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 217936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 217940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 217944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 217948 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 217951 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 217955 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 217959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 217961 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 217968 */     // (strict_fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIVSSrm:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 217968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSSrm),
     /* 217971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217973 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 217975 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 217979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 217984 */     GIR_RootConstrainSelectedInstOperands,
     /* 217985 */     // GIR_Coverage, 2287,
     /* 217985 */     GIR_EraseRootFromParent_Done,
     /* 217986 */   // Label 5070: @217986
     /* 217986 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(218048), // Rule ID 6086 //
     /* 217991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 217994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 217998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 218002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218010 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218013 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218017 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218030 */     // (strict_fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSSZrm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrm),
     /* 218033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218035 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218037 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218046 */     GIR_RootConstrainSelectedInstOperands,
     /* 218047 */     // GIR_Coverage, 6086,
     /* 218047 */     GIR_EraseRootFromParent_Done,
     /* 218048 */   // Label 5071: @218048
     /* 218048 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(218085), // Rule ID 903 //
     /* 218053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 218056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 218068 */     // (strict_fdiv:{ *:[f32] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)  =>  (DIV_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src1, RFP32:{ *:[f32] }:$src2)
     /* 218068 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp32),
     /* 218073 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 218079 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 218083 */     GIR_RootConstrainSelectedInstOperands,
     /* 218084 */     // GIR_Coverage, 903,
     /* 218084 */     GIR_Done,
     /* 218085 */   // Label 5072: @218085
     /* 218085 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(218116), // Rule ID 2277 //
     /* 218090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 218093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218105 */     // (strict_fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VDIVSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 218105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSSrr),
     /* 218110 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218114 */     GIR_RootConstrainSelectedInstOperands,
     /* 218115 */     // GIR_Coverage, 2277,
     /* 218115 */     GIR_Done,
     /* 218116 */   // Label 5073: @218116
     /* 218116 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(218147), // Rule ID 2285 //
     /* 218121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 218124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 218136 */     // (strict_fdiv:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (DIVSSrr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)
     /* 218136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVSSrr),
     /* 218141 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218145 */     GIR_RootConstrainSelectedInstOperands,
     /* 218146 */     // GIR_Coverage, 2285,
     /* 218146 */     GIR_Done,
     /* 218147 */   // Label 5074: @218147
     /* 218147 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(218178), // Rule ID 6084 //
     /* 218152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 218155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 218159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 218163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 218167 */     // (strict_fdiv:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VDIVSSZrr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)
     /* 218167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSSZrr),
     /* 218172 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218176 */     GIR_RootConstrainSelectedInstOperands,
     /* 218177 */     // GIR_Coverage, 6084,
     /* 218177 */     GIR_Done,
     /* 218178 */   // Label 5075: @218178
     /* 218178 */   GIM_Reject,
     /* 218179 */ // Label 5066: @218179
     /* 218179 */ GIM_Reject,
     /* 218180 */ // Label 5051: @218180
     /* 218180 */ GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(218782),
     /* 218185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 218188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 218191 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(218256), // Rule ID 1021 //
     /* 218196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 218199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 218207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218211 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218214 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218218 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218228 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218235 */     // (strict_fdiv:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, RFP64:{ *:[f64] }:$src1)  =>  (DIVR_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp64m),
     /* 218238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218240 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 218242 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218254 */     GIR_RootConstrainSelectedInstOperands,
     /* 218255 */     // GIR_Coverage, 1021,
     /* 218255 */     GIR_EraseRootFromParent_Done,
     /* 218256 */   // Label 5077: @218256
     /* 218256 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(218328), // Rule ID 1023 //
     /* 218261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 218264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 218272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218276 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218279 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218283 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 218290 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218300 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218307 */     // (strict_fdiv:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP64:{ *:[f64] }:$src1)  =>  (DIVR_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp64m32),
     /* 218310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218312 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 218314 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218326 */     GIR_RootConstrainSelectedInstOperands,
     /* 218327 */     // GIR_Coverage, 1023,
     /* 218327 */     GIR_EraseRootFromParent_Done,
     /* 218328 */   // Label 5078: @218328
     /* 218328 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(218393), // Rule ID 999 //
     /* 218333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 218336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218352 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218355 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218359 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218365 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218372 */     // (strict_fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIV_Fp64m:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64m),
     /* 218375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218377 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218379 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218391 */     GIR_RootConstrainSelectedInstOperands,
     /* 218392 */     // GIR_Coverage, 999,
     /* 218392 */     GIR_EraseRootFromParent_Done,
     /* 218393 */   // Label 5079: @218393
     /* 218393 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(218465), // Rule ID 1001 //
     /* 218398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 218401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218417 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218420 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218424 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 218431 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218437 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218444 */     // (strict_fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (DIV_Fp64m32:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64m32),
     /* 218447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218449 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218451 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218458 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218463 */     GIR_RootConstrainSelectedInstOperands,
     /* 218464 */     // GIR_Coverage, 1001,
     /* 218464 */     GIR_EraseRootFromParent_Done,
     /* 218465 */   // Label 5080: @218465
     /* 218465 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(218527), // Rule ID 2283 //
     /* 218470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 218473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218489 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218492 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218496 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218502 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218509 */     // (strict_fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDrm),
     /* 218512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218514 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218516 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218525 */     GIR_RootConstrainSelectedInstOperands,
     /* 218526 */     // GIR_Coverage, 2283,
     /* 218526 */     GIR_EraseRootFromParent_Done,
     /* 218527 */   // Label 5081: @218527
     /* 218527 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(218589), // Rule ID 2291 //
     /* 218532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 218535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218551 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218554 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218558 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218564 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218571 */     // (strict_fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (DIVSDrm:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVSDrm),
     /* 218574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218576 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218578 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218587 */     GIR_RootConstrainSelectedInstOperands,
     /* 218588 */     // GIR_Coverage, 2291,
     /* 218588 */     GIR_EraseRootFromParent_Done,
     /* 218589 */   // Label 5082: @218589
     /* 218589 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(218651), // Rule ID 6105 //
     /* 218594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 218597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 218601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 218605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218613 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218616 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218620 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218626 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218633 */     // (strict_fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVSDZrm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrm),
     /* 218636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218638 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218640 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218649 */     GIR_RootConstrainSelectedInstOperands,
     /* 218650 */     // GIR_Coverage, 6105,
     /* 218650 */     GIR_EraseRootFromParent_Done,
     /* 218651 */   // Label 5083: @218651
     /* 218651 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(218688), // Rule ID 905 //
     /* 218656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 218659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 218671 */     // (strict_fdiv:{ *:[f64] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)  =>  (DIV_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src1, RFP64:{ *:[f64] }:$src2)
     /* 218671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp64),
     /* 218676 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 218682 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 218686 */     GIR_RootConstrainSelectedInstOperands,
     /* 218687 */     // GIR_Coverage, 905,
     /* 218687 */     GIR_Done,
     /* 218688 */   // Label 5084: @218688
     /* 218688 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(218719), // Rule ID 2281 //
     /* 218693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 218696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218708 */     // (strict_fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VDIVSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 218708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSDrr),
     /* 218713 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218717 */     GIR_RootConstrainSelectedInstOperands,
     /* 218718 */     // GIR_Coverage, 2281,
     /* 218718 */     GIR_Done,
     /* 218719 */   // Label 5085: @218719
     /* 218719 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(218750), // Rule ID 2289 //
     /* 218724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 218727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 218739 */     // (strict_fdiv:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (DIVSDrr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)
     /* 218739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVSDrr),
     /* 218744 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218748 */     GIR_RootConstrainSelectedInstOperands,
     /* 218749 */     // GIR_Coverage, 2289,
     /* 218749 */     GIR_Done,
     /* 218750 */   // Label 5086: @218750
     /* 218750 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(218781), // Rule ID 6103 //
     /* 218755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 218758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 218762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 218766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 218770 */     // (strict_fdiv:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VDIVSDZrr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)
     /* 218770 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVSDZrr),
     /* 218775 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 218779 */     GIR_RootConstrainSelectedInstOperands,
     /* 218780 */     // GIR_Coverage, 6103,
     /* 218780 */     GIR_Done,
     /* 218781 */   // Label 5087: @218781
     /* 218781 */   GIM_Reject,
     /* 218782 */ // Label 5076: @218782
     /* 218782 */ GIM_Reject,
     /* 218783 */ // Label 5052: @218783
     /* 218783 */ GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(219104),
     /* 218788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 218791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s80,
     /* 218794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 218798 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(218866), // Rule ID 1025 //
     /* 218803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 218806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 218810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218814 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218817 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218821 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 218828 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 218836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218838 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218845 */     // (strict_fdiv:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>, RFP80:{ *:[f80] }:$src1)  =>  (DIVR_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp80m32),
     /* 218848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218850 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 218852 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218864 */     GIR_RootConstrainSelectedInstOperands,
     /* 218865 */     // GIR_Coverage, 1025,
     /* 218865 */     GIR_EraseRootFromParent_Done,
     /* 218866 */   // Label 5089: @218866
     /* 218866 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(218934), // Rule ID 1027 //
     /* 218871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 218874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 218878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218882 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218885 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218889 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 218896 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 218904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218913 */     // (strict_fdiv:{ *:[f80] } (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>, RFP80:{ *:[f80] }:$src1)  =>  (DIVR_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIVR_Fp80m64),
     /* 218916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218918 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 218920 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 218932 */     GIR_RootConstrainSelectedInstOperands,
     /* 218933 */     // GIR_Coverage, 1027,
     /* 218933 */     GIR_EraseRootFromParent_Done,
     /* 218934 */   // Label 5090: @218934
     /* 218934 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(219002), // Rule ID 1003 //
     /* 218939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 218942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 218946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 218950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 218954 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 218957 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 218961 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 218968 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 218972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 218974 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 218981 */     // (strict_fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf32>>)  =>  (DIV_Fp80m32:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 218981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80m32),
     /* 218984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218986 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 218988 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 218992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 218995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219000 */     GIR_RootConstrainSelectedInstOperands,
     /* 219001 */     // GIR_Coverage, 1003,
     /* 219001 */     GIR_EraseRootFromParent_Done,
     /* 219002 */   // Label 5091: @219002
     /* 219002 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(219070), // Rule ID 1005 //
     /* 219007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 219010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219022 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219025 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219029 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 219036 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219049 */     // (strict_fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, (ld:{ *:[f80] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadf64>>)  =>  (DIV_Fp80m64:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80m64),
     /* 219052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219054 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219056 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for X86::FPSW*/0,
     /* 219063 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219068 */     GIR_RootConstrainSelectedInstOperands,
     /* 219069 */     // GIR_Coverage, 1005,
     /* 219069 */     GIR_EraseRootFromParent_Done,
     /* 219070 */   // Label 5092: @219070
     /* 219070 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(219103), // Rule ID 907 //
     /* 219075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 219078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 219086 */     // (strict_fdiv:{ *:[f80] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)  =>  (DIV_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src1, RFP80:{ *:[f80] }:$src2)
     /* 219086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIV_Fp80),
     /* 219091 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 219097 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 219101 */     GIR_RootConstrainSelectedInstOperands,
     /* 219102 */     // GIR_Coverage, 907,
     /* 219102 */     GIR_Done,
     /* 219103 */   // Label 5093: @219103
     /* 219103 */   GIM_Reject,
     /* 219104 */ // Label 5088: @219104
     /* 219104 */ GIM_Reject,
     /* 219105 */ // Label 5053: @219105
     /* 219105 */ GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(219334),
     /* 219110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 219113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 219116 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(219178), // Rule ID 2259 //
     /* 219121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219140 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219143 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219147 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219153 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219160 */     // (strict_fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDrm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDrm),
     /* 219163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219165 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219167 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219176 */     GIR_RootConstrainSelectedInstOperands,
     /* 219177 */     // GIR_Coverage, 2259,
     /* 219177 */     GIR_EraseRootFromParent_Done,
     /* 219178 */   // Label 5095: @219178
     /* 219178 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(219240), // Rule ID 6658 //
     /* 219183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219202 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219205 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219209 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219215 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219222 */     // (strict_fdiv:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZ128rm:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ128rm),
     /* 219225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219227 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219229 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219238 */     GIR_RootConstrainSelectedInstOperands,
     /* 219239 */     // GIR_Coverage, 6658,
     /* 219239 */     GIR_EraseRootFromParent_Done,
     /* 219240 */   // Label 5096: @219240
     /* 219240 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(219271), // Rule ID 2257 //
     /* 219245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219260 */     // (strict_fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VDIVPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 219260 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDrr),
     /* 219265 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219269 */     GIR_RootConstrainSelectedInstOperands,
     /* 219270 */     // GIR_Coverage, 2257,
     /* 219270 */     GIR_Done,
     /* 219271 */   // Label 5097: @219271
     /* 219271 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(219302), // Rule ID 2273 //
     /* 219276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 219279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219291 */     // (strict_fdiv:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (DIVPDrr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)
     /* 219291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVPDrr),
     /* 219296 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219300 */     GIR_RootConstrainSelectedInstOperands,
     /* 219301 */     // GIR_Coverage, 2273,
     /* 219301 */     GIR_Done,
     /* 219302 */   // Label 5098: @219302
     /* 219302 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(219333), // Rule ID 6654 //
     /* 219307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219322 */     // (strict_fdiv:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VDIVPDZ128rr:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)
     /* 219322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ128rr),
     /* 219327 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219331 */     GIR_RootConstrainSelectedInstOperands,
     /* 219332 */     // GIR_Coverage, 6654,
     /* 219332 */     GIR_Done,
     /* 219333 */   // Label 5099: @219333
     /* 219333 */   GIM_Reject,
     /* 219334 */ // Label 5094: @219334
     /* 219334 */ GIM_Reject,
     /* 219335 */ // Label 5054: @219335
     /* 219335 */ GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(219564),
     /* 219340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 219343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 219346 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(219408), // Rule ID 2255 //
     /* 219351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219370 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219373 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219377 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219383 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219390 */     // (strict_fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSrm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSrm),
     /* 219393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219395 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219397 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219406 */     GIR_RootConstrainSelectedInstOperands,
     /* 219407 */     // GIR_Coverage, 2255,
     /* 219407 */     GIR_EraseRootFromParent_Done,
     /* 219408 */   // Label 5101: @219408
     /* 219408 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(219470), // Rule ID 6634 //
     /* 219413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219432 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219435 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219439 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219445 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219452 */     // (strict_fdiv:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZ128rm:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ128rm),
     /* 219455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219457 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219459 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219468 */     GIR_RootConstrainSelectedInstOperands,
     /* 219469 */     // GIR_Coverage, 6634,
     /* 219469 */     GIR_EraseRootFromParent_Done,
     /* 219470 */   // Label 5102: @219470
     /* 219470 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(219501), // Rule ID 2253 //
     /* 219475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219490 */     // (strict_fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VDIVPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 219490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSrr),
     /* 219495 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219499 */     GIR_RootConstrainSelectedInstOperands,
     /* 219500 */     // GIR_Coverage, 2253,
     /* 219500 */     GIR_Done,
     /* 219501 */   // Label 5103: @219501
     /* 219501 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(219532), // Rule ID 2269 //
     /* 219506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 219509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 219521 */     // (strict_fdiv:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (DIVPSrr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)
     /* 219521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::DIVPSrr),
     /* 219526 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219530 */     GIR_RootConstrainSelectedInstOperands,
     /* 219531 */     // GIR_Coverage, 2269,
     /* 219531 */     GIR_Done,
     /* 219532 */   // Label 5104: @219532
     /* 219532 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(219563), // Rule ID 6630 //
     /* 219537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219552 */     // (strict_fdiv:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VDIVPSZ128rr:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)
     /* 219552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ128rr),
     /* 219557 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219561 */     GIR_RootConstrainSelectedInstOperands,
     /* 219562 */     // GIR_Coverage, 6630,
     /* 219562 */     GIR_Done,
     /* 219563 */   // Label 5105: @219563
     /* 219563 */   GIM_Reject,
     /* 219564 */ // Label 5100: @219564
     /* 219564 */ GIM_Reject,
     /* 219565 */ // Label 5055: @219565
     /* 219565 */ GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(219763),
     /* 219570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 219573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 219576 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(219638), // Rule ID 2267 //
     /* 219581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 219588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 219592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219600 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219603 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219607 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219620 */     // (strict_fdiv:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDYrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDYrm),
     /* 219623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219625 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219627 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219636 */     GIR_RootConstrainSelectedInstOperands,
     /* 219637 */     // GIR_Coverage, 2267,
     /* 219637 */     GIR_EraseRootFromParent_Done,
     /* 219638 */   // Label 5107: @219638
     /* 219638 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(219700), // Rule ID 6670 //
     /* 219643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 219650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 219654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219662 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219665 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219669 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219675 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219682 */     // (strict_fdiv:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZ256rm:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ256rm),
     /* 219685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219687 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219689 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219698 */     GIR_RootConstrainSelectedInstOperands,
     /* 219699 */     // GIR_Coverage, 6670,
     /* 219699 */     GIR_EraseRootFromParent_Done,
     /* 219700 */   // Label 5108: @219700
     /* 219700 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(219731), // Rule ID 2265 //
     /* 219705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 219712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 219716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 219720 */     // (strict_fdiv:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VDIVPDYrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)
     /* 219720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDYrr),
     /* 219725 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219729 */     GIR_RootConstrainSelectedInstOperands,
     /* 219730 */     // GIR_Coverage, 2265,
     /* 219730 */     GIR_Done,
     /* 219731 */   // Label 5109: @219731
     /* 219731 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(219762), // Rule ID 6666 //
     /* 219736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 219743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 219747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 219751 */     // (strict_fdiv:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VDIVPDZ256rr:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)
     /* 219751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZ256rr),
     /* 219756 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219760 */     GIR_RootConstrainSelectedInstOperands,
     /* 219761 */     // GIR_Coverage, 6666,
     /* 219761 */     GIR_Done,
     /* 219762 */   // Label 5110: @219762
     /* 219762 */   GIM_Reject,
     /* 219763 */ // Label 5106: @219763
     /* 219763 */ GIM_Reject,
     /* 219764 */ // Label 5056: @219764
     /* 219764 */ GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(219861),
     /* 219769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 219772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 219775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219783 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(219837), // Rule ID 6694 //
     /* 219788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 219791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219799 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219802 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219806 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219812 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219819 */     // (strict_fdiv:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZ128rm:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ128rm),
     /* 219822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219824 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219826 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219835 */     GIR_RootConstrainSelectedInstOperands,
     /* 219836 */     // GIR_Coverage, 6694,
     /* 219836 */     GIR_EraseRootFromParent_Done,
     /* 219837 */   // Label 5112: @219837
     /* 219837 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(219860), // Rule ID 6690 //
     /* 219842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 219845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 219849 */     // (strict_fdiv:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VDIVPHZ128rr:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)
     /* 219849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ128rr),
     /* 219854 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 219858 */     GIR_RootConstrainSelectedInstOperands,
     /* 219859 */     // GIR_Coverage, 6690,
     /* 219859 */     GIR_Done,
     /* 219860 */   // Label 5113: @219860
     /* 219860 */   GIM_Reject,
     /* 219861 */ // Label 5111: @219861
     /* 219861 */ GIM_Reject,
     /* 219862 */ // Label 5057: @219862
     /* 219862 */ GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(220060),
     /* 219867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 219870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 219873 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(219935), // Rule ID 2263 //
     /* 219878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 219881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 219885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 219889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219897 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219900 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219904 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219910 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219917 */     // (strict_fdiv:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSYrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSYrm),
     /* 219920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219922 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219924 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219933 */     GIR_RootConstrainSelectedInstOperands,
     /* 219934 */     // GIR_Coverage, 2263,
     /* 219934 */     GIR_EraseRootFromParent_Done,
     /* 219935 */   // Label 5115: @219935
     /* 219935 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(219997), // Rule ID 6646 //
     /* 219940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 219943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 219947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 219951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 219955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 219959 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 219962 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 219966 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 219970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 219972 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 219979 */     // (strict_fdiv:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZ256rm:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 219979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ256rm),
     /* 219982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 219984 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 219986 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 219990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 219995 */     GIR_RootConstrainSelectedInstOperands,
     /* 219996 */     // GIR_Coverage, 6646,
     /* 219996 */     GIR_EraseRootFromParent_Done,
     /* 219997 */   // Label 5116: @219997
     /* 219997 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(220028), // Rule ID 2261 //
     /* 220002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 220005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 220017 */     // (strict_fdiv:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VDIVPSYrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)
     /* 220017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSYrr),
     /* 220022 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220026 */     GIR_RootConstrainSelectedInstOperands,
     /* 220027 */     // GIR_Coverage, 2261,
     /* 220027 */     GIR_Done,
     /* 220028 */   // Label 5117: @220028
     /* 220028 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(220059), // Rule ID 6642 //
     /* 220033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 220036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220048 */     // (strict_fdiv:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VDIVPSZ256rr:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)
     /* 220048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZ256rr),
     /* 220053 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220057 */     GIR_RootConstrainSelectedInstOperands,
     /* 220058 */     // GIR_Coverage, 6642,
     /* 220058 */     GIR_Done,
     /* 220059 */   // Label 5118: @220059
     /* 220059 */   GIM_Reject,
     /* 220060 */ // Label 5114: @220060
     /* 220060 */ GIM_Reject,
     /* 220061 */ // Label 5058: @220061
     /* 220061 */ GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(220158),
     /* 220066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 220069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 220072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220080 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(220134), // Rule ID 6622 //
     /* 220085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 220088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220096 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220099 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220103 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220109 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220116 */     // (strict_fdiv:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPDZrm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPDZrm),
     /* 220119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220121 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220123 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220127 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220132 */     GIR_RootConstrainSelectedInstOperands,
     /* 220133 */     // GIR_Coverage, 6622,
     /* 220133 */     GIR_EraseRootFromParent_Done,
     /* 220134 */   // Label 5120: @220134
     /* 220134 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(220157), // Rule ID 6618 //
     /* 220139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 220142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220146 */     // (strict_fdiv:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VDIVPDZrr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)
     /* 220146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPDZrr),
     /* 220151 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220155 */     GIR_RootConstrainSelectedInstOperands,
     /* 220156 */     // GIR_Coverage, 6618,
     /* 220156 */     GIR_Done,
     /* 220157 */   // Label 5121: @220157
     /* 220157 */   GIM_Reject,
     /* 220158 */ // Label 5119: @220158
     /* 220158 */ GIM_Reject,
     /* 220159 */ // Label 5059: @220159
     /* 220159 */ GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(220256),
     /* 220164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 220167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 220170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220178 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(220232), // Rule ID 6706 //
     /* 220183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 220186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220194 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220197 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220201 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220214 */     // (strict_fdiv:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZ256rm:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ256rm),
     /* 220217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220219 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220221 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220230 */     GIR_RootConstrainSelectedInstOperands,
     /* 220231 */     // GIR_Coverage, 6706,
     /* 220231 */     GIR_EraseRootFromParent_Done,
     /* 220232 */   // Label 5123: @220232
     /* 220232 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(220255), // Rule ID 6702 //
     /* 220237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 220240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 220244 */     // (strict_fdiv:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VDIVPHZ256rr:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)
     /* 220244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZ256rr),
     /* 220249 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220253 */     GIR_RootConstrainSelectedInstOperands,
     /* 220254 */     // GIR_Coverage, 6702,
     /* 220254 */     GIR_Done,
     /* 220255 */   // Label 5124: @220255
     /* 220255 */   GIM_Reject,
     /* 220256 */ // Label 5122: @220256
     /* 220256 */ GIM_Reject,
     /* 220257 */ // Label 5060: @220257
     /* 220257 */ GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(220354),
     /* 220262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 220265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 220268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220276 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(220330), // Rule ID 6610 //
     /* 220281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 220284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220292 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220295 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220299 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220305 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220312 */     // (strict_fdiv:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPSZrm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPSZrm),
     /* 220315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220317 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220319 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220328 */     GIR_RootConstrainSelectedInstOperands,
     /* 220329 */     // GIR_Coverage, 6610,
     /* 220329 */     GIR_EraseRootFromParent_Done,
     /* 220330 */   // Label 5126: @220330
     /* 220330 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(220353), // Rule ID 6606 //
     /* 220335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 220338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220342 */     // (strict_fdiv:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VDIVPSZrr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)
     /* 220342 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPSZrr),
     /* 220347 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220351 */     GIR_RootConstrainSelectedInstOperands,
     /* 220352 */     // GIR_Coverage, 6606,
     /* 220352 */     GIR_Done,
     /* 220353 */   // Label 5127: @220353
     /* 220353 */   GIM_Reject,
     /* 220354 */ // Label 5125: @220354
     /* 220354 */ GIM_Reject,
     /* 220355 */ // Label 5061: @220355
     /* 220355 */ GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(220452),
     /* 220360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 220363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 220366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220374 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(220428), // Rule ID 6682 //
     /* 220379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 220382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220390 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220393 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220397 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220403 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220410 */     // (strict_fdiv:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VDIVPHZrm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, addr:{ *:[iPTR] }:$src2)
     /* 220410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VDIVPHZrm),
     /* 220413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220415 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 220417 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 220421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220426 */     GIR_RootConstrainSelectedInstOperands,
     /* 220427 */     // GIR_Coverage, 6682,
     /* 220427 */     GIR_EraseRootFromParent_Done,
     /* 220428 */   // Label 5129: @220428
     /* 220428 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(220451), // Rule ID 6678 //
     /* 220433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 220436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 220440 */     // (strict_fdiv:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VDIVPHZrr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)
     /* 220440 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VDIVPHZrr),
     /* 220445 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 220449 */     GIR_RootConstrainSelectedInstOperands,
     /* 220450 */     // GIR_Coverage, 6678,
     /* 220450 */     GIR_Done,
     /* 220451 */   // Label 5130: @220451
     /* 220451 */   GIM_Reject,
     /* 220452 */ // Label 5128: @220452
     /* 220452 */ GIM_Reject,
     /* 220453 */ // Label 5062: @220453
     /* 220453 */ GIM_Reject,
     /* 220454 */ // Label 72: @220454
     /* 220454 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 5143*/ GIMT_Encode4(226441),
     /* 220465 */ /*GILLT_s16*//*Label 5131*/ GIMT_Encode4(220549),
     /* 220469 */ /*GILLT_s32*//*Label 5132*/ GIMT_Encode4(220794),
     /* 220473 */ /*GILLT_s64*//*Label 5133*/ GIMT_Encode4(221531), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 220489 */ /*GILLT_v2s64*//*Label 5134*/ GIMT_Encode4(222268), GIMT_Encode4(0),
     /* 220497 */ /*GILLT_v4s32*//*Label 5135*/ GIMT_Encode4(223005),
     /* 220501 */ /*GILLT_v4s64*//*Label 5136*/ GIMT_Encode4(223742), GIMT_Encode4(0),
     /* 220509 */ /*GILLT_v8s16*//*Label 5137*/ GIMT_Encode4(224479),
     /* 220513 */ /*GILLT_v8s32*//*Label 5138*/ GIMT_Encode4(224724),
     /* 220517 */ /*GILLT_v8s64*//*Label 5139*/ GIMT_Encode4(225461), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 220529 */ /*GILLT_v16s16*//*Label 5140*/ GIMT_Encode4(225706),
     /* 220533 */ /*GILLT_v16s32*//*Label 5141*/ GIMT_Encode4(225951), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 220545 */ /*GILLT_v32s16*//*Label 5142*/ GIMT_Encode4(226196),
     /* 220549 */ // Label 5131: @220549
     /* 220549 */ GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(220793),
     /* 220554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 220557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 220560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 220563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220567 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(220631), // Rule ID 10156 //
     /* 220572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 220575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 220579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220583 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220586 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220590 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220611 */     // (strict_fma:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2)  =>  (VFMADD132SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 220611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SHZm),
     /* 220614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220616 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 220618 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 220620 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 220624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220629 */     GIR_RootConstrainSelectedInstOperands,
     /* 220630 */     // GIR_Coverage, 10156,
     /* 220630 */     GIR_EraseRootFromParent_Done,
     /* 220631 */   // Label 5145: @220631
     /* 220631 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(220695), // Rule ID 10154 //
     /* 220636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 220639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 220647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220651 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220654 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220658 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220668 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220675 */     // (strict_fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR16X:{ *:[f16] }:$src1)  =>  (VFMADD231SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 220675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SHZm),
     /* 220678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220680 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 220682 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 220684 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 220688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220693 */     GIR_RootConstrainSelectedInstOperands,
     /* 220694 */     // GIR_Coverage, 10154,
     /* 220694 */     GIR_EraseRootFromParent_Done,
     /* 220695 */   // Label 5146: @220695
     /* 220695 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(220759), // Rule ID 10151 //
     /* 220700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 220703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 220715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220719 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220722 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220726 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220732 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220739 */     // (strict_fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src1, (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SHZm:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 220739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SHZm),
     /* 220742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220744 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 220746 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 220748 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 220752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220757 */     GIR_RootConstrainSelectedInstOperands,
     /* 220758 */     // GIR_Coverage, 10151,
     /* 220758 */     GIR_EraseRootFromParent_Done,
     /* 220759 */   // Label 5147: @220759
     /* 220759 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(220792), // Rule ID 10149 //
     /* 220764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 220767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 220779 */     // (strict_fma:{ *:[f16] } FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src3)  =>  (VFMADD213SHZr:{ *:[f16] } FR16X:{ *:[f16] }:$src1, FR16X:{ *:[f16] }:$src2, FR16X:{ *:[f16] }:$src3)
     /* 220779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SHZr),
     /* 220782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220784 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 220786 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 220788 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 220790 */     GIR_RootConstrainSelectedInstOperands,
     /* 220791 */     // GIR_Coverage, 10149,
     /* 220791 */     GIR_EraseRootFromParent_Done,
     /* 220792 */   // Label 5148: @220792
     /* 220792 */   GIM_Reject,
     /* 220793 */ // Label 5144: @220793
     /* 220793 */ GIM_Reject,
     /* 220794 */ // Label 5132: @220794
     /* 220794 */ GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(221530),
     /* 220799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 220802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 220805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 220808 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(220876), // Rule ID 1302 //
     /* 220813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 220816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 220820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 220824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220828 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220831 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220835 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 220843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 220847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220849 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220856 */     // (strict_fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2)  =>  (VFMADD132SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 220856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SSm),
     /* 220859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220861 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 220863 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 220865 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 220869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220874 */     GIR_RootConstrainSelectedInstOperands,
     /* 220875 */     // GIR_Coverage, 1302,
     /* 220875 */     GIR_EraseRootFromParent_Done,
     /* 220876 */   // Label 5150: @220876
     /* 220876 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(220944), // Rule ID 10138 //
     /* 220881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 220884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 220888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 220892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220896 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220899 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220903 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 220911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 220915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220917 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220924 */     // (strict_fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2)  =>  (VFMADD132SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 220924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SSZm),
     /* 220927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220929 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 220931 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 220933 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 220937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 220942 */     GIR_RootConstrainSelectedInstOperands,
     /* 220943 */     // GIR_Coverage, 10138,
     /* 220943 */     GIR_EraseRootFromParent_Done,
     /* 220944 */   // Label 5151: @220944
     /* 220944 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(221012), // Rule ID 23277 //
     /* 220949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 220952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 220956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 220960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 220964 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 220967 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 220971 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 220975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 220979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 220983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 220985 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 220992 */     // (strict_fma:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4mr:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 220992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4mr),
     /* 220995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 220997 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 220999 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 221003 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221005 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221010 */     GIR_RootConstrainSelectedInstOperands,
     /* 221011 */     // GIR_Coverage, 23277,
     /* 221011 */     GIR_EraseRootFromParent_Done,
     /* 221012 */   // Label 5152: @221012
     /* 221012 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(221080), // Rule ID 1300 //
     /* 221017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221036 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221039 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221043 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221060 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src1)  =>  (VFMADD231SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SSm),
     /* 221063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221065 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 221067 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221078 */     GIR_RootConstrainSelectedInstOperands,
     /* 221079 */     // GIR_Coverage, 1300,
     /* 221079 */     GIR_EraseRootFromParent_Done,
     /* 221080 */   // Label 5153: @221080
     /* 221080 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(221148), // Rule ID 1364 //
     /* 221085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 221088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221104 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221107 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221111 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221121 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221128 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4mr:{ *:[f32] } FR32:{ *:[f32] }:$src1, addr:{ *:[iPTR] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 221128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4mr),
     /* 221131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221133 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 221135 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 221139 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221146 */     GIR_RootConstrainSelectedInstOperands,
     /* 221147 */     // GIR_Coverage, 1364,
     /* 221147 */     GIR_EraseRootFromParent_Done,
     /* 221148 */   // Label 5154: @221148
     /* 221148 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(221216), // Rule ID 10136 //
     /* 221153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 221156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221172 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221175 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221179 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221189 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221196 */     // (strict_fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR32X:{ *:[f32] }:$src1)  =>  (VFMADD231SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SSZm),
     /* 221199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221201 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 221203 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221205 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221209 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221214 */     GIR_RootConstrainSelectedInstOperands,
     /* 221215 */     // GIR_Coverage, 10136,
     /* 221215 */     GIR_EraseRootFromParent_Done,
     /* 221216 */   // Label 5155: @221216
     /* 221216 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(221284), // Rule ID 1298 //
     /* 221221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 221240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221244 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221247 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221251 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221257 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221264 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SSm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSm),
     /* 221267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221269 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221271 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221273 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221282 */     GIR_RootConstrainSelectedInstOperands,
     /* 221283 */     // GIR_Coverage, 1298,
     /* 221283 */     GIR_EraseRootFromParent_Done,
     /* 221284 */   // Label 5156: @221284
     /* 221284 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(221352), // Rule ID 1362 //
     /* 221289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 221292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 221308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221312 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221315 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221319 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221325 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221332 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDSS4rm:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4rm),
     /* 221335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221337 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 221339 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 221341 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221350 */     GIR_RootConstrainSelectedInstOperands,
     /* 221351 */     // GIR_Coverage, 1362,
     /* 221351 */     GIR_EraseRootFromParent_Done,
     /* 221352 */   // Label 5157: @221352
     /* 221352 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(221420), // Rule ID 10133 //
     /* 221357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 221360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 221376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221380 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221383 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221387 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221393 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221400 */     // (strict_fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src1, (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SSZm:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSZm),
     /* 221403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221405 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221407 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221409 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221413 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221418 */     GIR_RootConstrainSelectedInstOperands,
     /* 221419 */     // GIR_Coverage, 10133,
     /* 221419 */     GIR_EraseRootFromParent_Done,
     /* 221420 */   // Label 5158: @221420
     /* 221420 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(221457), // Rule ID 1296 //
     /* 221425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221444 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src3)  =>  (VFMADD213SSr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 221444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSr),
     /* 221447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221449 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221451 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221453 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221455 */     GIR_RootConstrainSelectedInstOperands,
     /* 221456 */     // GIR_Coverage, 1296,
     /* 221456 */     GIR_EraseRootFromParent_Done,
     /* 221457 */   // Label 5159: @221457
     /* 221457 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(221492), // Rule ID 1360 //
     /* 221462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 221465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 221481 */     // (strict_fma:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)  =>  (VFMADDSS4rr:{ *:[f32] } FR32:{ *:[f32] }:$src1, FR32:{ *:[f32] }:$src2, FR32:{ *:[f32] }:$src3)
     /* 221481 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDSS4rr),
     /* 221486 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 221490 */     GIR_RootConstrainSelectedInstOperands,
     /* 221491 */     // GIR_Coverage, 1360,
     /* 221491 */     GIR_Done,
     /* 221492 */   // Label 5160: @221492
     /* 221492 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(221529), // Rule ID 10131 //
     /* 221497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 221500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 221516 */     // (strict_fma:{ *:[f32] } FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src3)  =>  (VFMADD213SSZr:{ *:[f32] } FR32X:{ *:[f32] }:$src1, FR32X:{ *:[f32] }:$src2, FR32X:{ *:[f32] }:$src3)
     /* 221516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SSZr),
     /* 221519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221521 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221523 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221525 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221527 */     GIR_RootConstrainSelectedInstOperands,
     /* 221528 */     // GIR_Coverage, 10131,
     /* 221528 */     GIR_EraseRootFromParent_Done,
     /* 221529 */   // Label 5161: @221529
     /* 221529 */   GIM_Reject,
     /* 221530 */ // Label 5149: @221530
     /* 221530 */ GIM_Reject,
     /* 221531 */ // Label 5133: @221531
     /* 221531 */ GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(222267),
     /* 221536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 221539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 221542 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 221545 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(221613), // Rule ID 1310 //
     /* 221550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 221561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221565 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221568 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221572 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221586 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221593 */     // (strict_fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2)  =>  (VFMADD132SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SDm),
     /* 221596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221598 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221600 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 221602 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221611 */     GIR_RootConstrainSelectedInstOperands,
     /* 221612 */     // GIR_Coverage, 1310,
     /* 221612 */     GIR_EraseRootFromParent_Done,
     /* 221613 */   // Label 5163: @221613
     /* 221613 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(221681), // Rule ID 10147 //
     /* 221618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 221621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 221625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 221629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221633 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221636 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221640 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 221648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 221652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221654 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221661 */     // (strict_fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2)  =>  (VFMADD132SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132SDZm),
     /* 221664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221666 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221668 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 221670 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221679 */     GIR_RootConstrainSelectedInstOperands,
     /* 221680 */     // GIR_Coverage, 10147,
     /* 221680 */     GIR_EraseRootFromParent_Done,
     /* 221681 */   // Label 5164: @221681
     /* 221681 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(221749), // Rule ID 23305 //
     /* 221686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 221689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 221697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221701 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221704 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221708 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221729 */     // (strict_fma:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4mr:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 221729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4mr),
     /* 221732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221734 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 221736 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 221740 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221747 */     GIR_RootConstrainSelectedInstOperands,
     /* 221748 */     // GIR_Coverage, 23305,
     /* 221748 */     GIR_EraseRootFromParent_Done,
     /* 221749 */   // Label 5165: @221749
     /* 221749 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(221817), // Rule ID 1308 //
     /* 221754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221773 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221776 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221780 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221790 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221797 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src1)  =>  (VFMADD231SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SDm),
     /* 221800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221802 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 221804 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221806 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221815 */     GIR_RootConstrainSelectedInstOperands,
     /* 221816 */     // GIR_Coverage, 1308,
     /* 221816 */     GIR_EraseRootFromParent_Done,
     /* 221817 */   // Label 5166: @221817
     /* 221817 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(221885), // Rule ID 1448 //
     /* 221822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 221825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221841 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221844 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221848 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221858 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221865 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4mr:{ *:[f64] } FR64:{ *:[f64] }:$src1, addr:{ *:[iPTR] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 221865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4mr),
     /* 221868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221870 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 221872 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 221876 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 221878 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221883 */     GIR_RootConstrainSelectedInstOperands,
     /* 221884 */     // GIR_Coverage, 1448,
     /* 221884 */     GIR_EraseRootFromParent_Done,
     /* 221885 */   // Label 5167: @221885
     /* 221885 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(221953), // Rule ID 10145 //
     /* 221890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 221893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 221897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 221901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 221905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221909 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221912 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221916 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 221924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221926 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 221933 */     // (strict_fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, FR64X:{ *:[f64] }:$src1)  =>  (VFMADD231SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 221933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231SDZm),
     /* 221936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 221938 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 221940 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 221942 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 221946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 221951 */     GIR_RootConstrainSelectedInstOperands,
     /* 221952 */     // GIR_Coverage, 10145,
     /* 221952 */     GIR_EraseRootFromParent_Done,
     /* 221953 */   // Label 5168: @221953
     /* 221953 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(222021), // Rule ID 1306 //
     /* 221958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 221961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 221973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 221977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 221981 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 221984 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 221988 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 221992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 221994 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222001 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SDm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDm),
     /* 222004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222006 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222008 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222010 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222019 */     GIR_RootConstrainSelectedInstOperands,
     /* 222020 */     // GIR_Coverage, 1306,
     /* 222020 */     GIR_EraseRootFromParent_Done,
     /* 222021 */   // Label 5169: @222021
     /* 222021 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(222089), // Rule ID 1446 //
     /* 222026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 222029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 222045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222049 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222052 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222056 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222062 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222069 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDSD4rm:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4rm),
     /* 222072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222074 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 222076 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 222078 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222087 */     GIR_RootConstrainSelectedInstOperands,
     /* 222088 */     // GIR_Coverage, 1446,
     /* 222088 */     GIR_EraseRootFromParent_Done,
     /* 222089 */   // Label 5170: @222089
     /* 222089 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(222157), // Rule ID 10142 //
     /* 222094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 222097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 222113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222117 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222120 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222124 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222130 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222137 */     // (strict_fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src1, (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213SDZm:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDZm),
     /* 222140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222142 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222144 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222146 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222155 */     GIR_RootConstrainSelectedInstOperands,
     /* 222156 */     // GIR_Coverage, 10142,
     /* 222156 */     GIR_EraseRootFromParent_Done,
     /* 222157 */   // Label 5171: @222157
     /* 222157 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(222194), // Rule ID 1304 //
     /* 222162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoAVX512_NoFMA4),
     /* 222165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222181 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src3)  =>  (VFMADD213SDr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 222181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDr),
     /* 222184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222186 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222188 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222190 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222192 */     GIR_RootConstrainSelectedInstOperands,
     /* 222193 */     // GIR_Coverage, 1304,
     /* 222193 */     GIR_EraseRootFromParent_Done,
     /* 222194 */   // Label 5172: @222194
     /* 222194 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(222229), // Rule ID 1444 //
     /* 222199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoAVX512),
     /* 222202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 222218 */     // (strict_fma:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)  =>  (VFMADDSD4rr:{ *:[f64] } FR64:{ *:[f64] }:$src1, FR64:{ *:[f64] }:$src2, FR64:{ *:[f64] }:$src3)
     /* 222218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDSD4rr),
     /* 222223 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 222227 */     GIR_RootConstrainSelectedInstOperands,
     /* 222228 */     // GIR_Coverage, 1444,
     /* 222228 */     GIR_Done,
     /* 222229 */   // Label 5173: @222229
     /* 222229 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(222266), // Rule ID 10140 //
     /* 222234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 222237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 222253 */     // (strict_fma:{ *:[f64] } FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src3)  =>  (VFMADD213SDZr:{ *:[f64] } FR64X:{ *:[f64] }:$src1, FR64X:{ *:[f64] }:$src2, FR64X:{ *:[f64] }:$src3)
     /* 222253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213SDZr),
     /* 222256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222258 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222260 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222262 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222264 */     GIR_RootConstrainSelectedInstOperands,
     /* 222265 */     // GIR_Coverage, 10140,
     /* 222265 */     GIR_EraseRootFromParent_Done,
     /* 222266 */   // Label 5174: @222266
     /* 222266 */   GIM_Reject,
     /* 222267 */ // Label 5162: @222267
     /* 222267 */ GIM_Reject,
     /* 222268 */ // Label 5134: @222268
     /* 222268 */ GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(223004),
     /* 222273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 222276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 222279 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 222282 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(222350), // Rule ID 1190 //
     /* 222287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 222290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 222298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222302 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222305 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222309 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222330 */     // (strict_fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2)  =>  (VFMADD132PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDm),
     /* 222333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222335 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222337 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 222339 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222348 */     GIR_RootConstrainSelectedInstOperands,
     /* 222349 */     // GIR_Coverage, 1190,
     /* 222349 */     GIR_EraseRootFromParent_Done,
     /* 222350 */   // Label 5176: @222350
     /* 222350 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(222418), // Rule ID 9679 //
     /* 222355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 222358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 222366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222370 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222373 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222377 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222391 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222398 */     // (strict_fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2)  =>  (VFMADD132PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZ128m),
     /* 222401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222403 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222405 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 222407 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222416 */     GIR_RootConstrainSelectedInstOperands,
     /* 222417 */     // GIR_Coverage, 9679,
     /* 222417 */     GIR_EraseRootFromParent_Done,
     /* 222418 */   // Label 5177: @222418
     /* 222418 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(222486), // Rule ID 23313 //
     /* 222423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 222426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 222434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222438 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222441 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222445 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222459 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222466 */     // (strict_fma:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4mr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 222466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4mr),
     /* 222469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222471 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222473 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 222477 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222484 */     GIR_RootConstrainSelectedInstOperands,
     /* 222485 */     // GIR_Coverage, 23313,
     /* 222485 */     GIR_EraseRootFromParent_Done,
     /* 222486 */   // Label 5178: @222486
     /* 222486 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(222554), // Rule ID 1188 //
     /* 222491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 222494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 222506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222510 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222513 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222517 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222527 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222534 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src1)  =>  (VFMADD231PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDm),
     /* 222537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222539 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 222541 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222543 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222552 */     GIR_RootConstrainSelectedInstOperands,
     /* 222553 */     // GIR_Coverage, 1188,
     /* 222553 */     GIR_EraseRootFromParent_Done,
     /* 222554 */   // Label 5179: @222554
     /* 222554 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(222622), // Rule ID 1472 //
     /* 222559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 222562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 222574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222578 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222581 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222585 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222595 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222602 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4mr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 222602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4mr),
     /* 222605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222607 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 222609 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 222613 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222620 */     GIR_RootConstrainSelectedInstOperands,
     /* 222621 */     // GIR_Coverage, 1472,
     /* 222621 */     GIR_EraseRootFromParent_Done,
     /* 222622 */   // Label 5180: @222622
     /* 222622 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(222690), // Rule ID 9139 //
     /* 222627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 222630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 222642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222646 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222649 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222653 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222663 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222670 */     // (strict_fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v2f64] }:$src1)  =>  (VFMADD231PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZ128m),
     /* 222673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222675 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 222677 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222688 */     GIR_RootConstrainSelectedInstOperands,
     /* 222689 */     // GIR_Coverage, 9139,
     /* 222689 */     GIR_EraseRootFromParent_Done,
     /* 222690 */   // Label 5181: @222690
     /* 222690 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(222758), // Rule ID 1186 //
     /* 222695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 222698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 222714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222718 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222721 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222725 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222731 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222738 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDm),
     /* 222741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222743 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222745 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222747 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222756 */     GIR_RootConstrainSelectedInstOperands,
     /* 222757 */     // GIR_Coverage, 1186,
     /* 222757 */     GIR_EraseRootFromParent_Done,
     /* 222758 */   // Label 5182: @222758
     /* 222758 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(222826), // Rule ID 1470 //
     /* 222763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 222766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 222782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222786 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222789 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222793 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222799 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222806 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPD4rm:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4rm),
     /* 222809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222811 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 222813 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 222815 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222824 */     GIR_RootConstrainSelectedInstOperands,
     /* 222825 */     // GIR_Coverage, 1470,
     /* 222825 */     GIR_EraseRootFromParent_Done,
     /* 222826 */   // Label 5183: @222826
     /* 222826 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(222894), // Rule ID 8512 //
     /* 222831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 222834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 222850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 222854 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 222857 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 222861 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 222865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 222867 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 222874 */     // (strict_fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src1, (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZ128m:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 222874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ128m),
     /* 222877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222879 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222881 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222883 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 222887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 222892 */     GIR_RootConstrainSelectedInstOperands,
     /* 222893 */     // GIR_Coverage, 8512,
     /* 222893 */     GIR_EraseRootFromParent_Done,
     /* 222894 */   // Label 5184: @222894
     /* 222894 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(222931), // Rule ID 1184 //
     /* 222899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 222902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222918 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADD213PDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 222918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDr),
     /* 222921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222923 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222925 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222927 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 222929 */     GIR_RootConstrainSelectedInstOperands,
     /* 222930 */     // GIR_Coverage, 1184,
     /* 222930 */     GIR_EraseRootFromParent_Done,
     /* 222931 */   // Label 5185: @222931
     /* 222931 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(222966), // Rule ID 1468 //
     /* 222936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 222939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 222955 */     // (strict_fma:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)  =>  (VFMADDPD4rr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src1, VR128:{ *:[v2f64] }:$src2, VR128:{ *:[v2f64] }:$src3)
     /* 222955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4rr),
     /* 222960 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 222964 */     GIR_RootConstrainSelectedInstOperands,
     /* 222965 */     // GIR_Coverage, 1468,
     /* 222965 */     GIR_Done,
     /* 222966 */   // Label 5186: @222966
     /* 222966 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(223003), // Rule ID 8508 //
     /* 222971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 222974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 222990 */     // (strict_fma:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src3)  =>  (VFMADD213PDZ128r:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src1, VR128X:{ *:[v2f64] }:$src2, VR128X:{ *:[v2f64] }:$src3)
     /* 222990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ128r),
     /* 222993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 222995 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 222997 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 222999 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223001 */     GIR_RootConstrainSelectedInstOperands,
     /* 223002 */     // GIR_Coverage, 8508,
     /* 223002 */     GIR_EraseRootFromParent_Done,
     /* 223003 */   // Label 5187: @223003
     /* 223003 */   GIM_Reject,
     /* 223004 */ // Label 5175: @223004
     /* 223004 */ GIM_Reject,
     /* 223005 */ // Label 5135: @223005
     /* 223005 */ GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(223741),
     /* 223010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 223013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 223016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 223019 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(223087), // Rule ID 1142 //
     /* 223024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 223035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223039 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223042 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223046 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223060 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223067 */     // (strict_fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2)  =>  (VFMADD132PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSm),
     /* 223070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223072 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223074 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 223076 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223085 */     GIR_RootConstrainSelectedInstOperands,
     /* 223086 */     // GIR_Coverage, 1142,
     /* 223086 */     GIR_EraseRootFromParent_Done,
     /* 223087 */   // Label 5189: @223087
     /* 223087 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(223155), // Rule ID 9647 //
     /* 223092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 223103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223107 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223110 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223114 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223135 */     // (strict_fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2)  =>  (VFMADD132PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZ128m),
     /* 223138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223140 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223142 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 223144 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223153 */     GIR_RootConstrainSelectedInstOperands,
     /* 223154 */     // GIR_Coverage, 9647,
     /* 223154 */     GIR_EraseRootFromParent_Done,
     /* 223155 */   // Label 5190: @223155
     /* 223155 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(223223), // Rule ID 23285 //
     /* 223160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 223171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223175 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223178 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223182 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223196 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223203 */     // (strict_fma:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4mr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 223203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4mr),
     /* 223206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223208 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 223214 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223216 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223221 */     GIR_RootConstrainSelectedInstOperands,
     /* 223222 */     // GIR_Coverage, 23285,
     /* 223222 */     GIR_EraseRootFromParent_Done,
     /* 223223 */   // Label 5191: @223223
     /* 223223 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(223291), // Rule ID 1140 //
     /* 223228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 223243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223247 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223250 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223254 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223264 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223271 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src1)  =>  (VFMADD231PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSm),
     /* 223274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223276 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 223278 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223280 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223289 */     GIR_RootConstrainSelectedInstOperands,
     /* 223290 */     // GIR_Coverage, 1140,
     /* 223290 */     GIR_EraseRootFromParent_Done,
     /* 223291 */   // Label 5192: @223291
     /* 223291 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(223359), // Rule ID 1388 //
     /* 223296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 223311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223315 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223318 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223322 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223332 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223339 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4mr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 223339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4mr),
     /* 223342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223344 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 223346 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 223350 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223357 */     GIR_RootConstrainSelectedInstOperands,
     /* 223358 */     // GIR_Coverage, 1388,
     /* 223358 */     GIR_EraseRootFromParent_Done,
     /* 223359 */   // Label 5193: @223359
     /* 223359 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(223427), // Rule ID 9107 //
     /* 223364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 223379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223383 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223386 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223390 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223400 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223407 */     // (strict_fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v4f32] }:$src1)  =>  (VFMADD231PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZ128m),
     /* 223410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223412 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 223414 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223416 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223425 */     GIR_RootConstrainSelectedInstOperands,
     /* 223426 */     // GIR_Coverage, 9107,
     /* 223426 */     GIR_EraseRootFromParent_Done,
     /* 223427 */   // Label 5194: @223427
     /* 223427 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(223495), // Rule ID 1138 //
     /* 223432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 223451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223455 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223458 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223462 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223468 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223475 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSm),
     /* 223478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223480 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223482 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223484 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223488 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223493 */     GIR_RootConstrainSelectedInstOperands,
     /* 223494 */     // GIR_Coverage, 1138,
     /* 223494 */     GIR_EraseRootFromParent_Done,
     /* 223495 */   // Label 5195: @223495
     /* 223495 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(223563), // Rule ID 1386 //
     /* 223500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 223519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223523 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223526 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223530 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223536 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223543 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPS4rm:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4rm),
     /* 223546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223548 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 223550 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 223552 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223561 */     GIR_RootConstrainSelectedInstOperands,
     /* 223562 */     // GIR_Coverage, 1386,
     /* 223562 */     GIR_EraseRootFromParent_Done,
     /* 223563 */   // Label 5196: @223563
     /* 223563 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(223631), // Rule ID 8473 //
     /* 223568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 223587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223591 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223594 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223598 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223611 */     // (strict_fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src1, (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZ128m:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ128m),
     /* 223614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223616 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223618 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223620 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223629 */     GIR_RootConstrainSelectedInstOperands,
     /* 223630 */     // GIR_Coverage, 8473,
     /* 223630 */     GIR_EraseRootFromParent_Done,
     /* 223631 */   // Label 5197: @223631
     /* 223631 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(223668), // Rule ID 1136 //
     /* 223636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223655 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADD213PSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 223655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSr),
     /* 223658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223660 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223662 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223664 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223666 */     GIR_RootConstrainSelectedInstOperands,
     /* 223667 */     // GIR_Coverage, 1136,
     /* 223667 */     GIR_EraseRootFromParent_Done,
     /* 223668 */   // Label 5198: @223668
     /* 223668 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(223703), // Rule ID 1384 //
     /* 223673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 223692 */     // (strict_fma:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)  =>  (VFMADDPS4rr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src1, VR128:{ *:[v4f32] }:$src2, VR128:{ *:[v4f32] }:$src3)
     /* 223692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4rr),
     /* 223697 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 223701 */     GIR_RootConstrainSelectedInstOperands,
     /* 223702 */     // GIR_Coverage, 1384,
     /* 223702 */     GIR_Done,
     /* 223703 */   // Label 5199: @223703
     /* 223703 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(223740), // Rule ID 8469 //
     /* 223708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 223727 */     // (strict_fma:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src3)  =>  (VFMADD213PSZ128r:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src1, VR128X:{ *:[v4f32] }:$src2, VR128X:{ *:[v4f32] }:$src3)
     /* 223727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ128r),
     /* 223730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223732 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223734 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 223736 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223738 */     GIR_RootConstrainSelectedInstOperands,
     /* 223739 */     // GIR_Coverage, 8469,
     /* 223739 */     GIR_EraseRootFromParent_Done,
     /* 223740 */   // Label 5200: @223740
     /* 223740 */   GIM_Reject,
     /* 223741 */ // Label 5188: @223741
     /* 223741 */ GIM_Reject,
     /* 223742 */ // Label 5136: @223742
     /* 223742 */ GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(224478),
     /* 223747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 223750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s64,
     /* 223753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s64,
     /* 223756 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(223824), // Rule ID 1198 //
     /* 223761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 223768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 223772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223776 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223779 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223783 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 223791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 223795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223804 */     // (strict_fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2)  =>  (VFMADD132PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDYm),
     /* 223807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223809 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223811 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 223813 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223822 */     GIR_RootConstrainSelectedInstOperands,
     /* 223823 */     // GIR_Coverage, 1198,
     /* 223823 */     GIR_EraseRootFromParent_Done,
     /* 223824 */   // Label 5202: @223824
     /* 223824 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(223892), // Rule ID 9669 //
     /* 223829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 223832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 223836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 223840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223844 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223847 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223851 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 223859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 223863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223865 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223872 */     // (strict_fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2)  =>  (VFMADD132PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 223872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZ256m),
     /* 223875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223877 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223879 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 223881 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 223885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223890 */     GIR_RootConstrainSelectedInstOperands,
     /* 223891 */     // GIR_Coverage, 9669,
     /* 223891 */     GIR_EraseRootFromParent_Done,
     /* 223892 */   // Label 5203: @223892
     /* 223892 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(223960), // Rule ID 23315 //
     /* 223897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 223900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 223904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 223908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223912 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223915 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223919 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 223927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 223931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 223933 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 223940 */     // (strict_fma:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Ymr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 223940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Ymr),
     /* 223943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 223945 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 223947 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 223951 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 223953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 223958 */     GIR_RootConstrainSelectedInstOperands,
     /* 223959 */     // GIR_Coverage, 23315,
     /* 223959 */     GIR_EraseRootFromParent_Done,
     /* 223960 */   // Label 5204: @223960
     /* 223960 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(224028), // Rule ID 1196 //
     /* 223965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 223968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 223972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 223976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 223980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 223984 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 223987 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 223991 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 223995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 223999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224001 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224008 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src1)  =>  (VFMADD231PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDYm),
     /* 224011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224013 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 224015 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224017 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224026 */     GIR_RootConstrainSelectedInstOperands,
     /* 224027 */     // GIR_Coverage, 1196,
     /* 224027 */     GIR_EraseRootFromParent_Done,
     /* 224028 */   // Label 5205: @224028
     /* 224028 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(224096), // Rule ID 1478 //
     /* 224033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 224036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 224048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224052 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224055 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224059 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224069 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224076 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Ymr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 224076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Ymr),
     /* 224079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224081 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 224083 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 224087 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224094 */     GIR_RootConstrainSelectedInstOperands,
     /* 224095 */     // GIR_Coverage, 1478,
     /* 224095 */     GIR_EraseRootFromParent_Done,
     /* 224096 */   // Label 5206: @224096
     /* 224096 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(224164), // Rule ID 9129 //
     /* 224101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 224116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224120 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224123 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224127 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224144 */     // (strict_fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v4f64] }:$src1)  =>  (VFMADD231PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZ256m),
     /* 224147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224149 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 224151 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224153 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224162 */     GIR_RootConstrainSelectedInstOperands,
     /* 224163 */     // GIR_Coverage, 9129,
     /* 224163 */     GIR_EraseRootFromParent_Done,
     /* 224164 */   // Label 5207: @224164
     /* 224164 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(224232), // Rule ID 1194 //
     /* 224169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 224172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 224188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224192 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224195 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224199 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224205 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224212 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDYm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDYm),
     /* 224215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224217 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224219 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224221 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224230 */     GIR_RootConstrainSelectedInstOperands,
     /* 224231 */     // GIR_Coverage, 1194,
     /* 224231 */     GIR_EraseRootFromParent_Done,
     /* 224232 */   // Label 5208: @224232
     /* 224232 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(224300), // Rule ID 1476 //
     /* 224237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 224240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 224256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224260 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224263 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224267 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224280 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPD4Yrm:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Yrm),
     /* 224283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224285 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 224287 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 224289 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224298 */     GIR_RootConstrainSelectedInstOperands,
     /* 224299 */     // GIR_Coverage, 1476,
     /* 224299 */     GIR_EraseRootFromParent_Done,
     /* 224300 */   // Label 5209: @224300
     /* 224300 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(224368), // Rule ID 8500 //
     /* 224305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 224324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224328 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224331 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224335 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224348 */     // (strict_fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src1, (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZ256m:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ256m),
     /* 224351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224353 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224355 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224357 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224366 */     GIR_RootConstrainSelectedInstOperands,
     /* 224367 */     // GIR_Coverage, 8500,
     /* 224367 */     GIR_EraseRootFromParent_Done,
     /* 224368 */   // Label 5210: @224368
     /* 224368 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(224405), // Rule ID 1192 //
     /* 224373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 224376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224392 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADD213PDYr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 224392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDYr),
     /* 224395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224397 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224399 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224401 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224403 */     GIR_RootConstrainSelectedInstOperands,
     /* 224404 */     // GIR_Coverage, 1192,
     /* 224404 */     GIR_EraseRootFromParent_Done,
     /* 224405 */   // Label 5211: @224405
     /* 224405 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(224440), // Rule ID 1474 //
     /* 224410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 224413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224429 */     // (strict_fma:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)  =>  (VFMADDPD4Yrr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src1, VR256:{ *:[v4f64] }:$src2, VR256:{ *:[v4f64] }:$src3)
     /* 224429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPD4Yrr),
     /* 224434 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 224438 */     GIR_RootConstrainSelectedInstOperands,
     /* 224439 */     // GIR_Coverage, 1474,
     /* 224439 */     GIR_Done,
     /* 224440 */   // Label 5212: @224440
     /* 224440 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(224477), // Rule ID 8496 //
     /* 224445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224464 */     // (strict_fma:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src3)  =>  (VFMADD213PDZ256r:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src1, VR256X:{ *:[v4f64] }:$src2, VR256X:{ *:[v4f64] }:$src3)
     /* 224464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZ256r),
     /* 224467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224469 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224471 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224473 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224475 */     GIR_RootConstrainSelectedInstOperands,
     /* 224476 */     // GIR_Coverage, 8496,
     /* 224476 */     GIR_EraseRootFromParent_Done,
     /* 224477 */   // Label 5213: @224477
     /* 224477 */   GIM_Reject,
     /* 224478 */ // Label 5201: @224478
     /* 224478 */ GIM_Reject,
     /* 224479 */ // Label 5137: @224479
     /* 224479 */ GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(224723),
     /* 224484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 224487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 224490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 224493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224497 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(224561), // Rule ID 9615 //
     /* 224502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 224505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 224509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224513 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224516 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224520 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224541 */     // (strict_fma:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2)  =>  (VFMADD132PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZ128m),
     /* 224544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224546 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224548 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 224550 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224559 */     GIR_RootConstrainSelectedInstOperands,
     /* 224560 */     // GIR_Coverage, 9615,
     /* 224560 */     GIR_EraseRootFromParent_Done,
     /* 224561 */   // Label 5215: @224561
     /* 224561 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(224625), // Rule ID 9075 //
     /* 224566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 224569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 224577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224581 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224584 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224588 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224598 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224605 */     // (strict_fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR128X:{ *:[v8f16] }:$src1)  =>  (VFMADD231PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZ128m),
     /* 224608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224610 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 224612 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224614 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224618 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224623 */     GIR_RootConstrainSelectedInstOperands,
     /* 224624 */     // GIR_Coverage, 9075,
     /* 224624 */     GIR_EraseRootFromParent_Done,
     /* 224625 */   // Label 5216: @224625
     /* 224625 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(224689), // Rule ID 8434 //
     /* 224630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 224633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 224645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224649 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224652 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224656 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224662 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224669 */     // (strict_fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src1, (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZ128m:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ128m),
     /* 224672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224674 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224676 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224678 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224687 */     GIR_RootConstrainSelectedInstOperands,
     /* 224688 */     // GIR_Coverage, 8434,
     /* 224688 */     GIR_EraseRootFromParent_Done,
     /* 224689 */   // Label 5217: @224689
     /* 224689 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(224722), // Rule ID 8430 //
     /* 224694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 224697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 224709 */     // (strict_fma:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src3)  =>  (VFMADD213PHZ128r:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src1, VR128X:{ *:[v8f16] }:$src2, VR128X:{ *:[v8f16] }:$src3)
     /* 224709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ128r),
     /* 224712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224714 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224716 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224718 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224720 */     GIR_RootConstrainSelectedInstOperands,
     /* 224721 */     // GIR_Coverage, 8430,
     /* 224721 */     GIR_EraseRootFromParent_Done,
     /* 224722 */   // Label 5218: @224722
     /* 224722 */   GIM_Reject,
     /* 224723 */ // Label 5214: @224723
     /* 224723 */ GIM_Reject,
     /* 224724 */ // Label 5138: @224724
     /* 224724 */ GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(225460),
     /* 224729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 224732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s32,
     /* 224735 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s32,
     /* 224738 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(224806), // Rule ID 1150 //
     /* 224743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 224746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 224754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224758 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224761 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224765 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224779 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224786 */     // (strict_fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2)  =>  (VFMADD132PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSYm),
     /* 224789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224791 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224793 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 224795 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224804 */     GIR_RootConstrainSelectedInstOperands,
     /* 224805 */     // GIR_Coverage, 1150,
     /* 224805 */     GIR_EraseRootFromParent_Done,
     /* 224806 */   // Label 5220: @224806
     /* 224806 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(224874), // Rule ID 9637 //
     /* 224811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 224814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 224822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224826 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224829 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224833 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 224845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224847 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224854 */     // (strict_fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2)  =>  (VFMADD132PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZ256m),
     /* 224857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224859 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224861 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 224863 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 224867 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224872 */     GIR_RootConstrainSelectedInstOperands,
     /* 224873 */     // GIR_Coverage, 9637,
     /* 224873 */     GIR_EraseRootFromParent_Done,
     /* 224874 */   // Label 5221: @224874
     /* 224874 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(224942), // Rule ID 23287 //
     /* 224879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 224882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 224890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224894 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224897 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224901 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224915 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224922 */     // (strict_fma:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Ymr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 224922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Ymr),
     /* 224925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224927 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 224929 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 224933 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 224935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 224940 */     GIR_RootConstrainSelectedInstOperands,
     /* 224941 */     // GIR_Coverage, 23287,
     /* 224941 */     GIR_EraseRootFromParent_Done,
     /* 224942 */   // Label 5222: @224942
     /* 224942 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(225010), // Rule ID 1148 //
     /* 224947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 224950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 224962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 224966 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 224969 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 224973 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 224977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 224981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 224983 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 224990 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src1)  =>  (VFMADD231PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 224990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSYm),
     /* 224993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 224995 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 224997 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 224999 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225008 */     GIR_RootConstrainSelectedInstOperands,
     /* 225009 */     // GIR_Coverage, 1148,
     /* 225009 */     GIR_EraseRootFromParent_Done,
     /* 225010 */   // Label 5223: @225010
     /* 225010 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(225078), // Rule ID 1394 //
     /* 225015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 225018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 225030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225034 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225037 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225041 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225051 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225058 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src2)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Ymr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, addr:{ *:[iPTR] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 225058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Ymr),
     /* 225061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225063 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 225065 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src2
     /* 225069 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225076 */     GIR_RootConstrainSelectedInstOperands,
     /* 225077 */     // GIR_Coverage, 1394,
     /* 225077 */     GIR_EraseRootFromParent_Done,
     /* 225078 */   // Label 5224: @225078
     /* 225078 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(225146), // Rule ID 9097 //
     /* 225083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 225086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 225098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225102 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225105 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225109 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225119 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225126 */     // (strict_fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v8f32] }:$src1)  =>  (VFMADD231PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZ256m),
     /* 225129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225131 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 225133 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225135 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225144 */     GIR_RootConstrainSelectedInstOperands,
     /* 225145 */     // GIR_Coverage, 9097,
     /* 225145 */     GIR_EraseRootFromParent_Done,
     /* 225146 */   // Label 5225: @225146
     /* 225146 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(225214), // Rule ID 1146 //
     /* 225151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 225154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 225170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225174 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225177 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225181 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225187 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225194 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSYm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSYm),
     /* 225197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225199 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225201 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225203 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225212 */     GIR_RootConstrainSelectedInstOperands,
     /* 225213 */     // GIR_Coverage, 1146,
     /* 225213 */     GIR_EraseRootFromParent_Done,
     /* 225214 */   // Label 5226: @225214
     /* 225214 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(225282), // Rule ID 1392 //
     /* 225219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 225222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 225238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225242 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225245 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225249 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225255 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225262 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADDPS4Yrm:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Yrm),
     /* 225265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225267 */     GIR_RootToRootCopy, /*OpIdx*/1, // src1
     /* 225269 */     GIR_RootToRootCopy, /*OpIdx*/2, // src2
     /* 225271 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225280 */     GIR_RootConstrainSelectedInstOperands,
     /* 225281 */     // GIR_Coverage, 1392,
     /* 225281 */     GIR_EraseRootFromParent_Done,
     /* 225282 */   // Label 5227: @225282
     /* 225282 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(225350), // Rule ID 8461 //
     /* 225287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 225290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 225306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225310 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225313 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225317 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225330 */     // (strict_fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src1, (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZ256m:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ256m),
     /* 225333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225335 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225337 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225339 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225348 */     GIR_RootConstrainSelectedInstOperands,
     /* 225349 */     // GIR_Coverage, 8461,
     /* 225349 */     GIR_EraseRootFromParent_Done,
     /* 225350 */   // Label 5228: @225350
     /* 225350 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(225387), // Rule ID 1144 //
     /* 225355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA_NoFMA4_NoVLX),
     /* 225358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225374 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADD213PSYr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 225374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSYr),
     /* 225377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225379 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225381 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225383 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225385 */     GIR_RootConstrainSelectedInstOperands,
     /* 225386 */     // GIR_Coverage, 1144,
     /* 225386 */     GIR_EraseRootFromParent_Done,
     /* 225387 */   // Label 5229: @225387
     /* 225387 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(225422), // Rule ID 1390 //
     /* 225392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFMA4_NoVLX),
     /* 225395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 225411 */     // (strict_fma:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)  =>  (VFMADDPS4Yrr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src1, VR256:{ *:[v8f32] }:$src2, VR256:{ *:[v8f32] }:$src3)
     /* 225411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VFMADDPS4Yrr),
     /* 225416 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 225420 */     GIR_RootConstrainSelectedInstOperands,
     /* 225421 */     // GIR_Coverage, 1390,
     /* 225421 */     GIR_Done,
     /* 225422 */   // Label 5230: @225422
     /* 225422 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(225459), // Rule ID 8457 //
     /* 225427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_HasVLX),
     /* 225430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225446 */     // (strict_fma:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src3)  =>  (VFMADD213PSZ256r:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src1, VR256X:{ *:[v8f32] }:$src2, VR256X:{ *:[v8f32] }:$src3)
     /* 225446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZ256r),
     /* 225449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225451 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225453 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225455 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225457 */     GIR_RootConstrainSelectedInstOperands,
     /* 225458 */     // GIR_Coverage, 8457,
     /* 225458 */     GIR_EraseRootFromParent_Done,
     /* 225459 */   // Label 5231: @225459
     /* 225459 */   GIM_Reject,
     /* 225460 */ // Label 5219: @225460
     /* 225460 */ GIM_Reject,
     /* 225461 */ // Label 5139: @225461
     /* 225461 */ GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(225705),
     /* 225466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 225469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s64,
     /* 225472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s64,
     /* 225475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225479 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(225543), // Rule ID 9657 //
     /* 225484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 225487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 225491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225495 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225498 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225502 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225516 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225523 */     // (strict_fma:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2)  =>  (VFMADD132PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PDZm),
     /* 225526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225528 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225530 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 225532 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225536 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225541 */     GIR_RootConstrainSelectedInstOperands,
     /* 225542 */     // GIR_Coverage, 9657,
     /* 225542 */     GIR_EraseRootFromParent_Done,
     /* 225543 */   // Label 5233: @225543
     /* 225543 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(225607), // Rule ID 9117 //
     /* 225548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 225551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 225559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225563 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225566 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225570 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225580 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225587 */     // (strict_fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v8f64] }:$src1)  =>  (VFMADD231PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PDZm),
     /* 225590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225592 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 225594 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225596 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225605 */     GIR_RootConstrainSelectedInstOperands,
     /* 225606 */     // GIR_Coverage, 9117,
     /* 225606 */     GIR_EraseRootFromParent_Done,
     /* 225607 */   // Label 5234: @225607
     /* 225607 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(225671), // Rule ID 8485 //
     /* 225612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 225615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 225627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225631 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225634 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225638 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225644 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225651 */     // (strict_fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src1, (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PDZm:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZm),
     /* 225654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225656 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225658 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225660 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225669 */     GIR_RootConstrainSelectedInstOperands,
     /* 225670 */     // GIR_Coverage, 8485,
     /* 225670 */     GIR_EraseRootFromParent_Done,
     /* 225671 */   // Label 5235: @225671
     /* 225671 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(225704), // Rule ID 8481 //
     /* 225676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 225679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225691 */     // (strict_fma:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src3)  =>  (VFMADD213PDZr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src1, VR512:{ *:[v8f64] }:$src2, VR512:{ *:[v8f64] }:$src3)
     /* 225691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PDZr),
     /* 225694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225696 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225698 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225700 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225702 */     GIR_RootConstrainSelectedInstOperands,
     /* 225703 */     // GIR_Coverage, 8481,
     /* 225703 */     GIR_EraseRootFromParent_Done,
     /* 225704 */   // Label 5236: @225704
     /* 225704 */   GIM_Reject,
     /* 225705 */ // Label 5232: @225705
     /* 225705 */ GIM_Reject,
     /* 225706 */ // Label 5140: @225706
     /* 225706 */ GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(225950),
     /* 225711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 225714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s16,
     /* 225717 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s16,
     /* 225720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225724 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(225788), // Rule ID 9605 //
     /* 225729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 225732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 225736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225740 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225743 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225747 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225761 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225768 */     // (strict_fma:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2)  =>  (VFMADD132PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZ256m),
     /* 225771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225773 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225775 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 225777 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225786 */     GIR_RootConstrainSelectedInstOperands,
     /* 225787 */     // GIR_Coverage, 9605,
     /* 225787 */     GIR_EraseRootFromParent_Done,
     /* 225788 */   // Label 5238: @225788
     /* 225788 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(225852), // Rule ID 9065 //
     /* 225793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 225796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 225804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225808 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225811 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225815 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225825 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225832 */     // (strict_fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR256X:{ *:[v16f16] }:$src1)  =>  (VFMADD231PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZ256m),
     /* 225835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225837 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 225839 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225841 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225850 */     GIR_RootConstrainSelectedInstOperands,
     /* 225851 */     // GIR_Coverage, 9065,
     /* 225851 */     GIR_EraseRootFromParent_Done,
     /* 225852 */   // Label 5239: @225852
     /* 225852 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(225916), // Rule ID 8422 //
     /* 225857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 225860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 225872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225876 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225879 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225883 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 225889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 225896 */     // (strict_fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src1, (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZ256m:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 225896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ256m),
     /* 225899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225901 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225903 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225905 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 225909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 225914 */     GIR_RootConstrainSelectedInstOperands,
     /* 225915 */     // GIR_Coverage, 8422,
     /* 225915 */     GIR_EraseRootFromParent_Done,
     /* 225916 */   // Label 5240: @225916
     /* 225916 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(225949), // Rule ID 8418 //
     /* 225921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 225924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 225936 */     // (strict_fma:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src3)  =>  (VFMADD213PHZ256r:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src1, VR256X:{ *:[v16f16] }:$src2, VR256X:{ *:[v16f16] }:$src3)
     /* 225936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZ256r),
     /* 225939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 225941 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 225943 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 225945 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 225947 */     GIR_RootConstrainSelectedInstOperands,
     /* 225948 */     // GIR_Coverage, 8418,
     /* 225948 */     GIR_EraseRootFromParent_Done,
     /* 225949 */   // Label 5241: @225949
     /* 225949 */   GIM_Reject,
     /* 225950 */ // Label 5237: @225950
     /* 225950 */ GIM_Reject,
     /* 225951 */ // Label 5141: @225951
     /* 225951 */ GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(226195),
     /* 225956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 225959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s32,
     /* 225962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s32,
     /* 225965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 225969 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(226033), // Rule ID 9625 //
     /* 225974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 225977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 225981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 225985 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 225988 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 225992 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 225996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226006 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226013 */     // (strict_fma:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2)  =>  (VFMADD132PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PSZm),
     /* 226016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226018 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226020 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 226022 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226031 */     GIR_RootConstrainSelectedInstOperands,
     /* 226032 */     // GIR_Coverage, 9625,
     /* 226032 */     GIR_EraseRootFromParent_Done,
     /* 226033 */   // Label 5243: @226033
     /* 226033 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(226097), // Rule ID 9085 //
     /* 226038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 226049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226053 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226056 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226060 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226070 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226077 */     // (strict_fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v16f32] }:$src1)  =>  (VFMADD231PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PSZm),
     /* 226080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226082 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 226084 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226086 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226095 */     GIR_RootConstrainSelectedInstOperands,
     /* 226096 */     // GIR_Coverage, 9085,
     /* 226096 */     GIR_EraseRootFromParent_Done,
     /* 226097 */   // Label 5244: @226097
     /* 226097 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(226161), // Rule ID 8446 //
     /* 226102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 226117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226121 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226124 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226128 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226141 */     // (strict_fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src1, (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PSZm:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZm),
     /* 226144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226146 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226148 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226150 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226154 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226159 */     GIR_RootConstrainSelectedInstOperands,
     /* 226160 */     // GIR_Coverage, 8446,
     /* 226160 */     GIR_EraseRootFromParent_Done,
     /* 226161 */   // Label 5245: @226161
     /* 226161 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(226194), // Rule ID 8442 //
     /* 226166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226181 */     // (strict_fma:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src3)  =>  (VFMADD213PSZr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src1, VR512:{ *:[v16f32] }:$src2, VR512:{ *:[v16f32] }:$src3)
     /* 226181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PSZr),
     /* 226184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226186 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226188 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226190 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 226192 */     GIR_RootConstrainSelectedInstOperands,
     /* 226193 */     // GIR_Coverage, 8442,
     /* 226193 */     GIR_EraseRootFromParent_Done,
     /* 226194 */   // Label 5246: @226194
     /* 226194 */   GIM_Reject,
     /* 226195 */ // Label 5242: @226195
     /* 226195 */ GIM_Reject,
     /* 226196 */ // Label 5142: @226196
     /* 226196 */ GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(226440),
     /* 226201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 226204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v32s16,
     /* 226207 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v32s16,
     /* 226210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226214 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(226278), // Rule ID 9593 //
     /* 226219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 226222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 226226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226230 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226233 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226237 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226251 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226258 */     // (strict_fma:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2)  =>  (VFMADD132PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD132PHZm),
     /* 226261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226263 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226265 */     GIR_RootToRootCopy, /*OpIdx*/3, // src2
     /* 226267 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226276 */     GIR_RootConstrainSelectedInstOperands,
     /* 226277 */     // GIR_Coverage, 9593,
     /* 226277 */     GIR_EraseRootFromParent_Done,
     /* 226278 */   // Label 5248: @226278
     /* 226278 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(226342), // Rule ID 9053 //
     /* 226283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 226286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 226294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226298 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226301 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226305 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226315 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226322 */     // (strict_fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>, VR512:{ *:[v32f16] }:$src1)  =>  (VFMADD231PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD231PHZm),
     /* 226325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226327 */     GIR_RootToRootCopy, /*OpIdx*/3, // src1
     /* 226329 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226331 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226340 */     GIR_RootConstrainSelectedInstOperands,
     /* 226341 */     // GIR_Coverage, 9053,
     /* 226341 */     GIR_EraseRootFromParent_Done,
     /* 226342 */   // Label 5249: @226342
     /* 226342 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(226406), // Rule ID 8407 //
     /* 226347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 226350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 226362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226366 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226369 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226373 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226379 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226386 */     // (strict_fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src1, (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src3)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VFMADD213PHZm:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, addr:{ *:[iPTR] }:$src3)
     /* 226386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZm),
     /* 226389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226391 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226393 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226395 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src3
     /* 226399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226404 */     GIR_RootConstrainSelectedInstOperands,
     /* 226405 */     // GIR_Coverage, 8407,
     /* 226405 */     GIR_EraseRootFromParent_Done,
     /* 226406 */   // Label 5250: @226406
     /* 226406 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(226439), // Rule ID 8403 //
     /* 226411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 226414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 226426 */     // (strict_fma:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src3)  =>  (VFMADD213PHZr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src1, VR512:{ *:[v32f16] }:$src2, VR512:{ *:[v32f16] }:$src3)
     /* 226426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VFMADD213PHZr),
     /* 226429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226431 */     GIR_RootToRootCopy, /*OpIdx*/2, // src1
     /* 226433 */     GIR_RootToRootCopy, /*OpIdx*/1, // src2
     /* 226435 */     GIR_RootToRootCopy, /*OpIdx*/3, // src3
     /* 226437 */     GIR_RootConstrainSelectedInstOperands,
     /* 226438 */     // GIR_Coverage, 8403,
     /* 226438 */     GIR_EraseRootFromParent_Done,
     /* 226439 */   // Label 5251: @226439
     /* 226439 */   GIM_Reject,
     /* 226440 */ // Label 5247: @226440
     /* 226440 */ GIM_Reject,
     /* 226441 */ // Label 5143: @226441
     /* 226441 */ GIM_Reject,
     /* 226442 */ // Label 73: @226442
     /* 226442 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(23), /*)*//*default:*//*Label 5265*/ GIMT_Encode4(228610),
     /* 226453 */ /*GILLT_s16*//*Label 5252*/ GIMT_Encode4(226537),
     /* 226457 */ /*GILLT_s32*//*Label 5253*/ GIMT_Encode4(226658),
     /* 226461 */ /*GILLT_s64*//*Label 5254*/ GIMT_Encode4(227014),
     /* 226465 */ /*GILLT_s80*//*Label 5255*/ GIMT_Encode4(227370), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 226477 */ /*GILLT_v2s64*//*Label 5256*/ GIMT_Encode4(227407), GIMT_Encode4(0),
     /* 226485 */ /*GILLT_v4s32*//*Label 5257*/ GIMT_Encode4(227610),
     /* 226489 */ /*GILLT_v4s64*//*Label 5258*/ GIMT_Encode4(227813), GIMT_Encode4(0),
     /* 226497 */ /*GILLT_v8s16*//*Label 5259*/ GIMT_Encode4(227989),
     /* 226501 */ /*GILLT_v8s32*//*Label 5260*/ GIMT_Encode4(228078),
     /* 226505 */ /*GILLT_v8s64*//*Label 5261*/ GIMT_Encode4(228254), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 226517 */ /*GILLT_v16s16*//*Label 5262*/ GIMT_Encode4(228343),
     /* 226521 */ /*GILLT_v16s32*//*Label 5263*/ GIMT_Encode4(228432), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 226533 */ /*GILLT_v32s16*//*Label 5264*/ GIMT_Encode4(228521),
     /* 226537 */ // Label 5252: @226537
     /* 226537 */ GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(226657),
     /* 226542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 226545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 226549 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(226618), // Rule ID 21419 //
     /* 226554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_OptForSize),
     /* 226557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 226561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226565 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226568 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226572 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226578 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226585 */     // (strict_fsqrt:{ *:[f16] } (ld:{ *:[f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSHZm:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), addr:{ *:[iPTR] }:$src)
     /* 226585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 226588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 226592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 226597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 226599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSHZm),
     /* 226602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 226607 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 226611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226616 */     GIR_RootConstrainSelectedInstOperands,
     /* 226617 */     // GIR_Coverage, 21419,
     /* 226617 */     GIR_EraseRootFromParent_Done,
     /* 226618 */   // Label 5267: @226618
     /* 226618 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(226656), // Rule ID 21417 //
     /* 226623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 226626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR16XRegClassID),
     /* 226630 */     // (strict_fsqrt:{ *:[f16] } FR16X:{ *:[f16] }:$src)  =>  (VSQRTSHZr:{ *:[f16] } (IMPLICIT_DEF:{ *:[f16] }), FR16X:{ *:[f16] }:$src)
     /* 226630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 226633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 226637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 226642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 226644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSHZr),
     /* 226647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 226652 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 226654 */     GIR_RootConstrainSelectedInstOperands,
     /* 226655 */     // GIR_Coverage, 21417,
     /* 226655 */     GIR_EraseRootFromParent_Done,
     /* 226656 */   // Label 5268: @226656
     /* 226656 */   GIM_Reject,
     /* 226657 */ // Label 5266: @226657
     /* 226657 */ GIM_Reject,
     /* 226658 */ // Label 5253: @226658
     /* 226658 */ GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(227013),
     /* 226663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 226666 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(226722), // Rule ID 2447 //
     /* 226671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE1),
     /* 226674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 226678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 226682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226686 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226689 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226693 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226699 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226706 */     // (strict_fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SQRTSSm:{ *:[f32] } addr:{ *:[iPTR] }:$src1)
     /* 226706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SQRTSSm),
     /* 226709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226711 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 226715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226720 */     GIR_RootConstrainSelectedInstOperands,
     /* 226721 */     // GIR_Coverage, 2447,
     /* 226721 */     GIR_EraseRootFromParent_Done,
     /* 226722 */   // Label 5270: @226722
     /* 226722 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(226795), // Rule ID 18275 //
     /* 226727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 226730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 226734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 226738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226742 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226745 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226749 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226755 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226762 */     // (strict_fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSSm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 226762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 226765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 226769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 226774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 226776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSm),
     /* 226779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 226784 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 226788 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226793 */     GIR_RootConstrainSelectedInstOperands,
     /* 226794 */     // GIR_Coverage, 18275,
     /* 226794 */     GIR_EraseRootFromParent_Done,
     /* 226795 */   // Label 5271: @226795
     /* 226795 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(226868), // Rule ID 21423 //
     /* 226800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 226803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 226807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 226811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 226815 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 226818 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 226822 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 226826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 226828 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 226835 */     // (strict_fsqrt:{ *:[f32] } (ld:{ *:[f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSSZm:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), addr:{ *:[iPTR] }:$src)
     /* 226835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 226838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 226842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 226847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 226849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSZm),
     /* 226852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 226857 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 226861 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 226866 */     GIR_RootConstrainSelectedInstOperands,
     /* 226867 */     // GIR_Coverage, 21423,
     /* 226867 */     GIR_EraseRootFromParent_Done,
     /* 226868 */   // Label 5272: @226868
     /* 226868 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(226901), // Rule ID 1047 //
     /* 226873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf32),
     /* 226876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 226880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP32RegClassID),
     /* 226884 */     // (strict_fsqrt:{ *:[f32] } RFP32:{ *:[f32] }:$src)  =>  (SQRT_Fp32:{ *:[f32] }:{ *:[i16] } RFP32:{ *:[f32] }:$src)
     /* 226884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp32),
     /* 226889 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 226895 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 226899 */     GIR_RootConstrainSelectedInstOperands,
     /* 226900 */     // GIR_Coverage, 1047,
     /* 226900 */     GIR_Done,
     /* 226901 */   // Label 5273: @226901
     /* 226901 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(226928), // Rule ID 2445 //
     /* 226906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 226909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 226913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 226917 */     // (strict_fsqrt:{ *:[f32] } FR32:{ *:[f32] }:$src1)  =>  (SQRTSSr:{ *:[f32] } FR32:{ *:[f32] }:$src1)
     /* 226917 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTSSr),
     /* 226922 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 226926 */     GIR_RootConstrainSelectedInstOperands,
     /* 226927 */     // GIR_Coverage, 2445,
     /* 226927 */     GIR_Done,
     /* 226928 */   // Label 5274: @226928
     /* 226928 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(226970), // Rule ID 18273 //
     /* 226933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 226936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 226940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32RegClassID),
     /* 226944 */     // (strict_fsqrt:{ *:[f32] } FR32:{ *:[f32] }:$src)  =>  (VSQRTSSr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR32:{ *:[f32] }:$src)
     /* 226944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 226947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 226951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 226956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 226958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSr),
     /* 226961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 226963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 226966 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 226968 */     GIR_RootConstrainSelectedInstOperands,
     /* 226969 */     // GIR_Coverage, 18273,
     /* 226969 */     GIR_EraseRootFromParent_Done,
     /* 226970 */   // Label 5275: @226970
     /* 226970 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(227012), // Rule ID 21421 //
     /* 226975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 226978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 226982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR32XRegClassID),
     /* 226986 */     // (strict_fsqrt:{ *:[f32] } FR32X:{ *:[f32] }:$src)  =>  (VSQRTSSZr:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FR32X:{ *:[f32] }:$src)
     /* 226986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 226989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 226993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 226998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSSZr),
     /* 227003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227008 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 227010 */     GIR_RootConstrainSelectedInstOperands,
     /* 227011 */     // GIR_Coverage, 21421,
     /* 227011 */     GIR_EraseRootFromParent_Done,
     /* 227012 */   // Label 5276: @227012
     /* 227012 */   GIM_Reject,
     /* 227013 */ // Label 5269: @227013
     /* 227013 */ GIM_Reject,
     /* 227014 */ // Label 5254: @227014
     /* 227014 */ GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(227369),
     /* 227019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 227022 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(227078), // Rule ID 2463 //
     /* 227027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseSSE2),
     /* 227030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227042 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227045 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227049 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227055 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227062 */     // (strict_fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src1)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SQRTSDm:{ *:[f64] } addr:{ *:[iPTR] }:$src1)
     /* 227062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::SQRTSDm),
     /* 227065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227067 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src1
     /* 227071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227076 */     GIR_RootConstrainSelectedInstOperands,
     /* 227077 */     // GIR_Coverage, 2463,
     /* 227077 */     GIR_EraseRootFromParent_Done,
     /* 227078 */   // Label 5278: @227078
     /* 227078 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(227151), // Rule ID 18279 //
     /* 227083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptForSize_UseAVX),
     /* 227086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227098 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227101 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227105 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227111 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227118 */     // (strict_fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSDm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 227118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 227121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDm),
     /* 227135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227140 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227149 */     GIR_RootConstrainSelectedInstOperands,
     /* 227150 */     // GIR_Coverage, 18279,
     /* 227150 */     GIR_EraseRootFromParent_Done,
     /* 227151 */   // Label 5279: @227151
     /* 227151 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(227224), // Rule ID 21427 //
     /* 227156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512_OptForSize),
     /* 227159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 227163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227171 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227174 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227178 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227184 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227191 */     // (strict_fsqrt:{ *:[f64] } (ld:{ *:[f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTSDZm:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), addr:{ *:[iPTR] }:$src)
     /* 227191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 227194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDZm),
     /* 227208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227213 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227222 */     GIR_RootConstrainSelectedInstOperands,
     /* 227223 */     // GIR_Coverage, 21427,
     /* 227223 */     GIR_EraseRootFromParent_Done,
     /* 227224 */   // Label 5280: @227224
     /* 227224 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(227257), // Rule ID 1049 //
     /* 227229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_FPStackf64),
     /* 227232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 227236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP64RegClassID),
     /* 227240 */     // (strict_fsqrt:{ *:[f64] } RFP64:{ *:[f64] }:$src)  =>  (SQRT_Fp64:{ *:[f64] }:{ *:[i16] } RFP64:{ *:[f64] }:$src)
     /* 227240 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp64),
     /* 227245 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 227251 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 227255 */     GIR_RootConstrainSelectedInstOperands,
     /* 227256 */     // GIR_Coverage, 1049,
     /* 227256 */     GIR_Done,
     /* 227257 */   // Label 5281: @227257
     /* 227257 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(227284), // Rule ID 2461 //
     /* 227262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 227265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227273 */     // (strict_fsqrt:{ *:[f64] } FR64:{ *:[f64] }:$src1)  =>  (SQRTSDr:{ *:[f64] } FR64:{ *:[f64] }:$src1)
     /* 227273 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTSDr),
     /* 227278 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227282 */     GIR_RootConstrainSelectedInstOperands,
     /* 227283 */     // GIR_Coverage, 2461,
     /* 227283 */     GIR_Done,
     /* 227284 */   // Label 5282: @227284
     /* 227284 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(227326), // Rule ID 18277 //
     /* 227289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseAVX),
     /* 227292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64RegClassID),
     /* 227300 */     // (strict_fsqrt:{ *:[f64] } FR64:{ *:[f64] }:$src)  =>  (VSQRTSDr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR64:{ *:[f64] }:$src)
     /* 227300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 227303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDr),
     /* 227317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227322 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 227324 */     GIR_RootConstrainSelectedInstOperands,
     /* 227325 */     // GIR_Coverage, 18277,
     /* 227325 */     GIR_EraseRootFromParent_Done,
     /* 227326 */   // Label 5283: @227326
     /* 227326 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(227368), // Rule ID 21425 //
     /* 227331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 227334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 227338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::FR64XRegClassID),
     /* 227342 */     // (strict_fsqrt:{ *:[f64] } FR64X:{ *:[f64] }:$src)  =>  (VSQRTSDZr:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), FR64X:{ *:[f64] }:$src)
     /* 227342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 227345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 227349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 227354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 227356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTSDZr),
     /* 227359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 227364 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 227366 */     GIR_RootConstrainSelectedInstOperands,
     /* 227367 */     // GIR_Coverage, 21425,
     /* 227367 */     GIR_EraseRootFromParent_Done,
     /* 227368 */   // Label 5284: @227368
     /* 227368 */   GIM_Reject,
     /* 227369 */ // Label 5277: @227369
     /* 227369 */ GIM_Reject,
     /* 227370 */ // Label 5255: @227370
     /* 227370 */ GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(227406), // Rule ID 1051 //
     /* 227375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasX87),
     /* 227378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s80,
     /* 227381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 227385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::RFP80RegClassID),
     /* 227389 */   // (strict_fsqrt:{ *:[f80] } RFP80:{ *:[f80] }:$src)  =>  (SQRT_Fp80:{ *:[f80] }:{ *:[i16] } RFP80:{ *:[f80] }:$src)
     /* 227389 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRT_Fp80),
     /* 227394 */   GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(X86::FPSW), GIMT_Encode2(RegState::Dead),
     /* 227400 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::FPCW),
     /* 227404 */   GIR_RootConstrainSelectedInstOperands,
     /* 227405 */   // GIR_Coverage, 1051,
     /* 227405 */   GIR_Done,
     /* 227406 */ // Label 5285: @227406
     /* 227406 */ GIM_Reject,
     /* 227407 */ // Label 5256: @227407
     /* 227407 */ GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(227609),
     /* 227412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 227415 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(227471), // Rule ID 2467 //
     /* 227420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 227423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227435 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227438 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227442 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227448 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227455 */     // (strict_fsqrt:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDm:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 227455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDm),
     /* 227458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227460 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227469 */     GIR_RootConstrainSelectedInstOperands,
     /* 227470 */     // GIR_Coverage, 2467,
     /* 227470 */     GIR_EraseRootFromParent_Done,
     /* 227471 */   // Label 5287: @227471
     /* 227471 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(227527), // Rule ID 12085 //
     /* 227476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 227479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 227483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227491 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227494 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227498 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227504 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227511 */     // (strict_fsqrt:{ *:[v2f64] } (ld:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZ128m:{ *:[v2f64] } addr:{ *:[iPTR] }:$src)
     /* 227511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ128m),
     /* 227514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227516 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227525 */     GIR_RootConstrainSelectedInstOperands,
     /* 227526 */     // GIR_Coverage, 12085,
     /* 227526 */     GIR_EraseRootFromParent_Done,
     /* 227527 */   // Label 5288: @227527
     /* 227527 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(227554), // Rule ID 2465 //
     /* 227532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 227535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227543 */     // (strict_fsqrt:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)  =>  (VSQRTPDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /* 227543 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDr),
     /* 227548 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227552 */     GIR_RootConstrainSelectedInstOperands,
     /* 227553 */     // GIR_Coverage, 2465,
     /* 227553 */     GIR_Done,
     /* 227554 */   // Label 5289: @227554
     /* 227554 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(227581), // Rule ID 2473 //
     /* 227559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE2),
     /* 227562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227570 */     // (strict_fsqrt:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)  =>  (SQRTPDr:{ *:[v2f64] } VR128:{ *:[v2f64] }:$src)
     /* 227570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTPDr),
     /* 227575 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227579 */     GIR_RootConstrainSelectedInstOperands,
     /* 227580 */     // GIR_Coverage, 2473,
     /* 227580 */     GIR_Done,
     /* 227581 */   // Label 5290: @227581
     /* 227581 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(227608), // Rule ID 12081 //
     /* 227586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 227589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 227593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 227597 */     // (strict_fsqrt:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src)  =>  (VSQRTPDZ128r:{ *:[v2f64] } VR128X:{ *:[v2f64] }:$src)
     /* 227597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ128r),
     /* 227602 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227606 */     GIR_RootConstrainSelectedInstOperands,
     /* 227607 */     // GIR_Coverage, 12081,
     /* 227607 */     GIR_Done,
     /* 227608 */   // Label 5291: @227608
     /* 227608 */   GIM_Reject,
     /* 227609 */ // Label 5286: @227609
     /* 227609 */ GIM_Reject,
     /* 227610 */ // Label 5257: @227610
     /* 227610 */ GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(227812),
     /* 227615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 227618 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(227674), // Rule ID 2451 //
     /* 227623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 227626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227638 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227641 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227645 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227651 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227658 */     // (strict_fsqrt:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSm:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 227658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSm),
     /* 227661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227663 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227672 */     GIR_RootConstrainSelectedInstOperands,
     /* 227673 */     // GIR_Coverage, 2451,
     /* 227673 */     GIR_EraseRootFromParent_Done,
     /* 227674 */   // Label 5293: @227674
     /* 227674 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(227730), // Rule ID 12061 //
     /* 227679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 227682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 227686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227694 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227697 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227701 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227707 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227714 */     // (strict_fsqrt:{ *:[v4f32] } (ld:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZ128m:{ *:[v4f32] } addr:{ *:[iPTR] }:$src)
     /* 227714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ128m),
     /* 227717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227719 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227723 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227728 */     GIR_RootConstrainSelectedInstOperands,
     /* 227729 */     // GIR_Coverage, 12061,
     /* 227729 */     GIR_EraseRootFromParent_Done,
     /* 227730 */   // Label 5294: @227730
     /* 227730 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(227757), // Rule ID 2449 //
     /* 227735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 227738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227746 */     // (strict_fsqrt:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)  =>  (VSQRTPSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /* 227746 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSr),
     /* 227751 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227755 */     GIR_RootConstrainSelectedInstOperands,
     /* 227756 */     // GIR_Coverage, 2449,
     /* 227756 */     GIR_Done,
     /* 227757 */   // Label 5295: @227757
     /* 227757 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(227784), // Rule ID 2457 //
     /* 227762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSSE1),
     /* 227765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128RegClassID),
     /* 227773 */     // (strict_fsqrt:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)  =>  (SQRTPSr:{ *:[v4f32] } VR128:{ *:[v4f32] }:$src)
     /* 227773 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::SQRTPSr),
     /* 227778 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227782 */     GIR_RootConstrainSelectedInstOperands,
     /* 227783 */     // GIR_Coverage, 2457,
     /* 227783 */     GIR_Done,
     /* 227784 */   // Label 5296: @227784
     /* 227784 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(227811), // Rule ID 12057 //
     /* 227789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 227792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 227796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 227800 */     // (strict_fsqrt:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src)  =>  (VSQRTPSZ128r:{ *:[v4f32] } VR128X:{ *:[v4f32] }:$src)
     /* 227800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ128r),
     /* 227805 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227809 */     GIR_RootConstrainSelectedInstOperands,
     /* 227810 */     // GIR_Coverage, 12057,
     /* 227810 */     GIR_Done,
     /* 227811 */   // Label 5297: @227811
     /* 227811 */   GIM_Reject,
     /* 227812 */ // Label 5292: @227812
     /* 227812 */ GIM_Reject,
     /* 227813 */ // Label 5258: @227813
     /* 227813 */ GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(227988),
     /* 227818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s64,
     /* 227821 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(227877), // Rule ID 2471 //
     /* 227826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 227829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 227833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227841 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227844 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227848 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227861 */     // (strict_fsqrt:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDYm:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 227861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDYm),
     /* 227864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227866 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227875 */     GIR_RootConstrainSelectedInstOperands,
     /* 227876 */     // GIR_Coverage, 2471,
     /* 227876 */     GIR_EraseRootFromParent_Done,
     /* 227877 */   // Label 5299: @227877
     /* 227877 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(227933), // Rule ID 12097 //
     /* 227882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 227885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 227889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 227893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 227897 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 227900 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 227904 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 227908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 227910 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 227917 */     // (strict_fsqrt:{ *:[v4f64] } (ld:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZ256m:{ *:[v4f64] } addr:{ *:[iPTR] }:$src)
     /* 227917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ256m),
     /* 227920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 227922 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 227926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 227931 */     GIR_RootConstrainSelectedInstOperands,
     /* 227932 */     // GIR_Coverage, 12097,
     /* 227932 */     GIR_EraseRootFromParent_Done,
     /* 227933 */   // Label 5300: @227933
     /* 227933 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(227960), // Rule ID 2469 //
     /* 227938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 227941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 227945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 227949 */     // (strict_fsqrt:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)  =>  (VSQRTPDYr:{ *:[v4f64] } VR256:{ *:[v4f64] }:$src)
     /* 227949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDYr),
     /* 227954 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227958 */     GIR_RootConstrainSelectedInstOperands,
     /* 227959 */     // GIR_Coverage, 2469,
     /* 227959 */     GIR_Done,
     /* 227960 */   // Label 5301: @227960
     /* 227960 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(227987), // Rule ID 12093 //
     /* 227965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 227968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 227972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 227976 */     // (strict_fsqrt:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src)  =>  (VSQRTPDZ256r:{ *:[v4f64] } VR256X:{ *:[v4f64] }:$src)
     /* 227976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZ256r),
     /* 227981 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 227985 */     GIR_RootConstrainSelectedInstOperands,
     /* 227986 */     // GIR_Coverage, 12093,
     /* 227986 */     GIR_Done,
     /* 227987 */   // Label 5302: @227987
     /* 227987 */   GIM_Reject,
     /* 227988 */ // Label 5298: @227988
     /* 227988 */ GIM_Reject,
     /* 227989 */ // Label 5259: @227989
     /* 227989 */ GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(228077),
     /* 227994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 227997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 228001 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(228053), // Rule ID 12013 //
     /* 228006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 228009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228017 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228020 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228024 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228037 */     // (strict_fsqrt:{ *:[v8f16] } (ld:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZ128m:{ *:[v8f16] } addr:{ *:[iPTR] }:$src)
     /* 228037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ128m),
     /* 228040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228042 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228051 */     GIR_RootConstrainSelectedInstOperands,
     /* 228052 */     // GIR_Coverage, 12013,
     /* 228052 */     GIR_EraseRootFromParent_Done,
     /* 228053 */   // Label 5304: @228053
     /* 228053 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(228076), // Rule ID 12009 //
     /* 228058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 228061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR128XRegClassID),
     /* 228065 */     // (strict_fsqrt:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src)  =>  (VSQRTPHZ128r:{ *:[v8f16] } VR128X:{ *:[v8f16] }:$src)
     /* 228065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ128r),
     /* 228070 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228074 */     GIR_RootConstrainSelectedInstOperands,
     /* 228075 */     // GIR_Coverage, 12009,
     /* 228075 */     GIR_Done,
     /* 228076 */   // Label 5305: @228076
     /* 228076 */   GIM_Reject,
     /* 228077 */ // Label 5303: @228077
     /* 228077 */ GIM_Reject,
     /* 228078 */ // Label 5260: @228078
     /* 228078 */ GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(228253),
     /* 228083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s32,
     /* 228086 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(228142), // Rule ID 2455 //
     /* 228091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 228094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 228098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228106 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228109 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228113 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228119 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228126 */     // (strict_fsqrt:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSYm:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 228126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSYm),
     /* 228129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228131 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228140 */     GIR_RootConstrainSelectedInstOperands,
     /* 228141 */     // GIR_Coverage, 2455,
     /* 228141 */     GIR_EraseRootFromParent_Done,
     /* 228142 */   // Label 5307: @228142
     /* 228142 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(228198), // Rule ID 12073 //
     /* 228147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 228150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228162 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228165 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228169 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228175 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228182 */     // (strict_fsqrt:{ *:[v8f32] } (ld:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZ256m:{ *:[v8f32] } addr:{ *:[iPTR] }:$src)
     /* 228182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ256m),
     /* 228185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228187 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228196 */     GIR_RootConstrainSelectedInstOperands,
     /* 228197 */     // GIR_Coverage, 12073,
     /* 228197 */     GIR_EraseRootFromParent_Done,
     /* 228198 */   // Label 5308: @228198
     /* 228198 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(228225), // Rule ID 2453 //
     /* 228203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX_NoVLX),
     /* 228206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 228210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256RegClassID),
     /* 228214 */     // (strict_fsqrt:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)  =>  (VSQRTPSYr:{ *:[v8f32] } VR256:{ *:[v8f32] }:$src)
     /* 228214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSYr),
     /* 228219 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228223 */     GIR_RootConstrainSelectedInstOperands,
     /* 228224 */     // GIR_Coverage, 2453,
     /* 228224 */     GIR_Done,
     /* 228225 */   // Label 5309: @228225
     /* 228225 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(228252), // Rule ID 12069 //
     /* 228230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVLX),
     /* 228233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228241 */     // (strict_fsqrt:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src)  =>  (VSQRTPSZ256r:{ *:[v8f32] } VR256X:{ *:[v8f32] }:$src)
     /* 228241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZ256r),
     /* 228246 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228250 */     GIR_RootConstrainSelectedInstOperands,
     /* 228251 */     // GIR_Coverage, 12069,
     /* 228251 */     GIR_Done,
     /* 228252 */   // Label 5310: @228252
     /* 228252 */   GIM_Reject,
     /* 228253 */ // Label 5306: @228253
     /* 228253 */ GIM_Reject,
     /* 228254 */ // Label 5261: @228254
     /* 228254 */ GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(228342),
     /* 228259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s64,
     /* 228262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228266 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(228318), // Rule ID 12049 //
     /* 228271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 228274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228282 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228285 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228289 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228295 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228302 */     // (strict_fsqrt:{ *:[v8f64] } (ld:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPDZm:{ *:[v8f64] } addr:{ *:[iPTR] }:$src)
     /* 228302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZm),
     /* 228305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228307 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228316 */     GIR_RootConstrainSelectedInstOperands,
     /* 228317 */     // GIR_Coverage, 12049,
     /* 228317 */     GIR_EraseRootFromParent_Done,
     /* 228318 */   // Label 5312: @228318
     /* 228318 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(228341), // Rule ID 12045 //
     /* 228323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 228326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228330 */     // (strict_fsqrt:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src)  =>  (VSQRTPDZr:{ *:[v8f64] } VR512:{ *:[v8f64] }:$src)
     /* 228330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPDZr),
     /* 228335 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228339 */     GIR_RootConstrainSelectedInstOperands,
     /* 228340 */     // GIR_Coverage, 12045,
     /* 228340 */     GIR_Done,
     /* 228341 */   // Label 5313: @228341
     /* 228341 */   GIM_Reject,
     /* 228342 */ // Label 5311: @228342
     /* 228342 */ GIM_Reject,
     /* 228343 */ // Label 5262: @228343
     /* 228343 */ GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(228431),
     /* 228348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s16,
     /* 228351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228355 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(228407), // Rule ID 12025 //
     /* 228360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 228363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228371 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228374 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228378 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228384 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228391 */     // (strict_fsqrt:{ *:[v16f16] } (ld:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZ256m:{ *:[v16f16] } addr:{ *:[iPTR] }:$src)
     /* 228391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ256m),
     /* 228394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228405 */     GIR_RootConstrainSelectedInstOperands,
     /* 228406 */     // GIR_Coverage, 12025,
     /* 228406 */     GIR_EraseRootFromParent_Done,
     /* 228407 */   // Label 5315: @228407
     /* 228407 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(228430), // Rule ID 12021 //
     /* 228412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16_HasVLX),
     /* 228415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR256XRegClassID),
     /* 228419 */     // (strict_fsqrt:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src)  =>  (VSQRTPHZ256r:{ *:[v16f16] } VR256X:{ *:[v16f16] }:$src)
     /* 228419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZ256r),
     /* 228424 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228428 */     GIR_RootConstrainSelectedInstOperands,
     /* 228429 */     // GIR_Coverage, 12021,
     /* 228429 */     GIR_Done,
     /* 228430 */   // Label 5316: @228430
     /* 228430 */   GIM_Reject,
     /* 228431 */ // Label 5314: @228431
     /* 228431 */ GIM_Reject,
     /* 228432 */ // Label 5263: @228432
     /* 228432 */ GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(228520),
     /* 228437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s32,
     /* 228440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228444 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(228496), // Rule ID 12037 //
     /* 228449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 228452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228460 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228463 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228467 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228480 */     // (strict_fsqrt:{ *:[v16f32] } (ld:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPSZm:{ *:[v16f32] } addr:{ *:[iPTR] }:$src)
     /* 228480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZm),
     /* 228483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228485 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228494 */     GIR_RootConstrainSelectedInstOperands,
     /* 228495 */     // GIR_Coverage, 12037,
     /* 228495 */     GIR_EraseRootFromParent_Done,
     /* 228496 */   // Label 5318: @228496
     /* 228496 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(228519), // Rule ID 12033 //
     /* 228501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAVX512),
     /* 228504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228508 */     // (strict_fsqrt:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src)  =>  (VSQRTPSZr:{ *:[v16f32] } VR512:{ *:[v16f32] }:$src)
     /* 228508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPSZr),
     /* 228513 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228517 */     GIR_RootConstrainSelectedInstOperands,
     /* 228518 */     // GIR_Coverage, 12033,
     /* 228518 */     GIR_Done,
     /* 228519 */   // Label 5319: @228519
     /* 228519 */   GIM_Reject,
     /* 228520 */ // Label 5317: @228520
     /* 228520 */ GIM_Reject,
     /* 228521 */ // Label 5264: @228521
     /* 228521 */ GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(228609),
     /* 228526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v32s16,
     /* 228529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228533 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(228585), // Rule ID 12001 //
     /* 228538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 228541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 228545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 228549 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 228552 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 228556 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 228560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 228562 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addr),
     /* 228569 */     // (strict_fsqrt:{ *:[v32f16] } (ld:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (VSQRTPHZm:{ *:[v32f16] } addr:{ *:[iPTR] }:$src)
     /* 228569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZm),
     /* 228572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 228574 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // src
     /* 228578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 228583 */     GIR_RootConstrainSelectedInstOperands,
     /* 228584 */     // GIR_Coverage, 12001,
     /* 228584 */     GIR_EraseRootFromParent_Done,
     /* 228585 */   // Label 5321: @228585
     /* 228585 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(228608), // Rule ID 11997 //
     /* 228590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16),
     /* 228593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(X86::VR512RegClassID),
     /* 228597 */     // (strict_fsqrt:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src)  =>  (VSQRTPHZr:{ *:[v32f16] } VR512:{ *:[v32f16] }:$src)
     /* 228597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::VSQRTPHZr),
     /* 228602 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(X86::MXCSR),
     /* 228606 */     GIR_RootConstrainSelectedInstOperands,
     /* 228607 */     // GIR_Coverage, 11997,
     /* 228607 */     GIR_Done,
     /* 228608 */   // Label 5322: @228608
     /* 228608 */   GIM_Reject,
     /* 228609 */ // Label 5320: @228609
     /* 228609 */ GIM_Reject,
     /* 228610 */ // Label 5265: @228610
     /* 228610 */ GIM_Reject,
     /* 228611 */ // Label 74: @228611
     /* 228611 */ GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(228623), // Rule ID 17073 //
     /* 228616 */   // (trap)  =>  (TRAP)
     /* 228616 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::TRAP),
     /* 228621 */   GIR_RootConstrainSelectedInstOperands,
     /* 228622 */   // GIR_Coverage, 17073,
     /* 228622 */   GIR_Done,
     /* 228623 */ // Label 5323: @228623
     /* 228623 */ GIM_Reject,
     /* 228624 */ // Label 75: @228624
     /* 228624 */ GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(228639), // Rule ID 22376 //
     /* 228629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_NotPS),
     /* 228632 */   // (debugtrap)  =>  (INT3)
     /* 228632 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::INT3),
     /* 228637 */   GIR_RootConstrainSelectedInstOperands,
     /* 228638 */   // GIR_Coverage, 22376,
     /* 228638 */   GIR_Done,
     /* 228639 */ // Label 5324: @228639
     /* 228639 */ GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(228659), // Rule ID 22377 //
     /* 228644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsPS),
     /* 228647 */   // (debugtrap)  =>  (INT 65:{ *:[i8] })
     /* 228647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(X86::INT),
     /* 228650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/65,
     /* 228653 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 228657 */   GIR_RootConstrainSelectedInstOperands,
     /* 228658 */   // GIR_Coverage, 22377,
     /* 228658 */   GIR_EraseRootFromParent_Done,
     /* 228659 */ // Label 5325: @228659
     /* 228659 */ GIM_Reject,
     /* 228660 */ // Label 76: @228660
     /* 228660 */ GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(228675), // Rule ID 17075 //
     /* 228665 */   // MIs[0] kind
     /* 228665 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 228668 */   // (ubsantrap (timm:{ *:[i32] }):$kind)  =>  (UBSAN_UD1 (timm:{ *:[i32] }):$kind)
     /* 228668 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(X86::UBSAN_UD1),
     /* 228673 */   GIR_RootConstrainSelectedInstOperands,
     /* 228674 */   // GIR_Coverage, 17075,
     /* 228674 */   GIR_Done,
     /* 228675 */ // Label 5326: @228675
     /* 228675 */ GIM_Reject,
     /* 228676 */ // Label 77: @228676
     /* 228676 */ GIM_Reject,
     /* 228677 */ }; // Size: 228677 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const X86Subtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const X86Subtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
